/*===========================================================================*/
/*   (Ast/node.scm)                                                          */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62literalzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_atomz00_bglt BGl_z62lambda1929z62zzast_nodez00(obj_t);
	static obj_t BGl_z62switchzd2itemzd2typezd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda2497z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62getfieldzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2keyzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62switchzd2itemzd2typez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_retblockzd2typezd2zzast_nodez00(BgL_retblockz00_bglt);
	static BgL_typez00_bglt BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_makezd2letzd2funz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2effectzd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62funcallzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2bodyzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62setfieldzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62patchzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2822z62zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2660z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2823z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2661z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62valloczd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1935z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2665z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1936z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2828z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2666z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2829z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt);
	static obj_t BGl_z62valloczd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00(void);
	static BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzd2typez00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2sidezd2effectz00zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2effectzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_wideningz00_bglt BGl_z62wideningzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_failzd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL BgL_closurez00_bglt BGl_closurezd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62retblockzd2bodyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32770ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_getfieldz00_bglt
		BGl_getfieldzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62nodezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2670z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2671z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda1942z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt
		BGl_makezd2literalzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzd2vtypez00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62pragmazd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_kwotezd2typezd2zzast_nodez00(BgL_kwotez00_bglt);
	static BgL_literalz00_bglt BGl_z62lambda1944z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_closurez00zzast_nodez00 = BUNSPEC;
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2678z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2keyzd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, long, long);
	static obj_t BGl_z62nodezd2walkzd2letzd2fun1756zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_vrefz00_bglt BGl_z62vrefzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_syncz00_bglt BGl_synczd2nilzd2zzast_nodez00(void);
	static BgL_setqz00_bglt BGl_z62makezd2setqzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62sequencezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt BGl_appzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62zc3z04anonymousza31880ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32682ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2valuezd2zzast_nodez00(BgL_literalz00_bglt);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2680z62zzast_nodez00(obj_t);
	static BgL_syncz00_bglt BGl_z62lambda2843z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_patchz00_bglt BGl_z62lambda1952z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_patchz00_bglt BGl_z62lambda1954z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_syncz00_bglt BGl_z62lambda2846z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2mutexzd2zzast_nodez00(BgL_syncz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_syncz00zzast_nodez00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62lambda2686z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2effectzd2setz12z12zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62lambda2687z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_literalz00_bglt BGl_z62literalzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		obj_t);
	static obj_t BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62wideningzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_failzd2loczd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2loczd2zzast_nodez00(BgL_closurez00_bglt);
	static obj_t BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2loczd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2ftypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2stackablezd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static BgL_appz00_bglt BGl_z62makezd2appzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62genpatchidzd2rindexzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62returnzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda1960z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1961z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2691z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2854z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2692z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_wideningz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2855z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1966z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1967z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62kwotezd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2698z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62vrefzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_refz00_bglt BGl_makezd2refzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_synczd2loczd2zzast_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_z62externzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2exprza2z70zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62sequencezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2loczd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2typezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt
		BGl_makezd2funcallzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62makezd2returnzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2mutexzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_sequencez00zzast_nodez00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62lambda2862z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2863z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1973z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setqzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda1974z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62literalzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2867z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2typezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62newzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62instanceofzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2868z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62atomzd2valuezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62synczd2mutexzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2otypeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_externzd2keyzd2zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2indexzd2setz12z12zzast_nodez00(BgL_patchz00_bglt, long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_nodezf2effectzd2typez20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static BgL_letzd2varzd2_bglt BGl_z62letzd2varzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf3z43zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda1980z62zzast_nodez00(obj_t);
	static obj_t BGl_z62castzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2varzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62privatezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_closurezf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_failz00zzast_nodez00 = BUNSPEC;
	static BgL_variablez00_bglt BGl_z62lambda1986z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setfieldz00_bglt
		BGl_setfieldzd2nilzd2zzast_nodez00(void);
	static BgL_newz00_bglt BGl_z62newzd2nilzb0zzast_nodez00(obj_t);
	static BgL_instanceofz00_bglt BGl_z62instanceofzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda1987z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2keyzd2setz12z12zzast_nodez00(BgL_sequencez00_bglt, obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62castzd2nullzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzd2localsz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2conditiona1744z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2typezd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62vrefzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2keyzd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_objectzd2initzd2zzast_nodez00(void);
	static obj_t BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_refz00_bglt BGl_z62lambda1993z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_refz00_bglt BGl_z62lambda1995z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62sequencezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2locz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2keyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62externzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2loczd2zzast_nodez00(BgL_setfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static BgL_kwotez00_bglt BGl_z62makezd2kwotezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62newzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bindingsz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_returnzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62valloczd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	static obj_t BGl_z62castzd2nullzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DECL BgL_closurez00_bglt
		BGl_makezd2closurezd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2keyz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_typez00_bglt BGl_z62genpatchidzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32034ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32018ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_closurezd2variablezd2zzast_nodez00(BgL_closurez00_bglt);
	static BgL_typez00_bglt BGl_z62privatezd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62returnzd2valuezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62genpatchidzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_externzf3zf3zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62appzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_castzd2nullzd2_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62getfieldzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31975ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_failzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2typezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static BgL_castz00_bglt BGl_z62makezd2castzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62appzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2czd2formatz00zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2typezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_retblockz00_bglt
		BGl_makezd2retblockzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_instanceofzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2variablezd2setz12z12zzast_nodez00(BgL_closurez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_z62privatezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62returnzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32140ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2keyzd2zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62wideningzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zd2nilz12zzast_nodez00(void);
	static BgL_closurez00_bglt BGl_z62closurezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62nodezd2walkzd2switch1748z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62varzd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_patchzd2typezd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_retblockzd2typezd2setz12z12zzast_nodez00(BgL_retblockz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2setzd2exzd2it1760z62zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzd2nilz00zzast_nodez00(void);
	static BgL_typez00_bglt BGl_z62vrefzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32303ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32214ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_instanceofzd2classzd2zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_nodez00_bglt BGl_z62setqzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2keyzd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62synczd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt);
	static obj_t BGl_z62appzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static obj_t BGl_z62nodezd2walk1718zb0zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31888ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_switchzd2testzd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2sidezd2effectz00zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_methodzd2initzd2zzast_nodez00(void);
	static obj_t BGl_z62synczf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2locz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62closurezd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62refzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2valuezd2setz12z12zzast_nodez00(BgL_patchz00_bglt, obj_t);
	BGL_EXPORTED_DECL long BGl_patchzd2indexzd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2effectzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	static BgL_getfieldz00_bglt BGl_z62makezd2getfieldzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_externz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62wideningzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setfieldz00_bglt
		BGl_makezd2setfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62varzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2locz00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62switchzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62refzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vrefz00_bglt BGl_vrefzd2nilzd2zzast_nodez00(void);
	static BgL_typez00_bglt BGl_z62patchzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_letzd2varzd2_bglt
		BGl_makezd2letzd2varz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	static obj_t BGl_z62wideningzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zd2vtypez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2keyzd2setz12z12zzast_nodez00(BgL_privatez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2argszd2typez00zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62setqzd2varzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62privatezd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(BgL_newz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_externz00_bglt,
		obj_t);
	static obj_t BGl_z62failzd2proczd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62returnzd2blockzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2lyzd2typez00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2sidezd2effectz00zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzd2typez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt);
	static BgL_privatez00_bglt BGl_z62makezd2privatezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_instanceofz00_bglt, obj_t);
	static obj_t BGl_z62closurezd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62setfieldzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2czd2formatz00zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2loczd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		BgL_varz00_bglt, BgL_typez00_bglt);
	static BgL_varz00_bglt BGl_z62varzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2sidezd2effectz00zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2typezd2zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2letzd2var1758zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00
		(BgL_nodezf2effectzf2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_vlengthz00_bglt BGl_vlengthzd2nilzd2zzast_nodez00(void);
	static BgL_typez00_bglt BGl_z62castzd2nullzd2typez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2keyzd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_synczd2typezd2zzast_nodez00(BgL_syncz00_bglt);
	static BgL_letzd2funzd2_bglt BGl_z62makezd2letzd2funz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32056ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_getfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62privatezd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_newzd2typezd2zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzd2vtypez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static BgL_nodez00_bglt BGl_z62nodezd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31997ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_makezd2conditionalzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_switchz00_bglt BGl_switchzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62funcallzd2argszb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62atomzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_appz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62boxzd2refzd2typez62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2boxzd2setz121754za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_retblockzd2bodyzd2setz12z12zzast_nodez00(BgL_retblockz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2cast1740z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_vsetz12z12_bglt
		BGl_makezd2vsetz12zc0zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezd2typezd2setz12z12zzast_nodez00(BgL_kwotez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_wideningzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2makezd2box1750zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzd2keyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_pragmaz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62boxzd2setz12zd2typez70zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62varzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62getfieldzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_literalz00_bglt BGl_z62makezd2literalzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2loczd2zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62lambda2100z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32503ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62sequencezd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2104z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2105z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62nodezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2typezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62newzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_switchzd2loczd2zzast_nodez00(BgL_switchz00_bglt);
	static obj_t BGl_z62vrefzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2setq1742z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2keyzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt, obj_t);
	static BgL_switchz00_bglt BGl_z62switchzd2nilzb0zzast_nodez00(obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2111z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32431ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2keyzd2zzast_nodez00(BgL_pragmaz00_bglt);
	static BgL_funcallz00_bglt BGl_z62lambda2113z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62newzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2effectzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_funcallzd2typezd2zzast_nodez00(BgL_funcallz00_bglt);
	static BgL_vsetz12z12_bglt BGl_z62makezd2vsetz12za2zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2119z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2jumpzd2exzd2it1762z62zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2patchidzd2zzast_nodez00(BgL_patchz00_bglt);
	static obj_t BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2sidezd2effectz00zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sidezd2effectz00zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2keyzd2setz12z12zzast_nodez00(BgL_externz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2objzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2120z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2typezd2zzast_nodez00(BgL_appz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32254ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2124z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32165ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2125z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2typezd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62genpatchidzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62makezd2funcallzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62vsetz12zd2nilza2zzast_nodez00(obj_t);
	static obj_t BGl_z62kwotezd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62letzd2funzd2bodyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_atomzd2typezd2zzast_nodez00(BgL_atomz00_bglt);
	static obj_t BGl_z62switchzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62switchzd2testzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zf3z83zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2typezd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_nodezf2effectzf2_bglt
		BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2131z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2132z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2keyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62valloczd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_wideningz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2138z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2typezd2setz12z12zzast_nodez00(BgL_literalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2139z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62returnzd2blockzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62patchzd2indexzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2effectzd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_externzd2typezd2zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2typezd2setz12z12zzast_nodez00(BgL_failz00_bglt,
		BgL_typez00_bglt);
	static BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62setfieldzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2exprza2zd2setz12zb0zzast_nodez00(BgL_genpatchidz00_bglt,
		obj_t);
	static obj_t BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62retblockzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2301z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2302z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32361ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2sidezd2effectz00zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32094ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2locza2zzast_nodez00(obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62lambda2146z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2309z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62lambda2148z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62vrefzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62nodezf2effectzd2nilz42zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2otypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_castz00_bglt BGl_z62castzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2typezd2setz12z12zzast_nodez00(BgL_sequencez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62genpatchidzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2onexitzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vlengthzd2typezd2zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_typez00_bglt BGl_z62appzd2lyzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_getfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_refzd2typezd2zzast_nodez00(BgL_refz00_bglt);
	static obj_t BGl_z62synczd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2effectz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static obj_t BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32702ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2311z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_varz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2317z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2318z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2156z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2157z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_varzd2typezd2zzast_nodez00(BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_newz00_bglt BGl_newzd2nilzd2zzast_nodez00(void);
	static BgL_typez00_bglt BGl_z62boxzd2refzd2vtypez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62patchzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getfieldzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62setfieldzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sequencez00_bglt
		BGl_makezd2sequencezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, bool_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62makezd2vrefzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2fnamezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_closurez00_bglt BGl_z62makezd2closurezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62vlengthzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_nodez00(void);
	BGL_EXPORTED_DECL bool_t BGl_patchzf3zf3zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2322z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2323z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vsetz12z12_bglt BGl_vsetz12zd2nilzc0zzast_nodez00(void);
	static obj_t BGl_z62nodezf2effectzd2locz42zzast_nodez00(obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62setqzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2163z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2164z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62makezd2nodezb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2testzd2setz12z12zzast_nodez00(BgL_switchz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62patchzd2patchidzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_literalzd2typezd2zzast_nodez00(BgL_literalz00_bglt);
	static obj_t BGl_z62castzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_switchz00_bglt BGl_makezd2switchzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62literalzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castzd2nullzd2_bglt
		BGl_makezd2castzd2nullz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2sidezd2effectz00zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vallocz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62genpatchidzd2indexzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_wideningzd2typezd2zzast_nodez00(BgL_wideningz00_bglt);
	static BgL_typez00_bglt BGl_z62valloczd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_returnzd2typezd2setz12z12zzast_nodez00(BgL_returnz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62genpatchidzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2var1723z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_genpatchidzd2rindexzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	static BgL_vrefz00_bglt BGl_z62lambda2331z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62wideningzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62conditionalzd2falsezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2333z62zzast_nodez00(obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2171z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62boxzd2setz12zd2valuez70zzast_nodez00(obj_t,
		obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2173z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2loczd2zzast_nodez00(BgL_newz00_bglt);
	static BgL_typez00_bglt BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62wideningzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zd2nilz70zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2keyzd2zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62lambda2179z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62funcallzd2funzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2effectzd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62sequencezd2nodeszb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2exprza2z70zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62newzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzf3z63zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62conditionalzd2nilzb0zzast_nodez00(obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2otypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2effectzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62genpatchidzd2exprza2zd2setz12zd2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2loczc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62setqzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda2500z62zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2340z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2341z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2180z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sequencezd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2345z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL bool_t BGl_genpatchidzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2sidezd2effectz00zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62lambda2346z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2keyzd2zzast_nodez00(BgL_appz00_bglt);
	static obj_t BGl_z62literalzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_genpatchidz00_bglt BGl_z62lambda2186z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_patchzd2valuezd2zzast_nodez00(BgL_patchz00_bglt);
	static obj_t BGl_z62synczd2prelockzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_genpatchidz00_bglt BGl_z62lambda2188z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_sequencez00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2typezd2setz12z12zzast_nodez00(BgL_setqz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_castzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2czd2formatz00zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32722ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2513z62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2351z62zzast_nodez00(obj_t, obj_t);
	static BgL_refz00_bglt BGl_z62refzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2514z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2352z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zd2locz70zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2518z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2519z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2195z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2196z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2prelockzd2zzast_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_z62lambda2359z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzd2itemzd2typez00zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62makezd2boxzd2valuez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62conditionalzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62makezd2letzd2varz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2ftypezd2zzast_nodez00(BgL_vlengthz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt);
	static obj_t BGl_z62lambda2360z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_castzd2nullzd2zzast_nodez00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62lambda2524z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2525z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2stackablezd2zzast_nodez00(BgL_appz00_bglt);
	static obj_t BGl_z62synczd2bodyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2367z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_privatezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62atomzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2369z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2typezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_appzf3zf3zzast_nodez00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_retblockz00_bglt
		BGl_retblockzd2nilzd2zzast_nodez00(void);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_letzd2funzd2typez00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62refzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_atomzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2effectzd2zzast_nodez00(BgL_externz00_bglt);
	static obj_t BGl_z62externzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32295ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_failz00_bglt BGl_z62lambda2535z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2keyz62zzast_nodez00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62lambda2537z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2375z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2376z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_conditionalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_newzd2exprza2z70zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_letzd2varzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2functionszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2stackablezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2keyzd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62newzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sequencezd2unsafezd2zzast_nodez00(BgL_sequencez00_bglt);
	static BgL_typez00_bglt BGl_z62externzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62varzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2keyz62zzast_nodez00(obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2700z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_vsetz12zd2unsafezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_conditionalz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31907ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62wideningzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2381z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2706z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2382z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2707z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2keyzd2setz12z12zzast_nodez00(BgL_newz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2548z62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2386z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2549z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2387z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_retblockzd2loczd2zzast_nodez00(BgL_retblockz00_bglt);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2typezd2setz12z12zzast_nodez00(BgL_privatez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_returnzd2valuezd2setz12z12zzast_nodez00(BgL_returnz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2czd2formatz00zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_retblockz00_bglt BGl_z62makezd2retblockzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2exprza2z70zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62refzd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62valloczd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62appzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31924ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62pragmazd2formatzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt BGl_funcallzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62privatezd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt,
		BgL_variablez00_bglt);
	static BgL_returnz00_bglt BGl_z62lambda2716z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32459ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2392z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2393z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt BGl_varzd2nilzd2zzast_nodez00(void);
	static BgL_returnz00_bglt BGl_z62lambda2718z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2556z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2557z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2typezd2setz12z12zzast_nodez00(BgL_externz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2keyzd2setz12z12zzast_nodez00(BgL_switchz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62nodezd2walkzb0zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62failzd2msgzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_varzd2typezd2setz12z12zzast_nodez00(BgL_varz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2561z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2562z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2726z62zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62setqzd2varzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2727z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castz00_bglt BGl_castzd2nilzd2zzast_nodez00(void);
	static BgL_nodez00_bglt BGl_z62letzd2varzd2bodyz62zzast_nodez00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda2569z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzd2nilz00zzast_nodez00(void);
	static obj_t BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_switchz00_bglt BGl_z62makezd2switchzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2loczd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_patchz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_varzd2loczd2zzast_nodez00(BgL_varz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2731z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2732z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2msgzb0zzast_nodez00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda2571z62zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32477ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62funcallzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62makezd2instanceofzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2739z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2579z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_varz00_bglt BGl_z62boxzd2setz12zd2varz70zzast_nodez00(obj_t,
		obj_t);
	static BgL_setfieldz00_bglt BGl_z62makezd2setfieldzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2keyz00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62pragmazd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_setqzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		obj_t);
	static obj_t BGl_z62setfieldzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2keyzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	static obj_t BGl_z62funcallzd2functionszb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2effectzd2zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32850ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32745ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_castzd2loczd2zzast_nodez00(BgL_castz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32656ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2580z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2743z62zzast_nodez00(obj_t);
	static obj_t BGl_z62newzd2argszd2typez62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2584z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2585z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt);
	static obj_t BGl_z62genpatchidzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setqz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2locz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62sequencezf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2ftypeza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_returnz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62patchzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_nodezf2effectzf2zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62conditionalzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62makezd2boxzd2typez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2sidezd2effectz00zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_typez00_bglt BGl_z62vsetz12zd2vtypeza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62nodezd2walkzd2atom1721z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2750z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62lambda2751z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2590z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2591z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2756z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2757z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt,
		bool_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda2598z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62funcallzd2funzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vrefzd2unsafezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_nodezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_refzd2typezd2setz12z12zzast_nodez00(BgL_refz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_pragmazd2typezd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_genpatchidzd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t BGl_setqzd2loczd2zzast_nodez00(BgL_setqz00_bglt);
	static BgL_genpatchidz00_bglt BGl_z62makezd2genpatchidzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2keyzd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_newz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2metazd2zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2exprza2z70zzast_nodez00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62genpatchidzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_varz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vlengthz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1876z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2768z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2769z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1878z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setzd2exzd2itz00zzast_nodez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62vrefzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt, obj_t);
	static obj_t BGl_z62newzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62vlengthzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2clauseszd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_atomz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31946ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62castzd2argzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_atomzd2typezd2setz12z12zzast_nodez00(BgL_atomz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda1886z62zzast_nodez00(obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2778z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1887z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2loczd2zzast_nodez00(BgL_genpatchidz00_bglt);
	static BgL_typez00_bglt BGl_z62getfieldzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2keyzd2zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_syncz00_bglt BGl_z62makezd2synczb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2patchidzd2setz12z12zzast_nodez00(BgL_patchz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62switchzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2appzd2ly1734zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2780z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_instanceofzd2typezd2zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda1892z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1893z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62synczd2mutexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_varz00_bglt BGl_z62lambda2787z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_wideningz00_bglt
		BGl_makezd2wideningzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	static BgL_kwotez00_bglt BGl_z62kwotezd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2788z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62literalzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_switchzd2keyzd2zzast_nodez00(BgL_switchz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32007ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2effectzd2setz12z12zzast_nodez00(BgL_privatez00_bglt, obj_t);
	static obj_t BGl_z62literalzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2typezd2setz12z12zzast_nodez00(BgL_switchz00_bglt,
		BgL_typez00_bglt);
	static BgL_funcallz00_bglt BGl_z62funcallzd2nilzb0zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2793z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2794z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vlengthz00_bglt,
		obj_t);
	static obj_t BGl_z62patchzd2patchidzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_getfieldz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62closurezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2valuezd2setz12z12zzast_nodez00(BgL_literalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_vallocz00_bglt BGl_valloczd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62makezd2boxzd2stackablez62zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32783ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62kwotezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_synczf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_patchz00_bglt BGl_z62patchzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	static obj_t BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2czd2formatz00zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_letzd2varzd2typez00zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_castz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_failz00_bglt BGl_z62makezd2failzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62switchzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62appzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_returnzd2blockzd2setz12z12zzast_nodez00(BgL_returnz00_bglt,
		BgL_retblockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2czd2formatz00zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62funcallzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31982ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62synczd2prelockzb0zzast_nodez00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_genpatchidzd2typezd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2keyzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_syncz00_bglt BGl_makezd2synczd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32204ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_valloczd2loczd2zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32115ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62failzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2typezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_typez00_bglt BGl_z62setqzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt);
	static BgL_vallocz00_bglt BGl_z62valloczd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_kwotezd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62nodezd2walkzd2extern1738z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2keyza2zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62makezd2boxzd2vtypez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62patchzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62setqzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vlengthz00_bglt
		BGl_makezd2vlengthzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62boxzd2refzd2locz62zzast_nodez00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62atomzd2nilzb0zzast_nodez00(obj_t);
	static BgL_retblockz00_bglt BGl_z62retblockzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_refz00_bglt BGl_refzd2nilzd2zzast_nodez00(void);
	static BgL_nodez00_bglt BGl_z62appzd2lyzd2funz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_typez00_bglt BGl_z62letzd2funzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_retblockzd2bodyzd2zzast_nodez00(BgL_retblockz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_typez00_bglt BGl_z62nodezd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31968ze3ze5zzast_nodez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2effectzc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DEF obj_t BGl_refz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2keyzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		obj_t);
	static obj_t BGl_z62vrefzd2unsafezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2exprza2za2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_sequencez00_bglt BGl_z62makezd2sequencezb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_nodezd2walkza2z70zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32133ze3ze5zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62pragmazd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_kwotezd2loczd2zzast_nodez00(BgL_kwotez00_bglt);
	static obj_t BGl_z62vsetz12zd2unsafeza2zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2typeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzd2keyz42zzast_nodez00(obj_t, obj_t);
	static obj_t
		BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_patchz00_bglt BGl_patchzd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt, obj_t);
	static BgL_varz00_bglt BGl_z62patchzd2refzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62atomzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_appzd2lyzd2nilz00zzast_nodez00(void);
	BGL_EXPORTED_DECL BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62retblockzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_refzd2loczd2zzast_nodez00(BgL_refz00_bglt);
	static BgL_typez00_bglt BGl_z62wideningzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32150ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2typezd2setz12z12zzast_nodez00(BgL_castz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62pragmazd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2effectzd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62patchzd2indexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62nodezf2effectzd2typez42zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_instanceofz00_bglt
		BGl_instanceofzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2keyzd2zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_failzd2typezd2zzast_nodez00(BgL_failz00_bglt);
	static obj_t BGl_z62makezd2boxzd2stackablezd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2funcall1736z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setqzd2typezd2zzast_nodez00(BgL_setqz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32313ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2kwote1725z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_returnz00_bglt BGl_returnzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62castzd2argzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2prelockzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62vlengthzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2keyzc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_patchzd2loczd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_genpatchidz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2locz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	static obj_t BGl_z62failzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2proczb0zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62getfieldzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62sequencezd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_closurezd2typezd2zzast_nodez00(BgL_closurez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2otypezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2effectzd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2loczd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2indexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t BGl_z62appzd2argszd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_refzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2sidezd2effectz00zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62wideningzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2rindexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_varz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_returnzd2loczd2zzast_nodez00(BgL_returnz00_bglt);
	static obj_t BGl_z62failzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2003z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2005z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62externzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62conditionalzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2keyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32048ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzd2zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2sidezd2effectz00zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_variablez00_bglt BGl_z62closurezd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_returnz00_bglt BGl_z62returnzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2exprza2z62zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_patchzd2refzd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		BgL_typez00_bglt);
	static BgL_varz00_bglt BGl_z62appzd2funzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyz00zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62appzd2stackablezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_privatez00_bglt,
		obj_t);
	static BgL_variablez00_bglt BGl_z62varzd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62vlengthzd2vtypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2sidezd2effectz00zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL BgL_externz00_bglt BGl_externzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62valloczf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62makezd2externzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62privatezd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2removablezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2exprza2z70zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_literalzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2effectzd2zzast_nodez00(BgL_vrefz00_bglt);
	static BgL_kwotez00_bglt BGl_z62lambda2014z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62boxzd2refzd2varz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2czd2formatz00zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		BgL_nodez00_bglt);
	static BgL_kwotez00_bglt BGl_z62lambda2016z62zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62externzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2boxzd2ref1752zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62kwotezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_patchz00_bglt BGl_makezd2patchzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, BgL_varz00_bglt, long, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzd2typezd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_privatez00_bglt BGl_privatezd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2loczd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62lambda2022z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2exprza2z70zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2023z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32406ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_refzd2variablezd2zzast_nodez00(BgL_refz00_bglt);
	static obj_t BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62returnzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32066ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62instanceofzd2classzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62appzd2funzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62retblockzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_genpatchidzd2indexzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2vtypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_externzd2loczd2zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62makezd2castzd2nullz62zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_refzd2variablezd2setz12z12zzast_nodez00(BgL_refz00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_letzd2funzd2nilz00zzast_nodez00(void);
	static BgL_externz00_bglt BGl_z62externzd2nilzb0zzast_nodez00(obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2030z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2032z62zzast_nodez00(obj_t);
	static obj_t BGl_z62vsetz12zd2czd2formatz70zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32083ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32229ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62patchzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzd2indexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2sync1730z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2exprza2z70zzast_nodez00(BgL_instanceofz00_bglt);
	static obj_t BGl_z62letzd2funzf3z43zzast_nodez00(obj_t, obj_t);
	static BgL_patchz00_bglt BGl_z62makezd2patchzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castzd2nullzd2_bglt
		BGl_castzd2nullzd2nilz00zzast_nodez00(void);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zc0zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2walkzd2fail1746z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2loczd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62externzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32602ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2202z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2040z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2203z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2041z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32335ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2046z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62funcallzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2047z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	static BgL_appz00_bglt BGl_z62appzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62varzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vrefzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static BgL_newz00_bglt BGl_z62makezd2newzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62valloczd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_pragmaz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_atomz00_bglt BGl_atomzd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DEF obj_t BGl_appz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_wideningz00_bglt
		BGl_wideningzd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2locz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vallocz00_bglt,
		obj_t);
	static obj_t BGl_z62externzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_newzf3zf3zzast_nodez00(obj_t);
	static BgL_pragmaz00_bglt BGl_z62makezd2pragmazb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62setqzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_privatez00_bglt BGl_z62lambda2210z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62privatezd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_privatez00_bglt BGl_z62lambda2212z62zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32190ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt,
		obj_t);
	static obj_t BGl_z62lambda2054z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32158ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2055z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2218z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2219z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2effectzd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2locz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_nodez00_bglt BGl_z62synczd2bodyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_castzd2nullzd2typez00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_sequencez00_bglt
		BGl_sequencezd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2functionszd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2stackablez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32280ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_switchzf3zf3zzast_nodez00(obj_t);
	static BgL_appz00_bglt BGl_z62lambda2062z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodezf2effectzf2_bglt
		BGl_nodezf2effectzd2nilz20zzast_nodez00(void);
	BGL_EXPORTED_DECL bool_t BGl_castzd2nullzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62appzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2225z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32175ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2typezd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vrefz00zzast_nodez00 = BUNSPEC;
	static BgL_appz00_bglt BGl_z62lambda2064z62zzast_nodez00(obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2227z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_retblockzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_atomzd2loczd2zzast_nodez00(BgL_atomz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2loczd2zzast_nodez00(BgL_wideningz00_bglt);
	static BgL_typez00_bglt BGl_z62castzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62failzd2objzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62makezd2conditionalzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_nodez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62genpatchidzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2keyz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_kwotez00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_jumpzd2exzd2itz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62letzd2varzd2typez62zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2070z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2233z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2071z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2234z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2075z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2238z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2076z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2239z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62appzd2stackablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2typezd2setz12z12zzast_nodez00(BgL_patchz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2typezd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62strictzd2nodezd2typez62zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2loczd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00(void);
	static obj_t BGl_z62refzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2locz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static obj_t BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2402z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2typezd2zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32371ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2404z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2243z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2081z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62sequencezd2metazb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2244z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2082z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62castzd2nullzf3z43zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2089z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2exprza2z00zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2sequence1727z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2typezd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(BgL_wideningz00_bglt,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62makezd2vlengthzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2typezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2effectzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00
		(BgL_nodezf2effectzf2_bglt);
	BGL_EXPORTED_DECL BgL_getfieldz00_bglt
		BGl_makezd2getfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2411z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62lambda2412z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2250z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62failzd2nilzb0zzast_nodez00(obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2252z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2092z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2417z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_retblockz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2418z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2bodyzd2zzast_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2refzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2258z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2259z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2099z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vlengthzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2argszb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2effectza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_conditionalzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62getfieldzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62returnzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62conditionalzd2truezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62switchzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2setz12zf3z51zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2effectzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_instanceofz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2keyzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt, BgL_varz00_bglt);
	static obj_t BGl_z62genpatchidzd2rindexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2exprza2z70zzast_nodez00(BgL_privatez00_bglt);
	static BgL_privatez00_bglt BGl_z62privatezd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_syncz00_bglt BGl_z62synczd2nilzb0zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2263z62zzast_nodez00(obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2426z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2264z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2428z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_switchz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2268z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_castzd2typezd2zzast_nodez00(BgL_castz00_bglt);
	static obj_t BGl_z62lambda2269z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_privatez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62externzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2sidezd2effectz00zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62newzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62funcallzd2argszd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62appzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62makezd2wideningzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt, obj_t);
	static obj_t BGl_z62failzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62letzd2funzd2nilz62zzast_nodez00(obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32625ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62makezd2nodezf2effectz42zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32447ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2435z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2436z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2275z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2277z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_letzd2funzd2zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2onexitzd2setz12z12zzast_nodez00
		(BgL_setzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62getfieldzd2fnamezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2loczd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62wideningzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2typezd2setz12z12zzast_nodez00(BgL_closurez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62funcallzd2strengthzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_privatezd2typezd2zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_returnzd2valuezd2zzast_nodez00(BgL_returnz00_bglt);
	static obj_t BGl_z62privatezd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_refz00_bglt BGl_z62makezd2refzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62synczd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda2600z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setfieldz00zzast_nodez00 = BUNSPEC;
	static BgL_vallocz00_bglt BGl_z62makezd2valloczb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda2443z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt, obj_t);
	static obj_t BGl_z62lambda2607z62zzast_nodez00(obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda2445z62zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32197ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2exprza2z70zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_genpatchidz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2608z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2284z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2285z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt BGl_literalzd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_conditionalzd2typezd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2typezd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2sidezd2effectz00zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL BgL_pragmaz00_bglt BGl_pragmazd2nilzd2zzast_nodez00(void);
	static BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2onexitzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_literalz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_returnzd2typezd2zzast_nodez00(BgL_returnz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zd2typez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DEF obj_t BGl_switchz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62closurezd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2612z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2613z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2291z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2itemzd2typezd2setz12zc0zzast_nodez00(BgL_switchz00_bglt,
		BgL_typez00_bglt);
	static BgL_castz00_bglt BGl_z62lambda2455z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_newz00_bglt BGl_z62lambda2293z62zzast_nodez00(obj_t);
	static BgL_castz00_bglt BGl_z62lambda2457z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2exprza2z70zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2typezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62appzd2lyzd2argz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t);
	static obj_t BGl_z62closurezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62retblockzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2classzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62setqzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62conditionalzd2testzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_sequencezd2typezd2zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2effectzd2setz12z12zzast_nodez00(BgL_externz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_returnz00_bglt BGl_makezd2returnzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_retblockz00_bglt, BgL_nodez00_bglt);
	static BgL_genpatchidz00_bglt BGl_z62genpatchidzd2nilzb0zzast_nodez00(obj_t);
	static obj_t
		BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sequencezd2unsafezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2effectzd2zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2keyzd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda2620z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31931ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2typezd2setz12z12zzast_nodez00(BgL_newz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	static BgL_letzd2varzd2_bglt BGl_z62lambda2622z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32539ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2463z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_valloczd2keyzd2zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62lambda2464z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2loczd2zzast_nodez00(BgL_literalz00_bglt);
	static obj_t BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static obj_t BGl_z62switchzd2testzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2loczd2zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2app1732z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62vrefzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(BgL_vsetz12z12_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_letzd2varzd2_bglt
		BGl_letzd2varzd2nilz00zzast_nodez00(void);
	static obj_t BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2sidezd2effectz00zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62valloczd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62pragmazd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setzd2exzd2itzd2typezd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62returnzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2refzd2keyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2630z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_wideningzd2otypezd2zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62lambda2631z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_z62lambda1902z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32807ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32645ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62switchzd2clauseszb0zzast_nodez00(obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda2471z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32394ze3ze5zzast_nodez00(obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_z62lambda1904z62zzast_nodez00(obj_t);
	static obj_t BGl_z62genpatchidzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62retblockzd2bodyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2635z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2636z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda2474z62zzast_nodez00(obj_t);
	static obj_t BGl_z62valloczd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62atomzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62letzd2varzf3z43zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2effectzd2zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62vlengthzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2onexitzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_funcallz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_varzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62genpatchidzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(BgL_privatez00_bglt, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2803z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32573ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31917ze3ze5zzast_nodez00(obj_t);
	static BgL_variablez00_bglt BGl_z62refzd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62valloczd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2805z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2643z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt);
	static obj_t BGl_z62lambda2644z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2482z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1915z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_retblockz00_bglt
		BGl_returnzd2blockzd2zzast_nodez00(BgL_returnz00_bglt);
	static obj_t BGl_z62lambda2483z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1916z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62pragmazf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2488z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2489z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_valloczf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vsetz12z12zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_privatez00_bglt
		BGl_makezd2privatezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2locz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62pragmazd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_instanceofz00_bglt
		BGl_makezd2instanceofzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62lambda1922z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62atomzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2652z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1923z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2815z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2816z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2654z62zzast_nodez00(obj_t);
	static obj_t __cnst[96];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2sidezd2effectzd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2sid3349za7,
		BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ot3350z00,
		BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2eff3351z00,
		BGl_z62privatezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2typ3352z00, BGl_z62funcallzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2literalzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2litera3353z00, BGl_z62makezd2literalzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2vtypezd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3354za7,
		BGl_z62boxzd2refzd2vtypez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2argzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ar3355za7,
		BGl_z62appzd2lyzd2argz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2typ3356z00, BGl_z62privatezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2valu3357z00, BGl_z62returnzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2valloczd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2valloc3358z00, BGl_z62makezd2valloczb0zzast_nodez00,
		0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vallocza7d2expr3359z00,
		BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2nilzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2nil3360za7, BGl_z62vsetz12zd2nilza2zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3100z00zzast_nodez00,
		BgL_bgl_za762lambda2156za7623361z00, BGl_z62lambda2156z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3101z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3362za7,
		BGl_z62zc3z04anonymousza32165ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3102z00zzast_nodez00,
		BgL_bgl_za762lambda2164za7623363z00, BGl_z62lambda2164z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3103z00zzast_nodez00,
		BgL_bgl_za762lambda2163za7623364z00, BGl_z62lambda2163z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3104z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3365za7,
		BGl_z62zc3z04anonymousza32150ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3105z00zzast_nodez00,
		BgL_bgl_za762lambda2148za7623366z00, BGl_z62lambda2148z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2loc3367z00, BGl_z62closurezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3106z00zzast_nodez00,
		BgL_bgl_za762lambda2146za7623368z00, BGl_z62lambda2146z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3107z00zzast_nodez00,
		BgL_bgl_za762lambda2180za7623369z00, BGl_z62lambda2180z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3108z00zzast_nodez00,
		BgL_bgl_za762lambda2179za7623370z00, BGl_z62lambda2179z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23371z00,
		BGl_z62genpatchidzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3109z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3372za7,
		BGl_z62zc3z04anonymousza32175ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2typezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2typ3373za7,
		BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2effect3374z00, BGl_z62vrefzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762nodeza7d2typeza7d3375za7,
		BGl_z62nodezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2bodyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2b3376za7,
		BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ex3377z00,
		BGl_z62getfieldzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762letza7d2funza7f3za73378z00,
		BGl_z62letzd2funzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3110z00zzast_nodez00,
		BgL_bgl_za762lambda2173za7623379z00, BGl_z62lambda2173z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23380z00,
		BGl_z62instanceofzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3111z00zzast_nodez00,
		BgL_bgl_za762lambda2171za7623381z00, BGl_z62lambda2171z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3112z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3382za7,
		BGl_z62zc3z04anonymousza32197ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2letzd2varzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2letza7d23383za7,
		BGl_z62makezd2letzd2varz62zzast_nodez00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3113z00zzast_nodez00,
		BgL_bgl_za762lambda2196za7623384z00, BGl_z62lambda2196z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2valueza73385za7, BGl_z62setqzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2s3386za7,
		BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3114z00zzast_nodez00,
		BgL_bgl_za762lambda2195za7623387z00, BGl_z62lambda2195z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2refzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2refza7b03388za7, BGl_z62makezd2refzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2locza7b03389za7, BGl_z62synczd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3115z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3390za7,
		BGl_z62zc3z04anonymousza32204ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3116z00zzast_nodez00,
		BgL_bgl_za762lambda2203za7623391z00, BGl_z62lambda2203z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3117z00zzast_nodez00,
		BgL_bgl_za762lambda2202za7623392z00, BGl_z62lambda2202z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2effe3393z00,
		BGl_z62externzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3118z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3394za7,
		BGl_z62zc3z04anonymousza32190ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3119z00zzast_nodez00,
		BgL_bgl_za762lambda2188za7623395z00, BGl_z62lambda2188z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2keyza73396za7,
		BGl_z62valloczd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2unsafezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2uns3397za7,
		BGl_z62vsetz12zd2unsafeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2castzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2castza7b3398za7, BGl_z62makezd2castzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2locza7b03399za7, BGl_z62atomzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2proczd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2procza7b3400za7, BGl_z62failzd2proczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2lo3401za7,
		BGl_z62appzd2lyzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2wideningzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2wideni3402z00, BGl_z62makezd2wideningzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3120z00zzast_nodez00,
		BgL_bgl_za762lambda2186za7623403z00, BGl_z62lambda2186z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2onexitzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3404za7,
		BGl_z62setzd2exzd2itzd2onexitzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3121z00zzast_nodez00,
		BgL_bgl_za762lambda2219za7623405z00, BGl_z62lambda2219z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ke3406z00,
		BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3122z00zzast_nodez00,
		BgL_bgl_za762lambda2218za7623407z00, BGl_z62lambda2218z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3123z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3408za7,
		BGl_z62zc3z04anonymousza32214ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3124z00zzast_nodez00,
		BgL_bgl_za762lambda2212za7623409z00, BGl_z62lambda2212z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3125z00zzast_nodez00,
		BgL_bgl_za762lambda2210za7623410z00, BGl_z62lambda2210z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3126z00zzast_nodez00,
		BgL_bgl_za762lambda2234za7623411z00, BGl_z62lambda2234z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3127z00zzast_nodez00,
		BgL_bgl_za762lambda2233za7623412z00, BGl_z62lambda2233z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2k3413za7,
		BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3128z00zzast_nodez00,
		BgL_bgl_za762lambda2239za7623414z00, BGl_z62lambda2239z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3129z00zzast_nodez00,
		BgL_bgl_za762lambda2238za7623415z00, BGl_z62lambda2238z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2typeza73416za7, BGl_z62kwotezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2s3417za7,
		BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762switchza7d2keyza73418za7,
		BGl_z62switchzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sequencezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2sequen3419z00, BGl_z62makezd2sequencezb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3130z00zzast_nodez00,
		BgL_bgl_za762lambda2244za7623420z00, BGl_z62lambda2244z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3131z00zzast_nodez00,
		BgL_bgl_za762lambda2243za7623421z00, BGl_z62lambda2243z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3132z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3422za7,
		BGl_z62zc3z04anonymousza32229ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3133z00zzast_nodez00,
		BgL_bgl_za762lambda2227za7623423z00, BGl_z62lambda2227z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setqzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setqza7b3424za7, BGl_z62makezd2setqzb0zzast_nodez00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3134z00zzast_nodez00,
		BgL_bgl_za762lambda2225za7623425z00, BGl_z62lambda2225z62zzast_nodez00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3135z00zzast_nodez00,
		BgL_bgl_za762lambda2259za7623426z00, BGl_z62lambda2259z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3136z00zzast_nodez00,
		BgL_bgl_za762lambda2258za7623427z00, BGl_z62lambda2258z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3137z00zzast_nodez00,
		BgL_bgl_za762lambda2264za7623428z00, BGl_z62lambda2264z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3138z00zzast_nodez00,
		BgL_bgl_za762lambda2263za7623429z00, BGl_z62lambda2263z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3139z00zzast_nodez00,
		BgL_bgl_za762lambda2269za7623430z00, BGl_z62lambda2269z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2funzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2funza7d2s3431za7,
		BGl_z62appzd2funzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762varza7d2typeza7d23432za7,
		BGl_z62varzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2keyzd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2key3433za7,
		BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2lyzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2appza7d23434za7,
		BGl_z62makezd2appzd2lyz62zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ex3435z00,
		BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3300z00zzast_nodez00,
		BgL_bgl_za762lambda2780za7623436z00, BGl_z62lambda2780z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ty3437z00, BGl_z62wideningzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3301z00zzast_nodez00,
		BgL_bgl_za762lambda2778za7623438z00, BGl_z62lambda2778z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3302z00zzast_nodez00,
		BgL_bgl_za762lambda2816za7623439z00, BGl_z62lambda2816z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3140z00zzast_nodez00,
		BgL_bgl_za762lambda2268za7623440z00, BGl_z62lambda2268z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3303z00zzast_nodez00,
		BgL_bgl_za762lambda2815za7623441z00, BGl_z62lambda2815z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3141z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3442za7,
		BGl_z62zc3z04anonymousza32254ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3304z00zzast_nodez00,
		BgL_bgl_za762lambda2823za7623443z00, BGl_z62lambda2823z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3142z00zzast_nodez00,
		BgL_bgl_za762lambda2252za7623444z00, BGl_z62lambda2252z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3305z00zzast_nodez00,
		BgL_bgl_za762lambda2822za7623445z00, BGl_z62lambda2822z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3143z00zzast_nodez00,
		BgL_bgl_za762lambda2250za7623446z00, BGl_z62lambda2250z62zzast_nodez00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3306z00zzast_nodez00,
		BgL_bgl_za762lambda2829za7623447z00, BGl_z62lambda2829z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3144z00zzast_nodez00,
		BgL_bgl_za762lambda2285za7623448z00, BGl_z62lambda2285z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3307z00zzast_nodez00,
		BgL_bgl_za762lambda2828za7623449z00, BGl_z62lambda2828z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3145z00zzast_nodez00,
		BgL_bgl_za762lambda2284za7623450z00, BGl_z62lambda2284z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3308z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3451za7,
		BGl_z62zc3z04anonymousza32807ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3146z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3452za7,
		BGl_z62zc3z04anonymousza32280ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3309z00zzast_nodez00,
		BgL_bgl_za762lambda2805za7623453z00, BGl_z62lambda2805z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3147z00zzast_nodez00,
		BgL_bgl_za762lambda2277za7623454z00, BGl_z62lambda2277z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3148z00zzast_nodez00,
		BgL_bgl_za762lambda2275za7623455z00, BGl_z62lambda2275z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3149z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3456za7,
		BGl_z62zc3z04anonymousza32303ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2effectzd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2eff3457za7,
		BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3310z00zzast_nodez00,
		BgL_bgl_za762lambda2803za7623458z00, BGl_z62lambda2803z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2type3459z00, BGl_z62externzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2typeza7d3460za7,
		BGl_z62failzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3311z00zzast_nodez00,
		BgL_bgl_za762lambda2855za7623461z00, BGl_z62lambda2855z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3312z00zzast_nodez00,
		BgL_bgl_za762lambda2854za7623462z00, BGl_z62lambda2854z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3150z00zzast_nodez00,
		BgL_bgl_za762lambda2302za7623463z00, BGl_z62lambda2302z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3313z00zzast_nodez00,
		BgL_bgl_za762lambda2863za7623464z00, BGl_z62lambda2863z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3151z00zzast_nodez00,
		BgL_bgl_za762lambda2301za7623465z00, BGl_z62lambda2301z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2closurezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2closur3466z00, BGl_z62makezd2closurezb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3314z00zzast_nodez00,
		BgL_bgl_za762lambda2862za7623467z00, BGl_z62lambda2862z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3152z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3468za7,
		BGl_z62zc3z04anonymousza32295ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vrefza7d2exprza7a3469za7,
		BGl_z62vrefzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3315z00zzast_nodez00,
		BgL_bgl_za762lambda2868za7623470z00, BGl_z62lambda2868z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3153z00zzast_nodez00,
		BgL_bgl_za762lambda2293za7623471z00, BGl_z62lambda2293z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ef3472z00,
		BGl_z62setfieldzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3316z00zzast_nodez00,
		BgL_bgl_za762lambda2867za7623473z00, BGl_z62lambda2867z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3154z00zzast_nodez00,
		BgL_bgl_za762lambda2291za7623474z00, BGl_z62lambda2291z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2returnzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2return3475z00, BGl_z62makezd2returnzb0zzast_nodez00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3317z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3476za7,
		BGl_z62zc3z04anonymousza32850ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3155z00zzast_nodez00,
		BgL_bgl_za762lambda2318za7623477z00, BGl_z62lambda2318z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3318z00zzast_nodez00,
		BgL_bgl_za762lambda2846za7623478z00, BGl_z62lambda2846z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3156z00zzast_nodez00,
		BgL_bgl_za762lambda2317za7623479z00, BGl_z62lambda2317z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3319z00zzast_nodez00,
		BgL_bgl_za762lambda2843za7623480z00, BGl_z62lambda2843z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3157z00zzast_nodez00,
		BgL_bgl_za762lambda2323za7623481z00, BGl_z62lambda2323z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2exp3482z00,
		BGl_z62vlengthzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3158z00zzast_nodez00,
		BgL_bgl_za762lambda2322za7623483z00, BGl_z62lambda2322z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3484za7,
		BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3159z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3485za7,
		BGl_z62zc3z04anonymousza32313ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2eff3486z00,
		BGl_z62vlengthzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2exprza2zd2setz12zd2envz70zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2exp3487za7,
		BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2bodyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3488za7,
		BGl_z62letzd2varzd2bodyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jumpzd2exzd2itzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2jumpza7d3489za7,
		BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2si3490z00,
		BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3321z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walk173491z00, BGl_z62nodezd2walk1718zb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3160z00zzast_nodez00,
		BgL_bgl_za762lambda2311za7623492z00, BGl_z62lambda2311z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3161z00zzast_nodez00,
		BgL_bgl_za762lambda2309za7623493z00, BGl_z62lambda2309z62zzast_nodez00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3324z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3494za7,
		BGl_z62nodezd2walkzd2atom1721z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3162z00zzast_nodez00,
		BgL_bgl_za762lambda2341za7623495z00, BGl_z62lambda2341z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3163z00zzast_nodez00,
		BgL_bgl_za762lambda2340za7623496z00, BGl_z62lambda2340z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2n3497za7,
		BGl_z62letzd2varzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3326z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3498za7,
		BGl_z62nodezd2walkzd2var1723z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3164z00zzast_nodez00,
		BgL_bgl_za762lambda2346za7623499z00, BGl_z62lambda2346z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3327z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3500za7,
		BGl_z62nodezd2walkzd2kwote1725z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3165z00zzast_nodez00,
		BgL_bgl_za762lambda2345za7623501z00, BGl_z62lambda2345z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3328z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3502za7,
		BGl_z62nodezd2walkzd2sequence1727z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3166z00zzast_nodez00,
		BgL_bgl_za762lambda2352za7623503z00, BGl_z62lambda2352z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3329z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3504za7,
		BGl_z62nodezd2walkzd2sync1730z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3167z00zzast_nodez00,
		BgL_bgl_za762lambda2351za7623505z00, BGl_z62lambda2351z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3168z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3506za7,
		BGl_z62zc3z04anonymousza32361ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2msgzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2msgza7b03507za7, BGl_z62failzd2msgzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3169z00zzast_nodez00,
		BgL_bgl_za762lambda2360za7623508z00, BGl_z62lambda2360z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2unsafezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2unsafe3509z00, BGl_z62vrefzd2unsafezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2walkzd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7b3510za7, BGl_z62nodezd2walkzb0zzast_nodez00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2keyza73511za7,
		BGl_z62externzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3330z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3512za7,
		BGl_z62nodezd2walkzd2app1732z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3331z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3513za7,
		BGl_z62nodezd2walkzd2appzd2ly1734zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3332z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3514za7,
		BGl_z62nodezd2walkzd2funcall1736z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3170z00zzast_nodez00,
		BgL_bgl_za762lambda2359za7623515z00, BGl_z62lambda2359z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ke3516z00,
		BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3333z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3517za7,
		BGl_z62nodezd2walkzd2extern1738z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3171z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3518za7,
		BGl_z62zc3z04anonymousza32335ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3334z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3519za7,
		BGl_z62nodezd2walkzd2cast1740z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3172z00zzast_nodez00,
		BgL_bgl_za762lambda2333za7623520z00, BGl_z62lambda2333z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762privateza7d2exp3521z00,
		BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3335z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3522za7,
		BGl_z62nodezd2walkzd2setq1742z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3173z00zzast_nodez00,
		BgL_bgl_za762lambda2331za7623523z00, BGl_z62lambda2331z62zzast_nodez00, 0L,
		BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3336z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3524za7,
		BGl_z62nodezd2walkzd2conditiona1744z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3174z00zzast_nodez00,
		BgL_bgl_za762lambda2376za7623525z00, BGl_z62lambda2376z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2loczd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3526z00,
		BGl_z62nodezf2effectzd2locz42zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3337z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3527za7,
		BGl_z62nodezd2walkzd2fail1746z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3175z00zzast_nodez00,
		BgL_bgl_za762lambda2375za7623528z00, BGl_z62lambda2375z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3338z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3529za7,
		BGl_z62nodezd2walkzd2switch1748z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3176z00zzast_nodez00,
		BgL_bgl_za762lambda2382za7623530z00, BGl_z62lambda2382z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3339z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3531za7,
		BGl_z62nodezd2walkzd2makezd2box1750zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3177z00zzast_nodez00,
		BgL_bgl_za762lambda2381za7623532z00, BGl_z62lambda2381z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3178z00zzast_nodez00,
		BgL_bgl_za762lambda2387za7623533z00, BGl_z62lambda2387z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762literalza7d2val3534z00,
		BGl_z62literalzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2nilza73535za7, BGl_z62valloczd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3179z00zzast_nodez00,
		BgL_bgl_za762lambda2386za7623536z00, BGl_z62lambda2386z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazf3zd2envz21zzast_nodez00,
		BgL_bgl_za762pragmaza7f3za791za73537z00, BGl_z62pragmazf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2keyzd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3538z00,
		BGl_z62nodezf2effectzd2keyz42zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762pragmaza7d2side3539z00,
		BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2nilza7b3540za7, BGl_z62patchzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ke3541z00,
		BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2externzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2extern3542z00, BGl_z62makezd2externzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2n3543za7,
		BGl_z62boxzd2refzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2sideza7d23544za7,
		BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2valuezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73545z00,
		BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3340z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3546za7,
		BGl_z62nodezd2walkzd2boxzd2ref1752zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3341z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3547za7,
		BGl_z62nodezd2walkzd2boxzd2setz121754za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3342z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3548za7,
		BGl_z62nodezd2walkzd2letzd2fun1756zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3180z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3549za7,
		BGl_z62zc3z04anonymousza32394ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3343z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3550za7,
		BGl_z62nodezd2walkzd2letzd2var1758zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3181z00zzast_nodez00,
		BgL_bgl_za762lambda2393za7623551z00, BGl_z62lambda2393z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3344z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3552za7,
		BGl_z62nodezd2walkzd2setzd2exzd2it1760z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3182z00zzast_nodez00,
		BgL_bgl_za762lambda2392za7623553z00, BGl_z62lambda2392z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3345z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3554za7,
		BGl_z62nodezd2walkzd2jumpzd2exzd2it1762z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3183z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3555za7,
		BGl_z62zc3z04anonymousza32371ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3184z00zzast_nodez00,
		BgL_bgl_za762lambda2369za7623556z00, BGl_z62lambda2369z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3185z00zzast_nodez00,
		BgL_bgl_za762lambda2367za7623557z00, BGl_z62lambda2367z62zzast_nodez00, 0L,
		BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3186z00zzast_nodez00,
		BgL_bgl_za762lambda2412za7623558z00, BGl_z62lambda2412z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3187z00zzast_nodez00,
		BgL_bgl_za762lambda2411za7623559z00, BGl_z62lambda2411z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3188z00zzast_nodez00,
		BgL_bgl_za762lambda2418za7623560z00, BGl_z62lambda2418z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3189z00zzast_nodez00,
		BgL_bgl_za762lambda2417za7623561z00, BGl_z62lambda2417z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2varzd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73562z00,
		BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2locza7b0za73563z00, BGl_z62newzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762literalza7d2typ3564z00,
		BGl_z62literalzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3565za7,
		BGl_z62castzd2nullzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2keyza7b0za73566z00, BGl_z62newzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23567z00,
		BGl_z62genpatchidzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2objzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2objza7b03568za7, BGl_z62failzd2objzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2vtypezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73569z00,
		BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3570za7,
		BGl_z62castzd2nullzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3190z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3571za7,
		BGl_z62zc3z04anonymousza32406ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3191z00zzast_nodez00,
		BgL_bgl_za762lambda2404za7623572z00, BGl_z62lambda2404z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3192z00zzast_nodez00,
		BgL_bgl_za762lambda2402za7623573z00, BGl_z62lambda2402z62zzast_nodez00, 0L,
		BUNSPEC, 9);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23574z00,
		BGl_z62genpatchidzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2varzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2varza7d23575za7,
		BGl_z62setqzd2varzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3193z00zzast_nodez00,
		BgL_bgl_za762lambda2436za7623576z00, BGl_z62lambda2436z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3194z00zzast_nodez00,
		BgL_bgl_za762lambda2435za7623577z00, BGl_z62lambda2435z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3195z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3578za7,
		BGl_z62zc3z04anonymousza32431ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2nilza73579za7, BGl_z62returnzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3196z00zzast_nodez00,
		BgL_bgl_za762lambda2428za7623580z00, BGl_z62lambda2428z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3197z00zzast_nodez00,
		BgL_bgl_za762lambda2426za7623581z00, BGl_z62lambda2426z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3198z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3582za7,
		BGl_z62zc3z04anonymousza32447ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3199z00zzast_nodez00,
		BgL_bgl_za762lambda2445za7623583z00, BGl_z62lambda2445z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3584za7,
		BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2vtypezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73585z00,
		BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2typ3586z00,
		BGl_z62privatezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_returnzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762returnza7d2valu3587z00,
		BGl_z62returnzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762instanceofza7f33588z00, BGl_z62instanceofzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2bo3589z00, BGl_z62retblockzd2bodyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2argszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2argsza7d23590za7,
		BGl_z62appzd2argszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2argszd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2argsza7b03591za7, BGl_z62appzd2argszb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vrefza7d2exprza7a3592za7,
		BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2t3593za7,
		BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2sidezd2effectzd2setz12zd2envze0zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3594z00,
		BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2nil3595z00, BGl_z62vlengthzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3596za7,
		BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2valueza73597za7, BGl_z62atomzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3598za7,
		BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2nil3599z00, BGl_z62literalzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2sidezd2effectzd2envz20zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3600z00,
		BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762instanceofza7d23601z00,
		BGl_z62instanceofzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2bodyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3602za7,
		BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_returnzd2blockzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762returnza7d2bloc3603z00,
		BGl_z62returnzd2blockzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2locza7b0za73604z00, BGl_z62varzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3605za7,
		BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762letza7d2varza7f3za73606z00,
		BGl_z62letzd2varzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762wideningza7d2si3607z00,
		BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2functionszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun3608z00,
		BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2stackablezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23609za7,
		BGl_z62makezd2boxzd2stackablezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ex3610z00,
		BGl_z62setfieldzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23611z00,
		BGl_z62genpatchidzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762refza7d2variabl3612z00, BGl_z62refzd2variablezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2typezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2typ3613za7,
		BGl_z62vsetz12zd2typeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2nilza7b03614za7, BGl_z62nodezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762genpatchidza7f33615z00, BGl_z62genpatchidzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2sideza7d23616za7,
		BGl_z62newzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2argszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2arg3617z00,
		BGl_z62funcallzd2argszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zf3zd2envz33zzast_nodez00,
		BgL_bgl_za762vsetza712za7f3za7833618z00, BGl_z62vsetz12zf3z83zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2funzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2fu3619za7,
		BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2varzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3620za7,
		BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2typeza7d3621za7,
		BGl_z62setqzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2typ3622z00, BGl_z62vlengthzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762closureza7d2var3623z00,
		BGl_z62closurezd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2nilza7b03624za7, BGl_z62failzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2sideza7d23625za7,
		BGl_z62appzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2valuezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73626z00,
		BGl_z62boxzd2setz12zd2valuez70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2exitzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3627za7,
		BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3628za7,
		BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2nil3629z00, BGl_z62funcallzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2onexitzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3630za7,
		BGl_z62setzd2exzd2itzd2onexitzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762instanceofza7d23631z00,
		BGl_z62instanceofzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3632za7,
		BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762externza7d2expr3633z00,
		BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2msgzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2msgza7d23634za7,
		BGl_z62failzd2msgzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3635za7,
		BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2typeza7b03636za7, BGl_z62newzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2vtypezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23637za7,
		BGl_z62makezd2boxzd2vtypez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762privateza7d2sid3638z00,
		BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ef3639z00,
		BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2ni3640z00, BGl_z62retblockzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2getfieldzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2getfie3641z00, BGl_z62makezd2getfieldzb0zzast_nodez00,
		0L, BUNSPEC, 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2lo3642z00, BGl_z62setfieldzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2truezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3643z00,
		BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ty3644z00,
		BGl_z62wideningzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2type3645z00, BGl_z62switchzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ke3646z00, BGl_z62setfieldzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2locza7b0za73647z00, BGl_z62appzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2varza7b03648za7, BGl_z62setqzd2varzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2patchidzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2patch3649z00,
		BGl_z62patchzd2patchidzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2keyza7b0za73650z00, BGl_z62appzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ty3651z00,
		BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762newza7d2exprza7a23652za7,
		BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762failza7f3za791za7za7a3653za7, BGl_z62failzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ot3654z00,
		BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setqza7f3za791za7za7a3655za7, BGl_z62setqzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2lo3656z00, BGl_z62wideningzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2locza73657za7, BGl_z62externzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vlengthzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2vlengt3658z00, BGl_z62makezd2vlengthzb0zzast_nodez00,
		0L, BUNSPEC, 9);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ke3659z00, BGl_z62wideningzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2keyza73660za7, BGl_z62externzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2nil3661z00, BGl_z62closurezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2effe3662z00, BGl_z62pragmazd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2argzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2argza7b03663za7, BGl_z62castzd2argzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_varzd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762varza7d2variabl3664z00,
		BGl_z62varzd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2typeza7b03665za7, BGl_z62varzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2varzd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73666z00,
		BGl_z62boxzd2setz12zd2varz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2strengthzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2str3667z00,
		BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762closureza7f3za7913668za7, BGl_z62closurezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3669z00,
		BGl_z62conditionalzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762nodeza7f3za791za7za7a3670za7, BGl_z62nodezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3671z00,
		BGl_z62conditionalzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2nilza7b03672za7, BGl_z62synczd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2type3673z00, BGl_z62valloczd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2mutexzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2mutexza73674za7, BGl_z62synczd2mutexzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23675z00,
		BGl_z62genpatchidzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2nilza7b03676za7, BGl_z62atomzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ni3677za7,
		BGl_z62appzd2lyzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2pragmazd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2pragma3678z00, BGl_z62makezd2pragmazb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2type3679z00, BGl_z62returnzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762newza7d2sideza7d23680za7,
		BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setfieldzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setfie3681z00, BGl_z62makezd2setfieldzb0zzast_nodez00,
		0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2testzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3682z00,
		BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2valuezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23683za7,
		BGl_z62makezd2boxzd2valuez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2key3684z00,
		BGl_z62privatezd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ty3685z00,
		BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ef3686z00,
		BGl_z62wideningzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762switchza7f3za791za73687z00, BGl_z62switchzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2locza7b03688za7, BGl_z62castzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2vtypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2vty3689z00,
		BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2ftypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2fty3690za7,
		BGl_z62vsetz12zd2ftypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2otyp3691z00,
		BGl_z62valloczd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2typeza7d3692za7,
		BGl_z62vrefzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3693za7,
		BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vallocza7d2cza7d23694za7,
		BGl_z62valloczd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2vtypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2vty3695za7,
		BGl_z62vsetz12zd2vtypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3696za7,
		BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2bindingszd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3697za7,
		BGl_z62letzd2varzd2bindingsz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2s3698za7,
		BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2patchidzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2patch3699z00, BGl_z62patchzd2patchidzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762wideningza7d2cza73700za7,
		BGl_z62wideningzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2nodeszd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2no3701z00,
		BGl_z62sequencezd2nodeszb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2type3702z00,
		BGl_z62pragmazd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2t3703za7,
		BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762refza7d2typeza7d23704za7,
		BGl_z62refzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ke3705z00,
		BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2stackablezd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2stackab3706z00, BGl_z62appzd2stackablezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2testzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762switchza7d2test3707z00,
		BGl_z62switchzd2testzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2effectza73708za7,
		BGl_z62newzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2localszd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l3709za7,
		BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2key3710z00,
		BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2czd2formatzd2envzc0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2cza7d3711z00,
		BGl_z62vsetz12zd2czd2formatz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_returnzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762returnza7d2type3712z00,
		BGl_z62returnzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2typeza7d23713za7,
		BGl_z62appzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_retblockzd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762retblockza7d2bo3714z00,
		BGl_z62retblockzd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23715za7,
		BGl_z62makezd2boxzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2keyzd2setz12zd2envz32zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3716z00,
		BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2typeza7d3717za7,
		BGl_z62castzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_strictzd2nodezd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762strictza7d2node3718z00,
		BGl_z62strictzd2nodezd2typez62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2makezd2boxzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2makeza7d3719za7,
		BGl_z62makezd2makezd2boxz62zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3720za7,
		BGl_z62castzd2nullzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2unsafezd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2un3721z00,
		BGl_z62sequencezd2unsafezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762privateza7d2exp3722z00,
		BGl_z62privatezd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2nilzd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3723z00,
		BGl_z62nodezf2effectzd2nilz42zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7f3724za7,
		BGl_z62castzd2nullzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_synczd2prelockzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2preloc3725z00,
		BGl_z62synczd2prelockzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2ftyp3726z00, BGl_z62valloczd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762externza7d2side3727z00,
		BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2argszd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2arg3728z00, BGl_z62funcallzd2argszb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762getfieldza7f3za793729za7, BGl_z62getfieldzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ot3730z00,
		BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3731za7,
		BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762getfieldza7d2si3732z00,
		BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2appza7b03733za7, BGl_z62makezd2appzb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762externza7d2expr3734z00,
		BGl_z62externzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2nilza7b0za73735z00, BGl_z62newzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3736za7,
		BGl_z62castzd2nullzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762pragmaza7d2side3737z00,
		BGl_z62pragmazd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2type3738z00, BGl_z62pragmazd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23739z00,
		BGl_z62genpatchidzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2typeza7b3740za7, BGl_z62synczd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2classzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23741z00,
		BGl_z62instanceofzd2classzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2typ3742z00,
		BGl_z62funcallzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2locza7b3743za7, BGl_z62kwotezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2otypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2oty3744za7,
		BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vallocza7f3za791za73745z00, BGl_z62valloczf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2k3746za7,
		BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2lo3747z00, BGl_z62getfieldzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ft3748z00,
		BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2eff3749z00,
		BGl_z62privatezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2cza73750za7,
		BGl_z62setfieldzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2fnamezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2fn3751z00,
		BGl_z62getfieldzd2fnamezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ke3752z00, BGl_z62getfieldzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23753z00,
		BGl_z62genpatchidzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2keyza7d2s3754za7,
		BGl_z62appzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ty3755z00, BGl_z62getfieldzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2value3756z00, BGl_z62patchzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ty3757z00, BGl_z62setfieldzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3758za7,
		BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2otypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2oty3759za7,
		BGl_z62vsetz12zd2otypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3760z00,
		BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3007z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3761za7,
		BGl_z62zc3z04anonymousza31888ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3008z00zzast_nodez00,
		BgL_bgl_za762lambda1887za7623762z00, BGl_z62lambda1887z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762castza7f3za791za7za7a3763za7, BGl_z62castzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3009z00zzast_nodez00,
		BgL_bgl_za762lambda1886za7623764z00, BGl_z62lambda1886z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2formatzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2form3765z00, BGl_z62pragmazd2formatzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2indexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2index3766z00,
		BGl_z62patchzd2indexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2typeza7b3767za7, BGl_z62nodezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23768z00,
		BGl_z62instanceofzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2nilza7b0za73769z00, BGl_z62varzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2prelockzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2preloc3770z00, BGl_z62synczd2prelockzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23771z00,
		BGl_z62instanceofzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3010z00zzast_nodez00,
		BgL_bgl_za762lambda1893za7623772z00, BGl_z62lambda1893z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3011z00zzast_nodez00,
		BgL_bgl_za762lambda1892za7623773z00, BGl_z62lambda1892z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3012z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3774za7,
		BGl_z62zc3z04anonymousza31880ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3013z00zzast_nodez00,
		BgL_bgl_za762lambda1878za7623775z00, BGl_z62lambda1878z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3014z00zzast_nodez00,
		BgL_bgl_za762lambda1876za7623776z00, BGl_z62lambda1876z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3015z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3777za7,
		BGl_z62zc3z04anonymousza31917ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2locza7b03778za7, BGl_z62setqzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3016z00zzast_nodez00,
		BgL_bgl_za762lambda1916za7623779z00, BGl_z62lambda1916z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3017z00zzast_nodez00,
		BgL_bgl_za762lambda1915za7623780z00, BGl_z62lambda1915z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3018z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3781za7,
		BGl_z62zc3z04anonymousza31924ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3019z00zzast_nodez00,
		BgL_bgl_za762lambda1923za7623782z00, BGl_z62lambda1923z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762privateza7f3za7913783za7, BGl_z62privatezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3020z00zzast_nodez00,
		BgL_bgl_za762lambda1922za7623784z00, BGl_z62lambda1922z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3021z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3785za7,
		BGl_z62zc3z04anonymousza31907ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762sequenceza7d2si3786z00,
		BGl_z62sequencezd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3022z00zzast_nodez00,
		BgL_bgl_za762lambda1904za7623787z00, BGl_z62lambda1904z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3023z00zzast_nodez00,
		BgL_bgl_za762lambda1902za7623788z00, BGl_z62lambda1902z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3789za7,
		BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3024z00zzast_nodez00,
		BgL_bgl_za762lambda1936za7623790z00, BGl_z62lambda1936z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3025z00zzast_nodez00,
		BgL_bgl_za762lambda1935za7623791z00, BGl_z62lambda1935z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3026z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3792za7,
		BGl_z62zc3z04anonymousza31931ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2t3793za7,
		BGl_z62letzd2funzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3027z00zzast_nodez00,
		BgL_bgl_za762lambda1929za7623794z00, BGl_z62lambda1929z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3028z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3795za7,
		BGl_z62zc3z04anonymousza31946ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3029z00zzast_nodez00,
		BgL_bgl_za762lambda1944za7623796z00, BGl_z62lambda1944z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2loczd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73797z00,
		BGl_z62boxzd2setz12zd2locz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2ftyp3798z00,
		BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2typezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73799z00,
		BGl_z62boxzd2setz12zd2typez70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762conditionalza7f3800z00, BGl_z62conditionalzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762conditionalza7d3801z00,
		BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762returnza7f3za791za73802z00, BGl_z62returnzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zf3zd2envze1zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73803z00,
		BGl_z62boxzd2setz12zf3z51zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3030z00zzast_nodez00,
		BgL_bgl_za762lambda1942za7623804z00, BGl_z62lambda1942z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3031z00zzast_nodez00,
		BgL_bgl_za762lambda1961za7623805z00, BGl_z62lambda1961z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2localszd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l3806za7,
		BGl_z62letzd2funzd2localsz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3032z00zzast_nodez00,
		BgL_bgl_za762lambda1960za7623807z00, BGl_z62lambda1960z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3033z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3808za7,
		BGl_z62zc3z04anonymousza31968ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3034z00zzast_nodez00,
		BgL_bgl_za762lambda1967za7623809z00, BGl_z62lambda1967z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3035z00zzast_nodez00,
		BgL_bgl_za762lambda1966za7623810z00, BGl_z62lambda1966z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3036z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3811za7,
		BGl_z62zc3z04anonymousza31975ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2otypeza73812za7,
		BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3037z00zzast_nodez00,
		BgL_bgl_za762lambda1974za7623813z00, BGl_z62lambda1974z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3038z00zzast_nodez00,
		BgL_bgl_za762lambda1973za7623814z00, BGl_z62lambda1973z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3039z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3815za7,
		BGl_z62zc3z04anonymousza31956ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2funcallzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2funcal3816z00, BGl_z62makezd2funcallzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762sequenceza7f3za793817za7, BGl_z62sequencezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2keyza7d2s3818za7,
		BGl_z62newzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2locza73819za7, BGl_z62switchzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2otyp3820z00, BGl_z62valloczd2otypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3200z00zzast_nodez00,
		BgL_bgl_za762lambda2443za7623821z00, BGl_z62lambda2443z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3201z00zzast_nodez00,
		BgL_bgl_za762lambda2464za7623822z00, BGl_z62lambda2464z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3202z00zzast_nodez00,
		BgL_bgl_za762lambda2463za7623823z00, BGl_z62lambda2463z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3040z00zzast_nodez00,
		BgL_bgl_za762lambda1954za7623824z00, BGl_z62lambda1954z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3203z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3825za7,
		BGl_z62zc3z04anonymousza32459ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3041z00zzast_nodez00,
		BgL_bgl_za762lambda1952za7623826z00, BGl_z62lambda1952z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3204z00zzast_nodez00,
		BgL_bgl_za762lambda2457za7623827z00, BGl_z62lambda2457z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3042z00zzast_nodez00,
		BgL_bgl_za762lambda1987za7623828z00, BGl_z62lambda1987z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3205z00zzast_nodez00,
		BgL_bgl_za762lambda2455za7623829z00, BGl_z62lambda2455z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2keyza73830za7, BGl_z62switchzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3043z00zzast_nodez00,
		BgL_bgl_za762lambda1986za7623831z00, BGl_z62lambda1986z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3206z00zzast_nodez00,
		BgL_bgl_za762lambda2483za7623832z00, BGl_z62lambda2483z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3044z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3833za7,
		BGl_z62zc3z04anonymousza31982ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3207z00zzast_nodez00,
		BgL_bgl_za762lambda2482za7623834z00, BGl_z62lambda2482z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3045z00zzast_nodez00,
		BgL_bgl_za762lambda1980za7623835z00, BGl_z62lambda1980z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3208z00zzast_nodez00,
		BgL_bgl_za762lambda2489za7623836z00, BGl_z62lambda2489z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3046z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3837za7,
		BGl_z62zc3z04anonymousza31997ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3209z00zzast_nodez00,
		BgL_bgl_za762lambda2488za7623838z00, BGl_z62lambda2488z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762refza7d2typeza7b03839za7, BGl_z62refzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3047z00zzast_nodez00,
		BgL_bgl_za762lambda1995za7623840z00, BGl_z62lambda1995z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3048z00zzast_nodez00,
		BgL_bgl_za762lambda1993za7623841z00, BGl_z62lambda1993z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3049z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3842za7,
		BGl_z62zc3z04anonymousza32007ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2funzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun3843z00,
		BGl_z62funcallzd2funzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2indexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23844z00,
		BGl_z62genpatchidzd2indexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2exitzd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3845za7,
		BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2funzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun3846z00, BGl_z62funcallzd2funzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2locza7b03847za7, BGl_z62vrefzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2refzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23848za7,
		BGl_z62makezd2boxzd2refz62zzast_nodez00, 0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2typeza73849za7, BGl_z62patchzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3850za7,
		BGl_z62setzd2exzd2itzf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_retblockzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762retblockza7d2ty3851z00,
		BGl_z62retblockzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ni3852z00, BGl_z62setfieldzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3210z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3853za7,
		BGl_z62zc3z04anonymousza32477ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2lo3854z00, BGl_z62sequencezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3211z00zzast_nodez00,
		BgL_bgl_za762lambda2474za7623855z00, BGl_z62lambda2474z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3212z00zzast_nodez00,
		BgL_bgl_za762lambda2471za7623856z00, BGl_z62lambda2471z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3050z00zzast_nodez00,
		BgL_bgl_za762lambda2005za7623857z00, BGl_z62lambda2005z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3213z00zzast_nodez00,
		BgL_bgl_za762lambda2514za7623858z00, BGl_z62lambda2514z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23859z00,
		BGl_z62genpatchidzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3051z00zzast_nodez00,
		BgL_bgl_za762lambda2003za7623860z00, BGl_z62lambda2003z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3214z00zzast_nodez00,
		BgL_bgl_za762lambda2513za7623861z00, BGl_z62lambda2513z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3052z00zzast_nodez00,
		BgL_bgl_za762lambda2023za7623862z00, BGl_z62lambda2023z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3215z00zzast_nodez00,
		BgL_bgl_za762lambda2519za7623863z00, BGl_z62lambda2519z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2keyza7b03864za7, BGl_z62vrefzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3053z00zzast_nodez00,
		BgL_bgl_za762lambda2022za7623865z00, BGl_z62lambda2022z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3216z00zzast_nodez00,
		BgL_bgl_za762lambda2518za7623866z00, BGl_z62lambda2518z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3054z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3867za7,
		BGl_z62zc3z04anonymousza32018ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3217z00zzast_nodez00,
		BgL_bgl_za762lambda2525za7623868z00, BGl_z62lambda2525z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3055z00zzast_nodez00,
		BgL_bgl_za762lambda2016za7623869z00, BGl_z62lambda2016z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3218z00zzast_nodez00,
		BgL_bgl_za762lambda2524za7623870z00, BGl_z62lambda2524z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3056z00zzast_nodez00,
		BgL_bgl_za762lambda2014za7623871z00, BGl_z62lambda2014z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3219z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3872za7,
		BGl_z62zc3z04anonymousza32503ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3057z00zzast_nodez00,
		BgL_bgl_za762lambda2041za7623873z00, BGl_z62lambda2041z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3058z00zzast_nodez00,
		BgL_bgl_za762lambda2040za7623874z00, BGl_z62lambda2040z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ke3875z00, BGl_z62sequencezd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3059z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3876za7,
		BGl_z62zc3z04anonymousza32048ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2nilza7b0za73877z00, BGl_z62appzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762instanceofza7d23878z00,
		BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2valuezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23879za7,
		BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vrefza7d2sideza7d3880za7,
		BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2czd2formatzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3881za7,
		BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2typ3882z00, BGl_z62literalzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2testzd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2test3883z00, BGl_z62switchzd2testzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3884z00,
		BGl_z62conditionalzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3220z00zzast_nodez00,
		BgL_bgl_za762lambda2500za7623885z00, BGl_z62lambda2500z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ni3886z00, BGl_z62wideningzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3221z00zzast_nodez00,
		BgL_bgl_za762lambda2497za7623887z00, BGl_z62lambda2497z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2nilza73888za7, BGl_z62externzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3222z00zzast_nodez00,
		BgL_bgl_za762lambda2549za7623889z00, BGl_z62lambda2549z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2failzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2failza7b3890za7, BGl_z62makezd2failzb0zzast_nodez00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3060z00zzast_nodez00,
		BgL_bgl_za762lambda2047za7623891z00, BGl_z62lambda2047z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3223z00zzast_nodez00,
		BgL_bgl_za762lambda2548za7623892z00, BGl_z62lambda2548z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vlengthza7d2exp3893z00,
		BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3061z00zzast_nodez00,
		BgL_bgl_za762lambda2046za7623894z00, BGl_z62lambda2046z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3224z00zzast_nodez00,
		BgL_bgl_za762lambda2557za7623895z00, BGl_z62lambda2557z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3062z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3896za7,
		BGl_z62zc3z04anonymousza32056ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3225z00zzast_nodez00,
		BgL_bgl_za762lambda2556za7623897z00, BGl_z62lambda2556z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3063z00zzast_nodez00,
		BgL_bgl_za762lambda2055za7623898z00, BGl_z62lambda2055z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3226z00zzast_nodez00,
		BgL_bgl_za762lambda2562za7623899z00, BGl_z62lambda2562z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3064z00zzast_nodez00,
		BgL_bgl_za762lambda2054za7623900z00, BGl_z62lambda2054z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3227z00zzast_nodez00,
		BgL_bgl_za762lambda2561za7623901z00, BGl_z62lambda2561z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3065z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3902za7,
		BGl_z62zc3z04anonymousza32034ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3228z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3903za7,
		BGl_z62zc3z04anonymousza32539ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2nodezf2effectzd2envzf2zzast_nodez00,
		BgL_bgl_za762makeza7d2nodeza7f3904za7,
		BGl_z62makezd2nodezf2effectz42zzast_nodez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3066z00zzast_nodez00,
		BgL_bgl_za762lambda2032za7623905z00, BGl_z62lambda2032z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3229z00zzast_nodez00,
		BgL_bgl_za762lambda2537za7623906z00, BGl_z62lambda2537z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vsetz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2vsetza713907za7,
		BGl_z62makezd2vsetz12za2zzast_nodez00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3067z00zzast_nodez00,
		BgL_bgl_za762lambda2030za7623908z00, BGl_z62lambda2030z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3068z00zzast_nodez00,
		BgL_bgl_za762lambda2071za7623909z00, BGl_z62lambda2071z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3069z00zzast_nodez00,
		BgL_bgl_za762lambda2070za7623910z00, BGl_z62lambda2070z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ft3911z00,
		BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23912za7,
		BGl_z62makezd2boxzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3913z00,
		BGl_z62conditionalzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3230z00zzast_nodez00,
		BgL_bgl_za762lambda2535za7623914z00, BGl_z62lambda2535z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3231z00zzast_nodez00,
		BgL_bgl_za762lambda2580za7623915z00, BGl_z62lambda2580z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3232z00zzast_nodez00,
		BgL_bgl_za762lambda2579za7623916z00, BGl_z62lambda2579z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2keyza73917za7,
		BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2synczd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2syncza7b3918za7, BGl_z62makezd2synczb0zzast_nodez00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3070z00zzast_nodez00,
		BgL_bgl_za762lambda2076za7623919z00, BGl_z62lambda2076z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3320z00zzast_nodez00,
		BgL_bgl_string3320za700za7za7a3920za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3233z00zzast_nodez00,
		BgL_bgl_za762lambda2585za7623921z00, BGl_z62lambda2585z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3071z00zzast_nodez00,
		BgL_bgl_za762lambda2075za7623922z00, BGl_z62lambda2075z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3234z00zzast_nodez00,
		BgL_bgl_za762lambda2584za7623923z00, BGl_z62lambda2584z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23924za7,
		BGl_z62makezd2boxzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3072z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3925za7,
		BGl_z62zc3z04anonymousza32083ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3322z00zzast_nodez00,
		BgL_bgl_string3322za700za7za7a3926za7, "node-walk1718", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3235z00zzast_nodez00,
		BgL_bgl_za762lambda2591za7623927z00, BGl_z62lambda2591z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3073z00zzast_nodez00,
		BgL_bgl_za762lambda2082za7623928z00, BGl_z62lambda2082z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3323z00zzast_nodez00,
		BgL_bgl_string3323za700za7za7a3929za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3236z00zzast_nodez00,
		BgL_bgl_za762lambda2590za7623930z00, BGl_z62lambda2590z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2effe3931z00,
		BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2argzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2argza7d23932za7,
		BGl_z62castzd2argzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3074z00zzast_nodez00,
		BgL_bgl_za762lambda2081za7623933z00, BGl_z62lambda2081z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3237z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3934za7,
		BGl_z62zc3z04anonymousza32573ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3075z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3935za7,
		BGl_z62zc3z04anonymousza32066ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3325z00zzast_nodez00,
		BgL_bgl_string3325za700za7za7a3936za7, "node-walk", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3238z00zzast_nodez00,
		BgL_bgl_za762lambda2571za7623937z00, BGl_z62lambda2571z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3076z00zzast_nodez00,
		BgL_bgl_za762lambda2064za7623938z00, BGl_z62lambda2064z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3239z00zzast_nodez00,
		BgL_bgl_za762lambda2569za7623939z00, BGl_z62lambda2569z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3077z00zzast_nodez00,
		BgL_bgl_za762lambda2062za7623940z00, BGl_z62lambda2062z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2var3941z00,
		BGl_z62closurezd2variablezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3078z00zzast_nodez00,
		BgL_bgl_za762lambda2100za7623942z00, BGl_z62lambda2100z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3079z00zzast_nodez00,
		BgL_bgl_za762lambda2099za7623943z00, BGl_z62lambda2099z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2bodyza7d3944za7,
		BGl_z62synczd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2typeza7d23945za7,
		BGl_z62newzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2vtypezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23946za7,
		BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762retblockza7f3za793947za7, BGl_z62retblockzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23948z00,
		BGl_z62instanceofzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2t3949za7,
		BGl_z62boxzd2refzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2locza73950za7, BGl_z62pragmazd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3240z00zzast_nodez00,
		BgL_bgl_za762lambda2608za7623951z00, BGl_z62lambda2608z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3241z00zzast_nodez00,
		BgL_bgl_za762lambda2607za7623952z00, BGl_z62lambda2607z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3242z00zzast_nodez00,
		BgL_bgl_za762lambda2613za7623953z00, BGl_z62lambda2613z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3080z00zzast_nodez00,
		BgL_bgl_za762lambda2105za7623954z00, BGl_z62lambda2105z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3243z00zzast_nodez00,
		BgL_bgl_za762lambda2612za7623955z00, BGl_z62lambda2612z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3081z00zzast_nodez00,
		BgL_bgl_za762lambda2104za7623956z00, BGl_z62lambda2104z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3244z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3957za7,
		BGl_z62zc3z04anonymousza32602ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3082z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3958za7,
		BGl_z62zc3z04anonymousza32094ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3245z00zzast_nodez00,
		BgL_bgl_za762lambda2600za7623959z00, BGl_z62lambda2600z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3083z00zzast_nodez00,
		BgL_bgl_za762lambda2092za7623960z00, BGl_z62lambda2092z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3246z00zzast_nodez00,
		BgL_bgl_za762lambda2598za7623961z00, BGl_z62lambda2598z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3962za7,
		BGl_z62castzd2nullzd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3084z00zzast_nodez00,
		BgL_bgl_za762lambda2089za7623963z00, BGl_z62lambda2089z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3247z00zzast_nodez00,
		BgL_bgl_za762lambda2631za7623964z00, BGl_z62lambda2631z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2keyza73965za7, BGl_z62pragmazd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3085z00zzast_nodez00,
		BgL_bgl_za762lambda2120za7623966z00, BGl_z62lambda2120z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3248z00zzast_nodez00,
		BgL_bgl_za762lambda2630za7623967z00, BGl_z62lambda2630z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3086z00zzast_nodez00,
		BgL_bgl_za762lambda2119za7623968z00, BGl_z62lambda2119z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3249z00zzast_nodez00,
		BgL_bgl_za762lambda2636za7623969z00, BGl_z62lambda2636z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3087z00zzast_nodez00,
		BgL_bgl_za762lambda2125za7623970z00, BGl_z62lambda2125z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2typezd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3971z00,
		BGl_z62nodezf2effectzd2typez42zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3088z00zzast_nodez00,
		BgL_bgl_za762lambda2124za7623972z00, BGl_z62lambda2124z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2ftypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2fty3973za7,
		BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7f3za73974z00,
		BGl_z62boxzd2refzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3089z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3975za7,
		BGl_z62zc3z04anonymousza32133ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ot3976z00,
		BGl_z62wideningzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ft3977z00,
		BGl_z62getfieldzd2ftypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762switchza7d2side3978z00,
		BGl_z62switchzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2genpatchidzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2genpat3979z00,
		BGl_z62makezd2genpatchidzb0zzast_nodez00, 0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2loc3980z00, BGl_z62privatezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3250z00zzast_nodez00,
		BgL_bgl_za762lambda2635za7623981z00, BGl_z62lambda2635z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3251z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3982za7,
		BGl_z62zc3z04anonymousza32645ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762kwoteza7f3za791za7za73983za7, BGl_z62kwotezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3252z00zzast_nodez00,
		BgL_bgl_za762lambda2644za7623984z00, BGl_z62lambda2644z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3090z00zzast_nodez00,
		BgL_bgl_za762lambda2132za7623985z00, BGl_z62lambda2132z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3253z00zzast_nodez00,
		BgL_bgl_za762lambda2643za7623986z00, BGl_z62lambda2643z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3091z00zzast_nodez00,
		BgL_bgl_za762lambda2131za7623987z00, BGl_z62lambda2131z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3254z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3988za7,
		BGl_z62zc3z04anonymousza32625ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3092z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3989za7,
		BGl_z62zc3z04anonymousza32140ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3255z00zzast_nodez00,
		BgL_bgl_za762lambda2622za7623990z00, BGl_z62lambda2622z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3093z00zzast_nodez00,
		BgL_bgl_za762lambda2139za7623991z00, BGl_z62lambda2139z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3256z00zzast_nodez00,
		BgL_bgl_za762lambda2620za7623992z00, BGl_z62lambda2620z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3094z00zzast_nodez00,
		BgL_bgl_za762lambda2138za7623993z00, BGl_z62lambda2138z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3257z00zzast_nodez00,
		BgL_bgl_za762lambda2661za7623994z00, BGl_z62lambda2661z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3095z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3995za7,
		BGl_z62zc3z04anonymousza32115ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3258z00zzast_nodez00,
		BgL_bgl_za762lambda2660za7623996z00, BGl_z62lambda2660z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3096z00zzast_nodez00,
		BgL_bgl_za762lambda2113za7623997z00, BGl_z62lambda2113z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3346z00zzast_nodez00,
		BgL_bgl_string3346za700za7za7a3998za7, "ast_node", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3259z00zzast_nodez00,
		BgL_bgl_za762lambda2666za7623999z00, BGl_z62lambda2666z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2key4000z00, BGl_z62privatezd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3097z00zzast_nodez00,
		BgL_bgl_za762lambda2111za7624001z00, BGl_z62lambda2111z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STRING(BGl_string3347z00zzast_nodez00,
		BgL_bgl_string3347za700za7za7a4002za7,
		"node-walk1718 \077\077? _ sync prelock mutex box-set! box-ref make-box return block retblock jump-ex-it exit set-ex-it onexit let-var removable? bindings let-fun body locals switch item-type clauses fail msg proc conditional false true test setq cast cast-null instanceof class vlength vset! vref vtype valloc new args-type widening setfield getfield otype ftype fname private c-format genpatchid rindex pragma bstring format extern effect expr* funcall functions symbol strength app-ly arg app stackable args fun sequence meta bool unsafe pair-nil nodes kwote closure var variable patch patchid long index ref literal atom value node/effect key side-effect ast_node node type obj loc ",
		679);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3098z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4003za7,
		BGl_z62zc3z04anonymousza32158ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3099z00zzast_nodez00,
		BgL_bgl_za762lambda2157za7624004z00, BGl_z62lambda2157z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762instanceofza7d24005z00,
		BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nilza7b04006za7, BGl_z62castzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2switchzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2switch4007z00, BGl_z62makezd2switchzb0zzast_nodez00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2conditionalzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2condit4008z00,
		BGl_z62makezd2conditionalzb0zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762conditionalza7d4009z00,
		BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762wideningza7d2ex4010z00,
		BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l4011za7,
		BGl_z62letzd2funzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762refza7d2locza7b0za74012z00, BGl_z62refzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3260z00zzast_nodez00,
		BgL_bgl_za762lambda2665za7624013z00, BGl_z62lambda2665z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2funzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2fu4014za7,
		BGl_z62appzd2lyzd2funz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2varzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v4015za7,
		BGl_z62boxzd2refzd2varz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3261z00zzast_nodez00,
		BgL_bgl_za762lambda2671za7624016z00, BGl_z62lambda2671z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3262z00zzast_nodez00,
		BgL_bgl_za762lambda2670za7624017z00, BGl_z62lambda2670z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setzd2exzd2itzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setza7d24018za7,
		BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3263z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4019za7,
		BGl_z62zc3z04anonymousza32656ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3264z00zzast_nodez00,
		BgL_bgl_za762lambda2654za7624020z00, BGl_z62lambda2654z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3265z00zzast_nodez00,
		BgL_bgl_za762lambda2652za7624021z00, BGl_z62lambda2652z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3266z00zzast_nodez00,
		BgL_bgl_za762lambda2687za7624022z00, BGl_z62lambda2687z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3267z00zzast_nodez00,
		BgL_bgl_za762lambda2686za7624023z00, BGl_z62lambda2686z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3268z00zzast_nodez00,
		BgL_bgl_za762lambda2692za7624024z00, BGl_z62lambda2692z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2k4025za7,
		BGl_z62letzd2funzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3269z00zzast_nodez00,
		BgL_bgl_za762lambda2691za7624026z00, BGl_z62lambda2691z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2stackablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2stackab4027z00,
		BGl_z62appzd2stackablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762atomza7d2typeza7d4028za7,
		BGl_z62atomzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2t4029za7,
		BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2keyza7d24030za7,
		BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2fnamezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2fn4031z00,
		BGl_z62setfieldzd2fnamezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3270z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4032za7,
		BGl_z62zc3z04anonymousza32682ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3271z00zzast_nodez00,
		BgL_bgl_za762lambda2680za7624033z00, BGl_z62lambda2680z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3272z00zzast_nodez00,
		BgL_bgl_za762lambda2678za7624034z00, BGl_z62lambda2678z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3273z00zzast_nodez00,
		BgL_bgl_za762lambda2707za7624035z00, BGl_z62lambda2707z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3274z00zzast_nodez00,
		BgL_bgl_za762lambda2706za7624036z00, BGl_z62lambda2706z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3275z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4037za7,
		BGl_z62zc3z04anonymousza32702ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3276z00zzast_nodez00,
		BgL_bgl_za762lambda2700za7624038z00, BGl_z62lambda2700z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3277z00zzast_nodez00,
		BgL_bgl_za762lambda2698za7624039z00, BGl_z62lambda2698z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3278z00zzast_nodez00,
		BgL_bgl_za762lambda2727za7624040z00, BGl_z62lambda2727z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3279z00zzast_nodez00,
		BgL_bgl_za762lambda2726za7624041z00, BGl_z62lambda2726z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762privateza7d2cza7d4042za7,
		BGl_z62privatezd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2typ4043z00,
		BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2retblockzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2retblo4044z00, BGl_z62makezd2retblockzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2removablezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2r4045za7,
		BGl_z62letzd2varzd2removablezf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3280z00zzast_nodez00,
		BgL_bgl_za762lambda2732za7624046z00, BGl_z62lambda2732z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3281z00zzast_nodez00,
		BgL_bgl_za762lambda2731za7624047z00, BGl_z62lambda2731z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3282z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4048za7,
		BGl_z62zc3z04anonymousza32722ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3283z00zzast_nodez00,
		BgL_bgl_za762lambda2718za7624049z00, BGl_z62lambda2718z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3284z00zzast_nodez00,
		BgL_bgl_za762lambda2716za7624050z00, BGl_z62lambda2716z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setfieldza7f3za794051za7, BGl_z62setfieldzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3285z00zzast_nodez00,
		BgL_bgl_za762lambda2751za7624052z00, BGl_z62lambda2751z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762instanceofza7d24053z00,
		BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3286z00zzast_nodez00,
		BgL_bgl_za762lambda2750za7624054z00, BGl_z62lambda2750z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3287z00zzast_nodez00,
		BgL_bgl_za762lambda2757za7624055z00, BGl_z62lambda2757z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3288z00zzast_nodez00,
		BgL_bgl_za762lambda2756za7624056z00, BGl_z62lambda2756z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3289z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4057za7,
		BGl_z62zc3z04anonymousza32770ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762setfieldza7d2si4058z00,
		BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2itemzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762switchza7d2item4059z00,
		BGl_z62switchzd2itemzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzf3zd2envzd3zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4060z00,
		BGl_z62nodezf2effectzf3z63zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2effectza74061za7, BGl_z62newzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2rindexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24062z00,
		BGl_z62genpatchidzd2rindexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2ftypeza74063za7, BGl_z62vrefzd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2exprza2zd2envz70zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4064za7,
		BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3290z00zzast_nodez00,
		BgL_bgl_za762lambda2769za7624065z00, BGl_z62lambda2769z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3291z00zzast_nodez00,
		BgL_bgl_za762lambda2768za7624066z00, BGl_z62lambda2768z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2fty4067z00, BGl_z62vlengthzd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3292z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4068za7,
		BGl_z62zc3z04anonymousza32745ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3293z00zzast_nodez00,
		BgL_bgl_za762lambda2743za7624069z00, BGl_z62lambda2743z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3294z00zzast_nodez00,
		BgL_bgl_za762lambda2739za7624070z00, BGl_z62lambda2739z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3295z00zzast_nodez00,
		BgL_bgl_za762lambda2788za7624071z00, BGl_z62lambda2788z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3296z00zzast_nodez00,
		BgL_bgl_za762lambda2787za7624072z00, BGl_z62lambda2787z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3297z00zzast_nodez00,
		BgL_bgl_za762lambda2794za7624073z00, BGl_z62lambda2794z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3298z00zzast_nodez00,
		BgL_bgl_za762lambda2793za7624074z00, BGl_z62lambda2793z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3299z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4075za7,
		BGl_z62zc3z04anonymousza32783ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762atomza7d2valueza74076za7,
		BGl_z62atomzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4077za7,
		BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2proczd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2procza7d4078za7,
		BGl_z62failzd2proczd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2vtypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2vtypeza74079za7, BGl_z62vrefzd2vtypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2vtypezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2vty4080z00, BGl_z62vlengthzd2vtypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4081z00,
		BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2castzd2nullzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2castza7d4082za7,
		BGl_z62makezd2castzd2nullz62zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2ftypeza74083za7,
		BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vallocza7d2side4084z00,
		BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2cza74085za7,
		BGl_z62getfieldzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2t4086za7,
		BGl_z62letzd2varzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2rindexzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24087z00,
		BGl_z62genpatchidzd2rindexzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ef4088z00,
		BGl_z62getfieldzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2cza7d4089za7,
		BGl_z62vlengthzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2falsezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4090z00,
		BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2argszd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762newza7d2argsza7d24091za7,
		BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2loczd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2loc4092za7, BGl_z62vsetz12zd2locza2zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2newzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2newza7b04093za7, BGl_z62makezd2newzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2keyzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2key4094za7, BGl_z62vsetz12zd2keyza2zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2nilza7b4095za7, BGl_z62kwotezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2variabl4096z00, BGl_z62varzd2variablezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24097z00,
		BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2sid4098z00,
		BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ni4099z00, BGl_z62getfieldzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762switchza7d2type4100z00,
		BGl_z62switchzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vrefzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2vrefza7b4101za7, BGl_z62makezd2vrefzb0zzast_nodez00,
		0L, BUNSPEC, 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762wideningza7d2si4102z00,
		BGl_z62wideningzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ot4103z00,
		BGl_z62getfieldzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762closureza7d2typ4104z00,
		BGl_z62closurezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762patchza7f3za791za7za74105za7, BGl_z62patchzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2typeza7b04106za7, BGl_z62appzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2vtypezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v4107za7,
		BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2exprza2zd2envzb0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2exp4108za7,
		BGl_z62vsetz12zd2exprza2z00zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4109za7,
		BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vrefza7d2sideza7d4110za7,
		BGl_z62vrefzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2typeza7b4111za7, BGl_z62atomzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24112za7,
		BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2typeza7d4113za7,
		BGl_z62synczd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2instanceofzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2instan4114z00,
		BGl_z62makezd2instanceofzb0zzast_nodez00, 0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d24115z00,
		BGl_z62instanceofzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2s4116za7,
		BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2exprza2zd2setz12zd2envzb0zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4117za7,
		BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2ty4118z00, BGl_z62retblockzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762pragmaza7d2expr4119z00,
		BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2nilza7b04120za7, BGl_z62setqzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2si4121z00,
		BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762sequenceza7d2si4122z00,
		BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ty4123za7,
		BGl_z62appzd2lyzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vallocza7d2side4124z00,
		BGl_z62valloczd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762pragmaza7d2expr4125z00,
		BGl_z62pragmazd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2varzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4126za7,
		BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24127z00,
		BGl_z62genpatchidzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7f3za744128z00, BGl_z62appzd2lyzf3z43zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7f34129za7, BGl_z62makezd2boxzf3z43zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2nilzd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74130z00,
		BGl_z62boxzd2setz12zd2nilz70zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24131za7,
		BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2truezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4132z00,
		BGl_z62conditionalzd2truezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2typeza7b4133za7, BGl_z62vrefzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ft4134z00,
		BGl_z62setfieldzd2ftypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2typezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74135z00,
		BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2metazd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2me4136z00, BGl_z62sequencezd2metazb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24137z00,
		BGl_z62genpatchidzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2otypeza74138za7, BGl_z62vrefzd2otypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vrefza7f3za791za7za7a4139za7, BGl_z62vrefzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vallocza7d2expr4140z00,
		BGl_z62valloczd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2refzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2refza7b4141za7, BGl_z62patchzd2refzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4142za7,
		BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczf3zd2envz21zzast_nodez00,
		BgL_bgl_za762syncza7f3za791za7za7a4143za7, BGl_z62synczf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2nilza74144za7, BGl_z62switchzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2privatezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2privat4145z00, BGl_z62makezd2privatezb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2l4146za7,
		BGl_z62letzd2varzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762privateza7d2sid4147z00,
		BGl_z62privatezd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762newza7f3za791za7za7as4148za7, BGl_z62newzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2typezd2setz12zd2envz32zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4149z00,
		BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2k4150za7,
		BGl_z62letzd2varzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2itemzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762switchza7d2item4151z00,
		BGl_z62switchzd2itemzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2bodyza7b4152za7, BGl_z62synczd2bodyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ty4153za7,
		BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2strengthzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2str4154z00,
		BGl_z62funcallzd2strengthzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2nilza7b04155za7, BGl_z62vrefzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2letzd2funzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2letza7d24156za7,
		BGl_z62makezd2letzd2funz62zzast_nodez00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2classzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24157z00,
		BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2s4158za7,
		BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ni4159z00, BGl_z62sequencezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2typeza7b4160za7, BGl_z62failzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2locza74161za7, BGl_z62valloczd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2argszd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2argsza7d24162za7,
		BGl_z62newzd2argszd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2keyza74163za7, BGl_z62valloczd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762switchza7d2side4164z00,
		BGl_z62switchzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2locza7b4165za7, BGl_z62patchzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2objzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2objza7d24166za7,
		BGl_z62failzd2objzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2l4167za7,
		BGl_z62boxzd2refzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24168z00,
		BGl_z62genpatchidzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24169za7,
		BGl_z62makezd2boxzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2k4170za7,
		BGl_z62boxzd2refzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_refzd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762refza7d2variabl4171z00,
		BGl_z62refzd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2k4172za7,
		BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2cza7d2for4173za7,
		BGl_z62newzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2kwotezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2kwoteza74174za7, BGl_z62makezd2kwotezb0zzast_nodez00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2typeza74175za7,
		BGl_z62patchzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2removablezf3zd2setz12zd2envze1zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2r4176za7,
		BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2type4177z00,
		BGl_z62externzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2testzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4178z00,
		BGl_z62conditionalzd2testzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762externza7d2side4179z00,
		BGl_z62externzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2vtypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2vty4180za7,
		BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762funcallza7f3za7914181za7, BGl_z62funcallzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24182za7,
		BGl_z62makezd2boxzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2locza74183za7, BGl_z62returnzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2value4184z00, BGl_z62kwotezd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2funzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2funza7b0za74185z00, BGl_z62appzd2funzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24186z00,
		BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762appza7f3za791za7za7as4187za7, BGl_z62appzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2nilza74188za7, BGl_z62pragmazd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762wideningza7d2ex4189z00,
		BGl_z62wideningzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2eff4190z00,
		BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2falsezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4191z00,
		BGl_z62conditionalzd2falsezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762atomza7f3za791za7za7a4192za7, BGl_z62atomzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2effe4193z00, BGl_z62externzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762kwoteza7d2typeza74194za7,
		BGl_z62kwotezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2value4195z00,
		BGl_z62patchzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2patchzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2patchza74196za7, BGl_z62makezd2patchzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4197za7,
		BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762newza7d2exprza7a24198za7, BGl_z62newzd2exprza2z12zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2loc4199z00, BGl_z62vlengthzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ty4200z00, BGl_z62sequencezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ef4201z00,
		BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2nil4202z00, BGl_z62privatezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4203za7,
		BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2typeza7b4204za7, BGl_z62setqzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2key4205z00, BGl_z62vlengthzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2argzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ar4206za7,
		BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762externza7f3za791za74207z00, BGl_z62externzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2bodyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2b4208za7,
		BGl_z62letzd2funzd2bodyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2loc4209z00, BGl_z62literalzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24210za7,
		BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ty4211z00,
		BGl_z62sequencezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2effect4212z00,
		BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2n4213za7,
		BGl_z62letzd2funzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2typ4214z00, BGl_z62closurezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762refza7d2nilza7b0za74215z00, BGl_z62refzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2sidezd2effectzd2envzc0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2sid4216za7,
		BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vlengthza7f3za7914217za7, BGl_z62vlengthzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762refza7f3za791za7za7as4218za7, BGl_z62refzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2effectzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2eff4219za7,
		BGl_z62vsetz12zd2effectza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vlengthza7d2sid4220z00,
		BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762varza7f3za791za7za7as4221za7, BGl_z62varzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ot4222z00,
		BGl_z62setfieldzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2nodezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2nodeza7b4223za7, BGl_z62makezd2nodezb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2locza7b04224za7, BGl_z62nodezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24225z00,
		BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ex4226z00,
		BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2val4227z00, BGl_z62literalzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ef4228z00,
		BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2blockzd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2bloc4229z00, BGl_z62returnzd2blockzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4230za7,
		BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2locza7b04231za7, BGl_z62failzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2type4232z00,
		BGl_z62valloczd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762literalza7f3za7914233za7, BGl_z62literalzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2clauseszd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2clau4234z00,
		BGl_z62switchzd2clauseszb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2loc4235z00, BGl_z62funcallzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2vtypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2vtypeza74236za7,
		BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762wideningza7f3za794237za7, BGl_z62wideningzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2indexzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2index4238z00, BGl_z62patchzd2indexzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2effe4239z00,
		BGl_z62valloczd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2effe4240z00, BGl_z62valloczd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2valueza74241za7,
		BGl_z62setqzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2s4242za7,
		BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2functionszd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4243z00,
		BGl_z62funcallzd2functionszb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2stackablezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24244za7,
		BGl_z62makezd2boxzd2stackablez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2bindingszd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b4245za7,
		BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2mutexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2mutexza74246za7,
		BGl_z62synczd2mutexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vrefza7d2cza7d2fo4247za7,
		BGl_z62vrefzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2typeza7b4248za7, BGl_z62castzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2indexzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24249z00,
		BGl_z62genpatchidzd2indexzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24250z00,
		BGl_z62genpatchidzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24251za7,
		BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2lo4252z00, BGl_z62retblockzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_closurez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_syncz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_sequencez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_letzd2varzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_failz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_boxzd2refzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_externz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_pragmaz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_appzd2lyzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_wideningz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vallocz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_castzd2nullzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_conditionalz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_patchz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_setqz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_returnz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_nodezf2effectzf2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_newz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vlengthz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_setzd2exzd2itz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_atomz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_getfieldz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_castz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_refz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_varz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_makezd2boxzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_boxzd2setz12zc0zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_appz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vrefz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_nodez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_kwotez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_jumpzd2exzd2itz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_retblockz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_instanceofz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_privatez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_letzd2funzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_setfieldz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_genpatchidz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_literalz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_switchz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_funcallz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vsetz12z12zzast_nodez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long
		BgL_checksumz00_10403, char *BgL_fromz00_10404)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzast_nodez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_nodez00();
					BGl_libraryzd2moduleszd2initz00zzast_nodez00();
					BGl_cnstzd2initzd2zzast_nodez00();
					BGl_importedzd2moduleszd2initz00zzast_nodez00();
					BGl_objectzd2initzd2zzast_nodez00();
					BGl_genericzd2initzd2zzast_nodez00();
					BGl_methodzd2initzd2zzast_nodez00();
					return BGl_toplevelzd2initzd2zzast_nodez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			{	/* Ast/node.scm 14 */
				obj_t BgL_cportz00_8896;

				{	/* Ast/node.scm 14 */
					obj_t BgL_stringz00_8903;

					BgL_stringz00_8903 = BGl_string3347z00zzast_nodez00;
					{	/* Ast/node.scm 14 */
						obj_t BgL_startz00_8904;

						BgL_startz00_8904 = BINT(((long) 0));
						{	/* Ast/node.scm 14 */
							obj_t BgL_endz00_8905;

							BgL_endz00_8905 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_8903)));
							{	/* Ast/node.scm 14 */

								BgL_cportz00_8896 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_8903, BgL_startz00_8904, BgL_endz00_8905);
				}}}}
				{
					long BgL_iz00_8897;

					BgL_iz00_8897 = ((long) 95);
				BgL_loopz00_8898:
					if ((BgL_iz00_8897 == ((long) -1)))
						{	/* Ast/node.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/node.scm 14 */
							{	/* Ast/node.scm 14 */
								obj_t BgL_arg3348z00_8899;

								{	/* Ast/node.scm 14 */

									{	/* Ast/node.scm 14 */
										obj_t BgL_locationz00_8901;

										BgL_locationz00_8901 = BBOOL(((bool_t) 0));
										{	/* Ast/node.scm 14 */

											BgL_arg3348z00_8899 =
												BGl_readz00zz__readerz00(BgL_cportz00_8896,
												BgL_locationz00_8901);
										}
									}
								}
								{	/* Ast/node.scm 14 */
									int BgL_tmpz00_10435;

									BgL_tmpz00_10435 = (int) (BgL_iz00_8897);
									CNST_TABLE_SET(BgL_tmpz00_10435, BgL_arg3348z00_8899);
							}}
							{	/* Ast/node.scm 14 */
								int BgL_auxz00_8902;

								BgL_auxz00_8902 = (int) ((BgL_iz00_8897 - ((long) 1)));
								{
									long BgL_iz00_10440;

									BgL_iz00_10440 = (long) (BgL_auxz00_8902);
									BgL_iz00_8897 = BgL_iz00_10440;
									goto BgL_loopz00_8898;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			return BUNSPEC;
		}

	}



/* make-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t
		BgL_loc1735z00_3, BgL_typez00_bglt BgL_type1736z00_4)
	{
		{	/* Ast/nodetype.sch 743 */
			{	/* Ast/nodetype.sch 743 */
				BgL_nodez00_bglt BgL_new1436z00_8907;

				{	/* Ast/nodetype.sch 743 */
					BgL_nodez00_bglt BgL_new1435z00_8908;

					BgL_new1435z00_8908 =
						((BgL_nodez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/nodetype.sch 743 */
						long BgL_arg1769z00_8909;

						BgL_arg1769z00_8909 = BGL_CLASS_NUM(BGl_nodez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1435z00_8908), BgL_arg1769z00_8909);
					}
					BgL_new1436z00_8907 = BgL_new1435z00_8908;
				}
				((((BgL_nodez00_bglt) COBJECT(BgL_new1436z00_8907))->BgL_locz00) =
					((obj_t) BgL_loc1735z00_3), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(BgL_new1436z00_8907))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1736z00_4), BUNSPEC);
				return BgL_new1436z00_8907;
			}
		}

	}



/* &make-node */
	BgL_nodez00_bglt BGl_z62makezd2nodezb0zzast_nodez00(obj_t BgL_envz00_6163,
		obj_t BgL_loc1735z00_6164, obj_t BgL_type1736z00_6165)
	{
		{	/* Ast/nodetype.sch 743 */
			return
				BGl_makezd2nodezd2zzast_nodez00(BgL_loc1735z00_6164,
				((BgL_typez00_bglt) BgL_type1736z00_6165));
		}

	}



/* node? */
	BGL_EXPORTED_DEF bool_t BGl_nodezf3zf3zzast_nodez00(obj_t BgL_objz00_5)
	{
		{	/* Ast/nodetype.sch 744 */
			{	/* Ast/nodetype.sch 744 */
				obj_t BgL_classz00_8910;

				BgL_classz00_8910 = BGl_nodez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_5))
					{	/* Ast/nodetype.sch 744 */
						BgL_objectz00_bglt BgL_arg1820z00_8911;

						BgL_arg1820z00_8911 = (BgL_objectz00_bglt) (BgL_objz00_5);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 744 */
								long BgL_idxz00_8912;

								BgL_idxz00_8912 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8911);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8912 + ((long) 1))) == BgL_classz00_8910);
							}
						else
							{	/* Ast/nodetype.sch 744 */
								bool_t BgL_res2960z00_8915;

								{	/* Ast/nodetype.sch 744 */
									obj_t BgL_oclassz00_8916;

									{	/* Ast/nodetype.sch 744 */
										long BgL_arg1828z00_8917;

										{	/* Ast/nodetype.sch 744 */
											long BgL_arg1829z00_8918;

											BgL_arg1829z00_8918 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8911);
											BgL_arg1828z00_8917 = (BgL_arg1829z00_8918 - OBJECT_TYPE);
										}
										BgL_oclassz00_8916 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8917);
									}
									{	/* Ast/nodetype.sch 744 */
										bool_t BgL__ortest_1111z00_8919;

										BgL__ortest_1111z00_8919 =
											(BgL_classz00_8910 == BgL_oclassz00_8916);
										if (BgL__ortest_1111z00_8919)
											{	/* Ast/nodetype.sch 744 */
												BgL_res2960z00_8915 = BgL__ortest_1111z00_8919;
											}
										else
											{	/* Ast/nodetype.sch 744 */
												long BgL_odepthz00_8920;

												BgL_odepthz00_8920 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8916);
												if ((((long) 1) < BgL_odepthz00_8920))
													{	/* Ast/nodetype.sch 744 */
														obj_t BgL_arg1816z00_8921;

														BgL_arg1816z00_8921 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8916,
															((long) 1));
														BgL_res2960z00_8915 =
															(BgL_arg1816z00_8921 == BgL_classz00_8910);
													}
												else
													{	/* Ast/nodetype.sch 744 */
														BgL_res2960z00_8915 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2960z00_8915;
							}
					}
				else
					{	/* Ast/nodetype.sch 744 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &node? */
	obj_t BGl_z62nodezf3z91zzast_nodez00(obj_t BgL_envz00_6166,
		obj_t BgL_objz00_6167)
	{
		{	/* Ast/nodetype.sch 744 */
			return BBOOL(BGl_nodezf3zf3zzast_nodez00(BgL_objz00_6167));
		}

	}



/* node-nil */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 745 */
			{	/* Ast/nodetype.sch 745 */
				obj_t BgL_classz00_3841;

				BgL_classz00_3841 = BGl_nodez00zzast_nodez00;
				{	/* Ast/nodetype.sch 745 */
					obj_t BgL__ortest_1113z00_3842;

					BgL__ortest_1113z00_3842 = BGL_CLASS_NIL(BgL_classz00_3841);
					if (CBOOL(BgL__ortest_1113z00_3842))
						{	/* Ast/nodetype.sch 745 */
							return ((BgL_nodez00_bglt) BgL__ortest_1113z00_3842);
						}
					else
						{	/* Ast/nodetype.sch 745 */
							return
								((BgL_nodez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3841));
						}
				}
			}
		}

	}



/* &node-nil */
	BgL_nodez00_bglt BGl_z62nodezd2nilzb0zzast_nodez00(obj_t BgL_envz00_6168)
	{
		{	/* Ast/nodetype.sch 745 */
			return BGl_nodezd2nilzd2zzast_nodez00();
		}

	}



/* node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt BgL_oz00_6)
	{
		{	/* Ast/nodetype.sch 746 */
			return (((BgL_nodez00_bglt) COBJECT(BgL_oz00_6))->BgL_typez00);
		}

	}



/* &node-type */
	BgL_typez00_bglt BGl_z62nodezd2typezb0zzast_nodez00(obj_t BgL_envz00_6169,
		obj_t BgL_oz00_6170)
	{
		{	/* Ast/nodetype.sch 746 */
			return
				BGl_nodezd2typezd2zzast_nodez00(((BgL_nodez00_bglt) BgL_oz00_6170));
		}

	}



/* node-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt BgL_oz00_7,
		BgL_typez00_bglt BgL_vz00_8)
	{
		{	/* Ast/nodetype.sch 747 */
			return
				((((BgL_nodez00_bglt) COBJECT(BgL_oz00_7))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_8), BUNSPEC);
		}

	}



/* &node-type-set! */
	obj_t BGl_z62nodezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6171,
		obj_t BgL_oz00_6172, obj_t BgL_vz00_6173)
	{
		{	/* Ast/nodetype.sch 747 */
			return
				BGl_nodezd2typezd2setz12z12zzast_nodez00(
				((BgL_nodez00_bglt) BgL_oz00_6172), ((BgL_typez00_bglt) BgL_vz00_6173));
		}

	}



/* node-loc */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt
		BgL_oz00_9)
	{
		{	/* Ast/nodetype.sch 748 */
			return (((BgL_nodez00_bglt) COBJECT(BgL_oz00_9))->BgL_locz00);
		}

	}



/* &node-loc */
	obj_t BGl_z62nodezd2loczb0zzast_nodez00(obj_t BgL_envz00_6174,
		obj_t BgL_oz00_6175)
	{
		{	/* Ast/nodetype.sch 748 */
			return BGl_nodezd2loczd2zzast_nodez00(((BgL_nodez00_bglt) BgL_oz00_6175));
		}

	}



/* make-node/effect */
	BGL_EXPORTED_DEF BgL_nodezf2effectzf2_bglt
		BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t BgL_loc1730z00_12,
		BgL_typez00_bglt BgL_type1731z00_13, obj_t BgL_sidezd2effect1732zd2_14,
		obj_t BgL_key1733z00_15)
	{
		{	/* Ast/nodetype.sch 752 */
			{	/* Ast/nodetype.sch 752 */
				BgL_nodezf2effectzf2_bglt BgL_new1438z00_8922;

				{	/* Ast/nodetype.sch 752 */
					BgL_nodezf2effectzf2_bglt BgL_new1437z00_8923;

					BgL_new1437z00_8923 =
						((BgL_nodezf2effectzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/nodetype.sch 752 */
						long BgL_arg1770z00_8924;

						BgL_arg1770z00_8924 =
							BGL_CLASS_NUM(BGl_nodezf2effectzf2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1437z00_8923), BgL_arg1770z00_8924);
					}
					BgL_new1438z00_8922 = BgL_new1437z00_8923;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1438z00_8922)))->BgL_locz00) =
					((obj_t) BgL_loc1730z00_12), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1438z00_8922)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1731z00_13), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1438z00_8922))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1732zd2_14), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1438z00_8922))->
						BgL_keyz00) = ((obj_t) BgL_key1733z00_15), BUNSPEC);
				return BgL_new1438z00_8922;
			}
		}

	}



/* &make-node/effect */
	BgL_nodezf2effectzf2_bglt BGl_z62makezd2nodezf2effectz42zzast_nodez00(obj_t
		BgL_envz00_6176, obj_t BgL_loc1730z00_6177, obj_t BgL_type1731z00_6178,
		obj_t BgL_sidezd2effect1732zd2_6179, obj_t BgL_key1733z00_6180)
	{
		{	/* Ast/nodetype.sch 752 */
			return
				BGl_makezd2nodezf2effectz20zzast_nodez00(BgL_loc1730z00_6177,
				((BgL_typez00_bglt) BgL_type1731z00_6178),
				BgL_sidezd2effect1732zd2_6179, BgL_key1733z00_6180);
		}

	}



/* node/effect? */
	BGL_EXPORTED_DEF bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t
		BgL_objz00_16)
	{
		{	/* Ast/nodetype.sch 753 */
			{	/* Ast/nodetype.sch 753 */
				obj_t BgL_classz00_8925;

				BgL_classz00_8925 = BGl_nodezf2effectzf2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_16))
					{	/* Ast/nodetype.sch 753 */
						BgL_objectz00_bglt BgL_arg1820z00_8926;

						BgL_arg1820z00_8926 = (BgL_objectz00_bglt) (BgL_objz00_16);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 753 */
								long BgL_idxz00_8927;

								BgL_idxz00_8927 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8926);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8927 + ((long) 2))) == BgL_classz00_8925);
							}
						else
							{	/* Ast/nodetype.sch 753 */
								bool_t BgL_res2961z00_8930;

								{	/* Ast/nodetype.sch 753 */
									obj_t BgL_oclassz00_8931;

									{	/* Ast/nodetype.sch 753 */
										long BgL_arg1828z00_8932;

										{	/* Ast/nodetype.sch 753 */
											long BgL_arg1829z00_8933;

											BgL_arg1829z00_8933 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8926);
											BgL_arg1828z00_8932 = (BgL_arg1829z00_8933 - OBJECT_TYPE);
										}
										BgL_oclassz00_8931 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8932);
									}
									{	/* Ast/nodetype.sch 753 */
										bool_t BgL__ortest_1111z00_8934;

										BgL__ortest_1111z00_8934 =
											(BgL_classz00_8925 == BgL_oclassz00_8931);
										if (BgL__ortest_1111z00_8934)
											{	/* Ast/nodetype.sch 753 */
												BgL_res2961z00_8930 = BgL__ortest_1111z00_8934;
											}
										else
											{	/* Ast/nodetype.sch 753 */
												long BgL_odepthz00_8935;

												BgL_odepthz00_8935 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8931);
												if ((((long) 2) < BgL_odepthz00_8935))
													{	/* Ast/nodetype.sch 753 */
														obj_t BgL_arg1816z00_8936;

														BgL_arg1816z00_8936 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8931,
															((long) 2));
														BgL_res2961z00_8930 =
															(BgL_arg1816z00_8936 == BgL_classz00_8925);
													}
												else
													{	/* Ast/nodetype.sch 753 */
														BgL_res2961z00_8930 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2961z00_8930;
							}
					}
				else
					{	/* Ast/nodetype.sch 753 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &node/effect? */
	obj_t BGl_z62nodezf2effectzf3z63zzast_nodez00(obj_t BgL_envz00_6181,
		obj_t BgL_objz00_6182)
	{
		{	/* Ast/nodetype.sch 753 */
			return BBOOL(BGl_nodezf2effectzf3z01zzast_nodez00(BgL_objz00_6182));
		}

	}



/* node/effect-nil */
	BGL_EXPORTED_DEF BgL_nodezf2effectzf2_bglt
		BGl_nodezf2effectzd2nilz20zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 754 */
			{	/* Ast/nodetype.sch 754 */
				obj_t BgL_classz00_3880;

				BgL_classz00_3880 = BGl_nodezf2effectzf2zzast_nodez00;
				{	/* Ast/nodetype.sch 754 */
					obj_t BgL__ortest_1113z00_3881;

					BgL__ortest_1113z00_3881 = BGL_CLASS_NIL(BgL_classz00_3880);
					if (CBOOL(BgL__ortest_1113z00_3881))
						{	/* Ast/nodetype.sch 754 */
							return ((BgL_nodezf2effectzf2_bglt) BgL__ortest_1113z00_3881);
						}
					else
						{	/* Ast/nodetype.sch 754 */
							return
								((BgL_nodezf2effectzf2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3880));
						}
				}
			}
		}

	}



/* &node/effect-nil */
	BgL_nodezf2effectzf2_bglt BGl_z62nodezf2effectzd2nilz42zzast_nodez00(obj_t
		BgL_envz00_6183)
	{
		{	/* Ast/nodetype.sch 754 */
			return BGl_nodezf2effectzd2nilz20zzast_nodez00();
		}

	}



/* node/effect-key */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_17)
	{
		{	/* Ast/nodetype.sch 755 */
			return (((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_17))->BgL_keyz00);
		}

	}



/* &node/effect-key */
	obj_t BGl_z62nodezf2effectzd2keyz42zzast_nodez00(obj_t BgL_envz00_6184,
		obj_t BgL_oz00_6185)
	{
		{	/* Ast/nodetype.sch 755 */
			return
				BGl_nodezf2effectzd2keyz20zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6185));
		}

	}



/* node/effect-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_18, obj_t BgL_vz00_19)
	{
		{	/* Ast/nodetype.sch 756 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_18))->BgL_keyz00) =
				((obj_t) BgL_vz00_19), BUNSPEC);
		}

	}



/* &node/effect-key-set! */
	obj_t BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00(obj_t
		BgL_envz00_6186, obj_t BgL_oz00_6187, obj_t BgL_vz00_6188)
	{
		{	/* Ast/nodetype.sch 756 */
			return
				BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6187), BgL_vz00_6188);
		}

	}



/* node/effect-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_20)
	{
		{	/* Ast/nodetype.sch 757 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_20))->
				BgL_sidezd2effectzd2);
		}

	}



/* &node/effect-side-effect */
	obj_t BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00(obj_t
		BgL_envz00_6189, obj_t BgL_oz00_6190)
	{
		{	/* Ast/nodetype.sch 757 */
			return
				BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6190));
		}

	}



/* node/effect-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00
		(BgL_nodezf2effectzf2_bglt BgL_oz00_21, obj_t BgL_vz00_22)
	{
		{	/* Ast/nodetype.sch 758 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_21))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_22), BUNSPEC);
		}

	}



/* &node/effect-side-effect-set! */
	obj_t BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00(obj_t
		BgL_envz00_6191, obj_t BgL_oz00_6192, obj_t BgL_vz00_6193)
	{
		{	/* Ast/nodetype.sch 758 */
			return
				BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6192), BgL_vz00_6193);
		}

	}



/* node/effect-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_nodezf2effectzd2typez20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_23)
	{
		{	/* Ast/nodetype.sch 759 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_23)))->BgL_typez00);
		}

	}



/* &node/effect-type */
	BgL_typez00_bglt BGl_z62nodezf2effectzd2typez42zzast_nodez00(obj_t
		BgL_envz00_6194, obj_t BgL_oz00_6195)
	{
		{	/* Ast/nodetype.sch 759 */
			return
				BGl_nodezf2effectzd2typez20zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6195));
		}

	}



/* node/effect-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_24, BgL_typez00_bglt BgL_vz00_25)
	{
		{	/* Ast/nodetype.sch 760 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_24)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_25), BUNSPEC);
		}

	}



/* &node/effect-type-set! */
	obj_t BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00(obj_t
		BgL_envz00_6196, obj_t BgL_oz00_6197, obj_t BgL_vz00_6198)
	{
		{	/* Ast/nodetype.sch 760 */
			return
				BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6197),
				((BgL_typez00_bglt) BgL_vz00_6198));
		}

	}



/* node/effect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2locz20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_26)
	{
		{	/* Ast/nodetype.sch 761 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_26)))->BgL_locz00);
		}

	}



/* &node/effect-loc */
	obj_t BGl_z62nodezf2effectzd2locz42zzast_nodez00(obj_t BgL_envz00_6199,
		obj_t BgL_oz00_6200)
	{
		{	/* Ast/nodetype.sch 761 */
			return
				BGl_nodezf2effectzd2locz20zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6200));
		}

	}



/* atom? */
	BGL_EXPORTED_DEF bool_t BGl_atomzf3zf3zzast_nodez00(obj_t BgL_objz00_29)
	{
		{	/* Ast/nodetype.sch 765 */
			{	/* Ast/nodetype.sch 765 */
				obj_t BgL_classz00_8937;

				BgL_classz00_8937 = BGl_atomz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_29))
					{	/* Ast/nodetype.sch 765 */
						BgL_objectz00_bglt BgL_arg1820z00_8938;

						BgL_arg1820z00_8938 = (BgL_objectz00_bglt) (BgL_objz00_29);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 765 */
								long BgL_idxz00_8939;

								BgL_idxz00_8939 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8938);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8939 + ((long) 2))) == BgL_classz00_8937);
							}
						else
							{	/* Ast/nodetype.sch 765 */
								bool_t BgL_res2962z00_8942;

								{	/* Ast/nodetype.sch 765 */
									obj_t BgL_oclassz00_8943;

									{	/* Ast/nodetype.sch 765 */
										long BgL_arg1828z00_8944;

										{	/* Ast/nodetype.sch 765 */
											long BgL_arg1829z00_8945;

											BgL_arg1829z00_8945 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8938);
											BgL_arg1828z00_8944 = (BgL_arg1829z00_8945 - OBJECT_TYPE);
										}
										BgL_oclassz00_8943 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8944);
									}
									{	/* Ast/nodetype.sch 765 */
										bool_t BgL__ortest_1111z00_8946;

										BgL__ortest_1111z00_8946 =
											(BgL_classz00_8937 == BgL_oclassz00_8943);
										if (BgL__ortest_1111z00_8946)
											{	/* Ast/nodetype.sch 765 */
												BgL_res2962z00_8942 = BgL__ortest_1111z00_8946;
											}
										else
											{	/* Ast/nodetype.sch 765 */
												long BgL_odepthz00_8947;

												BgL_odepthz00_8947 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8943);
												if ((((long) 2) < BgL_odepthz00_8947))
													{	/* Ast/nodetype.sch 765 */
														obj_t BgL_arg1816z00_8948;

														BgL_arg1816z00_8948 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8943,
															((long) 2));
														BgL_res2962z00_8942 =
															(BgL_arg1816z00_8948 == BgL_classz00_8937);
													}
												else
													{	/* Ast/nodetype.sch 765 */
														BgL_res2962z00_8942 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2962z00_8942;
							}
					}
				else
					{	/* Ast/nodetype.sch 765 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &atom? */
	obj_t BGl_z62atomzf3z91zzast_nodez00(obj_t BgL_envz00_6201,
		obj_t BgL_objz00_6202)
	{
		{	/* Ast/nodetype.sch 765 */
			return BBOOL(BGl_atomzf3zf3zzast_nodez00(BgL_objz00_6202));
		}

	}



/* atom-nil */
	BGL_EXPORTED_DEF BgL_atomz00_bglt BGl_atomzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 766 */
			{	/* Ast/nodetype.sch 766 */
				obj_t BgL_classz00_3913;

				BgL_classz00_3913 = BGl_atomz00zzast_nodez00;
				{	/* Ast/nodetype.sch 766 */
					obj_t BgL__ortest_1113z00_3914;

					BgL__ortest_1113z00_3914 = BGL_CLASS_NIL(BgL_classz00_3913);
					if (CBOOL(BgL__ortest_1113z00_3914))
						{	/* Ast/nodetype.sch 766 */
							return ((BgL_atomz00_bglt) BgL__ortest_1113z00_3914);
						}
					else
						{	/* Ast/nodetype.sch 766 */
							return
								((BgL_atomz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3913));
						}
				}
			}
		}

	}



/* &atom-nil */
	BgL_atomz00_bglt BGl_z62atomzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6203)
	{
		{	/* Ast/nodetype.sch 766 */
			return BGl_atomzd2nilzd2zzast_nodez00();
		}

	}



/* atom-value */
	BGL_EXPORTED_DEF obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt
		BgL_oz00_30)
	{
		{	/* Ast/nodetype.sch 767 */
			return (((BgL_atomz00_bglt) COBJECT(BgL_oz00_30))->BgL_valuez00);
		}

	}



/* &atom-value */
	obj_t BGl_z62atomzd2valuezb0zzast_nodez00(obj_t BgL_envz00_6204,
		obj_t BgL_oz00_6205)
	{
		{	/* Ast/nodetype.sch 767 */
			return
				BGl_atomzd2valuezd2zzast_nodez00(((BgL_atomz00_bglt) BgL_oz00_6205));
		}

	}



/* atom-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_oz00_31,
		obj_t BgL_vz00_32)
	{
		{	/* Ast/nodetype.sch 768 */
			return
				((((BgL_atomz00_bglt) COBJECT(BgL_oz00_31))->BgL_valuez00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}

	}



/* &atom-value-set! */
	obj_t BGl_z62atomzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6206,
		obj_t BgL_oz00_6207, obj_t BgL_vz00_6208)
	{
		{	/* Ast/nodetype.sch 768 */
			return
				BGl_atomzd2valuezd2setz12z12zzast_nodez00(
				((BgL_atomz00_bglt) BgL_oz00_6207), BgL_vz00_6208);
		}

	}



/* atom-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_atomzd2typezd2zzast_nodez00(BgL_atomz00_bglt BgL_oz00_33)
	{
		{	/* Ast/nodetype.sch 769 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_33)))->BgL_typez00);
		}

	}



/* &atom-type */
	BgL_typez00_bglt BGl_z62atomzd2typezb0zzast_nodez00(obj_t BgL_envz00_6209,
		obj_t BgL_oz00_6210)
	{
		{	/* Ast/nodetype.sch 769 */
			return
				BGl_atomzd2typezd2zzast_nodez00(((BgL_atomz00_bglt) BgL_oz00_6210));
		}

	}



/* atom-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_atomzd2typezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_oz00_34,
		BgL_typez00_bglt BgL_vz00_35)
	{
		{	/* Ast/nodetype.sch 770 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_34)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_35), BUNSPEC);
		}

	}



/* &atom-type-set! */
	obj_t BGl_z62atomzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6211,
		obj_t BgL_oz00_6212, obj_t BgL_vz00_6213)
	{
		{	/* Ast/nodetype.sch 770 */
			return
				BGl_atomzd2typezd2setz12z12zzast_nodez00(
				((BgL_atomz00_bglt) BgL_oz00_6212), ((BgL_typez00_bglt) BgL_vz00_6213));
		}

	}



/* atom-loc */
	BGL_EXPORTED_DEF obj_t BGl_atomzd2loczd2zzast_nodez00(BgL_atomz00_bglt
		BgL_oz00_36)
	{
		{	/* Ast/nodetype.sch 771 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_36)))->BgL_locz00);
		}

	}



/* &atom-loc */
	obj_t BGl_z62atomzd2loczb0zzast_nodez00(obj_t BgL_envz00_6214,
		obj_t BgL_oz00_6215)
	{
		{	/* Ast/nodetype.sch 771 */
			return BGl_atomzd2loczd2zzast_nodez00(((BgL_atomz00_bglt) BgL_oz00_6215));
		}

	}



/* make-literal */
	BGL_EXPORTED_DEF BgL_literalz00_bglt BGl_makezd2literalzd2zzast_nodez00(obj_t
		BgL_loc1725z00_39, BgL_typez00_bglt BgL_type1726z00_40,
		obj_t BgL_value1727z00_41)
	{
		{	/* Ast/nodetype.sch 775 */
			{	/* Ast/nodetype.sch 775 */
				BgL_literalz00_bglt BgL_new1440z00_8949;

				{	/* Ast/nodetype.sch 775 */
					BgL_literalz00_bglt BgL_new1439z00_8950;

					BgL_new1439z00_8950 =
						((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalz00_bgl))));
					{	/* Ast/nodetype.sch 775 */
						long BgL_arg1771z00_8951;

						BgL_arg1771z00_8951 = BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1439z00_8950), BgL_arg1771z00_8951);
					}
					{	/* Ast/nodetype.sch 775 */
						BgL_objectz00_bglt BgL_tmpz00_10605;

						BgL_tmpz00_10605 = ((BgL_objectz00_bglt) BgL_new1439z00_8950);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10605, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1439z00_8950);
					BgL_new1440z00_8949 = BgL_new1439z00_8950;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1440z00_8949)))->BgL_locz00) =
					((obj_t) BgL_loc1725z00_39), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1440z00_8949)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1726z00_40), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1440z00_8949)))->BgL_valuez00) =
					((obj_t) BgL_value1727z00_41), BUNSPEC);
				return BgL_new1440z00_8949;
			}
		}

	}



/* &make-literal */
	BgL_literalz00_bglt BGl_z62makezd2literalzb0zzast_nodez00(obj_t
		BgL_envz00_6216, obj_t BgL_loc1725z00_6217, obj_t BgL_type1726z00_6218,
		obj_t BgL_value1727z00_6219)
	{
		{	/* Ast/nodetype.sch 775 */
			return
				BGl_makezd2literalzd2zzast_nodez00(BgL_loc1725z00_6217,
				((BgL_typez00_bglt) BgL_type1726z00_6218), BgL_value1727z00_6219);
		}

	}



/* literal? */
	BGL_EXPORTED_DEF bool_t BGl_literalzf3zf3zzast_nodez00(obj_t BgL_objz00_42)
	{
		{	/* Ast/nodetype.sch 776 */
			{	/* Ast/nodetype.sch 776 */
				obj_t BgL_classz00_8952;

				BgL_classz00_8952 = BGl_literalz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_42))
					{	/* Ast/nodetype.sch 776 */
						BgL_objectz00_bglt BgL_arg1820z00_8953;

						BgL_arg1820z00_8953 = (BgL_objectz00_bglt) (BgL_objz00_42);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 776 */
								long BgL_idxz00_8954;

								BgL_idxz00_8954 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8953);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8954 + ((long) 3))) == BgL_classz00_8952);
							}
						else
							{	/* Ast/nodetype.sch 776 */
								bool_t BgL_res2963z00_8957;

								{	/* Ast/nodetype.sch 776 */
									obj_t BgL_oclassz00_8958;

									{	/* Ast/nodetype.sch 776 */
										long BgL_arg1828z00_8959;

										{	/* Ast/nodetype.sch 776 */
											long BgL_arg1829z00_8960;

											BgL_arg1829z00_8960 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8953);
											BgL_arg1828z00_8959 = (BgL_arg1829z00_8960 - OBJECT_TYPE);
										}
										BgL_oclassz00_8958 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8959);
									}
									{	/* Ast/nodetype.sch 776 */
										bool_t BgL__ortest_1111z00_8961;

										BgL__ortest_1111z00_8961 =
											(BgL_classz00_8952 == BgL_oclassz00_8958);
										if (BgL__ortest_1111z00_8961)
											{	/* Ast/nodetype.sch 776 */
												BgL_res2963z00_8957 = BgL__ortest_1111z00_8961;
											}
										else
											{	/* Ast/nodetype.sch 776 */
												long BgL_odepthz00_8962;

												BgL_odepthz00_8962 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8958);
												if ((((long) 3) < BgL_odepthz00_8962))
													{	/* Ast/nodetype.sch 776 */
														obj_t BgL_arg1816z00_8963;

														BgL_arg1816z00_8963 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8958,
															((long) 3));
														BgL_res2963z00_8957 =
															(BgL_arg1816z00_8963 == BgL_classz00_8952);
													}
												else
													{	/* Ast/nodetype.sch 776 */
														BgL_res2963z00_8957 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2963z00_8957;
							}
					}
				else
					{	/* Ast/nodetype.sch 776 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &literal? */
	obj_t BGl_z62literalzf3z91zzast_nodez00(obj_t BgL_envz00_6220,
		obj_t BgL_objz00_6221)
	{
		{	/* Ast/nodetype.sch 776 */
			return BBOOL(BGl_literalzf3zf3zzast_nodez00(BgL_objz00_6221));
		}

	}



/* literal-nil */
	BGL_EXPORTED_DEF BgL_literalz00_bglt BGl_literalzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 777 */
			{	/* Ast/nodetype.sch 777 */
				obj_t BgL_classz00_3953;

				BgL_classz00_3953 = BGl_literalz00zzast_nodez00;
				{	/* Ast/nodetype.sch 777 */
					obj_t BgL__ortest_1113z00_3954;

					BgL__ortest_1113z00_3954 = BGL_CLASS_NIL(BgL_classz00_3953);
					if (CBOOL(BgL__ortest_1113z00_3954))
						{	/* Ast/nodetype.sch 777 */
							return ((BgL_literalz00_bglt) BgL__ortest_1113z00_3954);
						}
					else
						{	/* Ast/nodetype.sch 777 */
							return
								((BgL_literalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3953));
						}
				}
			}
		}

	}



/* &literal-nil */
	BgL_literalz00_bglt BGl_z62literalzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6222)
	{
		{	/* Ast/nodetype.sch 777 */
			return BGl_literalzd2nilzd2zzast_nodez00();
		}

	}



/* literal-value */
	BGL_EXPORTED_DEF obj_t BGl_literalzd2valuezd2zzast_nodez00(BgL_literalz00_bglt
		BgL_oz00_43)
	{
		{	/* Ast/nodetype.sch 778 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_43)))->BgL_valuez00);
		}

	}



/* &literal-value */
	obj_t BGl_z62literalzd2valuezb0zzast_nodez00(obj_t BgL_envz00_6223,
		obj_t BgL_oz00_6224)
	{
		{	/* Ast/nodetype.sch 778 */
			return
				BGl_literalzd2valuezd2zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6224));
		}

	}



/* literal-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzd2valuezd2setz12z12zzast_nodez00(BgL_literalz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* Ast/nodetype.sch 779 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_44)))->BgL_valuez00) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &literal-value-set! */
	obj_t BGl_z62literalzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6225,
		obj_t BgL_oz00_6226, obj_t BgL_vz00_6227)
	{
		{	/* Ast/nodetype.sch 779 */
			return
				BGl_literalzd2valuezd2setz12z12zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6226), BgL_vz00_6227);
		}

	}



/* literal-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_literalzd2typezd2zzast_nodez00(BgL_literalz00_bglt BgL_oz00_46)
	{
		{	/* Ast/nodetype.sch 780 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_46)))->BgL_typez00);
		}

	}



/* &literal-type */
	BgL_typez00_bglt BGl_z62literalzd2typezb0zzast_nodez00(obj_t BgL_envz00_6228,
		obj_t BgL_oz00_6229)
	{
		{	/* Ast/nodetype.sch 780 */
			return
				BGl_literalzd2typezd2zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6229));
		}

	}



/* literal-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzd2typezd2setz12z12zzast_nodez00(BgL_literalz00_bglt BgL_oz00_47,
		BgL_typez00_bglt BgL_vz00_48)
	{
		{	/* Ast/nodetype.sch 781 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_47)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_48), BUNSPEC);
		}

	}



/* &literal-type-set! */
	obj_t BGl_z62literalzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6230,
		obj_t BgL_oz00_6231, obj_t BgL_vz00_6232)
	{
		{	/* Ast/nodetype.sch 781 */
			return
				BGl_literalzd2typezd2setz12z12zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6231),
				((BgL_typez00_bglt) BgL_vz00_6232));
		}

	}



/* literal-loc */
	BGL_EXPORTED_DEF obj_t BGl_literalzd2loczd2zzast_nodez00(BgL_literalz00_bglt
		BgL_oz00_49)
	{
		{	/* Ast/nodetype.sch 782 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_49)))->BgL_locz00);
		}

	}



/* &literal-loc */
	obj_t BGl_z62literalzd2loczb0zzast_nodez00(obj_t BgL_envz00_6233,
		obj_t BgL_oz00_6234)
	{
		{	/* Ast/nodetype.sch 782 */
			return
				BGl_literalzd2loczd2zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6234));
		}

	}



/* make-patch */
	BGL_EXPORTED_DEF BgL_patchz00_bglt BGl_makezd2patchzd2zzast_nodez00(obj_t
		BgL_loc1717z00_52, BgL_typez00_bglt BgL_type1718z00_53,
		obj_t BgL_value1719z00_54, BgL_varz00_bglt BgL_ref1720z00_55,
		long BgL_index1721z00_56, obj_t BgL_patchid1722z00_57)
	{
		{	/* Ast/nodetype.sch 786 */
			{	/* Ast/nodetype.sch 786 */
				BgL_patchz00_bglt BgL_new1442z00_8964;

				{	/* Ast/nodetype.sch 786 */
					BgL_patchz00_bglt BgL_new1441z00_8965;

					BgL_new1441z00_8965 =
						((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_patchz00_bgl))));
					{	/* Ast/nodetype.sch 786 */
						long BgL_arg1777z00_8966;

						BgL_arg1777z00_8966 = BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1441z00_8965), BgL_arg1777z00_8966);
					}
					{	/* Ast/nodetype.sch 786 */
						BgL_objectz00_bglt BgL_tmpz00_10670;

						BgL_tmpz00_10670 = ((BgL_objectz00_bglt) BgL_new1441z00_8965);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10670, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1441z00_8965);
					BgL_new1442z00_8964 = BgL_new1441z00_8965;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1442z00_8964)))->BgL_locz00) =
					((obj_t) BgL_loc1717z00_52), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1442z00_8964)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1718z00_53), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1442z00_8964)))->BgL_valuez00) =
					((obj_t) BgL_value1719z00_54), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(BgL_new1442z00_8964))->BgL_refz00) =
					((BgL_varz00_bglt) BgL_ref1720z00_55), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(BgL_new1442z00_8964))->BgL_indexz00) =
					((long) BgL_index1721z00_56), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(BgL_new1442z00_8964))->BgL_patchidz00) =
					((obj_t) BgL_patchid1722z00_57), BUNSPEC);
				return BgL_new1442z00_8964;
			}
		}

	}



/* &make-patch */
	BgL_patchz00_bglt BGl_z62makezd2patchzb0zzast_nodez00(obj_t BgL_envz00_6235,
		obj_t BgL_loc1717z00_6236, obj_t BgL_type1718z00_6237,
		obj_t BgL_value1719z00_6238, obj_t BgL_ref1720z00_6239,
		obj_t BgL_index1721z00_6240, obj_t BgL_patchid1722z00_6241)
	{
		{	/* Ast/nodetype.sch 786 */
			return
				BGl_makezd2patchzd2zzast_nodez00(BgL_loc1717z00_6236,
				((BgL_typez00_bglt) BgL_type1718z00_6237), BgL_value1719z00_6238,
				((BgL_varz00_bglt) BgL_ref1720z00_6239),
				(long) CINT(BgL_index1721z00_6240), BgL_patchid1722z00_6241);
		}

	}



/* patch? */
	BGL_EXPORTED_DEF bool_t BGl_patchzf3zf3zzast_nodez00(obj_t BgL_objz00_58)
	{
		{	/* Ast/nodetype.sch 787 */
			{	/* Ast/nodetype.sch 787 */
				obj_t BgL_classz00_8967;

				BgL_classz00_8967 = BGl_patchz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_58))
					{	/* Ast/nodetype.sch 787 */
						BgL_objectz00_bglt BgL_arg1820z00_8968;

						BgL_arg1820z00_8968 = (BgL_objectz00_bglt) (BgL_objz00_58);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 787 */
								long BgL_idxz00_8969;

								BgL_idxz00_8969 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8968);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8969 + ((long) 3))) == BgL_classz00_8967);
							}
						else
							{	/* Ast/nodetype.sch 787 */
								bool_t BgL_res2964z00_8972;

								{	/* Ast/nodetype.sch 787 */
									obj_t BgL_oclassz00_8973;

									{	/* Ast/nodetype.sch 787 */
										long BgL_arg1828z00_8974;

										{	/* Ast/nodetype.sch 787 */
											long BgL_arg1829z00_8975;

											BgL_arg1829z00_8975 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8968);
											BgL_arg1828z00_8974 = (BgL_arg1829z00_8975 - OBJECT_TYPE);
										}
										BgL_oclassz00_8973 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8974);
									}
									{	/* Ast/nodetype.sch 787 */
										bool_t BgL__ortest_1111z00_8976;

										BgL__ortest_1111z00_8976 =
											(BgL_classz00_8967 == BgL_oclassz00_8973);
										if (BgL__ortest_1111z00_8976)
											{	/* Ast/nodetype.sch 787 */
												BgL_res2964z00_8972 = BgL__ortest_1111z00_8976;
											}
										else
											{	/* Ast/nodetype.sch 787 */
												long BgL_odepthz00_8977;

												BgL_odepthz00_8977 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8973);
												if ((((long) 3) < BgL_odepthz00_8977))
													{	/* Ast/nodetype.sch 787 */
														obj_t BgL_arg1816z00_8978;

														BgL_arg1816z00_8978 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8973,
															((long) 3));
														BgL_res2964z00_8972 =
															(BgL_arg1816z00_8978 == BgL_classz00_8967);
													}
												else
													{	/* Ast/nodetype.sch 787 */
														BgL_res2964z00_8972 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2964z00_8972;
							}
					}
				else
					{	/* Ast/nodetype.sch 787 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &patch? */
	obj_t BGl_z62patchzf3z91zzast_nodez00(obj_t BgL_envz00_6242,
		obj_t BgL_objz00_6243)
	{
		{	/* Ast/nodetype.sch 787 */
			return BBOOL(BGl_patchzf3zf3zzast_nodez00(BgL_objz00_6243));
		}

	}



/* patch-nil */
	BGL_EXPORTED_DEF BgL_patchz00_bglt BGl_patchzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 788 */
			{	/* Ast/nodetype.sch 788 */
				obj_t BgL_classz00_3993;

				BgL_classz00_3993 = BGl_patchz00zzast_nodez00;
				{	/* Ast/nodetype.sch 788 */
					obj_t BgL__ortest_1113z00_3994;

					BgL__ortest_1113z00_3994 = BGL_CLASS_NIL(BgL_classz00_3993);
					if (CBOOL(BgL__ortest_1113z00_3994))
						{	/* Ast/nodetype.sch 788 */
							return ((BgL_patchz00_bglt) BgL__ortest_1113z00_3994);
						}
					else
						{	/* Ast/nodetype.sch 788 */
							return
								((BgL_patchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3993));
						}
				}
			}
		}

	}



/* &patch-nil */
	BgL_patchz00_bglt BGl_z62patchzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6244)
	{
		{	/* Ast/nodetype.sch 788 */
			return BGl_patchzd2nilzd2zzast_nodez00();
		}

	}



/* patch-patchid */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2patchidzd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_59)
	{
		{	/* Ast/nodetype.sch 789 */
			return (((BgL_patchz00_bglt) COBJECT(BgL_oz00_59))->BgL_patchidz00);
		}

	}



/* &patch-patchid */
	obj_t BGl_z62patchzd2patchidzb0zzast_nodez00(obj_t BgL_envz00_6245,
		obj_t BgL_oz00_6246)
	{
		{	/* Ast/nodetype.sch 789 */
			return
				BGl_patchzd2patchidzd2zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6246));
		}

	}



/* patch-patchid-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2patchidzd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_60,
		obj_t BgL_vz00_61)
	{
		{	/* Ast/nodetype.sch 790 */
			return
				((((BgL_patchz00_bglt) COBJECT(BgL_oz00_60))->BgL_patchidz00) =
				((obj_t) BgL_vz00_61), BUNSPEC);
		}

	}



/* &patch-patchid-set! */
	obj_t BGl_z62patchzd2patchidzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6247,
		obj_t BgL_oz00_6248, obj_t BgL_vz00_6249)
	{
		{	/* Ast/nodetype.sch 790 */
			return
				BGl_patchzd2patchidzd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6248), BgL_vz00_6249);
		}

	}



/* patch-index */
	BGL_EXPORTED_DEF long BGl_patchzd2indexzd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_62)
	{
		{	/* Ast/nodetype.sch 791 */
			return (((BgL_patchz00_bglt) COBJECT(BgL_oz00_62))->BgL_indexz00);
		}

	}



/* &patch-index */
	obj_t BGl_z62patchzd2indexzb0zzast_nodez00(obj_t BgL_envz00_6250,
		obj_t BgL_oz00_6251)
	{
		{	/* Ast/nodetype.sch 791 */
			return
				BINT(BGl_patchzd2indexzd2zzast_nodez00(
					((BgL_patchz00_bglt) BgL_oz00_6251)));
		}

	}



/* patch-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2indexzd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_63,
		long BgL_vz00_64)
	{
		{	/* Ast/nodetype.sch 792 */
			return
				((((BgL_patchz00_bglt) COBJECT(BgL_oz00_63))->BgL_indexz00) =
				((long) BgL_vz00_64), BUNSPEC);
		}

	}



/* &patch-index-set! */
	obj_t BGl_z62patchzd2indexzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6252,
		obj_t BgL_oz00_6253, obj_t BgL_vz00_6254)
	{
		{	/* Ast/nodetype.sch 792 */
			return
				BGl_patchzd2indexzd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6253), (long) CINT(BgL_vz00_6254));
		}

	}



/* patch-ref */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_patchzd2refzd2zzast_nodez00(BgL_patchz00_bglt BgL_oz00_65)
	{
		{	/* Ast/nodetype.sch 793 */
			return (((BgL_patchz00_bglt) COBJECT(BgL_oz00_65))->BgL_refz00);
		}

	}



/* &patch-ref */
	BgL_varz00_bglt BGl_z62patchzd2refzb0zzast_nodez00(obj_t BgL_envz00_6255,
		obj_t BgL_oz00_6256)
	{
		{	/* Ast/nodetype.sch 793 */
			return
				BGl_patchzd2refzd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_6256));
		}

	}



/* patch-value */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2valuezd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_68)
	{
		{	/* Ast/nodetype.sch 795 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_68)))->BgL_valuez00);
		}

	}



/* &patch-value */
	obj_t BGl_z62patchzd2valuezb0zzast_nodez00(obj_t BgL_envz00_6257,
		obj_t BgL_oz00_6258)
	{
		{	/* Ast/nodetype.sch 795 */
			return
				BGl_patchzd2valuezd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_6258));
		}

	}



/* patch-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2valuezd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_69,
		obj_t BgL_vz00_70)
	{
		{	/* Ast/nodetype.sch 796 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_69)))->BgL_valuez00) =
				((obj_t) BgL_vz00_70), BUNSPEC);
		}

	}



/* &patch-value-set! */
	obj_t BGl_z62patchzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6259,
		obj_t BgL_oz00_6260, obj_t BgL_vz00_6261)
	{
		{	/* Ast/nodetype.sch 796 */
			return
				BGl_patchzd2valuezd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6260), BgL_vz00_6261);
		}

	}



/* patch-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_patchzd2typezd2zzast_nodez00(BgL_patchz00_bglt BgL_oz00_71)
	{
		{	/* Ast/nodetype.sch 797 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_71)))->BgL_typez00);
		}

	}



/* &patch-type */
	BgL_typez00_bglt BGl_z62patchzd2typezb0zzast_nodez00(obj_t BgL_envz00_6262,
		obj_t BgL_oz00_6263)
	{
		{	/* Ast/nodetype.sch 797 */
			return
				BGl_patchzd2typezd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_6263));
		}

	}



/* patch-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2typezd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_72,
		BgL_typez00_bglt BgL_vz00_73)
	{
		{	/* Ast/nodetype.sch 798 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_72)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_73), BUNSPEC);
		}

	}



/* &patch-type-set! */
	obj_t BGl_z62patchzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6264,
		obj_t BgL_oz00_6265, obj_t BgL_vz00_6266)
	{
		{	/* Ast/nodetype.sch 798 */
			return
				BGl_patchzd2typezd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6265),
				((BgL_typez00_bglt) BgL_vz00_6266));
		}

	}



/* patch-loc */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2loczd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_74)
	{
		{	/* Ast/nodetype.sch 799 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_74)))->BgL_locz00);
		}

	}



/* &patch-loc */
	obj_t BGl_z62patchzd2loczb0zzast_nodez00(obj_t BgL_envz00_6267,
		obj_t BgL_oz00_6268)
	{
		{	/* Ast/nodetype.sch 799 */
			return
				BGl_patchzd2loczd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_6268));
		}

	}



/* var? */
	BGL_EXPORTED_DEF bool_t BGl_varzf3zf3zzast_nodez00(obj_t BgL_objz00_77)
	{
		{	/* Ast/nodetype.sch 803 */
			{	/* Ast/nodetype.sch 803 */
				obj_t BgL_classz00_8979;

				BgL_classz00_8979 = BGl_varz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_77))
					{	/* Ast/nodetype.sch 803 */
						BgL_objectz00_bglt BgL_arg1820z00_8980;

						BgL_arg1820z00_8980 = (BgL_objectz00_bglt) (BgL_objz00_77);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 803 */
								long BgL_idxz00_8981;

								BgL_idxz00_8981 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8980);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8981 + ((long) 2))) == BgL_classz00_8979);
							}
						else
							{	/* Ast/nodetype.sch 803 */
								bool_t BgL_res2965z00_8984;

								{	/* Ast/nodetype.sch 803 */
									obj_t BgL_oclassz00_8985;

									{	/* Ast/nodetype.sch 803 */
										long BgL_arg1828z00_8986;

										{	/* Ast/nodetype.sch 803 */
											long BgL_arg1829z00_8987;

											BgL_arg1829z00_8987 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8980);
											BgL_arg1828z00_8986 = (BgL_arg1829z00_8987 - OBJECT_TYPE);
										}
										BgL_oclassz00_8985 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8986);
									}
									{	/* Ast/nodetype.sch 803 */
										bool_t BgL__ortest_1111z00_8988;

										BgL__ortest_1111z00_8988 =
											(BgL_classz00_8979 == BgL_oclassz00_8985);
										if (BgL__ortest_1111z00_8988)
											{	/* Ast/nodetype.sch 803 */
												BgL_res2965z00_8984 = BgL__ortest_1111z00_8988;
											}
										else
											{	/* Ast/nodetype.sch 803 */
												long BgL_odepthz00_8989;

												BgL_odepthz00_8989 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8985);
												if ((((long) 2) < BgL_odepthz00_8989))
													{	/* Ast/nodetype.sch 803 */
														obj_t BgL_arg1816z00_8990;

														BgL_arg1816z00_8990 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8985,
															((long) 2));
														BgL_res2965z00_8984 =
															(BgL_arg1816z00_8990 == BgL_classz00_8979);
													}
												else
													{	/* Ast/nodetype.sch 803 */
														BgL_res2965z00_8984 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2965z00_8984;
							}
					}
				else
					{	/* Ast/nodetype.sch 803 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &var? */
	obj_t BGl_z62varzf3z91zzast_nodez00(obj_t BgL_envz00_6269,
		obj_t BgL_objz00_6270)
	{
		{	/* Ast/nodetype.sch 803 */
			return BBOOL(BGl_varzf3zf3zzast_nodez00(BgL_objz00_6270));
		}

	}



/* var-nil */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_varzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 804 */
			{	/* Ast/nodetype.sch 804 */
				obj_t BgL_classz00_4026;

				BgL_classz00_4026 = BGl_varz00zzast_nodez00;
				{	/* Ast/nodetype.sch 804 */
					obj_t BgL__ortest_1113z00_4027;

					BgL__ortest_1113z00_4027 = BGL_CLASS_NIL(BgL_classz00_4026);
					if (CBOOL(BgL__ortest_1113z00_4027))
						{	/* Ast/nodetype.sch 804 */
							return ((BgL_varz00_bglt) BgL__ortest_1113z00_4027);
						}
					else
						{	/* Ast/nodetype.sch 804 */
							return
								((BgL_varz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4026));
						}
				}
			}
		}

	}



/* &var-nil */
	BgL_varz00_bglt BGl_z62varzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6271)
	{
		{	/* Ast/nodetype.sch 804 */
			return BGl_varzd2nilzd2zzast_nodez00();
		}

	}



/* var-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt BgL_oz00_78)
	{
		{	/* Ast/nodetype.sch 805 */
			return (((BgL_varz00_bglt) COBJECT(BgL_oz00_78))->BgL_variablez00);
		}

	}



/* &var-variable */
	BgL_variablez00_bglt BGl_z62varzd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_6272, obj_t BgL_oz00_6273)
	{
		{	/* Ast/nodetype.sch 805 */
			return
				BGl_varzd2variablezd2zzast_nodez00(((BgL_varz00_bglt) BgL_oz00_6273));
		}

	}



/* var-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt BgL_oz00_79,
		BgL_variablez00_bglt BgL_vz00_80)
	{
		{	/* Ast/nodetype.sch 806 */
			return
				((((BgL_varz00_bglt) COBJECT(BgL_oz00_79))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_80), BUNSPEC);
		}

	}



/* &var-variable-set! */
	obj_t BGl_z62varzd2variablezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6274,
		obj_t BgL_oz00_6275, obj_t BgL_vz00_6276)
	{
		{	/* Ast/nodetype.sch 806 */
			return
				BGl_varzd2variablezd2setz12z12zzast_nodez00(
				((BgL_varz00_bglt) BgL_oz00_6275),
				((BgL_variablez00_bglt) BgL_vz00_6276));
		}

	}



/* var-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_varzd2typezd2zzast_nodez00(BgL_varz00_bglt BgL_oz00_81)
	{
		{	/* Ast/nodetype.sch 807 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_81)))->BgL_typez00);
		}

	}



/* &var-type */
	BgL_typez00_bglt BGl_z62varzd2typezb0zzast_nodez00(obj_t BgL_envz00_6277,
		obj_t BgL_oz00_6278)
	{
		{	/* Ast/nodetype.sch 807 */
			return BGl_varzd2typezd2zzast_nodez00(((BgL_varz00_bglt) BgL_oz00_6278));
		}

	}



/* var-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_varzd2typezd2setz12z12zzast_nodez00(BgL_varz00_bglt
		BgL_oz00_82, BgL_typez00_bglt BgL_vz00_83)
	{
		{	/* Ast/nodetype.sch 808 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_82)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_83), BUNSPEC);
		}

	}



/* &var-type-set! */
	obj_t BGl_z62varzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6279,
		obj_t BgL_oz00_6280, obj_t BgL_vz00_6281)
	{
		{	/* Ast/nodetype.sch 808 */
			return
				BGl_varzd2typezd2setz12z12zzast_nodez00(
				((BgL_varz00_bglt) BgL_oz00_6280), ((BgL_typez00_bglt) BgL_vz00_6281));
		}

	}



/* var-loc */
	BGL_EXPORTED_DEF obj_t BGl_varzd2loczd2zzast_nodez00(BgL_varz00_bglt
		BgL_oz00_84)
	{
		{	/* Ast/nodetype.sch 809 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_84)))->BgL_locz00);
		}

	}



/* &var-loc */
	obj_t BGl_z62varzd2loczb0zzast_nodez00(obj_t BgL_envz00_6282,
		obj_t BgL_oz00_6283)
	{
		{	/* Ast/nodetype.sch 809 */
			return BGl_varzd2loczd2zzast_nodez00(((BgL_varz00_bglt) BgL_oz00_6283));
		}

	}



/* make-ref */
	BGL_EXPORTED_DEF BgL_refz00_bglt BGl_makezd2refzd2zzast_nodez00(obj_t
		BgL_loc1712z00_87, BgL_typez00_bglt BgL_type1713z00_88,
		BgL_variablez00_bglt BgL_variable1714z00_89)
	{
		{	/* Ast/nodetype.sch 813 */
			{	/* Ast/nodetype.sch 813 */
				BgL_refz00_bglt BgL_new1444z00_8991;

				{	/* Ast/nodetype.sch 813 */
					BgL_refz00_bglt BgL_new1443z00_8992;

					BgL_new1443z00_8992 =
						((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_refz00_bgl))));
					{	/* Ast/nodetype.sch 813 */
						long BgL_arg1778z00_8993;

						BgL_arg1778z00_8993 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1443z00_8992), BgL_arg1778z00_8993);
					}
					{	/* Ast/nodetype.sch 813 */
						BgL_objectz00_bglt BgL_tmpz00_10805;

						BgL_tmpz00_10805 = ((BgL_objectz00_bglt) BgL_new1443z00_8992);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10805, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1443z00_8992);
					BgL_new1444z00_8991 = BgL_new1443z00_8992;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1444z00_8991)))->BgL_locz00) =
					((obj_t) BgL_loc1712z00_87), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1444z00_8991)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1713z00_88), BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1444z00_8991)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_variable1714z00_89), BUNSPEC);
				return BgL_new1444z00_8991;
			}
		}

	}



/* &make-ref */
	BgL_refz00_bglt BGl_z62makezd2refzb0zzast_nodez00(obj_t BgL_envz00_6284,
		obj_t BgL_loc1712z00_6285, obj_t BgL_type1713z00_6286,
		obj_t BgL_variable1714z00_6287)
	{
		{	/* Ast/nodetype.sch 813 */
			return
				BGl_makezd2refzd2zzast_nodez00(BgL_loc1712z00_6285,
				((BgL_typez00_bglt) BgL_type1713z00_6286),
				((BgL_variablez00_bglt) BgL_variable1714z00_6287));
		}

	}



/* ref? */
	BGL_EXPORTED_DEF bool_t BGl_refzf3zf3zzast_nodez00(obj_t BgL_objz00_90)
	{
		{	/* Ast/nodetype.sch 814 */
			{	/* Ast/nodetype.sch 814 */
				obj_t BgL_classz00_8994;

				BgL_classz00_8994 = BGl_refz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_90))
					{	/* Ast/nodetype.sch 814 */
						BgL_objectz00_bglt BgL_arg1820z00_8995;

						BgL_arg1820z00_8995 = (BgL_objectz00_bglt) (BgL_objz00_90);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 814 */
								long BgL_idxz00_8996;

								BgL_idxz00_8996 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8995);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8996 + ((long) 3))) == BgL_classz00_8994);
							}
						else
							{	/* Ast/nodetype.sch 814 */
								bool_t BgL_res2966z00_8999;

								{	/* Ast/nodetype.sch 814 */
									obj_t BgL_oclassz00_9000;

									{	/* Ast/nodetype.sch 814 */
										long BgL_arg1828z00_9001;

										{	/* Ast/nodetype.sch 814 */
											long BgL_arg1829z00_9002;

											BgL_arg1829z00_9002 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8995);
											BgL_arg1828z00_9001 = (BgL_arg1829z00_9002 - OBJECT_TYPE);
										}
										BgL_oclassz00_9000 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9001);
									}
									{	/* Ast/nodetype.sch 814 */
										bool_t BgL__ortest_1111z00_9003;

										BgL__ortest_1111z00_9003 =
											(BgL_classz00_8994 == BgL_oclassz00_9000);
										if (BgL__ortest_1111z00_9003)
											{	/* Ast/nodetype.sch 814 */
												BgL_res2966z00_8999 = BgL__ortest_1111z00_9003;
											}
										else
											{	/* Ast/nodetype.sch 814 */
												long BgL_odepthz00_9004;

												BgL_odepthz00_9004 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9000);
												if ((((long) 3) < BgL_odepthz00_9004))
													{	/* Ast/nodetype.sch 814 */
														obj_t BgL_arg1816z00_9005;

														BgL_arg1816z00_9005 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9000,
															((long) 3));
														BgL_res2966z00_8999 =
															(BgL_arg1816z00_9005 == BgL_classz00_8994);
													}
												else
													{	/* Ast/nodetype.sch 814 */
														BgL_res2966z00_8999 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2966z00_8999;
							}
					}
				else
					{	/* Ast/nodetype.sch 814 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &ref? */
	obj_t BGl_z62refzf3z91zzast_nodez00(obj_t BgL_envz00_6288,
		obj_t BgL_objz00_6289)
	{
		{	/* Ast/nodetype.sch 814 */
			return BBOOL(BGl_refzf3zf3zzast_nodez00(BgL_objz00_6289));
		}

	}



/* ref-nil */
	BGL_EXPORTED_DEF BgL_refz00_bglt BGl_refzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 815 */
			{	/* Ast/nodetype.sch 815 */
				obj_t BgL_classz00_4066;

				BgL_classz00_4066 = BGl_refz00zzast_nodez00;
				{	/* Ast/nodetype.sch 815 */
					obj_t BgL__ortest_1113z00_4067;

					BgL__ortest_1113z00_4067 = BGL_CLASS_NIL(BgL_classz00_4066);
					if (CBOOL(BgL__ortest_1113z00_4067))
						{	/* Ast/nodetype.sch 815 */
							return ((BgL_refz00_bglt) BgL__ortest_1113z00_4067);
						}
					else
						{	/* Ast/nodetype.sch 815 */
							return
								((BgL_refz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4066));
						}
				}
			}
		}

	}



/* &ref-nil */
	BgL_refz00_bglt BGl_z62refzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6290)
	{
		{	/* Ast/nodetype.sch 815 */
			return BGl_refzd2nilzd2zzast_nodez00();
		}

	}



/* ref-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_refzd2variablezd2zzast_nodez00(BgL_refz00_bglt BgL_oz00_91)
	{
		{	/* Ast/nodetype.sch 816 */
			return
				(((BgL_varz00_bglt) COBJECT(
						((BgL_varz00_bglt) BgL_oz00_91)))->BgL_variablez00);
		}

	}



/* &ref-variable */
	BgL_variablez00_bglt BGl_z62refzd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_6291, obj_t BgL_oz00_6292)
	{
		{	/* Ast/nodetype.sch 816 */
			return
				BGl_refzd2variablezd2zzast_nodez00(((BgL_refz00_bglt) BgL_oz00_6292));
		}

	}



/* ref-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_refzd2variablezd2setz12z12zzast_nodez00(BgL_refz00_bglt BgL_oz00_92,
		BgL_variablez00_bglt BgL_vz00_93)
	{
		{	/* Ast/nodetype.sch 817 */
			return
				((((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_oz00_92)))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_93), BUNSPEC);
		}

	}



/* &ref-variable-set! */
	obj_t BGl_z62refzd2variablezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6293,
		obj_t BgL_oz00_6294, obj_t BgL_vz00_6295)
	{
		{	/* Ast/nodetype.sch 817 */
			return
				BGl_refzd2variablezd2setz12z12zzast_nodez00(
				((BgL_refz00_bglt) BgL_oz00_6294),
				((BgL_variablez00_bglt) BgL_vz00_6295));
		}

	}



/* ref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_refzd2typezd2zzast_nodez00(BgL_refz00_bglt BgL_oz00_94)
	{
		{	/* Ast/nodetype.sch 818 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_94)))->BgL_typez00);
		}

	}



/* &ref-type */
	BgL_typez00_bglt BGl_z62refzd2typezb0zzast_nodez00(obj_t BgL_envz00_6296,
		obj_t BgL_oz00_6297)
	{
		{	/* Ast/nodetype.sch 818 */
			return BGl_refzd2typezd2zzast_nodez00(((BgL_refz00_bglt) BgL_oz00_6297));
		}

	}



/* ref-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_refzd2typezd2setz12z12zzast_nodez00(BgL_refz00_bglt
		BgL_oz00_95, BgL_typez00_bglt BgL_vz00_96)
	{
		{	/* Ast/nodetype.sch 819 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_95)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_96), BUNSPEC);
		}

	}



/* &ref-type-set! */
	obj_t BGl_z62refzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6298,
		obj_t BgL_oz00_6299, obj_t BgL_vz00_6300)
	{
		{	/* Ast/nodetype.sch 819 */
			return
				BGl_refzd2typezd2setz12z12zzast_nodez00(
				((BgL_refz00_bglt) BgL_oz00_6299), ((BgL_typez00_bglt) BgL_vz00_6300));
		}

	}



/* ref-loc */
	BGL_EXPORTED_DEF obj_t BGl_refzd2loczd2zzast_nodez00(BgL_refz00_bglt
		BgL_oz00_97)
	{
		{	/* Ast/nodetype.sch 820 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_97)))->BgL_locz00);
		}

	}



/* &ref-loc */
	obj_t BGl_z62refzd2loczb0zzast_nodez00(obj_t BgL_envz00_6301,
		obj_t BgL_oz00_6302)
	{
		{	/* Ast/nodetype.sch 820 */
			return BGl_refzd2loczd2zzast_nodez00(((BgL_refz00_bglt) BgL_oz00_6302));
		}

	}



/* make-closure */
	BGL_EXPORTED_DEF BgL_closurez00_bglt BGl_makezd2closurezd2zzast_nodez00(obj_t
		BgL_loc1707z00_100, BgL_typez00_bglt BgL_type1708z00_101,
		BgL_variablez00_bglt BgL_variable1709z00_102)
	{
		{	/* Ast/nodetype.sch 824 */
			{	/* Ast/nodetype.sch 824 */
				BgL_closurez00_bglt BgL_new1446z00_9006;

				{	/* Ast/nodetype.sch 824 */
					BgL_closurez00_bglt BgL_new1445z00_9007;

					BgL_new1445z00_9007 =
						((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/nodetype.sch 824 */
						long BgL_arg1781z00_9008;

						BgL_arg1781z00_9008 = BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1445z00_9007), BgL_arg1781z00_9008);
					}
					{	/* Ast/nodetype.sch 824 */
						BgL_objectz00_bglt BgL_tmpz00_10872;

						BgL_tmpz00_10872 = ((BgL_objectz00_bglt) BgL_new1445z00_9007);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10872, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1445z00_9007);
					BgL_new1446z00_9006 = BgL_new1445z00_9007;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1446z00_9006)))->BgL_locz00) =
					((obj_t) BgL_loc1707z00_100), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1446z00_9006)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1708z00_101), BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1446z00_9006)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_variable1709z00_102), BUNSPEC);
				return BgL_new1446z00_9006;
			}
		}

	}



/* &make-closure */
	BgL_closurez00_bglt BGl_z62makezd2closurezb0zzast_nodez00(obj_t
		BgL_envz00_6303, obj_t BgL_loc1707z00_6304, obj_t BgL_type1708z00_6305,
		obj_t BgL_variable1709z00_6306)
	{
		{	/* Ast/nodetype.sch 824 */
			return
				BGl_makezd2closurezd2zzast_nodez00(BgL_loc1707z00_6304,
				((BgL_typez00_bglt) BgL_type1708z00_6305),
				((BgL_variablez00_bglt) BgL_variable1709z00_6306));
		}

	}



/* closure? */
	BGL_EXPORTED_DEF bool_t BGl_closurezf3zf3zzast_nodez00(obj_t BgL_objz00_103)
	{
		{	/* Ast/nodetype.sch 825 */
			{	/* Ast/nodetype.sch 825 */
				obj_t BgL_classz00_9009;

				BgL_classz00_9009 = BGl_closurez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_103))
					{	/* Ast/nodetype.sch 825 */
						BgL_objectz00_bglt BgL_arg1820z00_9010;

						BgL_arg1820z00_9010 = (BgL_objectz00_bglt) (BgL_objz00_103);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 825 */
								long BgL_idxz00_9011;

								BgL_idxz00_9011 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9010);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9011 + ((long) 3))) == BgL_classz00_9009);
							}
						else
							{	/* Ast/nodetype.sch 825 */
								bool_t BgL_res2967z00_9014;

								{	/* Ast/nodetype.sch 825 */
									obj_t BgL_oclassz00_9015;

									{	/* Ast/nodetype.sch 825 */
										long BgL_arg1828z00_9016;

										{	/* Ast/nodetype.sch 825 */
											long BgL_arg1829z00_9017;

											BgL_arg1829z00_9017 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9010);
											BgL_arg1828z00_9016 = (BgL_arg1829z00_9017 - OBJECT_TYPE);
										}
										BgL_oclassz00_9015 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9016);
									}
									{	/* Ast/nodetype.sch 825 */
										bool_t BgL__ortest_1111z00_9018;

										BgL__ortest_1111z00_9018 =
											(BgL_classz00_9009 == BgL_oclassz00_9015);
										if (BgL__ortest_1111z00_9018)
											{	/* Ast/nodetype.sch 825 */
												BgL_res2967z00_9014 = BgL__ortest_1111z00_9018;
											}
										else
											{	/* Ast/nodetype.sch 825 */
												long BgL_odepthz00_9019;

												BgL_odepthz00_9019 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9015);
												if ((((long) 3) < BgL_odepthz00_9019))
													{	/* Ast/nodetype.sch 825 */
														obj_t BgL_arg1816z00_9020;

														BgL_arg1816z00_9020 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9015,
															((long) 3));
														BgL_res2967z00_9014 =
															(BgL_arg1816z00_9020 == BgL_classz00_9009);
													}
												else
													{	/* Ast/nodetype.sch 825 */
														BgL_res2967z00_9014 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2967z00_9014;
							}
					}
				else
					{	/* Ast/nodetype.sch 825 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &closure? */
	obj_t BGl_z62closurezf3z91zzast_nodez00(obj_t BgL_envz00_6307,
		obj_t BgL_objz00_6308)
	{
		{	/* Ast/nodetype.sch 825 */
			return BBOOL(BGl_closurezf3zf3zzast_nodez00(BgL_objz00_6308));
		}

	}



/* closure-nil */
	BGL_EXPORTED_DEF BgL_closurez00_bglt BGl_closurezd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 826 */
			{	/* Ast/nodetype.sch 826 */
				obj_t BgL_classz00_4106;

				BgL_classz00_4106 = BGl_closurez00zzast_nodez00;
				{	/* Ast/nodetype.sch 826 */
					obj_t BgL__ortest_1113z00_4107;

					BgL__ortest_1113z00_4107 = BGL_CLASS_NIL(BgL_classz00_4106);
					if (CBOOL(BgL__ortest_1113z00_4107))
						{	/* Ast/nodetype.sch 826 */
							return ((BgL_closurez00_bglt) BgL__ortest_1113z00_4107);
						}
					else
						{	/* Ast/nodetype.sch 826 */
							return
								((BgL_closurez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4106));
						}
				}
			}
		}

	}



/* &closure-nil */
	BgL_closurez00_bglt BGl_z62closurezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6309)
	{
		{	/* Ast/nodetype.sch 826 */
			return BGl_closurezd2nilzd2zzast_nodez00();
		}

	}



/* closure-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_closurezd2variablezd2zzast_nodez00(BgL_closurez00_bglt BgL_oz00_104)
	{
		{	/* Ast/nodetype.sch 827 */
			return
				(((BgL_varz00_bglt) COBJECT(
						((BgL_varz00_bglt) BgL_oz00_104)))->BgL_variablez00);
		}

	}



/* &closure-variable */
	BgL_variablez00_bglt BGl_z62closurezd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_6310, obj_t BgL_oz00_6311)
	{
		{	/* Ast/nodetype.sch 827 */
			return
				BGl_closurezd2variablezd2zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6311));
		}

	}



/* closure-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2variablezd2setz12z12zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_105, BgL_variablez00_bglt BgL_vz00_106)
	{
		{	/* Ast/nodetype.sch 828 */
			return
				((((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_oz00_105)))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_106), BUNSPEC);
		}

	}



/* &closure-variable-set! */
	obj_t BGl_z62closurezd2variablezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6312, obj_t BgL_oz00_6313, obj_t BgL_vz00_6314)
	{
		{	/* Ast/nodetype.sch 828 */
			return
				BGl_closurezd2variablezd2setz12z12zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6313),
				((BgL_variablez00_bglt) BgL_vz00_6314));
		}

	}



/* closure-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_closurezd2typezd2zzast_nodez00(BgL_closurez00_bglt BgL_oz00_107)
	{
		{	/* Ast/nodetype.sch 829 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_107)))->BgL_typez00);
		}

	}



/* &closure-type */
	BgL_typez00_bglt BGl_z62closurezd2typezb0zzast_nodez00(obj_t BgL_envz00_6315,
		obj_t BgL_oz00_6316)
	{
		{	/* Ast/nodetype.sch 829 */
			return
				BGl_closurezd2typezd2zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6316));
		}

	}



/* closure-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2typezd2setz12z12zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_108, BgL_typez00_bglt BgL_vz00_109)
	{
		{	/* Ast/nodetype.sch 830 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_108)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_109), BUNSPEC);
		}

	}



/* &closure-type-set! */
	obj_t BGl_z62closurezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6317,
		obj_t BgL_oz00_6318, obj_t BgL_vz00_6319)
	{
		{	/* Ast/nodetype.sch 830 */
			return
				BGl_closurezd2typezd2setz12z12zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6318),
				((BgL_typez00_bglt) BgL_vz00_6319));
		}

	}



/* closure-loc */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2loczd2zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_110)
	{
		{	/* Ast/nodetype.sch 831 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_110)))->BgL_locz00);
		}

	}



/* &closure-loc */
	obj_t BGl_z62closurezd2loczb0zzast_nodez00(obj_t BgL_envz00_6320,
		obj_t BgL_oz00_6321)
	{
		{	/* Ast/nodetype.sch 831 */
			return
				BGl_closurezd2loczd2zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6321));
		}

	}



/* make-kwote */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t
		BgL_loc1703z00_113, BgL_typez00_bglt BgL_type1704z00_114,
		obj_t BgL_value1705z00_115)
	{
		{	/* Ast/nodetype.sch 835 */
			{	/* Ast/nodetype.sch 835 */
				BgL_kwotez00_bglt BgL_new1448z00_9021;

				{	/* Ast/nodetype.sch 835 */
					BgL_kwotez00_bglt BgL_new1447z00_9022;

					BgL_new1447z00_9022 =
						((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/nodetype.sch 835 */
						long BgL_arg1785z00_9023;

						BgL_arg1785z00_9023 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1447z00_9022), BgL_arg1785z00_9023);
					}
					{	/* Ast/nodetype.sch 835 */
						BgL_objectz00_bglt BgL_tmpz00_10939;

						BgL_tmpz00_10939 = ((BgL_objectz00_bglt) BgL_new1447z00_9022);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10939, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1447z00_9022);
					BgL_new1448z00_9021 = BgL_new1447z00_9022;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1448z00_9021)))->BgL_locz00) =
					((obj_t) BgL_loc1703z00_113), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1448z00_9021)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1704z00_114), BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(BgL_new1448z00_9021))->BgL_valuez00) =
					((obj_t) BgL_value1705z00_115), BUNSPEC);
				return BgL_new1448z00_9021;
			}
		}

	}



/* &make-kwote */
	BgL_kwotez00_bglt BGl_z62makezd2kwotezb0zzast_nodez00(obj_t BgL_envz00_6322,
		obj_t BgL_loc1703z00_6323, obj_t BgL_type1704z00_6324,
		obj_t BgL_value1705z00_6325)
	{
		{	/* Ast/nodetype.sch 835 */
			return
				BGl_makezd2kwotezd2zzast_nodez00(BgL_loc1703z00_6323,
				((BgL_typez00_bglt) BgL_type1704z00_6324), BgL_value1705z00_6325);
		}

	}



/* kwote? */
	BGL_EXPORTED_DEF bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t BgL_objz00_116)
	{
		{	/* Ast/nodetype.sch 836 */
			{	/* Ast/nodetype.sch 836 */
				obj_t BgL_classz00_9024;

				BgL_classz00_9024 = BGl_kwotez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_116))
					{	/* Ast/nodetype.sch 836 */
						BgL_objectz00_bglt BgL_arg1820z00_9025;

						BgL_arg1820z00_9025 = (BgL_objectz00_bglt) (BgL_objz00_116);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 836 */
								long BgL_idxz00_9026;

								BgL_idxz00_9026 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9025);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9026 + ((long) 2))) == BgL_classz00_9024);
							}
						else
							{	/* Ast/nodetype.sch 836 */
								bool_t BgL_res2968z00_9029;

								{	/* Ast/nodetype.sch 836 */
									obj_t BgL_oclassz00_9030;

									{	/* Ast/nodetype.sch 836 */
										long BgL_arg1828z00_9031;

										{	/* Ast/nodetype.sch 836 */
											long BgL_arg1829z00_9032;

											BgL_arg1829z00_9032 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9025);
											BgL_arg1828z00_9031 = (BgL_arg1829z00_9032 - OBJECT_TYPE);
										}
										BgL_oclassz00_9030 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9031);
									}
									{	/* Ast/nodetype.sch 836 */
										bool_t BgL__ortest_1111z00_9033;

										BgL__ortest_1111z00_9033 =
											(BgL_classz00_9024 == BgL_oclassz00_9030);
										if (BgL__ortest_1111z00_9033)
											{	/* Ast/nodetype.sch 836 */
												BgL_res2968z00_9029 = BgL__ortest_1111z00_9033;
											}
										else
											{	/* Ast/nodetype.sch 836 */
												long BgL_odepthz00_9034;

												BgL_odepthz00_9034 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9030);
												if ((((long) 2) < BgL_odepthz00_9034))
													{	/* Ast/nodetype.sch 836 */
														obj_t BgL_arg1816z00_9035;

														BgL_arg1816z00_9035 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9030,
															((long) 2));
														BgL_res2968z00_9029 =
															(BgL_arg1816z00_9035 == BgL_classz00_9024);
													}
												else
													{	/* Ast/nodetype.sch 836 */
														BgL_res2968z00_9029 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2968z00_9029;
							}
					}
				else
					{	/* Ast/nodetype.sch 836 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &kwote? */
	obj_t BGl_z62kwotezf3z91zzast_nodez00(obj_t BgL_envz00_6326,
		obj_t BgL_objz00_6327)
	{
		{	/* Ast/nodetype.sch 836 */
			return BBOOL(BGl_kwotezf3zf3zzast_nodez00(BgL_objz00_6327));
		}

	}



/* kwote-nil */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_kwotezd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 837 */
			{	/* Ast/nodetype.sch 837 */
				obj_t BgL_classz00_4146;

				BgL_classz00_4146 = BGl_kwotez00zzast_nodez00;
				{	/* Ast/nodetype.sch 837 */
					obj_t BgL__ortest_1113z00_4147;

					BgL__ortest_1113z00_4147 = BGL_CLASS_NIL(BgL_classz00_4146);
					if (CBOOL(BgL__ortest_1113z00_4147))
						{	/* Ast/nodetype.sch 837 */
							return ((BgL_kwotez00_bglt) BgL__ortest_1113z00_4147);
						}
					else
						{	/* Ast/nodetype.sch 837 */
							return
								((BgL_kwotez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4146));
						}
				}
			}
		}

	}



/* &kwote-nil */
	BgL_kwotez00_bglt BGl_z62kwotezd2nilzb0zzast_nodez00(obj_t BgL_envz00_6328)
	{
		{	/* Ast/nodetype.sch 837 */
			return BGl_kwotezd2nilzd2zzast_nodez00();
		}

	}



/* kwote-value */
	BGL_EXPORTED_DEF obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt
		BgL_oz00_117)
	{
		{	/* Ast/nodetype.sch 838 */
			return (((BgL_kwotez00_bglt) COBJECT(BgL_oz00_117))->BgL_valuez00);
		}

	}



/* &kwote-value */
	obj_t BGl_z62kwotezd2valuezb0zzast_nodez00(obj_t BgL_envz00_6329,
		obj_t BgL_oz00_6330)
	{
		{	/* Ast/nodetype.sch 838 */
			return
				BGl_kwotezd2valuezd2zzast_nodez00(((BgL_kwotez00_bglt) BgL_oz00_6330));
		}

	}



/* kwote-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_kwotezd2typezd2zzast_nodez00(BgL_kwotez00_bglt BgL_oz00_120)
	{
		{	/* Ast/nodetype.sch 840 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_120)))->BgL_typez00);
		}

	}



/* &kwote-type */
	BgL_typez00_bglt BGl_z62kwotezd2typezb0zzast_nodez00(obj_t BgL_envz00_6331,
		obj_t BgL_oz00_6332)
	{
		{	/* Ast/nodetype.sch 840 */
			return
				BGl_kwotezd2typezd2zzast_nodez00(((BgL_kwotez00_bglt) BgL_oz00_6332));
		}

	}



/* kwote-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezd2typezd2setz12z12zzast_nodez00(BgL_kwotez00_bglt BgL_oz00_121,
		BgL_typez00_bglt BgL_vz00_122)
	{
		{	/* Ast/nodetype.sch 841 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_121)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_122), BUNSPEC);
		}

	}



/* &kwote-type-set! */
	obj_t BGl_z62kwotezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6333,
		obj_t BgL_oz00_6334, obj_t BgL_vz00_6335)
	{
		{	/* Ast/nodetype.sch 841 */
			return
				BGl_kwotezd2typezd2setz12z12zzast_nodez00(
				((BgL_kwotez00_bglt) BgL_oz00_6334),
				((BgL_typez00_bglt) BgL_vz00_6335));
		}

	}



/* kwote-loc */
	BGL_EXPORTED_DEF obj_t BGl_kwotezd2loczd2zzast_nodez00(BgL_kwotez00_bglt
		BgL_oz00_123)
	{
		{	/* Ast/nodetype.sch 842 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_123)))->BgL_locz00);
		}

	}



/* &kwote-loc */
	obj_t BGl_z62kwotezd2loczb0zzast_nodez00(obj_t BgL_envz00_6336,
		obj_t BgL_oz00_6337)
	{
		{	/* Ast/nodetype.sch 842 */
			return
				BGl_kwotezd2loczd2zzast_nodez00(((BgL_kwotez00_bglt) BgL_oz00_6337));
		}

	}



/* make-sequence */
	BGL_EXPORTED_DEF BgL_sequencez00_bglt
		BGl_makezd2sequencezd2zzast_nodez00(obj_t BgL_loc1695z00_126,
		BgL_typez00_bglt BgL_type1696z00_127, obj_t BgL_sidezd2effect1697zd2_128,
		obj_t BgL_key1698z00_129, obj_t BgL_nodes1699z00_130,
		bool_t BgL_unsafe1700z00_131, obj_t BgL_meta1701z00_132)
	{
		{	/* Ast/nodetype.sch 846 */
			{	/* Ast/nodetype.sch 846 */
				BgL_sequencez00_bglt BgL_new1450z00_9036;

				{	/* Ast/nodetype.sch 846 */
					BgL_sequencez00_bglt BgL_new1449z00_9037;

					BgL_new1449z00_9037 =
						((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sequencez00_bgl))));
					{	/* Ast/nodetype.sch 846 */
						long BgL_arg1787z00_9038;

						BgL_arg1787z00_9038 = BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1449z00_9037), BgL_arg1787z00_9038);
					}
					{	/* Ast/nodetype.sch 846 */
						BgL_objectz00_bglt BgL_tmpz00_10998;

						BgL_tmpz00_10998 = ((BgL_objectz00_bglt) BgL_new1449z00_9037);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10998, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1449z00_9037);
					BgL_new1450z00_9036 = BgL_new1449z00_9037;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1450z00_9036)))->BgL_locz00) =
					((obj_t) BgL_loc1695z00_126), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1450z00_9036)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1696z00_127), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1450z00_9036)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1697zd2_128), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1450z00_9036)))->BgL_keyz00) =
					((obj_t) BgL_key1698z00_129), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(BgL_new1450z00_9036))->BgL_nodesz00) =
					((obj_t) BgL_nodes1699z00_130), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(BgL_new1450z00_9036))->
						BgL_unsafez00) = ((bool_t) BgL_unsafe1700z00_131), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(BgL_new1450z00_9036))->BgL_metaz00) =
					((obj_t) BgL_meta1701z00_132), BUNSPEC);
				return BgL_new1450z00_9036;
			}
		}

	}



/* &make-sequence */
	BgL_sequencez00_bglt BGl_z62makezd2sequencezb0zzast_nodez00(obj_t
		BgL_envz00_6338, obj_t BgL_loc1695z00_6339, obj_t BgL_type1696z00_6340,
		obj_t BgL_sidezd2effect1697zd2_6341, obj_t BgL_key1698z00_6342,
		obj_t BgL_nodes1699z00_6343, obj_t BgL_unsafe1700z00_6344,
		obj_t BgL_meta1701z00_6345)
	{
		{	/* Ast/nodetype.sch 846 */
			return
				BGl_makezd2sequencezd2zzast_nodez00(BgL_loc1695z00_6339,
				((BgL_typez00_bglt) BgL_type1696z00_6340),
				BgL_sidezd2effect1697zd2_6341, BgL_key1698z00_6342,
				BgL_nodes1699z00_6343, CBOOL(BgL_unsafe1700z00_6344),
				BgL_meta1701z00_6345);
		}

	}



/* sequence? */
	BGL_EXPORTED_DEF bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t BgL_objz00_133)
	{
		{	/* Ast/nodetype.sch 847 */
			{	/* Ast/nodetype.sch 847 */
				obj_t BgL_classz00_9039;

				BgL_classz00_9039 = BGl_sequencez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_133))
					{	/* Ast/nodetype.sch 847 */
						BgL_objectz00_bglt BgL_arg1820z00_9040;

						BgL_arg1820z00_9040 = (BgL_objectz00_bglt) (BgL_objz00_133);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 847 */
								long BgL_idxz00_9041;

								BgL_idxz00_9041 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9040);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9041 + ((long) 3))) == BgL_classz00_9039);
							}
						else
							{	/* Ast/nodetype.sch 847 */
								bool_t BgL_res2969z00_9044;

								{	/* Ast/nodetype.sch 847 */
									obj_t BgL_oclassz00_9045;

									{	/* Ast/nodetype.sch 847 */
										long BgL_arg1828z00_9046;

										{	/* Ast/nodetype.sch 847 */
											long BgL_arg1829z00_9047;

											BgL_arg1829z00_9047 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9040);
											BgL_arg1828z00_9046 = (BgL_arg1829z00_9047 - OBJECT_TYPE);
										}
										BgL_oclassz00_9045 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9046);
									}
									{	/* Ast/nodetype.sch 847 */
										bool_t BgL__ortest_1111z00_9048;

										BgL__ortest_1111z00_9048 =
											(BgL_classz00_9039 == BgL_oclassz00_9045);
										if (BgL__ortest_1111z00_9048)
											{	/* Ast/nodetype.sch 847 */
												BgL_res2969z00_9044 = BgL__ortest_1111z00_9048;
											}
										else
											{	/* Ast/nodetype.sch 847 */
												long BgL_odepthz00_9049;

												BgL_odepthz00_9049 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9045);
												if ((((long) 3) < BgL_odepthz00_9049))
													{	/* Ast/nodetype.sch 847 */
														obj_t BgL_arg1816z00_9050;

														BgL_arg1816z00_9050 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9045,
															((long) 3));
														BgL_res2969z00_9044 =
															(BgL_arg1816z00_9050 == BgL_classz00_9039);
													}
												else
													{	/* Ast/nodetype.sch 847 */
														BgL_res2969z00_9044 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2969z00_9044;
							}
					}
				else
					{	/* Ast/nodetype.sch 847 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sequence? */
	obj_t BGl_z62sequencezf3z91zzast_nodez00(obj_t BgL_envz00_6346,
		obj_t BgL_objz00_6347)
	{
		{	/* Ast/nodetype.sch 847 */
			return BBOOL(BGl_sequencezf3zf3zzast_nodez00(BgL_objz00_6347));
		}

	}



/* sequence-nil */
	BGL_EXPORTED_DEF BgL_sequencez00_bglt BGl_sequencezd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 848 */
			{	/* Ast/nodetype.sch 848 */
				obj_t BgL_classz00_4186;

				BgL_classz00_4186 = BGl_sequencez00zzast_nodez00;
				{	/* Ast/nodetype.sch 848 */
					obj_t BgL__ortest_1113z00_4187;

					BgL__ortest_1113z00_4187 = BGL_CLASS_NIL(BgL_classz00_4186);
					if (CBOOL(BgL__ortest_1113z00_4187))
						{	/* Ast/nodetype.sch 848 */
							return ((BgL_sequencez00_bglt) BgL__ortest_1113z00_4187);
						}
					else
						{	/* Ast/nodetype.sch 848 */
							return
								((BgL_sequencez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4186));
						}
				}
			}
		}

	}



/* &sequence-nil */
	BgL_sequencez00_bglt BGl_z62sequencezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6348)
	{
		{	/* Ast/nodetype.sch 848 */
			return BGl_sequencezd2nilzd2zzast_nodez00();
		}

	}



/* sequence-meta */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2metazd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_134)
	{
		{	/* Ast/nodetype.sch 849 */
			return (((BgL_sequencez00_bglt) COBJECT(BgL_oz00_134))->BgL_metaz00);
		}

	}



/* &sequence-meta */
	obj_t BGl_z62sequencezd2metazb0zzast_nodez00(obj_t BgL_envz00_6349,
		obj_t BgL_oz00_6350)
	{
		{	/* Ast/nodetype.sch 849 */
			return
				BGl_sequencezd2metazd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6350));
		}

	}



/* sequence-unsafe */
	BGL_EXPORTED_DEF bool_t
		BGl_sequencezd2unsafezd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_137)
	{
		{	/* Ast/nodetype.sch 851 */
			return (((BgL_sequencez00_bglt) COBJECT(BgL_oz00_137))->BgL_unsafez00);
		}

	}



/* &sequence-unsafe */
	obj_t BGl_z62sequencezd2unsafezb0zzast_nodez00(obj_t BgL_envz00_6351,
		obj_t BgL_oz00_6352)
	{
		{	/* Ast/nodetype.sch 851 */
			return
				BBOOL(BGl_sequencezd2unsafezd2zzast_nodez00(
					((BgL_sequencez00_bglt) BgL_oz00_6352)));
		}

	}



/* sequence-nodes */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_140)
	{
		{	/* Ast/nodetype.sch 853 */
			return (((BgL_sequencez00_bglt) COBJECT(BgL_oz00_140))->BgL_nodesz00);
		}

	}



/* &sequence-nodes */
	obj_t BGl_z62sequencezd2nodeszb0zzast_nodez00(obj_t BgL_envz00_6353,
		obj_t BgL_oz00_6354)
	{
		{	/* Ast/nodetype.sch 853 */
			return
				BGl_sequencezd2nodeszd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6354));
		}

	}



/* sequence-key */
	BGL_EXPORTED_DEF obj_t BGl_sequencezd2keyzd2zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_143)
	{
		{	/* Ast/nodetype.sch 855 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_143)))->BgL_keyz00);
		}

	}



/* &sequence-key */
	obj_t BGl_z62sequencezd2keyzb0zzast_nodez00(obj_t BgL_envz00_6355,
		obj_t BgL_oz00_6356)
	{
		{	/* Ast/nodetype.sch 855 */
			return
				BGl_sequencezd2keyzd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6356));
		}

	}



/* sequence-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2keyzd2setz12z12zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_144, obj_t BgL_vz00_145)
	{
		{	/* Ast/nodetype.sch 856 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_144)))->BgL_keyz00) =
				((obj_t) BgL_vz00_145), BUNSPEC);
		}

	}



/* &sequence-key-set! */
	obj_t BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6357,
		obj_t BgL_oz00_6358, obj_t BgL_vz00_6359)
	{
		{	/* Ast/nodetype.sch 856 */
			return
				BGl_sequencezd2keyzd2setz12z12zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6358), BgL_vz00_6359);
		}

	}



/* sequence-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2sidezd2effectz00zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_146)
	{
		{	/* Ast/nodetype.sch 857 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_146)))->BgL_sidezd2effectzd2);
		}

	}



/* &sequence-side-effect */
	obj_t BGl_z62sequencezd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6360,
		obj_t BgL_oz00_6361)
	{
		{	/* Ast/nodetype.sch 857 */
			return
				BGl_sequencezd2sidezd2effectz00zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6361));
		}

	}



/* sequence-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_147, obj_t BgL_vz00_148)
	{
		{	/* Ast/nodetype.sch 858 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_147)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_148), BUNSPEC);
		}

	}



/* &sequence-side-effect-set! */
	obj_t BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6362, obj_t BgL_oz00_6363, obj_t BgL_vz00_6364)
	{
		{	/* Ast/nodetype.sch 858 */
			return
				BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6363), BgL_vz00_6364);
		}

	}



/* sequence-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_sequencezd2typezd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_149)
	{
		{	/* Ast/nodetype.sch 859 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_149)))->BgL_typez00);
		}

	}



/* &sequence-type */
	BgL_typez00_bglt BGl_z62sequencezd2typezb0zzast_nodez00(obj_t BgL_envz00_6365,
		obj_t BgL_oz00_6366)
	{
		{	/* Ast/nodetype.sch 859 */
			return
				BGl_sequencezd2typezd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6366));
		}

	}



/* sequence-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2typezd2setz12z12zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_150, BgL_typez00_bglt BgL_vz00_151)
	{
		{	/* Ast/nodetype.sch 860 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_150)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_151), BUNSPEC);
		}

	}



/* &sequence-type-set! */
	obj_t BGl_z62sequencezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6367,
		obj_t BgL_oz00_6368, obj_t BgL_vz00_6369)
	{
		{	/* Ast/nodetype.sch 860 */
			return
				BGl_sequencezd2typezd2setz12z12zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6368),
				((BgL_typez00_bglt) BgL_vz00_6369));
		}

	}



/* sequence-loc */
	BGL_EXPORTED_DEF obj_t BGl_sequencezd2loczd2zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_152)
	{
		{	/* Ast/nodetype.sch 861 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_152)))->BgL_locz00);
		}

	}



/* &sequence-loc */
	obj_t BGl_z62sequencezd2loczb0zzast_nodez00(obj_t BgL_envz00_6370,
		obj_t BgL_oz00_6371)
	{
		{	/* Ast/nodetype.sch 861 */
			return
				BGl_sequencezd2loczd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6371));
		}

	}



/* make-app */
	BGL_EXPORTED_DEF BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t
		BgL_loc1687z00_155, BgL_typez00_bglt BgL_type1688z00_156,
		obj_t BgL_sidezd2effect1689zd2_157, obj_t BgL_key1690z00_158,
		BgL_varz00_bglt BgL_fun1691z00_159, obj_t BgL_args1692z00_160,
		obj_t BgL_stackable1693z00_161)
	{
		{	/* Ast/nodetype.sch 865 */
			{	/* Ast/nodetype.sch 865 */
				BgL_appz00_bglt BgL_new1452z00_9051;

				{	/* Ast/nodetype.sch 865 */
					BgL_appz00_bglt BgL_new1451z00_9052;

					BgL_new1451z00_9052 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Ast/nodetype.sch 865 */
						long BgL_arg1789z00_9053;

						BgL_arg1789z00_9053 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1451z00_9052), BgL_arg1789z00_9053);
					}
					{	/* Ast/nodetype.sch 865 */
						BgL_objectz00_bglt BgL_tmpz00_11087;

						BgL_tmpz00_11087 = ((BgL_objectz00_bglt) BgL_new1451z00_9052);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11087, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1451z00_9052);
					BgL_new1452z00_9051 = BgL_new1451z00_9052;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1452z00_9051)))->BgL_locz00) =
					((obj_t) BgL_loc1687z00_155), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1452z00_9051)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1688z00_156), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1452z00_9051)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1689zd2_157), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1452z00_9051)))->BgL_keyz00) =
					((obj_t) BgL_key1690z00_158), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1452z00_9051))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_fun1691z00_159), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1452z00_9051))->BgL_argsz00) =
					((obj_t) BgL_args1692z00_160), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1452z00_9051))->BgL_stackablez00) =
					((obj_t) BgL_stackable1693z00_161), BUNSPEC);
				return BgL_new1452z00_9051;
			}
		}

	}



/* &make-app */
	BgL_appz00_bglt BGl_z62makezd2appzb0zzast_nodez00(obj_t BgL_envz00_6372,
		obj_t BgL_loc1687z00_6373, obj_t BgL_type1688z00_6374,
		obj_t BgL_sidezd2effect1689zd2_6375, obj_t BgL_key1690z00_6376,
		obj_t BgL_fun1691z00_6377, obj_t BgL_args1692z00_6378,
		obj_t BgL_stackable1693z00_6379)
	{
		{	/* Ast/nodetype.sch 865 */
			return
				BGl_makezd2appzd2zzast_nodez00(BgL_loc1687z00_6373,
				((BgL_typez00_bglt) BgL_type1688z00_6374),
				BgL_sidezd2effect1689zd2_6375, BgL_key1690z00_6376,
				((BgL_varz00_bglt) BgL_fun1691z00_6377), BgL_args1692z00_6378,
				BgL_stackable1693z00_6379);
		}

	}



/* app? */
	BGL_EXPORTED_DEF bool_t BGl_appzf3zf3zzast_nodez00(obj_t BgL_objz00_162)
	{
		{	/* Ast/nodetype.sch 866 */
			{	/* Ast/nodetype.sch 866 */
				obj_t BgL_classz00_9054;

				BgL_classz00_9054 = BGl_appz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_162))
					{	/* Ast/nodetype.sch 866 */
						BgL_objectz00_bglt BgL_arg1820z00_9055;

						BgL_arg1820z00_9055 = (BgL_objectz00_bglt) (BgL_objz00_162);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 866 */
								long BgL_idxz00_9056;

								BgL_idxz00_9056 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9055);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9056 + ((long) 3))) == BgL_classz00_9054);
							}
						else
							{	/* Ast/nodetype.sch 866 */
								bool_t BgL_res2970z00_9059;

								{	/* Ast/nodetype.sch 866 */
									obj_t BgL_oclassz00_9060;

									{	/* Ast/nodetype.sch 866 */
										long BgL_arg1828z00_9061;

										{	/* Ast/nodetype.sch 866 */
											long BgL_arg1829z00_9062;

											BgL_arg1829z00_9062 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9055);
											BgL_arg1828z00_9061 = (BgL_arg1829z00_9062 - OBJECT_TYPE);
										}
										BgL_oclassz00_9060 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9061);
									}
									{	/* Ast/nodetype.sch 866 */
										bool_t BgL__ortest_1111z00_9063;

										BgL__ortest_1111z00_9063 =
											(BgL_classz00_9054 == BgL_oclassz00_9060);
										if (BgL__ortest_1111z00_9063)
											{	/* Ast/nodetype.sch 866 */
												BgL_res2970z00_9059 = BgL__ortest_1111z00_9063;
											}
										else
											{	/* Ast/nodetype.sch 866 */
												long BgL_odepthz00_9064;

												BgL_odepthz00_9064 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9060);
												if ((((long) 3) < BgL_odepthz00_9064))
													{	/* Ast/nodetype.sch 866 */
														obj_t BgL_arg1816z00_9065;

														BgL_arg1816z00_9065 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9060,
															((long) 3));
														BgL_res2970z00_9059 =
															(BgL_arg1816z00_9065 == BgL_classz00_9054);
													}
												else
													{	/* Ast/nodetype.sch 866 */
														BgL_res2970z00_9059 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2970z00_9059;
							}
					}
				else
					{	/* Ast/nodetype.sch 866 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &app? */
	obj_t BGl_z62appzf3z91zzast_nodez00(obj_t BgL_envz00_6380,
		obj_t BgL_objz00_6381)
	{
		{	/* Ast/nodetype.sch 866 */
			return BBOOL(BGl_appzf3zf3zzast_nodez00(BgL_objz00_6381));
		}

	}



/* app-nil */
	BGL_EXPORTED_DEF BgL_appz00_bglt BGl_appzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 867 */
			{	/* Ast/nodetype.sch 867 */
				obj_t BgL_classz00_4226;

				BgL_classz00_4226 = BGl_appz00zzast_nodez00;
				{	/* Ast/nodetype.sch 867 */
					obj_t BgL__ortest_1113z00_4227;

					BgL__ortest_1113z00_4227 = BGL_CLASS_NIL(BgL_classz00_4226);
					if (CBOOL(BgL__ortest_1113z00_4227))
						{	/* Ast/nodetype.sch 867 */
							return ((BgL_appz00_bglt) BgL__ortest_1113z00_4227);
						}
					else
						{	/* Ast/nodetype.sch 867 */
							return
								((BgL_appz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4226));
						}
				}
			}
		}

	}



/* &app-nil */
	BgL_appz00_bglt BGl_z62appzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6382)
	{
		{	/* Ast/nodetype.sch 867 */
			return BGl_appzd2nilzd2zzast_nodez00();
		}

	}



/* app-stackable */
	BGL_EXPORTED_DEF obj_t BGl_appzd2stackablezd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_163)
	{
		{	/* Ast/nodetype.sch 868 */
			return (((BgL_appz00_bglt) COBJECT(BgL_oz00_163))->BgL_stackablez00);
		}

	}



/* &app-stackable */
	obj_t BGl_z62appzd2stackablezb0zzast_nodez00(obj_t BgL_envz00_6383,
		obj_t BgL_oz00_6384)
	{
		{	/* Ast/nodetype.sch 868 */
			return
				BGl_appzd2stackablezd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6384));
		}

	}



/* app-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2stackablezd2setz12z12zzast_nodez00(BgL_appz00_bglt BgL_oz00_164,
		obj_t BgL_vz00_165)
	{
		{	/* Ast/nodetype.sch 869 */
			return
				((((BgL_appz00_bglt) COBJECT(BgL_oz00_164))->BgL_stackablez00) =
				((obj_t) BgL_vz00_165), BUNSPEC);
		}

	}



/* &app-stackable-set! */
	obj_t BGl_z62appzd2stackablezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6385,
		obj_t BgL_oz00_6386, obj_t BgL_vz00_6387)
	{
		{	/* Ast/nodetype.sch 869 */
			return
				BGl_appzd2stackablezd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6386), BgL_vz00_6387);
		}

	}



/* app-args */
	BGL_EXPORTED_DEF obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_166)
	{
		{	/* Ast/nodetype.sch 870 */
			return (((BgL_appz00_bglt) COBJECT(BgL_oz00_166))->BgL_argsz00);
		}

	}



/* &app-args */
	obj_t BGl_z62appzd2argszb0zzast_nodez00(obj_t BgL_envz00_6388,
		obj_t BgL_oz00_6389)
	{
		{	/* Ast/nodetype.sch 870 */
			return BGl_appzd2argszd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6389));
		}

	}



/* app-args-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_167, obj_t BgL_vz00_168)
	{
		{	/* Ast/nodetype.sch 871 */
			return
				((((BgL_appz00_bglt) COBJECT(BgL_oz00_167))->BgL_argsz00) =
				((obj_t) BgL_vz00_168), BUNSPEC);
		}

	}



/* &app-args-set! */
	obj_t BGl_z62appzd2argszd2setz12z70zzast_nodez00(obj_t BgL_envz00_6390,
		obj_t BgL_oz00_6391, obj_t BgL_vz00_6392)
	{
		{	/* Ast/nodetype.sch 871 */
			return
				BGl_appzd2argszd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6391), BgL_vz00_6392);
		}

	}



/* app-fun */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_169)
	{
		{	/* Ast/nodetype.sch 872 */
			return (((BgL_appz00_bglt) COBJECT(BgL_oz00_169))->BgL_funz00);
		}

	}



/* &app-fun */
	BgL_varz00_bglt BGl_z62appzd2funzb0zzast_nodez00(obj_t BgL_envz00_6393,
		obj_t BgL_oz00_6394)
	{
		{	/* Ast/nodetype.sch 872 */
			return BGl_appzd2funzd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6394));
		}

	}



/* app-fun-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_170, BgL_varz00_bglt BgL_vz00_171)
	{
		{	/* Ast/nodetype.sch 873 */
			return
				((((BgL_appz00_bglt) COBJECT(BgL_oz00_170))->BgL_funz00) =
				((BgL_varz00_bglt) BgL_vz00_171), BUNSPEC);
		}

	}



/* &app-fun-set! */
	obj_t BGl_z62appzd2funzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6395,
		obj_t BgL_oz00_6396, obj_t BgL_vz00_6397)
	{
		{	/* Ast/nodetype.sch 873 */
			return
				BGl_appzd2funzd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6396), ((BgL_varz00_bglt) BgL_vz00_6397));
		}

	}



/* app-key */
	BGL_EXPORTED_DEF obj_t BGl_appzd2keyzd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_172)
	{
		{	/* Ast/nodetype.sch 874 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_172)))->BgL_keyz00);
		}

	}



/* &app-key */
	obj_t BGl_z62appzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6398,
		obj_t BgL_oz00_6399)
	{
		{	/* Ast/nodetype.sch 874 */
			return BGl_appzd2keyzd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6399));
		}

	}



/* app-key-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2keyzd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_173, obj_t BgL_vz00_174)
	{
		{	/* Ast/nodetype.sch 875 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_173)))->BgL_keyz00) =
				((obj_t) BgL_vz00_174), BUNSPEC);
		}

	}



/* &app-key-set! */
	obj_t BGl_z62appzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6400,
		obj_t BgL_oz00_6401, obj_t BgL_vz00_6402)
	{
		{	/* Ast/nodetype.sch 875 */
			return
				BGl_appzd2keyzd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6401), BgL_vz00_6402);
		}

	}



/* app-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_appzd2sidezd2effectz00zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_175)
	{
		{	/* Ast/nodetype.sch 876 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_175)))->BgL_sidezd2effectzd2);
		}

	}



/* &app-side-effect */
	obj_t BGl_z62appzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6403,
		obj_t BgL_oz00_6404)
	{
		{	/* Ast/nodetype.sch 876 */
			return
				BGl_appzd2sidezd2effectz00zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6404));
		}

	}



/* app-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_176, obj_t BgL_vz00_177)
	{
		{	/* Ast/nodetype.sch 877 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_176)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_177), BUNSPEC);
		}

	}



/* &app-side-effect-set! */
	obj_t BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6405, obj_t BgL_oz00_6406, obj_t BgL_vz00_6407)
	{
		{	/* Ast/nodetype.sch 877 */
			return
				BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6406), BgL_vz00_6407);
		}

	}



/* app-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2typezd2zzast_nodez00(BgL_appz00_bglt BgL_oz00_178)
	{
		{	/* Ast/nodetype.sch 878 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_178)))->BgL_typez00);
		}

	}



/* &app-type */
	BgL_typez00_bglt BGl_z62appzd2typezb0zzast_nodez00(obj_t BgL_envz00_6408,
		obj_t BgL_oz00_6409)
	{
		{	/* Ast/nodetype.sch 878 */
			return BGl_appzd2typezd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6409));
		}

	}



/* app-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2typezd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_179, BgL_typez00_bglt BgL_vz00_180)
	{
		{	/* Ast/nodetype.sch 879 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_179)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_180), BUNSPEC);
		}

	}



/* &app-type-set! */
	obj_t BGl_z62appzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6410,
		obj_t BgL_oz00_6411, obj_t BgL_vz00_6412)
	{
		{	/* Ast/nodetype.sch 879 */
			return
				BGl_appzd2typezd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6411), ((BgL_typez00_bglt) BgL_vz00_6412));
		}

	}



/* app-loc */
	BGL_EXPORTED_DEF obj_t BGl_appzd2loczd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_181)
	{
		{	/* Ast/nodetype.sch 880 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_181)))->BgL_locz00);
		}

	}



/* &app-loc */
	obj_t BGl_z62appzd2loczb0zzast_nodez00(obj_t BgL_envz00_6413,
		obj_t BgL_oz00_6414)
	{
		{	/* Ast/nodetype.sch 880 */
			return BGl_appzd2loczd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6414));
		}

	}



/* make-app-ly */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyz00zzast_nodez00(obj_t BgL_loc1678z00_184,
		BgL_typez00_bglt BgL_type1679z00_185, BgL_nodez00_bglt BgL_fun1680z00_186,
		BgL_nodez00_bglt BgL_arg1685z00_187)
	{
		{	/* Ast/nodetype.sch 884 */
			{	/* Ast/nodetype.sch 884 */
				BgL_appzd2lyzd2_bglt BgL_new1454z00_9066;

				{	/* Ast/nodetype.sch 884 */
					BgL_appzd2lyzd2_bglt BgL_new1453z00_9067;

					BgL_new1453z00_9067 =
						((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/nodetype.sch 884 */
						long BgL_arg1790z00_9068;

						BgL_arg1790z00_9068 = BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1453z00_9067), BgL_arg1790z00_9068);
					}
					{	/* Ast/nodetype.sch 884 */
						BgL_objectz00_bglt BgL_tmpz00_11185;

						BgL_tmpz00_11185 = ((BgL_objectz00_bglt) BgL_new1453z00_9067);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11185, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1453z00_9067);
					BgL_new1454z00_9066 = BgL_new1453z00_9067;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1454z00_9066)))->BgL_locz00) =
					((obj_t) BgL_loc1678z00_184), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1454z00_9066)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1679z00_185), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1454z00_9066))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1680z00_186), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1454z00_9066))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1685z00_187), BUNSPEC);
				return BgL_new1454z00_9066;
			}
		}

	}



/* &make-app-ly */
	BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyz62zzast_nodez00(obj_t
		BgL_envz00_6415, obj_t BgL_loc1678z00_6416, obj_t BgL_type1679z00_6417,
		obj_t BgL_fun1680z00_6418, obj_t BgL_arg1685z00_6419)
	{
		{	/* Ast/nodetype.sch 884 */
			return
				BGl_makezd2appzd2lyz00zzast_nodez00(BgL_loc1678z00_6416,
				((BgL_typez00_bglt) BgL_type1679z00_6417),
				((BgL_nodez00_bglt) BgL_fun1680z00_6418),
				((BgL_nodez00_bglt) BgL_arg1685z00_6419));
		}

	}



/* app-ly? */
	BGL_EXPORTED_DEF bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t BgL_objz00_188)
	{
		{	/* Ast/nodetype.sch 885 */
			{	/* Ast/nodetype.sch 885 */
				obj_t BgL_classz00_9069;

				BgL_classz00_9069 = BGl_appzd2lyzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_188))
					{	/* Ast/nodetype.sch 885 */
						BgL_objectz00_bglt BgL_arg1820z00_9070;

						BgL_arg1820z00_9070 = (BgL_objectz00_bglt) (BgL_objz00_188);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 885 */
								long BgL_idxz00_9071;

								BgL_idxz00_9071 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9070);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9071 + ((long) 2))) == BgL_classz00_9069);
							}
						else
							{	/* Ast/nodetype.sch 885 */
								bool_t BgL_res2971z00_9074;

								{	/* Ast/nodetype.sch 885 */
									obj_t BgL_oclassz00_9075;

									{	/* Ast/nodetype.sch 885 */
										long BgL_arg1828z00_9076;

										{	/* Ast/nodetype.sch 885 */
											long BgL_arg1829z00_9077;

											BgL_arg1829z00_9077 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9070);
											BgL_arg1828z00_9076 = (BgL_arg1829z00_9077 - OBJECT_TYPE);
										}
										BgL_oclassz00_9075 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9076);
									}
									{	/* Ast/nodetype.sch 885 */
										bool_t BgL__ortest_1111z00_9078;

										BgL__ortest_1111z00_9078 =
											(BgL_classz00_9069 == BgL_oclassz00_9075);
										if (BgL__ortest_1111z00_9078)
											{	/* Ast/nodetype.sch 885 */
												BgL_res2971z00_9074 = BgL__ortest_1111z00_9078;
											}
										else
											{	/* Ast/nodetype.sch 885 */
												long BgL_odepthz00_9079;

												BgL_odepthz00_9079 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9075);
												if ((((long) 2) < BgL_odepthz00_9079))
													{	/* Ast/nodetype.sch 885 */
														obj_t BgL_arg1816z00_9080;

														BgL_arg1816z00_9080 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9075,
															((long) 2));
														BgL_res2971z00_9074 =
															(BgL_arg1816z00_9080 == BgL_classz00_9069);
													}
												else
													{	/* Ast/nodetype.sch 885 */
														BgL_res2971z00_9074 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2971z00_9074;
							}
					}
				else
					{	/* Ast/nodetype.sch 885 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &app-ly? */
	obj_t BGl_z62appzd2lyzf3z43zzast_nodez00(obj_t BgL_envz00_6420,
		obj_t BgL_objz00_6421)
	{
		{	/* Ast/nodetype.sch 885 */
			return BBOOL(BGl_appzd2lyzf3z21zzast_nodez00(BgL_objz00_6421));
		}

	}



/* app-ly-nil */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt BGl_appzd2lyzd2nilz00zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 886 */
			{	/* Ast/nodetype.sch 886 */
				obj_t BgL_classz00_4266;

				BgL_classz00_4266 = BGl_appzd2lyzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 886 */
					obj_t BgL__ortest_1113z00_4267;

					BgL__ortest_1113z00_4267 = BGL_CLASS_NIL(BgL_classz00_4266);
					if (CBOOL(BgL__ortest_1113z00_4267))
						{	/* Ast/nodetype.sch 886 */
							return ((BgL_appzd2lyzd2_bglt) BgL__ortest_1113z00_4267);
						}
					else
						{	/* Ast/nodetype.sch 886 */
							return
								((BgL_appzd2lyzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4266));
						}
				}
			}
		}

	}



/* &app-ly-nil */
	BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6422)
	{
		{	/* Ast/nodetype.sch 886 */
			return BGl_appzd2lyzd2nilz00zzast_nodez00();
		}

	}



/* app-ly-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_189)
	{
		{	/* Ast/nodetype.sch 887 */
			return (((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_189))->BgL_argz00);
		}

	}



/* &app-ly-arg */
	BgL_nodez00_bglt BGl_z62appzd2lyzd2argz62zzast_nodez00(obj_t BgL_envz00_6423,
		obj_t BgL_oz00_6424)
	{
		{	/* Ast/nodetype.sch 887 */
			return
				BGl_appzd2lyzd2argz00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6424));
		}

	}



/* app-ly-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_190, BgL_nodez00_bglt BgL_vz00_191)
	{
		{	/* Ast/nodetype.sch 888 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_190))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_191), BUNSPEC);
		}

	}



/* &app-ly-arg-set! */
	obj_t BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6425,
		obj_t BgL_oz00_6426, obj_t BgL_vz00_6427)
	{
		{	/* Ast/nodetype.sch 888 */
			return
				BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6426),
				((BgL_nodez00_bglt) BgL_vz00_6427));
		}

	}



/* app-ly-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_192)
	{
		{	/* Ast/nodetype.sch 889 */
			return (((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_192))->BgL_funz00);
		}

	}



/* &app-ly-fun */
	BgL_nodez00_bglt BGl_z62appzd2lyzd2funz62zzast_nodez00(obj_t BgL_envz00_6428,
		obj_t BgL_oz00_6429)
	{
		{	/* Ast/nodetype.sch 889 */
			return
				BGl_appzd2lyzd2funz00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6429));
		}

	}



/* app-ly-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_193, BgL_nodez00_bglt BgL_vz00_194)
	{
		{	/* Ast/nodetype.sch 890 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_193))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_194), BUNSPEC);
		}

	}



/* &app-ly-fun-set! */
	obj_t BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6430,
		obj_t BgL_oz00_6431, obj_t BgL_vz00_6432)
	{
		{	/* Ast/nodetype.sch 890 */
			return
				BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6431),
				((BgL_nodez00_bglt) BgL_vz00_6432));
		}

	}



/* app-ly-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2lyzd2typez00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_195)
	{
		{	/* Ast/nodetype.sch 891 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_195)))->BgL_typez00);
		}

	}



/* &app-ly-type */
	BgL_typez00_bglt BGl_z62appzd2lyzd2typez62zzast_nodez00(obj_t BgL_envz00_6433,
		obj_t BgL_oz00_6434)
	{
		{	/* Ast/nodetype.sch 891 */
			return
				BGl_appzd2lyzd2typez00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6434));
		}

	}



/* app-ly-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_196, BgL_typez00_bglt BgL_vz00_197)
	{
		{	/* Ast/nodetype.sch 892 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_196)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_197), BUNSPEC);
		}

	}



/* &app-ly-type-set! */
	obj_t BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6435,
		obj_t BgL_oz00_6436, obj_t BgL_vz00_6437)
	{
		{	/* Ast/nodetype.sch 892 */
			return
				BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6436),
				((BgL_typez00_bglt) BgL_vz00_6437));
		}

	}



/* app-ly-loc */
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzd2locz00zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_198)
	{
		{	/* Ast/nodetype.sch 893 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_198)))->BgL_locz00);
		}

	}



/* &app-ly-loc */
	obj_t BGl_z62appzd2lyzd2locz62zzast_nodez00(obj_t BgL_envz00_6438,
		obj_t BgL_oz00_6439)
	{
		{	/* Ast/nodetype.sch 893 */
			return
				BGl_appzd2lyzd2locz00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6439));
		}

	}



/* make-funcall */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt BGl_makezd2funcallzd2zzast_nodez00(obj_t
		BgL_loc1671z00_201, BgL_typez00_bglt BgL_type1672z00_202,
		BgL_nodez00_bglt BgL_fun1673z00_203, obj_t BgL_args1674z00_204,
		obj_t BgL_strength1675z00_205, obj_t BgL_functions1676z00_206)
	{
		{	/* Ast/nodetype.sch 897 */
			{	/* Ast/nodetype.sch 897 */
				BgL_funcallz00_bglt BgL_new1456z00_9081;

				{	/* Ast/nodetype.sch 897 */
					BgL_funcallz00_bglt BgL_new1455z00_9082;

					BgL_new1455z00_9082 =
						((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/nodetype.sch 897 */
						long BgL_arg1811z00_9083;

						BgL_arg1811z00_9083 = BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1455z00_9082), BgL_arg1811z00_9083);
					}
					{	/* Ast/nodetype.sch 897 */
						BgL_objectz00_bglt BgL_tmpz00_11258;

						BgL_tmpz00_11258 = ((BgL_objectz00_bglt) BgL_new1455z00_9082);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11258, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1455z00_9082);
					BgL_new1456z00_9081 = BgL_new1455z00_9082;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1456z00_9081)))->BgL_locz00) =
					((obj_t) BgL_loc1671z00_201), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1456z00_9081)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1672z00_202), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1456z00_9081))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1673z00_203), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1456z00_9081))->BgL_argsz00) =
					((obj_t) BgL_args1674z00_204), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1456z00_9081))->
						BgL_strengthz00) = ((obj_t) BgL_strength1675z00_205), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1456z00_9081))->
						BgL_functionsz00) = ((obj_t) BgL_functions1676z00_206), BUNSPEC);
				return BgL_new1456z00_9081;
			}
		}

	}



/* &make-funcall */
	BgL_funcallz00_bglt BGl_z62makezd2funcallzb0zzast_nodez00(obj_t
		BgL_envz00_6440, obj_t BgL_loc1671z00_6441, obj_t BgL_type1672z00_6442,
		obj_t BgL_fun1673z00_6443, obj_t BgL_args1674z00_6444,
		obj_t BgL_strength1675z00_6445, obj_t BgL_functions1676z00_6446)
	{
		{	/* Ast/nodetype.sch 897 */
			return
				BGl_makezd2funcallzd2zzast_nodez00(BgL_loc1671z00_6441,
				((BgL_typez00_bglt) BgL_type1672z00_6442),
				((BgL_nodez00_bglt) BgL_fun1673z00_6443), BgL_args1674z00_6444,
				BgL_strength1675z00_6445, BgL_functions1676z00_6446);
		}

	}



/* funcall? */
	BGL_EXPORTED_DEF bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t BgL_objz00_207)
	{
		{	/* Ast/nodetype.sch 898 */
			{	/* Ast/nodetype.sch 898 */
				obj_t BgL_classz00_9084;

				BgL_classz00_9084 = BGl_funcallz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_207))
					{	/* Ast/nodetype.sch 898 */
						BgL_objectz00_bglt BgL_arg1820z00_9085;

						BgL_arg1820z00_9085 = (BgL_objectz00_bglt) (BgL_objz00_207);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 898 */
								long BgL_idxz00_9086;

								BgL_idxz00_9086 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9085);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9086 + ((long) 2))) == BgL_classz00_9084);
							}
						else
							{	/* Ast/nodetype.sch 898 */
								bool_t BgL_res2972z00_9089;

								{	/* Ast/nodetype.sch 898 */
									obj_t BgL_oclassz00_9090;

									{	/* Ast/nodetype.sch 898 */
										long BgL_arg1828z00_9091;

										{	/* Ast/nodetype.sch 898 */
											long BgL_arg1829z00_9092;

											BgL_arg1829z00_9092 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9085);
											BgL_arg1828z00_9091 = (BgL_arg1829z00_9092 - OBJECT_TYPE);
										}
										BgL_oclassz00_9090 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9091);
									}
									{	/* Ast/nodetype.sch 898 */
										bool_t BgL__ortest_1111z00_9093;

										BgL__ortest_1111z00_9093 =
											(BgL_classz00_9084 == BgL_oclassz00_9090);
										if (BgL__ortest_1111z00_9093)
											{	/* Ast/nodetype.sch 898 */
												BgL_res2972z00_9089 = BgL__ortest_1111z00_9093;
											}
										else
											{	/* Ast/nodetype.sch 898 */
												long BgL_odepthz00_9094;

												BgL_odepthz00_9094 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9090);
												if ((((long) 2) < BgL_odepthz00_9094))
													{	/* Ast/nodetype.sch 898 */
														obj_t BgL_arg1816z00_9095;

														BgL_arg1816z00_9095 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9090,
															((long) 2));
														BgL_res2972z00_9089 =
															(BgL_arg1816z00_9095 == BgL_classz00_9084);
													}
												else
													{	/* Ast/nodetype.sch 898 */
														BgL_res2972z00_9089 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2972z00_9089;
							}
					}
				else
					{	/* Ast/nodetype.sch 898 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &funcall? */
	obj_t BGl_z62funcallzf3z91zzast_nodez00(obj_t BgL_envz00_6447,
		obj_t BgL_objz00_6448)
	{
		{	/* Ast/nodetype.sch 898 */
			return BBOOL(BGl_funcallzf3zf3zzast_nodez00(BgL_objz00_6448));
		}

	}



/* funcall-nil */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt BGl_funcallzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 899 */
			{	/* Ast/nodetype.sch 899 */
				obj_t BgL_classz00_4306;

				BgL_classz00_4306 = BGl_funcallz00zzast_nodez00;
				{	/* Ast/nodetype.sch 899 */
					obj_t BgL__ortest_1113z00_4307;

					BgL__ortest_1113z00_4307 = BGL_CLASS_NIL(BgL_classz00_4306);
					if (CBOOL(BgL__ortest_1113z00_4307))
						{	/* Ast/nodetype.sch 899 */
							return ((BgL_funcallz00_bglt) BgL__ortest_1113z00_4307);
						}
					else
						{	/* Ast/nodetype.sch 899 */
							return
								((BgL_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4306));
						}
				}
			}
		}

	}



/* &funcall-nil */
	BgL_funcallz00_bglt BGl_z62funcallzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6449)
	{
		{	/* Ast/nodetype.sch 899 */
			return BGl_funcallzd2nilzd2zzast_nodez00();
		}

	}



/* funcall-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2functionszd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_208)
	{
		{	/* Ast/nodetype.sch 900 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_208))->BgL_functionsz00);
		}

	}



/* &funcall-functions */
	obj_t BGl_z62funcallzd2functionszb0zzast_nodez00(obj_t BgL_envz00_6450,
		obj_t BgL_oz00_6451)
	{
		{	/* Ast/nodetype.sch 900 */
			return
				BGl_funcallzd2functionszd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6451));
		}

	}



/* funcall-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2functionszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_209, obj_t BgL_vz00_210)
	{
		{	/* Ast/nodetype.sch 901 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_209))->BgL_functionsz00) =
				((obj_t) BgL_vz00_210), BUNSPEC);
		}

	}



/* &funcall-functions-set! */
	obj_t BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6452, obj_t BgL_oz00_6453, obj_t BgL_vz00_6454)
	{
		{	/* Ast/nodetype.sch 901 */
			return
				BGl_funcallzd2functionszd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6453), BgL_vz00_6454);
		}

	}



/* funcall-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_211)
	{
		{	/* Ast/nodetype.sch 902 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_211))->BgL_strengthz00);
		}

	}



/* &funcall-strength */
	obj_t BGl_z62funcallzd2strengthzb0zzast_nodez00(obj_t BgL_envz00_6455,
		obj_t BgL_oz00_6456)
	{
		{	/* Ast/nodetype.sch 902 */
			return
				BGl_funcallzd2strengthzd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6456));
		}

	}



/* funcall-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_212, obj_t BgL_vz00_213)
	{
		{	/* Ast/nodetype.sch 903 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_212))->BgL_strengthz00) =
				((obj_t) BgL_vz00_213), BUNSPEC);
		}

	}



/* &funcall-strength-set! */
	obj_t BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6457, obj_t BgL_oz00_6458, obj_t BgL_vz00_6459)
	{
		{	/* Ast/nodetype.sch 903 */
			return
				BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6458), BgL_vz00_6459);
		}

	}



/* funcall-args */
	BGL_EXPORTED_DEF obj_t BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_214)
	{
		{	/* Ast/nodetype.sch 904 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_214))->BgL_argsz00);
		}

	}



/* &funcall-args */
	obj_t BGl_z62funcallzd2argszb0zzast_nodez00(obj_t BgL_envz00_6460,
		obj_t BgL_oz00_6461)
	{
		{	/* Ast/nodetype.sch 904 */
			return
				BGl_funcallzd2argszd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6461));
		}

	}



/* funcall-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_215, obj_t BgL_vz00_216)
	{
		{	/* Ast/nodetype.sch 905 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_215))->BgL_argsz00) =
				((obj_t) BgL_vz00_216), BUNSPEC);
		}

	}



/* &funcall-args-set! */
	obj_t BGl_z62funcallzd2argszd2setz12z70zzast_nodez00(obj_t BgL_envz00_6462,
		obj_t BgL_oz00_6463, obj_t BgL_vz00_6464)
	{
		{	/* Ast/nodetype.sch 905 */
			return
				BGl_funcallzd2argszd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6463), BgL_vz00_6464);
		}

	}



/* funcall-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_217)
	{
		{	/* Ast/nodetype.sch 906 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_217))->BgL_funz00);
		}

	}



/* &funcall-fun */
	BgL_nodez00_bglt BGl_z62funcallzd2funzb0zzast_nodez00(obj_t BgL_envz00_6465,
		obj_t BgL_oz00_6466)
	{
		{	/* Ast/nodetype.sch 906 */
			return
				BGl_funcallzd2funzd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6466));
		}

	}



/* funcall-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_218,
		BgL_nodez00_bglt BgL_vz00_219)
	{
		{	/* Ast/nodetype.sch 907 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_218))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_219), BUNSPEC);
		}

	}



/* &funcall-fun-set! */
	obj_t BGl_z62funcallzd2funzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6467,
		obj_t BgL_oz00_6468, obj_t BgL_vz00_6469)
	{
		{	/* Ast/nodetype.sch 907 */
			return
				BGl_funcallzd2funzd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6468),
				((BgL_nodez00_bglt) BgL_vz00_6469));
		}

	}



/* funcall-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_funcallzd2typezd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_220)
	{
		{	/* Ast/nodetype.sch 908 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_220)))->BgL_typez00);
		}

	}



/* &funcall-type */
	BgL_typez00_bglt BGl_z62funcallzd2typezb0zzast_nodez00(obj_t BgL_envz00_6470,
		obj_t BgL_oz00_6471)
	{
		{	/* Ast/nodetype.sch 908 */
			return
				BGl_funcallzd2typezd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6471));
		}

	}



/* funcall-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2typezd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_221, BgL_typez00_bglt BgL_vz00_222)
	{
		{	/* Ast/nodetype.sch 909 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_221)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_222), BUNSPEC);
		}

	}



/* &funcall-type-set! */
	obj_t BGl_z62funcallzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6472,
		obj_t BgL_oz00_6473, obj_t BgL_vz00_6474)
	{
		{	/* Ast/nodetype.sch 909 */
			return
				BGl_funcallzd2typezd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6473),
				((BgL_typez00_bglt) BgL_vz00_6474));
		}

	}



/* funcall-loc */
	BGL_EXPORTED_DEF obj_t BGl_funcallzd2loczd2zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_223)
	{
		{	/* Ast/nodetype.sch 910 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_223)))->BgL_locz00);
		}

	}



/* &funcall-loc */
	obj_t BGl_z62funcallzd2loczb0zzast_nodez00(obj_t BgL_envz00_6475,
		obj_t BgL_oz00_6476)
	{
		{	/* Ast/nodetype.sch 910 */
			return
				BGl_funcallzd2loczd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6476));
		}

	}



/* make-extern */
	BGL_EXPORTED_DEF BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t
		BgL_loc1663z00_226, BgL_typez00_bglt BgL_type1664z00_227,
		obj_t BgL_sidezd2effect1665zd2_228, obj_t BgL_key1666z00_229,
		obj_t BgL_exprza21667za2_230, obj_t BgL_effect1668z00_231)
	{
		{	/* Ast/nodetype.sch 914 */
			{	/* Ast/nodetype.sch 914 */
				BgL_externz00_bglt BgL_new1458z00_9096;

				{	/* Ast/nodetype.sch 914 */
					BgL_externz00_bglt BgL_new1457z00_9097;

					BgL_new1457z00_9097 =
						((BgL_externz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/nodetype.sch 914 */
						long BgL_arg1812z00_9098;

						BgL_arg1812z00_9098 = BGL_CLASS_NUM(BGl_externz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1457z00_9097), BgL_arg1812z00_9098);
					}
					BgL_new1458z00_9096 = BgL_new1457z00_9097;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1458z00_9096)))->BgL_locz00) =
					((obj_t) BgL_loc1663z00_226), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1458z00_9096)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1664z00_227), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1458z00_9096)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1665zd2_228), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1458z00_9096)))->BgL_keyz00) =
					((obj_t) BgL_key1666z00_229), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1458z00_9096))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21667za2_230), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1458z00_9096))->BgL_effectz00) =
					((obj_t) BgL_effect1668z00_231), BUNSPEC);
				return BgL_new1458z00_9096;
			}
		}

	}



/* &make-extern */
	BgL_externz00_bglt BGl_z62makezd2externzb0zzast_nodez00(obj_t BgL_envz00_6477,
		obj_t BgL_loc1663z00_6478, obj_t BgL_type1664z00_6479,
		obj_t BgL_sidezd2effect1665zd2_6480, obj_t BgL_key1666z00_6481,
		obj_t BgL_exprza21667za2_6482, obj_t BgL_effect1668z00_6483)
	{
		{	/* Ast/nodetype.sch 914 */
			return
				BGl_makezd2externzd2zzast_nodez00(BgL_loc1663z00_6478,
				((BgL_typez00_bglt) BgL_type1664z00_6479),
				BgL_sidezd2effect1665zd2_6480, BgL_key1666z00_6481,
				BgL_exprza21667za2_6482, BgL_effect1668z00_6483);
		}

	}



/* extern? */
	BGL_EXPORTED_DEF bool_t BGl_externzf3zf3zzast_nodez00(obj_t BgL_objz00_232)
	{
		{	/* Ast/nodetype.sch 915 */
			{	/* Ast/nodetype.sch 915 */
				obj_t BgL_classz00_9099;

				BgL_classz00_9099 = BGl_externz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_232))
					{	/* Ast/nodetype.sch 915 */
						BgL_objectz00_bglt BgL_arg1820z00_9100;

						BgL_arg1820z00_9100 = (BgL_objectz00_bglt) (BgL_objz00_232);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 915 */
								long BgL_idxz00_9101;

								BgL_idxz00_9101 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9100);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9101 + ((long) 3))) == BgL_classz00_9099);
							}
						else
							{	/* Ast/nodetype.sch 915 */
								bool_t BgL_res2973z00_9104;

								{	/* Ast/nodetype.sch 915 */
									obj_t BgL_oclassz00_9105;

									{	/* Ast/nodetype.sch 915 */
										long BgL_arg1828z00_9106;

										{	/* Ast/nodetype.sch 915 */
											long BgL_arg1829z00_9107;

											BgL_arg1829z00_9107 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9100);
											BgL_arg1828z00_9106 = (BgL_arg1829z00_9107 - OBJECT_TYPE);
										}
										BgL_oclassz00_9105 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9106);
									}
									{	/* Ast/nodetype.sch 915 */
										bool_t BgL__ortest_1111z00_9108;

										BgL__ortest_1111z00_9108 =
											(BgL_classz00_9099 == BgL_oclassz00_9105);
										if (BgL__ortest_1111z00_9108)
											{	/* Ast/nodetype.sch 915 */
												BgL_res2973z00_9104 = BgL__ortest_1111z00_9108;
											}
										else
											{	/* Ast/nodetype.sch 915 */
												long BgL_odepthz00_9109;

												BgL_odepthz00_9109 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9105);
												if ((((long) 3) < BgL_odepthz00_9109))
													{	/* Ast/nodetype.sch 915 */
														obj_t BgL_arg1816z00_9110;

														BgL_arg1816z00_9110 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9105,
															((long) 3));
														BgL_res2973z00_9104 =
															(BgL_arg1816z00_9110 == BgL_classz00_9099);
													}
												else
													{	/* Ast/nodetype.sch 915 */
														BgL_res2973z00_9104 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2973z00_9104;
							}
					}
				else
					{	/* Ast/nodetype.sch 915 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &extern? */
	obj_t BGl_z62externzf3z91zzast_nodez00(obj_t BgL_envz00_6484,
		obj_t BgL_objz00_6485)
	{
		{	/* Ast/nodetype.sch 915 */
			return BBOOL(BGl_externzf3zf3zzast_nodez00(BgL_objz00_6485));
		}

	}



/* extern-nil */
	BGL_EXPORTED_DEF BgL_externz00_bglt BGl_externzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 916 */
			{	/* Ast/nodetype.sch 916 */
				obj_t BgL_classz00_4345;

				BgL_classz00_4345 = BGl_externz00zzast_nodez00;
				{	/* Ast/nodetype.sch 916 */
					obj_t BgL__ortest_1113z00_4346;

					BgL__ortest_1113z00_4346 = BGL_CLASS_NIL(BgL_classz00_4345);
					if (CBOOL(BgL__ortest_1113z00_4346))
						{	/* Ast/nodetype.sch 916 */
							return ((BgL_externz00_bglt) BgL__ortest_1113z00_4346);
						}
					else
						{	/* Ast/nodetype.sch 916 */
							return
								((BgL_externz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4345));
						}
				}
			}
		}

	}



/* &extern-nil */
	BgL_externz00_bglt BGl_z62externzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6486)
	{
		{	/* Ast/nodetype.sch 916 */
			return BGl_externzd2nilzd2zzast_nodez00();
		}

	}



/* extern-effect */
	BGL_EXPORTED_DEF obj_t BGl_externzd2effectzd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_233)
	{
		{	/* Ast/nodetype.sch 917 */
			return (((BgL_externz00_bglt) COBJECT(BgL_oz00_233))->BgL_effectz00);
		}

	}



/* &extern-effect */
	obj_t BGl_z62externzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6487,
		obj_t BgL_oz00_6488)
	{
		{	/* Ast/nodetype.sch 917 */
			return
				BGl_externzd2effectzd2zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6488));
		}

	}



/* extern-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2effectzd2setz12z12zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_234, obj_t BgL_vz00_235)
	{
		{	/* Ast/nodetype.sch 918 */
			return
				((((BgL_externz00_bglt) COBJECT(BgL_oz00_234))->BgL_effectz00) =
				((obj_t) BgL_vz00_235), BUNSPEC);
		}

	}



/* &extern-effect-set! */
	obj_t BGl_z62externzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6489,
		obj_t BgL_oz00_6490, obj_t BgL_vz00_6491)
	{
		{	/* Ast/nodetype.sch 918 */
			return
				BGl_externzd2effectzd2setz12z12zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6490), BgL_vz00_6491);
		}

	}



/* extern-expr* */
	BGL_EXPORTED_DEF obj_t BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_236)
	{
		{	/* Ast/nodetype.sch 919 */
			return (((BgL_externz00_bglt) COBJECT(BgL_oz00_236))->BgL_exprza2za2);
		}

	}



/* &extern-expr* */
	obj_t BGl_z62externzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6492,
		obj_t BgL_oz00_6493)
	{
		{	/* Ast/nodetype.sch 919 */
			return
				BGl_externzd2exprza2z70zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6493));
		}

	}



/* extern-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_237, obj_t BgL_vz00_238)
	{
		{	/* Ast/nodetype.sch 920 */
			return
				((((BgL_externz00_bglt) COBJECT(BgL_oz00_237))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_238), BUNSPEC);
		}

	}



/* &extern-expr*-set! */
	obj_t BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6494,
		obj_t BgL_oz00_6495, obj_t BgL_vz00_6496)
	{
		{	/* Ast/nodetype.sch 920 */
			return
				BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6495), BgL_vz00_6496);
		}

	}



/* extern-key */
	BGL_EXPORTED_DEF obj_t BGl_externzd2keyzd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_239)
	{
		{	/* Ast/nodetype.sch 921 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_239)))->BgL_keyz00);
		}

	}



/* &extern-key */
	obj_t BGl_z62externzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6497,
		obj_t BgL_oz00_6498)
	{
		{	/* Ast/nodetype.sch 921 */
			return
				BGl_externzd2keyzd2zzast_nodez00(((BgL_externz00_bglt) BgL_oz00_6498));
		}

	}



/* extern-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2keyzd2setz12z12zzast_nodez00(BgL_externz00_bglt BgL_oz00_240,
		obj_t BgL_vz00_241)
	{
		{	/* Ast/nodetype.sch 922 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_240)))->BgL_keyz00) =
				((obj_t) BgL_vz00_241), BUNSPEC);
		}

	}



/* &extern-key-set! */
	obj_t BGl_z62externzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6499,
		obj_t BgL_oz00_6500, obj_t BgL_vz00_6501)
	{
		{	/* Ast/nodetype.sch 922 */
			return
				BGl_externzd2keyzd2setz12z12zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6500), BgL_vz00_6501);
		}

	}



/* extern-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sidezd2effectz00zzast_nodez00(BgL_externz00_bglt BgL_oz00_242)
	{
		{	/* Ast/nodetype.sch 923 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_242)))->BgL_sidezd2effectzd2);
		}

	}



/* &extern-side-effect */
	obj_t BGl_z62externzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6502,
		obj_t BgL_oz00_6503)
	{
		{	/* Ast/nodetype.sch 923 */
			return
				BGl_externzd2sidezd2effectz00zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6503));
		}

	}



/* extern-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_243, obj_t BgL_vz00_244)
	{
		{	/* Ast/nodetype.sch 924 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_243)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_244), BUNSPEC);
		}

	}



/* &extern-side-effect-set! */
	obj_t BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6504, obj_t BgL_oz00_6505, obj_t BgL_vz00_6506)
	{
		{	/* Ast/nodetype.sch 924 */
			return
				BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6505), BgL_vz00_6506);
		}

	}



/* extern-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_externzd2typezd2zzast_nodez00(BgL_externz00_bglt BgL_oz00_245)
	{
		{	/* Ast/nodetype.sch 925 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_245)))->BgL_typez00);
		}

	}



/* &extern-type */
	BgL_typez00_bglt BGl_z62externzd2typezb0zzast_nodez00(obj_t BgL_envz00_6507,
		obj_t BgL_oz00_6508)
	{
		{	/* Ast/nodetype.sch 925 */
			return
				BGl_externzd2typezd2zzast_nodez00(((BgL_externz00_bglt) BgL_oz00_6508));
		}

	}



/* extern-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2typezd2setz12z12zzast_nodez00(BgL_externz00_bglt BgL_oz00_246,
		BgL_typez00_bglt BgL_vz00_247)
	{
		{	/* Ast/nodetype.sch 926 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_246)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_247), BUNSPEC);
		}

	}



/* &extern-type-set! */
	obj_t BGl_z62externzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6509,
		obj_t BgL_oz00_6510, obj_t BgL_vz00_6511)
	{
		{	/* Ast/nodetype.sch 926 */
			return
				BGl_externzd2typezd2setz12z12zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6510),
				((BgL_typez00_bglt) BgL_vz00_6511));
		}

	}



/* extern-loc */
	BGL_EXPORTED_DEF obj_t BGl_externzd2loczd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_248)
	{
		{	/* Ast/nodetype.sch 927 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_248)))->BgL_locz00);
		}

	}



/* &extern-loc */
	obj_t BGl_z62externzd2loczb0zzast_nodez00(obj_t BgL_envz00_6512,
		obj_t BgL_oz00_6513)
	{
		{	/* Ast/nodetype.sch 927 */
			return
				BGl_externzd2loczd2zzast_nodez00(((BgL_externz00_bglt) BgL_oz00_6513));
		}

	}



/* make-pragma */
	BGL_EXPORTED_DEF BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t
		BgL_loc1655z00_251, BgL_typez00_bglt BgL_type1656z00_252,
		obj_t BgL_sidezd2effect1657zd2_253, obj_t BgL_key1658z00_254,
		obj_t BgL_exprza21659za2_255, obj_t BgL_effect1660z00_256,
		obj_t BgL_format1661z00_257)
	{
		{	/* Ast/nodetype.sch 931 */
			{	/* Ast/nodetype.sch 931 */
				BgL_pragmaz00_bglt BgL_new1460z00_9111;

				{	/* Ast/nodetype.sch 931 */
					BgL_pragmaz00_bglt BgL_new1459z00_9112;

					BgL_new1459z00_9112 =
						((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/nodetype.sch 931 */
						long BgL_arg1813z00_9113;

						BgL_arg1813z00_9113 = BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1459z00_9112), BgL_arg1813z00_9113);
					}
					{	/* Ast/nodetype.sch 931 */
						BgL_objectz00_bglt BgL_tmpz00_11428;

						BgL_tmpz00_11428 = ((BgL_objectz00_bglt) BgL_new1459z00_9112);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11428, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1459z00_9112);
					BgL_new1460z00_9111 = BgL_new1459z00_9112;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1460z00_9111)))->BgL_locz00) =
					((obj_t) BgL_loc1655z00_251), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1460z00_9111)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1656z00_252), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1460z00_9111)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1657zd2_253), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1460z00_9111)))->BgL_keyz00) =
					((obj_t) BgL_key1658z00_254), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1460z00_9111)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21659za2_255), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1460z00_9111)))->BgL_effectz00) =
					((obj_t) BgL_effect1660z00_256), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(BgL_new1460z00_9111))->BgL_formatz00) =
					((obj_t) BgL_format1661z00_257), BUNSPEC);
				return BgL_new1460z00_9111;
			}
		}

	}



/* &make-pragma */
	BgL_pragmaz00_bglt BGl_z62makezd2pragmazb0zzast_nodez00(obj_t BgL_envz00_6514,
		obj_t BgL_loc1655z00_6515, obj_t BgL_type1656z00_6516,
		obj_t BgL_sidezd2effect1657zd2_6517, obj_t BgL_key1658z00_6518,
		obj_t BgL_exprza21659za2_6519, obj_t BgL_effect1660z00_6520,
		obj_t BgL_format1661z00_6521)
	{
		{	/* Ast/nodetype.sch 931 */
			return
				BGl_makezd2pragmazd2zzast_nodez00(BgL_loc1655z00_6515,
				((BgL_typez00_bglt) BgL_type1656z00_6516),
				BgL_sidezd2effect1657zd2_6517, BgL_key1658z00_6518,
				BgL_exprza21659za2_6519, BgL_effect1660z00_6520,
				BgL_format1661z00_6521);
		}

	}



/* pragma? */
	BGL_EXPORTED_DEF bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t BgL_objz00_258)
	{
		{	/* Ast/nodetype.sch 932 */
			{	/* Ast/nodetype.sch 932 */
				obj_t BgL_classz00_9114;

				BgL_classz00_9114 = BGl_pragmaz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_258))
					{	/* Ast/nodetype.sch 932 */
						BgL_objectz00_bglt BgL_arg1820z00_9115;

						BgL_arg1820z00_9115 = (BgL_objectz00_bglt) (BgL_objz00_258);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 932 */
								long BgL_idxz00_9116;

								BgL_idxz00_9116 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9115);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9116 + ((long) 4))) == BgL_classz00_9114);
							}
						else
							{	/* Ast/nodetype.sch 932 */
								bool_t BgL_res2974z00_9119;

								{	/* Ast/nodetype.sch 932 */
									obj_t BgL_oclassz00_9120;

									{	/* Ast/nodetype.sch 932 */
										long BgL_arg1828z00_9121;

										{	/* Ast/nodetype.sch 932 */
											long BgL_arg1829z00_9122;

											BgL_arg1829z00_9122 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9115);
											BgL_arg1828z00_9121 = (BgL_arg1829z00_9122 - OBJECT_TYPE);
										}
										BgL_oclassz00_9120 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9121);
									}
									{	/* Ast/nodetype.sch 932 */
										bool_t BgL__ortest_1111z00_9123;

										BgL__ortest_1111z00_9123 =
											(BgL_classz00_9114 == BgL_oclassz00_9120);
										if (BgL__ortest_1111z00_9123)
											{	/* Ast/nodetype.sch 932 */
												BgL_res2974z00_9119 = BgL__ortest_1111z00_9123;
											}
										else
											{	/* Ast/nodetype.sch 932 */
												long BgL_odepthz00_9124;

												BgL_odepthz00_9124 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9120);
												if ((((long) 4) < BgL_odepthz00_9124))
													{	/* Ast/nodetype.sch 932 */
														obj_t BgL_arg1816z00_9125;

														BgL_arg1816z00_9125 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9120,
															((long) 4));
														BgL_res2974z00_9119 =
															(BgL_arg1816z00_9125 == BgL_classz00_9114);
													}
												else
													{	/* Ast/nodetype.sch 932 */
														BgL_res2974z00_9119 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2974z00_9119;
							}
					}
				else
					{	/* Ast/nodetype.sch 932 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &pragma? */
	obj_t BGl_z62pragmazf3z91zzast_nodez00(obj_t BgL_envz00_6522,
		obj_t BgL_objz00_6523)
	{
		{	/* Ast/nodetype.sch 932 */
			return BBOOL(BGl_pragmazf3zf3zzast_nodez00(BgL_objz00_6523));
		}

	}



/* pragma-nil */
	BGL_EXPORTED_DEF BgL_pragmaz00_bglt BGl_pragmazd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 933 */
			{	/* Ast/nodetype.sch 933 */
				obj_t BgL_classz00_4385;

				BgL_classz00_4385 = BGl_pragmaz00zzast_nodez00;
				{	/* Ast/nodetype.sch 933 */
					obj_t BgL__ortest_1113z00_4386;

					BgL__ortest_1113z00_4386 = BGL_CLASS_NIL(BgL_classz00_4385);
					if (CBOOL(BgL__ortest_1113z00_4386))
						{	/* Ast/nodetype.sch 933 */
							return ((BgL_pragmaz00_bglt) BgL__ortest_1113z00_4386);
						}
					else
						{	/* Ast/nodetype.sch 933 */
							return
								((BgL_pragmaz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4385));
						}
				}
			}
		}

	}



/* &pragma-nil */
	BgL_pragmaz00_bglt BGl_z62pragmazd2nilzb0zzast_nodez00(obj_t BgL_envz00_6524)
	{
		{	/* Ast/nodetype.sch 933 */
			return BGl_pragmazd2nilzd2zzast_nodez00();
		}

	}



/* pragma-format */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_259)
	{
		{	/* Ast/nodetype.sch 934 */
			return (((BgL_pragmaz00_bglt) COBJECT(BgL_oz00_259))->BgL_formatz00);
		}

	}



/* &pragma-format */
	obj_t BGl_z62pragmazd2formatzb0zzast_nodez00(obj_t BgL_envz00_6525,
		obj_t BgL_oz00_6526)
	{
		{	/* Ast/nodetype.sch 934 */
			return
				BGl_pragmazd2formatzd2zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6526));
		}

	}



/* pragma-effect */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2effectzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_262)
	{
		{	/* Ast/nodetype.sch 936 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_262)))->BgL_effectz00);
		}

	}



/* &pragma-effect */
	obj_t BGl_z62pragmazd2effectzb0zzast_nodez00(obj_t BgL_envz00_6527,
		obj_t BgL_oz00_6528)
	{
		{	/* Ast/nodetype.sch 936 */
			return
				BGl_pragmazd2effectzd2zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6528));
		}

	}



/* pragma-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2effectzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_263, obj_t BgL_vz00_264)
	{
		{	/* Ast/nodetype.sch 937 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_263)))->BgL_effectz00) =
				((obj_t) BgL_vz00_264), BUNSPEC);
		}

	}



/* &pragma-effect-set! */
	obj_t BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6529,
		obj_t BgL_oz00_6530, obj_t BgL_vz00_6531)
	{
		{	/* Ast/nodetype.sch 937 */
			return
				BGl_pragmazd2effectzd2setz12z12zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6530), BgL_vz00_6531);
		}

	}



/* pragma-expr* */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2exprza2z70zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_265)
	{
		{	/* Ast/nodetype.sch 938 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_265)))->BgL_exprza2za2);
		}

	}



/* &pragma-expr* */
	obj_t BGl_z62pragmazd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6532,
		obj_t BgL_oz00_6533)
	{
		{	/* Ast/nodetype.sch 938 */
			return
				BGl_pragmazd2exprza2z70zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6533));
		}

	}



/* pragma-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_266, obj_t BgL_vz00_267)
	{
		{	/* Ast/nodetype.sch 939 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_266)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_267), BUNSPEC);
		}

	}



/* &pragma-expr*-set! */
	obj_t BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6534,
		obj_t BgL_oz00_6535, obj_t BgL_vz00_6536)
	{
		{	/* Ast/nodetype.sch 939 */
			return
				BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6535), BgL_vz00_6536);
		}

	}



/* pragma-key */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2keyzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_268)
	{
		{	/* Ast/nodetype.sch 940 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_268)))->BgL_keyz00);
		}

	}



/* &pragma-key */
	obj_t BGl_z62pragmazd2keyzb0zzast_nodez00(obj_t BgL_envz00_6537,
		obj_t BgL_oz00_6538)
	{
		{	/* Ast/nodetype.sch 940 */
			return
				BGl_pragmazd2keyzd2zzast_nodez00(((BgL_pragmaz00_bglt) BgL_oz00_6538));
		}

	}



/* pragma-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2keyzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_269,
		obj_t BgL_vz00_270)
	{
		{	/* Ast/nodetype.sch 941 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_269)))->BgL_keyz00) =
				((obj_t) BgL_vz00_270), BUNSPEC);
		}

	}



/* &pragma-key-set! */
	obj_t BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6539,
		obj_t BgL_oz00_6540, obj_t BgL_vz00_6541)
	{
		{	/* Ast/nodetype.sch 941 */
			return
				BGl_pragmazd2keyzd2setz12z12zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6540), BgL_vz00_6541);
		}

	}



/* pragma-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2sidezd2effectz00zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_271)
	{
		{	/* Ast/nodetype.sch 942 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_271)))->BgL_sidezd2effectzd2);
		}

	}



/* &pragma-side-effect */
	obj_t BGl_z62pragmazd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6542,
		obj_t BgL_oz00_6543)
	{
		{	/* Ast/nodetype.sch 942 */
			return
				BGl_pragmazd2sidezd2effectz00zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6543));
		}

	}



/* pragma-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_272, obj_t BgL_vz00_273)
	{
		{	/* Ast/nodetype.sch 943 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_272)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_273), BUNSPEC);
		}

	}



/* &pragma-side-effect-set! */
	obj_t BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6544, obj_t BgL_oz00_6545, obj_t BgL_vz00_6546)
	{
		{	/* Ast/nodetype.sch 943 */
			return
				BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6545), BgL_vz00_6546);
		}

	}



/* pragma-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_pragmazd2typezd2zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_274)
	{
		{	/* Ast/nodetype.sch 944 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_274)))->BgL_typez00);
		}

	}



/* &pragma-type */
	BgL_typez00_bglt BGl_z62pragmazd2typezb0zzast_nodez00(obj_t BgL_envz00_6547,
		obj_t BgL_oz00_6548)
	{
		{	/* Ast/nodetype.sch 944 */
			return
				BGl_pragmazd2typezd2zzast_nodez00(((BgL_pragmaz00_bglt) BgL_oz00_6548));
		}

	}



/* pragma-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2typezd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_275,
		BgL_typez00_bglt BgL_vz00_276)
	{
		{	/* Ast/nodetype.sch 945 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_275)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_276), BUNSPEC);
		}

	}



/* &pragma-type-set! */
	obj_t BGl_z62pragmazd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6549,
		obj_t BgL_oz00_6550, obj_t BgL_vz00_6551)
	{
		{	/* Ast/nodetype.sch 945 */
			return
				BGl_pragmazd2typezd2setz12z12zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6550),
				((BgL_typez00_bglt) BgL_vz00_6551));
		}

	}



/* pragma-loc */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2loczd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_277)
	{
		{	/* Ast/nodetype.sch 946 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_277)))->BgL_locz00);
		}

	}



/* &pragma-loc */
	obj_t BGl_z62pragmazd2loczb0zzast_nodez00(obj_t BgL_envz00_6552,
		obj_t BgL_oz00_6553)
	{
		{	/* Ast/nodetype.sch 946 */
			return
				BGl_pragmazd2loczd2zzast_nodez00(((BgL_pragmaz00_bglt) BgL_oz00_6553));
		}

	}



/* make-genpatchid */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzd2zzast_nodez00(obj_t BgL_loc1646z00_280,
		BgL_typez00_bglt BgL_type1647z00_281, obj_t BgL_sidezd2effect1648zd2_282,
		obj_t BgL_key1649z00_283, obj_t BgL_exprza21650za2_284,
		obj_t BgL_effect1651z00_285, long BgL_index1652z00_286,
		long BgL_rindex1653z00_287)
	{
		{	/* Ast/nodetype.sch 950 */
			{	/* Ast/nodetype.sch 950 */
				BgL_genpatchidz00_bglt BgL_new1462z00_9126;

				{	/* Ast/nodetype.sch 950 */
					BgL_genpatchidz00_bglt BgL_new1461z00_9127;

					BgL_new1461z00_9127 =
						((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_genpatchidz00_bgl))));
					{	/* Ast/nodetype.sch 950 */
						long BgL_arg1817z00_9128;

						BgL_arg1817z00_9128 = BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1461z00_9127), BgL_arg1817z00_9128);
					}
					{	/* Ast/nodetype.sch 950 */
						BgL_objectz00_bglt BgL_tmpz00_11527;

						BgL_tmpz00_11527 = ((BgL_objectz00_bglt) BgL_new1461z00_9127);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11527, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1461z00_9127);
					BgL_new1462z00_9126 = BgL_new1461z00_9127;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1462z00_9126)))->BgL_locz00) =
					((obj_t) BgL_loc1646z00_280), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1462z00_9126)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1647z00_281), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1462z00_9126)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1648zd2_282), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1462z00_9126)))->BgL_keyz00) =
					((obj_t) BgL_key1649z00_283), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1462z00_9126)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21650za2_284), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1462z00_9126)))->BgL_effectz00) =
					((obj_t) BgL_effect1651z00_285), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1462z00_9126))->
						BgL_indexz00) = ((long) BgL_index1652z00_286), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1462z00_9126))->
						BgL_rindexz00) = ((long) BgL_rindex1653z00_287), BUNSPEC);
				return BgL_new1462z00_9126;
			}
		}

	}



/* &make-genpatchid */
	BgL_genpatchidz00_bglt BGl_z62makezd2genpatchidzb0zzast_nodez00(obj_t
		BgL_envz00_6554, obj_t BgL_loc1646z00_6555, obj_t BgL_type1647z00_6556,
		obj_t BgL_sidezd2effect1648zd2_6557, obj_t BgL_key1649z00_6558,
		obj_t BgL_exprza21650za2_6559, obj_t BgL_effect1651z00_6560,
		obj_t BgL_index1652z00_6561, obj_t BgL_rindex1653z00_6562)
	{
		{	/* Ast/nodetype.sch 950 */
			return
				BGl_makezd2genpatchidzd2zzast_nodez00(BgL_loc1646z00_6555,
				((BgL_typez00_bglt) BgL_type1647z00_6556),
				BgL_sidezd2effect1648zd2_6557, BgL_key1649z00_6558,
				BgL_exprza21650za2_6559, BgL_effect1651z00_6560,
				(long) CINT(BgL_index1652z00_6561),
				(long) CINT(BgL_rindex1653z00_6562));
		}

	}



/* genpatchid? */
	BGL_EXPORTED_DEF bool_t BGl_genpatchidzf3zf3zzast_nodez00(obj_t
		BgL_objz00_288)
	{
		{	/* Ast/nodetype.sch 951 */
			{	/* Ast/nodetype.sch 951 */
				obj_t BgL_classz00_9129;

				BgL_classz00_9129 = BGl_genpatchidz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_288))
					{	/* Ast/nodetype.sch 951 */
						BgL_objectz00_bglt BgL_arg1820z00_9130;

						BgL_arg1820z00_9130 = (BgL_objectz00_bglt) (BgL_objz00_288);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 951 */
								long BgL_idxz00_9131;

								BgL_idxz00_9131 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9130);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9131 + ((long) 4))) == BgL_classz00_9129);
							}
						else
							{	/* Ast/nodetype.sch 951 */
								bool_t BgL_res2975z00_9134;

								{	/* Ast/nodetype.sch 951 */
									obj_t BgL_oclassz00_9135;

									{	/* Ast/nodetype.sch 951 */
										long BgL_arg1828z00_9136;

										{	/* Ast/nodetype.sch 951 */
											long BgL_arg1829z00_9137;

											BgL_arg1829z00_9137 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9130);
											BgL_arg1828z00_9136 = (BgL_arg1829z00_9137 - OBJECT_TYPE);
										}
										BgL_oclassz00_9135 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9136);
									}
									{	/* Ast/nodetype.sch 951 */
										bool_t BgL__ortest_1111z00_9138;

										BgL__ortest_1111z00_9138 =
											(BgL_classz00_9129 == BgL_oclassz00_9135);
										if (BgL__ortest_1111z00_9138)
											{	/* Ast/nodetype.sch 951 */
												BgL_res2975z00_9134 = BgL__ortest_1111z00_9138;
											}
										else
											{	/* Ast/nodetype.sch 951 */
												long BgL_odepthz00_9139;

												BgL_odepthz00_9139 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9135);
												if ((((long) 4) < BgL_odepthz00_9139))
													{	/* Ast/nodetype.sch 951 */
														obj_t BgL_arg1816z00_9140;

														BgL_arg1816z00_9140 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9135,
															((long) 4));
														BgL_res2975z00_9134 =
															(BgL_arg1816z00_9140 == BgL_classz00_9129);
													}
												else
													{	/* Ast/nodetype.sch 951 */
														BgL_res2975z00_9134 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2975z00_9134;
							}
					}
				else
					{	/* Ast/nodetype.sch 951 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &genpatchid? */
	obj_t BGl_z62genpatchidzf3z91zzast_nodez00(obj_t BgL_envz00_6563,
		obj_t BgL_objz00_6564)
	{
		{	/* Ast/nodetype.sch 951 */
			return BBOOL(BGl_genpatchidzf3zf3zzast_nodez00(BgL_objz00_6564));
		}

	}



/* genpatchid-nil */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt
		BGl_genpatchidzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 952 */
			{	/* Ast/nodetype.sch 952 */
				obj_t BgL_classz00_4425;

				BgL_classz00_4425 = BGl_genpatchidz00zzast_nodez00;
				{	/* Ast/nodetype.sch 952 */
					obj_t BgL__ortest_1113z00_4426;

					BgL__ortest_1113z00_4426 = BGL_CLASS_NIL(BgL_classz00_4425);
					if (CBOOL(BgL__ortest_1113z00_4426))
						{	/* Ast/nodetype.sch 952 */
							return ((BgL_genpatchidz00_bglt) BgL__ortest_1113z00_4426);
						}
					else
						{	/* Ast/nodetype.sch 952 */
							return
								((BgL_genpatchidz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4425));
						}
				}
			}
		}

	}



/* &genpatchid-nil */
	BgL_genpatchidz00_bglt BGl_z62genpatchidzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6565)
	{
		{	/* Ast/nodetype.sch 952 */
			return BGl_genpatchidzd2nilzd2zzast_nodez00();
		}

	}



/* genpatchid-rindex */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzd2rindexzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_289)
	{
		{	/* Ast/nodetype.sch 953 */
			return (((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_289))->BgL_rindexz00);
		}

	}



/* &genpatchid-rindex */
	obj_t BGl_z62genpatchidzd2rindexzb0zzast_nodez00(obj_t BgL_envz00_6566,
		obj_t BgL_oz00_6567)
	{
		{	/* Ast/nodetype.sch 953 */
			return
				BINT(BGl_genpatchidzd2rindexzd2zzast_nodez00(
					((BgL_genpatchidz00_bglt) BgL_oz00_6567)));
		}

	}



/* genpatchid-rindex-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2rindexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_290, long BgL_vz00_291)
	{
		{	/* Ast/nodetype.sch 954 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_290))->BgL_rindexz00) =
				((long) BgL_vz00_291), BUNSPEC);
		}

	}



/* &genpatchid-rindex-set! */
	obj_t BGl_z62genpatchidzd2rindexzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6568, obj_t BgL_oz00_6569, obj_t BgL_vz00_6570)
	{
		{	/* Ast/nodetype.sch 954 */
			return
				BGl_genpatchidzd2rindexzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6569), (long) CINT(BgL_vz00_6570));
		}

	}



/* genpatchid-index */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzd2indexzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_292)
	{
		{	/* Ast/nodetype.sch 955 */
			return (((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_292))->BgL_indexz00);
		}

	}



/* &genpatchid-index */
	obj_t BGl_z62genpatchidzd2indexzb0zzast_nodez00(obj_t BgL_envz00_6571,
		obj_t BgL_oz00_6572)
	{
		{	/* Ast/nodetype.sch 955 */
			return
				BINT(BGl_genpatchidzd2indexzd2zzast_nodez00(
					((BgL_genpatchidz00_bglt) BgL_oz00_6572)));
		}

	}



/* genpatchid-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2indexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_293, long BgL_vz00_294)
	{
		{	/* Ast/nodetype.sch 956 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_293))->BgL_indexz00) =
				((long) BgL_vz00_294), BUNSPEC);
		}

	}



/* &genpatchid-index-set! */
	obj_t BGl_z62genpatchidzd2indexzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6573, obj_t BgL_oz00_6574, obj_t BgL_vz00_6575)
	{
		{	/* Ast/nodetype.sch 956 */
			return
				BGl_genpatchidzd2indexzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6574), (long) CINT(BgL_vz00_6575));
		}

	}



/* genpatchid-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2effectzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_295)
	{
		{	/* Ast/nodetype.sch 957 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_295)))->BgL_effectz00);
		}

	}



/* &genpatchid-effect */
	obj_t BGl_z62genpatchidzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6576,
		obj_t BgL_oz00_6577)
	{
		{	/* Ast/nodetype.sch 957 */
			return
				BGl_genpatchidzd2effectzd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6577));
		}

	}



/* genpatchid-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2effectzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_296, obj_t BgL_vz00_297)
	{
		{	/* Ast/nodetype.sch 958 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_296)))->BgL_effectz00) =
				((obj_t) BgL_vz00_297), BUNSPEC);
		}

	}



/* &genpatchid-effect-set! */
	obj_t BGl_z62genpatchidzd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6578, obj_t BgL_oz00_6579, obj_t BgL_vz00_6580)
	{
		{	/* Ast/nodetype.sch 958 */
			return
				BGl_genpatchidzd2effectzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6579), BgL_vz00_6580);
		}

	}



/* genpatchid-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2exprza2z70zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_298)
	{
		{	/* Ast/nodetype.sch 959 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_298)))->BgL_exprza2za2);
		}

	}



/* &genpatchid-expr* */
	obj_t BGl_z62genpatchidzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6581,
		obj_t BgL_oz00_6582)
	{
		{	/* Ast/nodetype.sch 959 */
			return
				BGl_genpatchidzd2exprza2z70zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6582));
		}

	}



/* genpatchid-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2exprza2zd2setz12zb0zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_299, obj_t BgL_vz00_300)
	{
		{	/* Ast/nodetype.sch 960 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_299)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_300), BUNSPEC);
		}

	}



/* &genpatchid-expr*-set! */
	obj_t BGl_z62genpatchidzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6583, obj_t BgL_oz00_6584, obj_t BgL_vz00_6585)
	{
		{	/* Ast/nodetype.sch 960 */
			return
				BGl_genpatchidzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6584), BgL_vz00_6585);
		}

	}



/* genpatchid-key */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2keyzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_301)
	{
		{	/* Ast/nodetype.sch 961 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_301)))->BgL_keyz00);
		}

	}



/* &genpatchid-key */
	obj_t BGl_z62genpatchidzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6586,
		obj_t BgL_oz00_6587)
	{
		{	/* Ast/nodetype.sch 961 */
			return
				BGl_genpatchidzd2keyzd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6587));
		}

	}



/* genpatchid-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2keyzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_302, obj_t BgL_vz00_303)
	{
		{	/* Ast/nodetype.sch 962 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_302)))->BgL_keyz00) =
				((obj_t) BgL_vz00_303), BUNSPEC);
		}

	}



/* &genpatchid-key-set! */
	obj_t BGl_z62genpatchidzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6588,
		obj_t BgL_oz00_6589, obj_t BgL_vz00_6590)
	{
		{	/* Ast/nodetype.sch 962 */
			return
				BGl_genpatchidzd2keyzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6589), BgL_vz00_6590);
		}

	}



/* genpatchid-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2sidezd2effectz00zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_304)
	{
		{	/* Ast/nodetype.sch 963 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_304)))->BgL_sidezd2effectzd2);
		}

	}



/* &genpatchid-side-effect */
	obj_t BGl_z62genpatchidzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6591,
		obj_t BgL_oz00_6592)
	{
		{	/* Ast/nodetype.sch 963 */
			return
				BGl_genpatchidzd2sidezd2effectz00zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6592));
		}

	}



/* genpatchid-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_genpatchidz00_bglt BgL_oz00_305, obj_t BgL_vz00_306)
	{
		{	/* Ast/nodetype.sch 964 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_305)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_306), BUNSPEC);
		}

	}



/* &genpatchid-side-effect-set! */
	obj_t BGl_z62genpatchidzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6593, obj_t BgL_oz00_6594, obj_t BgL_vz00_6595)
	{
		{	/* Ast/nodetype.sch 964 */
			return
				BGl_genpatchidzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6594), BgL_vz00_6595);
		}

	}



/* genpatchid-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_genpatchidzd2typezd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_307)
	{
		{	/* Ast/nodetype.sch 965 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_307)))->BgL_typez00);
		}

	}



/* &genpatchid-type */
	BgL_typez00_bglt BGl_z62genpatchidzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6596, obj_t BgL_oz00_6597)
	{
		{	/* Ast/nodetype.sch 965 */
			return
				BGl_genpatchidzd2typezd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6597));
		}

	}



/* genpatchid-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2typezd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_308, BgL_typez00_bglt BgL_vz00_309)
	{
		{	/* Ast/nodetype.sch 966 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_308)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_309), BUNSPEC);
		}

	}



/* &genpatchid-type-set! */
	obj_t BGl_z62genpatchidzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6598,
		obj_t BgL_oz00_6599, obj_t BgL_vz00_6600)
	{
		{	/* Ast/nodetype.sch 966 */
			return
				BGl_genpatchidzd2typezd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6599),
				((BgL_typez00_bglt) BgL_vz00_6600));
		}

	}



/* genpatchid-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2loczd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_310)
	{
		{	/* Ast/nodetype.sch 967 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_310)))->BgL_locz00);
		}

	}



/* &genpatchid-loc */
	obj_t BGl_z62genpatchidzd2loczb0zzast_nodez00(obj_t BgL_envz00_6601,
		obj_t BgL_oz00_6602)
	{
		{	/* Ast/nodetype.sch 967 */
			return
				BGl_genpatchidzd2loczd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6602));
		}

	}



/* make-private */
	BGL_EXPORTED_DEF BgL_privatez00_bglt BGl_makezd2privatezd2zzast_nodez00(obj_t
		BgL_loc1638z00_313, BgL_typez00_bglt BgL_type1639z00_314,
		obj_t BgL_sidezd2effect1640zd2_315, obj_t BgL_key1641z00_316,
		obj_t BgL_exprza21642za2_317, obj_t BgL_effect1643z00_318,
		obj_t BgL_czd2format1644zd2_319)
	{
		{	/* Ast/nodetype.sch 971 */
			{	/* Ast/nodetype.sch 971 */
				BgL_privatez00_bglt BgL_new1464z00_9141;

				{	/* Ast/nodetype.sch 971 */
					BgL_privatez00_bglt BgL_new1463z00_9142;

					BgL_new1463z00_9142 =
						((BgL_privatez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/nodetype.sch 971 */
						long BgL_arg1819z00_9143;

						BgL_arg1819z00_9143 = BGL_CLASS_NUM(BGl_privatez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1463z00_9142), BgL_arg1819z00_9143);
					}
					BgL_new1464z00_9141 = BgL_new1463z00_9142;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1464z00_9141)))->BgL_locz00) =
					((obj_t) BgL_loc1638z00_313), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1464z00_9141)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1639z00_314), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1464z00_9141)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1640zd2_315), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1464z00_9141)))->BgL_keyz00) =
					((obj_t) BgL_key1641z00_316), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1464z00_9141)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21642za2_317), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1464z00_9141)))->BgL_effectz00) =
					((obj_t) BgL_effect1643z00_318), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(BgL_new1464z00_9141))->
						BgL_czd2formatzd2) = ((obj_t) BgL_czd2format1644zd2_319), BUNSPEC);
				return BgL_new1464z00_9141;
			}
		}

	}



/* &make-private */
	BgL_privatez00_bglt BGl_z62makezd2privatezb0zzast_nodez00(obj_t
		BgL_envz00_6603, obj_t BgL_loc1638z00_6604, obj_t BgL_type1639z00_6605,
		obj_t BgL_sidezd2effect1640zd2_6606, obj_t BgL_key1641z00_6607,
		obj_t BgL_exprza21642za2_6608, obj_t BgL_effect1643z00_6609,
		obj_t BgL_czd2format1644zd2_6610)
	{
		{	/* Ast/nodetype.sch 971 */
			return
				BGl_makezd2privatezd2zzast_nodez00(BgL_loc1638z00_6604,
				((BgL_typez00_bglt) BgL_type1639z00_6605),
				BgL_sidezd2effect1640zd2_6606, BgL_key1641z00_6607,
				BgL_exprza21642za2_6608, BgL_effect1643z00_6609,
				BgL_czd2format1644zd2_6610);
		}

	}



/* private? */
	BGL_EXPORTED_DEF bool_t BGl_privatezf3zf3zzast_nodez00(obj_t BgL_objz00_320)
	{
		{	/* Ast/nodetype.sch 972 */
			{	/* Ast/nodetype.sch 972 */
				obj_t BgL_classz00_9144;

				BgL_classz00_9144 = BGl_privatez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_320))
					{	/* Ast/nodetype.sch 972 */
						BgL_objectz00_bglt BgL_arg1820z00_9145;

						BgL_arg1820z00_9145 = (BgL_objectz00_bglt) (BgL_objz00_320);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 972 */
								long BgL_idxz00_9146;

								BgL_idxz00_9146 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9145);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9146 + ((long) 4))) == BgL_classz00_9144);
							}
						else
							{	/* Ast/nodetype.sch 972 */
								bool_t BgL_res2976z00_9149;

								{	/* Ast/nodetype.sch 972 */
									obj_t BgL_oclassz00_9150;

									{	/* Ast/nodetype.sch 972 */
										long BgL_arg1828z00_9151;

										{	/* Ast/nodetype.sch 972 */
											long BgL_arg1829z00_9152;

											BgL_arg1829z00_9152 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9145);
											BgL_arg1828z00_9151 = (BgL_arg1829z00_9152 - OBJECT_TYPE);
										}
										BgL_oclassz00_9150 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9151);
									}
									{	/* Ast/nodetype.sch 972 */
										bool_t BgL__ortest_1111z00_9153;

										BgL__ortest_1111z00_9153 =
											(BgL_classz00_9144 == BgL_oclassz00_9150);
										if (BgL__ortest_1111z00_9153)
											{	/* Ast/nodetype.sch 972 */
												BgL_res2976z00_9149 = BgL__ortest_1111z00_9153;
											}
										else
											{	/* Ast/nodetype.sch 972 */
												long BgL_odepthz00_9154;

												BgL_odepthz00_9154 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9150);
												if ((((long) 4) < BgL_odepthz00_9154))
													{	/* Ast/nodetype.sch 972 */
														obj_t BgL_arg1816z00_9155;

														BgL_arg1816z00_9155 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9150,
															((long) 4));
														BgL_res2976z00_9149 =
															(BgL_arg1816z00_9155 == BgL_classz00_9144);
													}
												else
													{	/* Ast/nodetype.sch 972 */
														BgL_res2976z00_9149 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2976z00_9149;
							}
					}
				else
					{	/* Ast/nodetype.sch 972 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &private? */
	obj_t BGl_z62privatezf3z91zzast_nodez00(obj_t BgL_envz00_6611,
		obj_t BgL_objz00_6612)
	{
		{	/* Ast/nodetype.sch 972 */
			return BBOOL(BGl_privatezf3zf3zzast_nodez00(BgL_objz00_6612));
		}

	}



/* private-nil */
	BGL_EXPORTED_DEF BgL_privatez00_bglt BGl_privatezd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 973 */
			{	/* Ast/nodetype.sch 973 */
				obj_t BgL_classz00_4464;

				BgL_classz00_4464 = BGl_privatez00zzast_nodez00;
				{	/* Ast/nodetype.sch 973 */
					obj_t BgL__ortest_1113z00_4465;

					BgL__ortest_1113z00_4465 = BGL_CLASS_NIL(BgL_classz00_4464);
					if (CBOOL(BgL__ortest_1113z00_4465))
						{	/* Ast/nodetype.sch 973 */
							return ((BgL_privatez00_bglt) BgL__ortest_1113z00_4465);
						}
					else
						{	/* Ast/nodetype.sch 973 */
							return
								((BgL_privatez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4464));
						}
				}
			}
		}

	}



/* &private-nil */
	BgL_privatez00_bglt BGl_z62privatezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6613)
	{
		{	/* Ast/nodetype.sch 973 */
			return BGl_privatezd2nilzd2zzast_nodez00();
		}

	}



/* private-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2czd2formatz00zzast_nodez00(BgL_privatez00_bglt BgL_oz00_321)
	{
		{	/* Ast/nodetype.sch 974 */
			return (((BgL_privatez00_bglt) COBJECT(BgL_oz00_321))->BgL_czd2formatzd2);
		}

	}



/* &private-c-format */
	obj_t BGl_z62privatezd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6614,
		obj_t BgL_oz00_6615)
	{
		{	/* Ast/nodetype.sch 974 */
			return
				BGl_privatezd2czd2formatz00zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6615));
		}

	}



/* private-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2effectzd2zzast_nodez00(BgL_privatez00_bglt BgL_oz00_324)
	{
		{	/* Ast/nodetype.sch 976 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_324)))->BgL_effectz00);
		}

	}



/* &private-effect */
	obj_t BGl_z62privatezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6616,
		obj_t BgL_oz00_6617)
	{
		{	/* Ast/nodetype.sch 976 */
			return
				BGl_privatezd2effectzd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6617));
		}

	}



/* private-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2effectzd2setz12z12zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_325, obj_t BgL_vz00_326)
	{
		{	/* Ast/nodetype.sch 977 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_325)))->BgL_effectz00) =
				((obj_t) BgL_vz00_326), BUNSPEC);
		}

	}



/* &private-effect-set! */
	obj_t BGl_z62privatezd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6618,
		obj_t BgL_oz00_6619, obj_t BgL_vz00_6620)
	{
		{	/* Ast/nodetype.sch 977 */
			return
				BGl_privatezd2effectzd2setz12z12zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6619), BgL_vz00_6620);
		}

	}



/* private-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2exprza2z70zzast_nodez00(BgL_privatez00_bglt BgL_oz00_327)
	{
		{	/* Ast/nodetype.sch 978 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_327)))->BgL_exprza2za2);
		}

	}



/* &private-expr* */
	obj_t BGl_z62privatezd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6621,
		obj_t BgL_oz00_6622)
	{
		{	/* Ast/nodetype.sch 978 */
			return
				BGl_privatezd2exprza2z70zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6622));
		}

	}



/* private-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_328, obj_t BgL_vz00_329)
	{
		{	/* Ast/nodetype.sch 979 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_328)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_329), BUNSPEC);
		}

	}



/* &private-expr*-set! */
	obj_t BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6623,
		obj_t BgL_oz00_6624, obj_t BgL_vz00_6625)
	{
		{	/* Ast/nodetype.sch 979 */
			return
				BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6624), BgL_vz00_6625);
		}

	}



/* private-key */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2keyzd2zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_330)
	{
		{	/* Ast/nodetype.sch 980 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_330)))->BgL_keyz00);
		}

	}



/* &private-key */
	obj_t BGl_z62privatezd2keyzb0zzast_nodez00(obj_t BgL_envz00_6626,
		obj_t BgL_oz00_6627)
	{
		{	/* Ast/nodetype.sch 980 */
			return
				BGl_privatezd2keyzd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6627));
		}

	}



/* private-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2keyzd2setz12z12zzast_nodez00(BgL_privatez00_bglt BgL_oz00_331,
		obj_t BgL_vz00_332)
	{
		{	/* Ast/nodetype.sch 981 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_331)))->BgL_keyz00) =
				((obj_t) BgL_vz00_332), BUNSPEC);
		}

	}



/* &private-key-set! */
	obj_t BGl_z62privatezd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6628,
		obj_t BgL_oz00_6629, obj_t BgL_vz00_6630)
	{
		{	/* Ast/nodetype.sch 981 */
			return
				BGl_privatezd2keyzd2setz12z12zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6629), BgL_vz00_6630);
		}

	}



/* private-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2sidezd2effectz00zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_333)
	{
		{	/* Ast/nodetype.sch 982 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_333)))->BgL_sidezd2effectzd2);
		}

	}



/* &private-side-effect */
	obj_t BGl_z62privatezd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6631,
		obj_t BgL_oz00_6632)
	{
		{	/* Ast/nodetype.sch 982 */
			return
				BGl_privatezd2sidezd2effectz00zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6632));
		}

	}



/* private-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_334, obj_t BgL_vz00_335)
	{
		{	/* Ast/nodetype.sch 983 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_334)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_335), BUNSPEC);
		}

	}



/* &private-side-effect-set! */
	obj_t BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6633, obj_t BgL_oz00_6634, obj_t BgL_vz00_6635)
	{
		{	/* Ast/nodetype.sch 983 */
			return
				BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6634), BgL_vz00_6635);
		}

	}



/* private-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_privatezd2typezd2zzast_nodez00(BgL_privatez00_bglt BgL_oz00_336)
	{
		{	/* Ast/nodetype.sch 984 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_336)))->BgL_typez00);
		}

	}



/* &private-type */
	BgL_typez00_bglt BGl_z62privatezd2typezb0zzast_nodez00(obj_t BgL_envz00_6636,
		obj_t BgL_oz00_6637)
	{
		{	/* Ast/nodetype.sch 984 */
			return
				BGl_privatezd2typezd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6637));
		}

	}



/* private-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2typezd2setz12z12zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_337, BgL_typez00_bglt BgL_vz00_338)
	{
		{	/* Ast/nodetype.sch 985 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_337)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_338), BUNSPEC);
		}

	}



/* &private-type-set! */
	obj_t BGl_z62privatezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6638,
		obj_t BgL_oz00_6639, obj_t BgL_vz00_6640)
	{
		{	/* Ast/nodetype.sch 985 */
			return
				BGl_privatezd2typezd2setz12z12zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6639),
				((BgL_typez00_bglt) BgL_vz00_6640));
		}

	}



/* private-loc */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2loczd2zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_339)
	{
		{	/* Ast/nodetype.sch 986 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_339)))->BgL_locz00);
		}

	}



/* &private-loc */
	obj_t BGl_z62privatezd2loczb0zzast_nodez00(obj_t BgL_envz00_6641,
		obj_t BgL_oz00_6642)
	{
		{	/* Ast/nodetype.sch 986 */
			return
				BGl_privatezd2loczd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6642));
		}

	}



/* make-getfield */
	BGL_EXPORTED_DEF BgL_getfieldz00_bglt
		BGl_makezd2getfieldzd2zzast_nodez00(obj_t BgL_loc1627z00_342,
		BgL_typez00_bglt BgL_type1628z00_343, obj_t BgL_sidezd2effect1629zd2_344,
		obj_t BgL_key1630z00_345, obj_t BgL_exprza21631za2_346,
		obj_t BgL_effect1632z00_347, obj_t BgL_czd2format1633zd2_348,
		obj_t BgL_fname1634z00_349, BgL_typez00_bglt BgL_ftype1635z00_350,
		BgL_typez00_bglt BgL_otype1636z00_351)
	{
		{	/* Ast/nodetype.sch 990 */
			{	/* Ast/nodetype.sch 990 */
				BgL_getfieldz00_bglt BgL_new1466z00_9156;

				{	/* Ast/nodetype.sch 990 */
					BgL_getfieldz00_bglt BgL_new1465z00_9157;

					BgL_new1465z00_9157 =
						((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/nodetype.sch 990 */
						long BgL_arg1821z00_9158;

						BgL_arg1821z00_9158 = BGL_CLASS_NUM(BGl_getfieldz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1465z00_9157), BgL_arg1821z00_9158);
					}
					{	/* Ast/nodetype.sch 990 */
						BgL_objectz00_bglt BgL_tmpz00_11737;

						BgL_tmpz00_11737 = ((BgL_objectz00_bglt) BgL_new1465z00_9157);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11737, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1465z00_9157);
					BgL_new1466z00_9156 = BgL_new1465z00_9157;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1466z00_9156)))->BgL_locz00) =
					((obj_t) BgL_loc1627z00_342), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1466z00_9156)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1628z00_343), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1466z00_9156)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1629zd2_344), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1466z00_9156)))->BgL_keyz00) =
					((obj_t) BgL_key1630z00_345), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1466z00_9156)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21631za2_346), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1466z00_9156)))->BgL_effectz00) =
					((obj_t) BgL_effect1632z00_347), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1466z00_9156)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1633zd2_348), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1466z00_9156))->BgL_fnamez00) =
					((obj_t) BgL_fname1634z00_349), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1466z00_9156))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1635z00_350), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1466z00_9156))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1636z00_351), BUNSPEC);
				return BgL_new1466z00_9156;
			}
		}

	}



/* &make-getfield */
	BgL_getfieldz00_bglt BGl_z62makezd2getfieldzb0zzast_nodez00(obj_t
		BgL_envz00_6643, obj_t BgL_loc1627z00_6644, obj_t BgL_type1628z00_6645,
		obj_t BgL_sidezd2effect1629zd2_6646, obj_t BgL_key1630z00_6647,
		obj_t BgL_exprza21631za2_6648, obj_t BgL_effect1632z00_6649,
		obj_t BgL_czd2format1633zd2_6650, obj_t BgL_fname1634z00_6651,
		obj_t BgL_ftype1635z00_6652, obj_t BgL_otype1636z00_6653)
	{
		{	/* Ast/nodetype.sch 990 */
			return
				BGl_makezd2getfieldzd2zzast_nodez00(BgL_loc1627z00_6644,
				((BgL_typez00_bglt) BgL_type1628z00_6645),
				BgL_sidezd2effect1629zd2_6646, BgL_key1630z00_6647,
				BgL_exprza21631za2_6648, BgL_effect1632z00_6649,
				BgL_czd2format1633zd2_6650, BgL_fname1634z00_6651,
				((BgL_typez00_bglt) BgL_ftype1635z00_6652),
				((BgL_typez00_bglt) BgL_otype1636z00_6653));
		}

	}



/* getfield? */
	BGL_EXPORTED_DEF bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t BgL_objz00_352)
	{
		{	/* Ast/nodetype.sch 991 */
			{	/* Ast/nodetype.sch 991 */
				obj_t BgL_classz00_9159;

				BgL_classz00_9159 = BGl_getfieldz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_352))
					{	/* Ast/nodetype.sch 991 */
						BgL_objectz00_bglt BgL_arg1820z00_9160;

						BgL_arg1820z00_9160 = (BgL_objectz00_bglt) (BgL_objz00_352);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 991 */
								long BgL_idxz00_9161;

								BgL_idxz00_9161 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9160);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9161 + ((long) 5))) == BgL_classz00_9159);
							}
						else
							{	/* Ast/nodetype.sch 991 */
								bool_t BgL_res2977z00_9164;

								{	/* Ast/nodetype.sch 991 */
									obj_t BgL_oclassz00_9165;

									{	/* Ast/nodetype.sch 991 */
										long BgL_arg1828z00_9166;

										{	/* Ast/nodetype.sch 991 */
											long BgL_arg1829z00_9167;

											BgL_arg1829z00_9167 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9160);
											BgL_arg1828z00_9166 = (BgL_arg1829z00_9167 - OBJECT_TYPE);
										}
										BgL_oclassz00_9165 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9166);
									}
									{	/* Ast/nodetype.sch 991 */
										bool_t BgL__ortest_1111z00_9168;

										BgL__ortest_1111z00_9168 =
											(BgL_classz00_9159 == BgL_oclassz00_9165);
										if (BgL__ortest_1111z00_9168)
											{	/* Ast/nodetype.sch 991 */
												BgL_res2977z00_9164 = BgL__ortest_1111z00_9168;
											}
										else
											{	/* Ast/nodetype.sch 991 */
												long BgL_odepthz00_9169;

												BgL_odepthz00_9169 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9165);
												if ((((long) 5) < BgL_odepthz00_9169))
													{	/* Ast/nodetype.sch 991 */
														obj_t BgL_arg1816z00_9170;

														BgL_arg1816z00_9170 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9165,
															((long) 5));
														BgL_res2977z00_9164 =
															(BgL_arg1816z00_9170 == BgL_classz00_9159);
													}
												else
													{	/* Ast/nodetype.sch 991 */
														BgL_res2977z00_9164 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2977z00_9164;
							}
					}
				else
					{	/* Ast/nodetype.sch 991 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &getfield? */
	obj_t BGl_z62getfieldzf3z91zzast_nodez00(obj_t BgL_envz00_6654,
		obj_t BgL_objz00_6655)
	{
		{	/* Ast/nodetype.sch 991 */
			return BBOOL(BGl_getfieldzf3zf3zzast_nodez00(BgL_objz00_6655));
		}

	}



/* getfield-nil */
	BGL_EXPORTED_DEF BgL_getfieldz00_bglt BGl_getfieldzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 992 */
			{	/* Ast/nodetype.sch 992 */
				obj_t BgL_classz00_4504;

				BgL_classz00_4504 = BGl_getfieldz00zzast_nodez00;
				{	/* Ast/nodetype.sch 992 */
					obj_t BgL__ortest_1113z00_4505;

					BgL__ortest_1113z00_4505 = BGL_CLASS_NIL(BgL_classz00_4504);
					if (CBOOL(BgL__ortest_1113z00_4505))
						{	/* Ast/nodetype.sch 992 */
							return ((BgL_getfieldz00_bglt) BgL__ortest_1113z00_4505);
						}
					else
						{	/* Ast/nodetype.sch 992 */
							return
								((BgL_getfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4504));
						}
				}
			}
		}

	}



/* &getfield-nil */
	BgL_getfieldz00_bglt BGl_z62getfieldzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6656)
	{
		{	/* Ast/nodetype.sch 992 */
			return BGl_getfieldzd2nilzd2zzast_nodez00();
		}

	}



/* getfield-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_353)
	{
		{	/* Ast/nodetype.sch 993 */
			return (((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_353))->BgL_otypez00);
		}

	}



/* &getfield-otype */
	BgL_typez00_bglt BGl_z62getfieldzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6657, obj_t BgL_oz00_6658)
	{
		{	/* Ast/nodetype.sch 993 */
			return
				BGl_getfieldzd2otypezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6658));
		}

	}



/* getfield-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_354, BgL_typez00_bglt BgL_vz00_355)
	{
		{	/* Ast/nodetype.sch 994 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_354))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_355), BUNSPEC);
		}

	}



/* &getfield-otype-set! */
	obj_t BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6659,
		obj_t BgL_oz00_6660, obj_t BgL_vz00_6661)
	{
		{	/* Ast/nodetype.sch 994 */
			return
				BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6660),
				((BgL_typez00_bglt) BgL_vz00_6661));
		}

	}



/* getfield-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_356)
	{
		{	/* Ast/nodetype.sch 995 */
			return (((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_356))->BgL_ftypez00);
		}

	}



/* &getfield-ftype */
	BgL_typez00_bglt BGl_z62getfieldzd2ftypezb0zzast_nodez00(obj_t
		BgL_envz00_6662, obj_t BgL_oz00_6663)
	{
		{	/* Ast/nodetype.sch 995 */
			return
				BGl_getfieldzd2ftypezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6663));
		}

	}



/* getfield-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_357, BgL_typez00_bglt BgL_vz00_358)
	{
		{	/* Ast/nodetype.sch 996 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_357))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_358), BUNSPEC);
		}

	}



/* &getfield-ftype-set! */
	obj_t BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6664,
		obj_t BgL_oz00_6665, obj_t BgL_vz00_6666)
	{
		{	/* Ast/nodetype.sch 996 */
			return
				BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6665),
				((BgL_typez00_bglt) BgL_vz00_6666));
		}

	}



/* getfield-fname */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_359)
	{
		{	/* Ast/nodetype.sch 997 */
			return (((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_359))->BgL_fnamez00);
		}

	}



/* &getfield-fname */
	obj_t BGl_z62getfieldzd2fnamezb0zzast_nodez00(obj_t BgL_envz00_6667,
		obj_t BgL_oz00_6668)
	{
		{	/* Ast/nodetype.sch 997 */
			return
				BGl_getfieldzd2fnamezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6668));
		}

	}



/* getfield-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2czd2formatz00zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_362)
	{
		{	/* Ast/nodetype.sch 999 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_362)))->BgL_czd2formatzd2);
		}

	}



/* &getfield-c-format */
	obj_t BGl_z62getfieldzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6669,
		obj_t BgL_oz00_6670)
	{
		{	/* Ast/nodetype.sch 999 */
			return
				BGl_getfieldzd2czd2formatz00zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6670));
		}

	}



/* getfield-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2effectzd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_365)
	{
		{	/* Ast/nodetype.sch 1001 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_365)))->BgL_effectz00);
		}

	}



/* &getfield-effect */
	obj_t BGl_z62getfieldzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6671,
		obj_t BgL_oz00_6672)
	{
		{	/* Ast/nodetype.sch 1001 */
			return
				BGl_getfieldzd2effectzd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6672));
		}

	}



/* getfield-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_366, obj_t BgL_vz00_367)
	{
		{	/* Ast/nodetype.sch 1002 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_366)))->BgL_effectz00) =
				((obj_t) BgL_vz00_367), BUNSPEC);
		}

	}



/* &getfield-effect-set! */
	obj_t BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6673,
		obj_t BgL_oz00_6674, obj_t BgL_vz00_6675)
	{
		{	/* Ast/nodetype.sch 1002 */
			return
				BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6674), BgL_vz00_6675);
		}

	}



/* getfield-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2exprza2z70zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_368)
	{
		{	/* Ast/nodetype.sch 1003 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_368)))->BgL_exprza2za2);
		}

	}



/* &getfield-expr* */
	obj_t BGl_z62getfieldzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6676,
		obj_t BgL_oz00_6677)
	{
		{	/* Ast/nodetype.sch 1003 */
			return
				BGl_getfieldzd2exprza2z70zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6677));
		}

	}



/* getfield-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_369, obj_t BgL_vz00_370)
	{
		{	/* Ast/nodetype.sch 1004 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_369)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_370), BUNSPEC);
		}

	}



/* &getfield-expr*-set! */
	obj_t BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6678, obj_t BgL_oz00_6679, obj_t BgL_vz00_6680)
	{
		{	/* Ast/nodetype.sch 1004 */
			return
				BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6679), BgL_vz00_6680);
		}

	}



/* getfield-key */
	BGL_EXPORTED_DEF obj_t BGl_getfieldzd2keyzd2zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_371)
	{
		{	/* Ast/nodetype.sch 1005 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_371)))->BgL_keyz00);
		}

	}



/* &getfield-key */
	obj_t BGl_z62getfieldzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6681,
		obj_t BgL_oz00_6682)
	{
		{	/* Ast/nodetype.sch 1005 */
			return
				BGl_getfieldzd2keyzd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6682));
		}

	}



/* getfield-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_372, obj_t BgL_vz00_373)
	{
		{	/* Ast/nodetype.sch 1006 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_372)))->BgL_keyz00) =
				((obj_t) BgL_vz00_373), BUNSPEC);
		}

	}



/* &getfield-key-set! */
	obj_t BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6683,
		obj_t BgL_oz00_6684, obj_t BgL_vz00_6685)
	{
		{	/* Ast/nodetype.sch 1006 */
			return
				BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6684), BgL_vz00_6685);
		}

	}



/* getfield-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2sidezd2effectz00zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_374)
	{
		{	/* Ast/nodetype.sch 1007 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_374)))->BgL_sidezd2effectzd2);
		}

	}



/* &getfield-side-effect */
	obj_t BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6686,
		obj_t BgL_oz00_6687)
	{
		{	/* Ast/nodetype.sch 1007 */
			return
				BGl_getfieldzd2sidezd2effectz00zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6687));
		}

	}



/* getfield-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_375, obj_t BgL_vz00_376)
	{
		{	/* Ast/nodetype.sch 1008 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_375)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_376), BUNSPEC);
		}

	}



/* &getfield-side-effect-set! */
	obj_t BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6688, obj_t BgL_oz00_6689, obj_t BgL_vz00_6690)
	{
		{	/* Ast/nodetype.sch 1008 */
			return
				BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6689), BgL_vz00_6690);
		}

	}



/* getfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2typezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_377)
	{
		{	/* Ast/nodetype.sch 1009 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_377)))->BgL_typez00);
		}

	}



/* &getfield-type */
	BgL_typez00_bglt BGl_z62getfieldzd2typezb0zzast_nodez00(obj_t BgL_envz00_6691,
		obj_t BgL_oz00_6692)
	{
		{	/* Ast/nodetype.sch 1009 */
			return
				BGl_getfieldzd2typezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6692));
		}

	}



/* getfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2typezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_378, BgL_typez00_bglt BgL_vz00_379)
	{
		{	/* Ast/nodetype.sch 1010 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_378)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_379), BUNSPEC);
		}

	}



/* &getfield-type-set! */
	obj_t BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6693,
		obj_t BgL_oz00_6694, obj_t BgL_vz00_6695)
	{
		{	/* Ast/nodetype.sch 1010 */
			return
				BGl_getfieldzd2typezd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6694),
				((BgL_typez00_bglt) BgL_vz00_6695));
		}

	}



/* getfield-loc */
	BGL_EXPORTED_DEF obj_t BGl_getfieldzd2loczd2zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_380)
	{
		{	/* Ast/nodetype.sch 1011 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_380)))->BgL_locz00);
		}

	}



/* &getfield-loc */
	obj_t BGl_z62getfieldzd2loczb0zzast_nodez00(obj_t BgL_envz00_6696,
		obj_t BgL_oz00_6697)
	{
		{	/* Ast/nodetype.sch 1011 */
			return
				BGl_getfieldzd2loczd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6697));
		}

	}



/* make-setfield */
	BGL_EXPORTED_DEF BgL_setfieldz00_bglt
		BGl_makezd2setfieldzd2zzast_nodez00(obj_t BgL_loc1616z00_383,
		BgL_typez00_bglt BgL_type1617z00_384, obj_t BgL_sidezd2effect1618zd2_385,
		obj_t BgL_key1619z00_386, obj_t BgL_exprza21620za2_387,
		obj_t BgL_effect1621z00_388, obj_t BgL_czd2format1622zd2_389,
		obj_t BgL_fname1623z00_390, BgL_typez00_bglt BgL_ftype1624z00_391,
		BgL_typez00_bglt BgL_otype1625z00_392)
	{
		{	/* Ast/nodetype.sch 1015 */
			{	/* Ast/nodetype.sch 1015 */
				BgL_setfieldz00_bglt BgL_new1468z00_9171;

				{	/* Ast/nodetype.sch 1015 */
					BgL_setfieldz00_bglt BgL_new1467z00_9172;

					BgL_new1467z00_9172 =
						((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/nodetype.sch 1015 */
						long BgL_arg1822z00_9173;

						BgL_arg1822z00_9173 = BGL_CLASS_NUM(BGl_setfieldz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1467z00_9172), BgL_arg1822z00_9173);
					}
					{	/* Ast/nodetype.sch 1015 */
						BgL_objectz00_bglt BgL_tmpz00_11860;

						BgL_tmpz00_11860 = ((BgL_objectz00_bglt) BgL_new1467z00_9172);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11860, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1467z00_9172);
					BgL_new1468z00_9171 = BgL_new1467z00_9172;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1468z00_9171)))->BgL_locz00) =
					((obj_t) BgL_loc1616z00_383), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1468z00_9171)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1617z00_384), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1468z00_9171)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1618zd2_385), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1468z00_9171)))->BgL_keyz00) =
					((obj_t) BgL_key1619z00_386), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1468z00_9171)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21620za2_387), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1468z00_9171)))->BgL_effectz00) =
					((obj_t) BgL_effect1621z00_388), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1468z00_9171)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1622zd2_389), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1468z00_9171))->BgL_fnamez00) =
					((obj_t) BgL_fname1623z00_390), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1468z00_9171))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1624z00_391), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1468z00_9171))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1625z00_392), BUNSPEC);
				return BgL_new1468z00_9171;
			}
		}

	}



/* &make-setfield */
	BgL_setfieldz00_bglt BGl_z62makezd2setfieldzb0zzast_nodez00(obj_t
		BgL_envz00_6698, obj_t BgL_loc1616z00_6699, obj_t BgL_type1617z00_6700,
		obj_t BgL_sidezd2effect1618zd2_6701, obj_t BgL_key1619z00_6702,
		obj_t BgL_exprza21620za2_6703, obj_t BgL_effect1621z00_6704,
		obj_t BgL_czd2format1622zd2_6705, obj_t BgL_fname1623z00_6706,
		obj_t BgL_ftype1624z00_6707, obj_t BgL_otype1625z00_6708)
	{
		{	/* Ast/nodetype.sch 1015 */
			return
				BGl_makezd2setfieldzd2zzast_nodez00(BgL_loc1616z00_6699,
				((BgL_typez00_bglt) BgL_type1617z00_6700),
				BgL_sidezd2effect1618zd2_6701, BgL_key1619z00_6702,
				BgL_exprza21620za2_6703, BgL_effect1621z00_6704,
				BgL_czd2format1622zd2_6705, BgL_fname1623z00_6706,
				((BgL_typez00_bglt) BgL_ftype1624z00_6707),
				((BgL_typez00_bglt) BgL_otype1625z00_6708));
		}

	}



/* setfield? */
	BGL_EXPORTED_DEF bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t BgL_objz00_393)
	{
		{	/* Ast/nodetype.sch 1016 */
			{	/* Ast/nodetype.sch 1016 */
				obj_t BgL_classz00_9174;

				BgL_classz00_9174 = BGl_setfieldz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_393))
					{	/* Ast/nodetype.sch 1016 */
						BgL_objectz00_bglt BgL_arg1820z00_9175;

						BgL_arg1820z00_9175 = (BgL_objectz00_bglt) (BgL_objz00_393);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1016 */
								long BgL_idxz00_9176;

								BgL_idxz00_9176 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9175);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9176 + ((long) 5))) == BgL_classz00_9174);
							}
						else
							{	/* Ast/nodetype.sch 1016 */
								bool_t BgL_res2978z00_9179;

								{	/* Ast/nodetype.sch 1016 */
									obj_t BgL_oclassz00_9180;

									{	/* Ast/nodetype.sch 1016 */
										long BgL_arg1828z00_9181;

										{	/* Ast/nodetype.sch 1016 */
											long BgL_arg1829z00_9182;

											BgL_arg1829z00_9182 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9175);
											BgL_arg1828z00_9181 = (BgL_arg1829z00_9182 - OBJECT_TYPE);
										}
										BgL_oclassz00_9180 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9181);
									}
									{	/* Ast/nodetype.sch 1016 */
										bool_t BgL__ortest_1111z00_9183;

										BgL__ortest_1111z00_9183 =
											(BgL_classz00_9174 == BgL_oclassz00_9180);
										if (BgL__ortest_1111z00_9183)
											{	/* Ast/nodetype.sch 1016 */
												BgL_res2978z00_9179 = BgL__ortest_1111z00_9183;
											}
										else
											{	/* Ast/nodetype.sch 1016 */
												long BgL_odepthz00_9184;

												BgL_odepthz00_9184 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9180);
												if ((((long) 5) < BgL_odepthz00_9184))
													{	/* Ast/nodetype.sch 1016 */
														obj_t BgL_arg1816z00_9185;

														BgL_arg1816z00_9185 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9180,
															((long) 5));
														BgL_res2978z00_9179 =
															(BgL_arg1816z00_9185 == BgL_classz00_9174);
													}
												else
													{	/* Ast/nodetype.sch 1016 */
														BgL_res2978z00_9179 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2978z00_9179;
							}
					}
				else
					{	/* Ast/nodetype.sch 1016 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &setfield? */
	obj_t BGl_z62setfieldzf3z91zzast_nodez00(obj_t BgL_envz00_6709,
		obj_t BgL_objz00_6710)
	{
		{	/* Ast/nodetype.sch 1016 */
			return BBOOL(BGl_setfieldzf3zf3zzast_nodez00(BgL_objz00_6710));
		}

	}



/* setfield-nil */
	BGL_EXPORTED_DEF BgL_setfieldz00_bglt BGl_setfieldzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1017 */
			{	/* Ast/nodetype.sch 1017 */
				obj_t BgL_classz00_4544;

				BgL_classz00_4544 = BGl_setfieldz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1017 */
					obj_t BgL__ortest_1113z00_4545;

					BgL__ortest_1113z00_4545 = BGL_CLASS_NIL(BgL_classz00_4544);
					if (CBOOL(BgL__ortest_1113z00_4545))
						{	/* Ast/nodetype.sch 1017 */
							return ((BgL_setfieldz00_bglt) BgL__ortest_1113z00_4545);
						}
					else
						{	/* Ast/nodetype.sch 1017 */
							return
								((BgL_setfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4544));
						}
				}
			}
		}

	}



/* &setfield-nil */
	BgL_setfieldz00_bglt BGl_z62setfieldzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6711)
	{
		{	/* Ast/nodetype.sch 1017 */
			return BGl_setfieldzd2nilzd2zzast_nodez00();
		}

	}



/* setfield-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_394)
	{
		{	/* Ast/nodetype.sch 1018 */
			return (((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_394))->BgL_otypez00);
		}

	}



/* &setfield-otype */
	BgL_typez00_bglt BGl_z62setfieldzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6712, obj_t BgL_oz00_6713)
	{
		{	/* Ast/nodetype.sch 1018 */
			return
				BGl_setfieldzd2otypezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6713));
		}

	}



/* setfield-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_395, BgL_typez00_bglt BgL_vz00_396)
	{
		{	/* Ast/nodetype.sch 1019 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_395))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_396), BUNSPEC);
		}

	}



/* &setfield-otype-set! */
	obj_t BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6714,
		obj_t BgL_oz00_6715, obj_t BgL_vz00_6716)
	{
		{	/* Ast/nodetype.sch 1019 */
			return
				BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6715),
				((BgL_typez00_bglt) BgL_vz00_6716));
		}

	}



/* setfield-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_397)
	{
		{	/* Ast/nodetype.sch 1020 */
			return (((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_397))->BgL_ftypez00);
		}

	}



/* &setfield-ftype */
	BgL_typez00_bglt BGl_z62setfieldzd2ftypezb0zzast_nodez00(obj_t
		BgL_envz00_6717, obj_t BgL_oz00_6718)
	{
		{	/* Ast/nodetype.sch 1020 */
			return
				BGl_setfieldzd2ftypezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6718));
		}

	}



/* setfield-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_398, BgL_typez00_bglt BgL_vz00_399)
	{
		{	/* Ast/nodetype.sch 1021 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_398))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_399), BUNSPEC);
		}

	}



/* &setfield-ftype-set! */
	obj_t BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6719,
		obj_t BgL_oz00_6720, obj_t BgL_vz00_6721)
	{
		{	/* Ast/nodetype.sch 1021 */
			return
				BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6720),
				((BgL_typez00_bglt) BgL_vz00_6721));
		}

	}



/* setfield-fname */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_400)
	{
		{	/* Ast/nodetype.sch 1022 */
			return (((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_400))->BgL_fnamez00);
		}

	}



/* &setfield-fname */
	obj_t BGl_z62setfieldzd2fnamezb0zzast_nodez00(obj_t BgL_envz00_6722,
		obj_t BgL_oz00_6723)
	{
		{	/* Ast/nodetype.sch 1022 */
			return
				BGl_setfieldzd2fnamezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6723));
		}

	}



/* setfield-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2czd2formatz00zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_403)
	{
		{	/* Ast/nodetype.sch 1024 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_403)))->BgL_czd2formatzd2);
		}

	}



/* &setfield-c-format */
	obj_t BGl_z62setfieldzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6724,
		obj_t BgL_oz00_6725)
	{
		{	/* Ast/nodetype.sch 1024 */
			return
				BGl_setfieldzd2czd2formatz00zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6725));
		}

	}



/* setfield-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2effectzd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_406)
	{
		{	/* Ast/nodetype.sch 1026 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_406)))->BgL_effectz00);
		}

	}



/* &setfield-effect */
	obj_t BGl_z62setfieldzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6726,
		obj_t BgL_oz00_6727)
	{
		{	/* Ast/nodetype.sch 1026 */
			return
				BGl_setfieldzd2effectzd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6727));
		}

	}



/* setfield-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_407, obj_t BgL_vz00_408)
	{
		{	/* Ast/nodetype.sch 1027 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_407)))->BgL_effectz00) =
				((obj_t) BgL_vz00_408), BUNSPEC);
		}

	}



/* &setfield-effect-set! */
	obj_t BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6728,
		obj_t BgL_oz00_6729, obj_t BgL_vz00_6730)
	{
		{	/* Ast/nodetype.sch 1027 */
			return
				BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6729), BgL_vz00_6730);
		}

	}



/* setfield-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2exprza2z70zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_409)
	{
		{	/* Ast/nodetype.sch 1028 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_409)))->BgL_exprza2za2);
		}

	}



/* &setfield-expr* */
	obj_t BGl_z62setfieldzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6731,
		obj_t BgL_oz00_6732)
	{
		{	/* Ast/nodetype.sch 1028 */
			return
				BGl_setfieldzd2exprza2z70zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6732));
		}

	}



/* setfield-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_410, obj_t BgL_vz00_411)
	{
		{	/* Ast/nodetype.sch 1029 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_410)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_411), BUNSPEC);
		}

	}



/* &setfield-expr*-set! */
	obj_t BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6733, obj_t BgL_oz00_6734, obj_t BgL_vz00_6735)
	{
		{	/* Ast/nodetype.sch 1029 */
			return
				BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6734), BgL_vz00_6735);
		}

	}



/* setfield-key */
	BGL_EXPORTED_DEF obj_t BGl_setfieldzd2keyzd2zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_412)
	{
		{	/* Ast/nodetype.sch 1030 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_412)))->BgL_keyz00);
		}

	}



/* &setfield-key */
	obj_t BGl_z62setfieldzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6736,
		obj_t BgL_oz00_6737)
	{
		{	/* Ast/nodetype.sch 1030 */
			return
				BGl_setfieldzd2keyzd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6737));
		}

	}



/* setfield-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_413, obj_t BgL_vz00_414)
	{
		{	/* Ast/nodetype.sch 1031 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_413)))->BgL_keyz00) =
				((obj_t) BgL_vz00_414), BUNSPEC);
		}

	}



/* &setfield-key-set! */
	obj_t BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6738,
		obj_t BgL_oz00_6739, obj_t BgL_vz00_6740)
	{
		{	/* Ast/nodetype.sch 1031 */
			return
				BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6739), BgL_vz00_6740);
		}

	}



/* setfield-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2sidezd2effectz00zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_415)
	{
		{	/* Ast/nodetype.sch 1032 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_415)))->BgL_sidezd2effectzd2);
		}

	}



/* &setfield-side-effect */
	obj_t BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6741,
		obj_t BgL_oz00_6742)
	{
		{	/* Ast/nodetype.sch 1032 */
			return
				BGl_setfieldzd2sidezd2effectz00zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6742));
		}

	}



/* setfield-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_416, obj_t BgL_vz00_417)
	{
		{	/* Ast/nodetype.sch 1033 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_416)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_417), BUNSPEC);
		}

	}



/* &setfield-side-effect-set! */
	obj_t BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6743, obj_t BgL_oz00_6744, obj_t BgL_vz00_6745)
	{
		{	/* Ast/nodetype.sch 1033 */
			return
				BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6744), BgL_vz00_6745);
		}

	}



/* setfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2typezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_418)
	{
		{	/* Ast/nodetype.sch 1034 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_418)))->BgL_typez00);
		}

	}



/* &setfield-type */
	BgL_typez00_bglt BGl_z62setfieldzd2typezb0zzast_nodez00(obj_t BgL_envz00_6746,
		obj_t BgL_oz00_6747)
	{
		{	/* Ast/nodetype.sch 1034 */
			return
				BGl_setfieldzd2typezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6747));
		}

	}



/* setfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2typezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_419, BgL_typez00_bglt BgL_vz00_420)
	{
		{	/* Ast/nodetype.sch 1035 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_419)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_420), BUNSPEC);
		}

	}



/* &setfield-type-set! */
	obj_t BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6748,
		obj_t BgL_oz00_6749, obj_t BgL_vz00_6750)
	{
		{	/* Ast/nodetype.sch 1035 */
			return
				BGl_setfieldzd2typezd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6749),
				((BgL_typez00_bglt) BgL_vz00_6750));
		}

	}



/* setfield-loc */
	BGL_EXPORTED_DEF obj_t BGl_setfieldzd2loczd2zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_421)
	{
		{	/* Ast/nodetype.sch 1036 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_421)))->BgL_locz00);
		}

	}



/* &setfield-loc */
	obj_t BGl_z62setfieldzd2loczb0zzast_nodez00(obj_t BgL_envz00_6751,
		obj_t BgL_oz00_6752)
	{
		{	/* Ast/nodetype.sch 1036 */
			return
				BGl_setfieldzd2loczd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6752));
		}

	}



/* make-widening */
	BGL_EXPORTED_DEF BgL_wideningz00_bglt
		BGl_makezd2wideningzd2zzast_nodez00(obj_t BgL_loc1607z00_424,
		BgL_typez00_bglt BgL_type1608z00_425, obj_t BgL_sidezd2effect1609zd2_426,
		obj_t BgL_key1610z00_427, obj_t BgL_exprza21611za2_428,
		obj_t BgL_effect1612z00_429, obj_t BgL_czd2format1613zd2_430,
		BgL_typez00_bglt BgL_otype1614z00_431)
	{
		{	/* Ast/nodetype.sch 1040 */
			{	/* Ast/nodetype.sch 1040 */
				BgL_wideningz00_bglt BgL_new1470z00_9186;

				{	/* Ast/nodetype.sch 1040 */
					BgL_wideningz00_bglt BgL_new1469z00_9187;

					BgL_new1469z00_9187 =
						((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_wideningz00_bgl))));
					{	/* Ast/nodetype.sch 1040 */
						long BgL_arg1830z00_9188;

						BgL_arg1830z00_9188 = BGL_CLASS_NUM(BGl_wideningz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1469z00_9187), BgL_arg1830z00_9188);
					}
					{	/* Ast/nodetype.sch 1040 */
						BgL_objectz00_bglt BgL_tmpz00_11983;

						BgL_tmpz00_11983 = ((BgL_objectz00_bglt) BgL_new1469z00_9187);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11983, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1469z00_9187);
					BgL_new1470z00_9186 = BgL_new1469z00_9187;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1470z00_9186)))->BgL_locz00) =
					((obj_t) BgL_loc1607z00_424), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1470z00_9186)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1608z00_425), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1470z00_9186)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1609zd2_426), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1470z00_9186)))->BgL_keyz00) =
					((obj_t) BgL_key1610z00_427), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1470z00_9186)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21611za2_428), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1470z00_9186)))->BgL_effectz00) =
					((obj_t) BgL_effect1612z00_429), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1470z00_9186)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1613zd2_430), BUNSPEC);
				((((BgL_wideningz00_bglt) COBJECT(BgL_new1470z00_9186))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1614z00_431), BUNSPEC);
				return BgL_new1470z00_9186;
			}
		}

	}



/* &make-widening */
	BgL_wideningz00_bglt BGl_z62makezd2wideningzb0zzast_nodez00(obj_t
		BgL_envz00_6753, obj_t BgL_loc1607z00_6754, obj_t BgL_type1608z00_6755,
		obj_t BgL_sidezd2effect1609zd2_6756, obj_t BgL_key1610z00_6757,
		obj_t BgL_exprza21611za2_6758, obj_t BgL_effect1612z00_6759,
		obj_t BgL_czd2format1613zd2_6760, obj_t BgL_otype1614z00_6761)
	{
		{	/* Ast/nodetype.sch 1040 */
			return
				BGl_makezd2wideningzd2zzast_nodez00(BgL_loc1607z00_6754,
				((BgL_typez00_bglt) BgL_type1608z00_6755),
				BgL_sidezd2effect1609zd2_6756, BgL_key1610z00_6757,
				BgL_exprza21611za2_6758, BgL_effect1612z00_6759,
				BgL_czd2format1613zd2_6760, ((BgL_typez00_bglt) BgL_otype1614z00_6761));
		}

	}



/* widening? */
	BGL_EXPORTED_DEF bool_t BGl_wideningzf3zf3zzast_nodez00(obj_t BgL_objz00_432)
	{
		{	/* Ast/nodetype.sch 1041 */
			{	/* Ast/nodetype.sch 1041 */
				obj_t BgL_classz00_9189;

				BgL_classz00_9189 = BGl_wideningz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_432))
					{	/* Ast/nodetype.sch 1041 */
						BgL_objectz00_bglt BgL_arg1820z00_9190;

						BgL_arg1820z00_9190 = (BgL_objectz00_bglt) (BgL_objz00_432);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1041 */
								long BgL_idxz00_9191;

								BgL_idxz00_9191 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9190);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9191 + ((long) 5))) == BgL_classz00_9189);
							}
						else
							{	/* Ast/nodetype.sch 1041 */
								bool_t BgL_res2979z00_9194;

								{	/* Ast/nodetype.sch 1041 */
									obj_t BgL_oclassz00_9195;

									{	/* Ast/nodetype.sch 1041 */
										long BgL_arg1828z00_9196;

										{	/* Ast/nodetype.sch 1041 */
											long BgL_arg1829z00_9197;

											BgL_arg1829z00_9197 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9190);
											BgL_arg1828z00_9196 = (BgL_arg1829z00_9197 - OBJECT_TYPE);
										}
										BgL_oclassz00_9195 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9196);
									}
									{	/* Ast/nodetype.sch 1041 */
										bool_t BgL__ortest_1111z00_9198;

										BgL__ortest_1111z00_9198 =
											(BgL_classz00_9189 == BgL_oclassz00_9195);
										if (BgL__ortest_1111z00_9198)
											{	/* Ast/nodetype.sch 1041 */
												BgL_res2979z00_9194 = BgL__ortest_1111z00_9198;
											}
										else
											{	/* Ast/nodetype.sch 1041 */
												long BgL_odepthz00_9199;

												BgL_odepthz00_9199 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9195);
												if ((((long) 5) < BgL_odepthz00_9199))
													{	/* Ast/nodetype.sch 1041 */
														obj_t BgL_arg1816z00_9200;

														BgL_arg1816z00_9200 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9195,
															((long) 5));
														BgL_res2979z00_9194 =
															(BgL_arg1816z00_9200 == BgL_classz00_9189);
													}
												else
													{	/* Ast/nodetype.sch 1041 */
														BgL_res2979z00_9194 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2979z00_9194;
							}
					}
				else
					{	/* Ast/nodetype.sch 1041 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &widening? */
	obj_t BGl_z62wideningzf3z91zzast_nodez00(obj_t BgL_envz00_6762,
		obj_t BgL_objz00_6763)
	{
		{	/* Ast/nodetype.sch 1041 */
			return BBOOL(BGl_wideningzf3zf3zzast_nodez00(BgL_objz00_6763));
		}

	}



/* widening-nil */
	BGL_EXPORTED_DEF BgL_wideningz00_bglt BGl_wideningzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1042 */
			{	/* Ast/nodetype.sch 1042 */
				obj_t BgL_classz00_4584;

				BgL_classz00_4584 = BGl_wideningz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1042 */
					obj_t BgL__ortest_1113z00_4585;

					BgL__ortest_1113z00_4585 = BGL_CLASS_NIL(BgL_classz00_4584);
					if (CBOOL(BgL__ortest_1113z00_4585))
						{	/* Ast/nodetype.sch 1042 */
							return ((BgL_wideningz00_bglt) BgL__ortest_1113z00_4585);
						}
					else
						{	/* Ast/nodetype.sch 1042 */
							return
								((BgL_wideningz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4584));
						}
				}
			}
		}

	}



/* &widening-nil */
	BgL_wideningz00_bglt BGl_z62wideningzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6764)
	{
		{	/* Ast/nodetype.sch 1042 */
			return BGl_wideningzd2nilzd2zzast_nodez00();
		}

	}



/* widening-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_wideningzd2otypezd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_433)
	{
		{	/* Ast/nodetype.sch 1043 */
			return (((BgL_wideningz00_bglt) COBJECT(BgL_oz00_433))->BgL_otypez00);
		}

	}



/* &widening-otype */
	BgL_typez00_bglt BGl_z62wideningzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6765, obj_t BgL_oz00_6766)
	{
		{	/* Ast/nodetype.sch 1043 */
			return
				BGl_wideningzd2otypezd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6766));
		}

	}



/* widening-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2otypezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_434, BgL_typez00_bglt BgL_vz00_435)
	{
		{	/* Ast/nodetype.sch 1044 */
			return
				((((BgL_wideningz00_bglt) COBJECT(BgL_oz00_434))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_435), BUNSPEC);
		}

	}



/* &widening-otype-set! */
	obj_t BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6767,
		obj_t BgL_oz00_6768, obj_t BgL_vz00_6769)
	{
		{	/* Ast/nodetype.sch 1044 */
			return
				BGl_wideningzd2otypezd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6768),
				((BgL_typez00_bglt) BgL_vz00_6769));
		}

	}



/* widening-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2czd2formatz00zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_436)
	{
		{	/* Ast/nodetype.sch 1045 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_436)))->BgL_czd2formatzd2);
		}

	}



/* &widening-c-format */
	obj_t BGl_z62wideningzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6770,
		obj_t BgL_oz00_6771)
	{
		{	/* Ast/nodetype.sch 1045 */
			return
				BGl_wideningzd2czd2formatz00zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6771));
		}

	}



/* widening-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2effectzd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_439)
	{
		{	/* Ast/nodetype.sch 1047 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_439)))->BgL_effectz00);
		}

	}



/* &widening-effect */
	obj_t BGl_z62wideningzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6772,
		obj_t BgL_oz00_6773)
	{
		{	/* Ast/nodetype.sch 1047 */
			return
				BGl_wideningzd2effectzd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6773));
		}

	}



/* widening-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2effectzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_440, obj_t BgL_vz00_441)
	{
		{	/* Ast/nodetype.sch 1048 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_440)))->BgL_effectz00) =
				((obj_t) BgL_vz00_441), BUNSPEC);
		}

	}



/* &widening-effect-set! */
	obj_t BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6774,
		obj_t BgL_oz00_6775, obj_t BgL_vz00_6776)
	{
		{	/* Ast/nodetype.sch 1048 */
			return
				BGl_wideningzd2effectzd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6775), BgL_vz00_6776);
		}

	}



/* widening-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2exprza2z70zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_442)
	{
		{	/* Ast/nodetype.sch 1049 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_442)))->BgL_exprza2za2);
		}

	}



/* &widening-expr* */
	obj_t BGl_z62wideningzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6777,
		obj_t BgL_oz00_6778)
	{
		{	/* Ast/nodetype.sch 1049 */
			return
				BGl_wideningzd2exprza2z70zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6778));
		}

	}



/* widening-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_443, obj_t BgL_vz00_444)
	{
		{	/* Ast/nodetype.sch 1050 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_443)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_444), BUNSPEC);
		}

	}



/* &widening-expr*-set! */
	obj_t BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6779, obj_t BgL_oz00_6780, obj_t BgL_vz00_6781)
	{
		{	/* Ast/nodetype.sch 1050 */
			return
				BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6780), BgL_vz00_6781);
		}

	}



/* widening-key */
	BGL_EXPORTED_DEF obj_t BGl_wideningzd2keyzd2zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_445)
	{
		{	/* Ast/nodetype.sch 1051 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_445)))->BgL_keyz00);
		}

	}



/* &widening-key */
	obj_t BGl_z62wideningzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6782,
		obj_t BgL_oz00_6783)
	{
		{	/* Ast/nodetype.sch 1051 */
			return
				BGl_wideningzd2keyzd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6783));
		}

	}



/* widening-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2keyzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_446, obj_t BgL_vz00_447)
	{
		{	/* Ast/nodetype.sch 1052 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_446)))->BgL_keyz00) =
				((obj_t) BgL_vz00_447), BUNSPEC);
		}

	}



/* &widening-key-set! */
	obj_t BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6784,
		obj_t BgL_oz00_6785, obj_t BgL_vz00_6786)
	{
		{	/* Ast/nodetype.sch 1052 */
			return
				BGl_wideningzd2keyzd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6785), BgL_vz00_6786);
		}

	}



/* widening-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2sidezd2effectz00zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_448)
	{
		{	/* Ast/nodetype.sch 1053 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_448)))->BgL_sidezd2effectzd2);
		}

	}



/* &widening-side-effect */
	obj_t BGl_z62wideningzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6787,
		obj_t BgL_oz00_6788)
	{
		{	/* Ast/nodetype.sch 1053 */
			return
				BGl_wideningzd2sidezd2effectz00zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6788));
		}

	}



/* widening-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_449, obj_t BgL_vz00_450)
	{
		{	/* Ast/nodetype.sch 1054 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_449)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_450), BUNSPEC);
		}

	}



/* &widening-side-effect-set! */
	obj_t BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6789, obj_t BgL_oz00_6790, obj_t BgL_vz00_6791)
	{
		{	/* Ast/nodetype.sch 1054 */
			return
				BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6790), BgL_vz00_6791);
		}

	}



/* widening-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_wideningzd2typezd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_451)
	{
		{	/* Ast/nodetype.sch 1055 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_451)))->BgL_typez00);
		}

	}



/* &widening-type */
	BgL_typez00_bglt BGl_z62wideningzd2typezb0zzast_nodez00(obj_t BgL_envz00_6792,
		obj_t BgL_oz00_6793)
	{
		{	/* Ast/nodetype.sch 1055 */
			return
				BGl_wideningzd2typezd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6793));
		}

	}



/* widening-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2typezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_452, BgL_typez00_bglt BgL_vz00_453)
	{
		{	/* Ast/nodetype.sch 1056 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_452)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_453), BUNSPEC);
		}

	}



/* &widening-type-set! */
	obj_t BGl_z62wideningzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6794,
		obj_t BgL_oz00_6795, obj_t BgL_vz00_6796)
	{
		{	/* Ast/nodetype.sch 1056 */
			return
				BGl_wideningzd2typezd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6795),
				((BgL_typez00_bglt) BgL_vz00_6796));
		}

	}



/* widening-loc */
	BGL_EXPORTED_DEF obj_t BGl_wideningzd2loczd2zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_454)
	{
		{	/* Ast/nodetype.sch 1057 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_454)))->BgL_locz00);
		}

	}



/* &widening-loc */
	obj_t BGl_z62wideningzd2loczb0zzast_nodez00(obj_t BgL_envz00_6797,
		obj_t BgL_oz00_6798)
	{
		{	/* Ast/nodetype.sch 1057 */
			return
				BGl_wideningzd2loczd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6798));
		}

	}



/* make-new */
	BGL_EXPORTED_DEF BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t
		BgL_loc1598z00_457, BgL_typez00_bglt BgL_type1599z00_458,
		obj_t BgL_sidezd2effect1600zd2_459, obj_t BgL_key1601z00_460,
		obj_t BgL_exprza21602za2_461, obj_t BgL_effect1603z00_462,
		obj_t BgL_czd2format1604zd2_463, obj_t BgL_argszd2type1605zd2_464)
	{
		{	/* Ast/nodetype.sch 1061 */
			{	/* Ast/nodetype.sch 1061 */
				BgL_newz00_bglt BgL_new1472z00_9201;

				{	/* Ast/nodetype.sch 1061 */
					BgL_newz00_bglt BgL_new1471z00_9202;

					BgL_new1471z00_9202 =
						((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_newz00_bgl))));
					{	/* Ast/nodetype.sch 1061 */
						long BgL_arg1833z00_9203;

						BgL_arg1833z00_9203 = BGL_CLASS_NUM(BGl_newz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1471z00_9202), BgL_arg1833z00_9203);
					}
					{	/* Ast/nodetype.sch 1061 */
						BgL_objectz00_bglt BgL_tmpz00_12093;

						BgL_tmpz00_12093 = ((BgL_objectz00_bglt) BgL_new1471z00_9202);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12093, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1471z00_9202);
					BgL_new1472z00_9201 = BgL_new1471z00_9202;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1472z00_9201)))->BgL_locz00) =
					((obj_t) BgL_loc1598z00_457), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1472z00_9201)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1599z00_458), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1472z00_9201)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1600zd2_459), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1472z00_9201)))->BgL_keyz00) =
					((obj_t) BgL_key1601z00_460), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1472z00_9201)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21602za2_461), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1472z00_9201)))->BgL_effectz00) =
					((obj_t) BgL_effect1603z00_462), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1472z00_9201)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1604zd2_463), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(BgL_new1472z00_9201))->
						BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1605zd2_464), BUNSPEC);
				return BgL_new1472z00_9201;
			}
		}

	}



/* &make-new */
	BgL_newz00_bglt BGl_z62makezd2newzb0zzast_nodez00(obj_t BgL_envz00_6799,
		obj_t BgL_loc1598z00_6800, obj_t BgL_type1599z00_6801,
		obj_t BgL_sidezd2effect1600zd2_6802, obj_t BgL_key1601z00_6803,
		obj_t BgL_exprza21602za2_6804, obj_t BgL_effect1603z00_6805,
		obj_t BgL_czd2format1604zd2_6806, obj_t BgL_argszd2type1605zd2_6807)
	{
		{	/* Ast/nodetype.sch 1061 */
			return
				BGl_makezd2newzd2zzast_nodez00(BgL_loc1598z00_6800,
				((BgL_typez00_bglt) BgL_type1599z00_6801),
				BgL_sidezd2effect1600zd2_6802, BgL_key1601z00_6803,
				BgL_exprza21602za2_6804, BgL_effect1603z00_6805,
				BgL_czd2format1604zd2_6806, BgL_argszd2type1605zd2_6807);
		}

	}



/* new? */
	BGL_EXPORTED_DEF bool_t BGl_newzf3zf3zzast_nodez00(obj_t BgL_objz00_465)
	{
		{	/* Ast/nodetype.sch 1062 */
			{	/* Ast/nodetype.sch 1062 */
				obj_t BgL_classz00_9204;

				BgL_classz00_9204 = BGl_newz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_465))
					{	/* Ast/nodetype.sch 1062 */
						BgL_objectz00_bglt BgL_arg1820z00_9205;

						BgL_arg1820z00_9205 = (BgL_objectz00_bglt) (BgL_objz00_465);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1062 */
								long BgL_idxz00_9206;

								BgL_idxz00_9206 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9205);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9206 + ((long) 5))) == BgL_classz00_9204);
							}
						else
							{	/* Ast/nodetype.sch 1062 */
								bool_t BgL_res2980z00_9209;

								{	/* Ast/nodetype.sch 1062 */
									obj_t BgL_oclassz00_9210;

									{	/* Ast/nodetype.sch 1062 */
										long BgL_arg1828z00_9211;

										{	/* Ast/nodetype.sch 1062 */
											long BgL_arg1829z00_9212;

											BgL_arg1829z00_9212 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9205);
											BgL_arg1828z00_9211 = (BgL_arg1829z00_9212 - OBJECT_TYPE);
										}
										BgL_oclassz00_9210 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9211);
									}
									{	/* Ast/nodetype.sch 1062 */
										bool_t BgL__ortest_1111z00_9213;

										BgL__ortest_1111z00_9213 =
											(BgL_classz00_9204 == BgL_oclassz00_9210);
										if (BgL__ortest_1111z00_9213)
											{	/* Ast/nodetype.sch 1062 */
												BgL_res2980z00_9209 = BgL__ortest_1111z00_9213;
											}
										else
											{	/* Ast/nodetype.sch 1062 */
												long BgL_odepthz00_9214;

												BgL_odepthz00_9214 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9210);
												if ((((long) 5) < BgL_odepthz00_9214))
													{	/* Ast/nodetype.sch 1062 */
														obj_t BgL_arg1816z00_9215;

														BgL_arg1816z00_9215 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9210,
															((long) 5));
														BgL_res2980z00_9209 =
															(BgL_arg1816z00_9215 == BgL_classz00_9204);
													}
												else
													{	/* Ast/nodetype.sch 1062 */
														BgL_res2980z00_9209 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2980z00_9209;
							}
					}
				else
					{	/* Ast/nodetype.sch 1062 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &new? */
	obj_t BGl_z62newzf3z91zzast_nodez00(obj_t BgL_envz00_6808,
		obj_t BgL_objz00_6809)
	{
		{	/* Ast/nodetype.sch 1062 */
			return BBOOL(BGl_newzf3zf3zzast_nodez00(BgL_objz00_6809));
		}

	}



/* new-nil */
	BGL_EXPORTED_DEF BgL_newz00_bglt BGl_newzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1063 */
			{	/* Ast/nodetype.sch 1063 */
				obj_t BgL_classz00_4624;

				BgL_classz00_4624 = BGl_newz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1063 */
					obj_t BgL__ortest_1113z00_4625;

					BgL__ortest_1113z00_4625 = BGL_CLASS_NIL(BgL_classz00_4624);
					if (CBOOL(BgL__ortest_1113z00_4625))
						{	/* Ast/nodetype.sch 1063 */
							return ((BgL_newz00_bglt) BgL__ortest_1113z00_4625);
						}
					else
						{	/* Ast/nodetype.sch 1063 */
							return
								((BgL_newz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4624));
						}
				}
			}
		}

	}



/* &new-nil */
	BgL_newz00_bglt BGl_z62newzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6810)
	{
		{	/* Ast/nodetype.sch 1063 */
			return BGl_newzd2nilzd2zzast_nodez00();
		}

	}



/* new-args-type */
	BGL_EXPORTED_DEF obj_t BGl_newzd2argszd2typez00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_466)
	{
		{	/* Ast/nodetype.sch 1064 */
			return (((BgL_newz00_bglt) COBJECT(BgL_oz00_466))->BgL_argszd2typezd2);
		}

	}



/* &new-args-type */
	obj_t BGl_z62newzd2argszd2typez62zzast_nodez00(obj_t BgL_envz00_6811,
		obj_t BgL_oz00_6812)
	{
		{	/* Ast/nodetype.sch 1064 */
			return
				BGl_newzd2argszd2typez00zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6812));
		}

	}



/* new-args-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(BgL_newz00_bglt BgL_oz00_467,
		obj_t BgL_vz00_468)
	{
		{	/* Ast/nodetype.sch 1065 */
			return
				((((BgL_newz00_bglt) COBJECT(BgL_oz00_467))->BgL_argszd2typezd2) =
				((obj_t) BgL_vz00_468), BUNSPEC);
		}

	}



/* &new-args-type-set! */
	obj_t BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6813,
		obj_t BgL_oz00_6814, obj_t BgL_vz00_6815)
	{
		{	/* Ast/nodetype.sch 1065 */
			return
				BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6814), BgL_vz00_6815);
		}

	}



/* new-c-format */
	BGL_EXPORTED_DEF obj_t BGl_newzd2czd2formatz00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_469)
	{
		{	/* Ast/nodetype.sch 1066 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_469)))->BgL_czd2formatzd2);
		}

	}



/* &new-c-format */
	obj_t BGl_z62newzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6816,
		obj_t BgL_oz00_6817)
	{
		{	/* Ast/nodetype.sch 1066 */
			return
				BGl_newzd2czd2formatz00zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6817));
		}

	}



/* new-effect */
	BGL_EXPORTED_DEF obj_t BGl_newzd2effectzd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_472)
	{
		{	/* Ast/nodetype.sch 1068 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_472)))->BgL_effectz00);
		}

	}



/* &new-effect */
	obj_t BGl_z62newzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6818,
		obj_t BgL_oz00_6819)
	{
		{	/* Ast/nodetype.sch 1068 */
			return
				BGl_newzd2effectzd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6819));
		}

	}



/* new-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2effectzd2setz12z12zzast_nodez00(BgL_newz00_bglt BgL_oz00_473,
		obj_t BgL_vz00_474)
	{
		{	/* Ast/nodetype.sch 1069 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_473)))->BgL_effectz00) =
				((obj_t) BgL_vz00_474), BUNSPEC);
		}

	}



/* &new-effect-set! */
	obj_t BGl_z62newzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6820,
		obj_t BgL_oz00_6821, obj_t BgL_vz00_6822)
	{
		{	/* Ast/nodetype.sch 1069 */
			return
				BGl_newzd2effectzd2setz12z12zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6821), BgL_vz00_6822);
		}

	}



/* new-expr* */
	BGL_EXPORTED_DEF obj_t BGl_newzd2exprza2z70zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_475)
	{
		{	/* Ast/nodetype.sch 1070 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_475)))->BgL_exprza2za2);
		}

	}



/* &new-expr* */
	obj_t BGl_z62newzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6823,
		obj_t BgL_oz00_6824)
	{
		{	/* Ast/nodetype.sch 1070 */
			return
				BGl_newzd2exprza2z70zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6824));
		}

	}



/* new-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(BgL_newz00_bglt BgL_oz00_476,
		obj_t BgL_vz00_477)
	{
		{	/* Ast/nodetype.sch 1071 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_476)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_477), BUNSPEC);
		}

	}



/* &new-expr*-set! */
	obj_t BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6825,
		obj_t BgL_oz00_6826, obj_t BgL_vz00_6827)
	{
		{	/* Ast/nodetype.sch 1071 */
			return
				BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6826), BgL_vz00_6827);
		}

	}



/* new-key */
	BGL_EXPORTED_DEF obj_t BGl_newzd2keyzd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_478)
	{
		{	/* Ast/nodetype.sch 1072 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_478)))->BgL_keyz00);
		}

	}



/* &new-key */
	obj_t BGl_z62newzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6828,
		obj_t BgL_oz00_6829)
	{
		{	/* Ast/nodetype.sch 1072 */
			return BGl_newzd2keyzd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6829));
		}

	}



/* new-key-set! */
	BGL_EXPORTED_DEF obj_t BGl_newzd2keyzd2setz12z12zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_479, obj_t BgL_vz00_480)
	{
		{	/* Ast/nodetype.sch 1073 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_479)))->BgL_keyz00) =
				((obj_t) BgL_vz00_480), BUNSPEC);
		}

	}



/* &new-key-set! */
	obj_t BGl_z62newzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6830,
		obj_t BgL_oz00_6831, obj_t BgL_vz00_6832)
	{
		{	/* Ast/nodetype.sch 1073 */
			return
				BGl_newzd2keyzd2setz12z12zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6831), BgL_vz00_6832);
		}

	}



/* new-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_newzd2sidezd2effectz00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_481)
	{
		{	/* Ast/nodetype.sch 1074 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_481)))->BgL_sidezd2effectzd2);
		}

	}



/* &new-side-effect */
	obj_t BGl_z62newzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6833,
		obj_t BgL_oz00_6834)
	{
		{	/* Ast/nodetype.sch 1074 */
			return
				BGl_newzd2sidezd2effectz00zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6834));
		}

	}



/* new-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_482, obj_t BgL_vz00_483)
	{
		{	/* Ast/nodetype.sch 1075 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_482)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_483), BUNSPEC);
		}

	}



/* &new-side-effect-set! */
	obj_t BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6835, obj_t BgL_oz00_6836, obj_t BgL_vz00_6837)
	{
		{	/* Ast/nodetype.sch 1075 */
			return
				BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6836), BgL_vz00_6837);
		}

	}



/* new-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_newzd2typezd2zzast_nodez00(BgL_newz00_bglt BgL_oz00_484)
	{
		{	/* Ast/nodetype.sch 1076 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_484)))->BgL_typez00);
		}

	}



/* &new-type */
	BgL_typez00_bglt BGl_z62newzd2typezb0zzast_nodez00(obj_t BgL_envz00_6838,
		obj_t BgL_oz00_6839)
	{
		{	/* Ast/nodetype.sch 1076 */
			return BGl_newzd2typezd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6839));
		}

	}



/* new-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_newzd2typezd2setz12z12zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_485, BgL_typez00_bglt BgL_vz00_486)
	{
		{	/* Ast/nodetype.sch 1077 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_485)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_486), BUNSPEC);
		}

	}



/* &new-type-set! */
	obj_t BGl_z62newzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6840,
		obj_t BgL_oz00_6841, obj_t BgL_vz00_6842)
	{
		{	/* Ast/nodetype.sch 1077 */
			return
				BGl_newzd2typezd2setz12z12zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6841), ((BgL_typez00_bglt) BgL_vz00_6842));
		}

	}



/* new-loc */
	BGL_EXPORTED_DEF obj_t BGl_newzd2loczd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_487)
	{
		{	/* Ast/nodetype.sch 1078 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_487)))->BgL_locz00);
		}

	}



/* &new-loc */
	obj_t BGl_z62newzd2loczb0zzast_nodez00(obj_t BgL_envz00_6843,
		obj_t BgL_oz00_6844)
	{
		{	/* Ast/nodetype.sch 1078 */
			return BGl_newzd2loczd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6844));
		}

	}



/* make-valloc */
	BGL_EXPORTED_DEF BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t
		BgL_loc1588z00_490, BgL_typez00_bglt BgL_type1589z00_491,
		obj_t BgL_sidezd2effect1590zd2_492, obj_t BgL_key1591z00_493,
		obj_t BgL_exprza21592za2_494, obj_t BgL_effect1593z00_495,
		obj_t BgL_czd2format1594zd2_496, BgL_typez00_bglt BgL_ftype1595z00_497,
		BgL_typez00_bglt BgL_otype1596z00_498)
	{
		{	/* Ast/nodetype.sch 1082 */
			{	/* Ast/nodetype.sch 1082 */
				BgL_vallocz00_bglt BgL_new1474z00_9216;

				{	/* Ast/nodetype.sch 1082 */
					BgL_vallocz00_bglt BgL_new1473z00_9217;

					BgL_new1473z00_9217 =
						((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/nodetype.sch 1082 */
						long BgL_arg1835z00_9218;

						BgL_arg1835z00_9218 = BGL_CLASS_NUM(BGl_vallocz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1473z00_9217), BgL_arg1835z00_9218);
					}
					{	/* Ast/nodetype.sch 1082 */
						BgL_objectz00_bglt BgL_tmpz00_12201;

						BgL_tmpz00_12201 = ((BgL_objectz00_bglt) BgL_new1473z00_9217);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12201, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1473z00_9217);
					BgL_new1474z00_9216 = BgL_new1473z00_9217;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1474z00_9216)))->BgL_locz00) =
					((obj_t) BgL_loc1588z00_490), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1474z00_9216)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1589z00_491), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1474z00_9216)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1590zd2_492), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1474z00_9216)))->BgL_keyz00) =
					((obj_t) BgL_key1591z00_493), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1474z00_9216)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21592za2_494), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1474z00_9216)))->BgL_effectz00) =
					((obj_t) BgL_effect1593z00_495), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1474z00_9216)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1594zd2_496), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1474z00_9216))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1595z00_497), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1474z00_9216))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1596z00_498), BUNSPEC);
				return BgL_new1474z00_9216;
			}
		}

	}



/* &make-valloc */
	BgL_vallocz00_bglt BGl_z62makezd2valloczb0zzast_nodez00(obj_t BgL_envz00_6845,
		obj_t BgL_loc1588z00_6846, obj_t BgL_type1589z00_6847,
		obj_t BgL_sidezd2effect1590zd2_6848, obj_t BgL_key1591z00_6849,
		obj_t BgL_exprza21592za2_6850, obj_t BgL_effect1593z00_6851,
		obj_t BgL_czd2format1594zd2_6852, obj_t BgL_ftype1595z00_6853,
		obj_t BgL_otype1596z00_6854)
	{
		{	/* Ast/nodetype.sch 1082 */
			return
				BGl_makezd2valloczd2zzast_nodez00(BgL_loc1588z00_6846,
				((BgL_typez00_bglt) BgL_type1589z00_6847),
				BgL_sidezd2effect1590zd2_6848, BgL_key1591z00_6849,
				BgL_exprza21592za2_6850, BgL_effect1593z00_6851,
				BgL_czd2format1594zd2_6852, ((BgL_typez00_bglt) BgL_ftype1595z00_6853),
				((BgL_typez00_bglt) BgL_otype1596z00_6854));
		}

	}



/* valloc? */
	BGL_EXPORTED_DEF bool_t BGl_valloczf3zf3zzast_nodez00(obj_t BgL_objz00_499)
	{
		{	/* Ast/nodetype.sch 1083 */
			{	/* Ast/nodetype.sch 1083 */
				obj_t BgL_classz00_9219;

				BgL_classz00_9219 = BGl_vallocz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_499))
					{	/* Ast/nodetype.sch 1083 */
						BgL_objectz00_bglt BgL_arg1820z00_9220;

						BgL_arg1820z00_9220 = (BgL_objectz00_bglt) (BgL_objz00_499);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1083 */
								long BgL_idxz00_9221;

								BgL_idxz00_9221 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9220);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9221 + ((long) 5))) == BgL_classz00_9219);
							}
						else
							{	/* Ast/nodetype.sch 1083 */
								bool_t BgL_res2981z00_9224;

								{	/* Ast/nodetype.sch 1083 */
									obj_t BgL_oclassz00_9225;

									{	/* Ast/nodetype.sch 1083 */
										long BgL_arg1828z00_9226;

										{	/* Ast/nodetype.sch 1083 */
											long BgL_arg1829z00_9227;

											BgL_arg1829z00_9227 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9220);
											BgL_arg1828z00_9226 = (BgL_arg1829z00_9227 - OBJECT_TYPE);
										}
										BgL_oclassz00_9225 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9226);
									}
									{	/* Ast/nodetype.sch 1083 */
										bool_t BgL__ortest_1111z00_9228;

										BgL__ortest_1111z00_9228 =
											(BgL_classz00_9219 == BgL_oclassz00_9225);
										if (BgL__ortest_1111z00_9228)
											{	/* Ast/nodetype.sch 1083 */
												BgL_res2981z00_9224 = BgL__ortest_1111z00_9228;
											}
										else
											{	/* Ast/nodetype.sch 1083 */
												long BgL_odepthz00_9229;

												BgL_odepthz00_9229 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9225);
												if ((((long) 5) < BgL_odepthz00_9229))
													{	/* Ast/nodetype.sch 1083 */
														obj_t BgL_arg1816z00_9230;

														BgL_arg1816z00_9230 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9225,
															((long) 5));
														BgL_res2981z00_9224 =
															(BgL_arg1816z00_9230 == BgL_classz00_9219);
													}
												else
													{	/* Ast/nodetype.sch 1083 */
														BgL_res2981z00_9224 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2981z00_9224;
							}
					}
				else
					{	/* Ast/nodetype.sch 1083 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &valloc? */
	obj_t BGl_z62valloczf3z91zzast_nodez00(obj_t BgL_envz00_6855,
		obj_t BgL_objz00_6856)
	{
		{	/* Ast/nodetype.sch 1083 */
			return BBOOL(BGl_valloczf3zf3zzast_nodez00(BgL_objz00_6856));
		}

	}



/* valloc-nil */
	BGL_EXPORTED_DEF BgL_vallocz00_bglt BGl_valloczd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1084 */
			{	/* Ast/nodetype.sch 1084 */
				obj_t BgL_classz00_4664;

				BgL_classz00_4664 = BGl_vallocz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1084 */
					obj_t BgL__ortest_1113z00_4665;

					BgL__ortest_1113z00_4665 = BGL_CLASS_NIL(BgL_classz00_4664);
					if (CBOOL(BgL__ortest_1113z00_4665))
						{	/* Ast/nodetype.sch 1084 */
							return ((BgL_vallocz00_bglt) BgL__ortest_1113z00_4665);
						}
					else
						{	/* Ast/nodetype.sch 1084 */
							return
								((BgL_vallocz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4664));
						}
				}
			}
		}

	}



/* &valloc-nil */
	BgL_vallocz00_bglt BGl_z62valloczd2nilzb0zzast_nodez00(obj_t BgL_envz00_6857)
	{
		{	/* Ast/nodetype.sch 1084 */
			return BGl_valloczd2nilzd2zzast_nodez00();
		}

	}



/* valloc-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_500)
	{
		{	/* Ast/nodetype.sch 1085 */
			return (((BgL_vallocz00_bglt) COBJECT(BgL_oz00_500))->BgL_otypez00);
		}

	}



/* &valloc-otype */
	BgL_typez00_bglt BGl_z62valloczd2otypezb0zzast_nodez00(obj_t BgL_envz00_6858,
		obj_t BgL_oz00_6859)
	{
		{	/* Ast/nodetype.sch 1085 */
			return
				BGl_valloczd2otypezd2zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6859));
		}

	}



/* valloc-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2otypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_501,
		BgL_typez00_bglt BgL_vz00_502)
	{
		{	/* Ast/nodetype.sch 1086 */
			return
				((((BgL_vallocz00_bglt) COBJECT(BgL_oz00_501))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_502), BUNSPEC);
		}

	}



/* &valloc-otype-set! */
	obj_t BGl_z62valloczd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6860,
		obj_t BgL_oz00_6861, obj_t BgL_vz00_6862)
	{
		{	/* Ast/nodetype.sch 1086 */
			return
				BGl_valloczd2otypezd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6861),
				((BgL_typez00_bglt) BgL_vz00_6862));
		}

	}



/* valloc-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_503)
	{
		{	/* Ast/nodetype.sch 1087 */
			return (((BgL_vallocz00_bglt) COBJECT(BgL_oz00_503))->BgL_ftypez00);
		}

	}



/* &valloc-ftype */
	BgL_typez00_bglt BGl_z62valloczd2ftypezb0zzast_nodez00(obj_t BgL_envz00_6863,
		obj_t BgL_oz00_6864)
	{
		{	/* Ast/nodetype.sch 1087 */
			return
				BGl_valloczd2ftypezd2zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6864));
		}

	}



/* valloc-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2ftypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_504,
		BgL_typez00_bglt BgL_vz00_505)
	{
		{	/* Ast/nodetype.sch 1088 */
			return
				((((BgL_vallocz00_bglt) COBJECT(BgL_oz00_504))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_505), BUNSPEC);
		}

	}



/* &valloc-ftype-set! */
	obj_t BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6865,
		obj_t BgL_oz00_6866, obj_t BgL_vz00_6867)
	{
		{	/* Ast/nodetype.sch 1088 */
			return
				BGl_valloczd2ftypezd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6866),
				((BgL_typez00_bglt) BgL_vz00_6867));
		}

	}



/* valloc-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2czd2formatz00zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_506)
	{
		{	/* Ast/nodetype.sch 1089 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_506)))->BgL_czd2formatzd2);
		}

	}



/* &valloc-c-format */
	obj_t BGl_z62valloczd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6868,
		obj_t BgL_oz00_6869)
	{
		{	/* Ast/nodetype.sch 1089 */
			return
				BGl_valloczd2czd2formatz00zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6869));
		}

	}



/* valloc-effect */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2effectzd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_509)
	{
		{	/* Ast/nodetype.sch 1091 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_509)))->BgL_effectz00);
		}

	}



/* &valloc-effect */
	obj_t BGl_z62valloczd2effectzb0zzast_nodez00(obj_t BgL_envz00_6870,
		obj_t BgL_oz00_6871)
	{
		{	/* Ast/nodetype.sch 1091 */
			return
				BGl_valloczd2effectzd2zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6871));
		}

	}



/* valloc-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2effectzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_510, obj_t BgL_vz00_511)
	{
		{	/* Ast/nodetype.sch 1092 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_510)))->BgL_effectz00) =
				((obj_t) BgL_vz00_511), BUNSPEC);
		}

	}



/* &valloc-effect-set! */
	obj_t BGl_z62valloczd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6872,
		obj_t BgL_oz00_6873, obj_t BgL_vz00_6874)
	{
		{	/* Ast/nodetype.sch 1092 */
			return
				BGl_valloczd2effectzd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6873), BgL_vz00_6874);
		}

	}



/* valloc-expr* */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2exprza2z70zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_512)
	{
		{	/* Ast/nodetype.sch 1093 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_512)))->BgL_exprza2za2);
		}

	}



/* &valloc-expr* */
	obj_t BGl_z62valloczd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6875,
		obj_t BgL_oz00_6876)
	{
		{	/* Ast/nodetype.sch 1093 */
			return
				BGl_valloczd2exprza2z70zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6876));
		}

	}



/* valloc-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_513, obj_t BgL_vz00_514)
	{
		{	/* Ast/nodetype.sch 1094 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_513)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_514), BUNSPEC);
		}

	}



/* &valloc-expr*-set! */
	obj_t BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6877,
		obj_t BgL_oz00_6878, obj_t BgL_vz00_6879)
	{
		{	/* Ast/nodetype.sch 1094 */
			return
				BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6878), BgL_vz00_6879);
		}

	}



/* valloc-key */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2keyzd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_515)
	{
		{	/* Ast/nodetype.sch 1095 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_515)))->BgL_keyz00);
		}

	}



/* &valloc-key */
	obj_t BGl_z62valloczd2keyzb0zzast_nodez00(obj_t BgL_envz00_6880,
		obj_t BgL_oz00_6881)
	{
		{	/* Ast/nodetype.sch 1095 */
			return
				BGl_valloczd2keyzd2zzast_nodez00(((BgL_vallocz00_bglt) BgL_oz00_6881));
		}

	}



/* valloc-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2keyzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_516,
		obj_t BgL_vz00_517)
	{
		{	/* Ast/nodetype.sch 1096 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_516)))->BgL_keyz00) =
				((obj_t) BgL_vz00_517), BUNSPEC);
		}

	}



/* &valloc-key-set! */
	obj_t BGl_z62valloczd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6882,
		obj_t BgL_oz00_6883, obj_t BgL_vz00_6884)
	{
		{	/* Ast/nodetype.sch 1096 */
			return
				BGl_valloczd2keyzd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6883), BgL_vz00_6884);
		}

	}



/* valloc-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2sidezd2effectz00zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_518)
	{
		{	/* Ast/nodetype.sch 1097 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_518)))->BgL_sidezd2effectzd2);
		}

	}



/* &valloc-side-effect */
	obj_t BGl_z62valloczd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6885,
		obj_t BgL_oz00_6886)
	{
		{	/* Ast/nodetype.sch 1097 */
			return
				BGl_valloczd2sidezd2effectz00zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6886));
		}

	}



/* valloc-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_519, obj_t BgL_vz00_520)
	{
		{	/* Ast/nodetype.sch 1098 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_519)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_520), BUNSPEC);
		}

	}



/* &valloc-side-effect-set! */
	obj_t BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6887, obj_t BgL_oz00_6888, obj_t BgL_vz00_6889)
	{
		{	/* Ast/nodetype.sch 1098 */
			return
				BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6888), BgL_vz00_6889);
		}

	}



/* valloc-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2typezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_521)
	{
		{	/* Ast/nodetype.sch 1099 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_521)))->BgL_typez00);
		}

	}



/* &valloc-type */
	BgL_typez00_bglt BGl_z62valloczd2typezb0zzast_nodez00(obj_t BgL_envz00_6890,
		obj_t BgL_oz00_6891)
	{
		{	/* Ast/nodetype.sch 1099 */
			return
				BGl_valloczd2typezd2zzast_nodez00(((BgL_vallocz00_bglt) BgL_oz00_6891));
		}

	}



/* valloc-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2typezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_522,
		BgL_typez00_bglt BgL_vz00_523)
	{
		{	/* Ast/nodetype.sch 1100 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_522)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_523), BUNSPEC);
		}

	}



/* &valloc-type-set! */
	obj_t BGl_z62valloczd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6892,
		obj_t BgL_oz00_6893, obj_t BgL_vz00_6894)
	{
		{	/* Ast/nodetype.sch 1100 */
			return
				BGl_valloczd2typezd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_6893),
				((BgL_typez00_bglt) BgL_vz00_6894));
		}

	}



/* valloc-loc */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2loczd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_524)
	{
		{	/* Ast/nodetype.sch 1101 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_524)))->BgL_locz00);
		}

	}



/* &valloc-loc */
	obj_t BGl_z62valloczd2loczb0zzast_nodez00(obj_t BgL_envz00_6895,
		obj_t BgL_oz00_6896)
	{
		{	/* Ast/nodetype.sch 1101 */
			return
				BGl_valloczd2loczd2zzast_nodez00(((BgL_vallocz00_bglt) BgL_oz00_6896));
		}

	}



/* make-vref */
	BGL_EXPORTED_DEF BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t
		BgL_loc1576z00_527, BgL_typez00_bglt BgL_type1577z00_528,
		obj_t BgL_sidezd2effect1578zd2_529, obj_t BgL_key1579z00_530,
		obj_t BgL_exprza21580za2_531, obj_t BgL_effect1581z00_532,
		obj_t BgL_czd2format1582zd2_533, BgL_typez00_bglt BgL_ftype1583z00_534,
		BgL_typez00_bglt BgL_otype1584z00_535,
		BgL_typez00_bglt BgL_vtype1585z00_536, bool_t BgL_unsafe1586z00_537)
	{
		{	/* Ast/nodetype.sch 1105 */
			{	/* Ast/nodetype.sch 1105 */
				BgL_vrefz00_bglt BgL_new1476z00_9231;

				{	/* Ast/nodetype.sch 1105 */
					BgL_vrefz00_bglt BgL_new1475z00_9232;

					BgL_new1475z00_9232 =
						((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vrefz00_bgl))));
					{	/* Ast/nodetype.sch 1105 */
						long BgL_arg1836z00_9233;

						BgL_arg1836z00_9233 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1475z00_9232), BgL_arg1836z00_9233);
					}
					{	/* Ast/nodetype.sch 1105 */
						BgL_objectz00_bglt BgL_tmpz00_12320;

						BgL_tmpz00_12320 = ((BgL_objectz00_bglt) BgL_new1475z00_9232);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12320, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1475z00_9232);
					BgL_new1476z00_9231 = BgL_new1475z00_9232;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1476z00_9231)))->BgL_locz00) =
					((obj_t) BgL_loc1576z00_527), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1476z00_9231)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1577z00_528), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1476z00_9231)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1578zd2_529), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1476z00_9231)))->BgL_keyz00) =
					((obj_t) BgL_key1579z00_530), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1476z00_9231)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21580za2_531), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1476z00_9231)))->BgL_effectz00) =
					((obj_t) BgL_effect1581z00_532), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1476z00_9231)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1582zd2_533), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1476z00_9231))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1583z00_534), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1476z00_9231))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1584z00_535), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1476z00_9231))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1585z00_536), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1476z00_9231))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1586z00_537), BUNSPEC);
				return BgL_new1476z00_9231;
			}
		}

	}



/* &make-vref */
	BgL_vrefz00_bglt BGl_z62makezd2vrefzb0zzast_nodez00(obj_t BgL_envz00_6897,
		obj_t BgL_loc1576z00_6898, obj_t BgL_type1577z00_6899,
		obj_t BgL_sidezd2effect1578zd2_6900, obj_t BgL_key1579z00_6901,
		obj_t BgL_exprza21580za2_6902, obj_t BgL_effect1581z00_6903,
		obj_t BgL_czd2format1582zd2_6904, obj_t BgL_ftype1583z00_6905,
		obj_t BgL_otype1584z00_6906, obj_t BgL_vtype1585z00_6907,
		obj_t BgL_unsafe1586z00_6908)
	{
		{	/* Ast/nodetype.sch 1105 */
			return
				BGl_makezd2vrefzd2zzast_nodez00(BgL_loc1576z00_6898,
				((BgL_typez00_bglt) BgL_type1577z00_6899),
				BgL_sidezd2effect1578zd2_6900, BgL_key1579z00_6901,
				BgL_exprza21580za2_6902, BgL_effect1581z00_6903,
				BgL_czd2format1582zd2_6904, ((BgL_typez00_bglt) BgL_ftype1583z00_6905),
				((BgL_typez00_bglt) BgL_otype1584z00_6906),
				((BgL_typez00_bglt) BgL_vtype1585z00_6907),
				CBOOL(BgL_unsafe1586z00_6908));
		}

	}



/* vref? */
	BGL_EXPORTED_DEF bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t BgL_objz00_538)
	{
		{	/* Ast/nodetype.sch 1106 */
			{	/* Ast/nodetype.sch 1106 */
				obj_t BgL_classz00_9234;

				BgL_classz00_9234 = BGl_vrefz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_538))
					{	/* Ast/nodetype.sch 1106 */
						BgL_objectz00_bglt BgL_arg1820z00_9235;

						BgL_arg1820z00_9235 = (BgL_objectz00_bglt) (BgL_objz00_538);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1106 */
								long BgL_idxz00_9236;

								BgL_idxz00_9236 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9235);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9236 + ((long) 5))) == BgL_classz00_9234);
							}
						else
							{	/* Ast/nodetype.sch 1106 */
								bool_t BgL_res2982z00_9239;

								{	/* Ast/nodetype.sch 1106 */
									obj_t BgL_oclassz00_9240;

									{	/* Ast/nodetype.sch 1106 */
										long BgL_arg1828z00_9241;

										{	/* Ast/nodetype.sch 1106 */
											long BgL_arg1829z00_9242;

											BgL_arg1829z00_9242 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9235);
											BgL_arg1828z00_9241 = (BgL_arg1829z00_9242 - OBJECT_TYPE);
										}
										BgL_oclassz00_9240 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9241);
									}
									{	/* Ast/nodetype.sch 1106 */
										bool_t BgL__ortest_1111z00_9243;

										BgL__ortest_1111z00_9243 =
											(BgL_classz00_9234 == BgL_oclassz00_9240);
										if (BgL__ortest_1111z00_9243)
											{	/* Ast/nodetype.sch 1106 */
												BgL_res2982z00_9239 = BgL__ortest_1111z00_9243;
											}
										else
											{	/* Ast/nodetype.sch 1106 */
												long BgL_odepthz00_9244;

												BgL_odepthz00_9244 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9240);
												if ((((long) 5) < BgL_odepthz00_9244))
													{	/* Ast/nodetype.sch 1106 */
														obj_t BgL_arg1816z00_9245;

														BgL_arg1816z00_9245 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9240,
															((long) 5));
														BgL_res2982z00_9239 =
															(BgL_arg1816z00_9245 == BgL_classz00_9234);
													}
												else
													{	/* Ast/nodetype.sch 1106 */
														BgL_res2982z00_9239 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2982z00_9239;
							}
					}
				else
					{	/* Ast/nodetype.sch 1106 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &vref? */
	obj_t BGl_z62vrefzf3z91zzast_nodez00(obj_t BgL_envz00_6909,
		obj_t BgL_objz00_6910)
	{
		{	/* Ast/nodetype.sch 1106 */
			return BBOOL(BGl_vrefzf3zf3zzast_nodez00(BgL_objz00_6910));
		}

	}



/* vref-nil */
	BGL_EXPORTED_DEF BgL_vrefz00_bglt BGl_vrefzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1107 */
			{	/* Ast/nodetype.sch 1107 */
				obj_t BgL_classz00_4704;

				BgL_classz00_4704 = BGl_vrefz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1107 */
					obj_t BgL__ortest_1113z00_4705;

					BgL__ortest_1113z00_4705 = BGL_CLASS_NIL(BgL_classz00_4704);
					if (CBOOL(BgL__ortest_1113z00_4705))
						{	/* Ast/nodetype.sch 1107 */
							return ((BgL_vrefz00_bglt) BgL__ortest_1113z00_4705);
						}
					else
						{	/* Ast/nodetype.sch 1107 */
							return
								((BgL_vrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4704));
						}
				}
			}
		}

	}



/* &vref-nil */
	BgL_vrefz00_bglt BGl_z62vrefzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6911)
	{
		{	/* Ast/nodetype.sch 1107 */
			return BGl_vrefzd2nilzd2zzast_nodez00();
		}

	}



/* vref-unsafe */
	BGL_EXPORTED_DEF bool_t BGl_vrefzd2unsafezd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_539)
	{
		{	/* Ast/nodetype.sch 1108 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_539))->BgL_unsafez00);
		}

	}



/* &vref-unsafe */
	obj_t BGl_z62vrefzd2unsafezb0zzast_nodez00(obj_t BgL_envz00_6912,
		obj_t BgL_oz00_6913)
	{
		{	/* Ast/nodetype.sch 1108 */
			return
				BBOOL(BGl_vrefzd2unsafezd2zzast_nodez00(
					((BgL_vrefz00_bglt) BgL_oz00_6913)));
		}

	}



/* vref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_542)
	{
		{	/* Ast/nodetype.sch 1110 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_542))->BgL_vtypez00);
		}

	}



/* &vref-vtype */
	BgL_typez00_bglt BGl_z62vrefzd2vtypezb0zzast_nodez00(obj_t BgL_envz00_6914,
		obj_t BgL_oz00_6915)
	{
		{	/* Ast/nodetype.sch 1110 */
			return
				BGl_vrefzd2vtypezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6915));
		}

	}



/* vref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_543,
		BgL_typez00_bglt BgL_vz00_544)
	{
		{	/* Ast/nodetype.sch 1111 */
			return
				((((BgL_vrefz00_bglt) COBJECT(BgL_oz00_543))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_544), BUNSPEC);
		}

	}



/* &vref-vtype-set! */
	obj_t BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6916,
		obj_t BgL_oz00_6917, obj_t BgL_vz00_6918)
	{
		{	/* Ast/nodetype.sch 1111 */
			return
				BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6917), ((BgL_typez00_bglt) BgL_vz00_6918));
		}

	}



/* vref-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_545)
	{
		{	/* Ast/nodetype.sch 1112 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_545))->BgL_otypez00);
		}

	}



/* &vref-otype */
	BgL_typez00_bglt BGl_z62vrefzd2otypezb0zzast_nodez00(obj_t BgL_envz00_6919,
		obj_t BgL_oz00_6920)
	{
		{	/* Ast/nodetype.sch 1112 */
			return
				BGl_vrefzd2otypezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6920));
		}

	}



/* vref-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2otypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_546,
		BgL_typez00_bglt BgL_vz00_547)
	{
		{	/* Ast/nodetype.sch 1113 */
			return
				((((BgL_vrefz00_bglt) COBJECT(BgL_oz00_546))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_547), BUNSPEC);
		}

	}



/* &vref-otype-set! */
	obj_t BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6921,
		obj_t BgL_oz00_6922, obj_t BgL_vz00_6923)
	{
		{	/* Ast/nodetype.sch 1113 */
			return
				BGl_vrefzd2otypezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6922), ((BgL_typez00_bglt) BgL_vz00_6923));
		}

	}



/* vref-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_548)
	{
		{	/* Ast/nodetype.sch 1114 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_548))->BgL_ftypez00);
		}

	}



/* &vref-ftype */
	BgL_typez00_bglt BGl_z62vrefzd2ftypezb0zzast_nodez00(obj_t BgL_envz00_6924,
		obj_t BgL_oz00_6925)
	{
		{	/* Ast/nodetype.sch 1114 */
			return
				BGl_vrefzd2ftypezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6925));
		}

	}



/* vref-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_549,
		BgL_typez00_bglt BgL_vz00_550)
	{
		{	/* Ast/nodetype.sch 1115 */
			return
				((((BgL_vrefz00_bglt) COBJECT(BgL_oz00_549))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_550), BUNSPEC);
		}

	}



/* &vref-ftype-set! */
	obj_t BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6926,
		obj_t BgL_oz00_6927, obj_t BgL_vz00_6928)
	{
		{	/* Ast/nodetype.sch 1115 */
			return
				BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6927), ((BgL_typez00_bglt) BgL_vz00_6928));
		}

	}



/* vref-c-format */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_551)
	{
		{	/* Ast/nodetype.sch 1116 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_551)))->BgL_czd2formatzd2);
		}

	}



/* &vref-c-format */
	obj_t BGl_z62vrefzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6929,
		obj_t BgL_oz00_6930)
	{
		{	/* Ast/nodetype.sch 1116 */
			return
				BGl_vrefzd2czd2formatz00zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6930));
		}

	}



/* vref-effect */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2effectzd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_554)
	{
		{	/* Ast/nodetype.sch 1118 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_554)))->BgL_effectz00);
		}

	}



/* &vref-effect */
	obj_t BGl_z62vrefzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6931,
		obj_t BgL_oz00_6932)
	{
		{	/* Ast/nodetype.sch 1118 */
			return
				BGl_vrefzd2effectzd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6932));
		}

	}



/* vref-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2effectzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_555,
		obj_t BgL_vz00_556)
	{
		{	/* Ast/nodetype.sch 1119 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_555)))->BgL_effectz00) =
				((obj_t) BgL_vz00_556), BUNSPEC);
		}

	}



/* &vref-effect-set! */
	obj_t BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6933,
		obj_t BgL_oz00_6934, obj_t BgL_vz00_6935)
	{
		{	/* Ast/nodetype.sch 1119 */
			return
				BGl_vrefzd2effectzd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6934), BgL_vz00_6935);
		}

	}



/* vref-expr* */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2exprza2z70zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_557)
	{
		{	/* Ast/nodetype.sch 1120 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_557)))->BgL_exprza2za2);
		}

	}



/* &vref-expr* */
	obj_t BGl_z62vrefzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6936,
		obj_t BgL_oz00_6937)
	{
		{	/* Ast/nodetype.sch 1120 */
			return
				BGl_vrefzd2exprza2z70zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6937));
		}

	}



/* vref-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_558,
		obj_t BgL_vz00_559)
	{
		{	/* Ast/nodetype.sch 1121 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_558)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_559), BUNSPEC);
		}

	}



/* &vref-expr*-set! */
	obj_t BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6938,
		obj_t BgL_oz00_6939, obj_t BgL_vz00_6940)
	{
		{	/* Ast/nodetype.sch 1121 */
			return
				BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6939), BgL_vz00_6940);
		}

	}



/* vref-key */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2keyzd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_560)
	{
		{	/* Ast/nodetype.sch 1122 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_560)))->BgL_keyz00);
		}

	}



/* &vref-key */
	obj_t BGl_z62vrefzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6941,
		obj_t BgL_oz00_6942)
	{
		{	/* Ast/nodetype.sch 1122 */
			return BGl_vrefzd2keyzd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6942));
		}

	}



/* vref-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2keyzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_561,
		obj_t BgL_vz00_562)
	{
		{	/* Ast/nodetype.sch 1123 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_561)))->BgL_keyz00) =
				((obj_t) BgL_vz00_562), BUNSPEC);
		}

	}



/* &vref-key-set! */
	obj_t BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6943,
		obj_t BgL_oz00_6944, obj_t BgL_vz00_6945)
	{
		{	/* Ast/nodetype.sch 1123 */
			return
				BGl_vrefzd2keyzd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6944), BgL_vz00_6945);
		}

	}



/* vref-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2sidezd2effectz00zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_563)
	{
		{	/* Ast/nodetype.sch 1124 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_563)))->BgL_sidezd2effectzd2);
		}

	}



/* &vref-side-effect */
	obj_t BGl_z62vrefzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6946,
		obj_t BgL_oz00_6947)
	{
		{	/* Ast/nodetype.sch 1124 */
			return
				BGl_vrefzd2sidezd2effectz00zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6947));
		}

	}



/* vref-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_564, obj_t BgL_vz00_565)
	{
		{	/* Ast/nodetype.sch 1125 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_564)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_565), BUNSPEC);
		}

	}



/* &vref-side-effect-set! */
	obj_t BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6948, obj_t BgL_oz00_6949, obj_t BgL_vz00_6950)
	{
		{	/* Ast/nodetype.sch 1125 */
			return
				BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6949), BgL_vz00_6950);
		}

	}



/* vref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2typezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_566)
	{
		{	/* Ast/nodetype.sch 1126 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_566)))->BgL_typez00);
		}

	}



/* &vref-type */
	BgL_typez00_bglt BGl_z62vrefzd2typezb0zzast_nodez00(obj_t BgL_envz00_6951,
		obj_t BgL_oz00_6952)
	{
		{	/* Ast/nodetype.sch 1126 */
			return
				BGl_vrefzd2typezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6952));
		}

	}



/* vref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2typezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_567,
		BgL_typez00_bglt BgL_vz00_568)
	{
		{	/* Ast/nodetype.sch 1127 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_567)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_568), BUNSPEC);
		}

	}



/* &vref-type-set! */
	obj_t BGl_z62vrefzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6953,
		obj_t BgL_oz00_6954, obj_t BgL_vz00_6955)
	{
		{	/* Ast/nodetype.sch 1127 */
			return
				BGl_vrefzd2typezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_6954), ((BgL_typez00_bglt) BgL_vz00_6955));
		}

	}



/* vref-loc */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2loczd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_569)
	{
		{	/* Ast/nodetype.sch 1128 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_569)))->BgL_locz00);
		}

	}



/* &vref-loc */
	obj_t BGl_z62vrefzd2loczb0zzast_nodez00(obj_t BgL_envz00_6956,
		obj_t BgL_oz00_6957)
	{
		{	/* Ast/nodetype.sch 1128 */
			return BGl_vrefzd2loczd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_6957));
		}

	}



/* make-vset! */
	BGL_EXPORTED_DEF BgL_vsetz12z12_bglt BGl_makezd2vsetz12zc0zzast_nodez00(obj_t
		BgL_loc1564z00_572, BgL_typez00_bglt BgL_type1565z00_573,
		obj_t BgL_sidezd2effect1566zd2_574, obj_t BgL_key1567z00_575,
		obj_t BgL_exprza21568za2_576, obj_t BgL_effect1569z00_577,
		obj_t BgL_czd2format1570zd2_578, BgL_typez00_bglt BgL_ftype1571z00_579,
		BgL_typez00_bglt BgL_otype1572z00_580,
		BgL_typez00_bglt BgL_vtype1573z00_581, bool_t BgL_unsafe1574z00_582)
	{
		{	/* Ast/nodetype.sch 1132 */
			{	/* Ast/nodetype.sch 1132 */
				BgL_vsetz12z12_bglt BgL_new1478z00_9246;

				{	/* Ast/nodetype.sch 1132 */
					BgL_vsetz12z12_bglt BgL_new1477z00_9247;

					BgL_new1477z00_9247 =
						((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vsetz12z12_bgl))));
					{	/* Ast/nodetype.sch 1132 */
						long BgL_arg1837z00_9248;

						BgL_arg1837z00_9248 = BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1477z00_9247), BgL_arg1837z00_9248);
					}
					{	/* Ast/nodetype.sch 1132 */
						BgL_objectz00_bglt BgL_tmpz00_12454;

						BgL_tmpz00_12454 = ((BgL_objectz00_bglt) BgL_new1477z00_9247);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12454, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1477z00_9247);
					BgL_new1478z00_9246 = BgL_new1477z00_9247;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1478z00_9246)))->BgL_locz00) =
					((obj_t) BgL_loc1564z00_572), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1478z00_9246)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1565z00_573), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1478z00_9246)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1566zd2_574), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1478z00_9246)))->BgL_keyz00) =
					((obj_t) BgL_key1567z00_575), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1478z00_9246)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21568za2_576), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1478z00_9246)))->BgL_effectz00) =
					((obj_t) BgL_effect1569z00_577), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1478z00_9246)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1570zd2_578), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1478z00_9246))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1571z00_579), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1478z00_9246))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1572z00_580), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1478z00_9246))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1573z00_581), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1478z00_9246))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1574z00_582), BUNSPEC);
				return BgL_new1478z00_9246;
			}
		}

	}



/* &make-vset! */
	BgL_vsetz12z12_bglt BGl_z62makezd2vsetz12za2zzast_nodez00(obj_t
		BgL_envz00_6958, obj_t BgL_loc1564z00_6959, obj_t BgL_type1565z00_6960,
		obj_t BgL_sidezd2effect1566zd2_6961, obj_t BgL_key1567z00_6962,
		obj_t BgL_exprza21568za2_6963, obj_t BgL_effect1569z00_6964,
		obj_t BgL_czd2format1570zd2_6965, obj_t BgL_ftype1571z00_6966,
		obj_t BgL_otype1572z00_6967, obj_t BgL_vtype1573z00_6968,
		obj_t BgL_unsafe1574z00_6969)
	{
		{	/* Ast/nodetype.sch 1132 */
			return
				BGl_makezd2vsetz12zc0zzast_nodez00(BgL_loc1564z00_6959,
				((BgL_typez00_bglt) BgL_type1565z00_6960),
				BgL_sidezd2effect1566zd2_6961, BgL_key1567z00_6962,
				BgL_exprza21568za2_6963, BgL_effect1569z00_6964,
				BgL_czd2format1570zd2_6965, ((BgL_typez00_bglt) BgL_ftype1571z00_6966),
				((BgL_typez00_bglt) BgL_otype1572z00_6967),
				((BgL_typez00_bglt) BgL_vtype1573z00_6968),
				CBOOL(BgL_unsafe1574z00_6969));
		}

	}



/* vset!? */
	BGL_EXPORTED_DEF bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t BgL_objz00_583)
	{
		{	/* Ast/nodetype.sch 1133 */
			{	/* Ast/nodetype.sch 1133 */
				obj_t BgL_classz00_9249;

				BgL_classz00_9249 = BGl_vsetz12z12zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_583))
					{	/* Ast/nodetype.sch 1133 */
						BgL_objectz00_bglt BgL_arg1820z00_9250;

						BgL_arg1820z00_9250 = (BgL_objectz00_bglt) (BgL_objz00_583);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1133 */
								long BgL_idxz00_9251;

								BgL_idxz00_9251 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9250);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9251 + ((long) 5))) == BgL_classz00_9249);
							}
						else
							{	/* Ast/nodetype.sch 1133 */
								bool_t BgL_res2983z00_9254;

								{	/* Ast/nodetype.sch 1133 */
									obj_t BgL_oclassz00_9255;

									{	/* Ast/nodetype.sch 1133 */
										long BgL_arg1828z00_9256;

										{	/* Ast/nodetype.sch 1133 */
											long BgL_arg1829z00_9257;

											BgL_arg1829z00_9257 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9250);
											BgL_arg1828z00_9256 = (BgL_arg1829z00_9257 - OBJECT_TYPE);
										}
										BgL_oclassz00_9255 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9256);
									}
									{	/* Ast/nodetype.sch 1133 */
										bool_t BgL__ortest_1111z00_9258;

										BgL__ortest_1111z00_9258 =
											(BgL_classz00_9249 == BgL_oclassz00_9255);
										if (BgL__ortest_1111z00_9258)
											{	/* Ast/nodetype.sch 1133 */
												BgL_res2983z00_9254 = BgL__ortest_1111z00_9258;
											}
										else
											{	/* Ast/nodetype.sch 1133 */
												long BgL_odepthz00_9259;

												BgL_odepthz00_9259 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9255);
												if ((((long) 5) < BgL_odepthz00_9259))
													{	/* Ast/nodetype.sch 1133 */
														obj_t BgL_arg1816z00_9260;

														BgL_arg1816z00_9260 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9255,
															((long) 5));
														BgL_res2983z00_9254 =
															(BgL_arg1816z00_9260 == BgL_classz00_9249);
													}
												else
													{	/* Ast/nodetype.sch 1133 */
														BgL_res2983z00_9254 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2983z00_9254;
							}
					}
				else
					{	/* Ast/nodetype.sch 1133 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &vset!? */
	obj_t BGl_z62vsetz12zf3z83zzast_nodez00(obj_t BgL_envz00_6970,
		obj_t BgL_objz00_6971)
	{
		{	/* Ast/nodetype.sch 1133 */
			return BBOOL(BGl_vsetz12zf3ze1zzast_nodez00(BgL_objz00_6971));
		}

	}



/* vset!-nil */
	BGL_EXPORTED_DEF BgL_vsetz12z12_bglt BGl_vsetz12zd2nilzc0zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1134 */
			{	/* Ast/nodetype.sch 1134 */
				obj_t BgL_classz00_4744;

				BgL_classz00_4744 = BGl_vsetz12z12zzast_nodez00;
				{	/* Ast/nodetype.sch 1134 */
					obj_t BgL__ortest_1113z00_4745;

					BgL__ortest_1113z00_4745 = BGL_CLASS_NIL(BgL_classz00_4744);
					if (CBOOL(BgL__ortest_1113z00_4745))
						{	/* Ast/nodetype.sch 1134 */
							return ((BgL_vsetz12z12_bglt) BgL__ortest_1113z00_4745);
						}
					else
						{	/* Ast/nodetype.sch 1134 */
							return
								((BgL_vsetz12z12_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4744));
						}
				}
			}
		}

	}



/* &vset!-nil */
	BgL_vsetz12z12_bglt BGl_z62vsetz12zd2nilza2zzast_nodez00(obj_t
		BgL_envz00_6972)
	{
		{	/* Ast/nodetype.sch 1134 */
			return BGl_vsetz12zd2nilzc0zzast_nodez00();
		}

	}



/* vset!-unsafe */
	BGL_EXPORTED_DEF bool_t
		BGl_vsetz12zd2unsafezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_584)
	{
		{	/* Ast/nodetype.sch 1135 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_584))->BgL_unsafez00);
		}

	}



/* &vset!-unsafe */
	obj_t BGl_z62vsetz12zd2unsafeza2zzast_nodez00(obj_t BgL_envz00_6973,
		obj_t BgL_oz00_6974)
	{
		{	/* Ast/nodetype.sch 1135 */
			return
				BBOOL(BGl_vsetz12zd2unsafezc0zzast_nodez00(
					((BgL_vsetz12z12_bglt) BgL_oz00_6974)));
		}

	}



/* vset!-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_587)
	{
		{	/* Ast/nodetype.sch 1137 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_587))->BgL_vtypez00);
		}

	}



/* &vset!-vtype */
	BgL_typez00_bglt BGl_z62vsetz12zd2vtypeza2zzast_nodez00(obj_t BgL_envz00_6975,
		obj_t BgL_oz00_6976)
	{
		{	/* Ast/nodetype.sch 1137 */
			return
				BGl_vsetz12zd2vtypezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_6976));
		}

	}



/* vset!-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_588, BgL_typez00_bglt BgL_vz00_589)
	{
		{	/* Ast/nodetype.sch 1138 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_588))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_589), BUNSPEC);
		}

	}



/* &vset!-vtype-set! */
	obj_t BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_6977,
		obj_t BgL_oz00_6978, obj_t BgL_vz00_6979)
	{
		{	/* Ast/nodetype.sch 1138 */
			return
				BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_6978),
				((BgL_typez00_bglt) BgL_vz00_6979));
		}

	}



/* vset!-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_590)
	{
		{	/* Ast/nodetype.sch 1139 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_590))->BgL_otypez00);
		}

	}



/* &vset!-otype */
	BgL_typez00_bglt BGl_z62vsetz12zd2otypeza2zzast_nodez00(obj_t BgL_envz00_6980,
		obj_t BgL_oz00_6981)
	{
		{	/* Ast/nodetype.sch 1139 */
			return
				BGl_vsetz12zd2otypezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_6981));
		}

	}



/* vset!-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_591, BgL_typez00_bglt BgL_vz00_592)
	{
		{	/* Ast/nodetype.sch 1140 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_591))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_592), BUNSPEC);
		}

	}



/* &vset!-otype-set! */
	obj_t BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_6982,
		obj_t BgL_oz00_6983, obj_t BgL_vz00_6984)
	{
		{	/* Ast/nodetype.sch 1140 */
			return
				BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_6983),
				((BgL_typez00_bglt) BgL_vz00_6984));
		}

	}



/* vset!-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_593)
	{
		{	/* Ast/nodetype.sch 1141 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_593))->BgL_ftypez00);
		}

	}



/* &vset!-ftype */
	BgL_typez00_bglt BGl_z62vsetz12zd2ftypeza2zzast_nodez00(obj_t BgL_envz00_6985,
		obj_t BgL_oz00_6986)
	{
		{	/* Ast/nodetype.sch 1141 */
			return
				BGl_vsetz12zd2ftypezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_6986));
		}

	}



/* vset!-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_594, BgL_typez00_bglt BgL_vz00_595)
	{
		{	/* Ast/nodetype.sch 1142 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_594))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_595), BUNSPEC);
		}

	}



/* &vset!-ftype-set! */
	obj_t BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_6987,
		obj_t BgL_oz00_6988, obj_t BgL_vz00_6989)
	{
		{	/* Ast/nodetype.sch 1142 */
			return
				BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_6988),
				((BgL_typez00_bglt) BgL_vz00_6989));
		}

	}



/* vset!-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_596)
	{
		{	/* Ast/nodetype.sch 1143 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_596)))->BgL_czd2formatzd2);
		}

	}



/* &vset!-c-format */
	obj_t BGl_z62vsetz12zd2czd2formatz70zzast_nodez00(obj_t BgL_envz00_6990,
		obj_t BgL_oz00_6991)
	{
		{	/* Ast/nodetype.sch 1143 */
			return
				BGl_vsetz12zd2czd2formatz12zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_6991));
		}

	}



/* vset!-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2effectzc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_599)
	{
		{	/* Ast/nodetype.sch 1145 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_599)))->BgL_effectz00);
		}

	}



/* &vset!-effect */
	obj_t BGl_z62vsetz12zd2effectza2zzast_nodez00(obj_t BgL_envz00_6992,
		obj_t BgL_oz00_6993)
	{
		{	/* Ast/nodetype.sch 1145 */
			return
				BGl_vsetz12zd2effectzc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_6993));
		}

	}



/* vset!-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_600, obj_t BgL_vz00_601)
	{
		{	/* Ast/nodetype.sch 1146 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_600)))->BgL_effectz00) =
				((obj_t) BgL_vz00_601), BUNSPEC);
		}

	}



/* &vset!-effect-set! */
	obj_t BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00(obj_t BgL_envz00_6994,
		obj_t BgL_oz00_6995, obj_t BgL_vz00_6996)
	{
		{	/* Ast/nodetype.sch 1146 */
			return
				BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_6995), BgL_vz00_6996);
		}

	}



/* vset!-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2exprza2z62zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_602)
	{
		{	/* Ast/nodetype.sch 1147 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_602)))->BgL_exprza2za2);
		}

	}



/* &vset!-expr* */
	obj_t BGl_z62vsetz12zd2exprza2z00zzast_nodez00(obj_t BgL_envz00_6997,
		obj_t BgL_oz00_6998)
	{
		{	/* Ast/nodetype.sch 1147 */
			return
				BGl_vsetz12zd2exprza2z62zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_6998));
		}

	}



/* vset!-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_603, obj_t BgL_vz00_604)
	{
		{	/* Ast/nodetype.sch 1148 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_603)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_604), BUNSPEC);
		}

	}



/* &vset!-expr*-set! */
	obj_t BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00(obj_t BgL_envz00_6999,
		obj_t BgL_oz00_7000, obj_t BgL_vz00_7001)
	{
		{	/* Ast/nodetype.sch 1148 */
			return
				BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7000), BgL_vz00_7001);
		}

	}



/* vset!-key */
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zd2keyzc0zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_605)
	{
		{	/* Ast/nodetype.sch 1149 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_605)))->BgL_keyz00);
		}

	}



/* &vset!-key */
	obj_t BGl_z62vsetz12zd2keyza2zzast_nodez00(obj_t BgL_envz00_7002,
		obj_t BgL_oz00_7003)
	{
		{	/* Ast/nodetype.sch 1149 */
			return
				BGl_vsetz12zd2keyzc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7003));
		}

	}



/* vset!-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_606,
		obj_t BgL_vz00_607)
	{
		{	/* Ast/nodetype.sch 1150 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_606)))->BgL_keyz00) =
				((obj_t) BgL_vz00_607), BUNSPEC);
		}

	}



/* &vset!-key-set! */
	obj_t BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00(obj_t BgL_envz00_7004,
		obj_t BgL_oz00_7005, obj_t BgL_vz00_7006)
	{
		{	/* Ast/nodetype.sch 1150 */
			return
				BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7005), BgL_vz00_7006);
		}

	}



/* vset!-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_608)
	{
		{	/* Ast/nodetype.sch 1151 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_608)))->BgL_sidezd2effectzd2);
		}

	}



/* &vset!-side-effect */
	obj_t BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00(obj_t BgL_envz00_7007,
		obj_t BgL_oz00_7008)
	{
		{	/* Ast/nodetype.sch 1151 */
			return
				BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7008));
		}

	}



/* vset!-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_609, obj_t BgL_vz00_610)
	{
		{	/* Ast/nodetype.sch 1152 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_609)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_610), BUNSPEC);
		}

	}



/* &vset!-side-effect-set! */
	obj_t BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7009, obj_t BgL_oz00_7010, obj_t BgL_vz00_7011)
	{
		{	/* Ast/nodetype.sch 1152 */
			return
				BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7010), BgL_vz00_7011);
		}

	}



/* vset!-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2typezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_611)
	{
		{	/* Ast/nodetype.sch 1153 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_611)))->BgL_typez00);
		}

	}



/* &vset!-type */
	BgL_typez00_bglt BGl_z62vsetz12zd2typeza2zzast_nodez00(obj_t BgL_envz00_7012,
		obj_t BgL_oz00_7013)
	{
		{	/* Ast/nodetype.sch 1153 */
			return
				BGl_vsetz12zd2typezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7013));
		}

	}



/* vset!-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_612, BgL_typez00_bglt BgL_vz00_613)
	{
		{	/* Ast/nodetype.sch 1154 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_612)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_613), BUNSPEC);
		}

	}



/* &vset!-type-set! */
	obj_t BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00(obj_t BgL_envz00_7014,
		obj_t BgL_oz00_7015, obj_t BgL_vz00_7016)
	{
		{	/* Ast/nodetype.sch 1154 */
			return
				BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7015),
				((BgL_typez00_bglt) BgL_vz00_7016));
		}

	}



/* vset!-loc */
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zd2loczc0zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_614)
	{
		{	/* Ast/nodetype.sch 1155 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_614)))->BgL_locz00);
		}

	}



/* &vset!-loc */
	obj_t BGl_z62vsetz12zd2locza2zzast_nodez00(obj_t BgL_envz00_7017,
		obj_t BgL_oz00_7018)
	{
		{	/* Ast/nodetype.sch 1155 */
			return
				BGl_vsetz12zd2loczc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7018));
		}

	}



/* make-vlength */
	BGL_EXPORTED_DEF BgL_vlengthz00_bglt BGl_makezd2vlengthzd2zzast_nodez00(obj_t
		BgL_loc1554z00_617, BgL_typez00_bglt BgL_type1555z00_618,
		obj_t BgL_sidezd2effect1556zd2_619, obj_t BgL_key1557z00_620,
		obj_t BgL_exprza21558za2_621, obj_t BgL_effect1559z00_622,
		obj_t BgL_czd2format1560zd2_623, BgL_typez00_bglt BgL_vtype1561z00_624,
		obj_t BgL_ftype1562z00_625)
	{
		{	/* Ast/nodetype.sch 1159 */
			{	/* Ast/nodetype.sch 1159 */
				BgL_vlengthz00_bglt BgL_new1480z00_9261;

				{	/* Ast/nodetype.sch 1159 */
					BgL_vlengthz00_bglt BgL_new1479z00_9262;

					BgL_new1479z00_9262 =
						((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/nodetype.sch 1159 */
						long BgL_arg1840z00_9263;

						BgL_arg1840z00_9263 = BGL_CLASS_NUM(BGl_vlengthz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1479z00_9262), BgL_arg1840z00_9263);
					}
					{	/* Ast/nodetype.sch 1159 */
						BgL_objectz00_bglt BgL_tmpz00_12588;

						BgL_tmpz00_12588 = ((BgL_objectz00_bglt) BgL_new1479z00_9262);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12588, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1479z00_9262);
					BgL_new1480z00_9261 = BgL_new1479z00_9262;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1480z00_9261)))->BgL_locz00) =
					((obj_t) BgL_loc1554z00_617), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1480z00_9261)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1555z00_618), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1480z00_9261)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1556zd2_619), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1480z00_9261)))->BgL_keyz00) =
					((obj_t) BgL_key1557z00_620), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1480z00_9261)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21558za2_621), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1480z00_9261)))->BgL_effectz00) =
					((obj_t) BgL_effect1559z00_622), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1480z00_9261)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1560zd2_623), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1480z00_9261))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1561z00_624), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1480z00_9261))->BgL_ftypez00) =
					((obj_t) BgL_ftype1562z00_625), BUNSPEC);
				return BgL_new1480z00_9261;
			}
		}

	}



/* &make-vlength */
	BgL_vlengthz00_bglt BGl_z62makezd2vlengthzb0zzast_nodez00(obj_t
		BgL_envz00_7019, obj_t BgL_loc1554z00_7020, obj_t BgL_type1555z00_7021,
		obj_t BgL_sidezd2effect1556zd2_7022, obj_t BgL_key1557z00_7023,
		obj_t BgL_exprza21558za2_7024, obj_t BgL_effect1559z00_7025,
		obj_t BgL_czd2format1560zd2_7026, obj_t BgL_vtype1561z00_7027,
		obj_t BgL_ftype1562z00_7028)
	{
		{	/* Ast/nodetype.sch 1159 */
			return
				BGl_makezd2vlengthzd2zzast_nodez00(BgL_loc1554z00_7020,
				((BgL_typez00_bglt) BgL_type1555z00_7021),
				BgL_sidezd2effect1556zd2_7022, BgL_key1557z00_7023,
				BgL_exprza21558za2_7024, BgL_effect1559z00_7025,
				BgL_czd2format1560zd2_7026, ((BgL_typez00_bglt) BgL_vtype1561z00_7027),
				BgL_ftype1562z00_7028);
		}

	}



/* vlength? */
	BGL_EXPORTED_DEF bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t BgL_objz00_626)
	{
		{	/* Ast/nodetype.sch 1160 */
			{	/* Ast/nodetype.sch 1160 */
				obj_t BgL_classz00_9264;

				BgL_classz00_9264 = BGl_vlengthz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_626))
					{	/* Ast/nodetype.sch 1160 */
						BgL_objectz00_bglt BgL_arg1820z00_9265;

						BgL_arg1820z00_9265 = (BgL_objectz00_bglt) (BgL_objz00_626);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1160 */
								long BgL_idxz00_9266;

								BgL_idxz00_9266 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9265);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9266 + ((long) 5))) == BgL_classz00_9264);
							}
						else
							{	/* Ast/nodetype.sch 1160 */
								bool_t BgL_res2984z00_9269;

								{	/* Ast/nodetype.sch 1160 */
									obj_t BgL_oclassz00_9270;

									{	/* Ast/nodetype.sch 1160 */
										long BgL_arg1828z00_9271;

										{	/* Ast/nodetype.sch 1160 */
											long BgL_arg1829z00_9272;

											BgL_arg1829z00_9272 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9265);
											BgL_arg1828z00_9271 = (BgL_arg1829z00_9272 - OBJECT_TYPE);
										}
										BgL_oclassz00_9270 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9271);
									}
									{	/* Ast/nodetype.sch 1160 */
										bool_t BgL__ortest_1111z00_9273;

										BgL__ortest_1111z00_9273 =
											(BgL_classz00_9264 == BgL_oclassz00_9270);
										if (BgL__ortest_1111z00_9273)
											{	/* Ast/nodetype.sch 1160 */
												BgL_res2984z00_9269 = BgL__ortest_1111z00_9273;
											}
										else
											{	/* Ast/nodetype.sch 1160 */
												long BgL_odepthz00_9274;

												BgL_odepthz00_9274 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9270);
												if ((((long) 5) < BgL_odepthz00_9274))
													{	/* Ast/nodetype.sch 1160 */
														obj_t BgL_arg1816z00_9275;

														BgL_arg1816z00_9275 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9270,
															((long) 5));
														BgL_res2984z00_9269 =
															(BgL_arg1816z00_9275 == BgL_classz00_9264);
													}
												else
													{	/* Ast/nodetype.sch 1160 */
														BgL_res2984z00_9269 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2984z00_9269;
							}
					}
				else
					{	/* Ast/nodetype.sch 1160 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &vlength? */
	obj_t BGl_z62vlengthzf3z91zzast_nodez00(obj_t BgL_envz00_7029,
		obj_t BgL_objz00_7030)
	{
		{	/* Ast/nodetype.sch 1160 */
			return BBOOL(BGl_vlengthzf3zf3zzast_nodez00(BgL_objz00_7030));
		}

	}



/* vlength-nil */
	BGL_EXPORTED_DEF BgL_vlengthz00_bglt BGl_vlengthzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1161 */
			{	/* Ast/nodetype.sch 1161 */
				obj_t BgL_classz00_4784;

				BgL_classz00_4784 = BGl_vlengthz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1161 */
					obj_t BgL__ortest_1113z00_4785;

					BgL__ortest_1113z00_4785 = BGL_CLASS_NIL(BgL_classz00_4784);
					if (CBOOL(BgL__ortest_1113z00_4785))
						{	/* Ast/nodetype.sch 1161 */
							return ((BgL_vlengthz00_bglt) BgL__ortest_1113z00_4785);
						}
					else
						{	/* Ast/nodetype.sch 1161 */
							return
								((BgL_vlengthz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4784));
						}
				}
			}
		}

	}



/* &vlength-nil */
	BgL_vlengthz00_bglt BGl_z62vlengthzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7031)
	{
		{	/* Ast/nodetype.sch 1161 */
			return BGl_vlengthzd2nilzd2zzast_nodez00();
		}

	}



/* vlength-ftype */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2ftypezd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_627)
	{
		{	/* Ast/nodetype.sch 1162 */
			return (((BgL_vlengthz00_bglt) COBJECT(BgL_oz00_627))->BgL_ftypez00);
		}

	}



/* &vlength-ftype */
	obj_t BGl_z62vlengthzd2ftypezb0zzast_nodez00(obj_t BgL_envz00_7032,
		obj_t BgL_oz00_7033)
	{
		{	/* Ast/nodetype.sch 1162 */
			return
				BGl_vlengthzd2ftypezd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7033));
		}

	}



/* vlength-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_630)
	{
		{	/* Ast/nodetype.sch 1164 */
			return (((BgL_vlengthz00_bglt) COBJECT(BgL_oz00_630))->BgL_vtypez00);
		}

	}



/* &vlength-vtype */
	BgL_typez00_bglt BGl_z62vlengthzd2vtypezb0zzast_nodez00(obj_t BgL_envz00_7034,
		obj_t BgL_oz00_7035)
	{
		{	/* Ast/nodetype.sch 1164 */
			return
				BGl_vlengthzd2vtypezd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7035));
		}

	}



/* vlength-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_631, BgL_typez00_bglt BgL_vz00_632)
	{
		{	/* Ast/nodetype.sch 1165 */
			return
				((((BgL_vlengthz00_bglt) COBJECT(BgL_oz00_631))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_632), BUNSPEC);
		}

	}



/* &vlength-vtype-set! */
	obj_t BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7036,
		obj_t BgL_oz00_7037, obj_t BgL_vz00_7038)
	{
		{	/* Ast/nodetype.sch 1165 */
			return
				BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7037),
				((BgL_typez00_bglt) BgL_vz00_7038));
		}

	}



/* vlength-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_633)
	{
		{	/* Ast/nodetype.sch 1166 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_633)))->BgL_czd2formatzd2);
		}

	}



/* &vlength-c-format */
	obj_t BGl_z62vlengthzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_7039,
		obj_t BgL_oz00_7040)
	{
		{	/* Ast/nodetype.sch 1166 */
			return
				BGl_vlengthzd2czd2formatz00zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7040));
		}

	}



/* vlength-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2effectzd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_636)
	{
		{	/* Ast/nodetype.sch 1168 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_636)))->BgL_effectz00);
		}

	}



/* &vlength-effect */
	obj_t BGl_z62vlengthzd2effectzb0zzast_nodez00(obj_t BgL_envz00_7041,
		obj_t BgL_oz00_7042)
	{
		{	/* Ast/nodetype.sch 1168 */
			return
				BGl_vlengthzd2effectzd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7042));
		}

	}



/* vlength-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_637, obj_t BgL_vz00_638)
	{
		{	/* Ast/nodetype.sch 1169 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_637)))->BgL_effectz00) =
				((obj_t) BgL_vz00_638), BUNSPEC);
		}

	}



/* &vlength-effect-set! */
	obj_t BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7043,
		obj_t BgL_oz00_7044, obj_t BgL_vz00_7045)
	{
		{	/* Ast/nodetype.sch 1169 */
			return
				BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7044), BgL_vz00_7045);
		}

	}



/* vlength-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2exprza2z70zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_639)
	{
		{	/* Ast/nodetype.sch 1170 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_639)))->BgL_exprza2za2);
		}

	}



/* &vlength-expr* */
	obj_t BGl_z62vlengthzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_7046,
		obj_t BgL_oz00_7047)
	{
		{	/* Ast/nodetype.sch 1170 */
			return
				BGl_vlengthzd2exprza2z70zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7047));
		}

	}



/* vlength-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_640, obj_t BgL_vz00_641)
	{
		{	/* Ast/nodetype.sch 1171 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_640)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_641), BUNSPEC);
		}

	}



/* &vlength-expr*-set! */
	obj_t BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_7048,
		obj_t BgL_oz00_7049, obj_t BgL_vz00_7050)
	{
		{	/* Ast/nodetype.sch 1171 */
			return
				BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7049), BgL_vz00_7050);
		}

	}



/* vlength-key */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2keyzd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_642)
	{
		{	/* Ast/nodetype.sch 1172 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_642)))->BgL_keyz00);
		}

	}



/* &vlength-key */
	obj_t BGl_z62vlengthzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7051,
		obj_t BgL_oz00_7052)
	{
		{	/* Ast/nodetype.sch 1172 */
			return
				BGl_vlengthzd2keyzd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7052));
		}

	}



/* vlength-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_643,
		obj_t BgL_vz00_644)
	{
		{	/* Ast/nodetype.sch 1173 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_643)))->BgL_keyz00) =
				((obj_t) BgL_vz00_644), BUNSPEC);
		}

	}



/* &vlength-key-set! */
	obj_t BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7053,
		obj_t BgL_oz00_7054, obj_t BgL_vz00_7055)
	{
		{	/* Ast/nodetype.sch 1173 */
			return
				BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7054), BgL_vz00_7055);
		}

	}



/* vlength-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2sidezd2effectz00zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_645)
	{
		{	/* Ast/nodetype.sch 1174 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_645)))->BgL_sidezd2effectzd2);
		}

	}



/* &vlength-side-effect */
	obj_t BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_7056,
		obj_t BgL_oz00_7057)
	{
		{	/* Ast/nodetype.sch 1174 */
			return
				BGl_vlengthzd2sidezd2effectz00zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7057));
		}

	}



/* vlength-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_646, obj_t BgL_vz00_647)
	{
		{	/* Ast/nodetype.sch 1175 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_646)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_647), BUNSPEC);
		}

	}



/* &vlength-side-effect-set! */
	obj_t BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7058, obj_t BgL_oz00_7059, obj_t BgL_vz00_7060)
	{
		{	/* Ast/nodetype.sch 1175 */
			return
				BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7059), BgL_vz00_7060);
		}

	}



/* vlength-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vlengthzd2typezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_648)
	{
		{	/* Ast/nodetype.sch 1176 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_648)))->BgL_typez00);
		}

	}



/* &vlength-type */
	BgL_typez00_bglt BGl_z62vlengthzd2typezb0zzast_nodez00(obj_t BgL_envz00_7061,
		obj_t BgL_oz00_7062)
	{
		{	/* Ast/nodetype.sch 1176 */
			return
				BGl_vlengthzd2typezd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7062));
		}

	}



/* vlength-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2typezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_649, BgL_typez00_bglt BgL_vz00_650)
	{
		{	/* Ast/nodetype.sch 1177 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_649)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_650), BUNSPEC);
		}

	}



/* &vlength-type-set! */
	obj_t BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7063,
		obj_t BgL_oz00_7064, obj_t BgL_vz00_7065)
	{
		{	/* Ast/nodetype.sch 1177 */
			return
				BGl_vlengthzd2typezd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7064),
				((BgL_typez00_bglt) BgL_vz00_7065));
		}

	}



/* vlength-loc */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2loczd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_651)
	{
		{	/* Ast/nodetype.sch 1178 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_651)))->BgL_locz00);
		}

	}



/* &vlength-loc */
	obj_t BGl_z62vlengthzd2loczb0zzast_nodez00(obj_t BgL_envz00_7066,
		obj_t BgL_oz00_7067)
	{
		{	/* Ast/nodetype.sch 1178 */
			return
				BGl_vlengthzd2loczd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7067));
		}

	}



/* make-instanceof */
	BGL_EXPORTED_DEF BgL_instanceofz00_bglt
		BGl_makezd2instanceofzd2zzast_nodez00(obj_t BgL_loc1545z00_654,
		BgL_typez00_bglt BgL_type1546z00_655, obj_t BgL_sidezd2effect1547zd2_656,
		obj_t BgL_key1548z00_657, obj_t BgL_exprza21549za2_658,
		obj_t BgL_effect1550z00_659, obj_t BgL_czd2format1551zd2_660,
		BgL_typez00_bglt BgL_class1552z00_661)
	{
		{	/* Ast/nodetype.sch 1182 */
			{	/* Ast/nodetype.sch 1182 */
				BgL_instanceofz00_bglt BgL_new1482z00_9276;

				{	/* Ast/nodetype.sch 1182 */
					BgL_instanceofz00_bglt BgL_new1481z00_9277;

					BgL_new1481z00_9277 =
						((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/nodetype.sch 1182 */
						long BgL_arg1844z00_9278;

						BgL_arg1844z00_9278 = BGL_CLASS_NUM(BGl_instanceofz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1481z00_9277), BgL_arg1844z00_9278);
					}
					{	/* Ast/nodetype.sch 1182 */
						BgL_objectz00_bglt BgL_tmpz00_12702;

						BgL_tmpz00_12702 = ((BgL_objectz00_bglt) BgL_new1481z00_9277);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12702, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1481z00_9277);
					BgL_new1482z00_9276 = BgL_new1481z00_9277;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1482z00_9276)))->BgL_locz00) =
					((obj_t) BgL_loc1545z00_654), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1482z00_9276)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1546z00_655), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1482z00_9276)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1547zd2_656), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1482z00_9276)))->BgL_keyz00) =
					((obj_t) BgL_key1548z00_657), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1482z00_9276)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21549za2_658), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1482z00_9276)))->BgL_effectz00) =
					((obj_t) BgL_effect1550z00_659), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1482z00_9276)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1551zd2_660), BUNSPEC);
				((((BgL_instanceofz00_bglt) COBJECT(BgL_new1482z00_9276))->
						BgL_classz00) = ((BgL_typez00_bglt) BgL_class1552z00_661), BUNSPEC);
				return BgL_new1482z00_9276;
			}
		}

	}



/* &make-instanceof */
	BgL_instanceofz00_bglt BGl_z62makezd2instanceofzb0zzast_nodez00(obj_t
		BgL_envz00_7068, obj_t BgL_loc1545z00_7069, obj_t BgL_type1546z00_7070,
		obj_t BgL_sidezd2effect1547zd2_7071, obj_t BgL_key1548z00_7072,
		obj_t BgL_exprza21549za2_7073, obj_t BgL_effect1550z00_7074,
		obj_t BgL_czd2format1551zd2_7075, obj_t BgL_class1552z00_7076)
	{
		{	/* Ast/nodetype.sch 1182 */
			return
				BGl_makezd2instanceofzd2zzast_nodez00(BgL_loc1545z00_7069,
				((BgL_typez00_bglt) BgL_type1546z00_7070),
				BgL_sidezd2effect1547zd2_7071, BgL_key1548z00_7072,
				BgL_exprza21549za2_7073, BgL_effect1550z00_7074,
				BgL_czd2format1551zd2_7075, ((BgL_typez00_bglt) BgL_class1552z00_7076));
		}

	}



/* instanceof? */
	BGL_EXPORTED_DEF bool_t BGl_instanceofzf3zf3zzast_nodez00(obj_t
		BgL_objz00_662)
	{
		{	/* Ast/nodetype.sch 1183 */
			{	/* Ast/nodetype.sch 1183 */
				obj_t BgL_classz00_9279;

				BgL_classz00_9279 = BGl_instanceofz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_662))
					{	/* Ast/nodetype.sch 1183 */
						BgL_objectz00_bglt BgL_arg1820z00_9280;

						BgL_arg1820z00_9280 = (BgL_objectz00_bglt) (BgL_objz00_662);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1183 */
								long BgL_idxz00_9281;

								BgL_idxz00_9281 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9280);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9281 + ((long) 5))) == BgL_classz00_9279);
							}
						else
							{	/* Ast/nodetype.sch 1183 */
								bool_t BgL_res2985z00_9284;

								{	/* Ast/nodetype.sch 1183 */
									obj_t BgL_oclassz00_9285;

									{	/* Ast/nodetype.sch 1183 */
										long BgL_arg1828z00_9286;

										{	/* Ast/nodetype.sch 1183 */
											long BgL_arg1829z00_9287;

											BgL_arg1829z00_9287 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9280);
											BgL_arg1828z00_9286 = (BgL_arg1829z00_9287 - OBJECT_TYPE);
										}
										BgL_oclassz00_9285 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9286);
									}
									{	/* Ast/nodetype.sch 1183 */
										bool_t BgL__ortest_1111z00_9288;

										BgL__ortest_1111z00_9288 =
											(BgL_classz00_9279 == BgL_oclassz00_9285);
										if (BgL__ortest_1111z00_9288)
											{	/* Ast/nodetype.sch 1183 */
												BgL_res2985z00_9284 = BgL__ortest_1111z00_9288;
											}
										else
											{	/* Ast/nodetype.sch 1183 */
												long BgL_odepthz00_9289;

												BgL_odepthz00_9289 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9285);
												if ((((long) 5) < BgL_odepthz00_9289))
													{	/* Ast/nodetype.sch 1183 */
														obj_t BgL_arg1816z00_9290;

														BgL_arg1816z00_9290 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9285,
															((long) 5));
														BgL_res2985z00_9284 =
															(BgL_arg1816z00_9290 == BgL_classz00_9279);
													}
												else
													{	/* Ast/nodetype.sch 1183 */
														BgL_res2985z00_9284 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2985z00_9284;
							}
					}
				else
					{	/* Ast/nodetype.sch 1183 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &instanceof? */
	obj_t BGl_z62instanceofzf3z91zzast_nodez00(obj_t BgL_envz00_7077,
		obj_t BgL_objz00_7078)
	{
		{	/* Ast/nodetype.sch 1183 */
			return BBOOL(BGl_instanceofzf3zf3zzast_nodez00(BgL_objz00_7078));
		}

	}



/* instanceof-nil */
	BGL_EXPORTED_DEF BgL_instanceofz00_bglt
		BGl_instanceofzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1184 */
			{	/* Ast/nodetype.sch 1184 */
				obj_t BgL_classz00_4824;

				BgL_classz00_4824 = BGl_instanceofz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1184 */
					obj_t BgL__ortest_1113z00_4825;

					BgL__ortest_1113z00_4825 = BGL_CLASS_NIL(BgL_classz00_4824);
					if (CBOOL(BgL__ortest_1113z00_4825))
						{	/* Ast/nodetype.sch 1184 */
							return ((BgL_instanceofz00_bglt) BgL__ortest_1113z00_4825);
						}
					else
						{	/* Ast/nodetype.sch 1184 */
							return
								((BgL_instanceofz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4824));
						}
				}
			}
		}

	}



/* &instanceof-nil */
	BgL_instanceofz00_bglt BGl_z62instanceofzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7079)
	{
		{	/* Ast/nodetype.sch 1184 */
			return BGl_instanceofzd2nilzd2zzast_nodez00();
		}

	}



/* instanceof-class */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_instanceofzd2classzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_663)
	{
		{	/* Ast/nodetype.sch 1185 */
			return (((BgL_instanceofz00_bglt) COBJECT(BgL_oz00_663))->BgL_classz00);
		}

	}



/* &instanceof-class */
	BgL_typez00_bglt BGl_z62instanceofzd2classzb0zzast_nodez00(obj_t
		BgL_envz00_7080, obj_t BgL_oz00_7081)
	{
		{	/* Ast/nodetype.sch 1185 */
			return
				BGl_instanceofzd2classzd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7081));
		}

	}



/* instanceof-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2classzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_664, BgL_typez00_bglt BgL_vz00_665)
	{
		{	/* Ast/nodetype.sch 1186 */
			return
				((((BgL_instanceofz00_bglt) COBJECT(BgL_oz00_664))->BgL_classz00) =
				((BgL_typez00_bglt) BgL_vz00_665), BUNSPEC);
		}

	}



/* &instanceof-class-set! */
	obj_t BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7082, obj_t BgL_oz00_7083, obj_t BgL_vz00_7084)
	{
		{	/* Ast/nodetype.sch 1186 */
			return
				BGl_instanceofzd2classzd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7083),
				((BgL_typez00_bglt) BgL_vz00_7084));
		}

	}



/* instanceof-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2czd2formatz00zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_666)
	{
		{	/* Ast/nodetype.sch 1187 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_666)))->BgL_czd2formatzd2);
		}

	}



/* &instanceof-c-format */
	obj_t BGl_z62instanceofzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_7085,
		obj_t BgL_oz00_7086)
	{
		{	/* Ast/nodetype.sch 1187 */
			return
				BGl_instanceofzd2czd2formatz00zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7086));
		}

	}



/* instanceof-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2effectzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_669)
	{
		{	/* Ast/nodetype.sch 1189 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_669)))->BgL_effectz00);
		}

	}



/* &instanceof-effect */
	obj_t BGl_z62instanceofzd2effectzb0zzast_nodez00(obj_t BgL_envz00_7087,
		obj_t BgL_oz00_7088)
	{
		{	/* Ast/nodetype.sch 1189 */
			return
				BGl_instanceofzd2effectzd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7088));
		}

	}



/* instanceof-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_670, obj_t BgL_vz00_671)
	{
		{	/* Ast/nodetype.sch 1190 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_670)))->BgL_effectz00) =
				((obj_t) BgL_vz00_671), BUNSPEC);
		}

	}



/* &instanceof-effect-set! */
	obj_t BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7089, obj_t BgL_oz00_7090, obj_t BgL_vz00_7091)
	{
		{	/* Ast/nodetype.sch 1190 */
			return
				BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7090), BgL_vz00_7091);
		}

	}



/* instanceof-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2exprza2z70zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_672)
	{
		{	/* Ast/nodetype.sch 1191 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_672)))->BgL_exprza2za2);
		}

	}



/* &instanceof-expr* */
	obj_t BGl_z62instanceofzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_7092,
		obj_t BgL_oz00_7093)
	{
		{	/* Ast/nodetype.sch 1191 */
			return
				BGl_instanceofzd2exprza2z70zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7093));
		}

	}



/* instanceof-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_673, obj_t BgL_vz00_674)
	{
		{	/* Ast/nodetype.sch 1192 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_673)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_674), BUNSPEC);
		}

	}



/* &instanceof-expr*-set! */
	obj_t BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_7094, obj_t BgL_oz00_7095, obj_t BgL_vz00_7096)
	{
		{	/* Ast/nodetype.sch 1192 */
			return
				BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7095), BgL_vz00_7096);
		}

	}



/* instanceof-key */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2keyzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_675)
	{
		{	/* Ast/nodetype.sch 1193 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_675)))->BgL_keyz00);
		}

	}



/* &instanceof-key */
	obj_t BGl_z62instanceofzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7097,
		obj_t BgL_oz00_7098)
	{
		{	/* Ast/nodetype.sch 1193 */
			return
				BGl_instanceofzd2keyzd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7098));
		}

	}



/* instanceof-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_676, obj_t BgL_vz00_677)
	{
		{	/* Ast/nodetype.sch 1194 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_676)))->BgL_keyz00) =
				((obj_t) BgL_vz00_677), BUNSPEC);
		}

	}



/* &instanceof-key-set! */
	obj_t BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7099,
		obj_t BgL_oz00_7100, obj_t BgL_vz00_7101)
	{
		{	/* Ast/nodetype.sch 1194 */
			return
				BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7100), BgL_vz00_7101);
		}

	}



/* instanceof-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2sidezd2effectz00zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_678)
	{
		{	/* Ast/nodetype.sch 1195 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_678)))->BgL_sidezd2effectzd2);
		}

	}



/* &instanceof-side-effect */
	obj_t BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_7102,
		obj_t BgL_oz00_7103)
	{
		{	/* Ast/nodetype.sch 1195 */
			return
				BGl_instanceofzd2sidezd2effectz00zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7103));
		}

	}



/* instanceof-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_instanceofz00_bglt BgL_oz00_679, obj_t BgL_vz00_680)
	{
		{	/* Ast/nodetype.sch 1196 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_679)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_680), BUNSPEC);
		}

	}



/* &instanceof-side-effect-set! */
	obj_t BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7104, obj_t BgL_oz00_7105, obj_t BgL_vz00_7106)
	{
		{	/* Ast/nodetype.sch 1196 */
			return
				BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7105), BgL_vz00_7106);
		}

	}



/* instanceof-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_instanceofzd2typezd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_681)
	{
		{	/* Ast/nodetype.sch 1197 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_681)))->BgL_typez00);
		}

	}



/* &instanceof-type */
	BgL_typez00_bglt BGl_z62instanceofzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_7107, obj_t BgL_oz00_7108)
	{
		{	/* Ast/nodetype.sch 1197 */
			return
				BGl_instanceofzd2typezd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7108));
		}

	}



/* instanceof-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2typezd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_682, BgL_typez00_bglt BgL_vz00_683)
	{
		{	/* Ast/nodetype.sch 1198 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_682)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_683), BUNSPEC);
		}

	}



/* &instanceof-type-set! */
	obj_t BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7109,
		obj_t BgL_oz00_7110, obj_t BgL_vz00_7111)
	{
		{	/* Ast/nodetype.sch 1198 */
			return
				BGl_instanceofzd2typezd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7110),
				((BgL_typez00_bglt) BgL_vz00_7111));
		}

	}



/* instanceof-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2loczd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_684)
	{
		{	/* Ast/nodetype.sch 1199 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_684)))->BgL_locz00);
		}

	}



/* &instanceof-loc */
	obj_t BGl_z62instanceofzd2loczb0zzast_nodez00(obj_t BgL_envz00_7112,
		obj_t BgL_oz00_7113)
	{
		{	/* Ast/nodetype.sch 1199 */
			return
				BGl_instanceofzd2loczd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7113));
		}

	}



/* make-cast-null */
	BGL_EXPORTED_DEF BgL_castzd2nullzd2_bglt
		BGl_makezd2castzd2nullz00zzast_nodez00(obj_t BgL_loc1536z00_687,
		BgL_typez00_bglt BgL_type1537z00_688, obj_t BgL_sidezd2effect1538zd2_689,
		obj_t BgL_key1539z00_690, obj_t BgL_exprza21540za2_691,
		obj_t BgL_effect1541z00_692, obj_t BgL_czd2format1542zd2_693)
	{
		{	/* Ast/nodetype.sch 1203 */
			{	/* Ast/nodetype.sch 1203 */
				BgL_castzd2nullzd2_bglt BgL_new1484z00_9291;

				{	/* Ast/nodetype.sch 1203 */
					BgL_castzd2nullzd2_bglt BgL_new1483z00_9292;

					BgL_new1483z00_9292 =
						((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/nodetype.sch 1203 */
						long BgL_arg1845z00_9293;

						BgL_arg1845z00_9293 =
							BGL_CLASS_NUM(BGl_castzd2nullzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1483z00_9292), BgL_arg1845z00_9293);
					}
					{	/* Ast/nodetype.sch 1203 */
						BgL_objectz00_bglt BgL_tmpz00_12812;

						BgL_tmpz00_12812 = ((BgL_objectz00_bglt) BgL_new1483z00_9292);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12812, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1483z00_9292);
					BgL_new1484z00_9291 = BgL_new1483z00_9292;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1484z00_9291)))->BgL_locz00) =
					((obj_t) BgL_loc1536z00_687), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1484z00_9291)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1537z00_688), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1484z00_9291)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1538zd2_689), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1484z00_9291)))->BgL_keyz00) =
					((obj_t) BgL_key1539z00_690), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1484z00_9291)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21540za2_691), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1484z00_9291)))->BgL_effectz00) =
					((obj_t) BgL_effect1541z00_692), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1484z00_9291)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1542zd2_693), BUNSPEC);
				return BgL_new1484z00_9291;
			}
		}

	}



/* &make-cast-null */
	BgL_castzd2nullzd2_bglt BGl_z62makezd2castzd2nullz62zzast_nodez00(obj_t
		BgL_envz00_7114, obj_t BgL_loc1536z00_7115, obj_t BgL_type1537z00_7116,
		obj_t BgL_sidezd2effect1538zd2_7117, obj_t BgL_key1539z00_7118,
		obj_t BgL_exprza21540za2_7119, obj_t BgL_effect1541z00_7120,
		obj_t BgL_czd2format1542zd2_7121)
	{
		{	/* Ast/nodetype.sch 1203 */
			return
				BGl_makezd2castzd2nullz00zzast_nodez00(BgL_loc1536z00_7115,
				((BgL_typez00_bglt) BgL_type1537z00_7116),
				BgL_sidezd2effect1538zd2_7117, BgL_key1539z00_7118,
				BgL_exprza21540za2_7119, BgL_effect1541z00_7120,
				BgL_czd2format1542zd2_7121);
		}

	}



/* cast-null? */
	BGL_EXPORTED_DEF bool_t BGl_castzd2nullzf3z21zzast_nodez00(obj_t
		BgL_objz00_694)
	{
		{	/* Ast/nodetype.sch 1204 */
			{	/* Ast/nodetype.sch 1204 */
				obj_t BgL_classz00_9294;

				BgL_classz00_9294 = BGl_castzd2nullzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_694))
					{	/* Ast/nodetype.sch 1204 */
						BgL_objectz00_bglt BgL_arg1820z00_9295;

						BgL_arg1820z00_9295 = (BgL_objectz00_bglt) (BgL_objz00_694);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1204 */
								long BgL_idxz00_9296;

								BgL_idxz00_9296 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9295);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9296 + ((long) 5))) == BgL_classz00_9294);
							}
						else
							{	/* Ast/nodetype.sch 1204 */
								bool_t BgL_res2986z00_9299;

								{	/* Ast/nodetype.sch 1204 */
									obj_t BgL_oclassz00_9300;

									{	/* Ast/nodetype.sch 1204 */
										long BgL_arg1828z00_9301;

										{	/* Ast/nodetype.sch 1204 */
											long BgL_arg1829z00_9302;

											BgL_arg1829z00_9302 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9295);
											BgL_arg1828z00_9301 = (BgL_arg1829z00_9302 - OBJECT_TYPE);
										}
										BgL_oclassz00_9300 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9301);
									}
									{	/* Ast/nodetype.sch 1204 */
										bool_t BgL__ortest_1111z00_9303;

										BgL__ortest_1111z00_9303 =
											(BgL_classz00_9294 == BgL_oclassz00_9300);
										if (BgL__ortest_1111z00_9303)
											{	/* Ast/nodetype.sch 1204 */
												BgL_res2986z00_9299 = BgL__ortest_1111z00_9303;
											}
										else
											{	/* Ast/nodetype.sch 1204 */
												long BgL_odepthz00_9304;

												BgL_odepthz00_9304 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9300);
												if ((((long) 5) < BgL_odepthz00_9304))
													{	/* Ast/nodetype.sch 1204 */
														obj_t BgL_arg1816z00_9305;

														BgL_arg1816z00_9305 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9300,
															((long) 5));
														BgL_res2986z00_9299 =
															(BgL_arg1816z00_9305 == BgL_classz00_9294);
													}
												else
													{	/* Ast/nodetype.sch 1204 */
														BgL_res2986z00_9299 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2986z00_9299;
							}
					}
				else
					{	/* Ast/nodetype.sch 1204 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cast-null? */
	obj_t BGl_z62castzd2nullzf3z43zzast_nodez00(obj_t BgL_envz00_7122,
		obj_t BgL_objz00_7123)
	{
		{	/* Ast/nodetype.sch 1204 */
			return BBOOL(BGl_castzd2nullzf3z21zzast_nodez00(BgL_objz00_7123));
		}

	}



/* cast-null-nil */
	BGL_EXPORTED_DEF BgL_castzd2nullzd2_bglt
		BGl_castzd2nullzd2nilz00zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1205 */
			{	/* Ast/nodetype.sch 1205 */
				obj_t BgL_classz00_4864;

				BgL_classz00_4864 = BGl_castzd2nullzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1205 */
					obj_t BgL__ortest_1113z00_4865;

					BgL__ortest_1113z00_4865 = BGL_CLASS_NIL(BgL_classz00_4864);
					if (CBOOL(BgL__ortest_1113z00_4865))
						{	/* Ast/nodetype.sch 1205 */
							return ((BgL_castzd2nullzd2_bglt) BgL__ortest_1113z00_4865);
						}
					else
						{	/* Ast/nodetype.sch 1205 */
							return
								((BgL_castzd2nullzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4864));
						}
				}
			}
		}

	}



/* &cast-null-nil */
	BgL_castzd2nullzd2_bglt BGl_z62castzd2nullzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7124)
	{
		{	/* Ast/nodetype.sch 1205 */
			return BGl_castzd2nullzd2nilz00zzast_nodez00();
		}

	}



/* cast-null-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_695)
	{
		{	/* Ast/nodetype.sch 1206 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_695)))->BgL_czd2formatzd2);
		}

	}



/* &cast-null-c-format */
	obj_t BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00(obj_t BgL_envz00_7125,
		obj_t BgL_oz00_7126)
	{
		{	/* Ast/nodetype.sch 1206 */
			return
				BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7126));
		}

	}



/* cast-null-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2effectz00zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_698)
	{
		{	/* Ast/nodetype.sch 1208 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_698)))->BgL_effectz00);
		}

	}



/* &cast-null-effect */
	obj_t BGl_z62castzd2nullzd2effectz62zzast_nodez00(obj_t BgL_envz00_7127,
		obj_t BgL_oz00_7128)
	{
		{	/* Ast/nodetype.sch 1208 */
			return
				BGl_castzd2nullzd2effectz00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7128));
		}

	}



/* cast-null-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_699, obj_t BgL_vz00_700)
	{
		{	/* Ast/nodetype.sch 1209 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_699)))->BgL_effectz00) =
				((obj_t) BgL_vz00_700), BUNSPEC);
		}

	}



/* &cast-null-effect-set! */
	obj_t BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7129, obj_t BgL_oz00_7130, obj_t BgL_vz00_7131)
	{
		{	/* Ast/nodetype.sch 1209 */
			return
				BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7130), BgL_vz00_7131);
		}

	}



/* cast-null-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2exprza2za2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_701)
	{
		{	/* Ast/nodetype.sch 1210 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_701)))->BgL_exprza2za2);
		}

	}



/* &cast-null-expr* */
	obj_t BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00(obj_t BgL_envz00_7132,
		obj_t BgL_oz00_7133)
	{
		{	/* Ast/nodetype.sch 1210 */
			return
				BGl_castzd2nullzd2exprza2za2zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7133));
		}

	}



/* cast-null-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_702, obj_t BgL_vz00_703)
	{
		{	/* Ast/nodetype.sch 1211 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_702)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_703), BUNSPEC);
		}

	}



/* &cast-null-expr*-set! */
	obj_t BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00(obj_t
		BgL_envz00_7134, obj_t BgL_oz00_7135, obj_t BgL_vz00_7136)
	{
		{	/* Ast/nodetype.sch 1211 */
			return
				BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7135), BgL_vz00_7136);
		}

	}



/* cast-null-key */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2keyz00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_704)
	{
		{	/* Ast/nodetype.sch 1212 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_704)))->BgL_keyz00);
		}

	}



/* &cast-null-key */
	obj_t BGl_z62castzd2nullzd2keyz62zzast_nodez00(obj_t BgL_envz00_7137,
		obj_t BgL_oz00_7138)
	{
		{	/* Ast/nodetype.sch 1212 */
			return
				BGl_castzd2nullzd2keyz00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7138));
		}

	}



/* cast-null-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_705, obj_t BgL_vz00_706)
	{
		{	/* Ast/nodetype.sch 1213 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_705)))->BgL_keyz00) =
				((obj_t) BgL_vz00_706), BUNSPEC);
		}

	}



/* &cast-null-key-set! */
	obj_t BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7139,
		obj_t BgL_oz00_7140, obj_t BgL_vz00_7141)
	{
		{	/* Ast/nodetype.sch 1213 */
			return
				BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7140), BgL_vz00_7141);
		}

	}



/* cast-null-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_707)
	{
		{	/* Ast/nodetype.sch 1214 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_707)))->BgL_sidezd2effectzd2);
		}

	}



/* &cast-null-side-effect */
	obj_t BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00(obj_t
		BgL_envz00_7142, obj_t BgL_oz00_7143)
	{
		{	/* Ast/nodetype.sch 1214 */
			return
				BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7143));
		}

	}



/* cast-null-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_castzd2nullzd2_bglt BgL_oz00_708, obj_t BgL_vz00_709)
	{
		{	/* Ast/nodetype.sch 1215 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_708)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_709), BUNSPEC);
		}

	}



/* &cast-null-side-effect-set! */
	obj_t BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7144, obj_t BgL_oz00_7145, obj_t BgL_vz00_7146)
	{
		{	/* Ast/nodetype.sch 1215 */
			return
				BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7145), BgL_vz00_7146);
		}

	}



/* cast-null-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_castzd2nullzd2typez00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_710)
	{
		{	/* Ast/nodetype.sch 1216 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_710)))->BgL_typez00);
		}

	}



/* &cast-null-type */
	BgL_typez00_bglt BGl_z62castzd2nullzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7147, obj_t BgL_oz00_7148)
	{
		{	/* Ast/nodetype.sch 1216 */
			return
				BGl_castzd2nullzd2typez00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7148));
		}

	}



/* cast-null-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_711, BgL_typez00_bglt BgL_vz00_712)
	{
		{	/* Ast/nodetype.sch 1217 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_711)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_712), BUNSPEC);
		}

	}



/* &cast-null-type-set! */
	obj_t BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7149, obj_t BgL_oz00_7150, obj_t BgL_vz00_7151)
	{
		{	/* Ast/nodetype.sch 1217 */
			return
				BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7150),
				((BgL_typez00_bglt) BgL_vz00_7151));
		}

	}



/* cast-null-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2locz00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_713)
	{
		{	/* Ast/nodetype.sch 1218 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_713)))->BgL_locz00);
		}

	}



/* &cast-null-loc */
	obj_t BGl_z62castzd2nullzd2locz62zzast_nodez00(obj_t BgL_envz00_7152,
		obj_t BgL_oz00_7153)
	{
		{	/* Ast/nodetype.sch 1218 */
			return
				BGl_castzd2nullzd2locz00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7153));
		}

	}



/* make-cast */
	BGL_EXPORTED_DEF BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t
		BgL_loc1528z00_716, BgL_typez00_bglt BgL_type1529z00_717,
		BgL_nodez00_bglt BgL_arg1533z00_718)
	{
		{	/* Ast/nodetype.sch 1222 */
			{	/* Ast/nodetype.sch 1222 */
				BgL_castz00_bglt BgL_new1486z00_9306;

				{	/* Ast/nodetype.sch 1222 */
					BgL_castz00_bglt BgL_new1485z00_9307;

					BgL_new1485z00_9307 =
						((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/nodetype.sch 1222 */
						long BgL_arg1846z00_9308;

						BgL_arg1846z00_9308 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1485z00_9307), BgL_arg1846z00_9308);
					}
					{	/* Ast/nodetype.sch 1222 */
						BgL_objectz00_bglt BgL_tmpz00_12913;

						BgL_tmpz00_12913 = ((BgL_objectz00_bglt) BgL_new1485z00_9307);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12913, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1485z00_9307);
					BgL_new1486z00_9306 = BgL_new1485z00_9307;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1486z00_9306)))->BgL_locz00) =
					((obj_t) BgL_loc1528z00_716), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1486z00_9306)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1529z00_717), BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(BgL_new1486z00_9306))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1533z00_718), BUNSPEC);
				return BgL_new1486z00_9306;
			}
		}

	}



/* &make-cast */
	BgL_castz00_bglt BGl_z62makezd2castzb0zzast_nodez00(obj_t BgL_envz00_7154,
		obj_t BgL_loc1528z00_7155, obj_t BgL_type1529z00_7156,
		obj_t BgL_arg1533z00_7157)
	{
		{	/* Ast/nodetype.sch 1222 */
			return
				BGl_makezd2castzd2zzast_nodez00(BgL_loc1528z00_7155,
				((BgL_typez00_bglt) BgL_type1529z00_7156),
				((BgL_nodez00_bglt) BgL_arg1533z00_7157));
		}

	}



/* cast? */
	BGL_EXPORTED_DEF bool_t BGl_castzf3zf3zzast_nodez00(obj_t BgL_objz00_719)
	{
		{	/* Ast/nodetype.sch 1223 */
			{	/* Ast/nodetype.sch 1223 */
				obj_t BgL_classz00_9309;

				BgL_classz00_9309 = BGl_castz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_719))
					{	/* Ast/nodetype.sch 1223 */
						BgL_objectz00_bglt BgL_arg1820z00_9310;

						BgL_arg1820z00_9310 = (BgL_objectz00_bglt) (BgL_objz00_719);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1223 */
								long BgL_idxz00_9311;

								BgL_idxz00_9311 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9310);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9311 + ((long) 2))) == BgL_classz00_9309);
							}
						else
							{	/* Ast/nodetype.sch 1223 */
								bool_t BgL_res2987z00_9314;

								{	/* Ast/nodetype.sch 1223 */
									obj_t BgL_oclassz00_9315;

									{	/* Ast/nodetype.sch 1223 */
										long BgL_arg1828z00_9316;

										{	/* Ast/nodetype.sch 1223 */
											long BgL_arg1829z00_9317;

											BgL_arg1829z00_9317 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9310);
											BgL_arg1828z00_9316 = (BgL_arg1829z00_9317 - OBJECT_TYPE);
										}
										BgL_oclassz00_9315 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9316);
									}
									{	/* Ast/nodetype.sch 1223 */
										bool_t BgL__ortest_1111z00_9318;

										BgL__ortest_1111z00_9318 =
											(BgL_classz00_9309 == BgL_oclassz00_9315);
										if (BgL__ortest_1111z00_9318)
											{	/* Ast/nodetype.sch 1223 */
												BgL_res2987z00_9314 = BgL__ortest_1111z00_9318;
											}
										else
											{	/* Ast/nodetype.sch 1223 */
												long BgL_odepthz00_9319;

												BgL_odepthz00_9319 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9315);
												if ((((long) 2) < BgL_odepthz00_9319))
													{	/* Ast/nodetype.sch 1223 */
														obj_t BgL_arg1816z00_9320;

														BgL_arg1816z00_9320 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9315,
															((long) 2));
														BgL_res2987z00_9314 =
															(BgL_arg1816z00_9320 == BgL_classz00_9309);
													}
												else
													{	/* Ast/nodetype.sch 1223 */
														BgL_res2987z00_9314 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2987z00_9314;
							}
					}
				else
					{	/* Ast/nodetype.sch 1223 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cast? */
	obj_t BGl_z62castzf3z91zzast_nodez00(obj_t BgL_envz00_7158,
		obj_t BgL_objz00_7159)
	{
		{	/* Ast/nodetype.sch 1223 */
			return BBOOL(BGl_castzf3zf3zzast_nodez00(BgL_objz00_7159));
		}

	}



/* cast-nil */
	BGL_EXPORTED_DEF BgL_castz00_bglt BGl_castzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1224 */
			{	/* Ast/nodetype.sch 1224 */
				obj_t BgL_classz00_4904;

				BgL_classz00_4904 = BGl_castz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1224 */
					obj_t BgL__ortest_1113z00_4905;

					BgL__ortest_1113z00_4905 = BGL_CLASS_NIL(BgL_classz00_4904);
					if (CBOOL(BgL__ortest_1113z00_4905))
						{	/* Ast/nodetype.sch 1224 */
							return ((BgL_castz00_bglt) BgL__ortest_1113z00_4905);
						}
					else
						{	/* Ast/nodetype.sch 1224 */
							return
								((BgL_castz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4904));
						}
				}
			}
		}

	}



/* &cast-nil */
	BgL_castz00_bglt BGl_z62castzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7160)
	{
		{	/* Ast/nodetype.sch 1224 */
			return BGl_castzd2nilzd2zzast_nodez00();
		}

	}



/* cast-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt BgL_oz00_720)
	{
		{	/* Ast/nodetype.sch 1225 */
			return (((BgL_castz00_bglt) COBJECT(BgL_oz00_720))->BgL_argz00);
		}

	}



/* &cast-arg */
	BgL_nodez00_bglt BGl_z62castzd2argzb0zzast_nodez00(obj_t BgL_envz00_7161,
		obj_t BgL_oz00_7162)
	{
		{	/* Ast/nodetype.sch 1225 */
			return BGl_castzd2argzd2zzast_nodez00(((BgL_castz00_bglt) BgL_oz00_7162));
		}

	}



/* cast-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_oz00_721,
		BgL_nodez00_bglt BgL_vz00_722)
	{
		{	/* Ast/nodetype.sch 1226 */
			return
				((((BgL_castz00_bglt) COBJECT(BgL_oz00_721))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_722), BUNSPEC);
		}

	}



/* &cast-arg-set! */
	obj_t BGl_z62castzd2argzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7163,
		obj_t BgL_oz00_7164, obj_t BgL_vz00_7165)
	{
		{	/* Ast/nodetype.sch 1226 */
			return
				BGl_castzd2argzd2setz12z12zzast_nodez00(
				((BgL_castz00_bglt) BgL_oz00_7164), ((BgL_nodez00_bglt) BgL_vz00_7165));
		}

	}



/* cast-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_castzd2typezd2zzast_nodez00(BgL_castz00_bglt BgL_oz00_723)
	{
		{	/* Ast/nodetype.sch 1227 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_723)))->BgL_typez00);
		}

	}



/* &cast-type */
	BgL_typez00_bglt BGl_z62castzd2typezb0zzast_nodez00(obj_t BgL_envz00_7166,
		obj_t BgL_oz00_7167)
	{
		{	/* Ast/nodetype.sch 1227 */
			return
				BGl_castzd2typezd2zzast_nodez00(((BgL_castz00_bglt) BgL_oz00_7167));
		}

	}



/* cast-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2typezd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_oz00_724,
		BgL_typez00_bglt BgL_vz00_725)
	{
		{	/* Ast/nodetype.sch 1228 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_724)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_725), BUNSPEC);
		}

	}



/* &cast-type-set! */
	obj_t BGl_z62castzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7168,
		obj_t BgL_oz00_7169, obj_t BgL_vz00_7170)
	{
		{	/* Ast/nodetype.sch 1228 */
			return
				BGl_castzd2typezd2setz12z12zzast_nodez00(
				((BgL_castz00_bglt) BgL_oz00_7169), ((BgL_typez00_bglt) BgL_vz00_7170));
		}

	}



/* cast-loc */
	BGL_EXPORTED_DEF obj_t BGl_castzd2loczd2zzast_nodez00(BgL_castz00_bglt
		BgL_oz00_726)
	{
		{	/* Ast/nodetype.sch 1229 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_726)))->BgL_locz00);
		}

	}



/* &cast-loc */
	obj_t BGl_z62castzd2loczb0zzast_nodez00(obj_t BgL_envz00_7171,
		obj_t BgL_oz00_7172)
	{
		{	/* Ast/nodetype.sch 1229 */
			return BGl_castzd2loczd2zzast_nodez00(((BgL_castz00_bglt) BgL_oz00_7172));
		}

	}



/* make-setq */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t
		BgL_loc1522z00_729, BgL_typez00_bglt BgL_type1523z00_730,
		BgL_varz00_bglt BgL_var1524z00_731, BgL_nodez00_bglt BgL_value1525z00_732)
	{
		{	/* Ast/nodetype.sch 1233 */
			{	/* Ast/nodetype.sch 1233 */
				BgL_setqz00_bglt BgL_new1488z00_9321;

				{	/* Ast/nodetype.sch 1233 */
					BgL_setqz00_bglt BgL_new1487z00_9322;

					BgL_new1487z00_9322 =
						((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/nodetype.sch 1233 */
						long BgL_arg1847z00_9323;

						BgL_arg1847z00_9323 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1487z00_9322), BgL_arg1847z00_9323);
					}
					{	/* Ast/nodetype.sch 1233 */
						BgL_objectz00_bglt BgL_tmpz00_12977;

						BgL_tmpz00_12977 = ((BgL_objectz00_bglt) BgL_new1487z00_9322);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12977, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1487z00_9322);
					BgL_new1488z00_9321 = BgL_new1487z00_9322;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1488z00_9321)))->BgL_locz00) =
					((obj_t) BgL_loc1522z00_729), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1488z00_9321)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1523z00_730), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1488z00_9321))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1524z00_731), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1488z00_9321))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1525z00_732), BUNSPEC);
				return BgL_new1488z00_9321;
			}
		}

	}



/* &make-setq */
	BgL_setqz00_bglt BGl_z62makezd2setqzb0zzast_nodez00(obj_t BgL_envz00_7173,
		obj_t BgL_loc1522z00_7174, obj_t BgL_type1523z00_7175,
		obj_t BgL_var1524z00_7176, obj_t BgL_value1525z00_7177)
	{
		{	/* Ast/nodetype.sch 1233 */
			return
				BGl_makezd2setqzd2zzast_nodez00(BgL_loc1522z00_7174,
				((BgL_typez00_bglt) BgL_type1523z00_7175),
				((BgL_varz00_bglt) BgL_var1524z00_7176),
				((BgL_nodez00_bglt) BgL_value1525z00_7177));
		}

	}



/* setq? */
	BGL_EXPORTED_DEF bool_t BGl_setqzf3zf3zzast_nodez00(obj_t BgL_objz00_733)
	{
		{	/* Ast/nodetype.sch 1234 */
			{	/* Ast/nodetype.sch 1234 */
				obj_t BgL_classz00_9324;

				BgL_classz00_9324 = BGl_setqz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_733))
					{	/* Ast/nodetype.sch 1234 */
						BgL_objectz00_bglt BgL_arg1820z00_9325;

						BgL_arg1820z00_9325 = (BgL_objectz00_bglt) (BgL_objz00_733);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1234 */
								long BgL_idxz00_9326;

								BgL_idxz00_9326 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9325);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9326 + ((long) 2))) == BgL_classz00_9324);
							}
						else
							{	/* Ast/nodetype.sch 1234 */
								bool_t BgL_res2988z00_9329;

								{	/* Ast/nodetype.sch 1234 */
									obj_t BgL_oclassz00_9330;

									{	/* Ast/nodetype.sch 1234 */
										long BgL_arg1828z00_9331;

										{	/* Ast/nodetype.sch 1234 */
											long BgL_arg1829z00_9332;

											BgL_arg1829z00_9332 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9325);
											BgL_arg1828z00_9331 = (BgL_arg1829z00_9332 - OBJECT_TYPE);
										}
										BgL_oclassz00_9330 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9331);
									}
									{	/* Ast/nodetype.sch 1234 */
										bool_t BgL__ortest_1111z00_9333;

										BgL__ortest_1111z00_9333 =
											(BgL_classz00_9324 == BgL_oclassz00_9330);
										if (BgL__ortest_1111z00_9333)
											{	/* Ast/nodetype.sch 1234 */
												BgL_res2988z00_9329 = BgL__ortest_1111z00_9333;
											}
										else
											{	/* Ast/nodetype.sch 1234 */
												long BgL_odepthz00_9334;

												BgL_odepthz00_9334 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9330);
												if ((((long) 2) < BgL_odepthz00_9334))
													{	/* Ast/nodetype.sch 1234 */
														obj_t BgL_arg1816z00_9335;

														BgL_arg1816z00_9335 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9330,
															((long) 2));
														BgL_res2988z00_9329 =
															(BgL_arg1816z00_9335 == BgL_classz00_9324);
													}
												else
													{	/* Ast/nodetype.sch 1234 */
														BgL_res2988z00_9329 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2988z00_9329;
							}
					}
				else
					{	/* Ast/nodetype.sch 1234 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &setq? */
	obj_t BGl_z62setqzf3z91zzast_nodez00(obj_t BgL_envz00_7178,
		obj_t BgL_objz00_7179)
	{
		{	/* Ast/nodetype.sch 1234 */
			return BBOOL(BGl_setqzf3zf3zzast_nodez00(BgL_objz00_7179));
		}

	}



/* setq-nil */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_setqzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1235 */
			{	/* Ast/nodetype.sch 1235 */
				obj_t BgL_classz00_4944;

				BgL_classz00_4944 = BGl_setqz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1235 */
					obj_t BgL__ortest_1113z00_4945;

					BgL__ortest_1113z00_4945 = BGL_CLASS_NIL(BgL_classz00_4944);
					if (CBOOL(BgL__ortest_1113z00_4945))
						{	/* Ast/nodetype.sch 1235 */
							return ((BgL_setqz00_bglt) BgL__ortest_1113z00_4945);
						}
					else
						{	/* Ast/nodetype.sch 1235 */
							return
								((BgL_setqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4944));
						}
				}
			}
		}

	}



/* &setq-nil */
	BgL_setqz00_bglt BGl_z62setqzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7180)
	{
		{	/* Ast/nodetype.sch 1235 */
			return BGl_setqzd2nilzd2zzast_nodez00();
		}

	}



/* setq-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_734)
	{
		{	/* Ast/nodetype.sch 1236 */
			return (((BgL_setqz00_bglt) COBJECT(BgL_oz00_734))->BgL_valuez00);
		}

	}



/* &setq-value */
	BgL_nodez00_bglt BGl_z62setqzd2valuezb0zzast_nodez00(obj_t BgL_envz00_7181,
		obj_t BgL_oz00_7182)
	{
		{	/* Ast/nodetype.sch 1236 */
			return
				BGl_setqzd2valuezd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_7182));
		}

	}



/* setq-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_735,
		BgL_nodez00_bglt BgL_vz00_736)
	{
		{	/* Ast/nodetype.sch 1237 */
			return
				((((BgL_setqz00_bglt) COBJECT(BgL_oz00_735))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_736), BUNSPEC);
		}

	}



/* &setq-value-set! */
	obj_t BGl_z62setqzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7183,
		obj_t BgL_oz00_7184, obj_t BgL_vz00_7185)
	{
		{	/* Ast/nodetype.sch 1237 */
			return
				BGl_setqzd2valuezd2setz12z12zzast_nodez00(
				((BgL_setqz00_bglt) BgL_oz00_7184), ((BgL_nodez00_bglt) BgL_vz00_7185));
		}

	}



/* setq-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_737)
	{
		{	/* Ast/nodetype.sch 1238 */
			return (((BgL_setqz00_bglt) COBJECT(BgL_oz00_737))->BgL_varz00);
		}

	}



/* &setq-var */
	BgL_varz00_bglt BGl_z62setqzd2varzb0zzast_nodez00(obj_t BgL_envz00_7186,
		obj_t BgL_oz00_7187)
	{
		{	/* Ast/nodetype.sch 1238 */
			return BGl_setqzd2varzd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_7187));
		}

	}



/* setq-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_738,
		BgL_varz00_bglt BgL_vz00_739)
	{
		{	/* Ast/nodetype.sch 1239 */
			return
				((((BgL_setqz00_bglt) COBJECT(BgL_oz00_738))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_739), BUNSPEC);
		}

	}



/* &setq-var-set! */
	obj_t BGl_z62setqzd2varzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7188,
		obj_t BgL_oz00_7189, obj_t BgL_vz00_7190)
	{
		{	/* Ast/nodetype.sch 1239 */
			return
				BGl_setqzd2varzd2setz12z12zzast_nodez00(
				((BgL_setqz00_bglt) BgL_oz00_7189), ((BgL_varz00_bglt) BgL_vz00_7190));
		}

	}



/* setq-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setqzd2typezd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_740)
	{
		{	/* Ast/nodetype.sch 1240 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_740)))->BgL_typez00);
		}

	}



/* &setq-type */
	BgL_typez00_bglt BGl_z62setqzd2typezb0zzast_nodez00(obj_t BgL_envz00_7191,
		obj_t BgL_oz00_7192)
	{
		{	/* Ast/nodetype.sch 1240 */
			return
				BGl_setqzd2typezd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_7192));
		}

	}



/* setq-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2typezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_741,
		BgL_typez00_bglt BgL_vz00_742)
	{
		{	/* Ast/nodetype.sch 1241 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_741)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_742), BUNSPEC);
		}

	}



/* &setq-type-set! */
	obj_t BGl_z62setqzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7193,
		obj_t BgL_oz00_7194, obj_t BgL_vz00_7195)
	{
		{	/* Ast/nodetype.sch 1241 */
			return
				BGl_setqzd2typezd2setz12z12zzast_nodez00(
				((BgL_setqz00_bglt) BgL_oz00_7194), ((BgL_typez00_bglt) BgL_vz00_7195));
		}

	}



/* setq-loc */
	BGL_EXPORTED_DEF obj_t BGl_setqzd2loczd2zzast_nodez00(BgL_setqz00_bglt
		BgL_oz00_743)
	{
		{	/* Ast/nodetype.sch 1242 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_743)))->BgL_locz00);
		}

	}



/* &setq-loc */
	obj_t BGl_z62setqzd2loczb0zzast_nodez00(obj_t BgL_envz00_7196,
		obj_t BgL_oz00_7197)
	{
		{	/* Ast/nodetype.sch 1242 */
			return BGl_setqzd2loczd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_7197));
		}

	}



/* make-conditional */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_makezd2conditionalzd2zzast_nodez00(obj_t BgL_loc1514z00_746,
		BgL_typez00_bglt BgL_type1515z00_747, obj_t BgL_sidezd2effect1516zd2_748,
		obj_t BgL_key1517z00_749, BgL_nodez00_bglt BgL_test1518z00_750,
		BgL_nodez00_bglt BgL_true1519z00_751, BgL_nodez00_bglt BgL_false1520z00_752)
	{
		{	/* Ast/nodetype.sch 1246 */
			{	/* Ast/nodetype.sch 1246 */
				BgL_conditionalz00_bglt BgL_new1490z00_9336;

				{	/* Ast/nodetype.sch 1246 */
					BgL_conditionalz00_bglt BgL_new1489z00_9337;

					BgL_new1489z00_9337 =
						((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/nodetype.sch 1246 */
						long BgL_arg1848z00_9338;

						BgL_arg1848z00_9338 =
							BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1489z00_9337), BgL_arg1848z00_9338);
					}
					{	/* Ast/nodetype.sch 1246 */
						BgL_objectz00_bglt BgL_tmpz00_13050;

						BgL_tmpz00_13050 = ((BgL_objectz00_bglt) BgL_new1489z00_9337);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13050, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1489z00_9337);
					BgL_new1490z00_9336 = BgL_new1489z00_9337;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1490z00_9336)))->BgL_locz00) =
					((obj_t) BgL_loc1514z00_746), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1490z00_9336)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1515z00_747), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1490z00_9336)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1516zd2_748), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1490z00_9336)))->BgL_keyz00) =
					((obj_t) BgL_key1517z00_749), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1490z00_9336))->
						BgL_testz00) = ((BgL_nodez00_bglt) BgL_test1518z00_750), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1490z00_9336))->
						BgL_truez00) = ((BgL_nodez00_bglt) BgL_true1519z00_751), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1490z00_9336))->
						BgL_falsez00) = ((BgL_nodez00_bglt) BgL_false1520z00_752), BUNSPEC);
				return BgL_new1490z00_9336;
			}
		}

	}



/* &make-conditional */
	BgL_conditionalz00_bglt BGl_z62makezd2conditionalzb0zzast_nodez00(obj_t
		BgL_envz00_7198, obj_t BgL_loc1514z00_7199, obj_t BgL_type1515z00_7200,
		obj_t BgL_sidezd2effect1516zd2_7201, obj_t BgL_key1517z00_7202,
		obj_t BgL_test1518z00_7203, obj_t BgL_true1519z00_7204,
		obj_t BgL_false1520z00_7205)
	{
		{	/* Ast/nodetype.sch 1246 */
			return
				BGl_makezd2conditionalzd2zzast_nodez00(BgL_loc1514z00_7199,
				((BgL_typez00_bglt) BgL_type1515z00_7200),
				BgL_sidezd2effect1516zd2_7201, BgL_key1517z00_7202,
				((BgL_nodez00_bglt) BgL_test1518z00_7203),
				((BgL_nodez00_bglt) BgL_true1519z00_7204),
				((BgL_nodez00_bglt) BgL_false1520z00_7205));
		}

	}



/* conditional? */
	BGL_EXPORTED_DEF bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t
		BgL_objz00_753)
	{
		{	/* Ast/nodetype.sch 1247 */
			{	/* Ast/nodetype.sch 1247 */
				obj_t BgL_classz00_9339;

				BgL_classz00_9339 = BGl_conditionalz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_753))
					{	/* Ast/nodetype.sch 1247 */
						BgL_objectz00_bglt BgL_arg1820z00_9340;

						BgL_arg1820z00_9340 = (BgL_objectz00_bglt) (BgL_objz00_753);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1247 */
								long BgL_idxz00_9341;

								BgL_idxz00_9341 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9340);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9341 + ((long) 3))) == BgL_classz00_9339);
							}
						else
							{	/* Ast/nodetype.sch 1247 */
								bool_t BgL_res2989z00_9344;

								{	/* Ast/nodetype.sch 1247 */
									obj_t BgL_oclassz00_9345;

									{	/* Ast/nodetype.sch 1247 */
										long BgL_arg1828z00_9346;

										{	/* Ast/nodetype.sch 1247 */
											long BgL_arg1829z00_9347;

											BgL_arg1829z00_9347 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9340);
											BgL_arg1828z00_9346 = (BgL_arg1829z00_9347 - OBJECT_TYPE);
										}
										BgL_oclassz00_9345 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9346);
									}
									{	/* Ast/nodetype.sch 1247 */
										bool_t BgL__ortest_1111z00_9348;

										BgL__ortest_1111z00_9348 =
											(BgL_classz00_9339 == BgL_oclassz00_9345);
										if (BgL__ortest_1111z00_9348)
											{	/* Ast/nodetype.sch 1247 */
												BgL_res2989z00_9344 = BgL__ortest_1111z00_9348;
											}
										else
											{	/* Ast/nodetype.sch 1247 */
												long BgL_odepthz00_9349;

												BgL_odepthz00_9349 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9345);
												if ((((long) 3) < BgL_odepthz00_9349))
													{	/* Ast/nodetype.sch 1247 */
														obj_t BgL_arg1816z00_9350;

														BgL_arg1816z00_9350 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9345,
															((long) 3));
														BgL_res2989z00_9344 =
															(BgL_arg1816z00_9350 == BgL_classz00_9339);
													}
												else
													{	/* Ast/nodetype.sch 1247 */
														BgL_res2989z00_9344 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2989z00_9344;
							}
					}
				else
					{	/* Ast/nodetype.sch 1247 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &conditional? */
	obj_t BGl_z62conditionalzf3z91zzast_nodez00(obj_t BgL_envz00_7206,
		obj_t BgL_objz00_7207)
	{
		{	/* Ast/nodetype.sch 1247 */
			return BBOOL(BGl_conditionalzf3zf3zzast_nodez00(BgL_objz00_7207));
		}

	}



/* conditional-nil */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_conditionalzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1248 */
			{	/* Ast/nodetype.sch 1248 */
				obj_t BgL_classz00_4984;

				BgL_classz00_4984 = BGl_conditionalz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1248 */
					obj_t BgL__ortest_1113z00_4985;

					BgL__ortest_1113z00_4985 = BGL_CLASS_NIL(BgL_classz00_4984);
					if (CBOOL(BgL__ortest_1113z00_4985))
						{	/* Ast/nodetype.sch 1248 */
							return ((BgL_conditionalz00_bglt) BgL__ortest_1113z00_4985);
						}
					else
						{	/* Ast/nodetype.sch 1248 */
							return
								((BgL_conditionalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4984));
						}
				}
			}
		}

	}



/* &conditional-nil */
	BgL_conditionalz00_bglt BGl_z62conditionalzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7208)
	{
		{	/* Ast/nodetype.sch 1248 */
			return BGl_conditionalzd2nilzd2zzast_nodez00();
		}

	}



/* conditional-false */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_754)
	{
		{	/* Ast/nodetype.sch 1249 */
			return (((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_754))->BgL_falsez00);
		}

	}



/* &conditional-false */
	BgL_nodez00_bglt BGl_z62conditionalzd2falsezb0zzast_nodez00(obj_t
		BgL_envz00_7209, obj_t BgL_oz00_7210)
	{
		{	/* Ast/nodetype.sch 1249 */
			return
				BGl_conditionalzd2falsezd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7210));
		}

	}



/* conditional-false-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_755, BgL_nodez00_bglt BgL_vz00_756)
	{
		{	/* Ast/nodetype.sch 1250 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_755))->BgL_falsez00) =
				((BgL_nodez00_bglt) BgL_vz00_756), BUNSPEC);
		}

	}



/* &conditional-false-set! */
	obj_t BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7211, obj_t BgL_oz00_7212, obj_t BgL_vz00_7213)
	{
		{	/* Ast/nodetype.sch 1250 */
			return
				BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7212),
				((BgL_nodez00_bglt) BgL_vz00_7213));
		}

	}



/* conditional-true */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_757)
	{
		{	/* Ast/nodetype.sch 1251 */
			return (((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_757))->BgL_truez00);
		}

	}



/* &conditional-true */
	BgL_nodez00_bglt BGl_z62conditionalzd2truezb0zzast_nodez00(obj_t
		BgL_envz00_7214, obj_t BgL_oz00_7215)
	{
		{	/* Ast/nodetype.sch 1251 */
			return
				BGl_conditionalzd2truezd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7215));
		}

	}



/* conditional-true-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_758, BgL_nodez00_bglt BgL_vz00_759)
	{
		{	/* Ast/nodetype.sch 1252 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_758))->BgL_truez00) =
				((BgL_nodez00_bglt) BgL_vz00_759), BUNSPEC);
		}

	}



/* &conditional-true-set! */
	obj_t BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7216, obj_t BgL_oz00_7217, obj_t BgL_vz00_7218)
	{
		{	/* Ast/nodetype.sch 1252 */
			return
				BGl_conditionalzd2truezd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7217),
				((BgL_nodez00_bglt) BgL_vz00_7218));
		}

	}



/* conditional-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_760)
	{
		{	/* Ast/nodetype.sch 1253 */
			return (((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_760))->BgL_testz00);
		}

	}



/* &conditional-test */
	BgL_nodez00_bglt BGl_z62conditionalzd2testzb0zzast_nodez00(obj_t
		BgL_envz00_7219, obj_t BgL_oz00_7220)
	{
		{	/* Ast/nodetype.sch 1253 */
			return
				BGl_conditionalzd2testzd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7220));
		}

	}



/* conditional-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_761, BgL_nodez00_bglt BgL_vz00_762)
	{
		{	/* Ast/nodetype.sch 1254 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_761))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_762), BUNSPEC);
		}

	}



/* &conditional-test-set! */
	obj_t BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7221, obj_t BgL_oz00_7222, obj_t BgL_vz00_7223)
	{
		{	/* Ast/nodetype.sch 1254 */
			return
				BGl_conditionalzd2testzd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7222),
				((BgL_nodez00_bglt) BgL_vz00_7223));
		}

	}



/* conditional-key */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2keyzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_763)
	{
		{	/* Ast/nodetype.sch 1255 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_763)))->BgL_keyz00);
		}

	}



/* &conditional-key */
	obj_t BGl_z62conditionalzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7224,
		obj_t BgL_oz00_7225)
	{
		{	/* Ast/nodetype.sch 1255 */
			return
				BGl_conditionalzd2keyzd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7225));
		}

	}



/* conditional-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_764, obj_t BgL_vz00_765)
	{
		{	/* Ast/nodetype.sch 1256 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_764)))->BgL_keyz00) =
				((obj_t) BgL_vz00_765), BUNSPEC);
		}

	}



/* &conditional-key-set! */
	obj_t BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7226,
		obj_t BgL_oz00_7227, obj_t BgL_vz00_7228)
	{
		{	/* Ast/nodetype.sch 1256 */
			return
				BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7227), BgL_vz00_7228);
		}

	}



/* conditional-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2sidezd2effectz00zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_766)
	{
		{	/* Ast/nodetype.sch 1257 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_766)))->BgL_sidezd2effectzd2);
		}

	}



/* &conditional-side-effect */
	obj_t BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00(obj_t
		BgL_envz00_7229, obj_t BgL_oz00_7230)
	{
		{	/* Ast/nodetype.sch 1257 */
			return
				BGl_conditionalzd2sidezd2effectz00zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7230));
		}

	}



/* conditional-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_conditionalz00_bglt BgL_oz00_767, obj_t BgL_vz00_768)
	{
		{	/* Ast/nodetype.sch 1258 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_767)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_768), BUNSPEC);
		}

	}



/* &conditional-side-effect-set! */
	obj_t BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7231, obj_t BgL_oz00_7232, obj_t BgL_vz00_7233)
	{
		{	/* Ast/nodetype.sch 1258 */
			return
				BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7232), BgL_vz00_7233);
		}

	}



/* conditional-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_conditionalzd2typezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_769)
	{
		{	/* Ast/nodetype.sch 1259 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_769)))->BgL_typez00);
		}

	}



/* &conditional-type */
	BgL_typez00_bglt BGl_z62conditionalzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_7234, obj_t BgL_oz00_7235)
	{
		{	/* Ast/nodetype.sch 1259 */
			return
				BGl_conditionalzd2typezd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7235));
		}

	}



/* conditional-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2typezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_770, BgL_typez00_bglt BgL_vz00_771)
	{
		{	/* Ast/nodetype.sch 1260 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_770)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_771), BUNSPEC);
		}

	}



/* &conditional-type-set! */
	obj_t BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7236, obj_t BgL_oz00_7237, obj_t BgL_vz00_7238)
	{
		{	/* Ast/nodetype.sch 1260 */
			return
				BGl_conditionalzd2typezd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7237),
				((BgL_typez00_bglt) BgL_vz00_7238));
		}

	}



/* conditional-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2loczd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_772)
	{
		{	/* Ast/nodetype.sch 1261 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_772)))->BgL_locz00);
		}

	}



/* &conditional-loc */
	obj_t BGl_z62conditionalzd2loczb0zzast_nodez00(obj_t BgL_envz00_7239,
		obj_t BgL_oz00_7240)
	{
		{	/* Ast/nodetype.sch 1261 */
			return
				BGl_conditionalzd2loczd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7240));
		}

	}



/* make-fail */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t
		BgL_loc1508z00_775, BgL_typez00_bglt BgL_type1509z00_776,
		BgL_nodez00_bglt BgL_proc1510z00_777, BgL_nodez00_bglt BgL_msg1511z00_778,
		BgL_nodez00_bglt BgL_obj1512z00_779)
	{
		{	/* Ast/nodetype.sch 1265 */
			{	/* Ast/nodetype.sch 1265 */
				BgL_failz00_bglt BgL_new1492z00_9351;

				{	/* Ast/nodetype.sch 1265 */
					BgL_failz00_bglt BgL_new1491z00_9352;

					BgL_new1491z00_9352 =
						((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/nodetype.sch 1265 */
						long BgL_arg1849z00_9353;

						BgL_arg1849z00_9353 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1491z00_9352), BgL_arg1849z00_9353);
					}
					{	/* Ast/nodetype.sch 1265 */
						BgL_objectz00_bglt BgL_tmpz00_13152;

						BgL_tmpz00_13152 = ((BgL_objectz00_bglt) BgL_new1491z00_9352);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13152, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1491z00_9352);
					BgL_new1492z00_9351 = BgL_new1491z00_9352;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1492z00_9351)))->BgL_locz00) =
					((obj_t) BgL_loc1508z00_775), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1492z00_9351)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1509z00_776), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1492z00_9351))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_proc1510z00_777), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1492z00_9351))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_msg1511z00_778), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1492z00_9351))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_obj1512z00_779), BUNSPEC);
				return BgL_new1492z00_9351;
			}
		}

	}



/* &make-fail */
	BgL_failz00_bglt BGl_z62makezd2failzb0zzast_nodez00(obj_t BgL_envz00_7241,
		obj_t BgL_loc1508z00_7242, obj_t BgL_type1509z00_7243,
		obj_t BgL_proc1510z00_7244, obj_t BgL_msg1511z00_7245,
		obj_t BgL_obj1512z00_7246)
	{
		{	/* Ast/nodetype.sch 1265 */
			return
				BGl_makezd2failzd2zzast_nodez00(BgL_loc1508z00_7242,
				((BgL_typez00_bglt) BgL_type1509z00_7243),
				((BgL_nodez00_bglt) BgL_proc1510z00_7244),
				((BgL_nodez00_bglt) BgL_msg1511z00_7245),
				((BgL_nodez00_bglt) BgL_obj1512z00_7246));
		}

	}



/* fail? */
	BGL_EXPORTED_DEF bool_t BGl_failzf3zf3zzast_nodez00(obj_t BgL_objz00_780)
	{
		{	/* Ast/nodetype.sch 1266 */
			{	/* Ast/nodetype.sch 1266 */
				obj_t BgL_classz00_9354;

				BgL_classz00_9354 = BGl_failz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_780))
					{	/* Ast/nodetype.sch 1266 */
						BgL_objectz00_bglt BgL_arg1820z00_9355;

						BgL_arg1820z00_9355 = (BgL_objectz00_bglt) (BgL_objz00_780);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1266 */
								long BgL_idxz00_9356;

								BgL_idxz00_9356 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9355);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9356 + ((long) 2))) == BgL_classz00_9354);
							}
						else
							{	/* Ast/nodetype.sch 1266 */
								bool_t BgL_res2990z00_9359;

								{	/* Ast/nodetype.sch 1266 */
									obj_t BgL_oclassz00_9360;

									{	/* Ast/nodetype.sch 1266 */
										long BgL_arg1828z00_9361;

										{	/* Ast/nodetype.sch 1266 */
											long BgL_arg1829z00_9362;

											BgL_arg1829z00_9362 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9355);
											BgL_arg1828z00_9361 = (BgL_arg1829z00_9362 - OBJECT_TYPE);
										}
										BgL_oclassz00_9360 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9361);
									}
									{	/* Ast/nodetype.sch 1266 */
										bool_t BgL__ortest_1111z00_9363;

										BgL__ortest_1111z00_9363 =
											(BgL_classz00_9354 == BgL_oclassz00_9360);
										if (BgL__ortest_1111z00_9363)
											{	/* Ast/nodetype.sch 1266 */
												BgL_res2990z00_9359 = BgL__ortest_1111z00_9363;
											}
										else
											{	/* Ast/nodetype.sch 1266 */
												long BgL_odepthz00_9364;

												BgL_odepthz00_9364 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9360);
												if ((((long) 2) < BgL_odepthz00_9364))
													{	/* Ast/nodetype.sch 1266 */
														obj_t BgL_arg1816z00_9365;

														BgL_arg1816z00_9365 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9360,
															((long) 2));
														BgL_res2990z00_9359 =
															(BgL_arg1816z00_9365 == BgL_classz00_9354);
													}
												else
													{	/* Ast/nodetype.sch 1266 */
														BgL_res2990z00_9359 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2990z00_9359;
							}
					}
				else
					{	/* Ast/nodetype.sch 1266 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &fail? */
	obj_t BGl_z62failzf3z91zzast_nodez00(obj_t BgL_envz00_7247,
		obj_t BgL_objz00_7248)
	{
		{	/* Ast/nodetype.sch 1266 */
			return BBOOL(BGl_failzf3zf3zzast_nodez00(BgL_objz00_7248));
		}

	}



/* fail-nil */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_failzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1267 */
			{	/* Ast/nodetype.sch 1267 */
				obj_t BgL_classz00_5024;

				BgL_classz00_5024 = BGl_failz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1267 */
					obj_t BgL__ortest_1113z00_5025;

					BgL__ortest_1113z00_5025 = BGL_CLASS_NIL(BgL_classz00_5024);
					if (CBOOL(BgL__ortest_1113z00_5025))
						{	/* Ast/nodetype.sch 1267 */
							return ((BgL_failz00_bglt) BgL__ortest_1113z00_5025);
						}
					else
						{	/* Ast/nodetype.sch 1267 */
							return
								((BgL_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5024));
						}
				}
			}
		}

	}



/* &fail-nil */
	BgL_failz00_bglt BGl_z62failzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7249)
	{
		{	/* Ast/nodetype.sch 1267 */
			return BGl_failzd2nilzd2zzast_nodez00();
		}

	}



/* fail-obj */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_781)
	{
		{	/* Ast/nodetype.sch 1268 */
			return (((BgL_failz00_bglt) COBJECT(BgL_oz00_781))->BgL_objz00);
		}

	}



/* &fail-obj */
	BgL_nodez00_bglt BGl_z62failzd2objzb0zzast_nodez00(obj_t BgL_envz00_7250,
		obj_t BgL_oz00_7251)
	{
		{	/* Ast/nodetype.sch 1268 */
			return BGl_failzd2objzd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7251));
		}

	}



/* fail-obj-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_782,
		BgL_nodez00_bglt BgL_vz00_783)
	{
		{	/* Ast/nodetype.sch 1269 */
			return
				((((BgL_failz00_bglt) COBJECT(BgL_oz00_782))->BgL_objz00) =
				((BgL_nodez00_bglt) BgL_vz00_783), BUNSPEC);
		}

	}



/* &fail-obj-set! */
	obj_t BGl_z62failzd2objzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7252,
		obj_t BgL_oz00_7253, obj_t BgL_vz00_7254)
	{
		{	/* Ast/nodetype.sch 1269 */
			return
				BGl_failzd2objzd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_7253), ((BgL_nodez00_bglt) BgL_vz00_7254));
		}

	}



/* fail-msg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_784)
	{
		{	/* Ast/nodetype.sch 1270 */
			return (((BgL_failz00_bglt) COBJECT(BgL_oz00_784))->BgL_msgz00);
		}

	}



/* &fail-msg */
	BgL_nodez00_bglt BGl_z62failzd2msgzb0zzast_nodez00(obj_t BgL_envz00_7255,
		obj_t BgL_oz00_7256)
	{
		{	/* Ast/nodetype.sch 1270 */
			return BGl_failzd2msgzd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7256));
		}

	}



/* fail-msg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_785,
		BgL_nodez00_bglt BgL_vz00_786)
	{
		{	/* Ast/nodetype.sch 1271 */
			return
				((((BgL_failz00_bglt) COBJECT(BgL_oz00_785))->BgL_msgz00) =
				((BgL_nodez00_bglt) BgL_vz00_786), BUNSPEC);
		}

	}



/* &fail-msg-set! */
	obj_t BGl_z62failzd2msgzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7257,
		obj_t BgL_oz00_7258, obj_t BgL_vz00_7259)
	{
		{	/* Ast/nodetype.sch 1271 */
			return
				BGl_failzd2msgzd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_7258), ((BgL_nodez00_bglt) BgL_vz00_7259));
		}

	}



/* fail-proc */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_787)
	{
		{	/* Ast/nodetype.sch 1272 */
			return (((BgL_failz00_bglt) COBJECT(BgL_oz00_787))->BgL_procz00);
		}

	}



/* &fail-proc */
	BgL_nodez00_bglt BGl_z62failzd2proczb0zzast_nodez00(obj_t BgL_envz00_7260,
		obj_t BgL_oz00_7261)
	{
		{	/* Ast/nodetype.sch 1272 */
			return
				BGl_failzd2proczd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7261));
		}

	}



/* fail-proc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_788,
		BgL_nodez00_bglt BgL_vz00_789)
	{
		{	/* Ast/nodetype.sch 1273 */
			return
				((((BgL_failz00_bglt) COBJECT(BgL_oz00_788))->BgL_procz00) =
				((BgL_nodez00_bglt) BgL_vz00_789), BUNSPEC);
		}

	}



/* &fail-proc-set! */
	obj_t BGl_z62failzd2proczd2setz12z70zzast_nodez00(obj_t BgL_envz00_7262,
		obj_t BgL_oz00_7263, obj_t BgL_vz00_7264)
	{
		{	/* Ast/nodetype.sch 1273 */
			return
				BGl_failzd2proczd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_7263), ((BgL_nodez00_bglt) BgL_vz00_7264));
		}

	}



/* fail-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_failzd2typezd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_790)
	{
		{	/* Ast/nodetype.sch 1274 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_790)))->BgL_typez00);
		}

	}



/* &fail-type */
	BgL_typez00_bglt BGl_z62failzd2typezb0zzast_nodez00(obj_t BgL_envz00_7265,
		obj_t BgL_oz00_7266)
	{
		{	/* Ast/nodetype.sch 1274 */
			return
				BGl_failzd2typezd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7266));
		}

	}



/* fail-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2typezd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_791,
		BgL_typez00_bglt BgL_vz00_792)
	{
		{	/* Ast/nodetype.sch 1275 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_791)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_792), BUNSPEC);
		}

	}



/* &fail-type-set! */
	obj_t BGl_z62failzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7267,
		obj_t BgL_oz00_7268, obj_t BgL_vz00_7269)
	{
		{	/* Ast/nodetype.sch 1275 */
			return
				BGl_failzd2typezd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_7268), ((BgL_typez00_bglt) BgL_vz00_7269));
		}

	}



/* fail-loc */
	BGL_EXPORTED_DEF obj_t BGl_failzd2loczd2zzast_nodez00(BgL_failz00_bglt
		BgL_oz00_793)
	{
		{	/* Ast/nodetype.sch 1276 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_793)))->BgL_locz00);
		}

	}



/* &fail-loc */
	obj_t BGl_z62failzd2loczb0zzast_nodez00(obj_t BgL_envz00_7270,
		obj_t BgL_oz00_7271)
	{
		{	/* Ast/nodetype.sch 1276 */
			return BGl_failzd2loczd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7271));
		}

	}



/* make-switch */
	BGL_EXPORTED_DEF BgL_switchz00_bglt BGl_makezd2switchzd2zzast_nodez00(obj_t
		BgL_loc1500z00_796, BgL_typez00_bglt BgL_type1501z00_797,
		obj_t BgL_sidezd2effect1502zd2_798, obj_t BgL_key1503z00_799,
		BgL_nodez00_bglt BgL_test1504z00_800, obj_t BgL_clauses1505z00_801,
		BgL_typez00_bglt BgL_itemzd2type1506zd2_802)
	{
		{	/* Ast/nodetype.sch 1280 */
			{	/* Ast/nodetype.sch 1280 */
				BgL_switchz00_bglt BgL_new1494z00_9366;

				{	/* Ast/nodetype.sch 1280 */
					BgL_switchz00_bglt BgL_new1493z00_9367;

					BgL_new1493z00_9367 =
						((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchz00_bgl))));
					{	/* Ast/nodetype.sch 1280 */
						long BgL_arg1850z00_9368;

						BgL_arg1850z00_9368 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1493z00_9367), BgL_arg1850z00_9368);
					}
					{	/* Ast/nodetype.sch 1280 */
						BgL_objectz00_bglt BgL_tmpz00_13234;

						BgL_tmpz00_13234 = ((BgL_objectz00_bglt) BgL_new1493z00_9367);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13234, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1493z00_9367);
					BgL_new1494z00_9366 = BgL_new1493z00_9367;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1494z00_9366)))->BgL_locz00) =
					((obj_t) BgL_loc1500z00_796), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1494z00_9366)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1501z00_797), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1494z00_9366)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1502zd2_798), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1494z00_9366)))->BgL_keyz00) =
					((obj_t) BgL_key1503z00_799), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1494z00_9366))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1504z00_800), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1494z00_9366))->BgL_clausesz00) =
					((obj_t) BgL_clauses1505z00_801), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1494z00_9366))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_itemzd2type1506zd2_802), BUNSPEC);
				return BgL_new1494z00_9366;
			}
		}

	}



/* &make-switch */
	BgL_switchz00_bglt BGl_z62makezd2switchzb0zzast_nodez00(obj_t BgL_envz00_7272,
		obj_t BgL_loc1500z00_7273, obj_t BgL_type1501z00_7274,
		obj_t BgL_sidezd2effect1502zd2_7275, obj_t BgL_key1503z00_7276,
		obj_t BgL_test1504z00_7277, obj_t BgL_clauses1505z00_7278,
		obj_t BgL_itemzd2type1506zd2_7279)
	{
		{	/* Ast/nodetype.sch 1280 */
			return
				BGl_makezd2switchzd2zzast_nodez00(BgL_loc1500z00_7273,
				((BgL_typez00_bglt) BgL_type1501z00_7274),
				BgL_sidezd2effect1502zd2_7275, BgL_key1503z00_7276,
				((BgL_nodez00_bglt) BgL_test1504z00_7277), BgL_clauses1505z00_7278,
				((BgL_typez00_bglt) BgL_itemzd2type1506zd2_7279));
		}

	}



/* switch? */
	BGL_EXPORTED_DEF bool_t BGl_switchzf3zf3zzast_nodez00(obj_t BgL_objz00_803)
	{
		{	/* Ast/nodetype.sch 1281 */
			{	/* Ast/nodetype.sch 1281 */
				obj_t BgL_classz00_9369;

				BgL_classz00_9369 = BGl_switchz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_803))
					{	/* Ast/nodetype.sch 1281 */
						BgL_objectz00_bglt BgL_arg1820z00_9370;

						BgL_arg1820z00_9370 = (BgL_objectz00_bglt) (BgL_objz00_803);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1281 */
								long BgL_idxz00_9371;

								BgL_idxz00_9371 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9370);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9371 + ((long) 3))) == BgL_classz00_9369);
							}
						else
							{	/* Ast/nodetype.sch 1281 */
								bool_t BgL_res2991z00_9374;

								{	/* Ast/nodetype.sch 1281 */
									obj_t BgL_oclassz00_9375;

									{	/* Ast/nodetype.sch 1281 */
										long BgL_arg1828z00_9376;

										{	/* Ast/nodetype.sch 1281 */
											long BgL_arg1829z00_9377;

											BgL_arg1829z00_9377 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9370);
											BgL_arg1828z00_9376 = (BgL_arg1829z00_9377 - OBJECT_TYPE);
										}
										BgL_oclassz00_9375 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9376);
									}
									{	/* Ast/nodetype.sch 1281 */
										bool_t BgL__ortest_1111z00_9378;

										BgL__ortest_1111z00_9378 =
											(BgL_classz00_9369 == BgL_oclassz00_9375);
										if (BgL__ortest_1111z00_9378)
											{	/* Ast/nodetype.sch 1281 */
												BgL_res2991z00_9374 = BgL__ortest_1111z00_9378;
											}
										else
											{	/* Ast/nodetype.sch 1281 */
												long BgL_odepthz00_9379;

												BgL_odepthz00_9379 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9375);
												if ((((long) 3) < BgL_odepthz00_9379))
													{	/* Ast/nodetype.sch 1281 */
														obj_t BgL_arg1816z00_9380;

														BgL_arg1816z00_9380 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9375,
															((long) 3));
														BgL_res2991z00_9374 =
															(BgL_arg1816z00_9380 == BgL_classz00_9369);
													}
												else
													{	/* Ast/nodetype.sch 1281 */
														BgL_res2991z00_9374 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2991z00_9374;
							}
					}
				else
					{	/* Ast/nodetype.sch 1281 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &switch? */
	obj_t BGl_z62switchzf3z91zzast_nodez00(obj_t BgL_envz00_7280,
		obj_t BgL_objz00_7281)
	{
		{	/* Ast/nodetype.sch 1281 */
			return BBOOL(BGl_switchzf3zf3zzast_nodez00(BgL_objz00_7281));
		}

	}



/* switch-nil */
	BGL_EXPORTED_DEF BgL_switchz00_bglt BGl_switchzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1282 */
			{	/* Ast/nodetype.sch 1282 */
				obj_t BgL_classz00_5064;

				BgL_classz00_5064 = BGl_switchz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1282 */
					obj_t BgL__ortest_1113z00_5065;

					BgL__ortest_1113z00_5065 = BGL_CLASS_NIL(BgL_classz00_5064);
					if (CBOOL(BgL__ortest_1113z00_5065))
						{	/* Ast/nodetype.sch 1282 */
							return ((BgL_switchz00_bglt) BgL__ortest_1113z00_5065);
						}
					else
						{	/* Ast/nodetype.sch 1282 */
							return
								((BgL_switchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5064));
						}
				}
			}
		}

	}



/* &switch-nil */
	BgL_switchz00_bglt BGl_z62switchzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7282)
	{
		{	/* Ast/nodetype.sch 1282 */
			return BGl_switchzd2nilzd2zzast_nodez00();
		}

	}



/* switch-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzd2itemzd2typez00zzast_nodez00(BgL_switchz00_bglt BgL_oz00_804)
	{
		{	/* Ast/nodetype.sch 1283 */
			return (((BgL_switchz00_bglt) COBJECT(BgL_oz00_804))->BgL_itemzd2typezd2);
		}

	}



/* &switch-item-type */
	BgL_typez00_bglt BGl_z62switchzd2itemzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7283, obj_t BgL_oz00_7284)
	{
		{	/* Ast/nodetype.sch 1283 */
			return
				BGl_switchzd2itemzd2typez00zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7284));
		}

	}



/* switch-item-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2itemzd2typezd2setz12zc0zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_805, BgL_typez00_bglt BgL_vz00_806)
	{
		{	/* Ast/nodetype.sch 1284 */
			return
				((((BgL_switchz00_bglt) COBJECT(BgL_oz00_805))->BgL_itemzd2typezd2) =
				((BgL_typez00_bglt) BgL_vz00_806), BUNSPEC);
		}

	}



/* &switch-item-type-set! */
	obj_t BGl_z62switchzd2itemzd2typezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7285, obj_t BgL_oz00_7286, obj_t BgL_vz00_7287)
	{
		{	/* Ast/nodetype.sch 1284 */
			return
				BGl_switchzd2itemzd2typezd2setz12zc0zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7286),
				((BgL_typez00_bglt) BgL_vz00_7287));
		}

	}



/* switch-clauses */
	BGL_EXPORTED_DEF obj_t BGl_switchzd2clauseszd2zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_807)
	{
		{	/* Ast/nodetype.sch 1285 */
			return (((BgL_switchz00_bglt) COBJECT(BgL_oz00_807))->BgL_clausesz00);
		}

	}



/* &switch-clauses */
	obj_t BGl_z62switchzd2clauseszb0zzast_nodez00(obj_t BgL_envz00_7288,
		obj_t BgL_oz00_7289)
	{
		{	/* Ast/nodetype.sch 1285 */
			return
				BGl_switchzd2clauseszd2zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7289));
		}

	}



/* switch-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_switchzd2testzd2zzast_nodez00(BgL_switchz00_bglt BgL_oz00_810)
	{
		{	/* Ast/nodetype.sch 1287 */
			return (((BgL_switchz00_bglt) COBJECT(BgL_oz00_810))->BgL_testz00);
		}

	}



/* &switch-test */
	BgL_nodez00_bglt BGl_z62switchzd2testzb0zzast_nodez00(obj_t BgL_envz00_7290,
		obj_t BgL_oz00_7291)
	{
		{	/* Ast/nodetype.sch 1287 */
			return
				BGl_switchzd2testzd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_7291));
		}

	}



/* switch-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2testzd2setz12z12zzast_nodez00(BgL_switchz00_bglt BgL_oz00_811,
		BgL_nodez00_bglt BgL_vz00_812)
	{
		{	/* Ast/nodetype.sch 1288 */
			return
				((((BgL_switchz00_bglt) COBJECT(BgL_oz00_811))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_812), BUNSPEC);
		}

	}



/* &switch-test-set! */
	obj_t BGl_z62switchzd2testzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7292,
		obj_t BgL_oz00_7293, obj_t BgL_vz00_7294)
	{
		{	/* Ast/nodetype.sch 1288 */
			return
				BGl_switchzd2testzd2setz12z12zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7293),
				((BgL_nodez00_bglt) BgL_vz00_7294));
		}

	}



/* switch-key */
	BGL_EXPORTED_DEF obj_t BGl_switchzd2keyzd2zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_813)
	{
		{	/* Ast/nodetype.sch 1289 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_813)))->BgL_keyz00);
		}

	}



/* &switch-key */
	obj_t BGl_z62switchzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7295,
		obj_t BgL_oz00_7296)
	{
		{	/* Ast/nodetype.sch 1289 */
			return
				BGl_switchzd2keyzd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_7296));
		}

	}



/* switch-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2keyzd2setz12z12zzast_nodez00(BgL_switchz00_bglt BgL_oz00_814,
		obj_t BgL_vz00_815)
	{
		{	/* Ast/nodetype.sch 1290 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_814)))->BgL_keyz00) =
				((obj_t) BgL_vz00_815), BUNSPEC);
		}

	}



/* &switch-key-set! */
	obj_t BGl_z62switchzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7297,
		obj_t BgL_oz00_7298, obj_t BgL_vz00_7299)
	{
		{	/* Ast/nodetype.sch 1290 */
			return
				BGl_switchzd2keyzd2setz12z12zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7298), BgL_vz00_7299);
		}

	}



/* switch-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2sidezd2effectz00zzast_nodez00(BgL_switchz00_bglt BgL_oz00_816)
	{
		{	/* Ast/nodetype.sch 1291 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_816)))->BgL_sidezd2effectzd2);
		}

	}



/* &switch-side-effect */
	obj_t BGl_z62switchzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_7300,
		obj_t BgL_oz00_7301)
	{
		{	/* Ast/nodetype.sch 1291 */
			return
				BGl_switchzd2sidezd2effectz00zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7301));
		}

	}



/* switch-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_817, obj_t BgL_vz00_818)
	{
		{	/* Ast/nodetype.sch 1292 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_817)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_818), BUNSPEC);
		}

	}



/* &switch-side-effect-set! */
	obj_t BGl_z62switchzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7302, obj_t BgL_oz00_7303, obj_t BgL_vz00_7304)
	{
		{	/* Ast/nodetype.sch 1292 */
			return
				BGl_switchzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7303), BgL_vz00_7304);
		}

	}



/* switch-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzd2typezd2zzast_nodez00(BgL_switchz00_bglt BgL_oz00_819)
	{
		{	/* Ast/nodetype.sch 1293 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_819)))->BgL_typez00);
		}

	}



/* &switch-type */
	BgL_typez00_bglt BGl_z62switchzd2typezb0zzast_nodez00(obj_t BgL_envz00_7305,
		obj_t BgL_oz00_7306)
	{
		{	/* Ast/nodetype.sch 1293 */
			return
				BGl_switchzd2typezd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_7306));
		}

	}



/* switch-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2typezd2setz12z12zzast_nodez00(BgL_switchz00_bglt BgL_oz00_820,
		BgL_typez00_bglt BgL_vz00_821)
	{
		{	/* Ast/nodetype.sch 1294 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_820)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_821), BUNSPEC);
		}

	}



/* &switch-type-set! */
	obj_t BGl_z62switchzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7307,
		obj_t BgL_oz00_7308, obj_t BgL_vz00_7309)
	{
		{	/* Ast/nodetype.sch 1294 */
			return
				BGl_switchzd2typezd2setz12z12zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7308),
				((BgL_typez00_bglt) BgL_vz00_7309));
		}

	}



/* switch-loc */
	BGL_EXPORTED_DEF obj_t BGl_switchzd2loczd2zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_822)
	{
		{	/* Ast/nodetype.sch 1295 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_822)))->BgL_locz00);
		}

	}



/* &switch-loc */
	obj_t BGl_z62switchzd2loczb0zzast_nodez00(obj_t BgL_envz00_7310,
		obj_t BgL_oz00_7311)
	{
		{	/* Ast/nodetype.sch 1295 */
			return
				BGl_switchzd2loczd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_7311));
		}

	}



/* make-let-fun */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_makezd2letzd2funz00zzast_nodez00(obj_t BgL_loc1493z00_825,
		BgL_typez00_bglt BgL_type1494z00_826, obj_t BgL_sidezd2effect1495zd2_827,
		obj_t BgL_key1496z00_828, obj_t BgL_locals1497z00_829,
		BgL_nodez00_bglt BgL_body1498z00_830)
	{
		{	/* Ast/nodetype.sch 1299 */
			{	/* Ast/nodetype.sch 1299 */
				BgL_letzd2funzd2_bglt BgL_new1496z00_9381;

				{	/* Ast/nodetype.sch 1299 */
					BgL_letzd2funzd2_bglt BgL_new1495z00_9382;

					BgL_new1495z00_9382 =
						((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/nodetype.sch 1299 */
						long BgL_arg1851z00_9383;

						BgL_arg1851z00_9383 = BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1495z00_9382), BgL_arg1851z00_9383);
					}
					{	/* Ast/nodetype.sch 1299 */
						BgL_objectz00_bglt BgL_tmpz00_13331;

						BgL_tmpz00_13331 = ((BgL_objectz00_bglt) BgL_new1495z00_9382);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13331, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1495z00_9382);
					BgL_new1496z00_9381 = BgL_new1495z00_9382;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1496z00_9381)))->BgL_locz00) =
					((obj_t) BgL_loc1493z00_825), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1496z00_9381)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1494z00_826), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1496z00_9381)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1495zd2_827), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1496z00_9381)))->BgL_keyz00) =
					((obj_t) BgL_key1496z00_828), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1496z00_9381))->
						BgL_localsz00) = ((obj_t) BgL_locals1497z00_829), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1496z00_9381))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1498z00_830), BUNSPEC);
				return BgL_new1496z00_9381;
			}
		}

	}



/* &make-let-fun */
	BgL_letzd2funzd2_bglt BGl_z62makezd2letzd2funz62zzast_nodez00(obj_t
		BgL_envz00_7312, obj_t BgL_loc1493z00_7313, obj_t BgL_type1494z00_7314,
		obj_t BgL_sidezd2effect1495zd2_7315, obj_t BgL_key1496z00_7316,
		obj_t BgL_locals1497z00_7317, obj_t BgL_body1498z00_7318)
	{
		{	/* Ast/nodetype.sch 1299 */
			return
				BGl_makezd2letzd2funz00zzast_nodez00(BgL_loc1493z00_7313,
				((BgL_typez00_bglt) BgL_type1494z00_7314),
				BgL_sidezd2effect1495zd2_7315, BgL_key1496z00_7316,
				BgL_locals1497z00_7317, ((BgL_nodez00_bglt) BgL_body1498z00_7318));
		}

	}



/* let-fun? */
	BGL_EXPORTED_DEF bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t BgL_objz00_831)
	{
		{	/* Ast/nodetype.sch 1300 */
			{	/* Ast/nodetype.sch 1300 */
				obj_t BgL_classz00_9384;

				BgL_classz00_9384 = BGl_letzd2funzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_831))
					{	/* Ast/nodetype.sch 1300 */
						BgL_objectz00_bglt BgL_arg1820z00_9385;

						BgL_arg1820z00_9385 = (BgL_objectz00_bglt) (BgL_objz00_831);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1300 */
								long BgL_idxz00_9386;

								BgL_idxz00_9386 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9385);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9386 + ((long) 3))) == BgL_classz00_9384);
							}
						else
							{	/* Ast/nodetype.sch 1300 */
								bool_t BgL_res2992z00_9389;

								{	/* Ast/nodetype.sch 1300 */
									obj_t BgL_oclassz00_9390;

									{	/* Ast/nodetype.sch 1300 */
										long BgL_arg1828z00_9391;

										{	/* Ast/nodetype.sch 1300 */
											long BgL_arg1829z00_9392;

											BgL_arg1829z00_9392 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9385);
											BgL_arg1828z00_9391 = (BgL_arg1829z00_9392 - OBJECT_TYPE);
										}
										BgL_oclassz00_9390 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9391);
									}
									{	/* Ast/nodetype.sch 1300 */
										bool_t BgL__ortest_1111z00_9393;

										BgL__ortest_1111z00_9393 =
											(BgL_classz00_9384 == BgL_oclassz00_9390);
										if (BgL__ortest_1111z00_9393)
											{	/* Ast/nodetype.sch 1300 */
												BgL_res2992z00_9389 = BgL__ortest_1111z00_9393;
											}
										else
											{	/* Ast/nodetype.sch 1300 */
												long BgL_odepthz00_9394;

												BgL_odepthz00_9394 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9390);
												if ((((long) 3) < BgL_odepthz00_9394))
													{	/* Ast/nodetype.sch 1300 */
														obj_t BgL_arg1816z00_9395;

														BgL_arg1816z00_9395 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9390,
															((long) 3));
														BgL_res2992z00_9389 =
															(BgL_arg1816z00_9395 == BgL_classz00_9384);
													}
												else
													{	/* Ast/nodetype.sch 1300 */
														BgL_res2992z00_9389 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2992z00_9389;
							}
					}
				else
					{	/* Ast/nodetype.sch 1300 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &let-fun? */
	obj_t BGl_z62letzd2funzf3z43zzast_nodez00(obj_t BgL_envz00_7319,
		obj_t BgL_objz00_7320)
	{
		{	/* Ast/nodetype.sch 1300 */
			return BBOOL(BGl_letzd2funzf3z21zzast_nodez00(BgL_objz00_7320));
		}

	}



/* let-fun-nil */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_letzd2funzd2nilz00zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1301 */
			{	/* Ast/nodetype.sch 1301 */
				obj_t BgL_classz00_5104;

				BgL_classz00_5104 = BGl_letzd2funzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1301 */
					obj_t BgL__ortest_1113z00_5105;

					BgL__ortest_1113z00_5105 = BGL_CLASS_NIL(BgL_classz00_5104);
					if (CBOOL(BgL__ortest_1113z00_5105))
						{	/* Ast/nodetype.sch 1301 */
							return ((BgL_letzd2funzd2_bglt) BgL__ortest_1113z00_5105);
						}
					else
						{	/* Ast/nodetype.sch 1301 */
							return
								((BgL_letzd2funzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5104));
						}
				}
			}
		}

	}



/* &let-fun-nil */
	BgL_letzd2funzd2_bglt BGl_z62letzd2funzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7321)
	{
		{	/* Ast/nodetype.sch 1301 */
			return BGl_letzd2funzd2nilz00zzast_nodez00();
		}

	}



/* let-fun-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_832)
	{
		{	/* Ast/nodetype.sch 1302 */
			return (((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_832))->BgL_bodyz00);
		}

	}



/* &let-fun-body */
	BgL_nodez00_bglt BGl_z62letzd2funzd2bodyz62zzast_nodez00(obj_t
		BgL_envz00_7322, obj_t BgL_oz00_7323)
	{
		{	/* Ast/nodetype.sch 1302 */
			return
				BGl_letzd2funzd2bodyz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7323));
		}

	}



/* let-fun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_833, BgL_nodez00_bglt BgL_vz00_834)
	{
		{	/* Ast/nodetype.sch 1303 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_833))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_834), BUNSPEC);
		}

	}



/* &let-fun-body-set! */
	obj_t BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7324,
		obj_t BgL_oz00_7325, obj_t BgL_vz00_7326)
	{
		{	/* Ast/nodetype.sch 1303 */
			return
				BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7325),
				((BgL_nodez00_bglt) BgL_vz00_7326));
		}

	}



/* let-fun-locals */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_835)
	{
		{	/* Ast/nodetype.sch 1304 */
			return (((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_835))->BgL_localsz00);
		}

	}



/* &let-fun-locals */
	obj_t BGl_z62letzd2funzd2localsz62zzast_nodez00(obj_t BgL_envz00_7327,
		obj_t BgL_oz00_7328)
	{
		{	/* Ast/nodetype.sch 1304 */
			return
				BGl_letzd2funzd2localsz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7328));
		}

	}



/* let-fun-locals-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_836, obj_t BgL_vz00_837)
	{
		{	/* Ast/nodetype.sch 1305 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_836))->BgL_localsz00) =
				((obj_t) BgL_vz00_837), BUNSPEC);
		}

	}



/* &let-fun-locals-set! */
	obj_t BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7329, obj_t BgL_oz00_7330, obj_t BgL_vz00_7331)
	{
		{	/* Ast/nodetype.sch 1305 */
			return
				BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7330), BgL_vz00_7331);
		}

	}



/* let-fun-key */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2keyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_838)
	{
		{	/* Ast/nodetype.sch 1306 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_838)))->BgL_keyz00);
		}

	}



/* &let-fun-key */
	obj_t BGl_z62letzd2funzd2keyz62zzast_nodez00(obj_t BgL_envz00_7332,
		obj_t BgL_oz00_7333)
	{
		{	/* Ast/nodetype.sch 1306 */
			return
				BGl_letzd2funzd2keyz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7333));
		}

	}



/* let-fun-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_839, obj_t BgL_vz00_840)
	{
		{	/* Ast/nodetype.sch 1307 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_839)))->BgL_keyz00) =
				((obj_t) BgL_vz00_840), BUNSPEC);
		}

	}



/* &let-fun-key-set! */
	obj_t BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7334,
		obj_t BgL_oz00_7335, obj_t BgL_vz00_7336)
	{
		{	/* Ast/nodetype.sch 1307 */
			return
				BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7335), BgL_vz00_7336);
		}

	}



/* let-fun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_841)
	{
		{	/* Ast/nodetype.sch 1308 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_841)))->BgL_sidezd2effectzd2);
		}

	}



/* &let-fun-side-effect */
	obj_t BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7337,
		obj_t BgL_oz00_7338)
	{
		{	/* Ast/nodetype.sch 1308 */
			return
				BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7338));
		}

	}



/* let-fun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_842, obj_t BgL_vz00_843)
	{
		{	/* Ast/nodetype.sch 1309 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_842)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_843), BUNSPEC);
		}

	}



/* &let-fun-side-effect-set! */
	obj_t BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7339, obj_t BgL_oz00_7340, obj_t BgL_vz00_7341)
	{
		{	/* Ast/nodetype.sch 1309 */
			return
				BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7340), BgL_vz00_7341);
		}

	}



/* let-fun-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_letzd2funzd2typez00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_844)
	{
		{	/* Ast/nodetype.sch 1310 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_844)))->BgL_typez00);
		}

	}



/* &let-fun-type */
	BgL_typez00_bglt BGl_z62letzd2funzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7342, obj_t BgL_oz00_7343)
	{
		{	/* Ast/nodetype.sch 1310 */
			return
				BGl_letzd2funzd2typez00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7343));
		}

	}



/* let-fun-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_845, BgL_typez00_bglt BgL_vz00_846)
	{
		{	/* Ast/nodetype.sch 1311 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_845)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_846), BUNSPEC);
		}

	}



/* &let-fun-type-set! */
	obj_t BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7344,
		obj_t BgL_oz00_7345, obj_t BgL_vz00_7346)
	{
		{	/* Ast/nodetype.sch 1311 */
			return
				BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7345),
				((BgL_typez00_bglt) BgL_vz00_7346));
		}

	}



/* let-fun-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2locz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_847)
	{
		{	/* Ast/nodetype.sch 1312 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_847)))->BgL_locz00);
		}

	}



/* &let-fun-loc */
	obj_t BGl_z62letzd2funzd2locz62zzast_nodez00(obj_t BgL_envz00_7347,
		obj_t BgL_oz00_7348)
	{
		{	/* Ast/nodetype.sch 1312 */
			return
				BGl_letzd2funzd2locz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7348));
		}

	}



/* make-let-var */
	BGL_EXPORTED_DEF BgL_letzd2varzd2_bglt
		BGl_makezd2letzd2varz00zzast_nodez00(obj_t BgL_loc1485z00_850,
		BgL_typez00_bglt BgL_type1486z00_851, obj_t BgL_sidezd2effect1487zd2_852,
		obj_t BgL_key1488z00_853, obj_t BgL_bindings1489z00_854,
		BgL_nodez00_bglt BgL_body1490z00_855, bool_t BgL_removablezf31491zf3_856)
	{
		{	/* Ast/nodetype.sch 1316 */
			{	/* Ast/nodetype.sch 1316 */
				BgL_letzd2varzd2_bglt BgL_new1498z00_9396;

				{	/* Ast/nodetype.sch 1316 */
					BgL_letzd2varzd2_bglt BgL_new1497z00_9397;

					BgL_new1497z00_9397 =
						((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2varzd2_bgl))));
					{	/* Ast/nodetype.sch 1316 */
						long BgL_arg1854z00_9398;

						BgL_arg1854z00_9398 = BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1497z00_9397), BgL_arg1854z00_9398);
					}
					{	/* Ast/nodetype.sch 1316 */
						BgL_objectz00_bglt BgL_tmpz00_13422;

						BgL_tmpz00_13422 = ((BgL_objectz00_bglt) BgL_new1497z00_9397);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13422, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1497z00_9397);
					BgL_new1498z00_9396 = BgL_new1497z00_9397;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1498z00_9396)))->BgL_locz00) =
					((obj_t) BgL_loc1485z00_850), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1498z00_9396)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1486z00_851), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1498z00_9396)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1487zd2_852), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1498z00_9396)))->BgL_keyz00) =
					((obj_t) BgL_key1488z00_853), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1498z00_9396))->
						BgL_bindingsz00) = ((obj_t) BgL_bindings1489z00_854), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1498z00_9396))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1490z00_855), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1498z00_9396))->
						BgL_removablezf3zf3) =
					((bool_t) BgL_removablezf31491zf3_856), BUNSPEC);
				return BgL_new1498z00_9396;
			}
		}

	}



/* &make-let-var */
	BgL_letzd2varzd2_bglt BGl_z62makezd2letzd2varz62zzast_nodez00(obj_t
		BgL_envz00_7349, obj_t BgL_loc1485z00_7350, obj_t BgL_type1486z00_7351,
		obj_t BgL_sidezd2effect1487zd2_7352, obj_t BgL_key1488z00_7353,
		obj_t BgL_bindings1489z00_7354, obj_t BgL_body1490z00_7355,
		obj_t BgL_removablezf31491zf3_7356)
	{
		{	/* Ast/nodetype.sch 1316 */
			return
				BGl_makezd2letzd2varz00zzast_nodez00(BgL_loc1485z00_7350,
				((BgL_typez00_bglt) BgL_type1486z00_7351),
				BgL_sidezd2effect1487zd2_7352, BgL_key1488z00_7353,
				BgL_bindings1489z00_7354, ((BgL_nodez00_bglt) BgL_body1490z00_7355),
				CBOOL(BgL_removablezf31491zf3_7356));
		}

	}



/* let-var? */
	BGL_EXPORTED_DEF bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t BgL_objz00_857)
	{
		{	/* Ast/nodetype.sch 1317 */
			{	/* Ast/nodetype.sch 1317 */
				obj_t BgL_classz00_9399;

				BgL_classz00_9399 = BGl_letzd2varzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_857))
					{	/* Ast/nodetype.sch 1317 */
						BgL_objectz00_bglt BgL_arg1820z00_9400;

						BgL_arg1820z00_9400 = (BgL_objectz00_bglt) (BgL_objz00_857);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1317 */
								long BgL_idxz00_9401;

								BgL_idxz00_9401 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9400);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9401 + ((long) 3))) == BgL_classz00_9399);
							}
						else
							{	/* Ast/nodetype.sch 1317 */
								bool_t BgL_res2993z00_9404;

								{	/* Ast/nodetype.sch 1317 */
									obj_t BgL_oclassz00_9405;

									{	/* Ast/nodetype.sch 1317 */
										long BgL_arg1828z00_9406;

										{	/* Ast/nodetype.sch 1317 */
											long BgL_arg1829z00_9407;

											BgL_arg1829z00_9407 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9400);
											BgL_arg1828z00_9406 = (BgL_arg1829z00_9407 - OBJECT_TYPE);
										}
										BgL_oclassz00_9405 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9406);
									}
									{	/* Ast/nodetype.sch 1317 */
										bool_t BgL__ortest_1111z00_9408;

										BgL__ortest_1111z00_9408 =
											(BgL_classz00_9399 == BgL_oclassz00_9405);
										if (BgL__ortest_1111z00_9408)
											{	/* Ast/nodetype.sch 1317 */
												BgL_res2993z00_9404 = BgL__ortest_1111z00_9408;
											}
										else
											{	/* Ast/nodetype.sch 1317 */
												long BgL_odepthz00_9409;

												BgL_odepthz00_9409 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9405);
												if ((((long) 3) < BgL_odepthz00_9409))
													{	/* Ast/nodetype.sch 1317 */
														obj_t BgL_arg1816z00_9410;

														BgL_arg1816z00_9410 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9405,
															((long) 3));
														BgL_res2993z00_9404 =
															(BgL_arg1816z00_9410 == BgL_classz00_9399);
													}
												else
													{	/* Ast/nodetype.sch 1317 */
														BgL_res2993z00_9404 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2993z00_9404;
							}
					}
				else
					{	/* Ast/nodetype.sch 1317 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &let-var? */
	obj_t BGl_z62letzd2varzf3z43zzast_nodez00(obj_t BgL_envz00_7357,
		obj_t BgL_objz00_7358)
	{
		{	/* Ast/nodetype.sch 1317 */
			return BBOOL(BGl_letzd2varzf3z21zzast_nodez00(BgL_objz00_7358));
		}

	}



/* let-var-nil */
	BGL_EXPORTED_DEF BgL_letzd2varzd2_bglt
		BGl_letzd2varzd2nilz00zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1318 */
			{	/* Ast/nodetype.sch 1318 */
				obj_t BgL_classz00_5144;

				BgL_classz00_5144 = BGl_letzd2varzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1318 */
					obj_t BgL__ortest_1113z00_5145;

					BgL__ortest_1113z00_5145 = BGL_CLASS_NIL(BgL_classz00_5144);
					if (CBOOL(BgL__ortest_1113z00_5145))
						{	/* Ast/nodetype.sch 1318 */
							return ((BgL_letzd2varzd2_bglt) BgL__ortest_1113z00_5145);
						}
					else
						{	/* Ast/nodetype.sch 1318 */
							return
								((BgL_letzd2varzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5144));
						}
				}
			}
		}

	}



/* &let-var-nil */
	BgL_letzd2varzd2_bglt BGl_z62letzd2varzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7359)
	{
		{	/* Ast/nodetype.sch 1318 */
			return BGl_letzd2varzd2nilz00zzast_nodez00();
		}

	}



/* let-var-removable? */
	BGL_EXPORTED_DEF bool_t
		BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_858)
	{
		{	/* Ast/nodetype.sch 1319 */
			return
				(((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_858))->BgL_removablezf3zf3);
		}

	}



/* &let-var-removable? */
	obj_t BGl_z62letzd2varzd2removablezf3z91zzast_nodez00(obj_t BgL_envz00_7360,
		obj_t BgL_oz00_7361)
	{
		{	/* Ast/nodetype.sch 1319 */
			return
				BBOOL(BGl_letzd2varzd2removablezf3zf3zzast_nodez00(
					((BgL_letzd2varzd2_bglt) BgL_oz00_7361)));
		}

	}



/* let-var-removable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_859, bool_t BgL_vz00_860)
	{
		{	/* Ast/nodetype.sch 1320 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_859))->
					BgL_removablezf3zf3) = ((bool_t) BgL_vz00_860), BUNSPEC);
		}

	}



/* &let-var-removable?-set! */
	obj_t BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00(obj_t
		BgL_envz00_7362, obj_t BgL_oz00_7363, obj_t BgL_vz00_7364)
	{
		{	/* Ast/nodetype.sch 1320 */
			return
				BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7363), CBOOL(BgL_vz00_7364));
		}

	}



/* let-var-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_861)
	{
		{	/* Ast/nodetype.sch 1321 */
			return (((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_861))->BgL_bodyz00);
		}

	}



/* &let-var-body */
	BgL_nodez00_bglt BGl_z62letzd2varzd2bodyz62zzast_nodez00(obj_t
		BgL_envz00_7365, obj_t BgL_oz00_7366)
	{
		{	/* Ast/nodetype.sch 1321 */
			return
				BGl_letzd2varzd2bodyz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7366));
		}

	}



/* let-var-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_862, BgL_nodez00_bglt BgL_vz00_863)
	{
		{	/* Ast/nodetype.sch 1322 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_862))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_863), BUNSPEC);
		}

	}



/* &let-var-body-set! */
	obj_t BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7367,
		obj_t BgL_oz00_7368, obj_t BgL_vz00_7369)
	{
		{	/* Ast/nodetype.sch 1322 */
			return
				BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7368),
				((BgL_nodez00_bglt) BgL_vz00_7369));
		}

	}



/* let-var-bindings */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_864)
	{
		{	/* Ast/nodetype.sch 1323 */
			return (((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_864))->BgL_bindingsz00);
		}

	}



/* &let-var-bindings */
	obj_t BGl_z62letzd2varzd2bindingsz62zzast_nodez00(obj_t BgL_envz00_7370,
		obj_t BgL_oz00_7371)
	{
		{	/* Ast/nodetype.sch 1323 */
			return
				BGl_letzd2varzd2bindingsz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7371));
		}

	}



/* let-var-bindings-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_865, obj_t BgL_vz00_866)
	{
		{	/* Ast/nodetype.sch 1324 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_865))->BgL_bindingsz00) =
				((obj_t) BgL_vz00_866), BUNSPEC);
		}

	}



/* &let-var-bindings-set! */
	obj_t BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7372, obj_t BgL_oz00_7373, obj_t BgL_vz00_7374)
	{
		{	/* Ast/nodetype.sch 1324 */
			return
				BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7373), BgL_vz00_7374);
		}

	}



/* let-var-key */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2keyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_867)
	{
		{	/* Ast/nodetype.sch 1325 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_867)))->BgL_keyz00);
		}

	}



/* &let-var-key */
	obj_t BGl_z62letzd2varzd2keyz62zzast_nodez00(obj_t BgL_envz00_7375,
		obj_t BgL_oz00_7376)
	{
		{	/* Ast/nodetype.sch 1325 */
			return
				BGl_letzd2varzd2keyz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7376));
		}

	}



/* let-var-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_868, obj_t BgL_vz00_869)
	{
		{	/* Ast/nodetype.sch 1326 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_868)))->BgL_keyz00) =
				((obj_t) BgL_vz00_869), BUNSPEC);
		}

	}



/* &let-var-key-set! */
	obj_t BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7377,
		obj_t BgL_oz00_7378, obj_t BgL_vz00_7379)
	{
		{	/* Ast/nodetype.sch 1326 */
			return
				BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7378), BgL_vz00_7379);
		}

	}



/* let-var-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_870)
	{
		{	/* Ast/nodetype.sch 1327 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_870)))->BgL_sidezd2effectzd2);
		}

	}



/* &let-var-side-effect */
	obj_t BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7380,
		obj_t BgL_oz00_7381)
	{
		{	/* Ast/nodetype.sch 1327 */
			return
				BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7381));
		}

	}



/* let-var-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_871, obj_t BgL_vz00_872)
	{
		{	/* Ast/nodetype.sch 1328 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_871)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_872), BUNSPEC);
		}

	}



/* &let-var-side-effect-set! */
	obj_t BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7382, obj_t BgL_oz00_7383, obj_t BgL_vz00_7384)
	{
		{	/* Ast/nodetype.sch 1328 */
			return
				BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7383), BgL_vz00_7384);
		}

	}



/* let-var-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_letzd2varzd2typez00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_873)
	{
		{	/* Ast/nodetype.sch 1329 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_873)))->BgL_typez00);
		}

	}



/* &let-var-type */
	BgL_typez00_bglt BGl_z62letzd2varzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7385, obj_t BgL_oz00_7386)
	{
		{	/* Ast/nodetype.sch 1329 */
			return
				BGl_letzd2varzd2typez00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7386));
		}

	}



/* let-var-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_874, BgL_typez00_bglt BgL_vz00_875)
	{
		{	/* Ast/nodetype.sch 1330 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_874)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_875), BUNSPEC);
		}

	}



/* &let-var-type-set! */
	obj_t BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7387,
		obj_t BgL_oz00_7388, obj_t BgL_vz00_7389)
	{
		{	/* Ast/nodetype.sch 1330 */
			return
				BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7388),
				((BgL_typez00_bglt) BgL_vz00_7389));
		}

	}



/* let-var-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2locz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_876)
	{
		{	/* Ast/nodetype.sch 1331 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_876)))->BgL_locz00);
		}

	}



/* &let-var-loc */
	obj_t BGl_z62letzd2varzd2locz62zzast_nodez00(obj_t BgL_envz00_7390,
		obj_t BgL_oz00_7391)
	{
		{	/* Ast/nodetype.sch 1331 */
			return
				BGl_letzd2varzd2locz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7391));
		}

	}



/* make-set-ex-it */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc1479z00_879,
		BgL_typez00_bglt BgL_type1480z00_880, BgL_varz00_bglt BgL_var1481z00_881,
		BgL_nodez00_bglt BgL_body1482z00_882,
		BgL_nodez00_bglt BgL_onexit1483z00_883)
	{
		{	/* Ast/nodetype.sch 1335 */
			{	/* Ast/nodetype.sch 1335 */
				BgL_setzd2exzd2itz00_bglt BgL_new1500z00_9411;

				{	/* Ast/nodetype.sch 1335 */
					BgL_setzd2exzd2itz00_bglt BgL_new1499z00_9412;

					BgL_new1499z00_9412 =
						((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1335 */
						long BgL_arg1856z00_9413;

						BgL_arg1856z00_9413 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1499z00_9412), BgL_arg1856z00_9413);
					}
					{	/* Ast/nodetype.sch 1335 */
						BgL_objectz00_bglt BgL_tmpz00_13523;

						BgL_tmpz00_13523 = ((BgL_objectz00_bglt) BgL_new1499z00_9412);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13523, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1499z00_9412);
					BgL_new1500z00_9411 = BgL_new1499z00_9412;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1500z00_9411)))->BgL_locz00) =
					((obj_t) BgL_loc1479z00_879), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1500z00_9411)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1480z00_880), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1500z00_9411))->
						BgL_varz00) = ((BgL_varz00_bglt) BgL_var1481z00_881), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1500z00_9411))->
						BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_body1482z00_882), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1500z00_9411))->
						BgL_onexitz00) =
					((BgL_nodez00_bglt) BgL_onexit1483z00_883), BUNSPEC);
				return BgL_new1500z00_9411;
			}
		}

	}



/* &make-set-ex-it */
	BgL_setzd2exzd2itz00_bglt BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00(obj_t
		BgL_envz00_7392, obj_t BgL_loc1479z00_7393, obj_t BgL_type1480z00_7394,
		obj_t BgL_var1481z00_7395, obj_t BgL_body1482z00_7396,
		obj_t BgL_onexit1483z00_7397)
	{
		{	/* Ast/nodetype.sch 1335 */
			return
				BGl_makezd2setzd2exzd2itzd2zzast_nodez00(BgL_loc1479z00_7393,
				((BgL_typez00_bglt) BgL_type1480z00_7394),
				((BgL_varz00_bglt) BgL_var1481z00_7395),
				((BgL_nodez00_bglt) BgL_body1482z00_7396),
				((BgL_nodez00_bglt) BgL_onexit1483z00_7397));
		}

	}



/* set-ex-it? */
	BGL_EXPORTED_DEF bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t
		BgL_objz00_884)
	{
		{	/* Ast/nodetype.sch 1336 */
			{	/* Ast/nodetype.sch 1336 */
				obj_t BgL_classz00_9414;

				BgL_classz00_9414 = BGl_setzd2exzd2itz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_884))
					{	/* Ast/nodetype.sch 1336 */
						BgL_objectz00_bglt BgL_arg1820z00_9415;

						BgL_arg1820z00_9415 = (BgL_objectz00_bglt) (BgL_objz00_884);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1336 */
								long BgL_idxz00_9416;

								BgL_idxz00_9416 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9415);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9416 + ((long) 2))) == BgL_classz00_9414);
							}
						else
							{	/* Ast/nodetype.sch 1336 */
								bool_t BgL_res2994z00_9419;

								{	/* Ast/nodetype.sch 1336 */
									obj_t BgL_oclassz00_9420;

									{	/* Ast/nodetype.sch 1336 */
										long BgL_arg1828z00_9421;

										{	/* Ast/nodetype.sch 1336 */
											long BgL_arg1829z00_9422;

											BgL_arg1829z00_9422 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9415);
											BgL_arg1828z00_9421 = (BgL_arg1829z00_9422 - OBJECT_TYPE);
										}
										BgL_oclassz00_9420 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9421);
									}
									{	/* Ast/nodetype.sch 1336 */
										bool_t BgL__ortest_1111z00_9423;

										BgL__ortest_1111z00_9423 =
											(BgL_classz00_9414 == BgL_oclassz00_9420);
										if (BgL__ortest_1111z00_9423)
											{	/* Ast/nodetype.sch 1336 */
												BgL_res2994z00_9419 = BgL__ortest_1111z00_9423;
											}
										else
											{	/* Ast/nodetype.sch 1336 */
												long BgL_odepthz00_9424;

												BgL_odepthz00_9424 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9420);
												if ((((long) 2) < BgL_odepthz00_9424))
													{	/* Ast/nodetype.sch 1336 */
														obj_t BgL_arg1816z00_9425;

														BgL_arg1816z00_9425 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9420,
															((long) 2));
														BgL_res2994z00_9419 =
															(BgL_arg1816z00_9425 == BgL_classz00_9414);
													}
												else
													{	/* Ast/nodetype.sch 1336 */
														BgL_res2994z00_9419 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2994z00_9419;
							}
					}
				else
					{	/* Ast/nodetype.sch 1336 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &set-ex-it? */
	obj_t BGl_z62setzd2exzd2itzf3z91zzast_nodez00(obj_t BgL_envz00_7398,
		obj_t BgL_objz00_7399)
	{
		{	/* Ast/nodetype.sch 1336 */
			return BBOOL(BGl_setzd2exzd2itzf3zf3zzast_nodez00(BgL_objz00_7399));
		}

	}



/* set-ex-it-nil */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1337 */
			{	/* Ast/nodetype.sch 1337 */
				obj_t BgL_classz00_5184;

				BgL_classz00_5184 = BGl_setzd2exzd2itz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1337 */
					obj_t BgL__ortest_1113z00_5185;

					BgL__ortest_1113z00_5185 = BGL_CLASS_NIL(BgL_classz00_5184);
					if (CBOOL(BgL__ortest_1113z00_5185))
						{	/* Ast/nodetype.sch 1337 */
							return ((BgL_setzd2exzd2itz00_bglt) BgL__ortest_1113z00_5185);
						}
					else
						{	/* Ast/nodetype.sch 1337 */
							return
								((BgL_setzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5184));
						}
				}
			}
		}

	}



/* &set-ex-it-nil */
	BgL_setzd2exzd2itz00_bglt BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7400)
	{
		{	/* Ast/nodetype.sch 1337 */
			return BGl_setzd2exzd2itzd2nilzd2zzast_nodez00();
		}

	}



/* set-ex-it-onexit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2onexitzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_885)
	{
		{	/* Ast/nodetype.sch 1338 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_885))->BgL_onexitz00);
		}

	}



/* &set-ex-it-onexit */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2onexitzb0zzast_nodez00(obj_t
		BgL_envz00_7401, obj_t BgL_oz00_7402)
	{
		{	/* Ast/nodetype.sch 1338 */
			return
				BGl_setzd2exzd2itzd2onexitzd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7402));
		}

	}



/* set-ex-it-onexit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2onexitzd2setz12z12zzast_nodez00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_886, BgL_nodez00_bglt BgL_vz00_887)
	{
		{	/* Ast/nodetype.sch 1339 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_886))->BgL_onexitz00) =
				((BgL_nodez00_bglt) BgL_vz00_887), BUNSPEC);
		}

	}



/* &set-ex-it-onexit-set! */
	obj_t BGl_z62setzd2exzd2itzd2onexitzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7403, obj_t BgL_oz00_7404, obj_t BgL_vz00_7405)
	{
		{	/* Ast/nodetype.sch 1339 */
			return
				BGl_setzd2exzd2itzd2onexitzd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7404),
				((BgL_nodez00_bglt) BgL_vz00_7405));
		}

	}



/* set-ex-it-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_888)
	{
		{	/* Ast/nodetype.sch 1340 */
			return (((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_888))->BgL_bodyz00);
		}

	}



/* &set-ex-it-body */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00(obj_t
		BgL_envz00_7406, obj_t BgL_oz00_7407)
	{
		{	/* Ast/nodetype.sch 1340 */
			return
				BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7407));
		}

	}



/* set-ex-it-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_889, BgL_nodez00_bglt BgL_vz00_890)
	{
		{	/* Ast/nodetype.sch 1341 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_889))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_890), BUNSPEC);
		}

	}



/* &set-ex-it-body-set! */
	obj_t BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7408, obj_t BgL_oz00_7409, obj_t BgL_vz00_7410)
	{
		{	/* Ast/nodetype.sch 1341 */
			return
				BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7409),
				((BgL_nodez00_bglt) BgL_vz00_7410));
		}

	}



/* set-ex-it-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_891)
	{
		{	/* Ast/nodetype.sch 1342 */
			return (((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_891))->BgL_varz00);
		}

	}



/* &set-ex-it-var */
	BgL_varz00_bglt BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00(obj_t
		BgL_envz00_7411, obj_t BgL_oz00_7412)
	{
		{	/* Ast/nodetype.sch 1342 */
			return
				BGl_setzd2exzd2itzd2varzd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7412));
		}

	}



/* set-ex-it-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_892, BgL_varz00_bglt BgL_vz00_893)
	{
		{	/* Ast/nodetype.sch 1343 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_892))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_893), BUNSPEC);
		}

	}



/* &set-ex-it-var-set! */
	obj_t BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7413, obj_t BgL_oz00_7414, obj_t BgL_vz00_7415)
	{
		{	/* Ast/nodetype.sch 1343 */
			return
				BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7414),
				((BgL_varz00_bglt) BgL_vz00_7415));
		}

	}



/* set-ex-it-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setzd2exzd2itzd2typezd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_894)
	{
		{	/* Ast/nodetype.sch 1344 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_894)))->BgL_typez00);
		}

	}



/* &set-ex-it-type */
	BgL_typez00_bglt BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_7416, obj_t BgL_oz00_7417)
	{
		{	/* Ast/nodetype.sch 1344 */
			return
				BGl_setzd2exzd2itzd2typezd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7417));
		}

	}



/* set-ex-it-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_895, BgL_typez00_bglt BgL_vz00_896)
	{
		{	/* Ast/nodetype.sch 1345 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_895)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_896), BUNSPEC);
		}

	}



/* &set-ex-it-type-set! */
	obj_t BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7418, obj_t BgL_oz00_7419, obj_t BgL_vz00_7420)
	{
		{	/* Ast/nodetype.sch 1345 */
			return
				BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7419),
				((BgL_typez00_bglt) BgL_vz00_7420));
		}

	}



/* set-ex-it-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2loczd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_897)
	{
		{	/* Ast/nodetype.sch 1346 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_897)))->BgL_locz00);
		}

	}



/* &set-ex-it-loc */
	obj_t BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00(obj_t BgL_envz00_7421,
		obj_t BgL_oz00_7422)
	{
		{	/* Ast/nodetype.sch 1346 */
			return
				BGl_setzd2exzd2itzd2loczd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7422));
		}

	}



/* make-jump-ex-it */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc1474z00_900,
		BgL_typez00_bglt BgL_type1475z00_901, BgL_nodez00_bglt BgL_exit1476z00_902,
		BgL_nodez00_bglt BgL_value1477z00_903)
	{
		{	/* Ast/nodetype.sch 1350 */
			{	/* Ast/nodetype.sch 1350 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1502z00_9426;

				{	/* Ast/nodetype.sch 1350 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1501z00_9427;

					BgL_new1501z00_9427 =
						((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1350 */
						long BgL_arg1857z00_9428;

						BgL_arg1857z00_9428 =
							BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1501z00_9427), BgL_arg1857z00_9428);
					}
					{	/* Ast/nodetype.sch 1350 */
						BgL_objectz00_bglt BgL_tmpz00_13605;

						BgL_tmpz00_13605 = ((BgL_objectz00_bglt) BgL_new1501z00_9427);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13605, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1501z00_9427);
					BgL_new1502z00_9426 = BgL_new1501z00_9427;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1502z00_9426)))->BgL_locz00) =
					((obj_t) BgL_loc1474z00_900), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1502z00_9426)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1475z00_901), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1502z00_9426))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_exit1476z00_902), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1502z00_9426))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1477z00_903), BUNSPEC);
				return BgL_new1502z00_9426;
			}
		}

	}



/* &make-jump-ex-it */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00(obj_t
		BgL_envz00_7423, obj_t BgL_loc1474z00_7424, obj_t BgL_type1475z00_7425,
		obj_t BgL_exit1476z00_7426, obj_t BgL_value1477z00_7427)
	{
		{	/* Ast/nodetype.sch 1350 */
			return
				BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(BgL_loc1474z00_7424,
				((BgL_typez00_bglt) BgL_type1475z00_7425),
				((BgL_nodez00_bglt) BgL_exit1476z00_7426),
				((BgL_nodez00_bglt) BgL_value1477z00_7427));
		}

	}



/* jump-ex-it? */
	BGL_EXPORTED_DEF bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t
		BgL_objz00_904)
	{
		{	/* Ast/nodetype.sch 1351 */
			{	/* Ast/nodetype.sch 1351 */
				obj_t BgL_classz00_9429;

				BgL_classz00_9429 = BGl_jumpzd2exzd2itz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_904))
					{	/* Ast/nodetype.sch 1351 */
						BgL_objectz00_bglt BgL_arg1820z00_9430;

						BgL_arg1820z00_9430 = (BgL_objectz00_bglt) (BgL_objz00_904);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1351 */
								long BgL_idxz00_9431;

								BgL_idxz00_9431 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9430);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9431 + ((long) 2))) == BgL_classz00_9429);
							}
						else
							{	/* Ast/nodetype.sch 1351 */
								bool_t BgL_res2995z00_9434;

								{	/* Ast/nodetype.sch 1351 */
									obj_t BgL_oclassz00_9435;

									{	/* Ast/nodetype.sch 1351 */
										long BgL_arg1828z00_9436;

										{	/* Ast/nodetype.sch 1351 */
											long BgL_arg1829z00_9437;

											BgL_arg1829z00_9437 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9430);
											BgL_arg1828z00_9436 = (BgL_arg1829z00_9437 - OBJECT_TYPE);
										}
										BgL_oclassz00_9435 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9436);
									}
									{	/* Ast/nodetype.sch 1351 */
										bool_t BgL__ortest_1111z00_9438;

										BgL__ortest_1111z00_9438 =
											(BgL_classz00_9429 == BgL_oclassz00_9435);
										if (BgL__ortest_1111z00_9438)
											{	/* Ast/nodetype.sch 1351 */
												BgL_res2995z00_9434 = BgL__ortest_1111z00_9438;
											}
										else
											{	/* Ast/nodetype.sch 1351 */
												long BgL_odepthz00_9439;

												BgL_odepthz00_9439 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9435);
												if ((((long) 2) < BgL_odepthz00_9439))
													{	/* Ast/nodetype.sch 1351 */
														obj_t BgL_arg1816z00_9440;

														BgL_arg1816z00_9440 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9435,
															((long) 2));
														BgL_res2995z00_9434 =
															(BgL_arg1816z00_9440 == BgL_classz00_9429);
													}
												else
													{	/* Ast/nodetype.sch 1351 */
														BgL_res2995z00_9434 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2995z00_9434;
							}
					}
				else
					{	/* Ast/nodetype.sch 1351 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &jump-ex-it? */
	obj_t BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00(obj_t BgL_envz00_7428,
		obj_t BgL_objz00_7429)
	{
		{	/* Ast/nodetype.sch 1351 */
			return BBOOL(BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(BgL_objz00_7429));
		}

	}



/* jump-ex-it-nil */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1352 */
			{	/* Ast/nodetype.sch 1352 */
				obj_t BgL_classz00_5224;

				BgL_classz00_5224 = BGl_jumpzd2exzd2itz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1352 */
					obj_t BgL__ortest_1113z00_5225;

					BgL__ortest_1113z00_5225 = BGL_CLASS_NIL(BgL_classz00_5224);
					if (CBOOL(BgL__ortest_1113z00_5225))
						{	/* Ast/nodetype.sch 1352 */
							return ((BgL_jumpzd2exzd2itz00_bglt) BgL__ortest_1113z00_5225);
						}
					else
						{	/* Ast/nodetype.sch 1352 */
							return
								((BgL_jumpzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5224));
						}
				}
			}
		}

	}



/* &jump-ex-it-nil */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7430)
	{
		{	/* Ast/nodetype.sch 1352 */
			return BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00();
		}

	}



/* jump-ex-it-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_905)
	{
		{	/* Ast/nodetype.sch 1353 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_905))->BgL_valuez00);
		}

	}



/* &jump-ex-it-value */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00(obj_t
		BgL_envz00_7431, obj_t BgL_oz00_7432)
	{
		{	/* Ast/nodetype.sch 1353 */
			return
				BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7432));
		}

	}



/* jump-ex-it-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_906, BgL_nodez00_bglt BgL_vz00_907)
	{
		{	/* Ast/nodetype.sch 1354 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_906))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_907), BUNSPEC);
		}

	}



/* &jump-ex-it-value-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7433, obj_t BgL_oz00_7434, obj_t BgL_vz00_7435)
	{
		{	/* Ast/nodetype.sch 1354 */
			return
				BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7434),
				((BgL_nodez00_bglt) BgL_vz00_7435));
		}

	}



/* jump-ex-it-exit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_908)
	{
		{	/* Ast/nodetype.sch 1355 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_908))->BgL_exitz00);
		}

	}



/* &jump-ex-it-exit */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00(obj_t
		BgL_envz00_7436, obj_t BgL_oz00_7437)
	{
		{	/* Ast/nodetype.sch 1355 */
			return
				BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7437));
		}

	}



/* jump-ex-it-exit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_909, BgL_nodez00_bglt BgL_vz00_910)
	{
		{	/* Ast/nodetype.sch 1356 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_909))->BgL_exitz00) =
				((BgL_nodez00_bglt) BgL_vz00_910), BUNSPEC);
		}

	}



/* &jump-ex-it-exit-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7438, obj_t BgL_oz00_7439, obj_t BgL_vz00_7440)
	{
		{	/* Ast/nodetype.sch 1356 */
			return
				BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7439),
				((BgL_nodez00_bglt) BgL_vz00_7440));
		}

	}



/* jump-ex-it-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_911)
	{
		{	/* Ast/nodetype.sch 1357 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_911)))->BgL_typez00);
		}

	}



/* &jump-ex-it-type */
	BgL_typez00_bglt BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_7441, obj_t BgL_oz00_7442)
	{
		{	/* Ast/nodetype.sch 1357 */
			return
				BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7442));
		}

	}



/* jump-ex-it-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_912, BgL_typez00_bglt BgL_vz00_913)
	{
		{	/* Ast/nodetype.sch 1358 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_912)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_913), BUNSPEC);
		}

	}



/* &jump-ex-it-type-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7443, obj_t BgL_oz00_7444, obj_t BgL_vz00_7445)
	{
		{	/* Ast/nodetype.sch 1358 */
			return
				BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7444),
				((BgL_typez00_bglt) BgL_vz00_7445));
		}

	}



/* jump-ex-it-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_914)
	{
		{	/* Ast/nodetype.sch 1359 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_914)))->BgL_locz00);
		}

	}



/* &jump-ex-it-loc */
	obj_t BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00(obj_t BgL_envz00_7446,
		obj_t BgL_oz00_7447)
	{
		{	/* Ast/nodetype.sch 1359 */
			return
				BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7447));
		}

	}



/* make-retblock */
	BGL_EXPORTED_DEF BgL_retblockz00_bglt
		BGl_makezd2retblockzd2zzast_nodez00(obj_t BgL_loc1470z00_917,
		BgL_typez00_bglt BgL_type1471z00_918, BgL_nodez00_bglt BgL_body1472z00_919)
	{
		{	/* Ast/nodetype.sch 1363 */
			{	/* Ast/nodetype.sch 1363 */
				BgL_retblockz00_bglt BgL_new1504z00_9441;

				{	/* Ast/nodetype.sch 1363 */
					BgL_retblockz00_bglt BgL_new1503z00_9442;

					BgL_new1503z00_9442 =
						((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockz00_bgl))));
					{	/* Ast/nodetype.sch 1363 */
						long BgL_arg1859z00_9443;

						BgL_arg1859z00_9443 = BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1503z00_9442), BgL_arg1859z00_9443);
					}
					{	/* Ast/nodetype.sch 1363 */
						BgL_objectz00_bglt BgL_tmpz00_13678;

						BgL_tmpz00_13678 = ((BgL_objectz00_bglt) BgL_new1503z00_9442);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13678, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1503z00_9442);
					BgL_new1504z00_9441 = BgL_new1503z00_9442;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1504z00_9441)))->BgL_locz00) =
					((obj_t) BgL_loc1470z00_917), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1504z00_9441)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1471z00_918), BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(BgL_new1504z00_9441))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1472z00_919), BUNSPEC);
				return BgL_new1504z00_9441;
			}
		}

	}



/* &make-retblock */
	BgL_retblockz00_bglt BGl_z62makezd2retblockzb0zzast_nodez00(obj_t
		BgL_envz00_7448, obj_t BgL_loc1470z00_7449, obj_t BgL_type1471z00_7450,
		obj_t BgL_body1472z00_7451)
	{
		{	/* Ast/nodetype.sch 1363 */
			return
				BGl_makezd2retblockzd2zzast_nodez00(BgL_loc1470z00_7449,
				((BgL_typez00_bglt) BgL_type1471z00_7450),
				((BgL_nodez00_bglt) BgL_body1472z00_7451));
		}

	}



/* retblock? */
	BGL_EXPORTED_DEF bool_t BGl_retblockzf3zf3zzast_nodez00(obj_t BgL_objz00_920)
	{
		{	/* Ast/nodetype.sch 1364 */
			{	/* Ast/nodetype.sch 1364 */
				obj_t BgL_classz00_9444;

				BgL_classz00_9444 = BGl_retblockz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_920))
					{	/* Ast/nodetype.sch 1364 */
						BgL_objectz00_bglt BgL_arg1820z00_9445;

						BgL_arg1820z00_9445 = (BgL_objectz00_bglt) (BgL_objz00_920);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1364 */
								long BgL_idxz00_9446;

								BgL_idxz00_9446 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9445);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9446 + ((long) 2))) == BgL_classz00_9444);
							}
						else
							{	/* Ast/nodetype.sch 1364 */
								bool_t BgL_res2996z00_9449;

								{	/* Ast/nodetype.sch 1364 */
									obj_t BgL_oclassz00_9450;

									{	/* Ast/nodetype.sch 1364 */
										long BgL_arg1828z00_9451;

										{	/* Ast/nodetype.sch 1364 */
											long BgL_arg1829z00_9452;

											BgL_arg1829z00_9452 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9445);
											BgL_arg1828z00_9451 = (BgL_arg1829z00_9452 - OBJECT_TYPE);
										}
										BgL_oclassz00_9450 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9451);
									}
									{	/* Ast/nodetype.sch 1364 */
										bool_t BgL__ortest_1111z00_9453;

										BgL__ortest_1111z00_9453 =
											(BgL_classz00_9444 == BgL_oclassz00_9450);
										if (BgL__ortest_1111z00_9453)
											{	/* Ast/nodetype.sch 1364 */
												BgL_res2996z00_9449 = BgL__ortest_1111z00_9453;
											}
										else
											{	/* Ast/nodetype.sch 1364 */
												long BgL_odepthz00_9454;

												BgL_odepthz00_9454 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9450);
												if ((((long) 2) < BgL_odepthz00_9454))
													{	/* Ast/nodetype.sch 1364 */
														obj_t BgL_arg1816z00_9455;

														BgL_arg1816z00_9455 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9450,
															((long) 2));
														BgL_res2996z00_9449 =
															(BgL_arg1816z00_9455 == BgL_classz00_9444);
													}
												else
													{	/* Ast/nodetype.sch 1364 */
														BgL_res2996z00_9449 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2996z00_9449;
							}
					}
				else
					{	/* Ast/nodetype.sch 1364 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &retblock? */
	obj_t BGl_z62retblockzf3z91zzast_nodez00(obj_t BgL_envz00_7452,
		obj_t BgL_objz00_7453)
	{
		{	/* Ast/nodetype.sch 1364 */
			return BBOOL(BGl_retblockzf3zf3zzast_nodez00(BgL_objz00_7453));
		}

	}



/* retblock-nil */
	BGL_EXPORTED_DEF BgL_retblockz00_bglt BGl_retblockzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1365 */
			{	/* Ast/nodetype.sch 1365 */
				obj_t BgL_classz00_5264;

				BgL_classz00_5264 = BGl_retblockz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1365 */
					obj_t BgL__ortest_1113z00_5265;

					BgL__ortest_1113z00_5265 = BGL_CLASS_NIL(BgL_classz00_5264);
					if (CBOOL(BgL__ortest_1113z00_5265))
						{	/* Ast/nodetype.sch 1365 */
							return ((BgL_retblockz00_bglt) BgL__ortest_1113z00_5265);
						}
					else
						{	/* Ast/nodetype.sch 1365 */
							return
								((BgL_retblockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5264));
						}
				}
			}
		}

	}



/* &retblock-nil */
	BgL_retblockz00_bglt BGl_z62retblockzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7454)
	{
		{	/* Ast/nodetype.sch 1365 */
			return BGl_retblockzd2nilzd2zzast_nodez00();
		}

	}



/* retblock-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_retblockzd2bodyzd2zzast_nodez00(BgL_retblockz00_bglt BgL_oz00_921)
	{
		{	/* Ast/nodetype.sch 1366 */
			return (((BgL_retblockz00_bglt) COBJECT(BgL_oz00_921))->BgL_bodyz00);
		}

	}



/* &retblock-body */
	BgL_nodez00_bglt BGl_z62retblockzd2bodyzb0zzast_nodez00(obj_t BgL_envz00_7455,
		obj_t BgL_oz00_7456)
	{
		{	/* Ast/nodetype.sch 1366 */
			return
				BGl_retblockzd2bodyzd2zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7456));
		}

	}



/* retblock-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_retblockzd2bodyzd2setz12z12zzast_nodez00(BgL_retblockz00_bglt
		BgL_oz00_922, BgL_nodez00_bglt BgL_vz00_923)
	{
		{	/* Ast/nodetype.sch 1367 */
			return
				((((BgL_retblockz00_bglt) COBJECT(BgL_oz00_922))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_923), BUNSPEC);
		}

	}



/* &retblock-body-set! */
	obj_t BGl_z62retblockzd2bodyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7457,
		obj_t BgL_oz00_7458, obj_t BgL_vz00_7459)
	{
		{	/* Ast/nodetype.sch 1367 */
			return
				BGl_retblockzd2bodyzd2setz12z12zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7458),
				((BgL_nodez00_bglt) BgL_vz00_7459));
		}

	}



/* retblock-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_retblockzd2typezd2zzast_nodez00(BgL_retblockz00_bglt BgL_oz00_924)
	{
		{	/* Ast/nodetype.sch 1368 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_924)))->BgL_typez00);
		}

	}



/* &retblock-type */
	BgL_typez00_bglt BGl_z62retblockzd2typezb0zzast_nodez00(obj_t BgL_envz00_7460,
		obj_t BgL_oz00_7461)
	{
		{	/* Ast/nodetype.sch 1368 */
			return
				BGl_retblockzd2typezd2zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7461));
		}

	}



/* retblock-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_retblockzd2typezd2setz12z12zzast_nodez00(BgL_retblockz00_bglt
		BgL_oz00_925, BgL_typez00_bglt BgL_vz00_926)
	{
		{	/* Ast/nodetype.sch 1369 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_925)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_926), BUNSPEC);
		}

	}



/* &retblock-type-set! */
	obj_t BGl_z62retblockzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7462,
		obj_t BgL_oz00_7463, obj_t BgL_vz00_7464)
	{
		{	/* Ast/nodetype.sch 1369 */
			return
				BGl_retblockzd2typezd2setz12z12zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7463),
				((BgL_typez00_bglt) BgL_vz00_7464));
		}

	}



/* retblock-loc */
	BGL_EXPORTED_DEF obj_t BGl_retblockzd2loczd2zzast_nodez00(BgL_retblockz00_bglt
		BgL_oz00_927)
	{
		{	/* Ast/nodetype.sch 1370 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_927)))->BgL_locz00);
		}

	}



/* &retblock-loc */
	obj_t BGl_z62retblockzd2loczb0zzast_nodez00(obj_t BgL_envz00_7465,
		obj_t BgL_oz00_7466)
	{
		{	/* Ast/nodetype.sch 1370 */
			return
				BGl_retblockzd2loczd2zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7466));
		}

	}



/* make-return */
	BGL_EXPORTED_DEF BgL_returnz00_bglt BGl_makezd2returnzd2zzast_nodez00(obj_t
		BgL_loc1464z00_930, BgL_typez00_bglt BgL_type1465z00_931,
		BgL_retblockz00_bglt BgL_block1466z00_932,
		BgL_nodez00_bglt BgL_value1467z00_933)
	{
		{	/* Ast/nodetype.sch 1374 */
			{	/* Ast/nodetype.sch 1374 */
				BgL_returnz00_bglt BgL_new1506z00_9456;

				{	/* Ast/nodetype.sch 1374 */
					BgL_returnz00_bglt BgL_new1505z00_9457;

					BgL_new1505z00_9457 =
						((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_returnz00_bgl))));
					{	/* Ast/nodetype.sch 1374 */
						long BgL_arg1860z00_9458;

						BgL_arg1860z00_9458 = BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1505z00_9457), BgL_arg1860z00_9458);
					}
					{	/* Ast/nodetype.sch 1374 */
						BgL_objectz00_bglt BgL_tmpz00_13742;

						BgL_tmpz00_13742 = ((BgL_objectz00_bglt) BgL_new1505z00_9457);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13742, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1505z00_9457);
					BgL_new1506z00_9456 = BgL_new1505z00_9457;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1506z00_9456)))->BgL_locz00) =
					((obj_t) BgL_loc1464z00_930), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1506z00_9456)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1465z00_931), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1506z00_9456))->BgL_blockz00) =
					((BgL_retblockz00_bglt) BgL_block1466z00_932), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1506z00_9456))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1467z00_933), BUNSPEC);
				return BgL_new1506z00_9456;
			}
		}

	}



/* &make-return */
	BgL_returnz00_bglt BGl_z62makezd2returnzb0zzast_nodez00(obj_t BgL_envz00_7467,
		obj_t BgL_loc1464z00_7468, obj_t BgL_type1465z00_7469,
		obj_t BgL_block1466z00_7470, obj_t BgL_value1467z00_7471)
	{
		{	/* Ast/nodetype.sch 1374 */
			return
				BGl_makezd2returnzd2zzast_nodez00(BgL_loc1464z00_7468,
				((BgL_typez00_bglt) BgL_type1465z00_7469),
				((BgL_retblockz00_bglt) BgL_block1466z00_7470),
				((BgL_nodez00_bglt) BgL_value1467z00_7471));
		}

	}



/* return? */
	BGL_EXPORTED_DEF bool_t BGl_returnzf3zf3zzast_nodez00(obj_t BgL_objz00_934)
	{
		{	/* Ast/nodetype.sch 1375 */
			{	/* Ast/nodetype.sch 1375 */
				obj_t BgL_classz00_9459;

				BgL_classz00_9459 = BGl_returnz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_934))
					{	/* Ast/nodetype.sch 1375 */
						BgL_objectz00_bglt BgL_arg1820z00_9460;

						BgL_arg1820z00_9460 = (BgL_objectz00_bglt) (BgL_objz00_934);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1375 */
								long BgL_idxz00_9461;

								BgL_idxz00_9461 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9460);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9461 + ((long) 2))) == BgL_classz00_9459);
							}
						else
							{	/* Ast/nodetype.sch 1375 */
								bool_t BgL_res2997z00_9464;

								{	/* Ast/nodetype.sch 1375 */
									obj_t BgL_oclassz00_9465;

									{	/* Ast/nodetype.sch 1375 */
										long BgL_arg1828z00_9466;

										{	/* Ast/nodetype.sch 1375 */
											long BgL_arg1829z00_9467;

											BgL_arg1829z00_9467 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9460);
											BgL_arg1828z00_9466 = (BgL_arg1829z00_9467 - OBJECT_TYPE);
										}
										BgL_oclassz00_9465 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9466);
									}
									{	/* Ast/nodetype.sch 1375 */
										bool_t BgL__ortest_1111z00_9468;

										BgL__ortest_1111z00_9468 =
											(BgL_classz00_9459 == BgL_oclassz00_9465);
										if (BgL__ortest_1111z00_9468)
											{	/* Ast/nodetype.sch 1375 */
												BgL_res2997z00_9464 = BgL__ortest_1111z00_9468;
											}
										else
											{	/* Ast/nodetype.sch 1375 */
												long BgL_odepthz00_9469;

												BgL_odepthz00_9469 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9465);
												if ((((long) 2) < BgL_odepthz00_9469))
													{	/* Ast/nodetype.sch 1375 */
														obj_t BgL_arg1816z00_9470;

														BgL_arg1816z00_9470 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9465,
															((long) 2));
														BgL_res2997z00_9464 =
															(BgL_arg1816z00_9470 == BgL_classz00_9459);
													}
												else
													{	/* Ast/nodetype.sch 1375 */
														BgL_res2997z00_9464 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2997z00_9464;
							}
					}
				else
					{	/* Ast/nodetype.sch 1375 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &return? */
	obj_t BGl_z62returnzf3z91zzast_nodez00(obj_t BgL_envz00_7472,
		obj_t BgL_objz00_7473)
	{
		{	/* Ast/nodetype.sch 1375 */
			return BBOOL(BGl_returnzf3zf3zzast_nodez00(BgL_objz00_7473));
		}

	}



/* return-nil */
	BGL_EXPORTED_DEF BgL_returnz00_bglt BGl_returnzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1376 */
			{	/* Ast/nodetype.sch 1376 */
				obj_t BgL_classz00_5304;

				BgL_classz00_5304 = BGl_returnz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1376 */
					obj_t BgL__ortest_1113z00_5305;

					BgL__ortest_1113z00_5305 = BGL_CLASS_NIL(BgL_classz00_5304);
					if (CBOOL(BgL__ortest_1113z00_5305))
						{	/* Ast/nodetype.sch 1376 */
							return ((BgL_returnz00_bglt) BgL__ortest_1113z00_5305);
						}
					else
						{	/* Ast/nodetype.sch 1376 */
							return
								((BgL_returnz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5304));
						}
				}
			}
		}

	}



/* &return-nil */
	BgL_returnz00_bglt BGl_z62returnzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7474)
	{
		{	/* Ast/nodetype.sch 1376 */
			return BGl_returnzd2nilzd2zzast_nodez00();
		}

	}



/* return-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_returnzd2valuezd2zzast_nodez00(BgL_returnz00_bglt BgL_oz00_935)
	{
		{	/* Ast/nodetype.sch 1377 */
			return (((BgL_returnz00_bglt) COBJECT(BgL_oz00_935))->BgL_valuez00);
		}

	}



/* &return-value */
	BgL_nodez00_bglt BGl_z62returnzd2valuezb0zzast_nodez00(obj_t BgL_envz00_7475,
		obj_t BgL_oz00_7476)
	{
		{	/* Ast/nodetype.sch 1377 */
			return
				BGl_returnzd2valuezd2zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7476));
		}

	}



/* return-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_returnzd2valuezd2setz12z12zzast_nodez00(BgL_returnz00_bglt BgL_oz00_936,
		BgL_nodez00_bglt BgL_vz00_937)
	{
		{	/* Ast/nodetype.sch 1378 */
			return
				((((BgL_returnz00_bglt) COBJECT(BgL_oz00_936))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_937), BUNSPEC);
		}

	}



/* &return-value-set! */
	obj_t BGl_z62returnzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7477,
		obj_t BgL_oz00_7478, obj_t BgL_vz00_7479)
	{
		{	/* Ast/nodetype.sch 1378 */
			return
				BGl_returnzd2valuezd2setz12z12zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7478),
				((BgL_nodez00_bglt) BgL_vz00_7479));
		}

	}



/* return-block */
	BGL_EXPORTED_DEF BgL_retblockz00_bglt
		BGl_returnzd2blockzd2zzast_nodez00(BgL_returnz00_bglt BgL_oz00_938)
	{
		{	/* Ast/nodetype.sch 1379 */
			return (((BgL_returnz00_bglt) COBJECT(BgL_oz00_938))->BgL_blockz00);
		}

	}



/* &return-block */
	BgL_retblockz00_bglt BGl_z62returnzd2blockzb0zzast_nodez00(obj_t
		BgL_envz00_7480, obj_t BgL_oz00_7481)
	{
		{	/* Ast/nodetype.sch 1379 */
			return
				BGl_returnzd2blockzd2zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7481));
		}

	}



/* return-block-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_returnzd2blockzd2setz12z12zzast_nodez00(BgL_returnz00_bglt BgL_oz00_939,
		BgL_retblockz00_bglt BgL_vz00_940)
	{
		{	/* Ast/nodetype.sch 1380 */
			return
				((((BgL_returnz00_bglt) COBJECT(BgL_oz00_939))->BgL_blockz00) =
				((BgL_retblockz00_bglt) BgL_vz00_940), BUNSPEC);
		}

	}



/* &return-block-set! */
	obj_t BGl_z62returnzd2blockzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7482,
		obj_t BgL_oz00_7483, obj_t BgL_vz00_7484)
	{
		{	/* Ast/nodetype.sch 1380 */
			return
				BGl_returnzd2blockzd2setz12z12zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7483),
				((BgL_retblockz00_bglt) BgL_vz00_7484));
		}

	}



/* return-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_returnzd2typezd2zzast_nodez00(BgL_returnz00_bglt BgL_oz00_941)
	{
		{	/* Ast/nodetype.sch 1381 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_941)))->BgL_typez00);
		}

	}



/* &return-type */
	BgL_typez00_bglt BGl_z62returnzd2typezb0zzast_nodez00(obj_t BgL_envz00_7485,
		obj_t BgL_oz00_7486)
	{
		{	/* Ast/nodetype.sch 1381 */
			return
				BGl_returnzd2typezd2zzast_nodez00(((BgL_returnz00_bglt) BgL_oz00_7486));
		}

	}



/* return-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_returnzd2typezd2setz12z12zzast_nodez00(BgL_returnz00_bglt BgL_oz00_942,
		BgL_typez00_bglt BgL_vz00_943)
	{
		{	/* Ast/nodetype.sch 1382 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_942)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_943), BUNSPEC);
		}

	}



/* &return-type-set! */
	obj_t BGl_z62returnzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7487,
		obj_t BgL_oz00_7488, obj_t BgL_vz00_7489)
	{
		{	/* Ast/nodetype.sch 1382 */
			return
				BGl_returnzd2typezd2setz12z12zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7488),
				((BgL_typez00_bglt) BgL_vz00_7489));
		}

	}



/* return-loc */
	BGL_EXPORTED_DEF obj_t BGl_returnzd2loczd2zzast_nodez00(BgL_returnz00_bglt
		BgL_oz00_944)
	{
		{	/* Ast/nodetype.sch 1383 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_944)))->BgL_locz00);
		}

	}



/* &return-loc */
	obj_t BGl_z62returnzd2loczb0zzast_nodez00(obj_t BgL_envz00_7490,
		obj_t BgL_oz00_7491)
	{
		{	/* Ast/nodetype.sch 1383 */
			return
				BGl_returnzd2loczd2zzast_nodez00(((BgL_returnz00_bglt) BgL_oz00_7491));
		}

	}



/* make-make-box */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxz00zzast_nodez00(obj_t BgL_loc1456z00_947,
		BgL_typez00_bglt BgL_type1457z00_948, obj_t BgL_sidezd2effect1458zd2_949,
		obj_t BgL_key1459z00_950, BgL_nodez00_bglt BgL_value1460z00_951,
		BgL_typez00_bglt BgL_vtype1461z00_952, obj_t BgL_stackable1462z00_953)
	{
		{	/* Ast/nodetype.sch 1387 */
			{	/* Ast/nodetype.sch 1387 */
				BgL_makezd2boxzd2_bglt BgL_new1508z00_9471;

				{	/* Ast/nodetype.sch 1387 */
					BgL_makezd2boxzd2_bglt BgL_new1507z00_9472;

					BgL_new1507z00_9472 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/nodetype.sch 1387 */
						long BgL_arg1861z00_9473;

						BgL_arg1861z00_9473 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1507z00_9472), BgL_arg1861z00_9473);
					}
					{	/* Ast/nodetype.sch 1387 */
						BgL_objectz00_bglt BgL_tmpz00_13815;

						BgL_tmpz00_13815 = ((BgL_objectz00_bglt) BgL_new1507z00_9472);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13815, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1507z00_9472);
					BgL_new1508z00_9471 = BgL_new1507z00_9472;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1508z00_9471)))->BgL_locz00) =
					((obj_t) BgL_loc1456z00_947), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1508z00_9471)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1457z00_948), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1508z00_9471)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1458zd2_949), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1508z00_9471)))->BgL_keyz00) =
					((obj_t) BgL_key1459z00_950), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1508z00_9471))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1460z00_951), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1508z00_9471))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1461z00_952), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1508z00_9471))->
						BgL_stackablez00) = ((obj_t) BgL_stackable1462z00_953), BUNSPEC);
				return BgL_new1508z00_9471;
			}
		}

	}



/* &make-make-box */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxz62zzast_nodez00(obj_t
		BgL_envz00_7492, obj_t BgL_loc1456z00_7493, obj_t BgL_type1457z00_7494,
		obj_t BgL_sidezd2effect1458zd2_7495, obj_t BgL_key1459z00_7496,
		obj_t BgL_value1460z00_7497, obj_t BgL_vtype1461z00_7498,
		obj_t BgL_stackable1462z00_7499)
	{
		{	/* Ast/nodetype.sch 1387 */
			return
				BGl_makezd2makezd2boxz00zzast_nodez00(BgL_loc1456z00_7493,
				((BgL_typez00_bglt) BgL_type1457z00_7494),
				BgL_sidezd2effect1458zd2_7495, BgL_key1459z00_7496,
				((BgL_nodez00_bglt) BgL_value1460z00_7497),
				((BgL_typez00_bglt) BgL_vtype1461z00_7498), BgL_stackable1462z00_7499);
		}

	}



/* make-box? */
	BGL_EXPORTED_DEF bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t
		BgL_objz00_954)
	{
		{	/* Ast/nodetype.sch 1388 */
			{	/* Ast/nodetype.sch 1388 */
				obj_t BgL_classz00_9474;

				BgL_classz00_9474 = BGl_makezd2boxzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_954))
					{	/* Ast/nodetype.sch 1388 */
						BgL_objectz00_bglt BgL_arg1820z00_9475;

						BgL_arg1820z00_9475 = (BgL_objectz00_bglt) (BgL_objz00_954);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1388 */
								long BgL_idxz00_9476;

								BgL_idxz00_9476 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9475);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9476 + ((long) 3))) == BgL_classz00_9474);
							}
						else
							{	/* Ast/nodetype.sch 1388 */
								bool_t BgL_res2998z00_9479;

								{	/* Ast/nodetype.sch 1388 */
									obj_t BgL_oclassz00_9480;

									{	/* Ast/nodetype.sch 1388 */
										long BgL_arg1828z00_9481;

										{	/* Ast/nodetype.sch 1388 */
											long BgL_arg1829z00_9482;

											BgL_arg1829z00_9482 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9475);
											BgL_arg1828z00_9481 = (BgL_arg1829z00_9482 - OBJECT_TYPE);
										}
										BgL_oclassz00_9480 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9481);
									}
									{	/* Ast/nodetype.sch 1388 */
										bool_t BgL__ortest_1111z00_9483;

										BgL__ortest_1111z00_9483 =
											(BgL_classz00_9474 == BgL_oclassz00_9480);
										if (BgL__ortest_1111z00_9483)
											{	/* Ast/nodetype.sch 1388 */
												BgL_res2998z00_9479 = BgL__ortest_1111z00_9483;
											}
										else
											{	/* Ast/nodetype.sch 1388 */
												long BgL_odepthz00_9484;

												BgL_odepthz00_9484 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9480);
												if ((((long) 3) < BgL_odepthz00_9484))
													{	/* Ast/nodetype.sch 1388 */
														obj_t BgL_arg1816z00_9485;

														BgL_arg1816z00_9485 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9480,
															((long) 3));
														BgL_res2998z00_9479 =
															(BgL_arg1816z00_9485 == BgL_classz00_9474);
													}
												else
													{	/* Ast/nodetype.sch 1388 */
														BgL_res2998z00_9479 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2998z00_9479;
							}
					}
				else
					{	/* Ast/nodetype.sch 1388 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &make-box? */
	obj_t BGl_z62makezd2boxzf3z43zzast_nodez00(obj_t BgL_envz00_7500,
		obj_t BgL_objz00_7501)
	{
		{	/* Ast/nodetype.sch 1388 */
			return BBOOL(BGl_makezd2boxzf3z21zzast_nodez00(BgL_objz00_7501));
		}

	}



/* make-box-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzd2nilz00zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1389 */
			{	/* Ast/nodetype.sch 1389 */
				obj_t BgL_classz00_5344;

				BgL_classz00_5344 = BGl_makezd2boxzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1389 */
					obj_t BgL__ortest_1113z00_5345;

					BgL__ortest_1113z00_5345 = BGL_CLASS_NIL(BgL_classz00_5344);
					if (CBOOL(BgL__ortest_1113z00_5345))
						{	/* Ast/nodetype.sch 1389 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1113z00_5345);
						}
					else
						{	/* Ast/nodetype.sch 1389 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5344));
						}
				}
			}
		}

	}



/* &make-box-nil */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7502)
	{
		{	/* Ast/nodetype.sch 1389 */
			return BGl_makezd2boxzd2nilz00zzast_nodez00();
		}

	}



/* make-box-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2stackablez00zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_955)
	{
		{	/* Ast/nodetype.sch 1390 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_955))->BgL_stackablez00);
		}

	}



/* &make-box-stackable */
	obj_t BGl_z62makezd2boxzd2stackablez62zzast_nodez00(obj_t BgL_envz00_7503,
		obj_t BgL_oz00_7504)
	{
		{	/* Ast/nodetype.sch 1390 */
			return
				BGl_makezd2boxzd2stackablez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7504));
		}

	}



/* make-box-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2stackablezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_956, obj_t BgL_vz00_957)
	{
		{	/* Ast/nodetype.sch 1391 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_956))->BgL_stackablez00) =
				((obj_t) BgL_vz00_957), BUNSPEC);
		}

	}



/* &make-box-stackable-set! */
	obj_t BGl_z62makezd2boxzd2stackablezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7505, obj_t BgL_oz00_7506, obj_t BgL_vz00_7507)
	{
		{	/* Ast/nodetype.sch 1391 */
			return
				BGl_makezd2boxzd2stackablezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7506), BgL_vz00_7507);
		}

	}



/* make-box-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzd2vtypez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_958)
	{
		{	/* Ast/nodetype.sch 1392 */
			return (((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_958))->BgL_vtypez00);
		}

	}



/* &make-box-vtype */
	BgL_typez00_bglt BGl_z62makezd2boxzd2vtypez62zzast_nodez00(obj_t
		BgL_envz00_7508, obj_t BgL_oz00_7509)
	{
		{	/* Ast/nodetype.sch 1392 */
			return
				BGl_makezd2boxzd2vtypez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7509));
		}

	}



/* make-box-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_959, BgL_typez00_bglt BgL_vz00_960)
	{
		{	/* Ast/nodetype.sch 1393 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_959))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_960), BUNSPEC);
		}

	}



/* &make-box-vtype-set! */
	obj_t BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7510, obj_t BgL_oz00_7511, obj_t BgL_vz00_7512)
	{
		{	/* Ast/nodetype.sch 1393 */
			return
				BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7511),
				((BgL_typez00_bglt) BgL_vz00_7512));
		}

	}



/* make-box-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_961)
	{
		{	/* Ast/nodetype.sch 1394 */
			return (((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_961))->BgL_valuez00);
		}

	}



/* &make-box-value */
	BgL_nodez00_bglt BGl_z62makezd2boxzd2valuez62zzast_nodez00(obj_t
		BgL_envz00_7513, obj_t BgL_oz00_7514)
	{
		{	/* Ast/nodetype.sch 1394 */
			return
				BGl_makezd2boxzd2valuez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7514));
		}

	}



/* make-box-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_962, BgL_nodez00_bglt BgL_vz00_963)
	{
		{	/* Ast/nodetype.sch 1395 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_962))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_963), BUNSPEC);
		}

	}



/* &make-box-value-set! */
	obj_t BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7515, obj_t BgL_oz00_7516, obj_t BgL_vz00_7517)
	{
		{	/* Ast/nodetype.sch 1395 */
			return
				BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7516),
				((BgL_nodez00_bglt) BgL_vz00_7517));
		}

	}



/* make-box-key */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2keyz00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_964)
	{
		{	/* Ast/nodetype.sch 1396 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_964)))->BgL_keyz00);
		}

	}



/* &make-box-key */
	obj_t BGl_z62makezd2boxzd2keyz62zzast_nodez00(obj_t BgL_envz00_7518,
		obj_t BgL_oz00_7519)
	{
		{	/* Ast/nodetype.sch 1396 */
			return
				BGl_makezd2boxzd2keyz00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7519));
		}

	}



/* make-box-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_965, obj_t BgL_vz00_966)
	{
		{	/* Ast/nodetype.sch 1397 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_965)))->BgL_keyz00) =
				((obj_t) BgL_vz00_966), BUNSPEC);
		}

	}



/* &make-box-key-set! */
	obj_t BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7520,
		obj_t BgL_oz00_7521, obj_t BgL_vz00_7522)
	{
		{	/* Ast/nodetype.sch 1397 */
			return
				BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7521), BgL_vz00_7522);
		}

	}



/* make-box-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_967)
	{
		{	/* Ast/nodetype.sch 1398 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_967)))->BgL_sidezd2effectzd2);
		}

	}



/* &make-box-side-effect */
	obj_t BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7523,
		obj_t BgL_oz00_7524)
	{
		{	/* Ast/nodetype.sch 1398 */
			return
				BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7524));
		}

	}



/* make-box-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_makezd2boxzd2_bglt BgL_oz00_968, obj_t BgL_vz00_969)
	{
		{	/* Ast/nodetype.sch 1399 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_968)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_969), BUNSPEC);
		}

	}



/* &make-box-side-effect-set! */
	obj_t BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7525, obj_t BgL_oz00_7526, obj_t BgL_vz00_7527)
	{
		{	/* Ast/nodetype.sch 1399 */
			return
				BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7526), BgL_vz00_7527);
		}

	}



/* make-box-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzd2typez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_970)
	{
		{	/* Ast/nodetype.sch 1400 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_970)))->BgL_typez00);
		}

	}



/* &make-box-type */
	BgL_typez00_bglt BGl_z62makezd2boxzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7528, obj_t BgL_oz00_7529)
	{
		{	/* Ast/nodetype.sch 1400 */
			return
				BGl_makezd2boxzd2typez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7529));
		}

	}



/* make-box-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_971, BgL_typez00_bglt BgL_vz00_972)
	{
		{	/* Ast/nodetype.sch 1401 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_971)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_972), BUNSPEC);
		}

	}



/* &make-box-type-set! */
	obj_t BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7530,
		obj_t BgL_oz00_7531, obj_t BgL_vz00_7532)
	{
		{	/* Ast/nodetype.sch 1401 */
			return
				BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7531),
				((BgL_typez00_bglt) BgL_vz00_7532));
		}

	}



/* make-box-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2locz00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_973)
	{
		{	/* Ast/nodetype.sch 1402 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_973)))->BgL_locz00);
		}

	}



/* &make-box-loc */
	obj_t BGl_z62makezd2boxzd2locz62zzast_nodez00(obj_t BgL_envz00_7533,
		obj_t BgL_oz00_7534)
	{
		{	/* Ast/nodetype.sch 1402 */
			return
				BGl_makezd2boxzd2locz00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7534));
		}

	}



/* make-box-ref */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refz00zzast_nodez00(obj_t BgL_loc1448z00_976,
		BgL_typez00_bglt BgL_type1449z00_977, obj_t BgL_sidezd2effect1450zd2_978,
		obj_t BgL_key1451z00_979, BgL_varz00_bglt BgL_var1452z00_980,
		BgL_typez00_bglt BgL_vtype1453z00_981)
	{
		{	/* Ast/nodetype.sch 1406 */
			{	/* Ast/nodetype.sch 1406 */
				BgL_boxzd2refzd2_bglt BgL_new1510z00_9486;

				{	/* Ast/nodetype.sch 1406 */
					BgL_boxzd2refzd2_bglt BgL_new1509z00_9487;

					BgL_new1509z00_9487 =
						((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/nodetype.sch 1406 */
						long BgL_arg1862z00_9488;

						BgL_arg1862z00_9488 = BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1509z00_9487), BgL_arg1862z00_9488);
					}
					{	/* Ast/nodetype.sch 1406 */
						BgL_objectz00_bglt BgL_tmpz00_13915;

						BgL_tmpz00_13915 = ((BgL_objectz00_bglt) BgL_new1509z00_9487);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13915, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1509z00_9487);
					BgL_new1510z00_9486 = BgL_new1509z00_9487;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1510z00_9486)))->BgL_locz00) =
					((obj_t) BgL_loc1448z00_976), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1510z00_9486)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1449z00_977), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1510z00_9486)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1450zd2_978), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1510z00_9486)))->BgL_keyz00) =
					((obj_t) BgL_key1451z00_979), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1510z00_9486))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1452z00_980), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1510z00_9486))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1453z00_981), BUNSPEC);
				return BgL_new1510z00_9486;
			}
		}

	}



/* &make-box-ref */
	BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refz62zzast_nodez00(obj_t
		BgL_envz00_7535, obj_t BgL_loc1448z00_7536, obj_t BgL_type1449z00_7537,
		obj_t BgL_sidezd2effect1450zd2_7538, obj_t BgL_key1451z00_7539,
		obj_t BgL_var1452z00_7540, obj_t BgL_vtype1453z00_7541)
	{
		{	/* Ast/nodetype.sch 1406 */
			return
				BGl_makezd2boxzd2refz00zzast_nodez00(BgL_loc1448z00_7536,
				((BgL_typez00_bglt) BgL_type1449z00_7537),
				BgL_sidezd2effect1450zd2_7538, BgL_key1451z00_7539,
				((BgL_varz00_bglt) BgL_var1452z00_7540),
				((BgL_typez00_bglt) BgL_vtype1453z00_7541));
		}

	}



/* box-ref? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t BgL_objz00_982)
	{
		{	/* Ast/nodetype.sch 1407 */
			{	/* Ast/nodetype.sch 1407 */
				obj_t BgL_classz00_9489;

				BgL_classz00_9489 = BGl_boxzd2refzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_982))
					{	/* Ast/nodetype.sch 1407 */
						BgL_objectz00_bglt BgL_arg1820z00_9490;

						BgL_arg1820z00_9490 = (BgL_objectz00_bglt) (BgL_objz00_982);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1407 */
								long BgL_idxz00_9491;

								BgL_idxz00_9491 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9490);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9491 + ((long) 3))) == BgL_classz00_9489);
							}
						else
							{	/* Ast/nodetype.sch 1407 */
								bool_t BgL_res2999z00_9494;

								{	/* Ast/nodetype.sch 1407 */
									obj_t BgL_oclassz00_9495;

									{	/* Ast/nodetype.sch 1407 */
										long BgL_arg1828z00_9496;

										{	/* Ast/nodetype.sch 1407 */
											long BgL_arg1829z00_9497;

											BgL_arg1829z00_9497 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9490);
											BgL_arg1828z00_9496 = (BgL_arg1829z00_9497 - OBJECT_TYPE);
										}
										BgL_oclassz00_9495 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9496);
									}
									{	/* Ast/nodetype.sch 1407 */
										bool_t BgL__ortest_1111z00_9498;

										BgL__ortest_1111z00_9498 =
											(BgL_classz00_9489 == BgL_oclassz00_9495);
										if (BgL__ortest_1111z00_9498)
											{	/* Ast/nodetype.sch 1407 */
												BgL_res2999z00_9494 = BgL__ortest_1111z00_9498;
											}
										else
											{	/* Ast/nodetype.sch 1407 */
												long BgL_odepthz00_9499;

												BgL_odepthz00_9499 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9495);
												if ((((long) 3) < BgL_odepthz00_9499))
													{	/* Ast/nodetype.sch 1407 */
														obj_t BgL_arg1816z00_9500;

														BgL_arg1816z00_9500 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9495,
															((long) 3));
														BgL_res2999z00_9494 =
															(BgL_arg1816z00_9500 == BgL_classz00_9489);
													}
												else
													{	/* Ast/nodetype.sch 1407 */
														BgL_res2999z00_9494 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2999z00_9494;
							}
					}
				else
					{	/* Ast/nodetype.sch 1407 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-ref? */
	obj_t BGl_z62boxzd2refzf3z43zzast_nodez00(obj_t BgL_envz00_7542,
		obj_t BgL_objz00_7543)
	{
		{	/* Ast/nodetype.sch 1407 */
			return BBOOL(BGl_boxzd2refzf3z21zzast_nodez00(BgL_objz00_7543));
		}

	}



/* box-ref-nil */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzd2nilz00zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1408 */
			{	/* Ast/nodetype.sch 1408 */
				obj_t BgL_classz00_5384;

				BgL_classz00_5384 = BGl_boxzd2refzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1408 */
					obj_t BgL__ortest_1113z00_5385;

					BgL__ortest_1113z00_5385 = BGL_CLASS_NIL(BgL_classz00_5384);
					if (CBOOL(BgL__ortest_1113z00_5385))
						{	/* Ast/nodetype.sch 1408 */
							return ((BgL_boxzd2refzd2_bglt) BgL__ortest_1113z00_5385);
						}
					else
						{	/* Ast/nodetype.sch 1408 */
							return
								((BgL_boxzd2refzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5384));
						}
				}
			}
		}

	}



/* &box-ref-nil */
	BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7544)
	{
		{	/* Ast/nodetype.sch 1408 */
			return BGl_boxzd2refzd2nilz00zzast_nodez00();
		}

	}



/* box-ref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzd2vtypez00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_983)
	{
		{	/* Ast/nodetype.sch 1409 */
			return (((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_983))->BgL_vtypez00);
		}

	}



/* &box-ref-vtype */
	BgL_typez00_bglt BGl_z62boxzd2refzd2vtypez62zzast_nodez00(obj_t
		BgL_envz00_7545, obj_t BgL_oz00_7546)
	{
		{	/* Ast/nodetype.sch 1409 */
			return
				BGl_boxzd2refzd2vtypez00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7546));
		}

	}



/* box-ref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_984, BgL_typez00_bglt BgL_vz00_985)
	{
		{	/* Ast/nodetype.sch 1410 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_984))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_985), BUNSPEC);
		}

	}



/* &box-ref-vtype-set! */
	obj_t BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7547,
		obj_t BgL_oz00_7548, obj_t BgL_vz00_7549)
	{
		{	/* Ast/nodetype.sch 1410 */
			return
				BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7548),
				((BgL_typez00_bglt) BgL_vz00_7549));
		}

	}



/* box-ref-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_986)
	{
		{	/* Ast/nodetype.sch 1411 */
			return (((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_986))->BgL_varz00);
		}

	}



/* &box-ref-var */
	BgL_varz00_bglt BGl_z62boxzd2refzd2varz62zzast_nodez00(obj_t BgL_envz00_7550,
		obj_t BgL_oz00_7551)
	{
		{	/* Ast/nodetype.sch 1411 */
			return
				BGl_boxzd2refzd2varz00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7551));
		}

	}



/* box-ref-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_987, BgL_varz00_bglt BgL_vz00_988)
	{
		{	/* Ast/nodetype.sch 1412 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_987))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_988), BUNSPEC);
		}

	}



/* &box-ref-var-set! */
	obj_t BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7552,
		obj_t BgL_oz00_7553, obj_t BgL_vz00_7554)
	{
		{	/* Ast/nodetype.sch 1412 */
			return
				BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7553),
				((BgL_varz00_bglt) BgL_vz00_7554));
		}

	}



/* box-ref-key */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2keyz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_989)
	{
		{	/* Ast/nodetype.sch 1413 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_989)))->BgL_keyz00);
		}

	}



/* &box-ref-key */
	obj_t BGl_z62boxzd2refzd2keyz62zzast_nodez00(obj_t BgL_envz00_7555,
		obj_t BgL_oz00_7556)
	{
		{	/* Ast/nodetype.sch 1413 */
			return
				BGl_boxzd2refzd2keyz00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7556));
		}

	}



/* box-ref-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_990, obj_t BgL_vz00_991)
	{
		{	/* Ast/nodetype.sch 1414 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_990)))->BgL_keyz00) =
				((obj_t) BgL_vz00_991), BUNSPEC);
		}

	}



/* &box-ref-key-set! */
	obj_t BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7557,
		obj_t BgL_oz00_7558, obj_t BgL_vz00_7559)
	{
		{	/* Ast/nodetype.sch 1414 */
			return
				BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7558), BgL_vz00_7559);
		}

	}



/* box-ref-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_992)
	{
		{	/* Ast/nodetype.sch 1415 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_992)))->BgL_sidezd2effectzd2);
		}

	}



/* &box-ref-side-effect */
	obj_t BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7560,
		obj_t BgL_oz00_7561)
	{
		{	/* Ast/nodetype.sch 1415 */
			return
				BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7561));
		}

	}



/* box-ref-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_993, obj_t BgL_vz00_994)
	{
		{	/* Ast/nodetype.sch 1416 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_993)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_994), BUNSPEC);
		}

	}



/* &box-ref-side-effect-set! */
	obj_t BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7562, obj_t BgL_oz00_7563, obj_t BgL_vz00_7564)
	{
		{	/* Ast/nodetype.sch 1416 */
			return
				BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7563), BgL_vz00_7564);
		}

	}



/* box-ref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzd2typez00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_995)
	{
		{	/* Ast/nodetype.sch 1417 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_995)))->BgL_typez00);
		}

	}



/* &box-ref-type */
	BgL_typez00_bglt BGl_z62boxzd2refzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7565, obj_t BgL_oz00_7566)
	{
		{	/* Ast/nodetype.sch 1417 */
			return
				BGl_boxzd2refzd2typez00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7566));
		}

	}



/* box-ref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_996, BgL_typez00_bglt BgL_vz00_997)
	{
		{	/* Ast/nodetype.sch 1418 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_996)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_997), BUNSPEC);
		}

	}



/* &box-ref-type-set! */
	obj_t BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7567,
		obj_t BgL_oz00_7568, obj_t BgL_vz00_7569)
	{
		{	/* Ast/nodetype.sch 1418 */
			return
				BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7568),
				((BgL_typez00_bglt) BgL_vz00_7569));
		}

	}



/* box-ref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2locz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_998)
	{
		{	/* Ast/nodetype.sch 1419 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_998)))->BgL_locz00);
		}

	}



/* &box-ref-loc */
	obj_t BGl_z62boxzd2refzd2locz62zzast_nodez00(obj_t BgL_envz00_7570,
		obj_t BgL_oz00_7571)
	{
		{	/* Ast/nodetype.sch 1419 */
			return
				BGl_boxzd2refzd2locz00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7571));
		}

	}



/* make-box-set! */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t BgL_loc1442z00_1001,
		BgL_typez00_bglt BgL_type1443z00_1002, BgL_varz00_bglt BgL_var1444z00_1003,
		BgL_nodez00_bglt BgL_value1445z00_1004,
		BgL_typez00_bglt BgL_vtype1446z00_1005)
	{
		{	/* Ast/nodetype.sch 1423 */
			{	/* Ast/nodetype.sch 1423 */
				BgL_boxzd2setz12zc0_bglt BgL_new1512z00_9501;

				{	/* Ast/nodetype.sch 1423 */
					BgL_boxzd2setz12zc0_bglt BgL_new1511z00_9502;

					BgL_new1511z00_9502 =
						((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/nodetype.sch 1423 */
						long BgL_arg1864z00_9503;

						BgL_arg1864z00_9503 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1511z00_9502), BgL_arg1864z00_9503);
					}
					{	/* Ast/nodetype.sch 1423 */
						BgL_objectz00_bglt BgL_tmpz00_14008;

						BgL_tmpz00_14008 = ((BgL_objectz00_bglt) BgL_new1511z00_9502);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14008, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1511z00_9502);
					BgL_new1512z00_9501 = BgL_new1511z00_9502;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1512z00_9501)))->BgL_locz00) =
					((obj_t) BgL_loc1442z00_1001), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1512z00_9501)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1443z00_1002), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1512z00_9501))->
						BgL_varz00) = ((BgL_varz00_bglt) BgL_var1444z00_1003), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1512z00_9501))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1445z00_1004), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1512z00_9501))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1446z00_1005), BUNSPEC);
				return BgL_new1512z00_9501;
			}
		}

	}



/* &make-box-set! */
	BgL_boxzd2setz12zc0_bglt BGl_z62makezd2boxzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7572, obj_t BgL_loc1442z00_7573, obj_t BgL_type1443z00_7574,
		obj_t BgL_var1444z00_7575, obj_t BgL_value1445z00_7576,
		obj_t BgL_vtype1446z00_7577)
	{
		{	/* Ast/nodetype.sch 1423 */
			return
				BGl_makezd2boxzd2setz12z12zzast_nodez00(BgL_loc1442z00_7573,
				((BgL_typez00_bglt) BgL_type1443z00_7574),
				((BgL_varz00_bglt) BgL_var1444z00_7575),
				((BgL_nodez00_bglt) BgL_value1445z00_7576),
				((BgL_typez00_bglt) BgL_vtype1446z00_7577));
		}

	}



/* box-set!? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t
		BgL_objz00_1006)
	{
		{	/* Ast/nodetype.sch 1424 */
			{	/* Ast/nodetype.sch 1424 */
				obj_t BgL_classz00_9504;

				BgL_classz00_9504 = BGl_boxzd2setz12zc0zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_1006))
					{	/* Ast/nodetype.sch 1424 */
						BgL_objectz00_bglt BgL_arg1820z00_9505;

						BgL_arg1820z00_9505 = (BgL_objectz00_bglt) (BgL_objz00_1006);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1424 */
								long BgL_idxz00_9506;

								BgL_idxz00_9506 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9505);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9506 + ((long) 2))) == BgL_classz00_9504);
							}
						else
							{	/* Ast/nodetype.sch 1424 */
								bool_t BgL_res3000z00_9509;

								{	/* Ast/nodetype.sch 1424 */
									obj_t BgL_oclassz00_9510;

									{	/* Ast/nodetype.sch 1424 */
										long BgL_arg1828z00_9511;

										{	/* Ast/nodetype.sch 1424 */
											long BgL_arg1829z00_9512;

											BgL_arg1829z00_9512 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9505);
											BgL_arg1828z00_9511 = (BgL_arg1829z00_9512 - OBJECT_TYPE);
										}
										BgL_oclassz00_9510 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9511);
									}
									{	/* Ast/nodetype.sch 1424 */
										bool_t BgL__ortest_1111z00_9513;

										BgL__ortest_1111z00_9513 =
											(BgL_classz00_9504 == BgL_oclassz00_9510);
										if (BgL__ortest_1111z00_9513)
											{	/* Ast/nodetype.sch 1424 */
												BgL_res3000z00_9509 = BgL__ortest_1111z00_9513;
											}
										else
											{	/* Ast/nodetype.sch 1424 */
												long BgL_odepthz00_9514;

												BgL_odepthz00_9514 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9510);
												if ((((long) 2) < BgL_odepthz00_9514))
													{	/* Ast/nodetype.sch 1424 */
														obj_t BgL_arg1816z00_9515;

														BgL_arg1816z00_9515 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9510,
															((long) 2));
														BgL_res3000z00_9509 =
															(BgL_arg1816z00_9515 == BgL_classz00_9504);
													}
												else
													{	/* Ast/nodetype.sch 1424 */
														BgL_res3000z00_9509 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3000z00_9509;
							}
					}
				else
					{	/* Ast/nodetype.sch 1424 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-set!? */
	obj_t BGl_z62boxzd2setz12zf3z51zzast_nodez00(obj_t BgL_envz00_7578,
		obj_t BgL_objz00_7579)
	{
		{	/* Ast/nodetype.sch 1424 */
			return BBOOL(BGl_boxzd2setz12zf3z33zzast_nodez00(BgL_objz00_7579));
		}

	}



/* box-set!-nil */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zd2nilz12zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1425 */
			{	/* Ast/nodetype.sch 1425 */
				obj_t BgL_classz00_5424;

				BgL_classz00_5424 = BGl_boxzd2setz12zc0zzast_nodez00;
				{	/* Ast/nodetype.sch 1425 */
					obj_t BgL__ortest_1113z00_5425;

					BgL__ortest_1113z00_5425 = BGL_CLASS_NIL(BgL_classz00_5424);
					if (CBOOL(BgL__ortest_1113z00_5425))
						{	/* Ast/nodetype.sch 1425 */
							return ((BgL_boxzd2setz12zc0_bglt) BgL__ortest_1113z00_5425);
						}
					else
						{	/* Ast/nodetype.sch 1425 */
							return
								((BgL_boxzd2setz12zc0_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5424));
						}
				}
			}
		}

	}



/* &box-set!-nil */
	BgL_boxzd2setz12zc0_bglt BGl_z62boxzd2setz12zd2nilz70zzast_nodez00(obj_t
		BgL_envz00_7580)
	{
		{	/* Ast/nodetype.sch 1425 */
			return BGl_boxzd2setz12zd2nilz12zzast_nodez00();
		}

	}



/* box-set!-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zd2vtypez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1007)
	{
		{	/* Ast/nodetype.sch 1426 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1007))->BgL_vtypez00);
		}

	}



/* &box-set!-vtype */
	BgL_typez00_bglt BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00(obj_t
		BgL_envz00_7581, obj_t BgL_oz00_7582)
	{
		{	/* Ast/nodetype.sch 1426 */
			return
				BGl_boxzd2setz12zd2vtypez12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7582));
		}

	}



/* box-set!-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1008, BgL_typez00_bglt BgL_vz00_1009)
	{
		{	/* Ast/nodetype.sch 1427 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1008))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_1009), BUNSPEC);
		}

	}



/* &box-set!-vtype-set! */
	obj_t BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7583, obj_t BgL_oz00_7584, obj_t BgL_vz00_7585)
	{
		{	/* Ast/nodetype.sch 1427 */
			return
				BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7584),
				((BgL_typez00_bglt) BgL_vz00_7585));
		}

	}



/* box-set!-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1010)
	{
		{	/* Ast/nodetype.sch 1428 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1010))->BgL_valuez00);
		}

	}



/* &box-set!-value */
	BgL_nodez00_bglt BGl_z62boxzd2setz12zd2valuez70zzast_nodez00(obj_t
		BgL_envz00_7586, obj_t BgL_oz00_7587)
	{
		{	/* Ast/nodetype.sch 1428 */
			return
				BGl_boxzd2setz12zd2valuez12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7587));
		}

	}



/* box-set!-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1011, BgL_nodez00_bglt BgL_vz00_1012)
	{
		{	/* Ast/nodetype.sch 1429 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1011))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_1012), BUNSPEC);
		}

	}



/* &box-set!-value-set! */
	obj_t BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7588, obj_t BgL_oz00_7589, obj_t BgL_vz00_7590)
	{
		{	/* Ast/nodetype.sch 1429 */
			return
				BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7589),
				((BgL_nodez00_bglt) BgL_vz00_7590));
		}

	}



/* box-set!-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1013)
	{
		{	/* Ast/nodetype.sch 1430 */
			return (((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1013))->BgL_varz00);
		}

	}



/* &box-set!-var */
	BgL_varz00_bglt BGl_z62boxzd2setz12zd2varz70zzast_nodez00(obj_t
		BgL_envz00_7591, obj_t BgL_oz00_7592)
	{
		{	/* Ast/nodetype.sch 1430 */
			return
				BGl_boxzd2setz12zd2varz12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7592));
		}

	}



/* box-set!-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1014, BgL_varz00_bglt BgL_vz00_1015)
	{
		{	/* Ast/nodetype.sch 1431 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1014))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_1015), BUNSPEC);
		}

	}



/* &box-set!-var-set! */
	obj_t BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7593, obj_t BgL_oz00_7594, obj_t BgL_vz00_7595)
	{
		{	/* Ast/nodetype.sch 1431 */
			return
				BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7594),
				((BgL_varz00_bglt) BgL_vz00_7595));
		}

	}



/* box-set!-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zd2typez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1016)
	{
		{	/* Ast/nodetype.sch 1432 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1016)))->BgL_typez00);
		}

	}



/* &box-set!-type */
	BgL_typez00_bglt BGl_z62boxzd2setz12zd2typez70zzast_nodez00(obj_t
		BgL_envz00_7596, obj_t BgL_oz00_7597)
	{
		{	/* Ast/nodetype.sch 1432 */
			return
				BGl_boxzd2setz12zd2typez12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7597));
		}

	}



/* box-set!-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1017, BgL_typez00_bglt BgL_vz00_1018)
	{
		{	/* Ast/nodetype.sch 1433 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_1017)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_1018), BUNSPEC);
		}

	}



/* &box-set!-type-set! */
	obj_t BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7598, obj_t BgL_oz00_7599, obj_t BgL_vz00_7600)
	{
		{	/* Ast/nodetype.sch 1433 */
			return
				BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7599),
				((BgL_typez00_bglt) BgL_vz00_7600));
		}

	}



/* box-set!-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2locz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1019)
	{
		{	/* Ast/nodetype.sch 1434 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1019)))->BgL_locz00);
		}

	}



/* &box-set!-loc */
	obj_t BGl_z62boxzd2setz12zd2locz70zzast_nodez00(obj_t BgL_envz00_7601,
		obj_t BgL_oz00_7602)
	{
		{	/* Ast/nodetype.sch 1434 */
			return
				BGl_boxzd2setz12zd2locz12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7602));
		}

	}



/* make-sync */
	BGL_EXPORTED_DEF BgL_syncz00_bglt BGl_makezd2synczd2zzast_nodez00(obj_t
		BgL_loc1436z00_1022, BgL_typez00_bglt BgL_type1437z00_1023,
		BgL_nodez00_bglt BgL_mutex1438z00_1024,
		BgL_nodez00_bglt BgL_prelock1439z00_1025,
		BgL_nodez00_bglt BgL_body1440z00_1026)
	{
		{	/* Ast/nodetype.sch 1438 */
			{	/* Ast/nodetype.sch 1438 */
				BgL_syncz00_bglt BgL_new1514z00_9516;

				{	/* Ast/nodetype.sch 1438 */
					BgL_syncz00_bglt BgL_new1513z00_9517;

					BgL_new1513z00_9517 =
						((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_syncz00_bgl))));
					{	/* Ast/nodetype.sch 1438 */
						long BgL_arg1865z00_9518;

						BgL_arg1865z00_9518 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1513z00_9517), BgL_arg1865z00_9518);
					}
					{	/* Ast/nodetype.sch 1438 */
						BgL_objectz00_bglt BgL_tmpz00_14090;

						BgL_tmpz00_14090 = ((BgL_objectz00_bglt) BgL_new1513z00_9517);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14090, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1513z00_9517);
					BgL_new1514z00_9516 = BgL_new1513z00_9517;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1514z00_9516)))->BgL_locz00) =
					((obj_t) BgL_loc1436z00_1022), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1514z00_9516)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1437z00_1023), BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1514z00_9516))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_mutex1438z00_1024), BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1514z00_9516))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_prelock1439z00_1025), BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1514z00_9516))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1440z00_1026), BUNSPEC);
				return BgL_new1514z00_9516;
			}
		}

	}



/* &make-sync */
	BgL_syncz00_bglt BGl_z62makezd2synczb0zzast_nodez00(obj_t BgL_envz00_7603,
		obj_t BgL_loc1436z00_7604, obj_t BgL_type1437z00_7605,
		obj_t BgL_mutex1438z00_7606, obj_t BgL_prelock1439z00_7607,
		obj_t BgL_body1440z00_7608)
	{
		{	/* Ast/nodetype.sch 1438 */
			return
				BGl_makezd2synczd2zzast_nodez00(BgL_loc1436z00_7604,
				((BgL_typez00_bglt) BgL_type1437z00_7605),
				((BgL_nodez00_bglt) BgL_mutex1438z00_7606),
				((BgL_nodez00_bglt) BgL_prelock1439z00_7607),
				((BgL_nodez00_bglt) BgL_body1440z00_7608));
		}

	}



/* sync? */
	BGL_EXPORTED_DEF bool_t BGl_synczf3zf3zzast_nodez00(obj_t BgL_objz00_1027)
	{
		{	/* Ast/nodetype.sch 1439 */
			{	/* Ast/nodetype.sch 1439 */
				obj_t BgL_classz00_9519;

				BgL_classz00_9519 = BGl_syncz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_1027))
					{	/* Ast/nodetype.sch 1439 */
						BgL_objectz00_bglt BgL_arg1820z00_9520;

						BgL_arg1820z00_9520 = (BgL_objectz00_bglt) (BgL_objz00_1027);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1439 */
								long BgL_idxz00_9521;

								BgL_idxz00_9521 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9520);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9521 + ((long) 2))) == BgL_classz00_9519);
							}
						else
							{	/* Ast/nodetype.sch 1439 */
								bool_t BgL_res3001z00_9524;

								{	/* Ast/nodetype.sch 1439 */
									obj_t BgL_oclassz00_9525;

									{	/* Ast/nodetype.sch 1439 */
										long BgL_arg1828z00_9526;

										{	/* Ast/nodetype.sch 1439 */
											long BgL_arg1829z00_9527;

											BgL_arg1829z00_9527 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9520);
											BgL_arg1828z00_9526 = (BgL_arg1829z00_9527 - OBJECT_TYPE);
										}
										BgL_oclassz00_9525 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9526);
									}
									{	/* Ast/nodetype.sch 1439 */
										bool_t BgL__ortest_1111z00_9528;

										BgL__ortest_1111z00_9528 =
											(BgL_classz00_9519 == BgL_oclassz00_9525);
										if (BgL__ortest_1111z00_9528)
											{	/* Ast/nodetype.sch 1439 */
												BgL_res3001z00_9524 = BgL__ortest_1111z00_9528;
											}
										else
											{	/* Ast/nodetype.sch 1439 */
												long BgL_odepthz00_9529;

												BgL_odepthz00_9529 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9525);
												if ((((long) 2) < BgL_odepthz00_9529))
													{	/* Ast/nodetype.sch 1439 */
														obj_t BgL_arg1816z00_9530;

														BgL_arg1816z00_9530 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9525,
															((long) 2));
														BgL_res3001z00_9524 =
															(BgL_arg1816z00_9530 == BgL_classz00_9519);
													}
												else
													{	/* Ast/nodetype.sch 1439 */
														BgL_res3001z00_9524 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3001z00_9524;
							}
					}
				else
					{	/* Ast/nodetype.sch 1439 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sync? */
	obj_t BGl_z62synczf3z91zzast_nodez00(obj_t BgL_envz00_7609,
		obj_t BgL_objz00_7610)
	{
		{	/* Ast/nodetype.sch 1439 */
			return BBOOL(BGl_synczf3zf3zzast_nodez00(BgL_objz00_7610));
		}

	}



/* sync-nil */
	BGL_EXPORTED_DEF BgL_syncz00_bglt BGl_synczd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1440 */
			{	/* Ast/nodetype.sch 1440 */
				obj_t BgL_classz00_5464;

				BgL_classz00_5464 = BGl_syncz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1440 */
					obj_t BgL__ortest_1113z00_5465;

					BgL__ortest_1113z00_5465 = BGL_CLASS_NIL(BgL_classz00_5464);
					if (CBOOL(BgL__ortest_1113z00_5465))
						{	/* Ast/nodetype.sch 1440 */
							return ((BgL_syncz00_bglt) BgL__ortest_1113z00_5465);
						}
					else
						{	/* Ast/nodetype.sch 1440 */
							return
								((BgL_syncz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5464));
						}
				}
			}
		}

	}



/* &sync-nil */
	BgL_syncz00_bglt BGl_z62synczd2nilzb0zzast_nodez00(obj_t BgL_envz00_7611)
	{
		{	/* Ast/nodetype.sch 1440 */
			return BGl_synczd2nilzd2zzast_nodez00();
		}

	}



/* sync-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2bodyzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1028)
	{
		{	/* Ast/nodetype.sch 1441 */
			return (((BgL_syncz00_bglt) COBJECT(BgL_oz00_1028))->BgL_bodyz00);
		}

	}



/* &sync-body */
	BgL_nodez00_bglt BGl_z62synczd2bodyzb0zzast_nodez00(obj_t BgL_envz00_7612,
		obj_t BgL_oz00_7613)
	{
		{	/* Ast/nodetype.sch 1441 */
			return
				BGl_synczd2bodyzd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7613));
		}

	}



/* sync-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2bodyzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1029,
		BgL_nodez00_bglt BgL_vz00_1030)
	{
		{	/* Ast/nodetype.sch 1442 */
			return
				((((BgL_syncz00_bglt) COBJECT(BgL_oz00_1029))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_1030), BUNSPEC);
		}

	}



/* &sync-body-set! */
	obj_t BGl_z62synczd2bodyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7614,
		obj_t BgL_oz00_7615, obj_t BgL_vz00_7616)
	{
		{	/* Ast/nodetype.sch 1442 */
			return
				BGl_synczd2bodyzd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_7615), ((BgL_nodez00_bglt) BgL_vz00_7616));
		}

	}



/* sync-prelock */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2prelockzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1031)
	{
		{	/* Ast/nodetype.sch 1443 */
			return (((BgL_syncz00_bglt) COBJECT(BgL_oz00_1031))->BgL_prelockz00);
		}

	}



/* &sync-prelock */
	BgL_nodez00_bglt BGl_z62synczd2prelockzb0zzast_nodez00(obj_t BgL_envz00_7617,
		obj_t BgL_oz00_7618)
	{
		{	/* Ast/nodetype.sch 1443 */
			return
				BGl_synczd2prelockzd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7618));
		}

	}



/* sync-prelock-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2prelockzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1032,
		BgL_nodez00_bglt BgL_vz00_1033)
	{
		{	/* Ast/nodetype.sch 1444 */
			return
				((((BgL_syncz00_bglt) COBJECT(BgL_oz00_1032))->BgL_prelockz00) =
				((BgL_nodez00_bglt) BgL_vz00_1033), BUNSPEC);
		}

	}



/* &sync-prelock-set! */
	obj_t BGl_z62synczd2prelockzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7619,
		obj_t BgL_oz00_7620, obj_t BgL_vz00_7621)
	{
		{	/* Ast/nodetype.sch 1444 */
			return
				BGl_synczd2prelockzd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_7620), ((BgL_nodez00_bglt) BgL_vz00_7621));
		}

	}



/* sync-mutex */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2mutexzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1034)
	{
		{	/* Ast/nodetype.sch 1445 */
			return (((BgL_syncz00_bglt) COBJECT(BgL_oz00_1034))->BgL_mutexz00);
		}

	}



/* &sync-mutex */
	BgL_nodez00_bglt BGl_z62synczd2mutexzb0zzast_nodez00(obj_t BgL_envz00_7622,
		obj_t BgL_oz00_7623)
	{
		{	/* Ast/nodetype.sch 1445 */
			return
				BGl_synczd2mutexzd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7623));
		}

	}



/* sync-mutex-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2mutexzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1035,
		BgL_nodez00_bglt BgL_vz00_1036)
	{
		{	/* Ast/nodetype.sch 1446 */
			return
				((((BgL_syncz00_bglt) COBJECT(BgL_oz00_1035))->BgL_mutexz00) =
				((BgL_nodez00_bglt) BgL_vz00_1036), BUNSPEC);
		}

	}



/* &sync-mutex-set! */
	obj_t BGl_z62synczd2mutexzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7624,
		obj_t BgL_oz00_7625, obj_t BgL_vz00_7626)
	{
		{	/* Ast/nodetype.sch 1446 */
			return
				BGl_synczd2mutexzd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_7625), ((BgL_nodez00_bglt) BgL_vz00_7626));
		}

	}



/* sync-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_synczd2typezd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1037)
	{
		{	/* Ast/nodetype.sch 1447 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1037)))->BgL_typez00);
		}

	}



/* &sync-type */
	BgL_typez00_bglt BGl_z62synczd2typezb0zzast_nodez00(obj_t BgL_envz00_7627,
		obj_t BgL_oz00_7628)
	{
		{	/* Ast/nodetype.sch 1447 */
			return
				BGl_synczd2typezd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7628));
		}

	}



/* sync-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2typezd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1038,
		BgL_typez00_bglt BgL_vz00_1039)
	{
		{	/* Ast/nodetype.sch 1448 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_1038)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_1039), BUNSPEC);
		}

	}



/* &sync-type-set! */
	obj_t BGl_z62synczd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7629,
		obj_t BgL_oz00_7630, obj_t BgL_vz00_7631)
	{
		{	/* Ast/nodetype.sch 1448 */
			return
				BGl_synczd2typezd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_7630), ((BgL_typez00_bglt) BgL_vz00_7631));
		}

	}



/* sync-loc */
	BGL_EXPORTED_DEF obj_t BGl_synczd2loczd2zzast_nodez00(BgL_syncz00_bglt
		BgL_oz00_1040)
	{
		{	/* Ast/nodetype.sch 1449 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1040)))->BgL_locz00);
		}

	}



/* &sync-loc */
	obj_t BGl_z62synczd2loczb0zzast_nodez00(obj_t BgL_envz00_7632,
		obj_t BgL_oz00_7633)
	{
		{	/* Ast/nodetype.sch 1449 */
			return BGl_synczd2loczd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7633));
		}

	}



/* strict-node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt BgL_t1z00_1043,
		BgL_typez00_bglt BgL_t2z00_1044)
	{
		{	/* Ast/node.scm 305 */
			return BgL_t1z00_1043;
		}

	}



/* &strict-node-type */
	BgL_typez00_bglt BGl_z62strictzd2nodezd2typez62zzast_nodez00(obj_t
		BgL_envz00_7634, obj_t BgL_t1z00_7635, obj_t BgL_t2z00_7636)
	{
		{	/* Ast/node.scm 305 */
			return
				BGl_strictzd2nodezd2typez00zzast_nodez00(
				((BgL_typez00_bglt) BgL_t1z00_7635),
				((BgL_typez00_bglt) BgL_t2z00_7636));
		}

	}



/* node-walk* */
	bool_t BGl_nodezd2walkza2z70zzast_nodez00(obj_t BgL_nodeza2za2_1089,
		obj_t BgL_procz00_1090)
	{
		{	/* Ast/node.scm 483 */
			{
				obj_t BgL_l1632z00_1651;

				BgL_l1632z00_1651 = BgL_nodeza2za2_1089;
			BgL_zc3z04anonymousza31866ze3z87_1652:
				if (PAIRP(BgL_l1632z00_1651))
					{	/* Ast/node.scm 484 */
						{	/* Ast/node.scm 484 */
							obj_t BgL_nodez00_1654;

							BgL_nodez00_1654 = CAR(BgL_l1632z00_1651);
							BGl_nodezd2walkzd2zzast_nodez00(
								((BgL_nodez00_bglt) BgL_nodez00_1654), BgL_procz00_1090);
						}
						{
							obj_t BgL_l1632z00_14176;

							BgL_l1632z00_14176 = CDR(BgL_l1632z00_1651);
							BgL_l1632z00_1651 = BgL_l1632z00_14176;
							goto BgL_zc3z04anonymousza31866ze3z87_1652;
						}
					}
				else
					{	/* Ast/node.scm 484 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			{	/* Ast/node.scm 21 */
				obj_t BgL_arg1874z00_1660;
				obj_t BgL_arg1875z00_1661;

				{	/* Ast/node.scm 21 */
					obj_t BgL_v1634z00_1673;

					BgL_v1634z00_1673 = create_vector(((long) 2));
					{	/* Ast/node.scm 21 */
						obj_t BgL_arg1882z00_1674;

						BgL_arg1882z00_1674 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc3009z00zzast_nodez00,
							BGl_proc3008z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3007z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1634z00_1673, ((long) 0), BgL_arg1882z00_1674);
					}
					{	/* Ast/node.scm 21 */
						obj_t BgL_arg1889z00_1687;

						BgL_arg1889z00_1687 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3011z00zzast_nodez00,
							BGl_proc3010z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1634z00_1673, ((long) 1), BgL_arg1889z00_1687);
					}
					BgL_arg1874z00_1660 = BgL_v1634z00_1673;
				}
				{	/* Ast/node.scm 21 */
					obj_t BgL_v1635z00_1697;

					BgL_v1635z00_1697 = create_vector(((long) 0));
					BgL_arg1875z00_1661 = BgL_v1635z00_1697;
				}
				BGl_nodez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_objectz00zz__objectz00,
					((long) 44710), BGl_proc3014z00zzast_nodez00,
					BGl_proc3013z00zzast_nodez00, BFALSE, BGl_proc3012z00zzast_nodez00,
					BFALSE, BgL_arg1874z00_1660, BgL_arg1875z00_1661);
			}
			{	/* Ast/node.scm 37 */
				obj_t BgL_arg1900z00_1704;
				obj_t BgL_arg1901z00_1705;

				{	/* Ast/node.scm 37 */
					obj_t BgL_v1636z00_1719;

					BgL_v1636z00_1719 = create_vector(((long) 2));
					{	/* Ast/node.scm 37 */
						obj_t BgL_arg1908z00_1720;

						BgL_arg1908z00_1720 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3017z00zzast_nodez00,
							BGl_proc3016z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3015z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1636z00_1719, ((long) 0), BgL_arg1908z00_1720);
					}
					{	/* Ast/node.scm 37 */
						obj_t BgL_arg1918z00_1733;

						BgL_arg1918z00_1733 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3020z00zzast_nodez00,
							BGl_proc3019z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3018z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1636z00_1719, ((long) 1), BgL_arg1918z00_1733);
					}
					BgL_arg1900z00_1704 = BgL_v1636z00_1719;
				}
				{	/* Ast/node.scm 37 */
					obj_t BgL_v1637z00_1746;

					BgL_v1637z00_1746 = create_vector(((long) 0));
					BgL_arg1901z00_1705 = BgL_v1637z00_1746;
				}
				BGl_nodezf2effectzf2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 23581),
					BGl_proc3023z00zzast_nodez00, BGl_proc3022z00zzast_nodez00, BFALSE,
					BGl_proc3021z00zzast_nodez00, BFALSE, BgL_arg1900z00_1704,
					BgL_arg1901z00_1705);
			}
			{	/* Ast/node.scm 46 */
				obj_t BgL_arg1927z00_1752;
				obj_t BgL_arg1928z00_1753;

				{	/* Ast/node.scm 46 */
					obj_t BgL_v1638z00_1759;

					BgL_v1638z00_1759 = create_vector(((long) 1));
					{	/* Ast/node.scm 46 */
						obj_t BgL_arg1932z00_1760;

						BgL_arg1932z00_1760 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3025z00zzast_nodez00,
							BGl_proc3024z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1638z00_1759, ((long) 0), BgL_arg1932z00_1760);
					}
					BgL_arg1927z00_1752 = BgL_v1638z00_1759;
				}
				{	/* Ast/node.scm 46 */
					obj_t BgL_v1639z00_1770;

					BgL_v1639z00_1770 = create_vector(((long) 0));
					BgL_arg1928z00_1753 = BgL_v1639z00_1770;
				}
				BGl_atomz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 9)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 4761),
					BFALSE, BGl_proc3027z00zzast_nodez00, BFALSE,
					BGl_proc3026z00zzast_nodez00, BFALSE, BgL_arg1927z00_1752,
					BgL_arg1928z00_1753);
			}
			{	/* Ast/node.scm 51 */
				obj_t BgL_arg1940z00_1776;
				obj_t BgL_arg1941z00_1777;

				{	/* Ast/node.scm 51 */
					obj_t BgL_v1640z00_1790;

					BgL_v1640z00_1790 = create_vector(((long) 0));
					BgL_arg1940z00_1776 = BgL_v1640z00_1790;
				}
				{	/* Ast/node.scm 51 */
					obj_t BgL_v1641z00_1791;

					BgL_v1641z00_1791 = create_vector(((long) 0));
					BgL_arg1941z00_1777 = BgL_v1641z00_1791;
				}
				BGl_literalz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
					CNST_TABLE_REF(((long) 4)), BGl_atomz00zzast_nodez00, ((long) 30530),
					BGl_proc3030z00zzast_nodez00, BGl_proc3029z00zzast_nodez00, BFALSE,
					BGl_proc3028z00zzast_nodez00, BFALSE, BgL_arg1940z00_1776,
					BgL_arg1941z00_1777);
			}
			{	/* Ast/node.scm 54 */
				obj_t BgL_arg1950z00_1798;
				obj_t BgL_arg1951z00_1799;

				{	/* Ast/node.scm 54 */
					obj_t BgL_v1642z00_1815;

					BgL_v1642z00_1815 = create_vector(((long) 3));
					{	/* Ast/node.scm 54 */
						obj_t BgL_arg1957z00_1816;

						BgL_arg1957z00_1816 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc3032z00zzast_nodez00,
							BGl_proc3031z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1642z00_1815, ((long) 0), BgL_arg1957z00_1816);
					}
					{	/* Ast/node.scm 54 */
						obj_t BgL_arg1962z00_1826;

						BgL_arg1962z00_1826 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc3035z00zzast_nodez00,
							BGl_proc3034z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3033z00zzast_nodez00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1642z00_1815, ((long) 1), BgL_arg1962z00_1826);
					}
					{	/* Ast/node.scm 54 */
						obj_t BgL_arg1969z00_1839;

						BgL_arg1969z00_1839 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc3038z00zzast_nodez00,
							BGl_proc3037z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3036z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1642z00_1815, ((long) 2), BgL_arg1969z00_1839);
					}
					BgL_arg1950z00_1798 = BgL_v1642z00_1815;
				}
				{	/* Ast/node.scm 54 */
					obj_t BgL_v1643z00_1852;

					BgL_v1643z00_1852 = create_vector(((long) 0));
					BgL_arg1951z00_1799 = BgL_v1643z00_1852;
				}
				BGl_patchz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 15)),
					CNST_TABLE_REF(((long) 4)), BGl_atomz00zzast_nodez00, ((long) 50926),
					BGl_proc3041z00zzast_nodez00, BGl_proc3040z00zzast_nodez00, BFALSE,
					BGl_proc3039z00zzast_nodez00, BFALSE, BgL_arg1950z00_1798,
					BgL_arg1951z00_1799);
			}
			{	/* Ast/node.scm 60 */
				obj_t BgL_arg1978z00_1858;
				obj_t BgL_arg1979z00_1859;

				{	/* Ast/node.scm 60 */
					obj_t BgL_v1644z00_1865;

					BgL_v1644z00_1865 = create_vector(((long) 1));
					{	/* Ast/node.scm 60 */
						obj_t BgL_arg1983z00_1866;

						BgL_arg1983z00_1866 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									16)), BGl_proc3043z00zzast_nodez00,
							BGl_proc3042z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_variablez00zzast_varz00);
						VECTOR_SET(BgL_v1644z00_1865, ((long) 0), BgL_arg1983z00_1866);
					}
					BgL_arg1978z00_1858 = BgL_v1644z00_1865;
				}
				{	/* Ast/node.scm 60 */
					obj_t BgL_v1645z00_1876;

					BgL_v1645z00_1876 = create_vector(((long) 0));
					BgL_arg1979z00_1859 = BgL_v1645z00_1876;
				}
				BGl_varz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 17)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 40149),
					BFALSE, BGl_proc3045z00zzast_nodez00, BFALSE,
					BGl_proc3044z00zzast_nodez00, BFALSE, BgL_arg1978z00_1858,
					BgL_arg1979z00_1859);
			}
			{	/* Ast/node.scm 64 */
				obj_t BgL_arg1991z00_1882;
				obj_t BgL_arg1992z00_1883;

				{	/* Ast/node.scm 64 */
					obj_t BgL_v1646z00_1896;

					BgL_v1646z00_1896 = create_vector(((long) 0));
					BgL_arg1991z00_1882 = BgL_v1646z00_1896;
				}
				{	/* Ast/node.scm 64 */
					obj_t BgL_v1647z00_1897;

					BgL_v1647z00_1897 = create_vector(((long) 0));
					BgL_arg1992z00_1883 = BgL_v1647z00_1897;
				}
				BGl_refz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 11)),
					CNST_TABLE_REF(((long) 4)), BGl_varz00zzast_nodez00, ((long) 30842),
					BGl_proc3048z00zzast_nodez00, BGl_proc3047z00zzast_nodez00, BFALSE,
					BGl_proc3046z00zzast_nodez00, BFALSE, BgL_arg1991z00_1882,
					BgL_arg1992z00_1883);
			}
			{	/* Ast/node.scm 65 */
				obj_t BgL_arg2001z00_1904;
				obj_t BgL_arg2002z00_1905;

				{	/* Ast/node.scm 65 */
					obj_t BgL_v1648z00_1918;

					BgL_v1648z00_1918 = create_vector(((long) 0));
					BgL_arg2001z00_1904 = BgL_v1648z00_1918;
				}
				{	/* Ast/node.scm 65 */
					obj_t BgL_v1649z00_1919;

					BgL_v1649z00_1919 = create_vector(((long) 0));
					BgL_arg2002z00_1905 = BgL_v1649z00_1919;
				}
				BGl_closurez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 18)),
					CNST_TABLE_REF(((long) 4)), BGl_varz00zzast_nodez00, ((long) 9082),
					BGl_proc3051z00zzast_nodez00, BGl_proc3050z00zzast_nodez00, BFALSE,
					BGl_proc3049z00zzast_nodez00, BFALSE, BgL_arg2001z00_1904,
					BgL_arg2002z00_1905);
			}
			{	/* Ast/node.scm 68 */
				obj_t BgL_arg2012z00_1926;
				obj_t BgL_arg2013z00_1927;

				{	/* Ast/node.scm 68 */
					obj_t BgL_v1650z00_1940;

					BgL_v1650z00_1940 = create_vector(((long) 1));
					{	/* Ast/node.scm 68 */
						obj_t BgL_arg2019z00_1941;

						BgL_arg2019z00_1941 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3053z00zzast_nodez00,
							BGl_proc3052z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1650z00_1940, ((long) 0), BgL_arg2019z00_1941);
					}
					BgL_arg2012z00_1926 = BgL_v1650z00_1940;
				}
				{	/* Ast/node.scm 68 */
					obj_t BgL_v1651z00_1951;

					BgL_v1651z00_1951 = create_vector(((long) 0));
					BgL_arg2013z00_1927 = BgL_v1651z00_1951;
				}
				BGl_kwotez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 14781),
					BGl_proc3056z00zzast_nodez00, BGl_proc3055z00zzast_nodez00, BFALSE,
					BGl_proc3054z00zzast_nodez00, BFALSE, BgL_arg2012z00_1926,
					BgL_arg2013z00_1927);
			}
			{	/* Ast/node.scm 73 */
				obj_t BgL_arg2028z00_1958;
				obj_t BgL_arg2029z00_1959;

				{	/* Ast/node.scm 73 */
					obj_t BgL_v1652z00_1976;

					BgL_v1652z00_1976 = create_vector(((long) 3));
					{	/* Ast/node.scm 73 */
						obj_t BgL_arg2035z00_1977;

						BgL_arg2035z00_1977 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc3058z00zzast_nodez00,
							BGl_proc3057z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1652z00_1976, ((long) 0), BgL_arg2035z00_1977);
					}
					{	/* Ast/node.scm 73 */
						obj_t BgL_arg2042z00_1987;

						BgL_arg2042z00_1987 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc3061z00zzast_nodez00,
							BGl_proc3060z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3059z00zzast_nodez00, CNST_TABLE_REF(((long) 23)));
						VECTOR_SET(BgL_v1652z00_1976, ((long) 1), BgL_arg2042z00_1987);
					}
					{	/* Ast/node.scm 73 */
						obj_t BgL_arg2050z00_2000;

						BgL_arg2050z00_2000 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									24)), BGl_proc3064z00zzast_nodez00,
							BGl_proc3063z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3062z00zzast_nodez00, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1652z00_1976, ((long) 2), BgL_arg2050z00_2000);
					}
					BgL_arg2028z00_1958 = BgL_v1652z00_1976;
				}
				{	/* Ast/node.scm 73 */
					obj_t BgL_v1653z00_2013;

					BgL_v1653z00_2013 = create_vector(((long) 0));
					BgL_arg2029z00_1959 = BgL_v1653z00_2013;
				}
				BGl_sequencez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 25)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 60739), BGl_proc3067z00zzast_nodez00,
					BGl_proc3066z00zzast_nodez00, BFALSE, BGl_proc3065z00zzast_nodez00,
					BFALSE, BgL_arg2028z00_1958, BgL_arg2029z00_1959);
			}
			{	/* Ast/node.scm 79 */
				obj_t BgL_arg2060z00_2020;
				obj_t BgL_arg2061z00_2021;

				{	/* Ast/node.scm 79 */
					obj_t BgL_v1654z00_2038;

					BgL_v1654z00_2038 = create_vector(((long) 3));
					{	/* Ast/node.scm 79 */
						obj_t BgL_arg2067z00_2039;

						BgL_arg2067z00_2039 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc3069z00zzast_nodez00,
							BGl_proc3068z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1654z00_2038, ((long) 0), BgL_arg2067z00_2039);
					}
					{	/* Ast/node.scm 79 */
						obj_t BgL_arg2072z00_2049;

						BgL_arg2072z00_2049 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc3071z00zzast_nodez00,
							BGl_proc3070z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1654z00_2038, ((long) 1), BgL_arg2072z00_2049);
					}
					{	/* Ast/node.scm 79 */
						obj_t BgL_arg2077z00_2059;

						BgL_arg2077z00_2059 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc3074z00zzast_nodez00,
							BGl_proc3073z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3072z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1654z00_2038, ((long) 2), BgL_arg2077z00_2059);
					}
					BgL_arg2060z00_2020 = BgL_v1654z00_2038;
				}
				{	/* Ast/node.scm 79 */
					obj_t BgL_v1655z00_2072;

					BgL_v1655z00_2072 = create_vector(((long) 0));
					BgL_arg2061z00_2021 = BgL_v1655z00_2072;
				}
				BGl_appz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 29)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 17744), BGl_proc3077z00zzast_nodez00,
					BGl_proc3076z00zzast_nodez00, BFALSE, BGl_proc3075z00zzast_nodez00,
					BFALSE, BgL_arg2060z00_2020, BgL_arg2061z00_2021);
			}
			{	/* Ast/node.scm 88 */
				obj_t BgL_arg2087z00_2079;
				obj_t BgL_arg2088z00_2080;

				{	/* Ast/node.scm 88 */
					obj_t BgL_v1656z00_2094;

					BgL_v1656z00_2094 = create_vector(((long) 2));
					{	/* Ast/node.scm 88 */
						obj_t BgL_arg2096z00_2095;

						BgL_arg2096z00_2095 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc3079z00zzast_nodez00,
							BGl_proc3078z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1656z00_2094, ((long) 0), BgL_arg2096z00_2095);
					}
					{	/* Ast/node.scm 88 */
						obj_t BgL_arg2101z00_2105;

						BgL_arg2101z00_2105 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc3081z00zzast_nodez00,
							BGl_proc3080z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1656z00_2094, ((long) 1), BgL_arg2101z00_2105);
					}
					BgL_arg2087z00_2079 = BgL_v1656z00_2094;
				}
				{	/* Ast/node.scm 88 */
					obj_t BgL_v1657z00_2115;

					BgL_v1657z00_2115 = create_vector(((long) 0));
					BgL_arg2088z00_2080 = BgL_v1657z00_2115;
				}
				BGl_appzd2lyzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 31)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 54426),
					BGl_proc3084z00zzast_nodez00, BGl_proc3083z00zzast_nodez00, BFALSE,
					BGl_proc3082z00zzast_nodez00, BFALSE, BgL_arg2087z00_2079,
					BgL_arg2088z00_2080);
			}
			{	/* Ast/node.scm 95 */
				obj_t BgL_arg2109z00_2122;
				obj_t BgL_arg2110z00_2123;

				{	/* Ast/node.scm 95 */
					obj_t BgL_v1658z00_2139;

					BgL_v1658z00_2139 = create_vector(((long) 4));
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2116z00_2140;

						BgL_arg2116z00_2140 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc3086z00zzast_nodez00,
							BGl_proc3085z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1658z00_2139, ((long) 0), BgL_arg2116z00_2140);
					}
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2121z00_2150;

						BgL_arg2121z00_2150 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc3088z00zzast_nodez00,
							BGl_proc3087z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1658z00_2139, ((long) 1), BgL_arg2121z00_2150);
					}
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2126z00_2160;

						BgL_arg2126z00_2160 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									32)), BGl_proc3091z00zzast_nodez00,
							BGl_proc3090z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3089z00zzast_nodez00, CNST_TABLE_REF(((long) 33)));
						VECTOR_SET(BgL_v1658z00_2139, ((long) 2), BgL_arg2126z00_2160);
					}
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2134z00_2173;

						BgL_arg2134z00_2173 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									34)), BGl_proc3094z00zzast_nodez00,
							BGl_proc3093z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3092z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1658z00_2139, ((long) 3), BgL_arg2134z00_2173);
					}
					BgL_arg2109z00_2122 = BgL_v1658z00_2139;
				}
				{	/* Ast/node.scm 95 */
					obj_t BgL_v1659z00_2186;

					BgL_v1659z00_2186 = create_vector(((long) 0));
					BgL_arg2110z00_2123 = BgL_v1659z00_2186;
				}
				BGl_funcallz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 35)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 13852),
					BGl_proc3097z00zzast_nodez00, BGl_proc3096z00zzast_nodez00, BFALSE,
					BGl_proc3095z00zzast_nodez00, BFALSE, BgL_arg2109z00_2122,
					BgL_arg2110z00_2123);
			}
			{	/* Ast/node.scm 107 */
				obj_t BgL_arg2144z00_2193;
				obj_t BgL_arg2145z00_2194;

				{	/* Ast/node.scm 107 */
					obj_t BgL_v1660z00_2210;

					BgL_v1660z00_2210 = create_vector(((long) 2));
					{	/* Ast/node.scm 107 */
						obj_t BgL_arg2151z00_2211;

						BgL_arg2151z00_2211 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3100z00zzast_nodez00,
							BGl_proc3099z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3098z00zzast_nodez00, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1660z00_2210, ((long) 0), BgL_arg2151z00_2211);
					}
					{	/* Ast/node.scm 107 */
						obj_t BgL_arg2159z00_2224;

						BgL_arg2159z00_2224 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc3103z00zzast_nodez00,
							BGl_proc3102z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3101z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1660z00_2210, ((long) 1), BgL_arg2159z00_2224);
					}
					BgL_arg2144z00_2193 = BgL_v1660z00_2210;
				}
				{	/* Ast/node.scm 107 */
					obj_t BgL_v1661z00_2237;

					BgL_v1661z00_2237 = create_vector(((long) 0));
					BgL_arg2145z00_2194 = BgL_v1661z00_2237;
				}
				BGl_externz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 38)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 992), BGl_proc3106z00zzast_nodez00,
					BGl_proc3105z00zzast_nodez00, BFALSE, BGl_proc3104z00zzast_nodez00,
					BFALSE, BgL_arg2144z00_2193, BgL_arg2145z00_2194);
			}
			{	/* Ast/node.scm 114 */
				obj_t BgL_arg2169z00_2244;
				obj_t BgL_arg2170z00_2245;

				{	/* Ast/node.scm 114 */
					obj_t BgL_v1662z00_2262;

					BgL_v1662z00_2262 = create_vector(((long) 1));
					{	/* Ast/node.scm 114 */
						obj_t BgL_arg2176z00_2263;

						BgL_arg2176z00_2263 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									39)), BGl_proc3108z00zzast_nodez00,
							BGl_proc3107z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 40)));
						VECTOR_SET(BgL_v1662z00_2262, ((long) 0), BgL_arg2176z00_2263);
					}
					BgL_arg2169z00_2244 = BgL_v1662z00_2262;
				}
				{	/* Ast/node.scm 114 */
					obj_t BgL_v1663z00_2273;

					BgL_v1663z00_2273 = create_vector(((long) 0));
					BgL_arg2170z00_2245 = BgL_v1663z00_2273;
				}
				BGl_pragmaz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 41)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00, ((long) 1873),
					BGl_proc3111z00zzast_nodez00, BGl_proc3110z00zzast_nodez00, BFALSE,
					BGl_proc3109z00zzast_nodez00, BFALSE, BgL_arg2169z00_2244,
					BgL_arg2170z00_2245);
			}
			{	/* Ast/node.scm 118 */
				obj_t BgL_arg2184z00_2280;
				obj_t BgL_arg2185z00_2281;

				{	/* Ast/node.scm 118 */
					obj_t BgL_v1664z00_2299;

					BgL_v1664z00_2299 = create_vector(((long) 2));
					{	/* Ast/node.scm 118 */
						obj_t BgL_arg2191z00_2300;

						BgL_arg2191z00_2300 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc3114z00zzast_nodez00,
							BGl_proc3113z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3112z00zzast_nodez00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1664z00_2299, ((long) 0), BgL_arg2191z00_2300);
					}
					{	/* Ast/node.scm 118 */
						obj_t BgL_arg2198z00_2313;

						BgL_arg2198z00_2313 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									42)), BGl_proc3117z00zzast_nodez00,
							BGl_proc3116z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3115z00zzast_nodez00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1664z00_2299, ((long) 1), BgL_arg2198z00_2313);
					}
					BgL_arg2184z00_2280 = BgL_v1664z00_2299;
				}
				{	/* Ast/node.scm 118 */
					obj_t BgL_v1665z00_2326;

					BgL_v1665z00_2326 = create_vector(((long) 0));
					BgL_arg2185z00_2281 = BgL_v1665z00_2326;
				}
				BGl_genpatchidz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 43)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00,
					((long) 30795), BGl_proc3120z00zzast_nodez00,
					BGl_proc3119z00zzast_nodez00, BFALSE, BGl_proc3118z00zzast_nodez00,
					BFALSE, BgL_arg2184z00_2280, BgL_arg2185z00_2281);
			}
			{	/* Ast/node.scm 123 */
				obj_t BgL_arg2208z00_2333;
				obj_t BgL_arg2209z00_2334;

				{	/* Ast/node.scm 123 */
					obj_t BgL_v1666z00_2351;

					BgL_v1666z00_2351 = create_vector(((long) 1));
					{	/* Ast/node.scm 123 */
						obj_t BgL_arg2215z00_2352;

						BgL_arg2215z00_2352 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									44)), BGl_proc3122z00zzast_nodez00,
							BGl_proc3121z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 40)));
						VECTOR_SET(BgL_v1666z00_2351, ((long) 0), BgL_arg2215z00_2352);
					}
					BgL_arg2208z00_2333 = BgL_v1666z00_2351;
				}
				{	/* Ast/node.scm 123 */
					obj_t BgL_v1667z00_2362;

					BgL_v1667z00_2362 = create_vector(((long) 0));
					BgL_arg2209z00_2334 = BgL_v1667z00_2362;
				}
				BGl_privatez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 45)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00,
					((long) 30541), BGl_proc3125z00zzast_nodez00,
					BGl_proc3124z00zzast_nodez00, BFALSE, BGl_proc3123z00zzast_nodez00,
					BFALSE, BgL_arg2208z00_2333, BgL_arg2209z00_2334);
			}
			{	/* Ast/node.scm 127 */
				obj_t BgL_arg2223z00_2369;
				obj_t BgL_arg2224z00_2370;

				{	/* Ast/node.scm 127 */
					obj_t BgL_v1668z00_2390;

					BgL_v1668z00_2390 = create_vector(((long) 3));
					{	/* Ast/node.scm 127 */
						obj_t BgL_arg2230z00_2391;

						BgL_arg2230z00_2391 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									46)), BGl_proc3127z00zzast_nodez00,
							BGl_proc3126z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 40)));
						VECTOR_SET(BgL_v1668z00_2390, ((long) 0), BgL_arg2230z00_2391);
					}
					{	/* Ast/node.scm 127 */
						obj_t BgL_arg2235z00_2401;

						BgL_arg2235z00_2401 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3129z00zzast_nodez00,
							BGl_proc3128z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1668z00_2390, ((long) 1), BgL_arg2235z00_2401);
					}
					{	/* Ast/node.scm 127 */
						obj_t BgL_arg2240z00_2411;

						BgL_arg2240z00_2411 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc3131z00zzast_nodez00,
							BGl_proc3130z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1668z00_2390, ((long) 2), BgL_arg2240z00_2411);
					}
					BgL_arg2223z00_2369 = BgL_v1668z00_2390;
				}
				{	/* Ast/node.scm 127 */
					obj_t BgL_v1669z00_2421;

					BgL_v1669z00_2421 = create_vector(((long) 0));
					BgL_arg2224z00_2370 = BgL_v1669z00_2421;
				}
				BGl_getfieldz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 49)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 53519), BGl_proc3134z00zzast_nodez00,
					BGl_proc3133z00zzast_nodez00, BFALSE, BGl_proc3132z00zzast_nodez00,
					BFALSE, BgL_arg2223z00_2369, BgL_arg2224z00_2370);
			}
			{	/* Ast/node.scm 136 */
				obj_t BgL_arg2248z00_2428;
				obj_t BgL_arg2249z00_2429;

				{	/* Ast/node.scm 136 */
					obj_t BgL_v1670z00_2449;

					BgL_v1670z00_2449 = create_vector(((long) 3));
					{	/* Ast/node.scm 136 */
						obj_t BgL_arg2255z00_2450;

						BgL_arg2255z00_2450 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									46)), BGl_proc3136z00zzast_nodez00,
							BGl_proc3135z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 40)));
						VECTOR_SET(BgL_v1670z00_2449, ((long) 0), BgL_arg2255z00_2450);
					}
					{	/* Ast/node.scm 136 */
						obj_t BgL_arg2260z00_2460;

						BgL_arg2260z00_2460 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3138z00zzast_nodez00,
							BGl_proc3137z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1670z00_2449, ((long) 1), BgL_arg2260z00_2460);
					}
					{	/* Ast/node.scm 136 */
						obj_t BgL_arg2265z00_2470;

						BgL_arg2265z00_2470 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc3140z00zzast_nodez00,
							BGl_proc3139z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1670z00_2449, ((long) 2), BgL_arg2265z00_2470);
					}
					BgL_arg2248z00_2428 = BgL_v1670z00_2449;
				}
				{	/* Ast/node.scm 136 */
					obj_t BgL_v1671z00_2480;

					BgL_v1671z00_2480 = create_vector(((long) 0));
					BgL_arg2249z00_2429 = BgL_v1671z00_2480;
				}
				BGl_setfieldz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 50)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 18739), BGl_proc3143z00zzast_nodez00,
					BGl_proc3142z00zzast_nodez00, BFALSE, BGl_proc3141z00zzast_nodez00,
					BFALSE, BgL_arg2248z00_2428, BgL_arg2249z00_2429);
			}
			{	/* Ast/node.scm 146 */
				obj_t BgL_arg2273z00_2487;
				obj_t BgL_arg2274z00_2488;

				{	/* Ast/node.scm 146 */
					obj_t BgL_v1672z00_2506;

					BgL_v1672z00_2506 = create_vector(((long) 1));
					{	/* Ast/node.scm 146 */
						obj_t BgL_arg2281z00_2507;

						BgL_arg2281z00_2507 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc3145z00zzast_nodez00,
							BGl_proc3144z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1672z00_2506, ((long) 0), BgL_arg2281z00_2507);
					}
					BgL_arg2273z00_2487 = BgL_v1672z00_2506;
				}
				{	/* Ast/node.scm 146 */
					obj_t BgL_v1673z00_2517;

					BgL_v1673z00_2517 = create_vector(((long) 0));
					BgL_arg2274z00_2488 = BgL_v1673z00_2517;
				}
				BGl_wideningz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 51)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 56467), BGl_proc3148z00zzast_nodez00,
					BGl_proc3147z00zzast_nodez00, BFALSE, BGl_proc3146z00zzast_nodez00,
					BFALSE, BgL_arg2273z00_2487, BgL_arg2274z00_2488);
			}
			{	/* Ast/node.scm 150 */
				obj_t BgL_arg2289z00_2524;
				obj_t BgL_arg2290z00_2525;

				{	/* Ast/node.scm 150 */
					obj_t BgL_v1674z00_2543;

					BgL_v1674z00_2543 = create_vector(((long) 1));
					{	/* Ast/node.scm 150 */
						obj_t BgL_arg2297z00_2544;

						BgL_arg2297z00_2544 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									52)), BGl_proc3151z00zzast_nodez00,
							BGl_proc3150z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3149z00zzast_nodez00, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1674z00_2543, ((long) 0), BgL_arg2297z00_2544);
					}
					BgL_arg2289z00_2524 = BgL_v1674z00_2543;
				}
				{	/* Ast/node.scm 150 */
					obj_t BgL_v1675z00_2557;

					BgL_v1675z00_2557 = create_vector(((long) 0));
					BgL_arg2290z00_2525 = BgL_v1675z00_2557;
				}
				BGl_newz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 53)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 21062), BGl_proc3154z00zzast_nodez00,
					BGl_proc3153z00zzast_nodez00, BFALSE, BGl_proc3152z00zzast_nodez00,
					BFALSE, BgL_arg2289z00_2524, BgL_arg2290z00_2525);
			}
			{	/* Ast/node.scm 154 */
				obj_t BgL_arg2307z00_2564;
				obj_t BgL_arg2308z00_2565;

				{	/* Ast/node.scm 154 */
					obj_t BgL_v1676z00_2584;

					BgL_v1676z00_2584 = create_vector(((long) 2));
					{	/* Ast/node.scm 154 */
						obj_t BgL_arg2314z00_2585;

						BgL_arg2314z00_2585 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3156z00zzast_nodez00,
							BGl_proc3155z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1676z00_2584, ((long) 0), BgL_arg2314z00_2585);
					}
					{	/* Ast/node.scm 154 */
						obj_t BgL_arg2319z00_2595;

						BgL_arg2319z00_2595 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc3158z00zzast_nodez00,
							BGl_proc3157z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1676z00_2584, ((long) 1), BgL_arg2319z00_2595);
					}
					BgL_arg2307z00_2564 = BgL_v1676z00_2584;
				}
				{	/* Ast/node.scm 154 */
					obj_t BgL_v1677z00_2605;

					BgL_v1677z00_2605 = create_vector(((long) 0));
					BgL_arg2308z00_2565 = BgL_v1677z00_2605;
				}
				BGl_vallocz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 54)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 60165), BGl_proc3161z00zzast_nodez00,
					BGl_proc3160z00zzast_nodez00, BFALSE, BGl_proc3159z00zzast_nodez00,
					BFALSE, BgL_arg2307z00_2564, BgL_arg2308z00_2565);
			}
			{	/* Ast/node.scm 161 */
				obj_t BgL_arg2329z00_2612;
				obj_t BgL_arg2330z00_2613;

				{	/* Ast/node.scm 161 */
					obj_t BgL_v1678z00_2634;

					BgL_v1678z00_2634 = create_vector(((long) 4));
					{	/* Ast/node.scm 161 */
						obj_t BgL_arg2337z00_2635;

						BgL_arg2337z00_2635 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3163z00zzast_nodez00,
							BGl_proc3162z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1678z00_2634, ((long) 0), BgL_arg2337z00_2635);
					}
					{	/* Ast/node.scm 161 */
						obj_t BgL_arg2342z00_2645;

						BgL_arg2342z00_2645 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc3165z00zzast_nodez00,
							BGl_proc3164z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1678z00_2634, ((long) 1), BgL_arg2342z00_2645);
					}
					{	/* Ast/node.scm 161 */
						obj_t BgL_arg2347z00_2655;

						BgL_arg2347z00_2655 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3167z00zzast_nodez00,
							BGl_proc3166z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1678z00_2634, ((long) 2), BgL_arg2347z00_2655);
					}
					{	/* Ast/node.scm 161 */
						obj_t BgL_arg2355z00_2665;

						BgL_arg2355z00_2665 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc3170z00zzast_nodez00,
							BGl_proc3169z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3168z00zzast_nodez00, CNST_TABLE_REF(((long) 23)));
						VECTOR_SET(BgL_v1678z00_2634, ((long) 3), BgL_arg2355z00_2665);
					}
					BgL_arg2329z00_2612 = BgL_v1678z00_2634;
				}
				{	/* Ast/node.scm 161 */
					obj_t BgL_v1679z00_2678;

					BgL_v1679z00_2678 = create_vector(((long) 0));
					BgL_arg2330z00_2613 = BgL_v1679z00_2678;
				}
				BGl_vrefz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 56)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 50670), BGl_proc3173z00zzast_nodez00,
					BGl_proc3172z00zzast_nodez00, BFALSE, BGl_proc3171z00zzast_nodez00,
					BFALSE, BgL_arg2329z00_2612, BgL_arg2330z00_2613);
			}
			{	/* Ast/node.scm 172 */
				obj_t BgL_arg2365z00_2685;
				obj_t BgL_arg2366z00_2686;

				{	/* Ast/node.scm 172 */
					obj_t BgL_v1680z00_2707;

					BgL_v1680z00_2707 = create_vector(((long) 4));
					{	/* Ast/node.scm 172 */
						obj_t BgL_arg2372z00_2708;

						BgL_arg2372z00_2708 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3175z00zzast_nodez00,
							BGl_proc3174z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1680z00_2707, ((long) 0), BgL_arg2372z00_2708);
					}
					{	/* Ast/node.scm 172 */
						obj_t BgL_arg2378z00_2718;

						BgL_arg2378z00_2718 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc3177z00zzast_nodez00,
							BGl_proc3176z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1680z00_2707, ((long) 1), BgL_arg2378z00_2718);
					}
					{	/* Ast/node.scm 172 */
						obj_t BgL_arg2383z00_2728;

						BgL_arg2383z00_2728 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3179z00zzast_nodez00,
							BGl_proc3178z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1680z00_2707, ((long) 2), BgL_arg2383z00_2728);
					}
					{	/* Ast/node.scm 172 */
						obj_t BgL_arg2388z00_2738;

						BgL_arg2388z00_2738 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc3182z00zzast_nodez00,
							BGl_proc3181z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3180z00zzast_nodez00, CNST_TABLE_REF(((long) 23)));
						VECTOR_SET(BgL_v1680z00_2707, ((long) 3), BgL_arg2388z00_2738);
					}
					BgL_arg2365z00_2685 = BgL_v1680z00_2707;
				}
				{	/* Ast/node.scm 172 */
					obj_t BgL_v1681z00_2751;

					BgL_v1681z00_2751 = create_vector(((long) 0));
					BgL_arg2366z00_2686 = BgL_v1681z00_2751;
				}
				BGl_vsetz12z12zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 57)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 16062), BGl_proc3185z00zzast_nodez00,
					BGl_proc3184z00zzast_nodez00, BFALSE, BGl_proc3183z00zzast_nodez00,
					BFALSE, BgL_arg2365z00_2685, BgL_arg2366z00_2686);
			}
			{	/* Ast/node.scm 183 */
				obj_t BgL_arg2400z00_2758;
				obj_t BgL_arg2401z00_2759;

				{	/* Ast/node.scm 183 */
					obj_t BgL_v1682z00_2778;

					BgL_v1682z00_2778 = create_vector(((long) 2));
					{	/* Ast/node.scm 183 */
						obj_t BgL_arg2407z00_2779;

						BgL_arg2407z00_2779 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3187z00zzast_nodez00,
							BGl_proc3186z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1682z00_2778, ((long) 0), BgL_arg2407z00_2779);
					}
					{	/* Ast/node.scm 183 */
						obj_t BgL_arg2414z00_2789;

						BgL_arg2414z00_2789 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3189z00zzast_nodez00,
							BGl_proc3188z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1682z00_2778, ((long) 1), BgL_arg2414z00_2789);
					}
					BgL_arg2400z00_2758 = BgL_v1682z00_2778;
				}
				{	/* Ast/node.scm 183 */
					obj_t BgL_v1683z00_2799;

					BgL_v1683z00_2799 = create_vector(((long) 0));
					BgL_arg2401z00_2759 = BgL_v1683z00_2799;
				}
				BGl_vlengthz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 58)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 63708), BGl_proc3192z00zzast_nodez00,
					BGl_proc3191z00zzast_nodez00, BFALSE, BGl_proc3190z00zzast_nodez00,
					BFALSE, BgL_arg2400z00_2758, BgL_arg2401z00_2759);
			}
			{	/* Ast/node.scm 190 */
				obj_t BgL_arg2423z00_2806;
				obj_t BgL_arg2425z00_2807;

				{	/* Ast/node.scm 190 */
					obj_t BgL_v1684z00_2825;

					BgL_v1684z00_2825 = create_vector(((long) 1));
					{	/* Ast/node.scm 190 */
						obj_t BgL_arg2432z00_2826;

						BgL_arg2432z00_2826 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									59)), BGl_proc3194z00zzast_nodez00,
							BGl_proc3193z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1684z00_2825, ((long) 0), BgL_arg2432z00_2826);
					}
					BgL_arg2423z00_2806 = BgL_v1684z00_2825;
				}
				{	/* Ast/node.scm 190 */
					obj_t BgL_v1685z00_2836;

					BgL_v1685z00_2836 = create_vector(((long) 0));
					BgL_arg2425z00_2807 = BgL_v1685z00_2836;
				}
				BGl_instanceofz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 60)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 64505), BGl_proc3197z00zzast_nodez00,
					BGl_proc3196z00zzast_nodez00, BFALSE, BGl_proc3195z00zzast_nodez00,
					BFALSE, BgL_arg2423z00_2806, BgL_arg2425z00_2807);
			}
			{	/* Ast/node.scm 194 */
				obj_t BgL_arg2441z00_2843;
				obj_t BgL_arg2442z00_2844;

				{	/* Ast/node.scm 194 */
					obj_t BgL_v1686z00_2861;

					BgL_v1686z00_2861 = create_vector(((long) 0));
					BgL_arg2441z00_2843 = BgL_v1686z00_2861;
				}
				{	/* Ast/node.scm 194 */
					obj_t BgL_v1687z00_2862;

					BgL_v1687z00_2862 = create_vector(((long) 0));
					BgL_arg2442z00_2844 = BgL_v1687z00_2862;
				}
				BGl_castzd2nullzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 61)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 35218), BGl_proc3200z00zzast_nodez00,
					BGl_proc3199z00zzast_nodez00, BFALSE, BGl_proc3198z00zzast_nodez00,
					BFALSE, BgL_arg2441z00_2843, BgL_arg2442z00_2844);
			}
			{	/* Ast/node.scm 197 */
				obj_t BgL_arg2452z00_2869;
				obj_t BgL_arg2454z00_2870;

				{	/* Ast/node.scm 197 */
					obj_t BgL_v1688z00_2883;

					BgL_v1688z00_2883 = create_vector(((long) 1));
					{	/* Ast/node.scm 197 */
						obj_t BgL_arg2460z00_2884;

						BgL_arg2460z00_2884 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc3202z00zzast_nodez00,
							BGl_proc3201z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1688z00_2883, ((long) 0), BgL_arg2460z00_2884);
					}
					BgL_arg2452z00_2869 = BgL_v1688z00_2883;
				}
				{	/* Ast/node.scm 197 */
					obj_t BgL_v1689z00_2894;

					BgL_v1689z00_2894 = create_vector(((long) 0));
					BgL_arg2454z00_2870 = BgL_v1689z00_2894;
				}
				BGl_castz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 62)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 32773),
					BGl_proc3205z00zzast_nodez00, BGl_proc3204z00zzast_nodez00, BFALSE,
					BGl_proc3203z00zzast_nodez00, BFALSE, BgL_arg2452z00_2869,
					BgL_arg2454z00_2870);
			}
			{	/* Ast/node.scm 202 */
				obj_t BgL_arg2469z00_2901;
				obj_t BgL_arg2470z00_2902;

				{	/* Ast/node.scm 202 */
					obj_t BgL_v1690z00_2916;

					BgL_v1690z00_2916 = create_vector(((long) 2));
					{	/* Ast/node.scm 202 */
						obj_t BgL_arg2478z00_2917;

						BgL_arg2478z00_2917 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3207z00zzast_nodez00,
							BGl_proc3206z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1690z00_2916, ((long) 0), BgL_arg2478z00_2917);
					}
					{	/* Ast/node.scm 202 */
						obj_t BgL_arg2484z00_2927;

						BgL_arg2484z00_2927 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3209z00zzast_nodez00,
							BGl_proc3208z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1690z00_2916, ((long) 1), BgL_arg2484z00_2927);
					}
					BgL_arg2469z00_2901 = BgL_v1690z00_2916;
				}
				{	/* Ast/node.scm 202 */
					obj_t BgL_v1691z00_2937;

					BgL_v1691z00_2937 = create_vector(((long) 0));
					BgL_arg2470z00_2902 = BgL_v1691z00_2937;
				}
				BGl_setqz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 63)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 57238),
					BGl_proc3212z00zzast_nodez00, BGl_proc3211z00zzast_nodez00, BFALSE,
					BGl_proc3210z00zzast_nodez00, BFALSE, BgL_arg2469z00_2901,
					BgL_arg2470z00_2902);
			}
			{	/* Ast/node.scm 209 */
				obj_t BgL_arg2495z00_2944;
				obj_t BgL_arg2496z00_2945;

				{	/* Ast/node.scm 209 */
					obj_t BgL_v1692z00_2962;

					BgL_v1692z00_2962 = create_vector(((long) 3));
					{	/* Ast/node.scm 209 */
						obj_t BgL_arg2508z00_2963;

						BgL_arg2508z00_2963 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3214z00zzast_nodez00,
							BGl_proc3213z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1692z00_2962, ((long) 0), BgL_arg2508z00_2963);
					}
					{	/* Ast/node.scm 209 */
						obj_t BgL_arg2515z00_2973;

						BgL_arg2515z00_2973 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									65)), BGl_proc3216z00zzast_nodez00,
							BGl_proc3215z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1692z00_2962, ((long) 1), BgL_arg2515z00_2973);
					}
					{	/* Ast/node.scm 209 */
						obj_t BgL_arg2521z00_2983;

						BgL_arg2521z00_2983 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									66)), BGl_proc3218z00zzast_nodez00,
							BGl_proc3217z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1692z00_2962, ((long) 2), BgL_arg2521z00_2983);
					}
					BgL_arg2495z00_2944 = BgL_v1692z00_2962;
				}
				{	/* Ast/node.scm 209 */
					obj_t BgL_v1693z00_2993;

					BgL_v1693z00_2993 = create_vector(((long) 0));
					BgL_arg2496z00_2945 = BgL_v1693z00_2993;
				}
				BGl_conditionalz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 67)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 32399), BGl_proc3221z00zzast_nodez00,
					BGl_proc3220z00zzast_nodez00, BFALSE, BGl_proc3219z00zzast_nodez00,
					BFALSE, BgL_arg2495z00_2944, BgL_arg2496z00_2945);
			}
			{	/* Ast/node.scm 218 */
				obj_t BgL_arg2533z00_3000;
				obj_t BgL_arg2534z00_3001;

				{	/* Ast/node.scm 218 */
					obj_t BgL_v1694z00_3016;

					BgL_v1694z00_3016 = create_vector(((long) 3));
					{	/* Ast/node.scm 218 */
						obj_t BgL_arg2542z00_3017;

						BgL_arg2542z00_3017 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									68)), BGl_proc3223z00zzast_nodez00,
							BGl_proc3222z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1694z00_3016, ((long) 0), BgL_arg2542z00_3017);
					}
					{	/* Ast/node.scm 218 */
						obj_t BgL_arg2551z00_3027;

						BgL_arg2551z00_3027 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									69)), BGl_proc3225z00zzast_nodez00,
							BGl_proc3224z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1694z00_3016, ((long) 1), BgL_arg2551z00_3027);
					}
					{	/* Ast/node.scm 218 */
						obj_t BgL_arg2558z00_3037;

						BgL_arg2558z00_3037 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3227z00zzast_nodez00,
							BGl_proc3226z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1694z00_3016, ((long) 2), BgL_arg2558z00_3037);
					}
					BgL_arg2533z00_3000 = BgL_v1694z00_3016;
				}
				{	/* Ast/node.scm 218 */
					obj_t BgL_v1695z00_3047;

					BgL_v1695z00_3047 = create_vector(((long) 0));
					BgL_arg2534z00_3001 = BgL_v1695z00_3047;
				}
				BGl_failz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 70)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 25408),
					BGl_proc3230z00zzast_nodez00, BGl_proc3229z00zzast_nodez00, BFALSE,
					BGl_proc3228z00zzast_nodez00, BFALSE, BgL_arg2533z00_3000,
					BgL_arg2534z00_3001);
			}
			{	/* Ast/node.scm 225 */
				obj_t BgL_arg2567z00_3054;
				obj_t BgL_arg2568z00_3055;

				{	/* Ast/node.scm 225 */
					obj_t BgL_v1696z00_3072;

					BgL_v1696z00_3072 = create_vector(((long) 3));
					{	/* Ast/node.scm 225 */
						obj_t BgL_arg2574z00_3073;

						BgL_arg2574z00_3073 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3232z00zzast_nodez00,
							BGl_proc3231z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1696z00_3072, ((long) 0), BgL_arg2574z00_3073);
					}
					{	/* Ast/node.scm 225 */
						obj_t BgL_arg2581z00_3083;

						BgL_arg2581z00_3083 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									71)), BGl_proc3234z00zzast_nodez00,
							BGl_proc3233z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1696z00_3072, ((long) 1), BgL_arg2581z00_3083);
					}
					{	/* Ast/node.scm 225 */
						obj_t BgL_arg2586z00_3093;

						BgL_arg2586z00_3093 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									72)), BGl_proc3236z00zzast_nodez00,
							BGl_proc3235z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1696z00_3072, ((long) 2), BgL_arg2586z00_3093);
					}
					BgL_arg2567z00_3054 = BgL_v1696z00_3072;
				}
				{	/* Ast/node.scm 225 */
					obj_t BgL_v1697z00_3103;

					BgL_v1697z00_3103 = create_vector(((long) 0));
					BgL_arg2568z00_3055 = BgL_v1697z00_3103;
				}
				BGl_switchz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 73)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 14324), BGl_proc3239z00zzast_nodez00,
					BGl_proc3238z00zzast_nodez00, BFALSE, BGl_proc3237z00zzast_nodez00,
					BFALSE, BgL_arg2567z00_3054, BgL_arg2568z00_3055);
			}
			{	/* Ast/node.scm 234 */
				obj_t BgL_arg2596z00_3110;
				obj_t BgL_arg2597z00_3111;

				{	/* Ast/node.scm 234 */
					obj_t BgL_v1698z00_3127;

					BgL_v1698z00_3127 = create_vector(((long) 2));
					{	/* Ast/node.scm 234 */
						obj_t BgL_arg2603z00_3128;

						BgL_arg2603z00_3128 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									74)), BGl_proc3241z00zzast_nodez00,
							BGl_proc3240z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1698z00_3127, ((long) 0), BgL_arg2603z00_3128);
					}
					{	/* Ast/node.scm 234 */
						obj_t BgL_arg2609z00_3138;

						BgL_arg2609z00_3138 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									75)), BGl_proc3243z00zzast_nodez00,
							BGl_proc3242z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1698z00_3127, ((long) 1), BgL_arg2609z00_3138);
					}
					BgL_arg2596z00_3110 = BgL_v1698z00_3127;
				}
				{	/* Ast/node.scm 234 */
					obj_t BgL_v1699z00_3148;

					BgL_v1699z00_3148 = create_vector(((long) 0));
					BgL_arg2597z00_3111 = BgL_v1699z00_3148;
				}
				BGl_letzd2funzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 76)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 30800), BGl_proc3246z00zzast_nodez00,
					BGl_proc3245z00zzast_nodez00, BFALSE, BGl_proc3244z00zzast_nodez00,
					BFALSE, BgL_arg2596z00_3110, BgL_arg2597z00_3111);
			}
			{	/* Ast/node.scm 241 */
				obj_t BgL_arg2618z00_3155;
				obj_t BgL_arg2619z00_3156;

				{	/* Ast/node.scm 241 */
					obj_t BgL_v1700z00_3173;

					BgL_v1700z00_3173 = create_vector(((long) 3));
					{	/* Ast/node.scm 241 */
						obj_t BgL_arg2626z00_3174;

						BgL_arg2626z00_3174 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									77)), BGl_proc3248z00zzast_nodez00,
							BGl_proc3247z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1700z00_3173, ((long) 0), BgL_arg2626z00_3174);
					}
					{	/* Ast/node.scm 241 */
						obj_t BgL_arg2632z00_3184;

						BgL_arg2632z00_3184 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									75)), BGl_proc3250z00zzast_nodez00,
							BGl_proc3249z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1700z00_3173, ((long) 1), BgL_arg2632z00_3184);
					}
					{	/* Ast/node.scm 241 */
						obj_t BgL_arg2638z00_3194;

						BgL_arg2638z00_3194 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									78)), BGl_proc3253z00zzast_nodez00,
							BGl_proc3252z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3251z00zzast_nodez00, CNST_TABLE_REF(((long) 23)));
						VECTOR_SET(BgL_v1700z00_3173, ((long) 2), BgL_arg2638z00_3194);
					}
					BgL_arg2618z00_3155 = BgL_v1700z00_3173;
				}
				{	/* Ast/node.scm 241 */
					obj_t BgL_v1701z00_3207;

					BgL_v1701z00_3207 = create_vector(((long) 0));
					BgL_arg2619z00_3156 = BgL_v1701z00_3207;
				}
				BGl_letzd2varzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 79)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 54891), BGl_proc3256z00zzast_nodez00,
					BGl_proc3255z00zzast_nodez00, BFALSE, BGl_proc3254z00zzast_nodez00,
					BFALSE, BgL_arg2618z00_3155, BgL_arg2619z00_3156);
			}
			{	/* Ast/node.scm 250 */
				obj_t BgL_arg2650z00_3214;
				obj_t BgL_arg2651z00_3215;

				{	/* Ast/node.scm 250 */
					obj_t BgL_v1702z00_3230;

					BgL_v1702z00_3230 = create_vector(((long) 3));
					{	/* Ast/node.scm 250 */
						obj_t BgL_arg2657z00_3231;

						BgL_arg2657z00_3231 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3258z00zzast_nodez00,
							BGl_proc3257z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1702z00_3230, ((long) 0), BgL_arg2657z00_3231);
					}
					{	/* Ast/node.scm 250 */
						obj_t BgL_arg2662z00_3241;

						BgL_arg2662z00_3241 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									75)), BGl_proc3260z00zzast_nodez00,
							BGl_proc3259z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1702z00_3230, ((long) 1), BgL_arg2662z00_3241);
					}
					{	/* Ast/node.scm 250 */
						obj_t BgL_arg2667z00_3251;

						BgL_arg2667z00_3251 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									80)), BGl_proc3262z00zzast_nodez00,
							BGl_proc3261z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1702z00_3230, ((long) 2), BgL_arg2667z00_3251);
					}
					BgL_arg2650z00_3214 = BgL_v1702z00_3230;
				}
				{	/* Ast/node.scm 250 */
					obj_t BgL_v1703z00_3261;

					BgL_v1703z00_3261 = create_vector(((long) 0));
					BgL_arg2651z00_3215 = BgL_v1703z00_3261;
				}
				BGl_setzd2exzd2itz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 81)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 16641),
					BGl_proc3265z00zzast_nodez00, BGl_proc3264z00zzast_nodez00, BFALSE,
					BGl_proc3263z00zzast_nodez00, BFALSE, BgL_arg2650z00_3214,
					BgL_arg2651z00_3215);
			}
			{	/* Ast/node.scm 259 */
				obj_t BgL_arg2676z00_3268;
				obj_t BgL_arg2677z00_3269;

				{	/* Ast/node.scm 259 */
					obj_t BgL_v1704z00_3283;

					BgL_v1704z00_3283 = create_vector(((long) 2));
					{	/* Ast/node.scm 259 */
						obj_t BgL_arg2683z00_3284;

						BgL_arg2683z00_3284 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									82)), BGl_proc3267z00zzast_nodez00,
							BGl_proc3266z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1704z00_3283, ((long) 0), BgL_arg2683z00_3284);
					}
					{	/* Ast/node.scm 259 */
						obj_t BgL_arg2688z00_3294;

						BgL_arg2688z00_3294 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3269z00zzast_nodez00,
							BGl_proc3268z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1704z00_3283, ((long) 1), BgL_arg2688z00_3294);
					}
					BgL_arg2676z00_3268 = BgL_v1704z00_3283;
				}
				{	/* Ast/node.scm 259 */
					obj_t BgL_v1705z00_3304;

					BgL_v1705z00_3304 = create_vector(((long) 0));
					BgL_arg2677z00_3269 = BgL_v1705z00_3304;
				}
				BGl_jumpzd2exzd2itz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 83)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 40013),
					BGl_proc3272z00zzast_nodez00, BGl_proc3271z00zzast_nodez00, BFALSE,
					BGl_proc3270z00zzast_nodez00, BFALSE, BgL_arg2676z00_3268,
					BgL_arg2677z00_3269);
			}
			{	/* Ast/node.scm 266 */
				obj_t BgL_arg2696z00_3311;
				obj_t BgL_arg2697z00_3312;

				{	/* Ast/node.scm 266 */
					obj_t BgL_v1706z00_3325;

					BgL_v1706z00_3325 = create_vector(((long) 1));
					{	/* Ast/node.scm 266 */
						obj_t BgL_arg2703z00_3326;

						BgL_arg2703z00_3326 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									75)), BGl_proc3274z00zzast_nodez00,
							BGl_proc3273z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1706z00_3325, ((long) 0), BgL_arg2703z00_3326);
					}
					BgL_arg2696z00_3311 = BgL_v1706z00_3325;
				}
				{	/* Ast/node.scm 266 */
					obj_t BgL_v1707z00_3336;

					BgL_v1707z00_3336 = create_vector(((long) 0));
					BgL_arg2697z00_3312 = BgL_v1707z00_3336;
				}
				BGl_retblockz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 84)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 42540),
					BGl_proc3277z00zzast_nodez00, BGl_proc3276z00zzast_nodez00, BFALSE,
					BGl_proc3275z00zzast_nodez00, BFALSE, BgL_arg2696z00_3311,
					BgL_arg2697z00_3312);
			}
			{	/* Ast/node.scm 270 */
				obj_t BgL_arg2714z00_3343;
				obj_t BgL_arg2715z00_3344;

				{	/* Ast/node.scm 270 */
					obj_t BgL_v1708z00_3358;

					BgL_v1708z00_3358 = create_vector(((long) 2));
					{	/* Ast/node.scm 270 */
						obj_t BgL_arg2723z00_3359;

						BgL_arg2723z00_3359 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									85)), BGl_proc3279z00zzast_nodez00,
							BGl_proc3278z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_retblockz00zzast_nodez00);
						VECTOR_SET(BgL_v1708z00_3358, ((long) 0), BgL_arg2723z00_3359);
					}
					{	/* Ast/node.scm 270 */
						obj_t BgL_arg2728z00_3369;

						BgL_arg2728z00_3369 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3281z00zzast_nodez00,
							BGl_proc3280z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1708z00_3358, ((long) 1), BgL_arg2728z00_3369);
					}
					BgL_arg2714z00_3343 = BgL_v1708z00_3358;
				}
				{	/* Ast/node.scm 270 */
					obj_t BgL_v1709z00_3379;

					BgL_v1709z00_3379 = create_vector(((long) 0));
					BgL_arg2715z00_3344 = BgL_v1709z00_3379;
				}
				BGl_returnz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 86)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 22012),
					BGl_proc3284z00zzast_nodez00, BGl_proc3283z00zzast_nodez00, BFALSE,
					BGl_proc3282z00zzast_nodez00, BFALSE, BgL_arg2714z00_3343,
					BgL_arg2715z00_3344);
			}
			{	/* Ast/node.scm 276 */
				obj_t BgL_arg2737z00_3386;
				obj_t BgL_arg2738z00_3387;

				{	/* Ast/node.scm 276 */
					obj_t BgL_v1710z00_3404;

					BgL_v1710z00_3404 = create_vector(((long) 3));
					{	/* Ast/node.scm 276 */
						obj_t BgL_arg2747z00_3405;

						BgL_arg2747z00_3405 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3286z00zzast_nodez00,
							BGl_proc3285z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1710z00_3404, ((long) 0), BgL_arg2747z00_3405);
					}
					{	/* Ast/node.scm 276 */
						obj_t BgL_arg2752z00_3415;

						BgL_arg2752z00_3415 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3288z00zzast_nodez00,
							BGl_proc3287z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1710z00_3404, ((long) 1), BgL_arg2752z00_3415);
					}
					{	/* Ast/node.scm 276 */
						obj_t BgL_arg2760z00_3425;

						BgL_arg2760z00_3425 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc3291z00zzast_nodez00,
							BGl_proc3290z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3289z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1710z00_3404, ((long) 2), BgL_arg2760z00_3425);
					}
					BgL_arg2737z00_3386 = BgL_v1710z00_3404;
				}
				{	/* Ast/node.scm 276 */
					obj_t BgL_v1711z00_3438;

					BgL_v1711z00_3438 = create_vector(((long) 0));
					BgL_arg2738z00_3387 = BgL_v1711z00_3438;
				}
				BGl_makezd2boxzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 87)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 53611), BGl_proc3294z00zzast_nodez00,
					BGl_proc3293z00zzast_nodez00, BFALSE, BGl_proc3292z00zzast_nodez00,
					BFALSE, BgL_arg2737z00_3386, BgL_arg2738z00_3387);
			}
			{	/* Ast/node.scm 283 */
				obj_t BgL_arg2775z00_3445;
				obj_t BgL_arg2777z00_3446;

				{	/* Ast/node.scm 283 */
					obj_t BgL_v1712z00_3462;

					BgL_v1712z00_3462 = create_vector(((long) 2));
					{	/* Ast/node.scm 283 */
						obj_t BgL_arg2784z00_3463;

						BgL_arg2784z00_3463 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3296z00zzast_nodez00,
							BGl_proc3295z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1712z00_3462, ((long) 0), BgL_arg2784z00_3463);
					}
					{	/* Ast/node.scm 283 */
						obj_t BgL_arg2790z00_3473;

						BgL_arg2790z00_3473 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3298z00zzast_nodez00,
							BGl_proc3297z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1712z00_3462, ((long) 1), BgL_arg2790z00_3473);
					}
					BgL_arg2775z00_3445 = BgL_v1712z00_3462;
				}
				{	/* Ast/node.scm 283 */
					obj_t BgL_v1713z00_3483;

					BgL_v1713z00_3483 = create_vector(((long) 0));
					BgL_arg2777z00_3446 = BgL_v1713z00_3483;
				}
				BGl_boxzd2refzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 88)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 19725), BGl_proc3301z00zzast_nodez00,
					BGl_proc3300z00zzast_nodez00, BFALSE, BGl_proc3299z00zzast_nodez00,
					BFALSE, BgL_arg2775z00_3445, BgL_arg2777z00_3446);
			}
			{	/* Ast/node.scm 288 */
				obj_t BgL_arg2799z00_3490;
				obj_t BgL_arg2802z00_3491;

				{	/* Ast/node.scm 288 */
					obj_t BgL_v1714z00_3506;

					BgL_v1714z00_3506 = create_vector(((long) 3));
					{	/* Ast/node.scm 288 */
						obj_t BgL_arg2810z00_3507;

						BgL_arg2810z00_3507 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3303z00zzast_nodez00,
							BGl_proc3302z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1714z00_3506, ((long) 0), BgL_arg2810z00_3507);
					}
					{	/* Ast/node.scm 288 */
						obj_t BgL_arg2817z00_3517;

						BgL_arg2817z00_3517 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3305z00zzast_nodez00,
							BGl_proc3304z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1714z00_3506, ((long) 1), BgL_arg2817z00_3517);
					}
					{	/* Ast/node.scm 288 */
						obj_t BgL_arg2825z00_3527;

						BgL_arg2825z00_3527 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3307z00zzast_nodez00,
							BGl_proc3306z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1714z00_3506, ((long) 2), BgL_arg2825z00_3527);
					}
					BgL_arg2799z00_3490 = BgL_v1714z00_3506;
				}
				{	/* Ast/node.scm 288 */
					obj_t BgL_v1715z00_3537;

					BgL_v1715z00_3537 = create_vector(((long) 0));
					BgL_arg2802z00_3491 = BgL_v1715z00_3537;
				}
				BGl_boxzd2setz12zc0zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 89)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 57714),
					BGl_proc3310z00zzast_nodez00, BGl_proc3309z00zzast_nodez00, BFALSE,
					BGl_proc3308z00zzast_nodez00, BFALSE, BgL_arg2799z00_3490,
					BgL_arg2802z00_3491);
			}
			{	/* Ast/node.scm 294 */
				obj_t BgL_arg2841z00_3544;
				obj_t BgL_arg2842z00_3545;

				{	/* Ast/node.scm 294 */
					obj_t BgL_v1716z00_3560;

					BgL_v1716z00_3560 = create_vector(((long) 3));
					{	/* Ast/node.scm 294 */
						obj_t BgL_arg2851z00_3561;

						BgL_arg2851z00_3561 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									90)), BGl_proc3312z00zzast_nodez00,
							BGl_proc3311z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1716z00_3560, ((long) 0), BgL_arg2851z00_3561);
					}
					{	/* Ast/node.scm 294 */
						obj_t BgL_arg2856z00_3571;

						BgL_arg2856z00_3571 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									91)), BGl_proc3314z00zzast_nodez00,
							BGl_proc3313z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1716z00_3560, ((long) 1), BgL_arg2856z00_3571);
					}
					{	/* Ast/node.scm 294 */
						obj_t BgL_arg2864z00_3581;

						BgL_arg2864z00_3581 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									75)), BGl_proc3316z00zzast_nodez00,
							BGl_proc3315z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1716z00_3560, ((long) 2), BgL_arg2864z00_3581);
					}
					BgL_arg2841z00_3544 = BgL_v1716z00_3560;
				}
				{	/* Ast/node.scm 294 */
					obj_t BgL_v1717z00_3591;

					BgL_v1717z00_3591 = create_vector(((long) 0));
					BgL_arg2842z00_3545 = BgL_v1717z00_3591;
				}
				return (BGl_syncz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 92)),
						CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00,
						((long) 24292), BGl_proc3319z00zzast_nodez00,
						BGl_proc3318z00zzast_nodez00, BFALSE, BGl_proc3317z00zzast_nodez00,
						BFALSE, BgL_arg2841z00_3544, BgL_arg2842z00_3545), BUNSPEC);
		}}

	}



/* &<@anonymous:2850> */
	obj_t BGl_z62zc3z04anonymousza32850ze3ze5zzast_nodez00(obj_t BgL_envz00_7950,
		obj_t BgL_new1434z00_7951)
	{
		{	/* Ast/node.scm 294 */
			{
				BgL_syncz00_bglt BgL_auxz00_14675;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_new1434z00_7951))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14679;

					{	/* Ast/node.scm 294 */
						obj_t BgL_classz00_9532;

						BgL_classz00_9532 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 294 */
							obj_t BgL__ortest_1113z00_9533;

							BgL__ortest_1113z00_9533 = BGL_CLASS_NIL(BgL_classz00_9532);
							if (CBOOL(BgL__ortest_1113z00_9533))
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14679 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9533);
								}
							else
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14679 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9532));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_new1434z00_7951))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14679), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14689;

					{	/* Ast/node.scm 294 */
						obj_t BgL_classz00_9534;

						BgL_classz00_9534 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 294 */
							obj_t BgL__ortest_1113z00_9535;

							BgL__ortest_1113z00_9535 = BGL_CLASS_NIL(BgL_classz00_9534);
							if (CBOOL(BgL__ortest_1113z00_9535))
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14689 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9535);
								}
							else
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14689 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9534));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_new1434z00_7951)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14689), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14698;

					{	/* Ast/node.scm 294 */
						obj_t BgL_classz00_9536;

						BgL_classz00_9536 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 294 */
							obj_t BgL__ortest_1113z00_9537;

							BgL__ortest_1113z00_9537 = BGL_CLASS_NIL(BgL_classz00_9536);
							if (CBOOL(BgL__ortest_1113z00_9537))
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14698 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9537);
								}
							else
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14698 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9536));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_new1434z00_7951)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14698), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14707;

					{	/* Ast/node.scm 294 */
						obj_t BgL_classz00_9538;

						BgL_classz00_9538 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 294 */
							obj_t BgL__ortest_1113z00_9539;

							BgL__ortest_1113z00_9539 = BGL_CLASS_NIL(BgL_classz00_9538);
							if (CBOOL(BgL__ortest_1113z00_9539))
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14707 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9539);
								}
							else
								{	/* Ast/node.scm 294 */
									BgL_auxz00_14707 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9538));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_new1434z00_7951)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14707), BUNSPEC);
				}
				BgL_auxz00_14675 = ((BgL_syncz00_bglt) BgL_new1434z00_7951);
				return ((obj_t) BgL_auxz00_14675);
			}
		}

	}



/* &lambda2846 */
	BgL_syncz00_bglt BGl_z62lambda2846z62zzast_nodez00(obj_t BgL_envz00_7952)
	{
		{	/* Ast/node.scm 294 */
			{	/* Ast/node.scm 294 */
				BgL_syncz00_bglt BgL_new1433z00_9540;

				BgL_new1433z00_9540 =
					((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_syncz00_bgl))));
				{	/* Ast/node.scm 294 */
					long BgL_arg2849z00_9541;

					BgL_arg2849z00_9541 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1433z00_9540), BgL_arg2849z00_9541);
				}
				{	/* Ast/node.scm 294 */
					BgL_objectz00_bglt BgL_tmpz00_14722;

					BgL_tmpz00_14722 = ((BgL_objectz00_bglt) BgL_new1433z00_9540);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14722, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1433z00_9540);
				return BgL_new1433z00_9540;
			}
		}

	}



/* &lambda2843 */
	BgL_syncz00_bglt BGl_z62lambda2843z62zzast_nodez00(obj_t BgL_envz00_7953,
		obj_t BgL_loc1428z00_7954, obj_t BgL_type1429z00_7955,
		obj_t BgL_mutex1430z00_7956, obj_t BgL_prelock1431z00_7957,
		obj_t BgL_body1432z00_7958)
	{
		{	/* Ast/node.scm 294 */
			{	/* Ast/node.scm 294 */
				BgL_syncz00_bglt BgL_new1596z00_9546;

				{	/* Ast/node.scm 294 */
					BgL_syncz00_bglt BgL_new1595z00_9547;

					BgL_new1595z00_9547 =
						((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_syncz00_bgl))));
					{	/* Ast/node.scm 294 */
						long BgL_arg2845z00_9548;

						BgL_arg2845z00_9548 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1595z00_9547), BgL_arg2845z00_9548);
					}
					{	/* Ast/node.scm 294 */
						BgL_objectz00_bglt BgL_tmpz00_14730;

						BgL_tmpz00_14730 = ((BgL_objectz00_bglt) BgL_new1595z00_9547);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14730, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1595z00_9547);
					BgL_new1596z00_9546 = BgL_new1595z00_9547;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1596z00_9546)))->BgL_locz00) =
					((obj_t) BgL_loc1428z00_7954), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1596z00_9546)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1429z00_7955)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1596z00_9546))->BgL_mutexz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_mutex1430z00_7956)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1596z00_9546))->BgL_prelockz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_prelock1431z00_7957)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1596z00_9546))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1432z00_7958)),
					BUNSPEC);
				return BgL_new1596z00_9546;
			}
		}

	}



/* &lambda2868 */
	obj_t BGl_z62lambda2868z62zzast_nodez00(obj_t BgL_envz00_7959,
		obj_t BgL_oz00_7960, obj_t BgL_vz00_7961)
	{
		{	/* Ast/node.scm 294 */
			return
				((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_oz00_7960)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7961)), BUNSPEC);
		}

	}



/* &lambda2867 */
	BgL_nodez00_bglt BGl_z62lambda2867z62zzast_nodez00(obj_t BgL_envz00_7962,
		obj_t BgL_oz00_7963)
	{
		{	/* Ast/node.scm 294 */
			return
				(((BgL_syncz00_bglt) COBJECT(
						((BgL_syncz00_bglt) BgL_oz00_7963)))->BgL_bodyz00);
		}

	}



/* &lambda2863 */
	obj_t BGl_z62lambda2863z62zzast_nodez00(obj_t BgL_envz00_7964,
		obj_t BgL_oz00_7965, obj_t BgL_vz00_7966)
	{
		{	/* Ast/node.scm 294 */
			return
				((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_oz00_7965)))->BgL_prelockz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7966)), BUNSPEC);
		}

	}



/* &lambda2862 */
	BgL_nodez00_bglt BGl_z62lambda2862z62zzast_nodez00(obj_t BgL_envz00_7967,
		obj_t BgL_oz00_7968)
	{
		{	/* Ast/node.scm 294 */
			return
				(((BgL_syncz00_bglt) COBJECT(
						((BgL_syncz00_bglt) BgL_oz00_7968)))->BgL_prelockz00);
		}

	}



/* &lambda2855 */
	obj_t BGl_z62lambda2855z62zzast_nodez00(obj_t BgL_envz00_7969,
		obj_t BgL_oz00_7970, obj_t BgL_vz00_7971)
	{
		{	/* Ast/node.scm 294 */
			return
				((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_oz00_7970)))->BgL_mutexz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7971)), BUNSPEC);
		}

	}



/* &lambda2854 */
	BgL_nodez00_bglt BGl_z62lambda2854z62zzast_nodez00(obj_t BgL_envz00_7972,
		obj_t BgL_oz00_7973)
	{
		{	/* Ast/node.scm 294 */
			return
				(((BgL_syncz00_bglt) COBJECT(
						((BgL_syncz00_bglt) BgL_oz00_7973)))->BgL_mutexz00);
		}

	}



/* &<@anonymous:2807> */
	obj_t BGl_z62zc3z04anonymousza32807ze3ze5zzast_nodez00(obj_t BgL_envz00_7974,
		obj_t BgL_new1426z00_7975)
	{
		{	/* Ast/node.scm 288 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_14760;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_new1426z00_7975))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14764;

					{	/* Ast/node.scm 288 */
						obj_t BgL_classz00_9559;

						BgL_classz00_9559 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 288 */
							obj_t BgL__ortest_1113z00_9560;

							BgL__ortest_1113z00_9560 = BGL_CLASS_NIL(BgL_classz00_9559);
							if (CBOOL(BgL__ortest_1113z00_9560))
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14764 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9560);
								}
							else
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14764 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9559));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1426z00_7975))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14764), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_14774;

					{	/* Ast/node.scm 288 */
						obj_t BgL_classz00_9561;

						BgL_classz00_9561 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 288 */
							obj_t BgL__ortest_1113z00_9562;

							BgL__ortest_1113z00_9562 = BGL_CLASS_NIL(BgL_classz00_9561);
							if (CBOOL(BgL__ortest_1113z00_9562))
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14774 =
										((BgL_varz00_bglt) BgL__ortest_1113z00_9562);
								}
							else
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14774 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9561));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_new1426z00_7975)))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_14774), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14783;

					{	/* Ast/node.scm 288 */
						obj_t BgL_classz00_9563;

						BgL_classz00_9563 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 288 */
							obj_t BgL__ortest_1113z00_9564;

							BgL__ortest_1113z00_9564 = BGL_CLASS_NIL(BgL_classz00_9563);
							if (CBOOL(BgL__ortest_1113z00_9564))
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14783 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9564);
								}
							else
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14783 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9563));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_new1426z00_7975)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_14783), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14792;

					{	/* Ast/node.scm 288 */
						obj_t BgL_classz00_9565;

						BgL_classz00_9565 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 288 */
							obj_t BgL__ortest_1113z00_9566;

							BgL__ortest_1113z00_9566 = BGL_CLASS_NIL(BgL_classz00_9565);
							if (CBOOL(BgL__ortest_1113z00_9566))
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14792 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9566);
								}
							else
								{	/* Ast/node.scm 288 */
									BgL_auxz00_14792 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9565));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_new1426z00_7975)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14792), BUNSPEC);
				}
				BgL_auxz00_14760 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1426z00_7975);
				return ((obj_t) BgL_auxz00_14760);
			}
		}

	}



/* &lambda2805 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2805z62zzast_nodez00(obj_t
		BgL_envz00_7976)
	{
		{	/* Ast/node.scm 288 */
			{	/* Ast/node.scm 288 */
				BgL_boxzd2setz12zc0_bglt BgL_new1425z00_9567;

				BgL_new1425z00_9567 =
					((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2setz12zc0_bgl))));
				{	/* Ast/node.scm 288 */
					long BgL_arg2806z00_9568;

					BgL_arg2806z00_9568 = BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1425z00_9567), BgL_arg2806z00_9568);
				}
				{	/* Ast/node.scm 288 */
					BgL_objectz00_bglt BgL_tmpz00_14807;

					BgL_tmpz00_14807 = ((BgL_objectz00_bglt) BgL_new1425z00_9567);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14807, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1425z00_9567);
				return BgL_new1425z00_9567;
			}
		}

	}



/* &lambda2803 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2803z62zzast_nodez00(obj_t
		BgL_envz00_7977, obj_t BgL_loc1420z00_7978, obj_t BgL_type1421z00_7979,
		obj_t BgL_var1422z00_7980, obj_t BgL_value1423z00_7981,
		obj_t BgL_vtype1424z00_7982)
	{
		{	/* Ast/node.scm 288 */
			{	/* Ast/node.scm 288 */
				BgL_boxzd2setz12zc0_bglt BgL_new1594z00_9573;

				{	/* Ast/node.scm 288 */
					BgL_boxzd2setz12zc0_bglt BgL_new1593z00_9574;

					BgL_new1593z00_9574 =
						((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/node.scm 288 */
						long BgL_arg2804z00_9575;

						BgL_arg2804z00_9575 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1593z00_9574), BgL_arg2804z00_9575);
					}
					{	/* Ast/node.scm 288 */
						BgL_objectz00_bglt BgL_tmpz00_14815;

						BgL_tmpz00_14815 = ((BgL_objectz00_bglt) BgL_new1593z00_9574);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14815, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1593z00_9574);
					BgL_new1594z00_9573 = BgL_new1593z00_9574;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1594z00_9573)))->BgL_locz00) =
					((obj_t) BgL_loc1420z00_7978), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1594z00_9573)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1421z00_7979)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1594z00_9573))->
						BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1422z00_7980)), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1594z00_9573))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1423z00_7981)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1594z00_9573))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1424z00_7982)),
					BUNSPEC);
				return BgL_new1594z00_9573;
			}
		}

	}



/* &lambda2829 */
	obj_t BGl_z62lambda2829z62zzast_nodez00(obj_t BgL_envz00_7983,
		obj_t BgL_oz00_7984, obj_t BgL_vz00_7985)
	{
		{	/* Ast/node.scm 288 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7984)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7985)), BUNSPEC);
		}

	}



/* &lambda2828 */
	BgL_typez00_bglt BGl_z62lambda2828z62zzast_nodez00(obj_t BgL_envz00_7986,
		obj_t BgL_oz00_7987)
	{
		{	/* Ast/node.scm 288 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7987)))->BgL_vtypez00);
		}

	}



/* &lambda2823 */
	obj_t BGl_z62lambda2823z62zzast_nodez00(obj_t BgL_envz00_7988,
		obj_t BgL_oz00_7989, obj_t BgL_vz00_7990)
	{
		{	/* Ast/node.scm 288 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7989)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7990)), BUNSPEC);
		}

	}



/* &lambda2822 */
	BgL_nodez00_bglt BGl_z62lambda2822z62zzast_nodez00(obj_t BgL_envz00_7991,
		obj_t BgL_oz00_7992)
	{
		{	/* Ast/node.scm 288 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7992)))->BgL_valuez00);
		}

	}



/* &lambda2816 */
	obj_t BGl_z62lambda2816z62zzast_nodez00(obj_t BgL_envz00_7993,
		obj_t BgL_oz00_7994, obj_t BgL_vz00_7995)
	{
		{	/* Ast/node.scm 288 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7994)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_7995)), BUNSPEC);
		}

	}



/* &lambda2815 */
	BgL_varz00_bglt BGl_z62lambda2815z62zzast_nodez00(obj_t BgL_envz00_7996,
		obj_t BgL_oz00_7997)
	{
		{	/* Ast/node.scm 288 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7997)))->BgL_varz00);
		}

	}



/* &<@anonymous:2783> */
	obj_t BGl_z62zc3z04anonymousza32783ze3ze5zzast_nodez00(obj_t BgL_envz00_7998,
		obj_t BgL_new1418z00_7999)
	{
		{	/* Ast/node.scm 283 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_14845;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1418z00_7999))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14849;

					{	/* Ast/node.scm 283 */
						obj_t BgL_classz00_9586;

						BgL_classz00_9586 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 283 */
							obj_t BgL__ortest_1113z00_9587;

							BgL__ortest_1113z00_9587 = BGL_CLASS_NIL(BgL_classz00_9586);
							if (CBOOL(BgL__ortest_1113z00_9587))
								{	/* Ast/node.scm 283 */
									BgL_auxz00_14849 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9587);
								}
							else
								{	/* Ast/node.scm 283 */
									BgL_auxz00_14849 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9586));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1418z00_7999))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14849), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1418z00_7999))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_boxzd2refzd2_bglt)
										BgL_new1418z00_7999))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_14865;

					{	/* Ast/node.scm 283 */
						obj_t BgL_classz00_9588;

						BgL_classz00_9588 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 283 */
							obj_t BgL__ortest_1113z00_9589;

							BgL__ortest_1113z00_9589 = BGL_CLASS_NIL(BgL_classz00_9588);
							if (CBOOL(BgL__ortest_1113z00_9589))
								{	/* Ast/node.scm 283 */
									BgL_auxz00_14865 =
										((BgL_varz00_bglt) BgL__ortest_1113z00_9589);
								}
							else
								{	/* Ast/node.scm 283 */
									BgL_auxz00_14865 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9588));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_new1418z00_7999)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_14865), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14874;

					{	/* Ast/node.scm 283 */
						obj_t BgL_classz00_9590;

						BgL_classz00_9590 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 283 */
							obj_t BgL__ortest_1113z00_9591;

							BgL__ortest_1113z00_9591 = BGL_CLASS_NIL(BgL_classz00_9590);
							if (CBOOL(BgL__ortest_1113z00_9591))
								{	/* Ast/node.scm 283 */
									BgL_auxz00_14874 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9591);
								}
							else
								{	/* Ast/node.scm 283 */
									BgL_auxz00_14874 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9590));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_new1418z00_7999)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14874), BUNSPEC);
				}
				BgL_auxz00_14845 = ((BgL_boxzd2refzd2_bglt) BgL_new1418z00_7999);
				return ((obj_t) BgL_auxz00_14845);
			}
		}

	}



/* &lambda2780 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2780z62zzast_nodez00(obj_t BgL_envz00_8000)
	{
		{	/* Ast/node.scm 283 */
			{	/* Ast/node.scm 283 */
				BgL_boxzd2refzd2_bglt BgL_new1417z00_9592;

				BgL_new1417z00_9592 =
					((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2refzd2_bgl))));
				{	/* Ast/node.scm 283 */
					long BgL_arg2782z00_9593;

					BgL_arg2782z00_9593 = BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1417z00_9592), BgL_arg2782z00_9593);
				}
				{	/* Ast/node.scm 283 */
					BgL_objectz00_bglt BgL_tmpz00_14889;

					BgL_tmpz00_14889 = ((BgL_objectz00_bglt) BgL_new1417z00_9592);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14889, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1417z00_9592);
				return BgL_new1417z00_9592;
			}
		}

	}



/* &lambda2778 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2778z62zzast_nodez00(obj_t BgL_envz00_8001,
		obj_t BgL_loc1411z00_8002, obj_t BgL_type1412z00_8003,
		obj_t BgL_sidezd2effect1413zd2_8004, obj_t BgL_key1414z00_8005,
		obj_t BgL_var1415z00_8006, obj_t BgL_vtype1416z00_8007)
	{
		{	/* Ast/node.scm 283 */
			{	/* Ast/node.scm 283 */
				BgL_boxzd2refzd2_bglt BgL_new1592z00_9597;

				{	/* Ast/node.scm 283 */
					BgL_boxzd2refzd2_bglt BgL_new1591z00_9598;

					BgL_new1591z00_9598 =
						((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/node.scm 283 */
						long BgL_arg2779z00_9599;

						BgL_arg2779z00_9599 = BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1591z00_9598), BgL_arg2779z00_9599);
					}
					{	/* Ast/node.scm 283 */
						BgL_objectz00_bglt BgL_tmpz00_14897;

						BgL_tmpz00_14897 = ((BgL_objectz00_bglt) BgL_new1591z00_9598);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14897, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1591z00_9598);
					BgL_new1592z00_9597 = BgL_new1591z00_9598;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1592z00_9597)))->BgL_locz00) =
					((obj_t) BgL_loc1411z00_8002), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1592z00_9597)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1412z00_8003)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1592z00_9597)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1413zd2_8004), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1592z00_9597)))->BgL_keyz00) =
					((obj_t) BgL_key1414z00_8005), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1592z00_9597))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1415z00_8006)), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1592z00_9597))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1416z00_8007)),
					BUNSPEC);
				return BgL_new1592z00_9597;
			}
		}

	}



/* &lambda2794 */
	obj_t BGl_z62lambda2794z62zzast_nodez00(obj_t BgL_envz00_8008,
		obj_t BgL_oz00_8009, obj_t BgL_vz00_8010)
	{
		{	/* Ast/node.scm 283 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_8009)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8010)), BUNSPEC);
		}

	}



/* &lambda2793 */
	BgL_typez00_bglt BGl_z62lambda2793z62zzast_nodez00(obj_t BgL_envz00_8011,
		obj_t BgL_oz00_8012)
	{
		{	/* Ast/node.scm 283 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_8012)))->BgL_vtypez00);
		}

	}



/* &lambda2788 */
	obj_t BGl_z62lambda2788z62zzast_nodez00(obj_t BgL_envz00_8013,
		obj_t BgL_oz00_8014, obj_t BgL_vz00_8015)
	{
		{	/* Ast/node.scm 283 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_8014)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8015)), BUNSPEC);
		}

	}



/* &lambda2787 */
	BgL_varz00_bglt BGl_z62lambda2787z62zzast_nodez00(obj_t BgL_envz00_8016,
		obj_t BgL_oz00_8017)
	{
		{	/* Ast/node.scm 283 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_8017)))->BgL_varz00);
		}

	}



/* &<@anonymous:2745> */
	obj_t BGl_z62zc3z04anonymousza32745ze3ze5zzast_nodez00(obj_t BgL_envz00_8018,
		obj_t BgL_new1409z00_8019)
	{
		{	/* Ast/node.scm 276 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_14924;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1409z00_8019))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14928;

					{	/* Ast/node.scm 276 */
						obj_t BgL_classz00_9607;

						BgL_classz00_9607 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 276 */
							obj_t BgL__ortest_1113z00_9608;

							BgL__ortest_1113z00_9608 = BGL_CLASS_NIL(BgL_classz00_9607);
							if (CBOOL(BgL__ortest_1113z00_9608))
								{	/* Ast/node.scm 276 */
									BgL_auxz00_14928 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9608);
								}
							else
								{	/* Ast/node.scm 276 */
									BgL_auxz00_14928 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9607));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1409z00_8019))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14928), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1409z00_8019))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1409z00_8019))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_14944;

					{	/* Ast/node.scm 276 */
						obj_t BgL_classz00_9609;

						BgL_classz00_9609 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 276 */
							obj_t BgL__ortest_1113z00_9610;

							BgL__ortest_1113z00_9610 = BGL_CLASS_NIL(BgL_classz00_9609);
							if (CBOOL(BgL__ortest_1113z00_9610))
								{	/* Ast/node.scm 276 */
									BgL_auxz00_14944 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9610);
								}
							else
								{	/* Ast/node.scm 276 */
									BgL_auxz00_14944 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9609));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_new1409z00_8019)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_14944), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14953;

					{	/* Ast/node.scm 276 */
						obj_t BgL_classz00_9611;

						BgL_classz00_9611 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 276 */
							obj_t BgL__ortest_1113z00_9612;

							BgL__ortest_1113z00_9612 = BGL_CLASS_NIL(BgL_classz00_9611);
							if (CBOOL(BgL__ortest_1113z00_9612))
								{	/* Ast/node.scm 276 */
									BgL_auxz00_14953 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9612);
								}
							else
								{	/* Ast/node.scm 276 */
									BgL_auxz00_14953 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9611));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_new1409z00_8019)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14953), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_new1409z00_8019)))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14924 = ((BgL_makezd2boxzd2_bglt) BgL_new1409z00_8019);
				return ((obj_t) BgL_auxz00_14924);
			}
		}

	}



/* &lambda2743 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2743z62zzast_nodez00(obj_t
		BgL_envz00_8020)
	{
		{	/* Ast/node.scm 276 */
			{	/* Ast/node.scm 276 */
				BgL_makezd2boxzd2_bglt BgL_new1408z00_9613;

				BgL_new1408z00_9613 =
					((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzd2_bgl))));
				{	/* Ast/node.scm 276 */
					long BgL_arg2744z00_9614;

					BgL_arg2744z00_9614 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1408z00_9613), BgL_arg2744z00_9614);
				}
				{	/* Ast/node.scm 276 */
					BgL_objectz00_bglt BgL_tmpz00_14970;

					BgL_tmpz00_14970 = ((BgL_objectz00_bglt) BgL_new1408z00_9613);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14970, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1408z00_9613);
				return BgL_new1408z00_9613;
			}
		}

	}



/* &lambda2739 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2739z62zzast_nodez00(obj_t
		BgL_envz00_8021, obj_t BgL_loc1401z00_8022, obj_t BgL_type1402z00_8023,
		obj_t BgL_sidezd2effect1403zd2_8024, obj_t BgL_key1404z00_8025,
		obj_t BgL_value1405z00_8026, obj_t BgL_vtype1406z00_8027,
		obj_t BgL_stackable1407z00_8028)
	{
		{	/* Ast/node.scm 276 */
			{	/* Ast/node.scm 276 */
				BgL_makezd2boxzd2_bglt BgL_new1590z00_9618;

				{	/* Ast/node.scm 276 */
					BgL_makezd2boxzd2_bglt BgL_new1589z00_9619;

					BgL_new1589z00_9619 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/node.scm 276 */
						long BgL_arg2742z00_9620;

						BgL_arg2742z00_9620 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1589z00_9619), BgL_arg2742z00_9620);
					}
					{	/* Ast/node.scm 276 */
						BgL_objectz00_bglt BgL_tmpz00_14978;

						BgL_tmpz00_14978 = ((BgL_objectz00_bglt) BgL_new1589z00_9619);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14978, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1589z00_9619);
					BgL_new1590z00_9618 = BgL_new1589z00_9619;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1590z00_9618)))->BgL_locz00) =
					((obj_t) BgL_loc1401z00_8022), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1590z00_9618)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1402z00_8023)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1590z00_9618)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1403zd2_8024), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1590z00_9618)))->BgL_keyz00) =
					((obj_t) BgL_key1404z00_8025), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1590z00_9618))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1405z00_8026)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1590z00_9618))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1406z00_8027)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1590z00_9618))->
						BgL_stackablez00) = ((obj_t) BgL_stackable1407z00_8028), BUNSPEC);
				return BgL_new1590z00_9618;
			}
		}

	}



/* &<@anonymous:2770> */
	obj_t BGl_z62zc3z04anonymousza32770ze3ze5zzast_nodez00(obj_t BgL_envz00_8029)
	{
		{	/* Ast/node.scm 276 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2769 */
	obj_t BGl_z62lambda2769z62zzast_nodez00(obj_t BgL_envz00_8030,
		obj_t BgL_oz00_8031, obj_t BgL_vz00_8032)
	{
		{	/* Ast/node.scm 276 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_8031)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_8032), BUNSPEC);
		}

	}



/* &lambda2768 */
	obj_t BGl_z62lambda2768z62zzast_nodez00(obj_t BgL_envz00_8033,
		obj_t BgL_oz00_8034)
	{
		{	/* Ast/node.scm 276 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_8034)))->BgL_stackablez00);
		}

	}



/* &lambda2757 */
	obj_t BGl_z62lambda2757z62zzast_nodez00(obj_t BgL_envz00_8035,
		obj_t BgL_oz00_8036, obj_t BgL_vz00_8037)
	{
		{	/* Ast/node.scm 276 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_8036)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8037)), BUNSPEC);
		}

	}



/* &lambda2756 */
	BgL_typez00_bglt BGl_z62lambda2756z62zzast_nodez00(obj_t BgL_envz00_8038,
		obj_t BgL_oz00_8039)
	{
		{	/* Ast/node.scm 276 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_8039)))->BgL_vtypez00);
		}

	}



/* &lambda2751 */
	obj_t BGl_z62lambda2751z62zzast_nodez00(obj_t BgL_envz00_8040,
		obj_t BgL_oz00_8041, obj_t BgL_vz00_8042)
	{
		{	/* Ast/node.scm 276 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_8041)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8042)), BUNSPEC);
		}

	}



/* &lambda2750 */
	BgL_nodez00_bglt BGl_z62lambda2750z62zzast_nodez00(obj_t BgL_envz00_8043,
		obj_t BgL_oz00_8044)
	{
		{	/* Ast/node.scm 276 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_8044)))->BgL_valuez00);
		}

	}



/* &<@anonymous:2722> */
	obj_t BGl_z62zc3z04anonymousza32722ze3ze5zzast_nodez00(obj_t BgL_envz00_8045,
		obj_t BgL_new1399z00_8046)
	{
		{	/* Ast/node.scm 270 */
			{
				BgL_returnz00_bglt BgL_auxz00_15011;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_returnz00_bglt) BgL_new1399z00_8046))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15015;

					{	/* Ast/node.scm 270 */
						obj_t BgL_classz00_9630;

						BgL_classz00_9630 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 270 */
							obj_t BgL__ortest_1113z00_9631;

							BgL__ortest_1113z00_9631 = BGL_CLASS_NIL(BgL_classz00_9630);
							if (CBOOL(BgL__ortest_1113z00_9631))
								{	/* Ast/node.scm 270 */
									BgL_auxz00_15015 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9631);
								}
							else
								{	/* Ast/node.scm 270 */
									BgL_auxz00_15015 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9630));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_returnz00_bglt) BgL_new1399z00_8046))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15015), BUNSPEC);
				}
				{
					BgL_retblockz00_bglt BgL_auxz00_15025;

					{	/* Ast/node.scm 270 */
						obj_t BgL_classz00_9632;

						BgL_classz00_9632 = BGl_retblockz00zzast_nodez00;
						{	/* Ast/node.scm 270 */
							obj_t BgL__ortest_1113z00_9633;

							BgL__ortest_1113z00_9633 = BGL_CLASS_NIL(BgL_classz00_9632);
							if (CBOOL(BgL__ortest_1113z00_9633))
								{	/* Ast/node.scm 270 */
									BgL_auxz00_15025 =
										((BgL_retblockz00_bglt) BgL__ortest_1113z00_9633);
								}
							else
								{	/* Ast/node.scm 270 */
									BgL_auxz00_15025 =
										((BgL_retblockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9632));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_new1399z00_8046)))->BgL_blockz00) =
						((BgL_retblockz00_bglt) BgL_auxz00_15025), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15034;

					{	/* Ast/node.scm 270 */
						obj_t BgL_classz00_9634;

						BgL_classz00_9634 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 270 */
							obj_t BgL__ortest_1113z00_9635;

							BgL__ortest_1113z00_9635 = BGL_CLASS_NIL(BgL_classz00_9634);
							if (CBOOL(BgL__ortest_1113z00_9635))
								{	/* Ast/node.scm 270 */
									BgL_auxz00_15034 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9635);
								}
							else
								{	/* Ast/node.scm 270 */
									BgL_auxz00_15034 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9634));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_new1399z00_8046)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_15034), BUNSPEC);
				}
				BgL_auxz00_15011 = ((BgL_returnz00_bglt) BgL_new1399z00_8046);
				return ((obj_t) BgL_auxz00_15011);
			}
		}

	}



/* &lambda2718 */
	BgL_returnz00_bglt BGl_z62lambda2718z62zzast_nodez00(obj_t BgL_envz00_8047)
	{
		{	/* Ast/node.scm 270 */
			{	/* Ast/node.scm 270 */
				BgL_returnz00_bglt BgL_new1398z00_9636;

				BgL_new1398z00_9636 =
					((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_returnz00_bgl))));
				{	/* Ast/node.scm 270 */
					long BgL_arg2721z00_9637;

					BgL_arg2721z00_9637 = BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1398z00_9636), BgL_arg2721z00_9637);
				}
				{	/* Ast/node.scm 270 */
					BgL_objectz00_bglt BgL_tmpz00_15049;

					BgL_tmpz00_15049 = ((BgL_objectz00_bglt) BgL_new1398z00_9636);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15049, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1398z00_9636);
				return BgL_new1398z00_9636;
			}
		}

	}



/* &lambda2716 */
	BgL_returnz00_bglt BGl_z62lambda2716z62zzast_nodez00(obj_t BgL_envz00_8048,
		obj_t BgL_loc1394z00_8049, obj_t BgL_type1395z00_8050,
		obj_t BgL_block1396z00_8051, obj_t BgL_value1397z00_8052)
	{
		{	/* Ast/node.scm 270 */
			{	/* Ast/node.scm 270 */
				BgL_returnz00_bglt BgL_new1588z00_9641;

				{	/* Ast/node.scm 270 */
					BgL_returnz00_bglt BgL_new1587z00_9642;

					BgL_new1587z00_9642 =
						((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_returnz00_bgl))));
					{	/* Ast/node.scm 270 */
						long BgL_arg2717z00_9643;

						BgL_arg2717z00_9643 = BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1587z00_9642), BgL_arg2717z00_9643);
					}
					{	/* Ast/node.scm 270 */
						BgL_objectz00_bglt BgL_tmpz00_15057;

						BgL_tmpz00_15057 = ((BgL_objectz00_bglt) BgL_new1587z00_9642);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15057, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1587z00_9642);
					BgL_new1588z00_9641 = BgL_new1587z00_9642;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1588z00_9641)))->BgL_locz00) =
					((obj_t) BgL_loc1394z00_8049), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1588z00_9641)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1395z00_8050)),
					BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1588z00_9641))->BgL_blockz00) =
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt)
							BgL_block1396z00_8051)), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1588z00_9641))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1397z00_8052)),
					BUNSPEC);
				return BgL_new1588z00_9641;
			}
		}

	}



/* &lambda2732 */
	obj_t BGl_z62lambda2732z62zzast_nodez00(obj_t BgL_envz00_8053,
		obj_t BgL_oz00_8054, obj_t BgL_vz00_8055)
	{
		{	/* Ast/node.scm 270 */
			return
				((((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_oz00_8054)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8055)), BUNSPEC);
		}

	}



/* &lambda2731 */
	BgL_nodez00_bglt BGl_z62lambda2731z62zzast_nodez00(obj_t BgL_envz00_8056,
		obj_t BgL_oz00_8057)
	{
		{	/* Ast/node.scm 270 */
			return
				(((BgL_returnz00_bglt) COBJECT(
						((BgL_returnz00_bglt) BgL_oz00_8057)))->BgL_valuez00);
		}

	}



/* &lambda2727 */
	obj_t BGl_z62lambda2727z62zzast_nodez00(obj_t BgL_envz00_8058,
		obj_t BgL_oz00_8059, obj_t BgL_vz00_8060)
	{
		{	/* Ast/node.scm 270 */
			return
				((((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_oz00_8059)))->BgL_blockz00) =
				((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_vz00_8060)),
				BUNSPEC);
		}

	}



/* &lambda2726 */
	BgL_retblockz00_bglt BGl_z62lambda2726z62zzast_nodez00(obj_t BgL_envz00_8061,
		obj_t BgL_oz00_8062)
	{
		{	/* Ast/node.scm 270 */
			return
				(((BgL_returnz00_bglt) COBJECT(
						((BgL_returnz00_bglt) BgL_oz00_8062)))->BgL_blockz00);
		}

	}



/* &<@anonymous:2702> */
	obj_t BGl_z62zc3z04anonymousza32702ze3ze5zzast_nodez00(obj_t BgL_envz00_8063,
		obj_t BgL_new1392z00_8064)
	{
		{	/* Ast/node.scm 266 */
			{
				BgL_retblockz00_bglt BgL_auxz00_15080;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_retblockz00_bglt) BgL_new1392z00_8064))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15084;

					{	/* Ast/node.scm 266 */
						obj_t BgL_classz00_9651;

						BgL_classz00_9651 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 266 */
							obj_t BgL__ortest_1113z00_9652;

							BgL__ortest_1113z00_9652 = BGL_CLASS_NIL(BgL_classz00_9651);
							if (CBOOL(BgL__ortest_1113z00_9652))
								{	/* Ast/node.scm 266 */
									BgL_auxz00_15084 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9652);
								}
							else
								{	/* Ast/node.scm 266 */
									BgL_auxz00_15084 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9651));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_retblockz00_bglt) BgL_new1392z00_8064))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15084), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15094;

					{	/* Ast/node.scm 266 */
						obj_t BgL_classz00_9653;

						BgL_classz00_9653 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 266 */
							obj_t BgL__ortest_1113z00_9654;

							BgL__ortest_1113z00_9654 = BGL_CLASS_NIL(BgL_classz00_9653);
							if (CBOOL(BgL__ortest_1113z00_9654))
								{	/* Ast/node.scm 266 */
									BgL_auxz00_15094 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9654);
								}
							else
								{	/* Ast/node.scm 266 */
									BgL_auxz00_15094 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9653));
								}
						}
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_new1392z00_8064)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15094), BUNSPEC);
				}
				BgL_auxz00_15080 = ((BgL_retblockz00_bglt) BgL_new1392z00_8064);
				return ((obj_t) BgL_auxz00_15080);
			}
		}

	}



/* &lambda2700 */
	BgL_retblockz00_bglt BGl_z62lambda2700z62zzast_nodez00(obj_t BgL_envz00_8065)
	{
		{	/* Ast/node.scm 266 */
			{	/* Ast/node.scm 266 */
				BgL_retblockz00_bglt BgL_new1391z00_9655;

				BgL_new1391z00_9655 =
					((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_retblockz00_bgl))));
				{	/* Ast/node.scm 266 */
					long BgL_arg2701z00_9656;

					BgL_arg2701z00_9656 = BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1391z00_9655), BgL_arg2701z00_9656);
				}
				{	/* Ast/node.scm 266 */
					BgL_objectz00_bglt BgL_tmpz00_15109;

					BgL_tmpz00_15109 = ((BgL_objectz00_bglt) BgL_new1391z00_9655);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15109, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1391z00_9655);
				return BgL_new1391z00_9655;
			}
		}

	}



/* &lambda2698 */
	BgL_retblockz00_bglt BGl_z62lambda2698z62zzast_nodez00(obj_t BgL_envz00_8066,
		obj_t BgL_loc1388z00_8067, obj_t BgL_type1389z00_8068,
		obj_t BgL_body1390z00_8069)
	{
		{	/* Ast/node.scm 266 */
			{	/* Ast/node.scm 266 */
				BgL_retblockz00_bglt BgL_new1586z00_9659;

				{	/* Ast/node.scm 266 */
					BgL_retblockz00_bglt BgL_new1585z00_9660;

					BgL_new1585z00_9660 =
						((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockz00_bgl))));
					{	/* Ast/node.scm 266 */
						long BgL_arg2699z00_9661;

						BgL_arg2699z00_9661 = BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1585z00_9660), BgL_arg2699z00_9661);
					}
					{	/* Ast/node.scm 266 */
						BgL_objectz00_bglt BgL_tmpz00_15117;

						BgL_tmpz00_15117 = ((BgL_objectz00_bglt) BgL_new1585z00_9660);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15117, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1585z00_9660);
					BgL_new1586z00_9659 = BgL_new1585z00_9660;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1586z00_9659)))->BgL_locz00) =
					((obj_t) BgL_loc1388z00_8067), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1586z00_9659)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1389z00_8068)),
					BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(BgL_new1586z00_9659))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1390z00_8069)),
					BUNSPEC);
				return BgL_new1586z00_9659;
			}
		}

	}



/* &lambda2707 */
	obj_t BGl_z62lambda2707z62zzast_nodez00(obj_t BgL_envz00_8070,
		obj_t BgL_oz00_8071, obj_t BgL_vz00_8072)
	{
		{	/* Ast/node.scm 266 */
			return
				((((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_oz00_8071)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8072)), BUNSPEC);
		}

	}



/* &lambda2706 */
	BgL_nodez00_bglt BGl_z62lambda2706z62zzast_nodez00(obj_t BgL_envz00_8073,
		obj_t BgL_oz00_8074)
	{
		{	/* Ast/node.scm 266 */
			return
				(((BgL_retblockz00_bglt) COBJECT(
						((BgL_retblockz00_bglt) BgL_oz00_8074)))->BgL_bodyz00);
		}

	}



/* &<@anonymous:2682> */
	obj_t BGl_z62zc3z04anonymousza32682ze3ze5zzast_nodez00(obj_t BgL_envz00_8075,
		obj_t BgL_new1386z00_8076)
	{
		{	/* Ast/node.scm 259 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_15133;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1386z00_8076))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15137;

					{	/* Ast/node.scm 259 */
						obj_t BgL_classz00_9666;

						BgL_classz00_9666 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 259 */
							obj_t BgL__ortest_1113z00_9667;

							BgL__ortest_1113z00_9667 = BGL_CLASS_NIL(BgL_classz00_9666);
							if (CBOOL(BgL__ortest_1113z00_9667))
								{	/* Ast/node.scm 259 */
									BgL_auxz00_15137 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9667);
								}
							else
								{	/* Ast/node.scm 259 */
									BgL_auxz00_15137 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9666));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1386z00_8076))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15137), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15147;

					{	/* Ast/node.scm 259 */
						obj_t BgL_classz00_9668;

						BgL_classz00_9668 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 259 */
							obj_t BgL__ortest_1113z00_9669;

							BgL__ortest_1113z00_9669 = BGL_CLASS_NIL(BgL_classz00_9668);
							if (CBOOL(BgL__ortest_1113z00_9669))
								{	/* Ast/node.scm 259 */
									BgL_auxz00_15147 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9669);
								}
							else
								{	/* Ast/node.scm 259 */
									BgL_auxz00_15147 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9668));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1386z00_8076)))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_15147), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15156;

					{	/* Ast/node.scm 259 */
						obj_t BgL_classz00_9670;

						BgL_classz00_9670 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 259 */
							obj_t BgL__ortest_1113z00_9671;

							BgL__ortest_1113z00_9671 = BGL_CLASS_NIL(BgL_classz00_9670);
							if (CBOOL(BgL__ortest_1113z00_9671))
								{	/* Ast/node.scm 259 */
									BgL_auxz00_15156 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9671);
								}
							else
								{	/* Ast/node.scm 259 */
									BgL_auxz00_15156 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9670));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1386z00_8076)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_15156), BUNSPEC);
				}
				BgL_auxz00_15133 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_new1386z00_8076);
				return ((obj_t) BgL_auxz00_15133);
			}
		}

	}



/* &lambda2680 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2680z62zzast_nodez00(obj_t
		BgL_envz00_8077)
	{
		{	/* Ast/node.scm 259 */
			{	/* Ast/node.scm 259 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1385z00_9672;

				BgL_new1385z00_9672 =
					((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jumpzd2exzd2itz00_bgl))));
				{	/* Ast/node.scm 259 */
					long BgL_arg2681z00_9673;

					BgL_arg2681z00_9673 =
						BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1385z00_9672), BgL_arg2681z00_9673);
				}
				{	/* Ast/node.scm 259 */
					BgL_objectz00_bglt BgL_tmpz00_15171;

					BgL_tmpz00_15171 = ((BgL_objectz00_bglt) BgL_new1385z00_9672);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15171, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1385z00_9672);
				return BgL_new1385z00_9672;
			}
		}

	}



/* &lambda2678 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2678z62zzast_nodez00(obj_t
		BgL_envz00_8078, obj_t BgL_loc1381z00_8079, obj_t BgL_type1382z00_8080,
		obj_t BgL_exit1383z00_8081, obj_t BgL_value1384z00_8082)
	{
		{	/* Ast/node.scm 259 */
			{	/* Ast/node.scm 259 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1584z00_9677;

				{	/* Ast/node.scm 259 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1583z00_9678;

					BgL_new1583z00_9678 =
						((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/node.scm 259 */
						long BgL_arg2679z00_9679;

						BgL_arg2679z00_9679 =
							BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1583z00_9678), BgL_arg2679z00_9679);
					}
					{	/* Ast/node.scm 259 */
						BgL_objectz00_bglt BgL_tmpz00_15179;

						BgL_tmpz00_15179 = ((BgL_objectz00_bglt) BgL_new1583z00_9678);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15179, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1583z00_9678);
					BgL_new1584z00_9677 = BgL_new1583z00_9678;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1584z00_9677)))->BgL_locz00) =
					((obj_t) BgL_loc1381z00_8079), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1584z00_9677)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1382z00_8080)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1584z00_9677))->
						BgL_exitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_exit1383z00_8081)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1584z00_9677))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1384z00_8082)),
					BUNSPEC);
				return BgL_new1584z00_9677;
			}
		}

	}



/* &lambda2692 */
	obj_t BGl_z62lambda2692z62zzast_nodez00(obj_t BgL_envz00_8083,
		obj_t BgL_oz00_8084, obj_t BgL_vz00_8085)
	{
		{	/* Ast/node.scm 259 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8084)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8085)), BUNSPEC);
		}

	}



/* &lambda2691 */
	BgL_nodez00_bglt BGl_z62lambda2691z62zzast_nodez00(obj_t BgL_envz00_8086,
		obj_t BgL_oz00_8087)
	{
		{	/* Ast/node.scm 259 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8087)))->BgL_valuez00);
		}

	}



/* &lambda2687 */
	obj_t BGl_z62lambda2687z62zzast_nodez00(obj_t BgL_envz00_8088,
		obj_t BgL_oz00_8089, obj_t BgL_vz00_8090)
	{
		{	/* Ast/node.scm 259 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8089)))->BgL_exitz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8090)), BUNSPEC);
		}

	}



/* &lambda2686 */
	BgL_nodez00_bglt BGl_z62lambda2686z62zzast_nodez00(obj_t BgL_envz00_8091,
		obj_t BgL_oz00_8092)
	{
		{	/* Ast/node.scm 259 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8092)))->BgL_exitz00);
		}

	}



/* &<@anonymous:2656> */
	obj_t BGl_z62zc3z04anonymousza32656ze3ze5zzast_nodez00(obj_t BgL_envz00_8093,
		obj_t BgL_new1379z00_8094)
	{
		{	/* Ast/node.scm 250 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_15202;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_new1379z00_8094))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15206;

					{	/* Ast/node.scm 250 */
						obj_t BgL_classz00_9687;

						BgL_classz00_9687 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 250 */
							obj_t BgL__ortest_1113z00_9688;

							BgL__ortest_1113z00_9688 = BGL_CLASS_NIL(BgL_classz00_9687);
							if (CBOOL(BgL__ortest_1113z00_9688))
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15206 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9688);
								}
							else
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15206 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9687));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1379z00_8094))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15206), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_15216;

					{	/* Ast/node.scm 250 */
						obj_t BgL_classz00_9689;

						BgL_classz00_9689 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 250 */
							obj_t BgL__ortest_1113z00_9690;

							BgL__ortest_1113z00_9690 = BGL_CLASS_NIL(BgL_classz00_9689);
							if (CBOOL(BgL__ortest_1113z00_9690))
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15216 =
										((BgL_varz00_bglt) BgL__ortest_1113z00_9690);
								}
							else
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15216 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9689));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_new1379z00_8094)))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_15216), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15225;

					{	/* Ast/node.scm 250 */
						obj_t BgL_classz00_9691;

						BgL_classz00_9691 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 250 */
							obj_t BgL__ortest_1113z00_9692;

							BgL__ortest_1113z00_9692 = BGL_CLASS_NIL(BgL_classz00_9691);
							if (CBOOL(BgL__ortest_1113z00_9692))
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15225 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9692);
								}
							else
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15225 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9691));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_new1379z00_8094)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_15225), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15234;

					{	/* Ast/node.scm 250 */
						obj_t BgL_classz00_9693;

						BgL_classz00_9693 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 250 */
							obj_t BgL__ortest_1113z00_9694;

							BgL__ortest_1113z00_9694 = BGL_CLASS_NIL(BgL_classz00_9693);
							if (CBOOL(BgL__ortest_1113z00_9694))
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15234 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9694);
								}
							else
								{	/* Ast/node.scm 250 */
									BgL_auxz00_15234 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9693));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_new1379z00_8094)))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_15234), BUNSPEC);
				}
				BgL_auxz00_15202 = ((BgL_setzd2exzd2itz00_bglt) BgL_new1379z00_8094);
				return ((obj_t) BgL_auxz00_15202);
			}
		}

	}



/* &lambda2654 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2654z62zzast_nodez00(obj_t
		BgL_envz00_8095)
	{
		{	/* Ast/node.scm 250 */
			{	/* Ast/node.scm 250 */
				BgL_setzd2exzd2itz00_bglt BgL_new1378z00_9695;

				BgL_new1378z00_9695 =
					((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setzd2exzd2itz00_bgl))));
				{	/* Ast/node.scm 250 */
					long BgL_arg2655z00_9696;

					BgL_arg2655z00_9696 =
						BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1378z00_9695), BgL_arg2655z00_9696);
				}
				{	/* Ast/node.scm 250 */
					BgL_objectz00_bglt BgL_tmpz00_15249;

					BgL_tmpz00_15249 = ((BgL_objectz00_bglt) BgL_new1378z00_9695);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15249, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1378z00_9695);
				return BgL_new1378z00_9695;
			}
		}

	}



/* &lambda2652 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2652z62zzast_nodez00(obj_t
		BgL_envz00_8096, obj_t BgL_loc1373z00_8097, obj_t BgL_type1374z00_8098,
		obj_t BgL_var1375z00_8099, obj_t BgL_body1376z00_8100,
		obj_t BgL_onexit1377z00_8101)
	{
		{	/* Ast/node.scm 250 */
			{	/* Ast/node.scm 250 */
				BgL_setzd2exzd2itz00_bglt BgL_new1582z00_9701;

				{	/* Ast/node.scm 250 */
					BgL_setzd2exzd2itz00_bglt BgL_new1581z00_9702;

					BgL_new1581z00_9702 =
						((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/node.scm 250 */
						long BgL_arg2653z00_9703;

						BgL_arg2653z00_9703 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1581z00_9702), BgL_arg2653z00_9703);
					}
					{	/* Ast/node.scm 250 */
						BgL_objectz00_bglt BgL_tmpz00_15257;

						BgL_tmpz00_15257 = ((BgL_objectz00_bglt) BgL_new1581z00_9702);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15257, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1581z00_9702);
					BgL_new1582z00_9701 = BgL_new1581z00_9702;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1582z00_9701)))->BgL_locz00) =
					((obj_t) BgL_loc1373z00_8097), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1582z00_9701)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1374z00_8098)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1582z00_9701))->
						BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1375z00_8099)), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1582z00_9701))->
						BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1376z00_8100)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1582z00_9701))->
						BgL_onexitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_onexit1377z00_8101)),
					BUNSPEC);
				return BgL_new1582z00_9701;
			}
		}

	}



/* &lambda2671 */
	obj_t BGl_z62lambda2671z62zzast_nodez00(obj_t BgL_envz00_8102,
		obj_t BgL_oz00_8103, obj_t BgL_vz00_8104)
	{
		{	/* Ast/node.scm 250 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8103)))->BgL_onexitz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8104)), BUNSPEC);
		}

	}



/* &lambda2670 */
	BgL_nodez00_bglt BGl_z62lambda2670z62zzast_nodez00(obj_t BgL_envz00_8105,
		obj_t BgL_oz00_8106)
	{
		{	/* Ast/node.scm 250 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8106)))->BgL_onexitz00);
		}

	}



/* &lambda2666 */
	obj_t BGl_z62lambda2666z62zzast_nodez00(obj_t BgL_envz00_8107,
		obj_t BgL_oz00_8108, obj_t BgL_vz00_8109)
	{
		{	/* Ast/node.scm 250 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8108)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8109)), BUNSPEC);
		}

	}



/* &lambda2665 */
	BgL_nodez00_bglt BGl_z62lambda2665z62zzast_nodez00(obj_t BgL_envz00_8110,
		obj_t BgL_oz00_8111)
	{
		{	/* Ast/node.scm 250 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8111)))->BgL_bodyz00);
		}

	}



/* &lambda2661 */
	obj_t BGl_z62lambda2661z62zzast_nodez00(obj_t BgL_envz00_8112,
		obj_t BgL_oz00_8113, obj_t BgL_vz00_8114)
	{
		{	/* Ast/node.scm 250 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8113)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8114)), BUNSPEC);
		}

	}



/* &lambda2660 */
	BgL_varz00_bglt BGl_z62lambda2660z62zzast_nodez00(obj_t BgL_envz00_8115,
		obj_t BgL_oz00_8116)
	{
		{	/* Ast/node.scm 250 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8116)))->BgL_varz00);
		}

	}



/* &<@anonymous:2625> */
	obj_t BGl_z62zc3z04anonymousza32625ze3ze5zzast_nodez00(obj_t BgL_envz00_8117,
		obj_t BgL_new1371z00_8118)
	{
		{	/* Ast/node.scm 241 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_15287;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1371z00_8118))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15291;

					{	/* Ast/node.scm 241 */
						obj_t BgL_classz00_9714;

						BgL_classz00_9714 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 241 */
							obj_t BgL__ortest_1113z00_9715;

							BgL__ortest_1113z00_9715 = BGL_CLASS_NIL(BgL_classz00_9714);
							if (CBOOL(BgL__ortest_1113z00_9715))
								{	/* Ast/node.scm 241 */
									BgL_auxz00_15291 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9715);
								}
							else
								{	/* Ast/node.scm 241 */
									BgL_auxz00_15291 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9714));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1371z00_8118))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15291), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1371z00_8118))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1371z00_8118))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
									BgL_new1371z00_8118)))->BgL_bindingsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_15309;

					{	/* Ast/node.scm 241 */
						obj_t BgL_classz00_9716;

						BgL_classz00_9716 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 241 */
							obj_t BgL__ortest_1113z00_9717;

							BgL__ortest_1113z00_9717 = BGL_CLASS_NIL(BgL_classz00_9716);
							if (CBOOL(BgL__ortest_1113z00_9717))
								{	/* Ast/node.scm 241 */
									BgL_auxz00_15309 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9717);
								}
							else
								{	/* Ast/node.scm 241 */
									BgL_auxz00_15309 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9716));
								}
						}
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_new1371z00_8118)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_15309), BUNSPEC);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_new1371z00_8118)))->
						BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_15287 = ((BgL_letzd2varzd2_bglt) BgL_new1371z00_8118);
				return ((obj_t) BgL_auxz00_15287);
			}
		}

	}



/* &lambda2622 */
	BgL_letzd2varzd2_bglt BGl_z62lambda2622z62zzast_nodez00(obj_t BgL_envz00_8119)
	{
		{	/* Ast/node.scm 241 */
			{	/* Ast/node.scm 241 */
				BgL_letzd2varzd2_bglt BgL_new1370z00_9718;

				BgL_new1370z00_9718 =
					((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2varzd2_bgl))));
				{	/* Ast/node.scm 241 */
					long BgL_arg2624z00_9719;

					BgL_arg2624z00_9719 = BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1370z00_9718), BgL_arg2624z00_9719);
				}
				{	/* Ast/node.scm 241 */
					BgL_objectz00_bglt BgL_tmpz00_15326;

					BgL_tmpz00_15326 = ((BgL_objectz00_bglt) BgL_new1370z00_9718);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15326, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1370z00_9718);
				return BgL_new1370z00_9718;
			}
		}

	}



/* &lambda2620 */
	BgL_letzd2varzd2_bglt BGl_z62lambda2620z62zzast_nodez00(obj_t BgL_envz00_8120,
		obj_t BgL_loc1363z00_8121, obj_t BgL_type1364z00_8122,
		obj_t BgL_sidezd2effect1365zd2_8123, obj_t BgL_key1366z00_8124,
		obj_t BgL_bindings1367z00_8125, obj_t BgL_body1368z00_8126,
		obj_t BgL_removablezf31369zf3_8127)
	{
		{	/* Ast/node.scm 241 */
			{	/* Ast/node.scm 241 */
				bool_t BgL_removablezf31369zf3_9722;

				BgL_removablezf31369zf3_9722 = CBOOL(BgL_removablezf31369zf3_8127);
				{	/* Ast/node.scm 241 */
					BgL_letzd2varzd2_bglt BgL_new1580z00_9723;

					{	/* Ast/node.scm 241 */
						BgL_letzd2varzd2_bglt BgL_new1579z00_9724;

						BgL_new1579z00_9724 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/node.scm 241 */
							long BgL_arg2621z00_9725;

							BgL_arg2621z00_9725 =
								BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1579z00_9724),
								BgL_arg2621z00_9725);
						}
						{	/* Ast/node.scm 241 */
							BgL_objectz00_bglt BgL_tmpz00_15335;

							BgL_tmpz00_15335 = ((BgL_objectz00_bglt) BgL_new1579z00_9724);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15335, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1579z00_9724);
						BgL_new1580z00_9723 = BgL_new1579z00_9724;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1580z00_9723)))->BgL_locz00) =
						((obj_t) BgL_loc1363z00_8121), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1580z00_9723)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1364z00_8122)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1580z00_9723)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1365zd2_8123), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1580z00_9723)))->BgL_keyz00) =
						((obj_t) BgL_key1366z00_8124), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1580z00_9723))->
							BgL_bindingsz00) = ((obj_t) BgL_bindings1367z00_8125), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1580z00_9723))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1368z00_8126)),
						BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1580z00_9723))->
							BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31369zf3_9722), BUNSPEC);
					return BgL_new1580z00_9723;
				}
			}
		}

	}



/* &<@anonymous:2645> */
	obj_t BGl_z62zc3z04anonymousza32645ze3ze5zzast_nodez00(obj_t BgL_envz00_8128)
	{
		{	/* Ast/node.scm 241 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda2644 */
	obj_t BGl_z62lambda2644z62zzast_nodez00(obj_t BgL_envz00_8129,
		obj_t BgL_oz00_8130, obj_t BgL_vz00_8131)
	{
		{	/* Ast/node.scm 241 */
			{	/* Ast/node.scm 241 */
				bool_t BgL_vz00_9727;

				BgL_vz00_9727 = CBOOL(BgL_vz00_8131);
				return
					((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_oz00_8130)))->
						BgL_removablezf3zf3) = ((bool_t) BgL_vz00_9727), BUNSPEC);
			}
		}

	}



/* &lambda2643 */
	obj_t BGl_z62lambda2643z62zzast_nodez00(obj_t BgL_envz00_8132,
		obj_t BgL_oz00_8133)
	{
		{	/* Ast/node.scm 241 */
			return
				BBOOL(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_oz00_8133)))->BgL_removablezf3zf3));
		}

	}



/* &lambda2636 */
	obj_t BGl_z62lambda2636z62zzast_nodez00(obj_t BgL_envz00_8134,
		obj_t BgL_oz00_8135, obj_t BgL_vz00_8136)
	{
		{	/* Ast/node.scm 241 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_oz00_8135)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8136)), BUNSPEC);
		}

	}



/* &lambda2635 */
	BgL_nodez00_bglt BGl_z62lambda2635z62zzast_nodez00(obj_t BgL_envz00_8137,
		obj_t BgL_oz00_8138)
	{
		{	/* Ast/node.scm 241 */
			return
				(((BgL_letzd2varzd2_bglt) COBJECT(
						((BgL_letzd2varzd2_bglt) BgL_oz00_8138)))->BgL_bodyz00);
		}

	}



/* &lambda2631 */
	obj_t BGl_z62lambda2631z62zzast_nodez00(obj_t BgL_envz00_8139,
		obj_t BgL_oz00_8140, obj_t BgL_vz00_8141)
	{
		{	/* Ast/node.scm 241 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_oz00_8140)))->BgL_bindingsz00) =
				((obj_t) BgL_vz00_8141), BUNSPEC);
		}

	}



/* &lambda2630 */
	obj_t BGl_z62lambda2630z62zzast_nodez00(obj_t BgL_envz00_8142,
		obj_t BgL_oz00_8143)
	{
		{	/* Ast/node.scm 241 */
			return
				(((BgL_letzd2varzd2_bglt) COBJECT(
						((BgL_letzd2varzd2_bglt) BgL_oz00_8143)))->BgL_bindingsz00);
		}

	}



/* &<@anonymous:2602> */
	obj_t BGl_z62zc3z04anonymousza32602ze3ze5zzast_nodez00(obj_t BgL_envz00_8144,
		obj_t BgL_new1361z00_8145)
	{
		{	/* Ast/node.scm 234 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_15368;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1361z00_8145))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15372;

					{	/* Ast/node.scm 234 */
						obj_t BgL_classz00_9735;

						BgL_classz00_9735 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 234 */
							obj_t BgL__ortest_1113z00_9736;

							BgL__ortest_1113z00_9736 = BGL_CLASS_NIL(BgL_classz00_9735);
							if (CBOOL(BgL__ortest_1113z00_9736))
								{	/* Ast/node.scm 234 */
									BgL_auxz00_15372 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9736);
								}
							else
								{	/* Ast/node.scm 234 */
									BgL_auxz00_15372 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9735));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1361z00_8145))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15372), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1361z00_8145))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1361z00_8145))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
									BgL_new1361z00_8145)))->BgL_localsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_15390;

					{	/* Ast/node.scm 234 */
						obj_t BgL_classz00_9737;

						BgL_classz00_9737 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 234 */
							obj_t BgL__ortest_1113z00_9738;

							BgL__ortest_1113z00_9738 = BGL_CLASS_NIL(BgL_classz00_9737);
							if (CBOOL(BgL__ortest_1113z00_9738))
								{	/* Ast/node.scm 234 */
									BgL_auxz00_15390 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9738);
								}
							else
								{	/* Ast/node.scm 234 */
									BgL_auxz00_15390 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9737));
								}
						}
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_new1361z00_8145)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_15390), BUNSPEC);
				}
				BgL_auxz00_15368 = ((BgL_letzd2funzd2_bglt) BgL_new1361z00_8145);
				return ((obj_t) BgL_auxz00_15368);
			}
		}

	}



/* &lambda2600 */
	BgL_letzd2funzd2_bglt BGl_z62lambda2600z62zzast_nodez00(obj_t BgL_envz00_8146)
	{
		{	/* Ast/node.scm 234 */
			{	/* Ast/node.scm 234 */
				BgL_letzd2funzd2_bglt BgL_new1360z00_9739;

				BgL_new1360z00_9739 =
					((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2funzd2_bgl))));
				{	/* Ast/node.scm 234 */
					long BgL_arg2601z00_9740;

					BgL_arg2601z00_9740 = BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1360z00_9739), BgL_arg2601z00_9740);
				}
				{	/* Ast/node.scm 234 */
					BgL_objectz00_bglt BgL_tmpz00_15405;

					BgL_tmpz00_15405 = ((BgL_objectz00_bglt) BgL_new1360z00_9739);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15405, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1360z00_9739);
				return BgL_new1360z00_9739;
			}
		}

	}



/* &lambda2598 */
	BgL_letzd2funzd2_bglt BGl_z62lambda2598z62zzast_nodez00(obj_t BgL_envz00_8147,
		obj_t BgL_loc1354z00_8148, obj_t BgL_type1355z00_8149,
		obj_t BgL_sidezd2effect1356zd2_8150, obj_t BgL_key1357z00_8151,
		obj_t BgL_locals1358z00_8152, obj_t BgL_body1359z00_8153)
	{
		{	/* Ast/node.scm 234 */
			{	/* Ast/node.scm 234 */
				BgL_letzd2funzd2_bglt BgL_new1578z00_9743;

				{	/* Ast/node.scm 234 */
					BgL_letzd2funzd2_bglt BgL_new1577z00_9744;

					BgL_new1577z00_9744 =
						((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/node.scm 234 */
						long BgL_arg2599z00_9745;

						BgL_arg2599z00_9745 = BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1577z00_9744), BgL_arg2599z00_9745);
					}
					{	/* Ast/node.scm 234 */
						BgL_objectz00_bglt BgL_tmpz00_15413;

						BgL_tmpz00_15413 = ((BgL_objectz00_bglt) BgL_new1577z00_9744);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15413, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1577z00_9744);
					BgL_new1578z00_9743 = BgL_new1577z00_9744;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1578z00_9743)))->BgL_locz00) =
					((obj_t) BgL_loc1354z00_8148), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1578z00_9743)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1355z00_8149)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1578z00_9743)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1356zd2_8150), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1578z00_9743)))->BgL_keyz00) =
					((obj_t) BgL_key1357z00_8151), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1578z00_9743))->
						BgL_localsz00) = ((obj_t) BgL_locals1358z00_8152), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1578z00_9743))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1359z00_8153)),
					BUNSPEC);
				return BgL_new1578z00_9743;
			}
		}

	}



/* &lambda2613 */
	obj_t BGl_z62lambda2613z62zzast_nodez00(obj_t BgL_envz00_8154,
		obj_t BgL_oz00_8155, obj_t BgL_vz00_8156)
	{
		{	/* Ast/node.scm 234 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_oz00_8155)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8156)), BUNSPEC);
		}

	}



/* &lambda2612 */
	BgL_nodez00_bglt BGl_z62lambda2612z62zzast_nodez00(obj_t BgL_envz00_8157,
		obj_t BgL_oz00_8158)
	{
		{	/* Ast/node.scm 234 */
			return
				(((BgL_letzd2funzd2_bglt) COBJECT(
						((BgL_letzd2funzd2_bglt) BgL_oz00_8158)))->BgL_bodyz00);
		}

	}



/* &lambda2608 */
	obj_t BGl_z62lambda2608z62zzast_nodez00(obj_t BgL_envz00_8159,
		obj_t BgL_oz00_8160, obj_t BgL_vz00_8161)
	{
		{	/* Ast/node.scm 234 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_oz00_8160)))->BgL_localsz00) =
				((obj_t) BgL_vz00_8161), BUNSPEC);
		}

	}



/* &lambda2607 */
	obj_t BGl_z62lambda2607z62zzast_nodez00(obj_t BgL_envz00_8162,
		obj_t BgL_oz00_8163)
	{
		{	/* Ast/node.scm 234 */
			return
				(((BgL_letzd2funzd2_bglt) COBJECT(
						((BgL_letzd2funzd2_bglt) BgL_oz00_8163)))->BgL_localsz00);
		}

	}



/* &<@anonymous:2573> */
	obj_t BGl_z62zc3z04anonymousza32573ze3ze5zzast_nodez00(obj_t BgL_envz00_8164,
		obj_t BgL_new1352z00_8165)
	{
		{	/* Ast/node.scm 225 */
			{
				BgL_switchz00_bglt BgL_auxz00_15438;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_switchz00_bglt) BgL_new1352z00_8165))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15442;

					{	/* Ast/node.scm 225 */
						obj_t BgL_classz00_9752;

						BgL_classz00_9752 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 225 */
							obj_t BgL__ortest_1113z00_9753;

							BgL__ortest_1113z00_9753 = BGL_CLASS_NIL(BgL_classz00_9752);
							if (CBOOL(BgL__ortest_1113z00_9753))
								{	/* Ast/node.scm 225 */
									BgL_auxz00_15442 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9753);
								}
							else
								{	/* Ast/node.scm 225 */
									BgL_auxz00_15442 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9752));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_switchz00_bglt) BgL_new1352z00_8165))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15442), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_switchz00_bglt) BgL_new1352z00_8165))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_switchz00_bglt)
										BgL_new1352z00_8165))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_15458;

					{	/* Ast/node.scm 225 */
						obj_t BgL_classz00_9754;

						BgL_classz00_9754 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 225 */
							obj_t BgL__ortest_1113z00_9755;

							BgL__ortest_1113z00_9755 = BGL_CLASS_NIL(BgL_classz00_9754);
							if (CBOOL(BgL__ortest_1113z00_9755))
								{	/* Ast/node.scm 225 */
									BgL_auxz00_15458 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9755);
								}
							else
								{	/* Ast/node.scm 225 */
									BgL_auxz00_15458 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9754));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_new1352z00_8165)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15458), BUNSPEC);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_new1352z00_8165)))->BgL_clausesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15469;

					{	/* Ast/node.scm 225 */
						obj_t BgL_classz00_9756;

						BgL_classz00_9756 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 225 */
							obj_t BgL__ortest_1113z00_9757;

							BgL__ortest_1113z00_9757 = BGL_CLASS_NIL(BgL_classz00_9756);
							if (CBOOL(BgL__ortest_1113z00_9757))
								{	/* Ast/node.scm 225 */
									BgL_auxz00_15469 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9757);
								}
							else
								{	/* Ast/node.scm 225 */
									BgL_auxz00_15469 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9756));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_new1352z00_8165)))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_15469), BUNSPEC);
				}
				BgL_auxz00_15438 = ((BgL_switchz00_bglt) BgL_new1352z00_8165);
				return ((obj_t) BgL_auxz00_15438);
			}
		}

	}



/* &lambda2571 */
	BgL_switchz00_bglt BGl_z62lambda2571z62zzast_nodez00(obj_t BgL_envz00_8166)
	{
		{	/* Ast/node.scm 225 */
			{	/* Ast/node.scm 225 */
				BgL_switchz00_bglt BgL_new1351z00_9758;

				BgL_new1351z00_9758 =
					((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_switchz00_bgl))));
				{	/* Ast/node.scm 225 */
					long BgL_arg2572z00_9759;

					BgL_arg2572z00_9759 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1351z00_9758), BgL_arg2572z00_9759);
				}
				{	/* Ast/node.scm 225 */
					BgL_objectz00_bglt BgL_tmpz00_15484;

					BgL_tmpz00_15484 = ((BgL_objectz00_bglt) BgL_new1351z00_9758);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15484, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1351z00_9758);
				return BgL_new1351z00_9758;
			}
		}

	}



/* &lambda2569 */
	BgL_switchz00_bglt BGl_z62lambda2569z62zzast_nodez00(obj_t BgL_envz00_8167,
		obj_t BgL_loc1343z00_8168, obj_t BgL_type1344z00_8169,
		obj_t BgL_sidezd2effect1345zd2_8170, obj_t BgL_key1346z00_8171,
		obj_t BgL_test1348z00_8172, obj_t BgL_clauses1349z00_8173,
		obj_t BgL_itemzd2type1350zd2_8174)
	{
		{	/* Ast/node.scm 225 */
			{	/* Ast/node.scm 225 */
				BgL_switchz00_bglt BgL_new1576z00_9763;

				{	/* Ast/node.scm 225 */
					BgL_switchz00_bglt BgL_new1575z00_9764;

					BgL_new1575z00_9764 =
						((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchz00_bgl))));
					{	/* Ast/node.scm 225 */
						long BgL_arg2570z00_9765;

						BgL_arg2570z00_9765 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1575z00_9764), BgL_arg2570z00_9765);
					}
					{	/* Ast/node.scm 225 */
						BgL_objectz00_bglt BgL_tmpz00_15492;

						BgL_tmpz00_15492 = ((BgL_objectz00_bglt) BgL_new1575z00_9764);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15492, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1575z00_9764);
					BgL_new1576z00_9763 = BgL_new1575z00_9764;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1576z00_9763)))->BgL_locz00) =
					((obj_t) BgL_loc1343z00_8168), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1576z00_9763)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1344z00_8169)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1576z00_9763)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1345zd2_8170), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1576z00_9763)))->BgL_keyz00) =
					((obj_t) BgL_key1346z00_8171), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1576z00_9763))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1348z00_8172)),
					BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1576z00_9763))->BgL_clausesz00) =
					((obj_t) BgL_clauses1349z00_8173), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1576z00_9763))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_itemzd2type1350zd2_8174)),
					BUNSPEC);
				return BgL_new1576z00_9763;
			}
		}

	}



/* &lambda2591 */
	obj_t BGl_z62lambda2591z62zzast_nodez00(obj_t BgL_envz00_8175,
		obj_t BgL_oz00_8176, obj_t BgL_vz00_8177)
	{
		{	/* Ast/node.scm 225 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_8176)))->BgL_itemzd2typezd2) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8177)), BUNSPEC);
		}

	}



/* &lambda2590 */
	BgL_typez00_bglt BGl_z62lambda2590z62zzast_nodez00(obj_t BgL_envz00_8178,
		obj_t BgL_oz00_8179)
	{
		{	/* Ast/node.scm 225 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_8179)))->BgL_itemzd2typezd2);
		}

	}



/* &lambda2585 */
	obj_t BGl_z62lambda2585z62zzast_nodez00(obj_t BgL_envz00_8180,
		obj_t BgL_oz00_8181, obj_t BgL_vz00_8182)
	{
		{	/* Ast/node.scm 225 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_8181)))->BgL_clausesz00) =
				((obj_t) BgL_vz00_8182), BUNSPEC);
		}

	}



/* &lambda2584 */
	obj_t BGl_z62lambda2584z62zzast_nodez00(obj_t BgL_envz00_8183,
		obj_t BgL_oz00_8184)
	{
		{	/* Ast/node.scm 225 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_8184)))->BgL_clausesz00);
		}

	}



/* &lambda2580 */
	obj_t BGl_z62lambda2580z62zzast_nodez00(obj_t BgL_envz00_8185,
		obj_t BgL_oz00_8186, obj_t BgL_vz00_8187)
	{
		{	/* Ast/node.scm 225 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_8186)))->BgL_testz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8187)), BUNSPEC);
		}

	}



/* &lambda2579 */
	BgL_nodez00_bglt BGl_z62lambda2579z62zzast_nodez00(obj_t BgL_envz00_8188,
		obj_t BgL_oz00_8189)
	{
		{	/* Ast/node.scm 225 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_8189)))->BgL_testz00);
		}

	}



/* &<@anonymous:2539> */
	obj_t BGl_z62zc3z04anonymousza32539ze3ze5zzast_nodez00(obj_t BgL_envz00_8190,
		obj_t BgL_new1341z00_8191)
	{
		{	/* Ast/node.scm 218 */
			{
				BgL_failz00_bglt BgL_auxz00_15524;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_failz00_bglt) BgL_new1341z00_8191))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15528;

					{	/* Ast/node.scm 218 */
						obj_t BgL_classz00_9775;

						BgL_classz00_9775 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 218 */
							obj_t BgL__ortest_1113z00_9776;

							BgL__ortest_1113z00_9776 = BGL_CLASS_NIL(BgL_classz00_9775);
							if (CBOOL(BgL__ortest_1113z00_9776))
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15528 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9776);
								}
							else
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15528 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9775));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_failz00_bglt) BgL_new1341z00_8191))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15528), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15538;

					{	/* Ast/node.scm 218 */
						obj_t BgL_classz00_9777;

						BgL_classz00_9777 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 218 */
							obj_t BgL__ortest_1113z00_9778;

							BgL__ortest_1113z00_9778 = BGL_CLASS_NIL(BgL_classz00_9777);
							if (CBOOL(BgL__ortest_1113z00_9778))
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15538 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9778);
								}
							else
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15538 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9777));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_new1341z00_8191)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15538), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15547;

					{	/* Ast/node.scm 218 */
						obj_t BgL_classz00_9779;

						BgL_classz00_9779 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 218 */
							obj_t BgL__ortest_1113z00_9780;

							BgL__ortest_1113z00_9780 = BGL_CLASS_NIL(BgL_classz00_9779);
							if (CBOOL(BgL__ortest_1113z00_9780))
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15547 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9780);
								}
							else
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15547 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9779));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_new1341z00_8191)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15547), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15556;

					{	/* Ast/node.scm 218 */
						obj_t BgL_classz00_9781;

						BgL_classz00_9781 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 218 */
							obj_t BgL__ortest_1113z00_9782;

							BgL__ortest_1113z00_9782 = BGL_CLASS_NIL(BgL_classz00_9781);
							if (CBOOL(BgL__ortest_1113z00_9782))
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15556 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9782);
								}
							else
								{	/* Ast/node.scm 218 */
									BgL_auxz00_15556 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9781));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_new1341z00_8191)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15556), BUNSPEC);
				}
				BgL_auxz00_15524 = ((BgL_failz00_bglt) BgL_new1341z00_8191);
				return ((obj_t) BgL_auxz00_15524);
			}
		}

	}



/* &lambda2537 */
	BgL_failz00_bglt BGl_z62lambda2537z62zzast_nodez00(obj_t BgL_envz00_8192)
	{
		{	/* Ast/node.scm 218 */
			{	/* Ast/node.scm 218 */
				BgL_failz00_bglt BgL_new1340z00_9783;

				BgL_new1340z00_9783 =
					((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_failz00_bgl))));
				{	/* Ast/node.scm 218 */
					long BgL_arg2538z00_9784;

					BgL_arg2538z00_9784 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1340z00_9783), BgL_arg2538z00_9784);
				}
				{	/* Ast/node.scm 218 */
					BgL_objectz00_bglt BgL_tmpz00_15571;

					BgL_tmpz00_15571 = ((BgL_objectz00_bglt) BgL_new1340z00_9783);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15571, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1340z00_9783);
				return BgL_new1340z00_9783;
			}
		}

	}



/* &lambda2535 */
	BgL_failz00_bglt BGl_z62lambda2535z62zzast_nodez00(obj_t BgL_envz00_8193,
		obj_t BgL_loc1335z00_8194, obj_t BgL_type1336z00_8195,
		obj_t BgL_proc1337z00_8196, obj_t BgL_msg1338z00_8197,
		obj_t BgL_obj1339z00_8198)
	{
		{	/* Ast/node.scm 218 */
			{	/* Ast/node.scm 218 */
				BgL_failz00_bglt BgL_new1574z00_9789;

				{	/* Ast/node.scm 218 */
					BgL_failz00_bglt BgL_new1573z00_9790;

					BgL_new1573z00_9790 =
						((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/node.scm 218 */
						long BgL_arg2536z00_9791;

						BgL_arg2536z00_9791 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1573z00_9790), BgL_arg2536z00_9791);
					}
					{	/* Ast/node.scm 218 */
						BgL_objectz00_bglt BgL_tmpz00_15579;

						BgL_tmpz00_15579 = ((BgL_objectz00_bglt) BgL_new1573z00_9790);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15579, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1573z00_9790);
					BgL_new1574z00_9789 = BgL_new1573z00_9790;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1574z00_9789)))->BgL_locz00) =
					((obj_t) BgL_loc1335z00_8194), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1574z00_9789)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1336z00_8195)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1574z00_9789))->BgL_procz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_proc1337z00_8196)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1574z00_9789))->BgL_msgz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_msg1338z00_8197)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1574z00_9789))->BgL_objz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_obj1339z00_8198)),
					BUNSPEC);
				return BgL_new1574z00_9789;
			}
		}

	}



/* &lambda2562 */
	obj_t BGl_z62lambda2562z62zzast_nodez00(obj_t BgL_envz00_8199,
		obj_t BgL_oz00_8200, obj_t BgL_vz00_8201)
	{
		{	/* Ast/node.scm 218 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_8200)))->BgL_objz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8201)), BUNSPEC);
		}

	}



/* &lambda2561 */
	BgL_nodez00_bglt BGl_z62lambda2561z62zzast_nodez00(obj_t BgL_envz00_8202,
		obj_t BgL_oz00_8203)
	{
		{	/* Ast/node.scm 218 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_8203)))->BgL_objz00);
		}

	}



/* &lambda2557 */
	obj_t BGl_z62lambda2557z62zzast_nodez00(obj_t BgL_envz00_8204,
		obj_t BgL_oz00_8205, obj_t BgL_vz00_8206)
	{
		{	/* Ast/node.scm 218 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_8205)))->BgL_msgz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8206)), BUNSPEC);
		}

	}



/* &lambda2556 */
	BgL_nodez00_bglt BGl_z62lambda2556z62zzast_nodez00(obj_t BgL_envz00_8207,
		obj_t BgL_oz00_8208)
	{
		{	/* Ast/node.scm 218 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_8208)))->BgL_msgz00);
		}

	}



/* &lambda2549 */
	obj_t BGl_z62lambda2549z62zzast_nodez00(obj_t BgL_envz00_8209,
		obj_t BgL_oz00_8210, obj_t BgL_vz00_8211)
	{
		{	/* Ast/node.scm 218 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_8210)))->BgL_procz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8211)), BUNSPEC);
		}

	}



/* &lambda2548 */
	BgL_nodez00_bglt BGl_z62lambda2548z62zzast_nodez00(obj_t BgL_envz00_8212,
		obj_t BgL_oz00_8213)
	{
		{	/* Ast/node.scm 218 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_8213)))->BgL_procz00);
		}

	}



/* &<@anonymous:2503> */
	obj_t BGl_z62zc3z04anonymousza32503ze3ze5zzast_nodez00(obj_t BgL_envz00_8214,
		obj_t BgL_new1333z00_8215)
	{
		{	/* Ast/node.scm 209 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_15609;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_conditionalz00_bglt) BgL_new1333z00_8215))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15613;

					{	/* Ast/node.scm 209 */
						obj_t BgL_classz00_9802;

						BgL_classz00_9802 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 209 */
							obj_t BgL__ortest_1113z00_9803;

							BgL__ortest_1113z00_9803 = BGL_CLASS_NIL(BgL_classz00_9802);
							if (CBOOL(BgL__ortest_1113z00_9803))
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15613 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9803);
								}
							else
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15613 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9802));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1333z00_8215))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15613), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_conditionalz00_bglt) BgL_new1333z00_8215))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_conditionalz00_bglt)
										BgL_new1333z00_8215))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_15629;

					{	/* Ast/node.scm 209 */
						obj_t BgL_classz00_9804;

						BgL_classz00_9804 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 209 */
							obj_t BgL__ortest_1113z00_9805;

							BgL__ortest_1113z00_9805 = BGL_CLASS_NIL(BgL_classz00_9804);
							if (CBOOL(BgL__ortest_1113z00_9805))
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15629 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9805);
								}
							else
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15629 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9804));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_new1333z00_8215)))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_15629), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15638;

					{	/* Ast/node.scm 209 */
						obj_t BgL_classz00_9806;

						BgL_classz00_9806 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 209 */
							obj_t BgL__ortest_1113z00_9807;

							BgL__ortest_1113z00_9807 = BGL_CLASS_NIL(BgL_classz00_9806);
							if (CBOOL(BgL__ortest_1113z00_9807))
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15638 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9807);
								}
							else
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15638 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9806));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_new1333z00_8215)))->
							BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_15638), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15647;

					{	/* Ast/node.scm 209 */
						obj_t BgL_classz00_9808;

						BgL_classz00_9808 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 209 */
							obj_t BgL__ortest_1113z00_9809;

							BgL__ortest_1113z00_9809 = BGL_CLASS_NIL(BgL_classz00_9808);
							if (CBOOL(BgL__ortest_1113z00_9809))
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15647 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9809);
								}
							else
								{	/* Ast/node.scm 209 */
									BgL_auxz00_15647 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9808));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_new1333z00_8215)))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_15647), BUNSPEC);
				}
				BgL_auxz00_15609 = ((BgL_conditionalz00_bglt) BgL_new1333z00_8215);
				return ((obj_t) BgL_auxz00_15609);
			}
		}

	}



/* &lambda2500 */
	BgL_conditionalz00_bglt BGl_z62lambda2500z62zzast_nodez00(obj_t
		BgL_envz00_8216)
	{
		{	/* Ast/node.scm 209 */
			{	/* Ast/node.scm 209 */
				BgL_conditionalz00_bglt BgL_new1332z00_9810;

				BgL_new1332z00_9810 =
					((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_conditionalz00_bgl))));
				{	/* Ast/node.scm 209 */
					long BgL_arg2502z00_9811;

					BgL_arg2502z00_9811 = BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1332z00_9810), BgL_arg2502z00_9811);
				}
				{	/* Ast/node.scm 209 */
					BgL_objectz00_bglt BgL_tmpz00_15662;

					BgL_tmpz00_15662 = ((BgL_objectz00_bglt) BgL_new1332z00_9810);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15662, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1332z00_9810);
				return BgL_new1332z00_9810;
			}
		}

	}



/* &lambda2497 */
	BgL_conditionalz00_bglt BGl_z62lambda2497z62zzast_nodez00(obj_t
		BgL_envz00_8217, obj_t BgL_loc1325z00_8218, obj_t BgL_type1326z00_8219,
		obj_t BgL_sidezd2effect1327zd2_8220, obj_t BgL_key1328z00_8221,
		obj_t BgL_test1329z00_8222, obj_t BgL_true1330z00_8223,
		obj_t BgL_false1331z00_8224)
	{
		{	/* Ast/node.scm 209 */
			{	/* Ast/node.scm 209 */
				BgL_conditionalz00_bglt BgL_new1572z00_9816;

				{	/* Ast/node.scm 209 */
					BgL_conditionalz00_bglt BgL_new1571z00_9817;

					BgL_new1571z00_9817 =
						((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/node.scm 209 */
						long BgL_arg2499z00_9818;

						BgL_arg2499z00_9818 =
							BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1571z00_9817), BgL_arg2499z00_9818);
					}
					{	/* Ast/node.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_15670;

						BgL_tmpz00_15670 = ((BgL_objectz00_bglt) BgL_new1571z00_9817);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15670, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1571z00_9817);
					BgL_new1572z00_9816 = BgL_new1571z00_9817;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1572z00_9816)))->BgL_locz00) =
					((obj_t) BgL_loc1325z00_8218), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1572z00_9816)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1326z00_8219)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1572z00_9816)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1327zd2_8220), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1572z00_9816)))->BgL_keyz00) =
					((obj_t) BgL_key1328z00_8221), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1572z00_9816))->
						BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1329z00_8222)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1572z00_9816))->
						BgL_truez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_true1330z00_8223)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1572z00_9816))->
						BgL_falsez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_false1331z00_8224)),
					BUNSPEC);
				return BgL_new1572z00_9816;
			}
		}

	}



/* &lambda2525 */
	obj_t BGl_z62lambda2525z62zzast_nodez00(obj_t BgL_envz00_8225,
		obj_t BgL_oz00_8226, obj_t BgL_vz00_8227)
	{
		{	/* Ast/node.scm 209 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_8226)))->BgL_falsez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8227)), BUNSPEC);
		}

	}



/* &lambda2524 */
	BgL_nodez00_bglt BGl_z62lambda2524z62zzast_nodez00(obj_t BgL_envz00_8228,
		obj_t BgL_oz00_8229)
	{
		{	/* Ast/node.scm 209 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_8229)))->BgL_falsez00);
		}

	}



/* &lambda2519 */
	obj_t BGl_z62lambda2519z62zzast_nodez00(obj_t BgL_envz00_8230,
		obj_t BgL_oz00_8231, obj_t BgL_vz00_8232)
	{
		{	/* Ast/node.scm 209 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_8231)))->BgL_truez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8232)), BUNSPEC);
		}

	}



/* &lambda2518 */
	BgL_nodez00_bglt BGl_z62lambda2518z62zzast_nodez00(obj_t BgL_envz00_8233,
		obj_t BgL_oz00_8234)
	{
		{	/* Ast/node.scm 209 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_8234)))->BgL_truez00);
		}

	}



/* &lambda2514 */
	obj_t BGl_z62lambda2514z62zzast_nodez00(obj_t BgL_envz00_8235,
		obj_t BgL_oz00_8236, obj_t BgL_vz00_8237)
	{
		{	/* Ast/node.scm 209 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_8236)))->BgL_testz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8237)), BUNSPEC);
		}

	}



/* &lambda2513 */
	BgL_nodez00_bglt BGl_z62lambda2513z62zzast_nodez00(obj_t BgL_envz00_8238,
		obj_t BgL_oz00_8239)
	{
		{	/* Ast/node.scm 209 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_8239)))->BgL_testz00);
		}

	}



/* &<@anonymous:2477> */
	obj_t BGl_z62zc3z04anonymousza32477ze3ze5zzast_nodez00(obj_t BgL_envz00_8240,
		obj_t BgL_new1323z00_8241)
	{
		{	/* Ast/node.scm 202 */
			{
				BgL_setqz00_bglt BgL_auxz00_15704;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setqz00_bglt) BgL_new1323z00_8241))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15708;

					{	/* Ast/node.scm 202 */
						obj_t BgL_classz00_9829;

						BgL_classz00_9829 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 202 */
							obj_t BgL__ortest_1113z00_9830;

							BgL__ortest_1113z00_9830 = BGL_CLASS_NIL(BgL_classz00_9829);
							if (CBOOL(BgL__ortest_1113z00_9830))
								{	/* Ast/node.scm 202 */
									BgL_auxz00_15708 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9830);
								}
							else
								{	/* Ast/node.scm 202 */
									BgL_auxz00_15708 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9829));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setqz00_bglt) BgL_new1323z00_8241))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15708), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_15718;

					{	/* Ast/node.scm 202 */
						obj_t BgL_classz00_9831;

						BgL_classz00_9831 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 202 */
							obj_t BgL__ortest_1113z00_9832;

							BgL__ortest_1113z00_9832 = BGL_CLASS_NIL(BgL_classz00_9831);
							if (CBOOL(BgL__ortest_1113z00_9832))
								{	/* Ast/node.scm 202 */
									BgL_auxz00_15718 =
										((BgL_varz00_bglt) BgL__ortest_1113z00_9832);
								}
							else
								{	/* Ast/node.scm 202 */
									BgL_auxz00_15718 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9831));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_new1323z00_8241)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_15718), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15727;

					{	/* Ast/node.scm 202 */
						obj_t BgL_classz00_9833;

						BgL_classz00_9833 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 202 */
							obj_t BgL__ortest_1113z00_9834;

							BgL__ortest_1113z00_9834 = BGL_CLASS_NIL(BgL_classz00_9833);
							if (CBOOL(BgL__ortest_1113z00_9834))
								{	/* Ast/node.scm 202 */
									BgL_auxz00_15727 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9834);
								}
							else
								{	/* Ast/node.scm 202 */
									BgL_auxz00_15727 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9833));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_new1323z00_8241)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_15727), BUNSPEC);
				}
				BgL_auxz00_15704 = ((BgL_setqz00_bglt) BgL_new1323z00_8241);
				return ((obj_t) BgL_auxz00_15704);
			}
		}

	}



/* &lambda2474 */
	BgL_setqz00_bglt BGl_z62lambda2474z62zzast_nodez00(obj_t BgL_envz00_8242)
	{
		{	/* Ast/node.scm 202 */
			{	/* Ast/node.scm 202 */
				BgL_setqz00_bglt BgL_new1322z00_9835;

				BgL_new1322z00_9835 =
					((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setqz00_bgl))));
				{	/* Ast/node.scm 202 */
					long BgL_arg2476z00_9836;

					BgL_arg2476z00_9836 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1322z00_9835), BgL_arg2476z00_9836);
				}
				{	/* Ast/node.scm 202 */
					BgL_objectz00_bglt BgL_tmpz00_15742;

					BgL_tmpz00_15742 = ((BgL_objectz00_bglt) BgL_new1322z00_9835);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15742, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1322z00_9835);
				return BgL_new1322z00_9835;
			}
		}

	}



/* &lambda2471 */
	BgL_setqz00_bglt BGl_z62lambda2471z62zzast_nodez00(obj_t BgL_envz00_8243,
		obj_t BgL_loc1318z00_8244, obj_t BgL_type1319z00_8245,
		obj_t BgL_var1320z00_8246, obj_t BgL_value1321z00_8247)
	{
		{	/* Ast/node.scm 202 */
			{	/* Ast/node.scm 202 */
				BgL_setqz00_bglt BgL_new1570z00_9840;

				{	/* Ast/node.scm 202 */
					BgL_setqz00_bglt BgL_new1569z00_9841;

					BgL_new1569z00_9841 =
						((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/node.scm 202 */
						long BgL_arg2473z00_9842;

						BgL_arg2473z00_9842 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1569z00_9841), BgL_arg2473z00_9842);
					}
					{	/* Ast/node.scm 202 */
						BgL_objectz00_bglt BgL_tmpz00_15750;

						BgL_tmpz00_15750 = ((BgL_objectz00_bglt) BgL_new1569z00_9841);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15750, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1569z00_9841);
					BgL_new1570z00_9840 = BgL_new1569z00_9841;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1570z00_9840)))->BgL_locz00) =
					((obj_t) BgL_loc1318z00_8244), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1570z00_9840)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1319z00_8245)),
					BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1570z00_9840))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1320z00_8246)), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1570z00_9840))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1321z00_8247)),
					BUNSPEC);
				return BgL_new1570z00_9840;
			}
		}

	}



/* &lambda2489 */
	obj_t BGl_z62lambda2489z62zzast_nodez00(obj_t BgL_envz00_8248,
		obj_t BgL_oz00_8249, obj_t BgL_vz00_8250)
	{
		{	/* Ast/node.scm 202 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_8249)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8250)), BUNSPEC);
		}

	}



/* &lambda2488 */
	BgL_nodez00_bglt BGl_z62lambda2488z62zzast_nodez00(obj_t BgL_envz00_8251,
		obj_t BgL_oz00_8252)
	{
		{	/* Ast/node.scm 202 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_8252)))->BgL_valuez00);
		}

	}



/* &lambda2483 */
	obj_t BGl_z62lambda2483z62zzast_nodez00(obj_t BgL_envz00_8253,
		obj_t BgL_oz00_8254, obj_t BgL_vz00_8255)
	{
		{	/* Ast/node.scm 202 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_8254)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8255)), BUNSPEC);
		}

	}



/* &lambda2482 */
	BgL_varz00_bglt BGl_z62lambda2482z62zzast_nodez00(obj_t BgL_envz00_8256,
		obj_t BgL_oz00_8257)
	{
		{	/* Ast/node.scm 202 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_8257)))->BgL_varz00);
		}

	}



/* &<@anonymous:2459> */
	obj_t BGl_z62zc3z04anonymousza32459ze3ze5zzast_nodez00(obj_t BgL_envz00_8258,
		obj_t BgL_new1316z00_8259)
	{
		{	/* Ast/node.scm 197 */
			{
				BgL_castz00_bglt BgL_auxz00_15773;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castz00_bglt) BgL_new1316z00_8259))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15777;

					{	/* Ast/node.scm 197 */
						obj_t BgL_classz00_9850;

						BgL_classz00_9850 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 197 */
							obj_t BgL__ortest_1113z00_9851;

							BgL__ortest_1113z00_9851 = BGL_CLASS_NIL(BgL_classz00_9850);
							if (CBOOL(BgL__ortest_1113z00_9851))
								{	/* Ast/node.scm 197 */
									BgL_auxz00_15777 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9851);
								}
							else
								{	/* Ast/node.scm 197 */
									BgL_auxz00_15777 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9850));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castz00_bglt) BgL_new1316z00_8259))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15777), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15787;

					{	/* Ast/node.scm 197 */
						obj_t BgL_classz00_9852;

						BgL_classz00_9852 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 197 */
							obj_t BgL__ortest_1113z00_9853;

							BgL__ortest_1113z00_9853 = BGL_CLASS_NIL(BgL_classz00_9852);
							if (CBOOL(BgL__ortest_1113z00_9853))
								{	/* Ast/node.scm 197 */
									BgL_auxz00_15787 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9853);
								}
							else
								{	/* Ast/node.scm 197 */
									BgL_auxz00_15787 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9852));
								}
						}
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_new1316z00_8259)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15787), BUNSPEC);
				}
				BgL_auxz00_15773 = ((BgL_castz00_bglt) BgL_new1316z00_8259);
				return ((obj_t) BgL_auxz00_15773);
			}
		}

	}



/* &lambda2457 */
	BgL_castz00_bglt BGl_z62lambda2457z62zzast_nodez00(obj_t BgL_envz00_8260)
	{
		{	/* Ast/node.scm 197 */
			{	/* Ast/node.scm 197 */
				BgL_castz00_bglt BgL_new1315z00_9854;

				BgL_new1315z00_9854 =
					((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castz00_bgl))));
				{	/* Ast/node.scm 197 */
					long BgL_arg2458z00_9855;

					BgL_arg2458z00_9855 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1315z00_9854), BgL_arg2458z00_9855);
				}
				{	/* Ast/node.scm 197 */
					BgL_objectz00_bglt BgL_tmpz00_15802;

					BgL_tmpz00_15802 = ((BgL_objectz00_bglt) BgL_new1315z00_9854);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15802, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1315z00_9854);
				return BgL_new1315z00_9854;
			}
		}

	}



/* &lambda2455 */
	BgL_castz00_bglt BGl_z62lambda2455z62zzast_nodez00(obj_t BgL_envz00_8261,
		obj_t BgL_loc1312z00_8262, obj_t BgL_type1313z00_8263,
		obj_t BgL_arg1314z00_8264)
	{
		{	/* Ast/node.scm 197 */
			{	/* Ast/node.scm 197 */
				BgL_castz00_bglt BgL_new1568z00_9858;

				{	/* Ast/node.scm 197 */
					BgL_castz00_bglt BgL_new1567z00_9859;

					BgL_new1567z00_9859 =
						((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/node.scm 197 */
						long BgL_arg2456z00_9860;

						BgL_arg2456z00_9860 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1567z00_9859), BgL_arg2456z00_9860);
					}
					{	/* Ast/node.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_15810;

						BgL_tmpz00_15810 = ((BgL_objectz00_bglt) BgL_new1567z00_9859);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15810, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1567z00_9859);
					BgL_new1568z00_9858 = BgL_new1567z00_9859;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1568z00_9858)))->BgL_locz00) =
					((obj_t) BgL_loc1312z00_8262), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1568z00_9858)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1313z00_8263)),
					BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(BgL_new1568z00_9858))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1314z00_8264)),
					BUNSPEC);
				return BgL_new1568z00_9858;
			}
		}

	}



/* &lambda2464 */
	obj_t BGl_z62lambda2464z62zzast_nodez00(obj_t BgL_envz00_8265,
		obj_t BgL_oz00_8266, obj_t BgL_vz00_8267)
	{
		{	/* Ast/node.scm 197 */
			return
				((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_oz00_8266)))->BgL_argz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8267)), BUNSPEC);
		}

	}



/* &lambda2463 */
	BgL_nodez00_bglt BGl_z62lambda2463z62zzast_nodez00(obj_t BgL_envz00_8268,
		obj_t BgL_oz00_8269)
	{
		{	/* Ast/node.scm 197 */
			return
				(((BgL_castz00_bglt) COBJECT(
						((BgL_castz00_bglt) BgL_oz00_8269)))->BgL_argz00);
		}

	}



/* &<@anonymous:2447> */
	obj_t BGl_z62zc3z04anonymousza32447ze3ze5zzast_nodez00(obj_t BgL_envz00_8270,
		obj_t BgL_new1310z00_8271)
	{
		{	/* Ast/node.scm 194 */
			{
				BgL_castzd2nullzd2_bglt BgL_auxz00_15826;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1310z00_8271))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15830;

					{	/* Ast/node.scm 194 */
						obj_t BgL_classz00_9865;

						BgL_classz00_9865 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 194 */
							obj_t BgL__ortest_1113z00_9866;

							BgL__ortest_1113z00_9866 = BGL_CLASS_NIL(BgL_classz00_9865);
							if (CBOOL(BgL__ortest_1113z00_9866))
								{	/* Ast/node.scm 194 */
									BgL_auxz00_15830 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9866);
								}
							else
								{	/* Ast/node.scm 194 */
									BgL_auxz00_15830 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9865));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_new1310z00_8271))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15830), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1310z00_8271))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1310z00_8271))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1310z00_8271))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1310z00_8271))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1310z00_8271))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				BgL_auxz00_15826 = ((BgL_castzd2nullzd2_bglt) BgL_new1310z00_8271);
				return ((obj_t) BgL_auxz00_15826);
			}
		}

	}



/* &lambda2445 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda2445z62zzast_nodez00(obj_t
		BgL_envz00_8272)
	{
		{	/* Ast/node.scm 194 */
			{	/* Ast/node.scm 194 */
				BgL_castzd2nullzd2_bglt BgL_new1309z00_9867;

				BgL_new1309z00_9867 =
					((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzd2nullzd2_bgl))));
				{	/* Ast/node.scm 194 */
					long BgL_arg2446z00_9868;

					BgL_arg2446z00_9868 = BGL_CLASS_NUM(BGl_castzd2nullzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1309z00_9867), BgL_arg2446z00_9868);
				}
				{	/* Ast/node.scm 194 */
					BgL_objectz00_bglt BgL_tmpz00_15861;

					BgL_tmpz00_15861 = ((BgL_objectz00_bglt) BgL_new1309z00_9867);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15861, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1309z00_9867);
				return BgL_new1309z00_9867;
			}
		}

	}



/* &lambda2443 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda2443z62zzast_nodez00(obj_t
		BgL_envz00_8273, obj_t BgL_loc1302z00_8274, obj_t BgL_type1303z00_8275,
		obj_t BgL_sidezd2effect1304zd2_8276, obj_t BgL_key1305z00_8277,
		obj_t BgL_exprza21306za2_8278, obj_t BgL_effect1307z00_8279,
		obj_t BgL_czd2format1308zd2_8280)
	{
		{	/* Ast/node.scm 194 */
			{	/* Ast/node.scm 194 */
				BgL_castzd2nullzd2_bglt BgL_new1566z00_9872;

				{	/* Ast/node.scm 194 */
					BgL_castzd2nullzd2_bglt BgL_new1565z00_9873;

					BgL_new1565z00_9873 =
						((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/node.scm 194 */
						long BgL_arg2444z00_9874;

						BgL_arg2444z00_9874 =
							BGL_CLASS_NUM(BGl_castzd2nullzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1565z00_9873), BgL_arg2444z00_9874);
					}
					{	/* Ast/node.scm 194 */
						BgL_objectz00_bglt BgL_tmpz00_15869;

						BgL_tmpz00_15869 = ((BgL_objectz00_bglt) BgL_new1565z00_9873);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15869, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1565z00_9873);
					BgL_new1566z00_9872 = BgL_new1565z00_9873;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1566z00_9872)))->BgL_locz00) =
					((obj_t) BgL_loc1302z00_8274), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1566z00_9872)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1303z00_8275)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1566z00_9872)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1304zd2_8276), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1566z00_9872)))->BgL_keyz00) =
					((obj_t) BgL_key1305z00_8277), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1566z00_9872)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21306za2_8278)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1566z00_9872)))->BgL_effectz00) =
					((obj_t) BgL_effect1307z00_8279), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1566z00_9872)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1308zd2_8280)), BUNSPEC);
				return BgL_new1566z00_9872;
			}
		}

	}



/* &<@anonymous:2431> */
	obj_t BGl_z62zc3z04anonymousza32431ze3ze5zzast_nodez00(obj_t BgL_envz00_8281,
		obj_t BgL_new1300z00_8282)
	{
		{	/* Ast/node.scm 190 */
			{
				BgL_instanceofz00_bglt BgL_auxz00_15890;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_instanceofz00_bglt) BgL_new1300z00_8282))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15894;

					{	/* Ast/node.scm 190 */
						obj_t BgL_classz00_9876;

						BgL_classz00_9876 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 190 */
							obj_t BgL__ortest_1113z00_9877;

							BgL__ortest_1113z00_9877 = BGL_CLASS_NIL(BgL_classz00_9876);
							if (CBOOL(BgL__ortest_1113z00_9877))
								{	/* Ast/node.scm 190 */
									BgL_auxz00_15894 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9877);
								}
							else
								{	/* Ast/node.scm 190 */
									BgL_auxz00_15894 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9876));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_instanceofz00_bglt) BgL_new1300z00_8282))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15894), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_instanceofz00_bglt) BgL_new1300z00_8282))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1300z00_8282))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1300z00_8282))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1300z00_8282))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1300z00_8282))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15919;

					{	/* Ast/node.scm 190 */
						obj_t BgL_classz00_9878;

						BgL_classz00_9878 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 190 */
							obj_t BgL__ortest_1113z00_9879;

							BgL__ortest_1113z00_9879 = BGL_CLASS_NIL(BgL_classz00_9878);
							if (CBOOL(BgL__ortest_1113z00_9879))
								{	/* Ast/node.scm 190 */
									BgL_auxz00_15919 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9879);
								}
							else
								{	/* Ast/node.scm 190 */
									BgL_auxz00_15919 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9878));
								}
						}
					}
					((((BgL_instanceofz00_bglt) COBJECT(
									((BgL_instanceofz00_bglt) BgL_new1300z00_8282)))->
							BgL_classz00) = ((BgL_typez00_bglt) BgL_auxz00_15919), BUNSPEC);
				}
				BgL_auxz00_15890 = ((BgL_instanceofz00_bglt) BgL_new1300z00_8282);
				return ((obj_t) BgL_auxz00_15890);
			}
		}

	}



/* &lambda2428 */
	BgL_instanceofz00_bglt BGl_z62lambda2428z62zzast_nodez00(obj_t
		BgL_envz00_8283)
	{
		{	/* Ast/node.scm 190 */
			{	/* Ast/node.scm 190 */
				BgL_instanceofz00_bglt BgL_new1299z00_9880;

				BgL_new1299z00_9880 =
					((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_instanceofz00_bgl))));
				{	/* Ast/node.scm 190 */
					long BgL_arg2430z00_9881;

					BgL_arg2430z00_9881 = BGL_CLASS_NUM(BGl_instanceofz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1299z00_9880), BgL_arg2430z00_9881);
				}
				{	/* Ast/node.scm 190 */
					BgL_objectz00_bglt BgL_tmpz00_15934;

					BgL_tmpz00_15934 = ((BgL_objectz00_bglt) BgL_new1299z00_9880);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15934, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1299z00_9880);
				return BgL_new1299z00_9880;
			}
		}

	}



/* &lambda2426 */
	BgL_instanceofz00_bglt BGl_z62lambda2426z62zzast_nodez00(obj_t
		BgL_envz00_8284, obj_t BgL_loc1291z00_8285, obj_t BgL_type1292z00_8286,
		obj_t BgL_sidezd2effect1293zd2_8287, obj_t BgL_key1294z00_8288,
		obj_t BgL_exprza21295za2_8289, obj_t BgL_effect1296z00_8290,
		obj_t BgL_czd2format1297zd2_8291, obj_t BgL_class1298z00_8292)
	{
		{	/* Ast/node.scm 190 */
			{	/* Ast/node.scm 190 */
				BgL_instanceofz00_bglt BgL_new1564z00_9886;

				{	/* Ast/node.scm 190 */
					BgL_instanceofz00_bglt BgL_new1563z00_9887;

					BgL_new1563z00_9887 =
						((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/node.scm 190 */
						long BgL_arg2427z00_9888;

						BgL_arg2427z00_9888 = BGL_CLASS_NUM(BGl_instanceofz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1563z00_9887), BgL_arg2427z00_9888);
					}
					{	/* Ast/node.scm 190 */
						BgL_objectz00_bglt BgL_tmpz00_15942;

						BgL_tmpz00_15942 = ((BgL_objectz00_bglt) BgL_new1563z00_9887);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15942, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1563z00_9887);
					BgL_new1564z00_9886 = BgL_new1563z00_9887;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1564z00_9886)))->BgL_locz00) =
					((obj_t) BgL_loc1291z00_8285), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1564z00_9886)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1292z00_8286)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1564z00_9886)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1293zd2_8287), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1564z00_9886)))->BgL_keyz00) =
					((obj_t) BgL_key1294z00_8288), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1564z00_9886)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21295za2_8289)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1564z00_9886)))->BgL_effectz00) =
					((obj_t) BgL_effect1296z00_8290), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1564z00_9886)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1297zd2_8291)), BUNSPEC);
				((((BgL_instanceofz00_bglt) COBJECT(BgL_new1564z00_9886))->
						BgL_classz00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_class1298z00_8292)),
					BUNSPEC);
				return BgL_new1564z00_9886;
			}
		}

	}



/* &lambda2436 */
	obj_t BGl_z62lambda2436z62zzast_nodez00(obj_t BgL_envz00_8293,
		obj_t BgL_oz00_8294, obj_t BgL_vz00_8295)
	{
		{	/* Ast/node.scm 190 */
			return
				((((BgL_instanceofz00_bglt) COBJECT(
							((BgL_instanceofz00_bglt) BgL_oz00_8294)))->BgL_classz00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8295)), BUNSPEC);
		}

	}



/* &lambda2435 */
	BgL_typez00_bglt BGl_z62lambda2435z62zzast_nodez00(obj_t BgL_envz00_8296,
		obj_t BgL_oz00_8297)
	{
		{	/* Ast/node.scm 190 */
			return
				(((BgL_instanceofz00_bglt) COBJECT(
						((BgL_instanceofz00_bglt) BgL_oz00_8297)))->BgL_classz00);
		}

	}



/* &<@anonymous:2406> */
	obj_t BGl_z62zc3z04anonymousza32406ze3ze5zzast_nodez00(obj_t BgL_envz00_8298,
		obj_t BgL_new1289z00_8299)
	{
		{	/* Ast/node.scm 183 */
			{
				BgL_vlengthz00_bglt BgL_auxz00_15970;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vlengthz00_bglt) BgL_new1289z00_8299))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15974;

					{	/* Ast/node.scm 183 */
						obj_t BgL_classz00_9893;

						BgL_classz00_9893 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 183 */
							obj_t BgL__ortest_1113z00_9894;

							BgL__ortest_1113z00_9894 = BGL_CLASS_NIL(BgL_classz00_9893);
							if (CBOOL(BgL__ortest_1113z00_9894))
								{	/* Ast/node.scm 183 */
									BgL_auxz00_15974 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9894);
								}
							else
								{	/* Ast/node.scm 183 */
									BgL_auxz00_15974 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9893));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vlengthz00_bglt) BgL_new1289z00_8299))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15974), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vlengthz00_bglt) BgL_new1289z00_8299))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1289z00_8299))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1289z00_8299))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1289z00_8299))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1289z00_8299))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15999;

					{	/* Ast/node.scm 183 */
						obj_t BgL_classz00_9895;

						BgL_classz00_9895 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 183 */
							obj_t BgL__ortest_1113z00_9896;

							BgL__ortest_1113z00_9896 = BGL_CLASS_NIL(BgL_classz00_9895);
							if (CBOOL(BgL__ortest_1113z00_9896))
								{	/* Ast/node.scm 183 */
									BgL_auxz00_15999 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9896);
								}
							else
								{	/* Ast/node.scm 183 */
									BgL_auxz00_15999 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9895));
								}
						}
					}
					((((BgL_vlengthz00_bglt) COBJECT(
									((BgL_vlengthz00_bglt) BgL_new1289z00_8299)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15999), BUNSPEC);
				}
				((((BgL_vlengthz00_bglt) COBJECT(
								((BgL_vlengthz00_bglt) BgL_new1289z00_8299)))->BgL_ftypez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_15970 = ((BgL_vlengthz00_bglt) BgL_new1289z00_8299);
				return ((obj_t) BgL_auxz00_15970);
			}
		}

	}



/* &lambda2404 */
	BgL_vlengthz00_bglt BGl_z62lambda2404z62zzast_nodez00(obj_t BgL_envz00_8300)
	{
		{	/* Ast/node.scm 183 */
			{	/* Ast/node.scm 183 */
				BgL_vlengthz00_bglt BgL_new1288z00_9897;

				BgL_new1288z00_9897 =
					((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vlengthz00_bgl))));
				{	/* Ast/node.scm 183 */
					long BgL_arg2405z00_9898;

					BgL_arg2405z00_9898 = BGL_CLASS_NUM(BGl_vlengthz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1288z00_9897), BgL_arg2405z00_9898);
				}
				{	/* Ast/node.scm 183 */
					BgL_objectz00_bglt BgL_tmpz00_16016;

					BgL_tmpz00_16016 = ((BgL_objectz00_bglt) BgL_new1288z00_9897);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16016, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1288z00_9897);
				return BgL_new1288z00_9897;
			}
		}

	}



/* &lambda2402 */
	BgL_vlengthz00_bglt BGl_z62lambda2402z62zzast_nodez00(obj_t BgL_envz00_8301,
		obj_t BgL_loc1279z00_8302, obj_t BgL_type1280z00_8303,
		obj_t BgL_sidezd2effect1281zd2_8304, obj_t BgL_key1282z00_8305,
		obj_t BgL_exprza21283za2_8306, obj_t BgL_effect1284z00_8307,
		obj_t BgL_czd2format1285zd2_8308, obj_t BgL_vtype1286z00_8309,
		obj_t BgL_ftype1287z00_8310)
	{
		{	/* Ast/node.scm 183 */
			{	/* Ast/node.scm 183 */
				BgL_vlengthz00_bglt BgL_new1562z00_9903;

				{	/* Ast/node.scm 183 */
					BgL_vlengthz00_bglt BgL_new1561z00_9904;

					BgL_new1561z00_9904 =
						((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/node.scm 183 */
						long BgL_arg2403z00_9905;

						BgL_arg2403z00_9905 = BGL_CLASS_NUM(BGl_vlengthz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1561z00_9904), BgL_arg2403z00_9905);
					}
					{	/* Ast/node.scm 183 */
						BgL_objectz00_bglt BgL_tmpz00_16024;

						BgL_tmpz00_16024 = ((BgL_objectz00_bglt) BgL_new1561z00_9904);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16024, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1561z00_9904);
					BgL_new1562z00_9903 = BgL_new1561z00_9904;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1562z00_9903)))->BgL_locz00) =
					((obj_t) BgL_loc1279z00_8302), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1562z00_9903)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1280z00_8303)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1562z00_9903)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1281zd2_8304), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1562z00_9903)))->BgL_keyz00) =
					((obj_t) BgL_key1282z00_8305), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1562z00_9903)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21283za2_8306)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1562z00_9903)))->BgL_effectz00) =
					((obj_t) BgL_effect1284z00_8307), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1562z00_9903)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1285zd2_8308)), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1562z00_9903))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1286z00_8309)),
					BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1562z00_9903))->BgL_ftypez00) =
					((obj_t) BgL_ftype1287z00_8310), BUNSPEC);
				return BgL_new1562z00_9903;
			}
		}

	}



/* &lambda2418 */
	obj_t BGl_z62lambda2418z62zzast_nodez00(obj_t BgL_envz00_8311,
		obj_t BgL_oz00_8312, obj_t BgL_vz00_8313)
	{
		{	/* Ast/node.scm 183 */
			return
				((((BgL_vlengthz00_bglt) COBJECT(
							((BgL_vlengthz00_bglt) BgL_oz00_8312)))->BgL_ftypez00) =
				((obj_t) BgL_vz00_8313), BUNSPEC);
		}

	}



/* &lambda2417 */
	obj_t BGl_z62lambda2417z62zzast_nodez00(obj_t BgL_envz00_8314,
		obj_t BgL_oz00_8315)
	{
		{	/* Ast/node.scm 183 */
			return
				(((BgL_vlengthz00_bglt) COBJECT(
						((BgL_vlengthz00_bglt) BgL_oz00_8315)))->BgL_ftypez00);
		}

	}



/* &lambda2412 */
	obj_t BGl_z62lambda2412z62zzast_nodez00(obj_t BgL_envz00_8316,
		obj_t BgL_oz00_8317, obj_t BgL_vz00_8318)
	{
		{	/* Ast/node.scm 183 */
			return
				((((BgL_vlengthz00_bglt) COBJECT(
							((BgL_vlengthz00_bglt) BgL_oz00_8317)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8318)), BUNSPEC);
		}

	}



/* &lambda2411 */
	BgL_typez00_bglt BGl_z62lambda2411z62zzast_nodez00(obj_t BgL_envz00_8319,
		obj_t BgL_oz00_8320)
	{
		{	/* Ast/node.scm 183 */
			return
				(((BgL_vlengthz00_bglt) COBJECT(
						((BgL_vlengthz00_bglt) BgL_oz00_8320)))->BgL_vtypez00);
		}

	}



/* &<@anonymous:2371> */
	obj_t BGl_z62zc3z04anonymousza32371ze3ze5zzast_nodez00(obj_t BgL_envz00_8321,
		obj_t BgL_new1277z00_8322)
	{
		{	/* Ast/node.scm 172 */
			{
				BgL_vsetz12z12_bglt BgL_auxz00_16057;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1277z00_8322))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16061;

					{	/* Ast/node.scm 172 */
						obj_t BgL_classz00_9912;

						BgL_classz00_9912 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 172 */
							obj_t BgL__ortest_1113z00_9913;

							BgL__ortest_1113z00_9913 = BGL_CLASS_NIL(BgL_classz00_9912);
							if (CBOOL(BgL__ortest_1113z00_9913))
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16061 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9913);
								}
							else
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16061 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9912));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1277z00_8322))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16061), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1277z00_8322))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1277z00_8322))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1277z00_8322))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1277z00_8322))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1277z00_8322))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16086;

					{	/* Ast/node.scm 172 */
						obj_t BgL_classz00_9914;

						BgL_classz00_9914 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 172 */
							obj_t BgL__ortest_1113z00_9915;

							BgL__ortest_1113z00_9915 = BGL_CLASS_NIL(BgL_classz00_9914);
							if (CBOOL(BgL__ortest_1113z00_9915))
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16086 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9915);
								}
							else
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16086 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9914));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_new1277z00_8322)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16086), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16095;

					{	/* Ast/node.scm 172 */
						obj_t BgL_classz00_9916;

						BgL_classz00_9916 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 172 */
							obj_t BgL__ortest_1113z00_9917;

							BgL__ortest_1113z00_9917 = BGL_CLASS_NIL(BgL_classz00_9916);
							if (CBOOL(BgL__ortest_1113z00_9917))
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16095 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9917);
								}
							else
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16095 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9916));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_new1277z00_8322)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16095), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16104;

					{	/* Ast/node.scm 172 */
						obj_t BgL_classz00_9918;

						BgL_classz00_9918 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 172 */
							obj_t BgL__ortest_1113z00_9919;

							BgL__ortest_1113z00_9919 = BGL_CLASS_NIL(BgL_classz00_9918);
							if (CBOOL(BgL__ortest_1113z00_9919))
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16104 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9919);
								}
							else
								{	/* Ast/node.scm 172 */
									BgL_auxz00_16104 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9918));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_new1277z00_8322)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16104), BUNSPEC);
				}
				((((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt) BgL_new1277z00_8322)))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_16057 = ((BgL_vsetz12z12_bglt) BgL_new1277z00_8322);
				return ((obj_t) BgL_auxz00_16057);
			}
		}

	}



/* &lambda2369 */
	BgL_vsetz12z12_bglt BGl_z62lambda2369z62zzast_nodez00(obj_t BgL_envz00_8323)
	{
		{	/* Ast/node.scm 172 */
			{	/* Ast/node.scm 172 */
				BgL_vsetz12z12_bglt BgL_new1276z00_9920;

				BgL_new1276z00_9920 =
					((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vsetz12z12_bgl))));
				{	/* Ast/node.scm 172 */
					long BgL_arg2370z00_9921;

					BgL_arg2370z00_9921 = BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1276z00_9920), BgL_arg2370z00_9921);
				}
				{	/* Ast/node.scm 172 */
					BgL_objectz00_bglt BgL_tmpz00_16121;

					BgL_tmpz00_16121 = ((BgL_objectz00_bglt) BgL_new1276z00_9920);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16121, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1276z00_9920);
				return BgL_new1276z00_9920;
			}
		}

	}



/* &lambda2367 */
	BgL_vsetz12z12_bglt BGl_z62lambda2367z62zzast_nodez00(obj_t BgL_envz00_8324,
		obj_t BgL_loc1265z00_8325, obj_t BgL_type1266z00_8326,
		obj_t BgL_sidezd2effect1267zd2_8327, obj_t BgL_key1268z00_8328,
		obj_t BgL_exprza21269za2_8329, obj_t BgL_effect1270z00_8330,
		obj_t BgL_czd2format1271zd2_8331, obj_t BgL_ftype1272z00_8332,
		obj_t BgL_otype1273z00_8333, obj_t BgL_vtype1274z00_8334,
		obj_t BgL_unsafe1275z00_8335)
	{
		{	/* Ast/node.scm 172 */
			{	/* Ast/node.scm 172 */
				bool_t BgL_unsafe1275z00_9928;

				BgL_unsafe1275z00_9928 = CBOOL(BgL_unsafe1275z00_8335);
				{	/* Ast/node.scm 172 */
					BgL_vsetz12z12_bglt BgL_new1560z00_9929;

					{	/* Ast/node.scm 172 */
						BgL_vsetz12z12_bglt BgL_new1559z00_9930;

						BgL_new1559z00_9930 =
							((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vsetz12z12_bgl))));
						{	/* Ast/node.scm 172 */
							long BgL_arg2368z00_9931;

							BgL_arg2368z00_9931 = BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1559z00_9930),
								BgL_arg2368z00_9931);
						}
						{	/* Ast/node.scm 172 */
							BgL_objectz00_bglt BgL_tmpz00_16130;

							BgL_tmpz00_16130 = ((BgL_objectz00_bglt) BgL_new1559z00_9930);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16130, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1559z00_9930);
						BgL_new1560z00_9929 = BgL_new1559z00_9930;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1560z00_9929)))->BgL_locz00) =
						((obj_t) BgL_loc1265z00_8325), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1560z00_9929)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1266z00_8326)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1560z00_9929)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1267zd2_8327), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1560z00_9929)))->BgL_keyz00) =
						((obj_t) BgL_key1268z00_8328), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1560z00_9929)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21269za2_8329)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1560z00_9929)))->BgL_effectz00) =
						((obj_t) BgL_effect1270z00_8330), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1560z00_9929)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1271zd2_8331)), BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1560z00_9929))->
							BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1272z00_8332)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1560z00_9929))->
							BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1273z00_8333)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1560z00_9929))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1274z00_8334)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1560z00_9929))->
							BgL_unsafez00) = ((bool_t) BgL_unsafe1275z00_9928), BUNSPEC);
					return BgL_new1560z00_9929;
				}
			}
		}

	}



/* &<@anonymous:2394> */
	obj_t BGl_z62zc3z04anonymousza32394ze3ze5zzast_nodez00(obj_t BgL_envz00_8336)
	{
		{	/* Ast/node.scm 172 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2393 */
	obj_t BGl_z62lambda2393z62zzast_nodez00(obj_t BgL_envz00_8337,
		obj_t BgL_oz00_8338, obj_t BgL_vz00_8339)
	{
		{	/* Ast/node.scm 172 */
			{	/* Ast/node.scm 172 */
				bool_t BgL_vz00_9933;

				BgL_vz00_9933 = CBOOL(BgL_vz00_8339);
				return
					((((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt) BgL_oz00_8338)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_9933), BUNSPEC);
			}
		}

	}



/* &lambda2392 */
	obj_t BGl_z62lambda2392z62zzast_nodez00(obj_t BgL_envz00_8340,
		obj_t BgL_oz00_8341)
	{
		{	/* Ast/node.scm 172 */
			return
				BBOOL(
				(((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_8341)))->BgL_unsafez00));
		}

	}



/* &lambda2387 */
	obj_t BGl_z62lambda2387z62zzast_nodez00(obj_t BgL_envz00_8342,
		obj_t BgL_oz00_8343, obj_t BgL_vz00_8344)
	{
		{	/* Ast/node.scm 172 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_8343)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8344)), BUNSPEC);
		}

	}



/* &lambda2386 */
	BgL_typez00_bglt BGl_z62lambda2386z62zzast_nodez00(obj_t BgL_envz00_8345,
		obj_t BgL_oz00_8346)
	{
		{	/* Ast/node.scm 172 */
			return
				(((BgL_vsetz12z12_bglt) COBJECT(
						((BgL_vsetz12z12_bglt) BgL_oz00_8346)))->BgL_vtypez00);
		}

	}



/* &lambda2382 */
	obj_t BGl_z62lambda2382z62zzast_nodez00(obj_t BgL_envz00_8347,
		obj_t BgL_oz00_8348, obj_t BgL_vz00_8349)
	{
		{	/* Ast/node.scm 172 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_8348)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8349)), BUNSPEC);
		}

	}



/* &lambda2381 */
	BgL_typez00_bglt BGl_z62lambda2381z62zzast_nodez00(obj_t BgL_envz00_8350,
		obj_t BgL_oz00_8351)
	{
		{	/* Ast/node.scm 172 */
			return
				(((BgL_vsetz12z12_bglt) COBJECT(
						((BgL_vsetz12z12_bglt) BgL_oz00_8351)))->BgL_otypez00);
		}

	}



/* &lambda2376 */
	obj_t BGl_z62lambda2376z62zzast_nodez00(obj_t BgL_envz00_8352,
		obj_t BgL_oz00_8353, obj_t BgL_vz00_8354)
	{
		{	/* Ast/node.scm 172 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_8353)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8354)), BUNSPEC);
		}

	}



/* &lambda2375 */
	BgL_typez00_bglt BGl_z62lambda2375z62zzast_nodez00(obj_t BgL_envz00_8355,
		obj_t BgL_oz00_8356)
	{
		{	/* Ast/node.scm 172 */
			return
				(((BgL_vsetz12z12_bglt) COBJECT(
						((BgL_vsetz12z12_bglt) BgL_oz00_8356)))->BgL_ftypez00);
		}

	}



/* &<@anonymous:2335> */
	obj_t BGl_z62zc3z04anonymousza32335ze3ze5zzast_nodez00(obj_t BgL_envz00_8357,
		obj_t BgL_new1263z00_8358)
	{
		{	/* Ast/node.scm 161 */
			{
				BgL_vrefz00_bglt BgL_auxz00_16180;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vrefz00_bglt) BgL_new1263z00_8358))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16184;

					{	/* Ast/node.scm 161 */
						obj_t BgL_classz00_9945;

						BgL_classz00_9945 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 161 */
							obj_t BgL__ortest_1113z00_9946;

							BgL__ortest_1113z00_9946 = BGL_CLASS_NIL(BgL_classz00_9945);
							if (CBOOL(BgL__ortest_1113z00_9946))
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16184 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9946);
								}
							else
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16184 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9945));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vrefz00_bglt) BgL_new1263z00_8358))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_16184), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vrefz00_bglt) BgL_new1263z00_8358))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vrefz00_bglt)
										BgL_new1263z00_8358))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1263z00_8358))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1263z00_8358))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1263z00_8358))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16209;

					{	/* Ast/node.scm 161 */
						obj_t BgL_classz00_9947;

						BgL_classz00_9947 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 161 */
							obj_t BgL__ortest_1113z00_9948;

							BgL__ortest_1113z00_9948 = BGL_CLASS_NIL(BgL_classz00_9947);
							if (CBOOL(BgL__ortest_1113z00_9948))
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16209 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9948);
								}
							else
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16209 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9947));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_new1263z00_8358)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16209), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16218;

					{	/* Ast/node.scm 161 */
						obj_t BgL_classz00_9949;

						BgL_classz00_9949 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 161 */
							obj_t BgL__ortest_1113z00_9950;

							BgL__ortest_1113z00_9950 = BGL_CLASS_NIL(BgL_classz00_9949);
							if (CBOOL(BgL__ortest_1113z00_9950))
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16218 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9950);
								}
							else
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16218 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9949));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_new1263z00_8358)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16218), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16227;

					{	/* Ast/node.scm 161 */
						obj_t BgL_classz00_9951;

						BgL_classz00_9951 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 161 */
							obj_t BgL__ortest_1113z00_9952;

							BgL__ortest_1113z00_9952 = BGL_CLASS_NIL(BgL_classz00_9951);
							if (CBOOL(BgL__ortest_1113z00_9952))
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16227 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9952);
								}
							else
								{	/* Ast/node.scm 161 */
									BgL_auxz00_16227 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9951));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_new1263z00_8358)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16227), BUNSPEC);
				}
				((((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt) BgL_new1263z00_8358)))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_16180 = ((BgL_vrefz00_bglt) BgL_new1263z00_8358);
				return ((obj_t) BgL_auxz00_16180);
			}
		}

	}



/* &lambda2333 */
	BgL_vrefz00_bglt BGl_z62lambda2333z62zzast_nodez00(obj_t BgL_envz00_8359)
	{
		{	/* Ast/node.scm 161 */
			{	/* Ast/node.scm 161 */
				BgL_vrefz00_bglt BgL_new1262z00_9953;

				BgL_new1262z00_9953 =
					((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vrefz00_bgl))));
				{	/* Ast/node.scm 161 */
					long BgL_arg2334z00_9954;

					BgL_arg2334z00_9954 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1262z00_9953), BgL_arg2334z00_9954);
				}
				{	/* Ast/node.scm 161 */
					BgL_objectz00_bglt BgL_tmpz00_16244;

					BgL_tmpz00_16244 = ((BgL_objectz00_bglt) BgL_new1262z00_9953);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16244, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1262z00_9953);
				return BgL_new1262z00_9953;
			}
		}

	}



/* &lambda2331 */
	BgL_vrefz00_bglt BGl_z62lambda2331z62zzast_nodez00(obj_t BgL_envz00_8360,
		obj_t BgL_loc1251z00_8361, obj_t BgL_type1252z00_8362,
		obj_t BgL_sidezd2effect1253zd2_8363, obj_t BgL_key1254z00_8364,
		obj_t BgL_exprza21255za2_8365, obj_t BgL_effect1256z00_8366,
		obj_t BgL_czd2format1257zd2_8367, obj_t BgL_ftype1258z00_8368,
		obj_t BgL_otype1259z00_8369, obj_t BgL_vtype1260z00_8370,
		obj_t BgL_unsafe1261z00_8371)
	{
		{	/* Ast/node.scm 161 */
			{	/* Ast/node.scm 161 */
				bool_t BgL_unsafe1261z00_9961;

				BgL_unsafe1261z00_9961 = CBOOL(BgL_unsafe1261z00_8371);
				{	/* Ast/node.scm 161 */
					BgL_vrefz00_bglt BgL_new1558z00_9962;

					{	/* Ast/node.scm 161 */
						BgL_vrefz00_bglt BgL_new1557z00_9963;

						BgL_new1557z00_9963 =
							((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vrefz00_bgl))));
						{	/* Ast/node.scm 161 */
							long BgL_arg2332z00_9964;

							BgL_arg2332z00_9964 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1557z00_9963),
								BgL_arg2332z00_9964);
						}
						{	/* Ast/node.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_16253;

							BgL_tmpz00_16253 = ((BgL_objectz00_bglt) BgL_new1557z00_9963);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16253, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1557z00_9963);
						BgL_new1558z00_9962 = BgL_new1557z00_9963;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1558z00_9962)))->BgL_locz00) =
						((obj_t) BgL_loc1251z00_8361), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1558z00_9962)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1252z00_8362)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1558z00_9962)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1253zd2_8363), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1558z00_9962)))->BgL_keyz00) =
						((obj_t) BgL_key1254z00_8364), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1558z00_9962)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21255za2_8365)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1558z00_9962)))->BgL_effectz00) =
						((obj_t) BgL_effect1256z00_8366), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1558z00_9962)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1257zd2_8367)), BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1558z00_9962))->BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1258z00_8368)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1558z00_9962))->BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1259z00_8369)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1558z00_9962))->BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1260z00_8370)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1558z00_9962))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1261z00_9961), BUNSPEC);
					return BgL_new1558z00_9962;
				}
			}
		}

	}



/* &<@anonymous:2361> */
	obj_t BGl_z62zc3z04anonymousza32361ze3ze5zzast_nodez00(obj_t BgL_envz00_8372)
	{
		{	/* Ast/node.scm 161 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2360 */
	obj_t BGl_z62lambda2360z62zzast_nodez00(obj_t BgL_envz00_8373,
		obj_t BgL_oz00_8374, obj_t BgL_vz00_8375)
	{
		{	/* Ast/node.scm 161 */
			{	/* Ast/node.scm 161 */
				bool_t BgL_vz00_9966;

				BgL_vz00_9966 = CBOOL(BgL_vz00_8375);
				return
					((((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt) BgL_oz00_8374)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_9966), BUNSPEC);
			}
		}

	}



/* &lambda2359 */
	obj_t BGl_z62lambda2359z62zzast_nodez00(obj_t BgL_envz00_8376,
		obj_t BgL_oz00_8377)
	{
		{	/* Ast/node.scm 161 */
			return
				BBOOL(
				(((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_8377)))->BgL_unsafez00));
		}

	}



/* &lambda2352 */
	obj_t BGl_z62lambda2352z62zzast_nodez00(obj_t BgL_envz00_8378,
		obj_t BgL_oz00_8379, obj_t BgL_vz00_8380)
	{
		{	/* Ast/node.scm 161 */
			return
				((((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_8379)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8380)), BUNSPEC);
		}

	}



/* &lambda2351 */
	BgL_typez00_bglt BGl_z62lambda2351z62zzast_nodez00(obj_t BgL_envz00_8381,
		obj_t BgL_oz00_8382)
	{
		{	/* Ast/node.scm 161 */
			return
				(((BgL_vrefz00_bglt) COBJECT(
						((BgL_vrefz00_bglt) BgL_oz00_8382)))->BgL_vtypez00);
		}

	}



/* &lambda2346 */
	obj_t BGl_z62lambda2346z62zzast_nodez00(obj_t BgL_envz00_8383,
		obj_t BgL_oz00_8384, obj_t BgL_vz00_8385)
	{
		{	/* Ast/node.scm 161 */
			return
				((((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_8384)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8385)), BUNSPEC);
		}

	}



/* &lambda2345 */
	BgL_typez00_bglt BGl_z62lambda2345z62zzast_nodez00(obj_t BgL_envz00_8386,
		obj_t BgL_oz00_8387)
	{
		{	/* Ast/node.scm 161 */
			return
				(((BgL_vrefz00_bglt) COBJECT(
						((BgL_vrefz00_bglt) BgL_oz00_8387)))->BgL_otypez00);
		}

	}



/* &lambda2341 */
	obj_t BGl_z62lambda2341z62zzast_nodez00(obj_t BgL_envz00_8388,
		obj_t BgL_oz00_8389, obj_t BgL_vz00_8390)
	{
		{	/* Ast/node.scm 161 */
			return
				((((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_8389)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8390)), BUNSPEC);
		}

	}



/* &lambda2340 */
	BgL_typez00_bglt BGl_z62lambda2340z62zzast_nodez00(obj_t BgL_envz00_8391,
		obj_t BgL_oz00_8392)
	{
		{	/* Ast/node.scm 161 */
			return
				(((BgL_vrefz00_bglt) COBJECT(
						((BgL_vrefz00_bglt) BgL_oz00_8392)))->BgL_ftypez00);
		}

	}



/* &<@anonymous:2313> */
	obj_t BGl_z62zc3z04anonymousza32313ze3ze5zzast_nodez00(obj_t BgL_envz00_8393,
		obj_t BgL_new1249z00_8394)
	{
		{	/* Ast/node.scm 154 */
			{
				BgL_vallocz00_bglt BgL_auxz00_16303;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vallocz00_bglt) BgL_new1249z00_8394))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16307;

					{	/* Ast/node.scm 154 */
						obj_t BgL_classz00_9978;

						BgL_classz00_9978 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 154 */
							obj_t BgL__ortest_1113z00_9979;

							BgL__ortest_1113z00_9979 = BGL_CLASS_NIL(BgL_classz00_9978);
							if (CBOOL(BgL__ortest_1113z00_9979))
								{	/* Ast/node.scm 154 */
									BgL_auxz00_16307 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9979);
								}
							else
								{	/* Ast/node.scm 154 */
									BgL_auxz00_16307 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9978));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_new1249z00_8394))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16307), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vallocz00_bglt) BgL_new1249z00_8394))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vallocz00_bglt)
										BgL_new1249z00_8394))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1249z00_8394))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1249z00_8394))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1249z00_8394))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16332;

					{	/* Ast/node.scm 154 */
						obj_t BgL_classz00_9980;

						BgL_classz00_9980 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 154 */
							obj_t BgL__ortest_1113z00_9981;

							BgL__ortest_1113z00_9981 = BGL_CLASS_NIL(BgL_classz00_9980);
							if (CBOOL(BgL__ortest_1113z00_9981))
								{	/* Ast/node.scm 154 */
									BgL_auxz00_16332 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9981);
								}
							else
								{	/* Ast/node.scm 154 */
									BgL_auxz00_16332 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9980));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_new1249z00_8394)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16332), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16341;

					{	/* Ast/node.scm 154 */
						obj_t BgL_classz00_9982;

						BgL_classz00_9982 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 154 */
							obj_t BgL__ortest_1113z00_9983;

							BgL__ortest_1113z00_9983 = BGL_CLASS_NIL(BgL_classz00_9982);
							if (CBOOL(BgL__ortest_1113z00_9983))
								{	/* Ast/node.scm 154 */
									BgL_auxz00_16341 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9983);
								}
							else
								{	/* Ast/node.scm 154 */
									BgL_auxz00_16341 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9982));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_new1249z00_8394)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16341), BUNSPEC);
				}
				BgL_auxz00_16303 = ((BgL_vallocz00_bglt) BgL_new1249z00_8394);
				return ((obj_t) BgL_auxz00_16303);
			}
		}

	}



/* &lambda2311 */
	BgL_vallocz00_bglt BGl_z62lambda2311z62zzast_nodez00(obj_t BgL_envz00_8395)
	{
		{	/* Ast/node.scm 154 */
			{	/* Ast/node.scm 154 */
				BgL_vallocz00_bglt BgL_new1248z00_9984;

				BgL_new1248z00_9984 =
					((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vallocz00_bgl))));
				{	/* Ast/node.scm 154 */
					long BgL_arg2312z00_9985;

					BgL_arg2312z00_9985 = BGL_CLASS_NUM(BGl_vallocz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1248z00_9984), BgL_arg2312z00_9985);
				}
				{	/* Ast/node.scm 154 */
					BgL_objectz00_bglt BgL_tmpz00_16356;

					BgL_tmpz00_16356 = ((BgL_objectz00_bglt) BgL_new1248z00_9984);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16356, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1248z00_9984);
				return BgL_new1248z00_9984;
			}
		}

	}



/* &lambda2309 */
	BgL_vallocz00_bglt BGl_z62lambda2309z62zzast_nodez00(obj_t BgL_envz00_8396,
		obj_t BgL_loc1239z00_8397, obj_t BgL_type1240z00_8398,
		obj_t BgL_sidezd2effect1241zd2_8399, obj_t BgL_key1242z00_8400,
		obj_t BgL_exprza21243za2_8401, obj_t BgL_effect1244z00_8402,
		obj_t BgL_czd2format1245zd2_8403, obj_t BgL_ftype1246z00_8404,
		obj_t BgL_otype1247z00_8405)
	{
		{	/* Ast/node.scm 154 */
			{	/* Ast/node.scm 154 */
				BgL_vallocz00_bglt BgL_new1556z00_9991;

				{	/* Ast/node.scm 154 */
					BgL_vallocz00_bglt BgL_new1555z00_9992;

					BgL_new1555z00_9992 =
						((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/node.scm 154 */
						long BgL_arg2310z00_9993;

						BgL_arg2310z00_9993 = BGL_CLASS_NUM(BGl_vallocz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1555z00_9992), BgL_arg2310z00_9993);
					}
					{	/* Ast/node.scm 154 */
						BgL_objectz00_bglt BgL_tmpz00_16364;

						BgL_tmpz00_16364 = ((BgL_objectz00_bglt) BgL_new1555z00_9992);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16364, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1555z00_9992);
					BgL_new1556z00_9991 = BgL_new1555z00_9992;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1556z00_9991)))->BgL_locz00) =
					((obj_t) BgL_loc1239z00_8397), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1556z00_9991)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1240z00_8398)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1556z00_9991)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1241zd2_8399), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1556z00_9991)))->BgL_keyz00) =
					((obj_t) BgL_key1242z00_8400), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1556z00_9991)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21243za2_8401)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1556z00_9991)))->BgL_effectz00) =
					((obj_t) BgL_effect1244z00_8402), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1556z00_9991)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1245zd2_8403)), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1556z00_9991))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1246z00_8404)),
					BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1556z00_9991))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1247z00_8405)),
					BUNSPEC);
				return BgL_new1556z00_9991;
			}
		}

	}



/* &lambda2323 */
	obj_t BGl_z62lambda2323z62zzast_nodez00(obj_t BgL_envz00_8406,
		obj_t BgL_oz00_8407, obj_t BgL_vz00_8408)
	{
		{	/* Ast/node.scm 154 */
			return
				((((BgL_vallocz00_bglt) COBJECT(
							((BgL_vallocz00_bglt) BgL_oz00_8407)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8408)), BUNSPEC);
		}

	}



/* &lambda2322 */
	BgL_typez00_bglt BGl_z62lambda2322z62zzast_nodez00(obj_t BgL_envz00_8409,
		obj_t BgL_oz00_8410)
	{
		{	/* Ast/node.scm 154 */
			return
				(((BgL_vallocz00_bglt) COBJECT(
						((BgL_vallocz00_bglt) BgL_oz00_8410)))->BgL_otypez00);
		}

	}



/* &lambda2318 */
	obj_t BGl_z62lambda2318z62zzast_nodez00(obj_t BgL_envz00_8411,
		obj_t BgL_oz00_8412, obj_t BgL_vz00_8413)
	{
		{	/* Ast/node.scm 154 */
			return
				((((BgL_vallocz00_bglt) COBJECT(
							((BgL_vallocz00_bglt) BgL_oz00_8412)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8413)), BUNSPEC);
		}

	}



/* &lambda2317 */
	BgL_typez00_bglt BGl_z62lambda2317z62zzast_nodez00(obj_t BgL_envz00_8414,
		obj_t BgL_oz00_8415)
	{
		{	/* Ast/node.scm 154 */
			return
				(((BgL_vallocz00_bglt) COBJECT(
						((BgL_vallocz00_bglt) BgL_oz00_8415)))->BgL_ftypez00);
		}

	}



/* &<@anonymous:2295> */
	obj_t BGl_z62zc3z04anonymousza32295ze3ze5zzast_nodez00(obj_t BgL_envz00_8416,
		obj_t BgL_new1237z00_8417)
	{
		{	/* Ast/node.scm 150 */
			{
				BgL_newz00_bglt BgL_auxz00_16399;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_new1237z00_8417))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16403;

					{	/* Ast/node.scm 150 */
						obj_t BgL_classz00_10001;

						BgL_classz00_10001 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 150 */
							obj_t BgL__ortest_1113z00_10002;

							BgL__ortest_1113z00_10002 = BGL_CLASS_NIL(BgL_classz00_10001);
							if (CBOOL(BgL__ortest_1113z00_10002))
								{	/* Ast/node.scm 150 */
									BgL_auxz00_16403 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10002);
								}
							else
								{	/* Ast/node.scm 150 */
									BgL_auxz00_16403 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10001));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_newz00_bglt) BgL_new1237z00_8417))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_16403), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_newz00_bglt) BgL_new1237z00_8417))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_newz00_bglt)
										BgL_new1237z00_8417))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1237z00_8417))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1237z00_8417))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_newz00_bglt)
										BgL_new1237z00_8417))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt) BgL_new1237z00_8417)))->
						BgL_argszd2typezd2) = ((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_16399 = ((BgL_newz00_bglt) BgL_new1237z00_8417);
				return ((obj_t) BgL_auxz00_16399);
			}
		}

	}



/* &lambda2293 */
	BgL_newz00_bglt BGl_z62lambda2293z62zzast_nodez00(obj_t BgL_envz00_8418)
	{
		{	/* Ast/node.scm 150 */
			{	/* Ast/node.scm 150 */
				BgL_newz00_bglt BgL_new1236z00_10003;

				BgL_new1236z00_10003 =
					((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_newz00_bgl))));
				{	/* Ast/node.scm 150 */
					long BgL_arg2294z00_10004;

					BgL_arg2294z00_10004 = BGL_CLASS_NUM(BGl_newz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1236z00_10003), BgL_arg2294z00_10004);
				}
				{	/* Ast/node.scm 150 */
					BgL_objectz00_bglt BgL_tmpz00_16436;

					BgL_tmpz00_16436 = ((BgL_objectz00_bglt) BgL_new1236z00_10003);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16436, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1236z00_10003);
				return BgL_new1236z00_10003;
			}
		}

	}



/* &lambda2291 */
	BgL_newz00_bglt BGl_z62lambda2291z62zzast_nodez00(obj_t BgL_envz00_8419,
		obj_t BgL_loc1228z00_8420, obj_t BgL_type1229z00_8421,
		obj_t BgL_sidezd2effect1230zd2_8422, obj_t BgL_key1231z00_8423,
		obj_t BgL_exprza21232za2_8424, obj_t BgL_effect1233z00_8425,
		obj_t BgL_czd2format1234zd2_8426, obj_t BgL_argszd2type1235zd2_8427)
	{
		{	/* Ast/node.scm 150 */
			{	/* Ast/node.scm 150 */
				BgL_newz00_bglt BgL_new1554z00_10009;

				{	/* Ast/node.scm 150 */
					BgL_newz00_bglt BgL_new1553z00_10010;

					BgL_new1553z00_10010 =
						((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_newz00_bgl))));
					{	/* Ast/node.scm 150 */
						long BgL_arg2292z00_10011;

						BgL_arg2292z00_10011 = BGL_CLASS_NUM(BGl_newz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1553z00_10010),
							BgL_arg2292z00_10011);
					}
					{	/* Ast/node.scm 150 */
						BgL_objectz00_bglt BgL_tmpz00_16444;

						BgL_tmpz00_16444 = ((BgL_objectz00_bglt) BgL_new1553z00_10010);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16444, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1553z00_10010);
					BgL_new1554z00_10009 = BgL_new1553z00_10010;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1554z00_10009)))->BgL_locz00) =
					((obj_t) BgL_loc1228z00_8420), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1554z00_10009)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1229z00_8421)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1554z00_10009)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1230zd2_8422), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1554z00_10009)))->BgL_keyz00) =
					((obj_t) BgL_key1231z00_8423), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1554z00_10009)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21232za2_8424)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1554z00_10009)))->BgL_effectz00) =
					((obj_t) BgL_effect1233z00_8425), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1554z00_10009)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1234zd2_8426)), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(BgL_new1554z00_10009))->
						BgL_argszd2typezd2) =
					((obj_t) ((obj_t) BgL_argszd2type1235zd2_8427)), BUNSPEC);
				return BgL_new1554z00_10009;
			}
		}

	}



/* &<@anonymous:2303> */
	obj_t BGl_z62zc3z04anonymousza32303ze3ze5zzast_nodez00(obj_t BgL_envz00_8428)
	{
		{	/* Ast/node.scm 150 */
			return BNIL;
		}

	}



/* &lambda2302 */
	obj_t BGl_z62lambda2302z62zzast_nodez00(obj_t BgL_envz00_8429,
		obj_t BgL_oz00_8430, obj_t BgL_vz00_8431)
	{
		{	/* Ast/node.scm 150 */
			return
				((((BgL_newz00_bglt) COBJECT(
							((BgL_newz00_bglt) BgL_oz00_8430)))->BgL_argszd2typezd2) =
				((obj_t) ((obj_t) BgL_vz00_8431)), BUNSPEC);
		}

	}



/* &lambda2301 */
	obj_t BGl_z62lambda2301z62zzast_nodez00(obj_t BgL_envz00_8432,
		obj_t BgL_oz00_8433)
	{
		{	/* Ast/node.scm 150 */
			return
				(((BgL_newz00_bglt) COBJECT(
						((BgL_newz00_bglt) BgL_oz00_8433)))->BgL_argszd2typezd2);
		}

	}



/* &<@anonymous:2280> */
	obj_t BGl_z62zc3z04anonymousza32280ze3ze5zzast_nodez00(obj_t BgL_envz00_8434,
		obj_t BgL_new1226z00_8435)
	{
		{	/* Ast/node.scm 146 */
			{
				BgL_wideningz00_bglt BgL_auxz00_16472;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_wideningz00_bglt) BgL_new1226z00_8435))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16476;

					{	/* Ast/node.scm 146 */
						obj_t BgL_classz00_10016;

						BgL_classz00_10016 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 146 */
							obj_t BgL__ortest_1113z00_10017;

							BgL__ortest_1113z00_10017 = BGL_CLASS_NIL(BgL_classz00_10016);
							if (CBOOL(BgL__ortest_1113z00_10017))
								{	/* Ast/node.scm 146 */
									BgL_auxz00_16476 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10017);
								}
							else
								{	/* Ast/node.scm 146 */
									BgL_auxz00_16476 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10016));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_wideningz00_bglt) BgL_new1226z00_8435))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16476), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_wideningz00_bglt) BgL_new1226z00_8435))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_wideningz00_bglt)
										BgL_new1226z00_8435))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1226z00_8435))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1226z00_8435))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1226z00_8435))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16501;

					{	/* Ast/node.scm 146 */
						obj_t BgL_classz00_10018;

						BgL_classz00_10018 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 146 */
							obj_t BgL__ortest_1113z00_10019;

							BgL__ortest_1113z00_10019 = BGL_CLASS_NIL(BgL_classz00_10018);
							if (CBOOL(BgL__ortest_1113z00_10019))
								{	/* Ast/node.scm 146 */
									BgL_auxz00_16501 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10019);
								}
							else
								{	/* Ast/node.scm 146 */
									BgL_auxz00_16501 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10018));
								}
						}
					}
					((((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt) BgL_new1226z00_8435)))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16501), BUNSPEC);
				}
				BgL_auxz00_16472 = ((BgL_wideningz00_bglt) BgL_new1226z00_8435);
				return ((obj_t) BgL_auxz00_16472);
			}
		}

	}



/* &lambda2277 */
	BgL_wideningz00_bglt BGl_z62lambda2277z62zzast_nodez00(obj_t BgL_envz00_8436)
	{
		{	/* Ast/node.scm 146 */
			{	/* Ast/node.scm 146 */
				BgL_wideningz00_bglt BgL_new1225z00_10020;

				BgL_new1225z00_10020 =
					((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_wideningz00_bgl))));
				{	/* Ast/node.scm 146 */
					long BgL_arg2279z00_10021;

					BgL_arg2279z00_10021 = BGL_CLASS_NUM(BGl_wideningz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1225z00_10020), BgL_arg2279z00_10021);
				}
				{	/* Ast/node.scm 146 */
					BgL_objectz00_bglt BgL_tmpz00_16516;

					BgL_tmpz00_16516 = ((BgL_objectz00_bglt) BgL_new1225z00_10020);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16516, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1225z00_10020);
				return BgL_new1225z00_10020;
			}
		}

	}



/* &lambda2275 */
	BgL_wideningz00_bglt BGl_z62lambda2275z62zzast_nodez00(obj_t BgL_envz00_8437,
		obj_t BgL_loc1216z00_8438, obj_t BgL_type1217z00_8439,
		obj_t BgL_sidezd2effect1218zd2_8440, obj_t BgL_key1219z00_8441,
		obj_t BgL_exprza21220za2_8442, obj_t BgL_effect1221z00_8443,
		obj_t BgL_czd2format1222zd2_8444, obj_t BgL_otype1223z00_8445)
	{
		{	/* Ast/node.scm 146 */
			{	/* Ast/node.scm 146 */
				BgL_wideningz00_bglt BgL_new1552z00_10026;

				{	/* Ast/node.scm 146 */
					BgL_wideningz00_bglt BgL_new1551z00_10027;

					BgL_new1551z00_10027 =
						((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_wideningz00_bgl))));
					{	/* Ast/node.scm 146 */
						long BgL_arg2276z00_10028;

						BgL_arg2276z00_10028 = BGL_CLASS_NUM(BGl_wideningz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1551z00_10027),
							BgL_arg2276z00_10028);
					}
					{	/* Ast/node.scm 146 */
						BgL_objectz00_bglt BgL_tmpz00_16524;

						BgL_tmpz00_16524 = ((BgL_objectz00_bglt) BgL_new1551z00_10027);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16524, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1551z00_10027);
					BgL_new1552z00_10026 = BgL_new1551z00_10027;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1552z00_10026)))->BgL_locz00) =
					((obj_t) BgL_loc1216z00_8438), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1552z00_10026)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1217z00_8439)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1552z00_10026)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1218zd2_8440), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1552z00_10026)))->BgL_keyz00) =
					((obj_t) BgL_key1219z00_8441), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1552z00_10026)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21220za2_8442)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1552z00_10026)))->BgL_effectz00) =
					((obj_t) BgL_effect1221z00_8443), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1552z00_10026)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1222zd2_8444)), BUNSPEC);
				((((BgL_wideningz00_bglt) COBJECT(BgL_new1552z00_10026))->
						BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1223z00_8445)),
					BUNSPEC);
				return BgL_new1552z00_10026;
			}
		}

	}



/* &lambda2285 */
	obj_t BGl_z62lambda2285z62zzast_nodez00(obj_t BgL_envz00_8446,
		obj_t BgL_oz00_8447, obj_t BgL_vz00_8448)
	{
		{	/* Ast/node.scm 146 */
			return
				((((BgL_wideningz00_bglt) COBJECT(
							((BgL_wideningz00_bglt) BgL_oz00_8447)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8448)), BUNSPEC);
		}

	}



/* &lambda2284 */
	BgL_typez00_bglt BGl_z62lambda2284z62zzast_nodez00(obj_t BgL_envz00_8449,
		obj_t BgL_oz00_8450)
	{
		{	/* Ast/node.scm 146 */
			return
				(((BgL_wideningz00_bglt) COBJECT(
						((BgL_wideningz00_bglt) BgL_oz00_8450)))->BgL_otypez00);
		}

	}



/* &<@anonymous:2254> */
	obj_t BGl_z62zc3z04anonymousza32254ze3ze5zzast_nodez00(obj_t BgL_envz00_8451,
		obj_t BgL_new1214z00_8452)
	{
		{	/* Ast/node.scm 136 */
			{
				BgL_setfieldz00_bglt BgL_auxz00_16552;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setfieldz00_bglt) BgL_new1214z00_8452))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16556;

					{	/* Ast/node.scm 136 */
						obj_t BgL_classz00_10033;

						BgL_classz00_10033 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 136 */
							obj_t BgL__ortest_1113z00_10034;

							BgL__ortest_1113z00_10034 = BGL_CLASS_NIL(BgL_classz00_10033);
							if (CBOOL(BgL__ortest_1113z00_10034))
								{	/* Ast/node.scm 136 */
									BgL_auxz00_16556 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10034);
								}
							else
								{	/* Ast/node.scm 136 */
									BgL_auxz00_16556 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10033));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1214z00_8452))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16556), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_setfieldz00_bglt) BgL_new1214z00_8452))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1214z00_8452))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1214z00_8452))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1214z00_8452))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1214z00_8452))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1214z00_8452)))->BgL_fnamez00) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16583;

					{	/* Ast/node.scm 136 */
						obj_t BgL_classz00_10035;

						BgL_classz00_10035 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 136 */
							obj_t BgL__ortest_1113z00_10036;

							BgL__ortest_1113z00_10036 = BGL_CLASS_NIL(BgL_classz00_10035);
							if (CBOOL(BgL__ortest_1113z00_10036))
								{	/* Ast/node.scm 136 */
									BgL_auxz00_16583 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10036);
								}
							else
								{	/* Ast/node.scm 136 */
									BgL_auxz00_16583 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10035));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_new1214z00_8452)))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_16583), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16592;

					{	/* Ast/node.scm 136 */
						obj_t BgL_classz00_10037;

						BgL_classz00_10037 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 136 */
							obj_t BgL__ortest_1113z00_10038;

							BgL__ortest_1113z00_10038 = BGL_CLASS_NIL(BgL_classz00_10037);
							if (CBOOL(BgL__ortest_1113z00_10038))
								{	/* Ast/node.scm 136 */
									BgL_auxz00_16592 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10038);
								}
							else
								{	/* Ast/node.scm 136 */
									BgL_auxz00_16592 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10037));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_new1214z00_8452)))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16592), BUNSPEC);
				}
				BgL_auxz00_16552 = ((BgL_setfieldz00_bglt) BgL_new1214z00_8452);
				return ((obj_t) BgL_auxz00_16552);
			}
		}

	}



/* &lambda2252 */
	BgL_setfieldz00_bglt BGl_z62lambda2252z62zzast_nodez00(obj_t BgL_envz00_8453)
	{
		{	/* Ast/node.scm 136 */
			{	/* Ast/node.scm 136 */
				BgL_setfieldz00_bglt BgL_new1213z00_10039;

				BgL_new1213z00_10039 =
					((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setfieldz00_bgl))));
				{	/* Ast/node.scm 136 */
					long BgL_arg2253z00_10040;

					BgL_arg2253z00_10040 = BGL_CLASS_NUM(BGl_setfieldz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1213z00_10039), BgL_arg2253z00_10040);
				}
				{	/* Ast/node.scm 136 */
					BgL_objectz00_bglt BgL_tmpz00_16607;

					BgL_tmpz00_16607 = ((BgL_objectz00_bglt) BgL_new1213z00_10039);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16607, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1213z00_10039);
				return BgL_new1213z00_10039;
			}
		}

	}



/* &lambda2250 */
	BgL_setfieldz00_bglt BGl_z62lambda2250z62zzast_nodez00(obj_t BgL_envz00_8454,
		obj_t BgL_loc1203z00_8455, obj_t BgL_type1204z00_8456,
		obj_t BgL_sidezd2effect1205zd2_8457, obj_t BgL_key1206z00_8458,
		obj_t BgL_exprza21207za2_8459, obj_t BgL_effect1208z00_8460,
		obj_t BgL_czd2format1209zd2_8461, obj_t BgL_fname1210z00_8462,
		obj_t BgL_ftype1211z00_8463, obj_t BgL_otype1212z00_8464)
	{
		{	/* Ast/node.scm 136 */
			{	/* Ast/node.scm 136 */
				BgL_setfieldz00_bglt BgL_new1550z00_10047;

				{	/* Ast/node.scm 136 */
					BgL_setfieldz00_bglt BgL_new1549z00_10048;

					BgL_new1549z00_10048 =
						((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/node.scm 136 */
						long BgL_arg2251z00_10049;

						BgL_arg2251z00_10049 = BGL_CLASS_NUM(BGl_setfieldz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1549z00_10048),
							BgL_arg2251z00_10049);
					}
					{	/* Ast/node.scm 136 */
						BgL_objectz00_bglt BgL_tmpz00_16615;

						BgL_tmpz00_16615 = ((BgL_objectz00_bglt) BgL_new1549z00_10048);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16615, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1549z00_10048);
					BgL_new1550z00_10047 = BgL_new1549z00_10048;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1550z00_10047)))->BgL_locz00) =
					((obj_t) BgL_loc1203z00_8455), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1550z00_10047)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1204z00_8456)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1550z00_10047)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1205zd2_8457), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1550z00_10047)))->BgL_keyz00) =
					((obj_t) BgL_key1206z00_8458), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1550z00_10047)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21207za2_8459)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1550z00_10047)))->BgL_effectz00) =
					((obj_t) BgL_effect1208z00_8460), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1550z00_10047)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1209zd2_8461)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1550z00_10047))->
						BgL_fnamez00) = ((obj_t) ((obj_t) BgL_fname1210z00_8462)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1550z00_10047))->
						BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1211z00_8463)),
					BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1550z00_10047))->
						BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1212z00_8464)),
					BUNSPEC);
				return BgL_new1550z00_10047;
			}
		}

	}



/* &lambda2269 */
	obj_t BGl_z62lambda2269z62zzast_nodez00(obj_t BgL_envz00_8465,
		obj_t BgL_oz00_8466, obj_t BgL_vz00_8467)
	{
		{	/* Ast/node.scm 136 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(
							((BgL_setfieldz00_bglt) BgL_oz00_8466)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8467)), BUNSPEC);
		}

	}



/* &lambda2268 */
	BgL_typez00_bglt BGl_z62lambda2268z62zzast_nodez00(obj_t BgL_envz00_8468,
		obj_t BgL_oz00_8469)
	{
		{	/* Ast/node.scm 136 */
			return
				(((BgL_setfieldz00_bglt) COBJECT(
						((BgL_setfieldz00_bglt) BgL_oz00_8469)))->BgL_otypez00);
		}

	}



/* &lambda2264 */
	obj_t BGl_z62lambda2264z62zzast_nodez00(obj_t BgL_envz00_8470,
		obj_t BgL_oz00_8471, obj_t BgL_vz00_8472)
	{
		{	/* Ast/node.scm 136 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(
							((BgL_setfieldz00_bglt) BgL_oz00_8471)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8472)), BUNSPEC);
		}

	}



/* &lambda2263 */
	BgL_typez00_bglt BGl_z62lambda2263z62zzast_nodez00(obj_t BgL_envz00_8473,
		obj_t BgL_oz00_8474)
	{
		{	/* Ast/node.scm 136 */
			return
				(((BgL_setfieldz00_bglt) COBJECT(
						((BgL_setfieldz00_bglt) BgL_oz00_8474)))->BgL_ftypez00);
		}

	}



/* &lambda2259 */
	obj_t BGl_z62lambda2259z62zzast_nodez00(obj_t BgL_envz00_8475,
		obj_t BgL_oz00_8476, obj_t BgL_vz00_8477)
	{
		{	/* Ast/node.scm 136 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(
							((BgL_setfieldz00_bglt) BgL_oz00_8476)))->BgL_fnamez00) = ((obj_t)
					((obj_t) BgL_vz00_8477)), BUNSPEC);
		}

	}



/* &lambda2258 */
	obj_t BGl_z62lambda2258z62zzast_nodez00(obj_t BgL_envz00_8478,
		obj_t BgL_oz00_8479)
	{
		{	/* Ast/node.scm 136 */
			return
				(((BgL_setfieldz00_bglt) COBJECT(
						((BgL_setfieldz00_bglt) BgL_oz00_8479)))->BgL_fnamez00);
		}

	}



/* &<@anonymous:2229> */
	obj_t BGl_z62zc3z04anonymousza32229ze3ze5zzast_nodez00(obj_t BgL_envz00_8480,
		obj_t BgL_new1201z00_8481)
	{
		{	/* Ast/node.scm 127 */
			{
				BgL_getfieldz00_bglt BgL_auxz00_16657;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_getfieldz00_bglt) BgL_new1201z00_8481))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16661;

					{	/* Ast/node.scm 127 */
						obj_t BgL_classz00_10060;

						BgL_classz00_10060 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 127 */
							obj_t BgL__ortest_1113z00_10061;

							BgL__ortest_1113z00_10061 = BGL_CLASS_NIL(BgL_classz00_10060);
							if (CBOOL(BgL__ortest_1113z00_10061))
								{	/* Ast/node.scm 127 */
									BgL_auxz00_16661 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10061);
								}
							else
								{	/* Ast/node.scm 127 */
									BgL_auxz00_16661 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10060));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1201z00_8481))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16661), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_getfieldz00_bglt) BgL_new1201z00_8481))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1201z00_8481))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1201z00_8481))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1201z00_8481))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1201z00_8481))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1201z00_8481)))->BgL_fnamez00) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16688;

					{	/* Ast/node.scm 127 */
						obj_t BgL_classz00_10062;

						BgL_classz00_10062 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 127 */
							obj_t BgL__ortest_1113z00_10063;

							BgL__ortest_1113z00_10063 = BGL_CLASS_NIL(BgL_classz00_10062);
							if (CBOOL(BgL__ortest_1113z00_10063))
								{	/* Ast/node.scm 127 */
									BgL_auxz00_16688 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10063);
								}
							else
								{	/* Ast/node.scm 127 */
									BgL_auxz00_16688 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10062));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_new1201z00_8481)))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_16688), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16697;

					{	/* Ast/node.scm 127 */
						obj_t BgL_classz00_10064;

						BgL_classz00_10064 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 127 */
							obj_t BgL__ortest_1113z00_10065;

							BgL__ortest_1113z00_10065 = BGL_CLASS_NIL(BgL_classz00_10064);
							if (CBOOL(BgL__ortest_1113z00_10065))
								{	/* Ast/node.scm 127 */
									BgL_auxz00_16697 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10065);
								}
							else
								{	/* Ast/node.scm 127 */
									BgL_auxz00_16697 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10064));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_new1201z00_8481)))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16697), BUNSPEC);
				}
				BgL_auxz00_16657 = ((BgL_getfieldz00_bglt) BgL_new1201z00_8481);
				return ((obj_t) BgL_auxz00_16657);
			}
		}

	}



/* &lambda2227 */
	BgL_getfieldz00_bglt BGl_z62lambda2227z62zzast_nodez00(obj_t BgL_envz00_8482)
	{
		{	/* Ast/node.scm 127 */
			{	/* Ast/node.scm 127 */
				BgL_getfieldz00_bglt BgL_new1199z00_10066;

				BgL_new1199z00_10066 =
					((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_getfieldz00_bgl))));
				{	/* Ast/node.scm 127 */
					long BgL_arg2228z00_10067;

					BgL_arg2228z00_10067 = BGL_CLASS_NUM(BGl_getfieldz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1199z00_10066), BgL_arg2228z00_10067);
				}
				{	/* Ast/node.scm 127 */
					BgL_objectz00_bglt BgL_tmpz00_16712;

					BgL_tmpz00_16712 = ((BgL_objectz00_bglt) BgL_new1199z00_10066);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16712, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1199z00_10066);
				return BgL_new1199z00_10066;
			}
		}

	}



/* &lambda2225 */
	BgL_getfieldz00_bglt BGl_z62lambda2225z62zzast_nodez00(obj_t BgL_envz00_8483,
		obj_t BgL_loc1189z00_8484, obj_t BgL_type1190z00_8485,
		obj_t BgL_sidezd2effect1191zd2_8486, obj_t BgL_key1192z00_8487,
		obj_t BgL_exprza21193za2_8488, obj_t BgL_effect1194z00_8489,
		obj_t BgL_czd2format1195zd2_8490, obj_t BgL_fname1196z00_8491,
		obj_t BgL_ftype1197z00_8492, obj_t BgL_otype1198z00_8493)
	{
		{	/* Ast/node.scm 127 */
			{	/* Ast/node.scm 127 */
				BgL_getfieldz00_bglt BgL_new1548z00_10074;

				{	/* Ast/node.scm 127 */
					BgL_getfieldz00_bglt BgL_new1547z00_10075;

					BgL_new1547z00_10075 =
						((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/node.scm 127 */
						long BgL_arg2226z00_10076;

						BgL_arg2226z00_10076 = BGL_CLASS_NUM(BGl_getfieldz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1547z00_10075),
							BgL_arg2226z00_10076);
					}
					{	/* Ast/node.scm 127 */
						BgL_objectz00_bglt BgL_tmpz00_16720;

						BgL_tmpz00_16720 = ((BgL_objectz00_bglt) BgL_new1547z00_10075);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16720, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1547z00_10075);
					BgL_new1548z00_10074 = BgL_new1547z00_10075;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1548z00_10074)))->BgL_locz00) =
					((obj_t) BgL_loc1189z00_8484), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1548z00_10074)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1190z00_8485)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1548z00_10074)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1191zd2_8486), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1548z00_10074)))->BgL_keyz00) =
					((obj_t) BgL_key1192z00_8487), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1548z00_10074)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21193za2_8488)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1548z00_10074)))->BgL_effectz00) =
					((obj_t) BgL_effect1194z00_8489), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1548z00_10074)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1195zd2_8490)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1548z00_10074))->
						BgL_fnamez00) = ((obj_t) ((obj_t) BgL_fname1196z00_8491)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1548z00_10074))->
						BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1197z00_8492)),
					BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1548z00_10074))->
						BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1198z00_8493)),
					BUNSPEC);
				return BgL_new1548z00_10074;
			}
		}

	}



/* &lambda2244 */
	obj_t BGl_z62lambda2244z62zzast_nodez00(obj_t BgL_envz00_8494,
		obj_t BgL_oz00_8495, obj_t BgL_vz00_8496)
	{
		{	/* Ast/node.scm 127 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_oz00_8495)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8496)), BUNSPEC);
		}

	}



/* &lambda2243 */
	BgL_typez00_bglt BGl_z62lambda2243z62zzast_nodez00(obj_t BgL_envz00_8497,
		obj_t BgL_oz00_8498)
	{
		{	/* Ast/node.scm 127 */
			return
				(((BgL_getfieldz00_bglt) COBJECT(
						((BgL_getfieldz00_bglt) BgL_oz00_8498)))->BgL_otypez00);
		}

	}



/* &lambda2239 */
	obj_t BGl_z62lambda2239z62zzast_nodez00(obj_t BgL_envz00_8499,
		obj_t BgL_oz00_8500, obj_t BgL_vz00_8501)
	{
		{	/* Ast/node.scm 127 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_oz00_8500)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8501)), BUNSPEC);
		}

	}



/* &lambda2238 */
	BgL_typez00_bglt BGl_z62lambda2238z62zzast_nodez00(obj_t BgL_envz00_8502,
		obj_t BgL_oz00_8503)
	{
		{	/* Ast/node.scm 127 */
			return
				(((BgL_getfieldz00_bglt) COBJECT(
						((BgL_getfieldz00_bglt) BgL_oz00_8503)))->BgL_ftypez00);
		}

	}



/* &lambda2234 */
	obj_t BGl_z62lambda2234z62zzast_nodez00(obj_t BgL_envz00_8504,
		obj_t BgL_oz00_8505, obj_t BgL_vz00_8506)
	{
		{	/* Ast/node.scm 127 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_oz00_8505)))->BgL_fnamez00) = ((obj_t)
					((obj_t) BgL_vz00_8506)), BUNSPEC);
		}

	}



/* &lambda2233 */
	obj_t BGl_z62lambda2233z62zzast_nodez00(obj_t BgL_envz00_8507,
		obj_t BgL_oz00_8508)
	{
		{	/* Ast/node.scm 127 */
			return
				(((BgL_getfieldz00_bglt) COBJECT(
						((BgL_getfieldz00_bglt) BgL_oz00_8508)))->BgL_fnamez00);
		}

	}



/* &<@anonymous:2214> */
	obj_t BGl_z62zc3z04anonymousza32214ze3ze5zzast_nodez00(obj_t BgL_envz00_8509,
		obj_t BgL_new1187z00_8510)
	{
		{	/* Ast/node.scm 123 */
			{
				BgL_privatez00_bglt BgL_auxz00_16762;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_privatez00_bglt) BgL_new1187z00_8510))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16766;

					{	/* Ast/node.scm 123 */
						obj_t BgL_classz00_10087;

						BgL_classz00_10087 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 123 */
							obj_t BgL__ortest_1113z00_10088;

							BgL__ortest_1113z00_10088 = BGL_CLASS_NIL(BgL_classz00_10087);
							if (CBOOL(BgL__ortest_1113z00_10088))
								{	/* Ast/node.scm 123 */
									BgL_auxz00_16766 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10088);
								}
							else
								{	/* Ast/node.scm 123 */
									BgL_auxz00_16766 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10087));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_privatez00_bglt) BgL_new1187z00_8510))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16766), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_privatez00_bglt) BgL_new1187z00_8510))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_privatez00_bglt)
										BgL_new1187z00_8510))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_privatez00_bglt)
										BgL_new1187z00_8510))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_privatez00_bglt)
										BgL_new1187z00_8510))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1187z00_8510)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				BgL_auxz00_16762 = ((BgL_privatez00_bglt) BgL_new1187z00_8510);
				return ((obj_t) BgL_auxz00_16762);
			}
		}

	}



/* &lambda2212 */
	BgL_privatez00_bglt BGl_z62lambda2212z62zzast_nodez00(obj_t BgL_envz00_8511)
	{
		{	/* Ast/node.scm 123 */
			{	/* Ast/node.scm 123 */
				BgL_privatez00_bglt BgL_new1186z00_10089;

				BgL_new1186z00_10089 =
					((BgL_privatez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_privatez00_bgl))));
				{	/* Ast/node.scm 123 */
					long BgL_arg2213z00_10090;

					BgL_arg2213z00_10090 = BGL_CLASS_NUM(BGl_privatez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1186z00_10089), BgL_arg2213z00_10090);
				}
				return BgL_new1186z00_10089;
			}
		}

	}



/* &lambda2210 */
	BgL_privatez00_bglt BGl_z62lambda2210z62zzast_nodez00(obj_t BgL_envz00_8512,
		obj_t BgL_loc1179z00_8513, obj_t BgL_type1180z00_8514,
		obj_t BgL_sidezd2effect1181zd2_8515, obj_t BgL_key1182z00_8516,
		obj_t BgL_exprza21183za2_8517, obj_t BgL_effect1184z00_8518,
		obj_t BgL_czd2format1185zd2_8519)
	{
		{	/* Ast/node.scm 123 */
			{	/* Ast/node.scm 123 */
				BgL_privatez00_bglt BgL_new1546z00_10094;

				{	/* Ast/node.scm 123 */
					BgL_privatez00_bglt BgL_new1545z00_10095;

					BgL_new1545z00_10095 =
						((BgL_privatez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/node.scm 123 */
						long BgL_arg2211z00_10096;

						BgL_arg2211z00_10096 = BGL_CLASS_NUM(BGl_privatez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1545z00_10095),
							BgL_arg2211z00_10096);
					}
					BgL_new1546z00_10094 = BgL_new1545z00_10095;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1546z00_10094)))->BgL_locz00) =
					((obj_t) BgL_loc1179z00_8513), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1546z00_10094)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1180z00_8514)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1546z00_10094)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1181zd2_8515), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1546z00_10094)))->BgL_keyz00) =
					((obj_t) BgL_key1182z00_8516), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1546z00_10094)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21183za2_8517)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1546z00_10094)))->BgL_effectz00) =
					((obj_t) BgL_effect1184z00_8518), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(BgL_new1546z00_10094))->
						BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1185zd2_8519)), BUNSPEC);
				return BgL_new1546z00_10094;
			}
		}

	}



/* &lambda2219 */
	obj_t BGl_z62lambda2219z62zzast_nodez00(obj_t BgL_envz00_8520,
		obj_t BgL_oz00_8521, obj_t BgL_vz00_8522)
	{
		{	/* Ast/node.scm 123 */
			return
				((((BgL_privatez00_bglt) COBJECT(
							((BgL_privatez00_bglt) BgL_oz00_8521)))->BgL_czd2formatzd2) =
				((obj_t) ((obj_t) BgL_vz00_8522)), BUNSPEC);
		}

	}



/* &lambda2218 */
	obj_t BGl_z62lambda2218z62zzast_nodez00(obj_t BgL_envz00_8523,
		obj_t BgL_oz00_8524)
	{
		{	/* Ast/node.scm 123 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_8524)))->BgL_czd2formatzd2);
		}

	}



/* &<@anonymous:2190> */
	obj_t BGl_z62zc3z04anonymousza32190ze3ze5zzast_nodez00(obj_t BgL_envz00_8525,
		obj_t BgL_new1177z00_8526)
	{
		{	/* Ast/node.scm 118 */
			{
				BgL_genpatchidz00_bglt BgL_auxz00_16821;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_genpatchidz00_bglt) BgL_new1177z00_8526))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16825;

					{	/* Ast/node.scm 118 */
						obj_t BgL_classz00_10101;

						BgL_classz00_10101 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 118 */
							obj_t BgL__ortest_1113z00_10102;

							BgL__ortest_1113z00_10102 = BGL_CLASS_NIL(BgL_classz00_10101);
							if (CBOOL(BgL__ortest_1113z00_10102))
								{	/* Ast/node.scm 118 */
									BgL_auxz00_16825 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10102);
								}
							else
								{	/* Ast/node.scm 118 */
									BgL_auxz00_16825 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10101));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_genpatchidz00_bglt) BgL_new1177z00_8526))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16825), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_genpatchidz00_bglt) BgL_new1177z00_8526))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1177z00_8526))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1177z00_8526))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1177z00_8526))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1177z00_8526)))->BgL_indexz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1177z00_8526)))->BgL_rindexz00) =
					((long) ((long) 0)), BUNSPEC);
				BgL_auxz00_16821 = ((BgL_genpatchidz00_bglt) BgL_new1177z00_8526);
				return ((obj_t) BgL_auxz00_16821);
			}
		}

	}



/* &lambda2188 */
	BgL_genpatchidz00_bglt BGl_z62lambda2188z62zzast_nodez00(obj_t
		BgL_envz00_8527)
	{
		{	/* Ast/node.scm 118 */
			{	/* Ast/node.scm 118 */
				BgL_genpatchidz00_bglt BgL_new1176z00_10103;

				BgL_new1176z00_10103 =
					((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_genpatchidz00_bgl))));
				{	/* Ast/node.scm 118 */
					long BgL_arg2189z00_10104;

					BgL_arg2189z00_10104 = BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1176z00_10103), BgL_arg2189z00_10104);
				}
				{	/* Ast/node.scm 118 */
					BgL_objectz00_bglt BgL_tmpz00_16857;

					BgL_tmpz00_16857 = ((BgL_objectz00_bglt) BgL_new1176z00_10103);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16857, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1176z00_10103);
				return BgL_new1176z00_10103;
			}
		}

	}



/* &lambda2186 */
	BgL_genpatchidz00_bglt BGl_z62lambda2186z62zzast_nodez00(obj_t
		BgL_envz00_8528, obj_t BgL_loc1168z00_8529, obj_t BgL_type1169z00_8530,
		obj_t BgL_sidezd2effect1170zd2_8531, obj_t BgL_key1171z00_8532,
		obj_t BgL_exprza21172za2_8533, obj_t BgL_effect1173z00_8534,
		obj_t BgL_index1174z00_8535, obj_t BgL_rindex1175z00_8536)
	{
		{	/* Ast/node.scm 118 */
			{	/* Ast/node.scm 118 */
				long BgL_index1174z00_10107;
				long BgL_rindex1175z00_10108;

				BgL_index1174z00_10107 = (long) CINT(BgL_index1174z00_8535);
				BgL_rindex1175z00_10108 = (long) CINT(BgL_rindex1175z00_8536);
				{	/* Ast/node.scm 118 */
					BgL_genpatchidz00_bglt BgL_new1544z00_10109;

					{	/* Ast/node.scm 118 */
						BgL_genpatchidz00_bglt BgL_new1543z00_10110;

						BgL_new1543z00_10110 =
							((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_genpatchidz00_bgl))));
						{	/* Ast/node.scm 118 */
							long BgL_arg2187z00_10111;

							BgL_arg2187z00_10111 =
								BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1543z00_10110),
								BgL_arg2187z00_10111);
						}
						{	/* Ast/node.scm 118 */
							BgL_objectz00_bglt BgL_tmpz00_16867;

							BgL_tmpz00_16867 = ((BgL_objectz00_bglt) BgL_new1543z00_10110);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16867, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1543z00_10110);
						BgL_new1544z00_10109 = BgL_new1543z00_10110;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1544z00_10109)))->BgL_locz00) =
						((obj_t) BgL_loc1168z00_8529), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1544z00_10109)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1169z00_8530)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1544z00_10109)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1170zd2_8531), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1544z00_10109)))->BgL_keyz00) =
						((obj_t) BgL_key1171z00_8532), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1544z00_10109)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21172za2_8533)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1544z00_10109)))->BgL_effectz00) =
						((obj_t) BgL_effect1173z00_8534), BUNSPEC);
					((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1544z00_10109))->
							BgL_indexz00) = ((long) BgL_index1174z00_10107), BUNSPEC);
					((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1544z00_10109))->
							BgL_rindexz00) = ((long) BgL_rindex1175z00_10108), BUNSPEC);
					return BgL_new1544z00_10109;
				}
			}
		}

	}



/* &<@anonymous:2204> */
	obj_t BGl_z62zc3z04anonymousza32204ze3ze5zzast_nodez00(obj_t BgL_envz00_8537)
	{
		{	/* Ast/node.scm 118 */
			return BINT(((long) -1));
		}

	}



/* &lambda2203 */
	obj_t BGl_z62lambda2203z62zzast_nodez00(obj_t BgL_envz00_8538,
		obj_t BgL_oz00_8539, obj_t BgL_vz00_8540)
	{
		{	/* Ast/node.scm 118 */
			{	/* Ast/node.scm 118 */
				long BgL_vz00_10113;

				BgL_vz00_10113 = (long) CINT(BgL_vz00_8540);
				return
					((((BgL_genpatchidz00_bglt) COBJECT(
								((BgL_genpatchidz00_bglt) BgL_oz00_8539)))->BgL_rindexz00) =
					((long) BgL_vz00_10113), BUNSPEC);
		}}

	}



/* &lambda2202 */
	obj_t BGl_z62lambda2202z62zzast_nodez00(obj_t BgL_envz00_8541,
		obj_t BgL_oz00_8542)
	{
		{	/* Ast/node.scm 118 */
			return
				BINT(
				(((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_8542)))->BgL_rindexz00));
		}

	}



/* &<@anonymous:2197> */
	obj_t BGl_z62zc3z04anonymousza32197ze3ze5zzast_nodez00(obj_t BgL_envz00_8543)
	{
		{	/* Ast/node.scm 118 */
			return BINT(((long) -1));
		}

	}



/* &lambda2196 */
	obj_t BGl_z62lambda2196z62zzast_nodez00(obj_t BgL_envz00_8544,
		obj_t BgL_oz00_8545, obj_t BgL_vz00_8546)
	{
		{	/* Ast/node.scm 118 */
			{	/* Ast/node.scm 118 */
				long BgL_vz00_10116;

				BgL_vz00_10116 = (long) CINT(BgL_vz00_8546);
				return
					((((BgL_genpatchidz00_bglt) COBJECT(
								((BgL_genpatchidz00_bglt) BgL_oz00_8545)))->BgL_indexz00) =
					((long) BgL_vz00_10116), BUNSPEC);
		}}

	}



/* &lambda2195 */
	obj_t BGl_z62lambda2195z62zzast_nodez00(obj_t BgL_envz00_8547,
		obj_t BgL_oz00_8548)
	{
		{	/* Ast/node.scm 118 */
			return
				BINT(
				(((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_8548)))->BgL_indexz00));
		}

	}



/* &<@anonymous:2175> */
	obj_t BGl_z62zc3z04anonymousza32175ze3ze5zzast_nodez00(obj_t BgL_envz00_8549,
		obj_t BgL_new1166z00_8550)
	{
		{	/* Ast/node.scm 114 */
			{
				BgL_pragmaz00_bglt BgL_auxz00_16901;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_pragmaz00_bglt) BgL_new1166z00_8550))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16905;

					{	/* Ast/node.scm 114 */
						obj_t BgL_classz00_10119;

						BgL_classz00_10119 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 114 */
							obj_t BgL__ortest_1113z00_10120;

							BgL__ortest_1113z00_10120 = BGL_CLASS_NIL(BgL_classz00_10119);
							if (CBOOL(BgL__ortest_1113z00_10120))
								{	/* Ast/node.scm 114 */
									BgL_auxz00_16905 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10120);
								}
							else
								{	/* Ast/node.scm 114 */
									BgL_auxz00_16905 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10119));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_pragmaz00_bglt) BgL_new1166z00_8550))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16905), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_pragmaz00_bglt) BgL_new1166z00_8550))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1166z00_8550))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1166z00_8550))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1166z00_8550))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
									BgL_new1166z00_8550)))->BgL_formatz00) =
					((obj_t) BGl_string3320z00zzast_nodez00), BUNSPEC);
				BgL_auxz00_16901 = ((BgL_pragmaz00_bglt) BgL_new1166z00_8550);
				return ((obj_t) BgL_auxz00_16901);
			}
		}

	}



/* &lambda2173 */
	BgL_pragmaz00_bglt BGl_z62lambda2173z62zzast_nodez00(obj_t BgL_envz00_8551)
	{
		{	/* Ast/node.scm 114 */
			{	/* Ast/node.scm 114 */
				BgL_pragmaz00_bglt BgL_new1165z00_10121;

				BgL_new1165z00_10121 =
					((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pragmaz00_bgl))));
				{	/* Ast/node.scm 114 */
					long BgL_arg2174z00_10122;

					BgL_arg2174z00_10122 = BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1165z00_10121), BgL_arg2174z00_10122);
				}
				{	/* Ast/node.scm 114 */
					BgL_objectz00_bglt BgL_tmpz00_16935;

					BgL_tmpz00_16935 = ((BgL_objectz00_bglt) BgL_new1165z00_10121);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16935, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1165z00_10121);
				return BgL_new1165z00_10121;
			}
		}

	}



/* &lambda2171 */
	BgL_pragmaz00_bglt BGl_z62lambda2171z62zzast_nodez00(obj_t BgL_envz00_8552,
		obj_t BgL_loc1158z00_8553, obj_t BgL_type1159z00_8554,
		obj_t BgL_sidezd2effect1160zd2_8555, obj_t BgL_key1161z00_8556,
		obj_t BgL_exprza21162za2_8557, obj_t BgL_effect1163z00_8558,
		obj_t BgL_format1164z00_8559)
	{
		{	/* Ast/node.scm 114 */
			{	/* Ast/node.scm 114 */
				BgL_pragmaz00_bglt BgL_new1542z00_10126;

				{	/* Ast/node.scm 114 */
					BgL_pragmaz00_bglt BgL_new1541z00_10127;

					BgL_new1541z00_10127 =
						((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/node.scm 114 */
						long BgL_arg2172z00_10128;

						BgL_arg2172z00_10128 = BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1541z00_10127),
							BgL_arg2172z00_10128);
					}
					{	/* Ast/node.scm 114 */
						BgL_objectz00_bglt BgL_tmpz00_16943;

						BgL_tmpz00_16943 = ((BgL_objectz00_bglt) BgL_new1541z00_10127);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16943, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1541z00_10127);
					BgL_new1542z00_10126 = BgL_new1541z00_10127;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1542z00_10126)))->BgL_locz00) =
					((obj_t) BgL_loc1158z00_8553), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1542z00_10126)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1159z00_8554)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1542z00_10126)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1160zd2_8555), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1542z00_10126)))->BgL_keyz00) =
					((obj_t) BgL_key1161z00_8556), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1542z00_10126)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21162za2_8557)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1542z00_10126)))->BgL_effectz00) =
					((obj_t) BgL_effect1163z00_8558), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(BgL_new1542z00_10126))->BgL_formatz00) =
					((obj_t) ((obj_t) BgL_format1164z00_8559)), BUNSPEC);
				return BgL_new1542z00_10126;
			}
		}

	}



/* &lambda2180 */
	obj_t BGl_z62lambda2180z62zzast_nodez00(obj_t BgL_envz00_8560,
		obj_t BgL_oz00_8561, obj_t BgL_vz00_8562)
	{
		{	/* Ast/node.scm 114 */
			return
				((((BgL_pragmaz00_bglt) COBJECT(
							((BgL_pragmaz00_bglt) BgL_oz00_8561)))->BgL_formatz00) = ((obj_t)
					((obj_t) BgL_vz00_8562)), BUNSPEC);
		}

	}



/* &lambda2179 */
	obj_t BGl_z62lambda2179z62zzast_nodez00(obj_t BgL_envz00_8563,
		obj_t BgL_oz00_8564)
	{
		{	/* Ast/node.scm 114 */
			return
				(((BgL_pragmaz00_bglt) COBJECT(
						((BgL_pragmaz00_bglt) BgL_oz00_8564)))->BgL_formatz00);
		}

	}



/* &<@anonymous:2150> */
	obj_t BGl_z62zc3z04anonymousza32150ze3ze5zzast_nodez00(obj_t BgL_envz00_8565,
		obj_t BgL_new1156z00_8566)
	{
		{	/* Ast/node.scm 107 */
			{
				BgL_externz00_bglt BgL_auxz00_16968;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_externz00_bglt) BgL_new1156z00_8566))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16972;

					{	/* Ast/node.scm 107 */
						obj_t BgL_classz00_10133;

						BgL_classz00_10133 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 107 */
							obj_t BgL__ortest_1113z00_10134;

							BgL__ortest_1113z00_10134 = BGL_CLASS_NIL(BgL_classz00_10133);
							if (CBOOL(BgL__ortest_1113z00_10134))
								{	/* Ast/node.scm 107 */
									BgL_auxz00_16972 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10134);
								}
							else
								{	/* Ast/node.scm 107 */
									BgL_auxz00_16972 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10133));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_externz00_bglt) BgL_new1156z00_8566))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16972), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_externz00_bglt) BgL_new1156z00_8566))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_externz00_bglt)
										BgL_new1156z00_8566))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1156z00_8566)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1156z00_8566)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_16968 = ((BgL_externz00_bglt) BgL_new1156z00_8566);
				return ((obj_t) BgL_auxz00_16968);
			}
		}

	}



/* &lambda2148 */
	BgL_externz00_bglt BGl_z62lambda2148z62zzast_nodez00(obj_t BgL_envz00_8567)
	{
		{	/* Ast/node.scm 107 */
			{	/* Ast/node.scm 107 */
				BgL_externz00_bglt BgL_new1155z00_10135;

				BgL_new1155z00_10135 =
					((BgL_externz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_externz00_bgl))));
				{	/* Ast/node.scm 107 */
					long BgL_arg2149z00_10136;

					BgL_arg2149z00_10136 = BGL_CLASS_NUM(BGl_externz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1155z00_10135), BgL_arg2149z00_10136);
				}
				return BgL_new1155z00_10135;
			}
		}

	}



/* &lambda2146 */
	BgL_externz00_bglt BGl_z62lambda2146z62zzast_nodez00(obj_t BgL_envz00_8568,
		obj_t BgL_loc1149z00_8569, obj_t BgL_type1150z00_8570,
		obj_t BgL_sidezd2effect1151zd2_8571, obj_t BgL_key1152z00_8572,
		obj_t BgL_exprza21153za2_8573, obj_t BgL_effect1154z00_8574)
	{
		{	/* Ast/node.scm 107 */
			{	/* Ast/node.scm 107 */
				BgL_externz00_bglt BgL_new1540z00_10139;

				{	/* Ast/node.scm 107 */
					BgL_externz00_bglt BgL_new1539z00_10140;

					BgL_new1539z00_10140 =
						((BgL_externz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/node.scm 107 */
						long BgL_arg2147z00_10141;

						BgL_arg2147z00_10141 = BGL_CLASS_NUM(BGl_externz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1539z00_10140),
							BgL_arg2147z00_10141);
					}
					BgL_new1540z00_10139 = BgL_new1539z00_10140;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1540z00_10139)))->BgL_locz00) =
					((obj_t) BgL_loc1149z00_8569), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1540z00_10139)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1150z00_8570)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1540z00_10139)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1151zd2_8571), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1540z00_10139)))->BgL_keyz00) =
					((obj_t) BgL_key1152z00_8572), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1540z00_10139))->
						BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21153za2_8573)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1540z00_10139))->BgL_effectz00) =
					((obj_t) BgL_effect1154z00_8574), BUNSPEC);
				return BgL_new1540z00_10139;
			}
		}

	}



/* &<@anonymous:2165> */
	obj_t BGl_z62zc3z04anonymousza32165ze3ze5zzast_nodez00(obj_t BgL_envz00_8575)
	{
		{	/* Ast/node.scm 107 */
			return BUNSPEC;
		}

	}



/* &lambda2164 */
	obj_t BGl_z62lambda2164z62zzast_nodez00(obj_t BgL_envz00_8576,
		obj_t BgL_oz00_8577, obj_t BgL_vz00_8578)
	{
		{	/* Ast/node.scm 107 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_8577)))->BgL_effectz00) =
				((obj_t) BgL_vz00_8578), BUNSPEC);
		}

	}



/* &lambda2163 */
	obj_t BGl_z62lambda2163z62zzast_nodez00(obj_t BgL_envz00_8579,
		obj_t BgL_oz00_8580)
	{
		{	/* Ast/node.scm 107 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_8580)))->BgL_effectz00);
		}

	}



/* &<@anonymous:2158> */
	obj_t BGl_z62zc3z04anonymousza32158ze3ze5zzast_nodez00(obj_t BgL_envz00_8581)
	{
		{	/* Ast/node.scm 107 */
			return BNIL;
		}

	}



/* &lambda2157 */
	obj_t BGl_z62lambda2157z62zzast_nodez00(obj_t BgL_envz00_8582,
		obj_t BgL_oz00_8583, obj_t BgL_vz00_8584)
	{
		{	/* Ast/node.scm 107 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_8583)))->BgL_exprza2za2) = ((obj_t)
					((obj_t) BgL_vz00_8584)), BUNSPEC);
		}

	}



/* &lambda2156 */
	obj_t BGl_z62lambda2156z62zzast_nodez00(obj_t BgL_envz00_8585,
		obj_t BgL_oz00_8586)
	{
		{	/* Ast/node.scm 107 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_8586)))->BgL_exprza2za2);
		}

	}



/* &<@anonymous:2115> */
	obj_t BGl_z62zc3z04anonymousza32115ze3ze5zzast_nodez00(obj_t BgL_envz00_8587,
		obj_t BgL_new1147z00_8588)
	{
		{	/* Ast/node.scm 95 */
			{
				BgL_funcallz00_bglt BgL_auxz00_17023;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_funcallz00_bglt) BgL_new1147z00_8588))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17027;

					{	/* Ast/node.scm 95 */
						obj_t BgL_classz00_10148;

						BgL_classz00_10148 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 95 */
							obj_t BgL__ortest_1113z00_10149;

							BgL__ortest_1113z00_10149 = BGL_CLASS_NIL(BgL_classz00_10148);
							if (CBOOL(BgL__ortest_1113z00_10149))
								{	/* Ast/node.scm 95 */
									BgL_auxz00_17027 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10149);
								}
							else
								{	/* Ast/node.scm 95 */
									BgL_auxz00_17027 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10148));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_new1147z00_8588))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17027), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17037;

					{	/* Ast/node.scm 95 */
						obj_t BgL_classz00_10150;

						BgL_classz00_10150 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 95 */
							obj_t BgL__ortest_1113z00_10151;

							BgL__ortest_1113z00_10151 = BGL_CLASS_NIL(BgL_classz00_10150);
							if (CBOOL(BgL__ortest_1113z00_10151))
								{	/* Ast/node.scm 95 */
									BgL_auxz00_17037 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_10151);
								}
							else
								{	/* Ast/node.scm 95 */
									BgL_auxz00_17037 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10150));
								}
						}
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_new1147z00_8588)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17037), BUNSPEC);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_new1147z00_8588)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1147z00_8588)))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 93))), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1147z00_8588)))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17023 = ((BgL_funcallz00_bglt) BgL_new1147z00_8588);
				return ((obj_t) BgL_auxz00_17023);
			}
		}

	}



/* &lambda2113 */
	BgL_funcallz00_bglt BGl_z62lambda2113z62zzast_nodez00(obj_t BgL_envz00_8589)
	{
		{	/* Ast/node.scm 95 */
			{	/* Ast/node.scm 95 */
				BgL_funcallz00_bglt BgL_new1146z00_10152;

				BgL_new1146z00_10152 =
					((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_funcallz00_bgl))));
				{	/* Ast/node.scm 95 */
					long BgL_arg2114z00_10153;

					BgL_arg2114z00_10153 = BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1146z00_10152), BgL_arg2114z00_10153);
				}
				{	/* Ast/node.scm 95 */
					BgL_objectz00_bglt BgL_tmpz00_17059;

					BgL_tmpz00_17059 = ((BgL_objectz00_bglt) BgL_new1146z00_10152);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17059, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1146z00_10152);
				return BgL_new1146z00_10152;
			}
		}

	}



/* &lambda2111 */
	BgL_funcallz00_bglt BGl_z62lambda2111z62zzast_nodez00(obj_t BgL_envz00_8590,
		obj_t BgL_loc1140z00_8591, obj_t BgL_type1141z00_8592,
		obj_t BgL_fun1142z00_8593, obj_t BgL_args1143z00_8594,
		obj_t BgL_strength1144z00_8595, obj_t BgL_functions1145z00_8596)
	{
		{	/* Ast/node.scm 95 */
			{	/* Ast/node.scm 95 */
				BgL_funcallz00_bglt BgL_new1538z00_10157;

				{	/* Ast/node.scm 95 */
					BgL_funcallz00_bglt BgL_new1537z00_10158;

					BgL_new1537z00_10158 =
						((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/node.scm 95 */
						long BgL_arg2112z00_10159;

						BgL_arg2112z00_10159 = BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1537z00_10158),
							BgL_arg2112z00_10159);
					}
					{	/* Ast/node.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_17067;

						BgL_tmpz00_17067 = ((BgL_objectz00_bglt) BgL_new1537z00_10158);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17067, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1537z00_10158);
					BgL_new1538z00_10157 = BgL_new1537z00_10158;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1538z00_10157)))->BgL_locz00) =
					((obj_t) BgL_loc1140z00_8591), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1538z00_10157)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1141z00_8592)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1538z00_10157))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1142z00_8593)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1538z00_10157))->BgL_argsz00) =
					((obj_t) BgL_args1143z00_8594), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1538z00_10157))->
						BgL_strengthz00) =
					((obj_t) ((obj_t) BgL_strength1144z00_8595)), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1538z00_10157))->
						BgL_functionsz00) = ((obj_t) BgL_functions1145z00_8596), BUNSPEC);
				return BgL_new1538z00_10157;
			}
		}

	}



/* &<@anonymous:2140> */
	obj_t BGl_z62zc3z04anonymousza32140ze3ze5zzast_nodez00(obj_t BgL_envz00_8597)
	{
		{	/* Ast/node.scm 95 */
			return BUNSPEC;
		}

	}



/* &lambda2139 */
	obj_t BGl_z62lambda2139z62zzast_nodez00(obj_t BgL_envz00_8598,
		obj_t BgL_oz00_8599, obj_t BgL_vz00_8600)
	{
		{	/* Ast/node.scm 95 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_8599)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_8600), BUNSPEC);
		}

	}



/* &lambda2138 */
	obj_t BGl_z62lambda2138z62zzast_nodez00(obj_t BgL_envz00_8601,
		obj_t BgL_oz00_8602)
	{
		{	/* Ast/node.scm 95 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_8602)))->BgL_functionsz00);
		}

	}



/* &<@anonymous:2133> */
	obj_t BGl_z62zc3z04anonymousza32133ze3ze5zzast_nodez00(obj_t BgL_envz00_8603)
	{
		{	/* Ast/node.scm 95 */
			return CNST_TABLE_REF(((long) 94));
		}

	}



/* &lambda2132 */
	obj_t BGl_z62lambda2132z62zzast_nodez00(obj_t BgL_envz00_8604,
		obj_t BgL_oz00_8605, obj_t BgL_vz00_8606)
	{
		{	/* Ast/node.scm 95 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_8605)))->BgL_strengthz00) =
				((obj_t) ((obj_t) BgL_vz00_8606)), BUNSPEC);
		}

	}



/* &lambda2131 */
	obj_t BGl_z62lambda2131z62zzast_nodez00(obj_t BgL_envz00_8607,
		obj_t BgL_oz00_8608)
	{
		{	/* Ast/node.scm 95 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_8608)))->BgL_strengthz00);
		}

	}



/* &lambda2125 */
	obj_t BGl_z62lambda2125z62zzast_nodez00(obj_t BgL_envz00_8609,
		obj_t BgL_oz00_8610, obj_t BgL_vz00_8611)
	{
		{	/* Ast/node.scm 95 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_8610)))->BgL_argsz00) =
				((obj_t) BgL_vz00_8611), BUNSPEC);
		}

	}



/* &lambda2124 */
	obj_t BGl_z62lambda2124z62zzast_nodez00(obj_t BgL_envz00_8612,
		obj_t BgL_oz00_8613)
	{
		{	/* Ast/node.scm 95 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_8613)))->BgL_argsz00);
		}

	}



/* &lambda2120 */
	obj_t BGl_z62lambda2120z62zzast_nodez00(obj_t BgL_envz00_8614,
		obj_t BgL_oz00_8615, obj_t BgL_vz00_8616)
	{
		{	/* Ast/node.scm 95 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_8615)))->BgL_funz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8616)), BUNSPEC);
		}

	}



/* &lambda2119 */
	BgL_nodez00_bglt BGl_z62lambda2119z62zzast_nodez00(obj_t BgL_envz00_8617,
		obj_t BgL_oz00_8618)
	{
		{	/* Ast/node.scm 95 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_8618)))->BgL_funz00);
		}

	}



/* &<@anonymous:2094> */
	obj_t BGl_z62zc3z04anonymousza32094ze3ze5zzast_nodez00(obj_t BgL_envz00_8619,
		obj_t BgL_new1138z00_8620)
	{
		{	/* Ast/node.scm 88 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_17101;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_new1138z00_8620))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17105;

					{	/* Ast/node.scm 88 */
						obj_t BgL_classz00_10171;

						BgL_classz00_10171 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 88 */
							obj_t BgL__ortest_1113z00_10172;

							BgL__ortest_1113z00_10172 = BGL_CLASS_NIL(BgL_classz00_10171);
							if (CBOOL(BgL__ortest_1113z00_10172))
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17105 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10172);
								}
							else
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17105 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10171));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1138z00_8620))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17105), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17115;

					{	/* Ast/node.scm 88 */
						obj_t BgL_classz00_10173;

						BgL_classz00_10173 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 88 */
							obj_t BgL__ortest_1113z00_10174;

							BgL__ortest_1113z00_10174 = BGL_CLASS_NIL(BgL_classz00_10173);
							if (CBOOL(BgL__ortest_1113z00_10174))
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17115 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_10174);
								}
							else
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17115 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10173));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_new1138z00_8620)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17115), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17124;

					{	/* Ast/node.scm 88 */
						obj_t BgL_classz00_10175;

						BgL_classz00_10175 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 88 */
							obj_t BgL__ortest_1113z00_10176;

							BgL__ortest_1113z00_10176 = BGL_CLASS_NIL(BgL_classz00_10175);
							if (CBOOL(BgL__ortest_1113z00_10176))
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17124 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_10176);
								}
							else
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17124 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10175));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_new1138z00_8620)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17124), BUNSPEC);
				}
				BgL_auxz00_17101 = ((BgL_appzd2lyzd2_bglt) BgL_new1138z00_8620);
				return ((obj_t) BgL_auxz00_17101);
			}
		}

	}



/* &lambda2092 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2092z62zzast_nodez00(obj_t BgL_envz00_8621)
	{
		{	/* Ast/node.scm 88 */
			{	/* Ast/node.scm 88 */
				BgL_appzd2lyzd2_bglt BgL_new1137z00_10177;

				BgL_new1137z00_10177 =
					((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzd2lyzd2_bgl))));
				{	/* Ast/node.scm 88 */
					long BgL_arg2093z00_10178;

					BgL_arg2093z00_10178 = BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1137z00_10177), BgL_arg2093z00_10178);
				}
				{	/* Ast/node.scm 88 */
					BgL_objectz00_bglt BgL_tmpz00_17139;

					BgL_tmpz00_17139 = ((BgL_objectz00_bglt) BgL_new1137z00_10177);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17139, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1137z00_10177);
				return BgL_new1137z00_10177;
			}
		}

	}



/* &lambda2089 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2089z62zzast_nodez00(obj_t BgL_envz00_8622,
		obj_t BgL_loc1133z00_8623, obj_t BgL_type1134z00_8624,
		obj_t BgL_fun1135z00_8625, obj_t BgL_arg1136z00_8626)
	{
		{	/* Ast/node.scm 88 */
			{	/* Ast/node.scm 88 */
				BgL_appzd2lyzd2_bglt BgL_new1536z00_10182;

				{	/* Ast/node.scm 88 */
					BgL_appzd2lyzd2_bglt BgL_new1535z00_10183;

					BgL_new1535z00_10183 =
						((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/node.scm 88 */
						long BgL_arg2091z00_10184;

						BgL_arg2091z00_10184 = BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1535z00_10183),
							BgL_arg2091z00_10184);
					}
					{	/* Ast/node.scm 88 */
						BgL_objectz00_bglt BgL_tmpz00_17147;

						BgL_tmpz00_17147 = ((BgL_objectz00_bglt) BgL_new1535z00_10183);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17147, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1535z00_10183);
					BgL_new1536z00_10182 = BgL_new1535z00_10183;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1536z00_10182)))->BgL_locz00) =
					((obj_t) BgL_loc1133z00_8623), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1536z00_10182)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1134z00_8624)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1536z00_10182))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1135z00_8625)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1536z00_10182))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1136z00_8626)),
					BUNSPEC);
				return BgL_new1536z00_10182;
			}
		}

	}



/* &lambda2105 */
	obj_t BGl_z62lambda2105z62zzast_nodez00(obj_t BgL_envz00_8627,
		obj_t BgL_oz00_8628, obj_t BgL_vz00_8629)
	{
		{	/* Ast/node.scm 88 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_8628)))->BgL_argz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8629)), BUNSPEC);
		}

	}



/* &lambda2104 */
	BgL_nodez00_bglt BGl_z62lambda2104z62zzast_nodez00(obj_t BgL_envz00_8630,
		obj_t BgL_oz00_8631)
	{
		{	/* Ast/node.scm 88 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_8631)))->BgL_argz00);
		}

	}



/* &lambda2100 */
	obj_t BGl_z62lambda2100z62zzast_nodez00(obj_t BgL_envz00_8632,
		obj_t BgL_oz00_8633, obj_t BgL_vz00_8634)
	{
		{	/* Ast/node.scm 88 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_8633)))->BgL_funz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8634)), BUNSPEC);
		}

	}



/* &lambda2099 */
	BgL_nodez00_bglt BGl_z62lambda2099z62zzast_nodez00(obj_t BgL_envz00_8635,
		obj_t BgL_oz00_8636)
	{
		{	/* Ast/node.scm 88 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_8636)))->BgL_funz00);
		}

	}



/* &<@anonymous:2066> */
	obj_t BGl_z62zc3z04anonymousza32066ze3ze5zzast_nodez00(obj_t BgL_envz00_8637,
		obj_t BgL_new1131z00_8638)
	{
		{	/* Ast/node.scm 79 */
			{
				BgL_appz00_bglt BgL_auxz00_17170;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_new1131z00_8638))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17174;

					{	/* Ast/node.scm 79 */
						obj_t BgL_classz00_10192;

						BgL_classz00_10192 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 79 */
							obj_t BgL__ortest_1113z00_10193;

							BgL__ortest_1113z00_10193 = BGL_CLASS_NIL(BgL_classz00_10192);
							if (CBOOL(BgL__ortest_1113z00_10193))
								{	/* Ast/node.scm 79 */
									BgL_auxz00_17174 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10193);
								}
							else
								{	/* Ast/node.scm 79 */
									BgL_auxz00_17174 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10192));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_new1131z00_8638))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17174), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_appz00_bglt) BgL_new1131z00_8638))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_appz00_bglt)
										BgL_new1131z00_8638))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_17190;

					{	/* Ast/node.scm 79 */
						obj_t BgL_classz00_10194;

						BgL_classz00_10194 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 79 */
							obj_t BgL__ortest_1113z00_10195;

							BgL__ortest_1113z00_10195 = BGL_CLASS_NIL(BgL_classz00_10194);
							if (CBOOL(BgL__ortest_1113z00_10195))
								{	/* Ast/node.scm 79 */
									BgL_auxz00_17190 =
										((BgL_varz00_bglt) BgL__ortest_1113z00_10195);
								}
							else
								{	/* Ast/node.scm 79 */
									BgL_auxz00_17190 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10194));
								}
						}
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_new1131z00_8638)))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_17190), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_new1131z00_8638)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_new1131z00_8638)))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17170 = ((BgL_appz00_bglt) BgL_new1131z00_8638);
				return ((obj_t) BgL_auxz00_17170);
			}
		}

	}



/* &lambda2064 */
	BgL_appz00_bglt BGl_z62lambda2064z62zzast_nodez00(obj_t BgL_envz00_8639)
	{
		{	/* Ast/node.scm 79 */
			{	/* Ast/node.scm 79 */
				BgL_appz00_bglt BgL_new1130z00_10196;

				BgL_new1130z00_10196 =
					((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_appz00_bgl))));
				{	/* Ast/node.scm 79 */
					long BgL_arg2065z00_10197;

					BgL_arg2065z00_10197 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1130z00_10196), BgL_arg2065z00_10197);
				}
				{	/* Ast/node.scm 79 */
					BgL_objectz00_bglt BgL_tmpz00_17209;

					BgL_tmpz00_17209 = ((BgL_objectz00_bglt) BgL_new1130z00_10196);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17209, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1130z00_10196);
				return BgL_new1130z00_10196;
			}
		}

	}



/* &lambda2062 */
	BgL_appz00_bglt BGl_z62lambda2062z62zzast_nodez00(obj_t BgL_envz00_8640,
		obj_t BgL_loc1122z00_8641, obj_t BgL_type1123z00_8642,
		obj_t BgL_sidezd2effect1124zd2_8643, obj_t BgL_key1125z00_8644,
		obj_t BgL_fun1126z00_8645, obj_t BgL_args1127z00_8646,
		obj_t BgL_stackable1128z00_8647)
	{
		{	/* Ast/node.scm 79 */
			{	/* Ast/node.scm 79 */
				BgL_appz00_bglt BgL_new1534z00_10200;

				{	/* Ast/node.scm 79 */
					BgL_appz00_bglt BgL_new1533z00_10201;

					BgL_new1533z00_10201 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Ast/node.scm 79 */
						long BgL_arg2063z00_10202;

						BgL_arg2063z00_10202 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1533z00_10201),
							BgL_arg2063z00_10202);
					}
					{	/* Ast/node.scm 79 */
						BgL_objectz00_bglt BgL_tmpz00_17217;

						BgL_tmpz00_17217 = ((BgL_objectz00_bglt) BgL_new1533z00_10201);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17217, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1533z00_10201);
					BgL_new1534z00_10200 = BgL_new1533z00_10201;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1534z00_10200)))->BgL_locz00) =
					((obj_t) BgL_loc1122z00_8641), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1534z00_10200)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1123z00_8642)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1534z00_10200)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1124zd2_8643), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1534z00_10200)))->BgL_keyz00) =
					((obj_t) BgL_key1125z00_8644), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1534z00_10200))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_fun1126z00_8645)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1534z00_10200))->BgL_argsz00) =
					((obj_t) BgL_args1127z00_8646), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1534z00_10200))->BgL_stackablez00) =
					((obj_t) BgL_stackable1128z00_8647), BUNSPEC);
				return BgL_new1534z00_10200;
			}
		}

	}



/* &<@anonymous:2083> */
	obj_t BGl_z62zc3z04anonymousza32083ze3ze5zzast_nodez00(obj_t BgL_envz00_8648)
	{
		{	/* Ast/node.scm 79 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2082 */
	obj_t BGl_z62lambda2082z62zzast_nodez00(obj_t BgL_envz00_8649,
		obj_t BgL_oz00_8650, obj_t BgL_vz00_8651)
	{
		{	/* Ast/node.scm 79 */
			return
				((((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_oz00_8650)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_8651), BUNSPEC);
		}

	}



/* &lambda2081 */
	obj_t BGl_z62lambda2081z62zzast_nodez00(obj_t BgL_envz00_8652,
		obj_t BgL_oz00_8653)
	{
		{	/* Ast/node.scm 79 */
			return
				(((BgL_appz00_bglt) COBJECT(
						((BgL_appz00_bglt) BgL_oz00_8653)))->BgL_stackablez00);
		}

	}



/* &lambda2076 */
	obj_t BGl_z62lambda2076z62zzast_nodez00(obj_t BgL_envz00_8654,
		obj_t BgL_oz00_8655, obj_t BgL_vz00_8656)
	{
		{	/* Ast/node.scm 79 */
			return
				((((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_oz00_8655)))->BgL_argsz00) =
				((obj_t) BgL_vz00_8656), BUNSPEC);
		}

	}



/* &lambda2075 */
	obj_t BGl_z62lambda2075z62zzast_nodez00(obj_t BgL_envz00_8657,
		obj_t BgL_oz00_8658)
	{
		{	/* Ast/node.scm 79 */
			return
				(((BgL_appz00_bglt) COBJECT(
						((BgL_appz00_bglt) BgL_oz00_8658)))->BgL_argsz00);
		}

	}



/* &lambda2071 */
	obj_t BGl_z62lambda2071z62zzast_nodez00(obj_t BgL_envz00_8659,
		obj_t BgL_oz00_8660, obj_t BgL_vz00_8661)
	{
		{	/* Ast/node.scm 79 */
			return
				((((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_oz00_8660)))->BgL_funz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8661)), BUNSPEC);
		}

	}



/* &lambda2070 */
	BgL_varz00_bglt BGl_z62lambda2070z62zzast_nodez00(obj_t BgL_envz00_8662,
		obj_t BgL_oz00_8663)
	{
		{	/* Ast/node.scm 79 */
			return
				(((BgL_appz00_bglt) COBJECT(
						((BgL_appz00_bglt) BgL_oz00_8663)))->BgL_funz00);
		}

	}



/* &<@anonymous:2034> */
	obj_t BGl_z62zc3z04anonymousza32034ze3ze5zzast_nodez00(obj_t BgL_envz00_8664,
		obj_t BgL_new1120z00_8665)
	{
		{	/* Ast/node.scm 73 */
			{
				BgL_sequencez00_bglt BgL_auxz00_17248;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_new1120z00_8665))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17252;

					{	/* Ast/node.scm 73 */
						obj_t BgL_classz00_10211;

						BgL_classz00_10211 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 73 */
							obj_t BgL__ortest_1113z00_10212;

							BgL__ortest_1113z00_10212 = BGL_CLASS_NIL(BgL_classz00_10211);
							if (CBOOL(BgL__ortest_1113z00_10212))
								{	/* Ast/node.scm 73 */
									BgL_auxz00_17252 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10212);
								}
							else
								{	/* Ast/node.scm 73 */
									BgL_auxz00_17252 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10211));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_new1120z00_8665))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17252), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_sequencez00_bglt) BgL_new1120z00_8665))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_sequencez00_bglt)
										BgL_new1120z00_8665))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
									BgL_new1120z00_8665)))->BgL_nodesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
									BgL_new1120z00_8665)))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
									BgL_new1120z00_8665)))->BgL_metaz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_17248 = ((BgL_sequencez00_bglt) BgL_new1120z00_8665);
				return ((obj_t) BgL_auxz00_17248);
			}
		}

	}



/* &lambda2032 */
	BgL_sequencez00_bglt BGl_z62lambda2032z62zzast_nodez00(obj_t BgL_envz00_8666)
	{
		{	/* Ast/node.scm 73 */
			{	/* Ast/node.scm 73 */
				BgL_sequencez00_bglt BgL_new1119z00_10213;

				BgL_new1119z00_10213 =
					((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sequencez00_bgl))));
				{	/* Ast/node.scm 73 */
					long BgL_arg2033z00_10214;

					BgL_arg2033z00_10214 = BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1119z00_10213), BgL_arg2033z00_10214);
				}
				{	/* Ast/node.scm 73 */
					BgL_objectz00_bglt BgL_tmpz00_17280;

					BgL_tmpz00_17280 = ((BgL_objectz00_bglt) BgL_new1119z00_10213);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17280, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1119z00_10213);
				return BgL_new1119z00_10213;
			}
		}

	}



/* &lambda2030 */
	BgL_sequencez00_bglt BGl_z62lambda2030z62zzast_nodez00(obj_t BgL_envz00_8667,
		obj_t BgL_loc1112z00_8668, obj_t BgL_type1113z00_8669,
		obj_t BgL_sidezd2effect1114zd2_8670, obj_t BgL_key1115z00_8671,
		obj_t BgL_nodes1116z00_8672, obj_t BgL_unsafe1117z00_8673,
		obj_t BgL_meta1118z00_8674)
	{
		{	/* Ast/node.scm 73 */
			{	/* Ast/node.scm 73 */
				bool_t BgL_unsafe1117z00_10217;

				BgL_unsafe1117z00_10217 = CBOOL(BgL_unsafe1117z00_8673);
				{	/* Ast/node.scm 73 */
					BgL_sequencez00_bglt BgL_new1532z00_10219;

					{	/* Ast/node.scm 73 */
						BgL_sequencez00_bglt BgL_new1531z00_10220;

						BgL_new1531z00_10220 =
							((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sequencez00_bgl))));
						{	/* Ast/node.scm 73 */
							long BgL_arg2031z00_10221;

							BgL_arg2031z00_10221 =
								BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1531z00_10220),
								BgL_arg2031z00_10221);
						}
						{	/* Ast/node.scm 73 */
							BgL_objectz00_bglt BgL_tmpz00_17289;

							BgL_tmpz00_17289 = ((BgL_objectz00_bglt) BgL_new1531z00_10220);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17289, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1531z00_10220);
						BgL_new1532z00_10219 = BgL_new1531z00_10220;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1532z00_10219)))->BgL_locz00) =
						((obj_t) BgL_loc1112z00_8668), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1532z00_10219)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1113z00_8669)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1532z00_10219)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1114zd2_8670), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1532z00_10219)))->BgL_keyz00) =
						((obj_t) BgL_key1115z00_8671), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(BgL_new1532z00_10219))->
							BgL_nodesz00) =
						((obj_t) ((obj_t) BgL_nodes1116z00_8672)), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(BgL_new1532z00_10219))->
							BgL_unsafez00) = ((bool_t) BgL_unsafe1117z00_10217), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(BgL_new1532z00_10219))->
							BgL_metaz00) = ((obj_t) ((obj_t) BgL_meta1118z00_8674)), BUNSPEC);
					return BgL_new1532z00_10219;
				}
			}
		}

	}



/* &<@anonymous:2056> */
	obj_t BGl_z62zc3z04anonymousza32056ze3ze5zzast_nodez00(obj_t BgL_envz00_8675)
	{
		{	/* Ast/node.scm 73 */
			return BNIL;
		}

	}



/* &lambda2055 */
	obj_t BGl_z62lambda2055z62zzast_nodez00(obj_t BgL_envz00_8676,
		obj_t BgL_oz00_8677, obj_t BgL_vz00_8678)
	{
		{	/* Ast/node.scm 73 */
			return
				((((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_oz00_8677)))->BgL_metaz00) = ((obj_t)
					((obj_t) BgL_vz00_8678)), BUNSPEC);
		}

	}



/* &lambda2054 */
	obj_t BGl_z62lambda2054z62zzast_nodez00(obj_t BgL_envz00_8679,
		obj_t BgL_oz00_8680)
	{
		{	/* Ast/node.scm 73 */
			return
				(((BgL_sequencez00_bglt) COBJECT(
						((BgL_sequencez00_bglt) BgL_oz00_8680)))->BgL_metaz00);
		}

	}



/* &<@anonymous:2048> */
	obj_t BGl_z62zc3z04anonymousza32048ze3ze5zzast_nodez00(obj_t BgL_envz00_8681)
	{
		{	/* Ast/node.scm 73 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2047 */
	obj_t BGl_z62lambda2047z62zzast_nodez00(obj_t BgL_envz00_8682,
		obj_t BgL_oz00_8683, obj_t BgL_vz00_8684)
	{
		{	/* Ast/node.scm 73 */
			{	/* Ast/node.scm 73 */
				bool_t BgL_vz00_10226;

				BgL_vz00_10226 = CBOOL(BgL_vz00_8684);
				return
					((((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_oz00_8683)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_10226), BUNSPEC);
			}
		}

	}



/* &lambda2046 */
	obj_t BGl_z62lambda2046z62zzast_nodez00(obj_t BgL_envz00_8685,
		obj_t BgL_oz00_8686)
	{
		{	/* Ast/node.scm 73 */
			return
				BBOOL(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_oz00_8686)))->BgL_unsafez00));
		}

	}



/* &lambda2041 */
	obj_t BGl_z62lambda2041z62zzast_nodez00(obj_t BgL_envz00_8687,
		obj_t BgL_oz00_8688, obj_t BgL_vz00_8689)
	{
		{	/* Ast/node.scm 73 */
			return
				((((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_oz00_8688)))->BgL_nodesz00) = ((obj_t)
					((obj_t) BgL_vz00_8689)), BUNSPEC);
		}

	}



/* &lambda2040 */
	obj_t BGl_z62lambda2040z62zzast_nodez00(obj_t BgL_envz00_8690,
		obj_t BgL_oz00_8691)
	{
		{	/* Ast/node.scm 73 */
			return
				(((BgL_sequencez00_bglt) COBJECT(
						((BgL_sequencez00_bglt) BgL_oz00_8691)))->BgL_nodesz00);
		}

	}



/* &<@anonymous:2018> */
	obj_t BGl_z62zc3z04anonymousza32018ze3ze5zzast_nodez00(obj_t BgL_envz00_8692,
		obj_t BgL_new1110z00_8693)
	{
		{	/* Ast/node.scm 68 */
			{
				BgL_kwotez00_bglt BgL_auxz00_17324;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1110z00_8693))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17328;

					{	/* Ast/node.scm 68 */
						obj_t BgL_classz00_10232;

						BgL_classz00_10232 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 68 */
							obj_t BgL__ortest_1113z00_10233;

							BgL__ortest_1113z00_10233 = BGL_CLASS_NIL(BgL_classz00_10232);
							if (CBOOL(BgL__ortest_1113z00_10233))
								{	/* Ast/node.scm 68 */
									BgL_auxz00_17328 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10233);
								}
							else
								{	/* Ast/node.scm 68 */
									BgL_auxz00_17328 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10232));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_new1110z00_8693))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17328), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt) BgL_new1110z00_8693)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17324 = ((BgL_kwotez00_bglt) BgL_new1110z00_8693);
				return ((obj_t) BgL_auxz00_17324);
			}
		}

	}



/* &lambda2016 */
	BgL_kwotez00_bglt BGl_z62lambda2016z62zzast_nodez00(obj_t BgL_envz00_8694)
	{
		{	/* Ast/node.scm 68 */
			{	/* Ast/node.scm 68 */
				BgL_kwotez00_bglt BgL_new1109z00_10234;

				BgL_new1109z00_10234 =
					((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_kwotez00_bgl))));
				{	/* Ast/node.scm 68 */
					long BgL_arg2017z00_10235;

					BgL_arg2017z00_10235 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1109z00_10234), BgL_arg2017z00_10235);
				}
				{	/* Ast/node.scm 68 */
					BgL_objectz00_bglt BgL_tmpz00_17346;

					BgL_tmpz00_17346 = ((BgL_objectz00_bglt) BgL_new1109z00_10234);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17346, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1109z00_10234);
				return BgL_new1109z00_10234;
			}
		}

	}



/* &lambda2014 */
	BgL_kwotez00_bglt BGl_z62lambda2014z62zzast_nodez00(obj_t BgL_envz00_8695,
		obj_t BgL_loc1106z00_8696, obj_t BgL_type1107z00_8697,
		obj_t BgL_value1108z00_8698)
	{
		{	/* Ast/node.scm 68 */
			{	/* Ast/node.scm 68 */
				BgL_kwotez00_bglt BgL_new1530z00_10237;

				{	/* Ast/node.scm 68 */
					BgL_kwotez00_bglt BgL_new1529z00_10238;

					BgL_new1529z00_10238 =
						((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/node.scm 68 */
						long BgL_arg2015z00_10239;

						BgL_arg2015z00_10239 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1529z00_10238),
							BgL_arg2015z00_10239);
					}
					{	/* Ast/node.scm 68 */
						BgL_objectz00_bglt BgL_tmpz00_17354;

						BgL_tmpz00_17354 = ((BgL_objectz00_bglt) BgL_new1529z00_10238);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17354, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1529z00_10238);
					BgL_new1530z00_10237 = BgL_new1529z00_10238;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1530z00_10237)))->BgL_locz00) =
					((obj_t) BgL_loc1106z00_8696), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1530z00_10237)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1107z00_8697)),
					BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(BgL_new1530z00_10237))->BgL_valuez00) =
					((obj_t) BgL_value1108z00_8698), BUNSPEC);
				return BgL_new1530z00_10237;
			}
		}

	}



/* &lambda2023 */
	obj_t BGl_z62lambda2023z62zzast_nodez00(obj_t BgL_envz00_8699,
		obj_t BgL_oz00_8700, obj_t BgL_vz00_8701)
	{
		{	/* Ast/node.scm 68 */
			return
				((((BgL_kwotez00_bglt) COBJECT(
							((BgL_kwotez00_bglt) BgL_oz00_8700)))->BgL_valuez00) =
				((obj_t) BgL_vz00_8701), BUNSPEC);
		}

	}



/* &lambda2022 */
	obj_t BGl_z62lambda2022z62zzast_nodez00(obj_t BgL_envz00_8702,
		obj_t BgL_oz00_8703)
	{
		{	/* Ast/node.scm 68 */
			return
				(((BgL_kwotez00_bglt) COBJECT(
						((BgL_kwotez00_bglt) BgL_oz00_8703)))->BgL_valuez00);
		}

	}



/* &<@anonymous:2007> */
	obj_t BGl_z62zc3z04anonymousza32007ze3ze5zzast_nodez00(obj_t BgL_envz00_8704,
		obj_t BgL_new1104z00_8705)
	{
		{	/* Ast/node.scm 65 */
			{
				BgL_closurez00_bglt BgL_auxz00_17368;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_closurez00_bglt) BgL_new1104z00_8705))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17372;

					{	/* Ast/node.scm 65 */
						obj_t BgL_classz00_10243;

						BgL_classz00_10243 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 65 */
							obj_t BgL__ortest_1113z00_10244;

							BgL__ortest_1113z00_10244 = BGL_CLASS_NIL(BgL_classz00_10243);
							if (CBOOL(BgL__ortest_1113z00_10244))
								{	/* Ast/node.scm 65 */
									BgL_auxz00_17372 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10244);
								}
							else
								{	/* Ast/node.scm 65 */
									BgL_auxz00_17372 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10243));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_closurez00_bglt) BgL_new1104z00_8705))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17372), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_17382;

					{	/* Ast/node.scm 65 */
						obj_t BgL_classz00_10245;

						BgL_classz00_10245 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 65 */
							obj_t BgL__ortest_1113z00_10246;

							BgL__ortest_1113z00_10246 = BGL_CLASS_NIL(BgL_classz00_10245);
							if (CBOOL(BgL__ortest_1113z00_10246))
								{	/* Ast/node.scm 65 */
									BgL_auxz00_17382 =
										((BgL_variablez00_bglt) BgL__ortest_1113z00_10246);
								}
							else
								{	/* Ast/node.scm 65 */
									BgL_auxz00_17382 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10245));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_closurez00_bglt) BgL_new1104z00_8705))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_17382), BUNSPEC);
				}
				BgL_auxz00_17368 = ((BgL_closurez00_bglt) BgL_new1104z00_8705);
				return ((obj_t) BgL_auxz00_17368);
			}
		}

	}



/* &lambda2005 */
	BgL_closurez00_bglt BGl_z62lambda2005z62zzast_nodez00(obj_t BgL_envz00_8706)
	{
		{	/* Ast/node.scm 65 */
			{	/* Ast/node.scm 65 */
				BgL_closurez00_bglt BgL_new1103z00_10247;

				BgL_new1103z00_10247 =
					((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_closurez00_bgl))));
				{	/* Ast/node.scm 65 */
					long BgL_arg2006z00_10248;

					BgL_arg2006z00_10248 = BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1103z00_10247), BgL_arg2006z00_10248);
				}
				{	/* Ast/node.scm 65 */
					BgL_objectz00_bglt BgL_tmpz00_17398;

					BgL_tmpz00_17398 = ((BgL_objectz00_bglt) BgL_new1103z00_10247);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17398, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1103z00_10247);
				return BgL_new1103z00_10247;
			}
		}

	}



/* &lambda2003 */
	BgL_closurez00_bglt BGl_z62lambda2003z62zzast_nodez00(obj_t BgL_envz00_8707,
		obj_t BgL_loc1100z00_8708, obj_t BgL_type1101z00_8709,
		obj_t BgL_variable1102z00_8710)
	{
		{	/* Ast/node.scm 65 */
			{	/* Ast/node.scm 65 */
				BgL_closurez00_bglt BgL_new1528z00_10251;

				{	/* Ast/node.scm 65 */
					BgL_closurez00_bglt BgL_new1527z00_10252;

					BgL_new1527z00_10252 =
						((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/node.scm 65 */
						long BgL_arg2004z00_10253;

						BgL_arg2004z00_10253 = BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1527z00_10252),
							BgL_arg2004z00_10253);
					}
					{	/* Ast/node.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17406;

						BgL_tmpz00_17406 = ((BgL_objectz00_bglt) BgL_new1527z00_10252);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17406, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1527z00_10252);
					BgL_new1528z00_10251 = BgL_new1527z00_10252;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1528z00_10251)))->BgL_locz00) =
					((obj_t) BgL_loc1100z00_8708), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1528z00_10251)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1101z00_8709)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
									BgL_new1528z00_10251)))->BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1102z00_8710)), BUNSPEC);
				return BgL_new1528z00_10251;
			}
		}

	}



/* &<@anonymous:1997> */
	obj_t BGl_z62zc3z04anonymousza31997ze3ze5zzast_nodez00(obj_t BgL_envz00_8711,
		obj_t BgL_new1098z00_8712)
	{
		{	/* Ast/node.scm 64 */
			{
				BgL_refz00_bglt BgL_auxz00_17418;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_refz00_bglt) BgL_new1098z00_8712))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17422;

					{	/* Ast/node.scm 64 */
						obj_t BgL_classz00_10255;

						BgL_classz00_10255 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 64 */
							obj_t BgL__ortest_1113z00_10256;

							BgL__ortest_1113z00_10256 = BGL_CLASS_NIL(BgL_classz00_10255);
							if (CBOOL(BgL__ortest_1113z00_10256))
								{	/* Ast/node.scm 64 */
									BgL_auxz00_17422 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10256);
								}
							else
								{	/* Ast/node.scm 64 */
									BgL_auxz00_17422 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10255));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_refz00_bglt) BgL_new1098z00_8712))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17422), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_17432;

					{	/* Ast/node.scm 64 */
						obj_t BgL_classz00_10257;

						BgL_classz00_10257 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 64 */
							obj_t BgL__ortest_1113z00_10258;

							BgL__ortest_1113z00_10258 = BGL_CLASS_NIL(BgL_classz00_10257);
							if (CBOOL(BgL__ortest_1113z00_10258))
								{	/* Ast/node.scm 64 */
									BgL_auxz00_17432 =
										((BgL_variablez00_bglt) BgL__ortest_1113z00_10258);
								}
							else
								{	/* Ast/node.scm 64 */
									BgL_auxz00_17432 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10257));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_refz00_bglt) BgL_new1098z00_8712))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_17432), BUNSPEC);
				}
				BgL_auxz00_17418 = ((BgL_refz00_bglt) BgL_new1098z00_8712);
				return ((obj_t) BgL_auxz00_17418);
			}
		}

	}



/* &lambda1995 */
	BgL_refz00_bglt BGl_z62lambda1995z62zzast_nodez00(obj_t BgL_envz00_8713)
	{
		{	/* Ast/node.scm 64 */
			{	/* Ast/node.scm 64 */
				BgL_refz00_bglt BgL_new1097z00_10259;

				BgL_new1097z00_10259 =
					((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_refz00_bgl))));
				{	/* Ast/node.scm 64 */
					long BgL_arg1996z00_10260;

					BgL_arg1996z00_10260 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1097z00_10259), BgL_arg1996z00_10260);
				}
				{	/* Ast/node.scm 64 */
					BgL_objectz00_bglt BgL_tmpz00_17448;

					BgL_tmpz00_17448 = ((BgL_objectz00_bglt) BgL_new1097z00_10259);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17448, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1097z00_10259);
				return BgL_new1097z00_10259;
			}
		}

	}



/* &lambda1993 */
	BgL_refz00_bglt BGl_z62lambda1993z62zzast_nodez00(obj_t BgL_envz00_8714,
		obj_t BgL_loc1094z00_8715, obj_t BgL_type1095z00_8716,
		obj_t BgL_variable1096z00_8717)
	{
		{	/* Ast/node.scm 64 */
			{	/* Ast/node.scm 64 */
				BgL_refz00_bglt BgL_new1526z00_10263;

				{	/* Ast/node.scm 64 */
					BgL_refz00_bglt BgL_new1525z00_10264;

					BgL_new1525z00_10264 =
						((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_refz00_bgl))));
					{	/* Ast/node.scm 64 */
						long BgL_arg1994z00_10265;

						BgL_arg1994z00_10265 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1525z00_10264),
							BgL_arg1994z00_10265);
					}
					{	/* Ast/node.scm 64 */
						BgL_objectz00_bglt BgL_tmpz00_17456;

						BgL_tmpz00_17456 = ((BgL_objectz00_bglt) BgL_new1525z00_10264);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17456, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1525z00_10264);
					BgL_new1526z00_10263 = BgL_new1525z00_10264;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1526z00_10263)))->BgL_locz00) =
					((obj_t) BgL_loc1094z00_8715), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1526z00_10263)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1095z00_8716)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
									BgL_new1526z00_10263)))->BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1096z00_8717)), BUNSPEC);
				return BgL_new1526z00_10263;
			}
		}

	}



/* &<@anonymous:1982> */
	obj_t BGl_z62zc3z04anonymousza31982ze3ze5zzast_nodez00(obj_t BgL_envz00_8718,
		obj_t BgL_new1092z00_8719)
	{
		{	/* Ast/node.scm 60 */
			{
				BgL_varz00_bglt BgL_auxz00_17468;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_varz00_bglt) BgL_new1092z00_8719))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17472;

					{	/* Ast/node.scm 60 */
						obj_t BgL_classz00_10267;

						BgL_classz00_10267 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 60 */
							obj_t BgL__ortest_1113z00_10268;

							BgL__ortest_1113z00_10268 = BGL_CLASS_NIL(BgL_classz00_10267);
							if (CBOOL(BgL__ortest_1113z00_10268))
								{	/* Ast/node.scm 60 */
									BgL_auxz00_17472 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10268);
								}
							else
								{	/* Ast/node.scm 60 */
									BgL_auxz00_17472 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10267));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_varz00_bglt) BgL_new1092z00_8719))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17472), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_17482;

					{	/* Ast/node.scm 60 */
						obj_t BgL_classz00_10269;

						BgL_classz00_10269 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 60 */
							obj_t BgL__ortest_1113z00_10270;

							BgL__ortest_1113z00_10270 = BGL_CLASS_NIL(BgL_classz00_10269);
							if (CBOOL(BgL__ortest_1113z00_10270))
								{	/* Ast/node.scm 60 */
									BgL_auxz00_17482 =
										((BgL_variablez00_bglt) BgL__ortest_1113z00_10270);
								}
							else
								{	/* Ast/node.scm 60 */
									BgL_auxz00_17482 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10269));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_new1092z00_8719)))->BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_17482), BUNSPEC);
				}
				BgL_auxz00_17468 = ((BgL_varz00_bglt) BgL_new1092z00_8719);
				return ((obj_t) BgL_auxz00_17468);
			}
		}

	}



/* &lambda1980 */
	BgL_varz00_bglt BGl_z62lambda1980z62zzast_nodez00(obj_t BgL_envz00_8720)
	{
		{	/* Ast/node.scm 60 */
			{	/* Ast/node.scm 60 */
				BgL_varz00_bglt BgL_new1091z00_10271;

				BgL_new1091z00_10271 =
					((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_varz00_bgl))));
				{	/* Ast/node.scm 60 */
					long BgL_arg1981z00_10272;

					BgL_arg1981z00_10272 = BGL_CLASS_NUM(BGl_varz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1091z00_10271), BgL_arg1981z00_10272);
				}
				return BgL_new1091z00_10271;
			}
		}

	}



/* &lambda1987 */
	obj_t BGl_z62lambda1987z62zzast_nodez00(obj_t BgL_envz00_8721,
		obj_t BgL_oz00_8722, obj_t BgL_vz00_8723)
	{
		{	/* Ast/node.scm 60 */
			return
				((((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_oz00_8722)))->BgL_variablez00) =
				((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_8723)),
				BUNSPEC);
		}

	}



/* &lambda1986 */
	BgL_variablez00_bglt BGl_z62lambda1986z62zzast_nodez00(obj_t BgL_envz00_8724,
		obj_t BgL_oz00_8725)
	{
		{	/* Ast/node.scm 60 */
			return
				(((BgL_varz00_bglt) COBJECT(
						((BgL_varz00_bglt) BgL_oz00_8725)))->BgL_variablez00);
		}

	}



/* &<@anonymous:1956> */
	obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzast_nodez00(obj_t BgL_envz00_8726,
		obj_t BgL_new1089z00_8727)
	{
		{	/* Ast/node.scm 54 */
			{
				BgL_patchz00_bglt BgL_auxz00_17502;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_patchz00_bglt) BgL_new1089z00_8727))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17506;

					{	/* Ast/node.scm 54 */
						obj_t BgL_classz00_10277;

						BgL_classz00_10277 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 54 */
							obj_t BgL__ortest_1113z00_10278;

							BgL__ortest_1113z00_10278 = BGL_CLASS_NIL(BgL_classz00_10277);
							if (CBOOL(BgL__ortest_1113z00_10278))
								{	/* Ast/node.scm 54 */
									BgL_auxz00_17506 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10278);
								}
							else
								{	/* Ast/node.scm 54 */
									BgL_auxz00_17506 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10277));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_patchz00_bglt) BgL_new1089z00_8727))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17506), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_patchz00_bglt) BgL_new1089z00_8727))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_17519;

					{	/* Ast/node.scm 54 */
						obj_t BgL_classz00_10279;

						BgL_classz00_10279 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 54 */
							obj_t BgL__ortest_1113z00_10280;

							BgL__ortest_1113z00_10280 = BGL_CLASS_NIL(BgL_classz00_10279);
							if (CBOOL(BgL__ortest_1113z00_10280))
								{	/* Ast/node.scm 54 */
									BgL_auxz00_17519 =
										((BgL_varz00_bglt) BgL__ortest_1113z00_10280);
								}
							else
								{	/* Ast/node.scm 54 */
									BgL_auxz00_17519 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10279));
								}
						}
					}
					((((BgL_patchz00_bglt) COBJECT(
									((BgL_patchz00_bglt) BgL_new1089z00_8727)))->BgL_refz00) =
						((BgL_varz00_bglt) BgL_auxz00_17519), BUNSPEC);
				}
				((((BgL_patchz00_bglt) COBJECT(
								((BgL_patchz00_bglt) BgL_new1089z00_8727)))->BgL_indexz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1089z00_8727)))->BgL_patchidz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17502 = ((BgL_patchz00_bglt) BgL_new1089z00_8727);
				return ((obj_t) BgL_auxz00_17502);
			}
		}

	}



/* &lambda1954 */
	BgL_patchz00_bglt BGl_z62lambda1954z62zzast_nodez00(obj_t BgL_envz00_8728)
	{
		{	/* Ast/node.scm 54 */
			{	/* Ast/node.scm 54 */
				BgL_patchz00_bglt BgL_new1088z00_10281;

				BgL_new1088z00_10281 =
					((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_patchz00_bgl))));
				{	/* Ast/node.scm 54 */
					long BgL_arg1955z00_10282;

					BgL_arg1955z00_10282 = BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1088z00_10281), BgL_arg1955z00_10282);
				}
				{	/* Ast/node.scm 54 */
					BgL_objectz00_bglt BgL_tmpz00_17538;

					BgL_tmpz00_17538 = ((BgL_objectz00_bglt) BgL_new1088z00_10281);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17538, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1088z00_10281);
				return BgL_new1088z00_10281;
			}
		}

	}



/* &lambda1952 */
	BgL_patchz00_bglt BGl_z62lambda1952z62zzast_nodez00(obj_t BgL_envz00_8729,
		obj_t BgL_loc1082z00_8730, obj_t BgL_type1083z00_8731,
		obj_t BgL_value1084z00_8732, obj_t BgL_ref1085z00_8733,
		obj_t BgL_index1086z00_8734, obj_t BgL_patchid1087z00_8735)
	{
		{	/* Ast/node.scm 54 */
			{	/* Ast/node.scm 54 */
				long BgL_index1086z00_10285;

				BgL_index1086z00_10285 = (long) CINT(BgL_index1086z00_8734);
				{	/* Ast/node.scm 54 */
					BgL_patchz00_bglt BgL_new1524z00_10286;

					{	/* Ast/node.scm 54 */
						BgL_patchz00_bglt BgL_new1523z00_10287;

						BgL_new1523z00_10287 =
							((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_patchz00_bgl))));
						{	/* Ast/node.scm 54 */
							long BgL_arg1953z00_10288;

							BgL_arg1953z00_10288 = BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1523z00_10287),
								BgL_arg1953z00_10288);
						}
						{	/* Ast/node.scm 54 */
							BgL_objectz00_bglt BgL_tmpz00_17547;

							BgL_tmpz00_17547 = ((BgL_objectz00_bglt) BgL_new1523z00_10287);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17547, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1523z00_10287);
						BgL_new1524z00_10286 = BgL_new1523z00_10287;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1524z00_10286)))->BgL_locz00) =
						((obj_t) BgL_loc1082z00_8730), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1524z00_10286)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1083z00_8731)),
						BUNSPEC);
					((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
										BgL_new1524z00_10286)))->BgL_valuez00) =
						((obj_t) BgL_value1084z00_8732), BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(BgL_new1524z00_10286))->BgL_refz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_ref1085z00_8733)),
						BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(BgL_new1524z00_10286))->BgL_indexz00) =
						((long) BgL_index1086z00_10285), BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(BgL_new1524z00_10286))->
							BgL_patchidz00) = ((obj_t) BgL_patchid1087z00_8735), BUNSPEC);
					return BgL_new1524z00_10286;
				}
			}
		}

	}



/* &<@anonymous:1975> */
	obj_t BGl_z62zc3z04anonymousza31975ze3ze5zzast_nodez00(obj_t BgL_envz00_8736)
	{
		{	/* Ast/node.scm 54 */
			return BUNSPEC;
		}

	}



/* &lambda1974 */
	obj_t BGl_z62lambda1974z62zzast_nodez00(obj_t BgL_envz00_8737,
		obj_t BgL_oz00_8738, obj_t BgL_vz00_8739)
	{
		{	/* Ast/node.scm 54 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_8738)))->BgL_patchidz00) =
				((obj_t) BgL_vz00_8739), BUNSPEC);
		}

	}



/* &lambda1973 */
	obj_t BGl_z62lambda1973z62zzast_nodez00(obj_t BgL_envz00_8740,
		obj_t BgL_oz00_8741)
	{
		{	/* Ast/node.scm 54 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_8741)))->BgL_patchidz00);
		}

	}



/* &<@anonymous:1968> */
	obj_t BGl_z62zc3z04anonymousza31968ze3ze5zzast_nodez00(obj_t BgL_envz00_8742)
	{
		{	/* Ast/node.scm 54 */
			return BINT(((long) -1));
		}

	}



/* &lambda1967 */
	obj_t BGl_z62lambda1967z62zzast_nodez00(obj_t BgL_envz00_8743,
		obj_t BgL_oz00_8744, obj_t BgL_vz00_8745)
	{
		{	/* Ast/node.scm 54 */
			{	/* Ast/node.scm 54 */
				long BgL_vz00_10292;

				BgL_vz00_10292 = (long) CINT(BgL_vz00_8745);
				return
					((((BgL_patchz00_bglt) COBJECT(
								((BgL_patchz00_bglt) BgL_oz00_8744)))->BgL_indexz00) =
					((long) BgL_vz00_10292), BUNSPEC);
		}}

	}



/* &lambda1966 */
	obj_t BGl_z62lambda1966z62zzast_nodez00(obj_t BgL_envz00_8746,
		obj_t BgL_oz00_8747)
	{
		{	/* Ast/node.scm 54 */
			return
				BINT(
				(((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_8747)))->BgL_indexz00));
		}

	}



/* &lambda1961 */
	obj_t BGl_z62lambda1961z62zzast_nodez00(obj_t BgL_envz00_8748,
		obj_t BgL_oz00_8749, obj_t BgL_vz00_8750)
	{
		{	/* Ast/node.scm 54 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_8749)))->BgL_refz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8750)), BUNSPEC);
		}

	}



/* &lambda1960 */
	BgL_varz00_bglt BGl_z62lambda1960z62zzast_nodez00(obj_t BgL_envz00_8751,
		obj_t BgL_oz00_8752)
	{
		{	/* Ast/node.scm 54 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_8752)))->BgL_refz00);
		}

	}



/* &<@anonymous:1946> */
	obj_t BGl_z62zc3z04anonymousza31946ze3ze5zzast_nodez00(obj_t BgL_envz00_8753,
		obj_t BgL_new1080z00_8754)
	{
		{	/* Ast/node.scm 51 */
			{
				BgL_literalz00_bglt BgL_auxz00_17578;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_literalz00_bglt) BgL_new1080z00_8754))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17582;

					{	/* Ast/node.scm 51 */
						obj_t BgL_classz00_10298;

						BgL_classz00_10298 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 51 */
							obj_t BgL__ortest_1113z00_10299;

							BgL__ortest_1113z00_10299 = BGL_CLASS_NIL(BgL_classz00_10298);
							if (CBOOL(BgL__ortest_1113z00_10299))
								{	/* Ast/node.scm 51 */
									BgL_auxz00_17582 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10299);
								}
							else
								{	/* Ast/node.scm 51 */
									BgL_auxz00_17582 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10298));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_literalz00_bglt) BgL_new1080z00_8754))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17582), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_literalz00_bglt) BgL_new1080z00_8754))))->
						BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17578 = ((BgL_literalz00_bglt) BgL_new1080z00_8754);
				return ((obj_t) BgL_auxz00_17578);
			}
		}

	}



/* &lambda1944 */
	BgL_literalz00_bglt BGl_z62lambda1944z62zzast_nodez00(obj_t BgL_envz00_8755)
	{
		{	/* Ast/node.scm 51 */
			{	/* Ast/node.scm 51 */
				BgL_literalz00_bglt BgL_new1079z00_10300;

				BgL_new1079z00_10300 =
					((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_literalz00_bgl))));
				{	/* Ast/node.scm 51 */
					long BgL_arg1945z00_10301;

					BgL_arg1945z00_10301 = BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1079z00_10300), BgL_arg1945z00_10301);
				}
				{	/* Ast/node.scm 51 */
					BgL_objectz00_bglt BgL_tmpz00_17601;

					BgL_tmpz00_17601 = ((BgL_objectz00_bglt) BgL_new1079z00_10300);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17601, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1079z00_10300);
				return BgL_new1079z00_10300;
			}
		}

	}



/* &lambda1942 */
	BgL_literalz00_bglt BGl_z62lambda1942z62zzast_nodez00(obj_t BgL_envz00_8756,
		obj_t BgL_loc1076z00_8757, obj_t BgL_type1077z00_8758,
		obj_t BgL_value1078z00_8759)
	{
		{	/* Ast/node.scm 51 */
			{	/* Ast/node.scm 51 */
				BgL_literalz00_bglt BgL_new1522z00_10303;

				{	/* Ast/node.scm 51 */
					BgL_literalz00_bglt BgL_new1521z00_10304;

					BgL_new1521z00_10304 =
						((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalz00_bgl))));
					{	/* Ast/node.scm 51 */
						long BgL_arg1943z00_10305;

						BgL_arg1943z00_10305 = BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1521z00_10304),
							BgL_arg1943z00_10305);
					}
					{	/* Ast/node.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_17609;

						BgL_tmpz00_17609 = ((BgL_objectz00_bglt) BgL_new1521z00_10304);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17609, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1521z00_10304);
					BgL_new1522z00_10303 = BgL_new1521z00_10304;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1522z00_10303)))->BgL_locz00) =
					((obj_t) BgL_loc1076z00_8757), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1522z00_10303)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1077z00_8758)),
					BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1522z00_10303)))->BgL_valuez00) =
					((obj_t) BgL_value1078z00_8759), BUNSPEC);
				return BgL_new1522z00_10303;
			}
		}

	}



/* &<@anonymous:1931> */
	obj_t BGl_z62zc3z04anonymousza31931ze3ze5zzast_nodez00(obj_t BgL_envz00_8760,
		obj_t BgL_new1074z00_8761)
	{
		{	/* Ast/node.scm 46 */
			{
				BgL_atomz00_bglt BgL_auxz00_17620;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_atomz00_bglt) BgL_new1074z00_8761))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17624;

					{	/* Ast/node.scm 46 */
						obj_t BgL_classz00_10307;

						BgL_classz00_10307 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 46 */
							obj_t BgL__ortest_1113z00_10308;

							BgL__ortest_1113z00_10308 = BGL_CLASS_NIL(BgL_classz00_10307);
							if (CBOOL(BgL__ortest_1113z00_10308))
								{	/* Ast/node.scm 46 */
									BgL_auxz00_17624 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10308);
								}
							else
								{	/* Ast/node.scm 46 */
									BgL_auxz00_17624 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10307));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_atomz00_bglt) BgL_new1074z00_8761))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17624), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt) BgL_new1074z00_8761)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17620 = ((BgL_atomz00_bglt) BgL_new1074z00_8761);
				return ((obj_t) BgL_auxz00_17620);
			}
		}

	}



/* &lambda1929 */
	BgL_atomz00_bglt BGl_z62lambda1929z62zzast_nodez00(obj_t BgL_envz00_8762)
	{
		{	/* Ast/node.scm 46 */
			{	/* Ast/node.scm 46 */
				BgL_atomz00_bglt BgL_new1073z00_10309;

				BgL_new1073z00_10309 =
					((BgL_atomz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_atomz00_bgl))));
				{	/* Ast/node.scm 46 */
					long BgL_arg1930z00_10310;

					BgL_arg1930z00_10310 = BGL_CLASS_NUM(BGl_atomz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1073z00_10309), BgL_arg1930z00_10310);
				}
				return BgL_new1073z00_10309;
			}
		}

	}



/* &lambda1936 */
	obj_t BGl_z62lambda1936z62zzast_nodez00(obj_t BgL_envz00_8763,
		obj_t BgL_oz00_8764, obj_t BgL_vz00_8765)
	{
		{	/* Ast/node.scm 46 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_8764)))->BgL_valuez00) =
				((obj_t) BgL_vz00_8765), BUNSPEC);
		}

	}



/* &lambda1935 */
	obj_t BGl_z62lambda1935z62zzast_nodez00(obj_t BgL_envz00_8766,
		obj_t BgL_oz00_8767)
	{
		{	/* Ast/node.scm 46 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_8767)))->BgL_valuez00);
		}

	}



/* &<@anonymous:1907> */
	obj_t BGl_z62zc3z04anonymousza31907ze3ze5zzast_nodez00(obj_t BgL_envz00_8768,
		obj_t BgL_new1071z00_8769)
	{
		{	/* Ast/node.scm 37 */
			{
				BgL_nodezf2effectzf2_bglt BgL_auxz00_17646;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_nodezf2effectzf2_bglt) BgL_new1071z00_8769))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17650;

					{	/* Ast/node.scm 37 */
						obj_t BgL_classz00_10314;

						BgL_classz00_10314 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 37 */
							obj_t BgL__ortest_1113z00_10315;

							BgL__ortest_1113z00_10315 = BGL_CLASS_NIL(BgL_classz00_10314);
							if (CBOOL(BgL__ortest_1113z00_10315))
								{	/* Ast/node.scm 37 */
									BgL_auxz00_17650 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10315);
								}
							else
								{	/* Ast/node.scm 37 */
									BgL_auxz00_17650 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10314));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_nodezf2effectzf2_bglt) BgL_new1071z00_8769))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17650), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt) BgL_new1071z00_8769)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1071z00_8769)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17646 = ((BgL_nodezf2effectzf2_bglt) BgL_new1071z00_8769);
				return ((obj_t) BgL_auxz00_17646);
			}
		}

	}



/* &lambda1904 */
	BgL_nodezf2effectzf2_bglt BGl_z62lambda1904z62zzast_nodez00(obj_t
		BgL_envz00_8770)
	{
		{	/* Ast/node.scm 37 */
			{	/* Ast/node.scm 37 */
				BgL_nodezf2effectzf2_bglt BgL_new1070z00_10316;

				BgL_new1070z00_10316 =
					((BgL_nodezf2effectzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_nodezf2effectzf2_bgl))));
				{	/* Ast/node.scm 37 */
					long BgL_arg1906z00_10317;

					BgL_arg1906z00_10317 =
						BGL_CLASS_NUM(BGl_nodezf2effectzf2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1070z00_10316), BgL_arg1906z00_10317);
				}
				return BgL_new1070z00_10316;
			}
		}

	}



/* &lambda1902 */
	BgL_nodezf2effectzf2_bglt BGl_z62lambda1902z62zzast_nodez00(obj_t
		BgL_envz00_8771, obj_t BgL_loc1066z00_8772, obj_t BgL_type1067z00_8773,
		obj_t BgL_sidezd2effect1068zd2_8774, obj_t BgL_key1069z00_8775)
	{
		{	/* Ast/node.scm 37 */
			{	/* Ast/node.scm 37 */
				BgL_nodezf2effectzf2_bglt BgL_new1520z00_10319;

				{	/* Ast/node.scm 37 */
					BgL_nodezf2effectzf2_bglt BgL_new1519z00_10320;

					BgL_new1519z00_10320 =
						((BgL_nodezf2effectzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/node.scm 37 */
						long BgL_arg1903z00_10321;

						BgL_arg1903z00_10321 =
							BGL_CLASS_NUM(BGl_nodezf2effectzf2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1519z00_10320),
							BgL_arg1903z00_10321);
					}
					BgL_new1520z00_10319 = BgL_new1519z00_10320;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1520z00_10319)))->BgL_locz00) =
					((obj_t) BgL_loc1066z00_8772), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1520z00_10319)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1067z00_8773)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1520z00_10319))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1068zd2_8774), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1520z00_10319))->
						BgL_keyz00) = ((obj_t) BgL_key1069z00_8775), BUNSPEC);
				return BgL_new1520z00_10319;
			}
		}

	}



/* &<@anonymous:1924> */
	obj_t BGl_z62zc3z04anonymousza31924ze3ze5zzast_nodez00(obj_t BgL_envz00_8776)
	{
		{	/* Ast/node.scm 37 */
			return BINT(((long) -1));
		}

	}



/* &lambda1923 */
	obj_t BGl_z62lambda1923z62zzast_nodez00(obj_t BgL_envz00_8777,
		obj_t BgL_oz00_8778, obj_t BgL_vz00_8779)
	{
		{	/* Ast/node.scm 37 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_8778)))->BgL_keyz00) =
				((obj_t) BgL_vz00_8779), BUNSPEC);
		}

	}



/* &lambda1922 */
	obj_t BGl_z62lambda1922z62zzast_nodez00(obj_t BgL_envz00_8780,
		obj_t BgL_oz00_8781)
	{
		{	/* Ast/node.scm 37 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_8781)))->BgL_keyz00);
		}

	}



/* &<@anonymous:1917> */
	obj_t BGl_z62zc3z04anonymousza31917ze3ze5zzast_nodez00(obj_t BgL_envz00_8782)
	{
		{	/* Ast/node.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda1916 */
	obj_t BGl_z62lambda1916z62zzast_nodez00(obj_t BgL_envz00_8783,
		obj_t BgL_oz00_8784, obj_t BgL_vz00_8785)
	{
		{	/* Ast/node.scm 37 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_8784)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_8785), BUNSPEC);
		}

	}



/* &lambda1915 */
	obj_t BGl_z62lambda1915z62zzast_nodez00(obj_t BgL_envz00_8786,
		obj_t BgL_oz00_8787)
	{
		{	/* Ast/node.scm 37 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_8787)))->
				BgL_sidezd2effectzd2);
		}

	}



/* &<@anonymous:1880> */
	obj_t BGl_z62zc3z04anonymousza31880ze3ze5zzast_nodez00(obj_t BgL_envz00_8788,
		obj_t BgL_new1064z00_8789)
	{
		{	/* Ast/node.scm 21 */
			{
				BgL_nodez00_bglt BgL_auxz00_17690;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1064z00_8789)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17693;

					{	/* Ast/node.scm 21 */
						obj_t BgL_classz00_10327;

						BgL_classz00_10327 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 21 */
							obj_t BgL__ortest_1113z00_10328;

							BgL__ortest_1113z00_10328 = BGL_CLASS_NIL(BgL_classz00_10327);
							if (CBOOL(BgL__ortest_1113z00_10328))
								{	/* Ast/node.scm 21 */
									BgL_auxz00_17693 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_10328);
								}
							else
								{	/* Ast/node.scm 21 */
									BgL_auxz00_17693 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10327));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1064z00_8789)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17693), BUNSPEC);
				}
				BgL_auxz00_17690 = ((BgL_nodez00_bglt) BgL_new1064z00_8789);
				return ((obj_t) BgL_auxz00_17690);
			}
		}

	}



/* &lambda1878 */
	BgL_nodez00_bglt BGl_z62lambda1878z62zzast_nodez00(obj_t BgL_envz00_8790)
	{
		{	/* Ast/node.scm 21 */
			{	/* Ast/node.scm 21 */
				BgL_nodez00_bglt BgL_new1063z00_10329;

				BgL_new1063z00_10329 =
					((BgL_nodez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_nodez00_bgl))));
				{	/* Ast/node.scm 21 */
					long BgL_arg1879z00_10330;

					BgL_arg1879z00_10330 = BGL_CLASS_NUM(BGl_nodez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1063z00_10329), BgL_arg1879z00_10330);
				}
				return BgL_new1063z00_10329;
			}
		}

	}



/* &lambda1876 */
	BgL_nodez00_bglt BGl_z62lambda1876z62zzast_nodez00(obj_t BgL_envz00_8791,
		obj_t BgL_loc1061z00_8792, obj_t BgL_type1062z00_8793)
	{
		{	/* Ast/node.scm 21 */
			{	/* Ast/node.scm 21 */
				BgL_nodez00_bglt BgL_new1518z00_10332;

				{	/* Ast/node.scm 21 */
					BgL_nodez00_bglt BgL_new1517z00_10333;

					BgL_new1517z00_10333 =
						((BgL_nodez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/node.scm 21 */
						long BgL_arg1877z00_10334;

						BgL_arg1877z00_10334 = BGL_CLASS_NUM(BGl_nodez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1517z00_10333),
							BgL_arg1877z00_10334);
					}
					BgL_new1518z00_10332 = BgL_new1517z00_10333;
				}
				((((BgL_nodez00_bglt) COBJECT(BgL_new1518z00_10332))->BgL_locz00) =
					((obj_t) BgL_loc1061z00_8792), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(BgL_new1518z00_10332))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1062z00_8793)),
					BUNSPEC);
				return BgL_new1518z00_10332;
			}
		}

	}



/* &lambda1893 */
	obj_t BGl_z62lambda1893z62zzast_nodez00(obj_t BgL_envz00_8794,
		obj_t BgL_oz00_8795, obj_t BgL_vz00_8796)
	{
		{	/* Ast/node.scm 21 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_8795)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8796)), BUNSPEC);
		}

	}



/* &lambda1892 */
	BgL_typez00_bglt BGl_z62lambda1892z62zzast_nodez00(obj_t BgL_envz00_8797,
		obj_t BgL_oz00_8798)
	{
		{	/* Ast/node.scm 21 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_8798)))->BgL_typez00);
		}

	}



/* &<@anonymous:1888> */
	obj_t BGl_z62zc3z04anonymousza31888ze3ze5zzast_nodez00(obj_t BgL_envz00_8799)
	{
		{	/* Ast/node.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1887 */
	obj_t BGl_z62lambda1887z62zzast_nodez00(obj_t BgL_envz00_8800,
		obj_t BgL_oz00_8801, obj_t BgL_vz00_8802)
	{
		{	/* Ast/node.scm 21 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_8801)))->BgL_locz00) =
				((obj_t) BgL_vz00_8802), BUNSPEC);
		}

	}



/* &lambda1886 */
	obj_t BGl_z62lambda1886z62zzast_nodez00(obj_t BgL_envz00_8803,
		obj_t BgL_oz00_8804)
	{
		{	/* Ast/node.scm 21 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_8804)))->BgL_locz00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_proc3321z00zzast_nodez00,
				BGl_nodez00zzast_nodez00, BGl_string3322z00zzast_nodez00);
		}

	}



/* &node-walk1718 */
	obj_t BGl_z62nodezd2walk1718zb0zzast_nodez00(obj_t BgL_envz00_8806,
		obj_t BgL_nodez00_8807, obj_t BgL_procz00_8808)
	{
		{	/* Ast/node.scm 311 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 95)),
				BGl_string3323z00zzast_nodez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_8807)));
		}

	}



/* node-walk */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt
		BgL_nodez00_1045, obj_t BgL_procz00_1046)
	{
		{	/* Ast/node.scm 311 */
			{	/* Ast/node.scm 311 */
				obj_t BgL_method1719z00_3600;

				{	/* Ast/node.scm 311 */
					obj_t BgL_res3006z00_6117;

					{	/* Ast/node.scm 311 */
						long BgL_objzd2classzd2numz00_6088;

						BgL_objzd2classzd2numz00_6088 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_1045));
						{	/* Ast/node.scm 311 */
							obj_t BgL_arg1825z00_6089;

							BgL_arg1825z00_6089 =
								PROCEDURE_REF(BGl_nodezd2walkzd2envz00zzast_nodez00,
								(int) (((long) 1)));
							{	/* Ast/node.scm 311 */
								int BgL_offsetz00_6092;

								BgL_offsetz00_6092 = (int) (BgL_objzd2classzd2numz00_6088);
								{	/* Ast/node.scm 311 */
									long BgL_offsetz00_6093;

									BgL_offsetz00_6093 =
										((long) (BgL_offsetz00_6092) - OBJECT_TYPE);
									{	/* Ast/node.scm 311 */
										long BgL_modz00_6094;

										BgL_modz00_6094 =
											(BgL_offsetz00_6093 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/node.scm 311 */
											long BgL_restz00_6096;

											BgL_restz00_6096 =
												(BgL_offsetz00_6093 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/node.scm 311 */

												{	/* Ast/node.scm 311 */
													obj_t BgL_bucketz00_6098;

													BgL_bucketz00_6098 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_6089), BgL_modz00_6094);
													BgL_res3006z00_6117 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6098), BgL_restz00_6096);
					}}}}}}}}
					BgL_method1719z00_3600 = BgL_res3006z00_6117;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1719z00_3600)) (BgL_method1719z00_3600,
					((obj_t) BgL_nodez00_1045), BgL_procz00_1046, BEOA);
			}
		}

	}



/* &node-walk */
	obj_t BGl_z62nodezd2walkzb0zzast_nodez00(obj_t BgL_envz00_8809,
		obj_t BgL_nodez00_8810, obj_t BgL_procz00_8811)
	{
		{	/* Ast/node.scm 311 */
			return
				BGl_nodezd2walkzd2zzast_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_8810), BgL_procz00_8811);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc3324z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc3326z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3327z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3328z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_syncz00zzast_nodez00,
				BGl_proc3329z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc3330z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3331z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc3332z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc3333z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc3334z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc3335z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3336z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc3337z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_switchz00zzast_nodez00,
				BGl_proc3338z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3339z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3340z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3341z00zzast_nodez00,
				BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc3342z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc3343z00zzast_nodez00, BGl_string3325z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3344z00zzast_nodez00,
				BGl_string3325z00zzast_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3345z00zzast_nodez00,
				BGl_string3325z00zzast_nodez00);
		}

	}



/* &node-walk-jump-ex-it1762 */
	obj_t BGl_z62nodezd2walkzd2jumpzd2exzd2it1762z62zzast_nodez00(obj_t
		BgL_envz00_8833, obj_t BgL_nodez00_8834, obj_t BgL_procz00_8835)
	{
		{	/* Ast/node.scm 475 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_8834)))->BgL_exitz00),
				((obj_t) BgL_procz00_8835));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_8834)))->BgL_valuez00),
				((obj_t) BgL_procz00_8835));
			{	/* Ast/node.scm 478 */
				obj_t BgL_tmpfunz00_17798;

				BgL_tmpfunz00_17798 = ((obj_t) BgL_procz00_8835);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_17798)) (((obj_t)
						BgL_procz00_8835),
					((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_8834)), BEOA);
			}
		}

	}



/* &node-walk-set-ex-it1760 */
	obj_t BGl_z62nodezd2walkzd2setzd2exzd2it1760z62zzast_nodez00(obj_t
		BgL_envz00_8836, obj_t BgL_nodez00_8837, obj_t BgL_procz00_8838)
	{
		{	/* Ast/node.scm 468 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_8837)))->BgL_bodyz00),
				((obj_t) BgL_procz00_8838));
			{	/* Ast/node.scm 470 */
				obj_t BgL_tmpfunz00_17810;

				BgL_tmpfunz00_17810 = ((obj_t) BgL_procz00_8838);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_17810)) (((obj_t)
						BgL_procz00_8838),
					((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_8837)), BEOA);
			}
		}

	}



/* &node-walk-let-var1758 */
	obj_t BGl_z62nodezd2walkzd2letzd2var1758zb0zzast_nodez00(obj_t
		BgL_envz00_8839, obj_t BgL_nodez00_8840, obj_t BgL_procz00_8841)
	{
		{	/* Ast/node.scm 457 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_8840)))->BgL_bodyz00),
				((obj_t) BgL_procz00_8841));
			{	/* Ast/node.scm 460 */
				obj_t BgL_g1631z00_10348;

				BgL_g1631z00_10348 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_8840)))->BgL_bindingsz00);
				{
					obj_t BgL_l1629z00_10350;

					BgL_l1629z00_10350 = BgL_g1631z00_10348;
				BgL_zc3z04anonymousza32934ze3z87_10349:
					if (PAIRP(BgL_l1629z00_10350))
						{	/* Ast/node.scm 460 */
							{	/* Ast/node.scm 461 */
								obj_t BgL_bindingz00_10351;

								BgL_bindingz00_10351 = CAR(BgL_l1629z00_10350);
								{	/* Ast/node.scm 461 */
									obj_t BgL_arg2936z00_10352;

									BgL_arg2936z00_10352 = CDR(((obj_t) BgL_bindingz00_10351));
									BGl_nodezd2walkzd2zzast_nodez00(
										((BgL_nodez00_bglt) BgL_arg2936z00_10352),
										((obj_t) BgL_procz00_8841));
								}
							}
							{
								obj_t BgL_l1629z00_17826;

								BgL_l1629z00_17826 = CDR(BgL_l1629z00_10350);
								BgL_l1629z00_10350 = BgL_l1629z00_17826;
								goto BgL_zc3z04anonymousza32934ze3z87_10349;
							}
						}
					else
						{	/* Ast/node.scm 460 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/node.scm 463 */
				obj_t BgL_tmpfunz00_17834;

				BgL_tmpfunz00_17834 = ((obj_t) BgL_procz00_8841);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_17834)) (((obj_t)
						BgL_procz00_8841),
					((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_8840)), BEOA);
			}
		}

	}



/* &node-walk-let-fun1756 */
	obj_t BGl_z62nodezd2walkzd2letzd2fun1756zb0zzast_nodez00(obj_t
		BgL_envz00_8842, obj_t BgL_nodez00_8843, obj_t BgL_procz00_8844)
	{
		{	/* Ast/node.scm 445 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_8843)))->BgL_bodyz00),
				((obj_t) BgL_procz00_8844));
			{	/* Ast/node.scm 448 */
				obj_t BgL_g1628z00_10355;

				BgL_g1628z00_10355 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_8843)))->BgL_localsz00);
				{
					obj_t BgL_l1626z00_10357;

					BgL_l1626z00_10357 = BgL_g1628z00_10355;
				BgL_zc3z04anonymousza32915ze3z87_10356:
					if (PAIRP(BgL_l1626z00_10357))
						{	/* Ast/node.scm 448 */
							{	/* Ast/node.scm 449 */
								obj_t BgL_localz00_10358;

								BgL_localz00_10358 = CAR(BgL_l1626z00_10357);
								{	/* Ast/node.scm 449 */
									BgL_valuez00_bglt BgL_sfunz00_10359;

									BgL_sfunz00_10359 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_10358))))->
										BgL_valuez00);
									{	/* Ast/node.scm 450 */
										obj_t BgL_arg2918z00_10360;

										BgL_arg2918z00_10360 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_10359)))->
											BgL_bodyz00);
										BGl_nodezd2walkzd2zzast_nodez00(((BgL_nodez00_bglt)
												BgL_arg2918z00_10360), ((obj_t) BgL_procz00_8844));
									}
								}
							}
							{
								obj_t BgL_l1626z00_17853;

								BgL_l1626z00_17853 = CDR(BgL_l1626z00_10357);
								BgL_l1626z00_10357 = BgL_l1626z00_17853;
								goto BgL_zc3z04anonymousza32915ze3z87_10356;
							}
						}
					else
						{	/* Ast/node.scm 448 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/node.scm 452 */
				obj_t BgL_tmpfunz00_17861;

				BgL_tmpfunz00_17861 = ((obj_t) BgL_procz00_8844);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_17861)) (((obj_t)
						BgL_procz00_8844),
					((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_8843)), BEOA);
			}
		}

	}



/* &node-walk-box-set!1754 */
	obj_t BGl_z62nodezd2walkzd2boxzd2setz121754za2zzast_nodez00(obj_t
		BgL_envz00_8845, obj_t BgL_nodez00_8846, obj_t BgL_procz00_8847)
	{
		{	/* Ast/node.scm 437 */
			{	/* Ast/node.scm 438 */
				BgL_varz00_bglt BgL_arg2912z00_10363;

				BgL_arg2912z00_10363 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_8846)))->BgL_varz00);
				BGl_nodezd2walkzd2zzast_nodez00(
					((BgL_nodez00_bglt) BgL_arg2912z00_10363),
					((obj_t) BgL_procz00_8847));
			}
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_8846)))->BgL_valuez00),
				((obj_t) BgL_procz00_8847));
			{	/* Ast/node.scm 440 */
				obj_t BgL_tmpfunz00_17878;

				BgL_tmpfunz00_17878 = ((obj_t) BgL_procz00_8847);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_17878)) (((obj_t)
						BgL_procz00_8847),
					((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_8846)), BEOA);
			}
		}

	}



/* &node-walk-box-ref1752 */
	obj_t BGl_z62nodezd2walkzd2boxzd2ref1752zb0zzast_nodez00(obj_t
		BgL_envz00_8848, obj_t BgL_nodez00_8849, obj_t BgL_procz00_8850)
	{
		{	/* Ast/node.scm 430 */
			{	/* Ast/node.scm 431 */
				BgL_varz00_bglt BgL_arg2911z00_10366;

				BgL_arg2911z00_10366 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_8849)))->BgL_varz00);
				BGl_nodezd2walkzd2zzast_nodez00(
					((BgL_nodez00_bglt) BgL_arg2911z00_10366),
					((obj_t) BgL_procz00_8850));
			}
			{	/* Ast/node.scm 432 */
				obj_t BgL_tmpfunz00_17891;

				BgL_tmpfunz00_17891 = ((obj_t) BgL_procz00_8850);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_17891)) (((obj_t)
						BgL_procz00_8850),
					((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_8849)), BEOA);
			}
		}

	}



/* &node-walk-make-box1750 */
	obj_t BGl_z62nodezd2walkzd2makezd2box1750zb0zzast_nodez00(obj_t
		BgL_envz00_8851, obj_t BgL_nodez00_8852, obj_t BgL_procz00_8853)
	{
		{	/* Ast/node.scm 423 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_8852)))->BgL_valuez00),
				((obj_t) BgL_procz00_8853));
			{	/* Ast/node.scm 425 */
				obj_t BgL_tmpfunz00_17903;

				BgL_tmpfunz00_17903 = ((obj_t) BgL_procz00_8853);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_17903)) (((obj_t)
						BgL_procz00_8853),
					((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_8852)), BEOA);
			}
		}

	}



/* &node-walk-switch1748 */
	obj_t BGl_z62nodezd2walkzd2switch1748z62zzast_nodez00(obj_t BgL_envz00_8854,
		obj_t BgL_nodez00_8855, obj_t BgL_procz00_8856)
	{
		{	/* Ast/node.scm 413 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_8855)))->BgL_testz00),
				((obj_t) BgL_procz00_8856));
			{	/* Ast/node.scm 415 */
				obj_t BgL_g1625z00_10371;

				BgL_g1625z00_10371 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_8855)))->BgL_clausesz00);
				{
					obj_t BgL_l1623z00_10373;

					BgL_l1623z00_10373 = BgL_g1625z00_10371;
				BgL_zc3z04anonymousza32904ze3z87_10372:
					if (PAIRP(BgL_l1623z00_10373))
						{	/* Ast/node.scm 417 */
							{	/* Ast/node.scm 416 */
								obj_t BgL_clausez00_10374;

								BgL_clausez00_10374 = CAR(BgL_l1623z00_10373);
								{	/* Ast/node.scm 416 */
									obj_t BgL_arg2908z00_10375;

									BgL_arg2908z00_10375 = CDR(((obj_t) BgL_clausez00_10374));
									BGl_nodezd2walkzd2zzast_nodez00(
										((BgL_nodez00_bglt) BgL_arg2908z00_10375),
										((obj_t) BgL_procz00_8856));
								}
							}
							{
								obj_t BgL_l1623z00_17919;

								BgL_l1623z00_17919 = CDR(BgL_l1623z00_10373);
								BgL_l1623z00_10373 = BgL_l1623z00_17919;
								goto BgL_zc3z04anonymousza32904ze3z87_10372;
							}
						}
					else
						{	/* Ast/node.scm 417 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/node.scm 418 */
				obj_t BgL_tmpfunz00_17927;

				BgL_tmpfunz00_17927 = ((obj_t) BgL_procz00_8856);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_17927)) (((obj_t)
						BgL_procz00_8856),
					((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_8855)), BEOA);
			}
		}

	}



/* &node-walk-fail1746 */
	obj_t BGl_z62nodezd2walkzd2fail1746z62zzast_nodez00(obj_t BgL_envz00_8857,
		obj_t BgL_nodez00_8858, obj_t BgL_procz00_8859)
	{
		{	/* Ast/node.scm 404 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_8858)))->BgL_procz00),
				((obj_t) BgL_procz00_8859));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_8858)))->BgL_msgz00),
				((obj_t) BgL_procz00_8859));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_8858)))->BgL_objz00),
				((obj_t) BgL_procz00_8859));
			{	/* Ast/node.scm 408 */
				obj_t BgL_tmpfunz00_17947;

				BgL_tmpfunz00_17947 = ((obj_t) BgL_procz00_8859);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_17947)) (((obj_t)
						BgL_procz00_8859), ((obj_t) ((BgL_failz00_bglt) BgL_nodez00_8858)),
					BEOA);
			}
		}

	}



/* &node-walk-conditiona1744 */
	obj_t BGl_z62nodezd2walkzd2conditiona1744z62zzast_nodez00(obj_t
		BgL_envz00_8860, obj_t BgL_nodez00_8861, obj_t BgL_procz00_8862)
	{
		{	/* Ast/node.scm 395 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_8861)))->BgL_testz00),
				((obj_t) BgL_procz00_8862));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_8861)))->BgL_truez00),
				((obj_t) BgL_procz00_8862));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_8861)))->BgL_falsez00),
				((obj_t) BgL_procz00_8862));
			{	/* Ast/node.scm 399 */
				obj_t BgL_tmpfunz00_17967;

				BgL_tmpfunz00_17967 = ((obj_t) BgL_procz00_8862);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_17967)) (((obj_t)
						BgL_procz00_8862),
					((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_8861)), BEOA);
			}
		}

	}



/* &node-walk-setq1742 */
	obj_t BGl_z62nodezd2walkzd2setq1742z62zzast_nodez00(obj_t BgL_envz00_8863,
		obj_t BgL_nodez00_8864, obj_t BgL_procz00_8865)
	{
		{	/* Ast/node.scm 388 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_8864)))->BgL_valuez00),
				((obj_t) BgL_procz00_8865));
			{	/* Ast/node.scm 390 */
				obj_t BgL_tmpfunz00_17979;

				BgL_tmpfunz00_17979 = ((obj_t) BgL_procz00_8865);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_17979)) (((obj_t)
						BgL_procz00_8865), ((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_8864)),
					BEOA);
			}
		}

	}



/* &node-walk-cast1740 */
	obj_t BGl_z62nodezd2walkzd2cast1740z62zzast_nodez00(obj_t BgL_envz00_8866,
		obj_t BgL_nodez00_8867, obj_t BgL_procz00_8868)
	{
		{	/* Ast/node.scm 381 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_8867)))->BgL_argz00),
				((obj_t) BgL_procz00_8868));
			{	/* Ast/node.scm 383 */
				obj_t BgL_tmpfunz00_17991;

				BgL_tmpfunz00_17991 = ((obj_t) BgL_procz00_8868);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_17991)) (((obj_t)
						BgL_procz00_8868), ((obj_t) ((BgL_castz00_bglt) BgL_nodez00_8867)),
					BEOA);
			}
		}

	}



/* &node-walk-extern1738 */
	obj_t BGl_z62nodezd2walkzd2extern1738z62zzast_nodez00(obj_t BgL_envz00_8869,
		obj_t BgL_nodez00_8870, obj_t BgL_procz00_8871)
	{
		{	/* Ast/node.scm 374 */
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_8870)))->BgL_exprza2za2),
				((obj_t) BgL_procz00_8871));
			{	/* Ast/node.scm 376 */
				obj_t BgL_tmpfunz00_18003;

				BgL_tmpfunz00_18003 = ((obj_t) BgL_procz00_8871);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18003)) (((obj_t)
						BgL_procz00_8871),
					((obj_t) ((BgL_externz00_bglt) BgL_nodez00_8870)), BEOA);
			}
		}

	}



/* &node-walk-funcall1736 */
	obj_t BGl_z62nodezd2walkzd2funcall1736z62zzast_nodez00(obj_t BgL_envz00_8872,
		obj_t BgL_nodez00_8873, obj_t BgL_procz00_8874)
	{
		{	/* Ast/node.scm 366 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_8873)))->BgL_funz00),
				((obj_t) BgL_procz00_8874));
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_8873)))->BgL_argsz00),
				((obj_t) BgL_procz00_8874));
			{	/* Ast/node.scm 369 */
				obj_t BgL_tmpfunz00_18019;

				BgL_tmpfunz00_18019 = ((obj_t) BgL_procz00_8874);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18019)) (((obj_t)
						BgL_procz00_8874),
					((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_8873)), BEOA);
			}
		}

	}



/* &node-walk-app-ly1734 */
	obj_t BGl_z62nodezd2walkzd2appzd2ly1734zb0zzast_nodez00(obj_t BgL_envz00_8875,
		obj_t BgL_nodez00_8876, obj_t BgL_procz00_8877)
	{
		{	/* Ast/node.scm 358 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_8876)))->BgL_funz00),
				((obj_t) BgL_procz00_8877));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_8876)))->BgL_argz00),
				((obj_t) BgL_procz00_8877));
			{	/* Ast/node.scm 361 */
				obj_t BgL_tmpfunz00_18035;

				BgL_tmpfunz00_18035 = ((obj_t) BgL_procz00_8877);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18035)) (((obj_t)
						BgL_procz00_8877),
					((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_8876)), BEOA);
			}
		}

	}



/* &node-walk-app1732 */
	obj_t BGl_z62nodezd2walkzd2app1732z62zzast_nodez00(obj_t BgL_envz00_8878,
		obj_t BgL_nodez00_8879, obj_t BgL_procz00_8880)
	{
		{	/* Ast/node.scm 350 */
			{	/* Ast/node.scm 351 */
				BgL_varz00_bglt BgL_arg2877z00_10392;

				BgL_arg2877z00_10392 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_8879)))->BgL_funz00);
				BGl_nodezd2walkzd2zzast_nodez00(
					((BgL_nodez00_bglt) BgL_arg2877z00_10392),
					((obj_t) BgL_procz00_8880));
			}
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_8879)))->BgL_argsz00),
				((obj_t) BgL_procz00_8880));
			{	/* Ast/node.scm 353 */
				obj_t BgL_tmpfunz00_18052;

				BgL_tmpfunz00_18052 = ((obj_t) BgL_procz00_8880);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18052)) (((obj_t)
						BgL_procz00_8880), ((obj_t) ((BgL_appz00_bglt) BgL_nodez00_8879)),
					BEOA);
			}
		}

	}



/* &node-walk-sync1730 */
	obj_t BGl_z62nodezd2walkzd2sync1730z62zzast_nodez00(obj_t BgL_envz00_8881,
		obj_t BgL_nodez00_8882, obj_t BgL_procz00_8883)
	{
		{	/* Ast/node.scm 341 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_8882)))->BgL_mutexz00),
				((obj_t) BgL_procz00_8883));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_8882)))->BgL_prelockz00),
				((obj_t) BgL_procz00_8883));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_8882)))->BgL_bodyz00),
				((obj_t) BgL_procz00_8883));
			{	/* Ast/node.scm 345 */
				obj_t BgL_tmpfunz00_18072;

				BgL_tmpfunz00_18072 = ((obj_t) BgL_procz00_8883);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18072)) (((obj_t)
						BgL_procz00_8883), ((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_8882)),
					BEOA);
			}
		}

	}



/* &node-walk-sequence1727 */
	obj_t BGl_z62nodezd2walkzd2sequence1727z62zzast_nodez00(obj_t BgL_envz00_8884,
		obj_t BgL_nodez00_8885, obj_t BgL_procz00_8886)
	{
		{	/* Ast/node.scm 334 */
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_8885)))->BgL_nodesz00),
				((obj_t) BgL_procz00_8886));
			{	/* Ast/node.scm 336 */
				obj_t BgL_tmpfunz00_18084;

				BgL_tmpfunz00_18084 = ((obj_t) BgL_procz00_8886);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18084)) (((obj_t)
						BgL_procz00_8886),
					((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_8885)), BEOA);
			}
		}

	}



/* &node-walk-kwote1725 */
	obj_t BGl_z62nodezd2walkzd2kwote1725z62zzast_nodez00(obj_t BgL_envz00_8887,
		obj_t BgL_nodez00_8888, obj_t BgL_procz00_8889)
	{
		{	/* Ast/node.scm 328 */
			{	/* Ast/node.scm 329 */
				obj_t BgL_tmpfunz00_18092;

				BgL_tmpfunz00_18092 = ((obj_t) BgL_procz00_8889);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18092)) (((obj_t)
						BgL_procz00_8889), ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_8888)),
					BEOA);
			}
		}

	}



/* &node-walk-var1723 */
	obj_t BGl_z62nodezd2walkzd2var1723z62zzast_nodez00(obj_t BgL_envz00_8890,
		obj_t BgL_nodez00_8891, obj_t BgL_procz00_8892)
	{
		{	/* Ast/node.scm 322 */
			{	/* Ast/node.scm 323 */
				obj_t BgL_tmpfunz00_18100;

				BgL_tmpfunz00_18100 = ((obj_t) BgL_procz00_8892);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18100)) (((obj_t)
						BgL_procz00_8892), ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_8891)),
					BEOA);
			}
		}

	}



/* &node-walk-atom1721 */
	obj_t BGl_z62nodezd2walkzd2atom1721z62zzast_nodez00(obj_t BgL_envz00_8893,
		obj_t BgL_nodez00_8894, obj_t BgL_procz00_8895)
	{
		{	/* Ast/node.scm 316 */
			{	/* Ast/node.scm 317 */
				obj_t BgL_tmpfunz00_18108;

				BgL_tmpfunz00_18108 = ((obj_t) BgL_procz00_8895);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18108)) (((obj_t)
						BgL_procz00_8895), ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_8894)),
					BEOA);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3346z00zzast_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3346z00zzast_nodez00));
		}

	}

#ifdef __cplusplus
}
#endif
