/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/sexp.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	static obj_t BGl_zc3z04exitza31536ze3ze70z60zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_lambdazd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00(void);
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00(void);
	BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_sexpz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_addzd2staticzd2pragmaz12z12zzast_pragmaz00(BgL_nodez00_bglt);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzast_sexpz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00(void);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2containszd2zz__r4_strings_6_7z00(obj_t, obj_t,
		int);
	extern obj_t BGl_castzd2sexpzd2typez00zzast_privatez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza37517ze3ze5zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00
		(BgL_globalz00_bglt, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_sexpz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
	static obj_t BGl_liipze70ze7zzast_sexpz00(obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	static BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzf2srczd2ze3nodeza1zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_castzd2sexpzf3z21zzast_privatez00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31560ze3ze5zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00(void);
	BGL_EXPORTED_DECL obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_sexpz00(void);
	static obj_t BGl_z62zc3z04anonymousza31561ze3ze5zzast_sexpz00(obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_notzd2testzd2zzast_sexpz00(obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00(void);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_testzd2nestablezf3z21zzast_sexpz00(BgL_nodez00_bglt);
	static obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_letzd2symzd2zzast_letz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_usedzd2inzf3z21zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_letrecza2zd2ze3nodez93zzast_letz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t __cnst[52];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762topza7d2levelza7d8060za7,
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl_za762sexpza7a2za7d2za7e38061z00,
		BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzf2srczd2ze3nodezd2envz11zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim8062z00,
		BGl_z62definezd2primopzd2refzf2srczd2ze3nodeza1zzast_sexpz00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim8063z00,
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8023z00zzast_sexpz00,
		BgL_bgl_string8023za700za7za7a8064za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string8024z00zzast_sexpz00,
		BgL_bgl_string8024za700za7za7a8065za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string8025z00zzast_sexpz00,
		BgL_bgl_string8025za700za7za7a8066za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string8026z00zzast_sexpz00,
		BgL_bgl_string8026za700za7za7a8067za7, "Illegal `static-pragma' expression",
		34);
	      DEFINE_STRING(BGl_string8027z00zzast_sexpz00,
		BgL_bgl_string8027za700za7za7a8068za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string8028z00zzast_sexpz00,
		BgL_bgl_string8028za700za7za7a8069za7,
		"illegal `$let' expression, does not produce a let", 49);
	      DEFINE_STRING(BGl_string8029z00zzast_sexpz00,
		BgL_bgl_string8029za700za7za7a8070za7, "Illegal `define' form", 21);
	      DEFINE_STRING(BGl_string8030z00zzast_sexpz00,
		BgL_bgl_string8030za700za7za7a8071za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string8031z00zzast_sexpz00,
		BgL_bgl_string8031za700za7za7a8072za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string8032z00zzast_sexpz00,
		BgL_bgl_string8032za700za7za7a8073za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string8033z00zzast_sexpz00,
		BgL_bgl_string8033za700za7za7a8074za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string8034z00zzast_sexpz00,
		BgL_bgl_string8034za700za7za7a8075za7, "Illegal ->", 10);
	      DEFINE_STRING(BGl_string8035z00zzast_sexpz00,
		BgL_bgl_string8035za700za7za7a8076za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string8036z00zzast_sexpz00,
		BgL_bgl_string8036za700za7za7a8077za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string8037z00zzast_sexpz00,
		BgL_bgl_string8037za700za7za7a8078za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string8038z00zzast_sexpz00,
		BgL_bgl_string8038za700za7za7a8079za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string8039z00zzast_sexpz00,
		BgL_bgl_string8039za700za7za7a8080za7, "Illegal atom in s-expression", 28);
	      DEFINE_STRING(BGl_string8040z00zzast_sexpz00,
		BgL_bgl_string8040za700za7za7a8081za7, "Illegal `()' expression", 23);
	      DEFINE_STRING(BGl_string8041z00zzast_sexpz00,
		BgL_bgl_string8041za700za7za7a8082za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string8042z00zzast_sexpz00,
		BgL_bgl_string8042za700za7za7a8083za7, "Illegal formal argument", 23);
	      DEFINE_STRING(BGl_string8043z00zzast_sexpz00,
		BgL_bgl_string8043za700za7za7a8084za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string8044z00zzast_sexpz00,
		BgL_bgl_string8044za700za7za7a8085za7,
		"Backend (~a) does not support external first class function", 59);
	      DEFINE_STRING(BGl_string8045z00zzast_sexpz00,
		BgL_bgl_string8045za700za7za7a8086za7, "Illegal pragma/effect", 21);
	      DEFINE_STRING(BGl_string8046z00zzast_sexpz00,
		BgL_bgl_string8046za700za7za7a8087za7, "Illegal free-pragma/effect", 26);
	      DEFINE_STRING(BGl_string8047z00zzast_sexpz00,
		BgL_bgl_string8047za700za7za7a8088za7, "Illegal lambda", 14);
	      DEFINE_STRING(BGl_string8048z00zzast_sexpz00,
		BgL_bgl_string8048za700za7za7a8089za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string8049z00zzast_sexpz00,
		BgL_bgl_string8049za700za7za7a8090za7, "Illegal mutation", 16);
	      DEFINE_STRING(BGl_string8050z00zzast_sexpz00,
		BgL_bgl_string8050za700za7za7a8091za7, "($1)", 4);
	      DEFINE_STRING(BGl_string8051z00zzast_sexpz00,
		BgL_bgl_string8051za700za7za7a8092za7, "<@", 2);
	      DEFINE_STRING(BGl_string8052z00zzast_sexpz00,
		BgL_bgl_string8052za700za7za7a8093za7, ":", 1);
	      DEFINE_STRING(BGl_string8053z00zzast_sexpz00,
		BgL_bgl_string8053za700za7za7a8094za7, "./", 2);
	      DEFINE_STRING(BGl_string8054z00zzast_sexpz00,
		BgL_bgl_string8054za700za7za7a8095za7, "@>", 2);
	      DEFINE_STRING(BGl_string8055z00zzast_sexpz00,
		BgL_bgl_string8055za700za7za7a8096za7, ">", 1);
	      DEFINE_STRING(BGl_string8056z00zzast_sexpz00,
		BgL_bgl_string8056za700za7za7a8097za7, "-", 1);
	      DEFINE_STRING(BGl_string8057z00zzast_sexpz00,
		BgL_bgl_string8057za700za7za7a8098za7, "ast_sexp", 8);
	      DEFINE_STRING(BGl_string8058z00zzast_sexpz00,
		BgL_bgl_string8058za700za7za7a8099za7,
		"args-safe nesting not mutex @> bdb anonymous location pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) at (@ define-primop-ref/loc! __evenv) (@ define-primop-ref! __evenv) write car exp app cons :prelock apply synchronize jump-exit set-exit case failure free-pragma/effect static-pragma free-pragma pragma/effect letrec* labels letrec let $let define begin -> __r4_control_features_6_9 quote @ eval bool test set! pragma else (quote ()) lambda value if (value apply app set! test) ",
		503);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762errorza7d2sexpza78100za7,
		BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl_za762ifza7d2symza7b0za7za78101za7, BGl_z62ifzd2symzb0zzast_sexpz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl_za762makeza7d2anonym8102z00, va_generic_entry,
		BGl_z62makezd2anonymouszd2namez62zzast_sexpz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2localzd2envz00zzast_sexpz00,
		BgL_bgl_za762findza7d2localza78103za7, BGl_z62findzd2localzb0zzast_sexpz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762locationza7d2za7e8104za7,
		BGl_z62locationzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762sexpza7d2za7e3nod8105za7,
		BGl_z62sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl_za762useza7d2variabl8106z00,
		BGl_z62usezd2variablez12za2zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim8107z00,
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2nameza2zd2zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2resza2zd2zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2sitesza2z00zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2ifza2z00zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2stackza2zd2zzast_sexpz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_15786, char *BgL_fromz00_15787)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_sexpz00();
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					return BGl_toplevelzd2initzd2zzast_sexpz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_sexp");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_15775;

				{	/* Ast/sexp.scm 14 */
					obj_t BgL_stringz00_15782;

					BgL_stringz00_15782 = BGl_string8058z00zzast_sexpz00;
					{	/* Ast/sexp.scm 14 */
						obj_t BgL_startz00_15783;

						BgL_startz00_15783 = BINT(((long) 0));
						{	/* Ast/sexp.scm 14 */
							obj_t BgL_endz00_15784;

							BgL_endz00_15784 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_15782)));
							{	/* Ast/sexp.scm 14 */

								BgL_cportz00_15775 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_15782, BgL_startz00_15783, BgL_endz00_15784);
				}}}}
				{
					long BgL_iz00_15776;

					BgL_iz00_15776 = ((long) 51);
				BgL_loopz00_15777:
					if ((BgL_iz00_15776 == ((long) -1)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg8059z00_15778;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_15780;

										BgL_locationz00_15780 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg8059z00_15778 =
												BGl_readz00zz__readerz00(BgL_cportz00_15775,
												BgL_locationz00_15780);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_tmpz00_15825;

									BgL_tmpz00_15825 = (int) (BgL_iz00_15776);
									CNST_TABLE_SET(BgL_tmpz00_15825, BgL_arg8059z00_15778);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_15781;

								BgL_auxz00_15781 = (int) ((BgL_iz00_15776 - ((long) 1)));
								{
									long BgL_iz00_15830;

									BgL_iz00_15830 = (long) (BgL_auxz00_15781);
									BgL_iz00_15776 = BgL_iz00_15830;
									goto BgL_loopz00_15777;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}

	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17,
		obj_t BgL_locz00_18)
	{
		{	/* Ast/sexp.scm 66 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3z04exitza31536ze3ze70z60zzast_sexpz00(BgL_locz00_18,
					BgL_expz00_17));
		}

	}



/* <@exit:1536>~0 */
	obj_t BGl_zc3z04exitza31536ze3ze70z60zzast_sexpz00(obj_t BgL_locz00_15773,
		obj_t BgL_expz00_15772)
	{
		{	/* Ast/sexp.scm 67 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1110z00_1744;

			if (SET_EXIT(BgL_an_exit1110z00_1744))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1110z00_1744 = (void *) jmpbuf;
					{	/* Ast/sexp.scm 67 */
						obj_t BgL_env1114z00_1745;

						BgL_env1114z00_1745 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1114z00_1745, BgL_an_exit1110z00_1744,
							((long) 1));
						{	/* Ast/sexp.scm 67 */
							obj_t BgL_an_exitd1111z00_1746;

							BgL_an_exitd1111z00_1746 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1114z00_1745);
							{	/* Ast/sexp.scm 67 */
								obj_t BgL_res1113z00_1749;

								{	/* Ast/sexp.scm 70 */
									obj_t BgL_zc3z04anonymousza31561ze3z87_15715;
									obj_t BgL_zc3z04anonymousza31560ze3z87_15716;

									BgL_zc3z04anonymousza31561ze3z87_15715 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31561ze3ze5zzast_sexpz00,
										(int) (((long) 0)), (int) (((long) 2)));
									BgL_zc3z04anonymousza31560ze3z87_15716 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31560ze3ze5zzast_sexpz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3z04anonymousza31561ze3z87_15715,
										(int) (((long) 0)), BgL_expz00_15772);
									PROCEDURE_SET(BgL_zc3z04anonymousza31561ze3z87_15715,
										(int) (((long) 1)), BgL_locz00_15773);
									PROCEDURE_SET(BgL_zc3z04anonymousza31560ze3z87_15716,
										(int) (((long) 0)), BgL_an_exitd1111z00_1746);
									BgL_res1113z00_1749 =
										BGl_withzd2exceptionzd2handlerz00zz__errorz00
										(BgL_zc3z04anonymousza31560ze3z87_15716,
										BgL_zc3z04anonymousza31561ze3z87_15715);
								}
								POP_ENV_EXIT(BgL_env1114z00_1745);
								return BgL_res1113z00_1749;
							}
						}
					}
				}
		}

	}



/* &top-level-sexp->node */
	BgL_nodez00_bglt BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_15717, obj_t BgL_expz00_15718, obj_t BgL_locz00_15719)
	{
		{	/* Ast/sexp.scm 66 */
			return
				BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_15718,
				BgL_locz00_15719);
		}

	}



/* &<@anonymous:1561> */
	obj_t BGl_z62zc3z04anonymousza31561ze3ze5zzast_sexpz00(obj_t BgL_envz00_15720)
	{
		{	/* Ast/sexp.scm 72 */
			{	/* Ast/sexp.scm 73 */
				obj_t BgL_expz00_15721;
				obj_t BgL_locz00_15722;

				BgL_expz00_15721 = PROCEDURE_REF(BgL_envz00_15720, (int) (((long) 0)));
				BgL_locz00_15722 = PROCEDURE_REF(BgL_envz00_15720, (int) (((long) 1)));
				return
					((obj_t)
					BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_15721, BNIL,
						BgL_locz00_15722, CNST_TABLE_REF(((long) 2))));
		}}

	}



/* &<@anonymous:1560> */
	obj_t BGl_z62zc3z04anonymousza31560ze3ze5zzast_sexpz00(obj_t BgL_envz00_15723,
		obj_t BgL_ez00_15725)
	{
		{	/* Ast/sexp.scm 69 */
			{	/* Ast/sexp.scm 70 */
				obj_t BgL_an_exitd1111z00_15724;

				BgL_an_exitd1111z00_15724 =
					PROCEDURE_REF(BgL_envz00_15723, (int) (((long) 0)));
				BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_15725);
				return
					unwind_stack_until(BgL_an_exitd1111z00_15724, BFALSE, BUNSPEC, BFALSE,
					BFALSE);
			}
		}

	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 88 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}

	}



/* &if-sym */
	obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t BgL_envz00_15726)
	{
		{	/* Ast/sexp.scm 88 */
			return BGl_ifzd2symzd2zzast_sexpz00();
		}

	}



/* proc-or-lambda? */
	bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t BgL_ez00_20)
	{
		{	/* Ast/sexp.scm 100 */
			if (SYMBOLP(BgL_ez00_20))
				{	/* Ast/sexp.scm 101 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 101 */
					if (PAIRP(BgL_ez00_20))
						{	/* Ast/sexp.scm 101 */
							if ((CAR(((obj_t) BgL_ez00_20)) == CNST_TABLE_REF(((long) 3))))
								{	/* Ast/sexp.scm 101 */
									obj_t BgL_tmpz00_15879;

									BgL_tmpz00_15879 = CDR(((obj_t) BgL_ez00_20));
									return PAIRP(BgL_tmpz00_15879);
								}
							else
								{	/* Ast/sexp.scm 101 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Ast/sexp.scm 101 */
							return ((bool_t) 0);
						}
				}
		}

	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23,
		obj_t BgL_sitez00_24)
	{
		{	/* Ast/sexp.scm 114 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_1771;
				obj_t BgL_lz00_1776;
				obj_t BgL_bodyz00_1780;
				obj_t BgL_lz00_1785;
				obj_t BgL_valz00_1786;
				obj_t BgL_bindingsz00_1790;
				obj_t BgL_exprz00_1791;
				obj_t BgL_bodyz00_1793;
				obj_t BgL_argsz00_1794;
				obj_t BgL_bindingsz00_1796;
				obj_t BgL_exprz00_1797;
				obj_t BgL_varz00_1801;
				obj_t BgL_bodyz00_1802;
				obj_t BgL_argz00_1803;
				obj_t BgL_varsz00_1805;
				obj_t BgL_bodyz00_1806;
				obj_t BgL_argsz00_1807;
				obj_t BgL_testz00_1809;
				obj_t BgL_proc1z00_1810;
				obj_t BgL_proc2z00_1811;
				obj_t BgL_argsz00_1812;
				obj_t BgL_testz00_1814;
				obj_t BgL_proc1z00_1815;
				obj_t BgL_proc2z00_1816;
				obj_t BgL_argsz00_1817;
				obj_t BgL_effectz00_1821;
				obj_t BgL_restz00_1822;
				obj_t BgL_effectz00_1826;
				obj_t BgL_restz00_1827;

				if (NULLP(BgL_expz00_21))
					{	/* Ast/sexp.scm 119 */
						{	/* Ast/sexp.scm 122 */
							BgL_nodez00_bglt BgL_res7949z00_10644;

							{	/* Ast/sexp.scm 735 */
								obj_t BgL_arg7725z00_10640;
								BgL_nodez00_bglt BgL_arg7726z00_10641;

								BgL_arg7725z00_10640 =
									BGl_shapez00zztools_shapez00
									(BGl_currentzd2functionzd2zztools_errorz00());
								BgL_arg7726z00_10641 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
									BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
								{	/* Ast/sexp.scm 734 */
									obj_t BgL_list7727z00_10643;

									BgL_list7727z00_10643 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg7726z00_10641), BNIL);
									BgL_res7949z00_10644 =
										((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_locz00_23, BgL_arg7725z00_10640,
											BGl_string8040z00zzast_sexpz00, BgL_expz00_21,
											BgL_list7727z00_10643));
							}}
							return BgL_res7949z00_10644;
						}
					}
				else
					{	/* Ast/sexp.scm 119 */
						bool_t BgL_test8114z00_15894;

						{	/* Ast/sexp.scm 119 */
							obj_t BgL_classz00_11410;

							BgL_classz00_11410 = BGl_nodez00zzast_nodez00;
							if (BGL_OBJECTP(BgL_expz00_21))
								{	/* Ast/sexp.scm 119 */
									BgL_objectz00_bglt BgL_arg1820z00_11412;

									BgL_arg1820z00_11412 = (BgL_objectz00_bglt) (BgL_expz00_21);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Ast/sexp.scm 119 */
											long BgL_idxz00_11418;

											BgL_idxz00_11418 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_11412);
											BgL_test8114z00_15894 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_11418 + ((long) 1))) ==
												BgL_classz00_11410);
										}
									else
										{	/* Ast/sexp.scm 119 */
											bool_t BgL_res7989z00_11440;

											{	/* Ast/sexp.scm 119 */
												obj_t BgL_oclassz00_11426;

												{	/* Ast/sexp.scm 119 */
													long BgL_arg1828z00_11432;

													{	/* Ast/sexp.scm 119 */
														long BgL_arg1829z00_11433;

														BgL_arg1829z00_11433 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_11412);
														BgL_arg1828z00_11432 =
															(BgL_arg1829z00_11433 - OBJECT_TYPE);
													}
													BgL_oclassz00_11426 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_11432);
												}
												{	/* Ast/sexp.scm 119 */
													bool_t BgL__ortest_1111z00_11427;

													BgL__ortest_1111z00_11427 =
														(BgL_classz00_11410 == BgL_oclassz00_11426);
													if (BgL__ortest_1111z00_11427)
														{	/* Ast/sexp.scm 119 */
															BgL_res7989z00_11440 = BgL__ortest_1111z00_11427;
														}
													else
														{	/* Ast/sexp.scm 119 */
															long BgL_odepthz00_11428;

															BgL_odepthz00_11428 =
																BGL_CLASS_DEPTH(BgL_oclassz00_11426);
															if ((((long) 1) < BgL_odepthz00_11428))
																{	/* Ast/sexp.scm 119 */
																	obj_t BgL_arg1816z00_11430;

																	BgL_arg1816z00_11430 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_11426,
																		((long) 1));
																	BgL_res7989z00_11440 =
																		(BgL_arg1816z00_11430 ==
																		BgL_classz00_11410);
																}
															else
																{	/* Ast/sexp.scm 119 */
																	BgL_res7989z00_11440 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test8114z00_15894 = BgL_res7989z00_11440;
										}
								}
							else
								{	/* Ast/sexp.scm 119 */
									BgL_test8114z00_15894 = ((bool_t) 0);
								}
						}
						if (BgL_test8114z00_15894)
							{
								obj_t BgL_auxz00_15914;

								{	/* Ast/sexp.scm 125 */
									bool_t BgL_test8119z00_15915;

									{	/* Ast/sexp.scm 125 */
										obj_t BgL_classz00_10645;

										BgL_classz00_10645 = BGl_externz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_expz00_21))
											{	/* Ast/sexp.scm 125 */
												BgL_objectz00_bglt BgL_arg1820z00_10647;

												BgL_arg1820z00_10647 =
													(BgL_objectz00_bglt) (BgL_expz00_21);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/sexp.scm 125 */
														long BgL_idxz00_10653;

														BgL_idxz00_10653 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_10647);
														BgL_test8119z00_15915 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_10653 + ((long) 3))) ==
															BgL_classz00_10645);
													}
												else
													{	/* Ast/sexp.scm 125 */
														bool_t BgL_res7950z00_10675;

														{	/* Ast/sexp.scm 125 */
															obj_t BgL_oclassz00_10661;

															{	/* Ast/sexp.scm 125 */
																long BgL_arg1828z00_10667;

																{	/* Ast/sexp.scm 125 */
																	long BgL_arg1829z00_10668;

																	BgL_arg1829z00_10668 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_10647);
																	BgL_arg1828z00_10667 =
																		(BgL_arg1829z00_10668 - OBJECT_TYPE);
																}
																BgL_oclassz00_10661 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_10667);
															}
															{	/* Ast/sexp.scm 125 */
																bool_t BgL__ortest_1111z00_10662;

																BgL__ortest_1111z00_10662 =
																	(BgL_classz00_10645 == BgL_oclassz00_10661);
																if (BgL__ortest_1111z00_10662)
																	{	/* Ast/sexp.scm 125 */
																		BgL_res7950z00_10675 =
																			BgL__ortest_1111z00_10662;
																	}
																else
																	{	/* Ast/sexp.scm 125 */
																		long BgL_odepthz00_10663;

																		BgL_odepthz00_10663 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_10661);
																		if ((((long) 3) < BgL_odepthz00_10663))
																			{	/* Ast/sexp.scm 125 */
																				obj_t BgL_arg1816z00_10665;

																				BgL_arg1816z00_10665 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_10661, ((long) 3));
																				BgL_res7950z00_10675 =
																					(BgL_arg1816z00_10665 ==
																					BgL_classz00_10645);
																			}
																		else
																			{	/* Ast/sexp.scm 125 */
																				BgL_res7950z00_10675 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test8119z00_15915 = BgL_res7950z00_10675;
													}
											}
										else
											{	/* Ast/sexp.scm 125 */
												BgL_test8119z00_15915 = ((bool_t) 0);
											}
									}
									if (BgL_test8119z00_15915)
										{	/* Ast/sexp.scm 127 */
											obj_t BgL_l01357z00_9363;

											BgL_l01357z00_9363 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt) BgL_expz00_21)))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1356z00_9365;

												BgL_l1356z00_9365 = BgL_l01357z00_9363;
											BgL_zc3z04anonymousza37235ze3z87_9366:
												if (NULLP(BgL_l1356z00_9365))
													{	/* Ast/sexp.scm 127 */
														BgL_l01357z00_9363;
													}
												else
													{	/* Ast/sexp.scm 127 */
														{	/* Ast/sexp.scm 127 */
															BgL_nodez00_bglt BgL_arg7237z00_9368;

															{	/* Ast/sexp.scm 127 */
																obj_t BgL_ez00_9369;

																BgL_ez00_9369 =
																	CAR(((obj_t) BgL_l1356z00_9365));
																{	/* Ast/sexp.scm 127 */
																	obj_t BgL_arg7238z00_9370;

																	BgL_arg7238z00_9370 =
																		(((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					((BgL_externz00_bglt)
																						BgL_expz00_21))))->BgL_locz00);
																	BgL_arg7237z00_9368 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_ez00_9369, BgL_stackz00_22,
																		BgL_arg7238z00_9370,
																		CNST_TABLE_REF(((long) 2)));
															}}
															{	/* Ast/sexp.scm 127 */
																obj_t BgL_auxz00_15948;
																obj_t BgL_tmpz00_15946;

																BgL_auxz00_15948 =
																	((obj_t) BgL_arg7237z00_9368);
																BgL_tmpz00_15946 = ((obj_t) BgL_l1356z00_9365);
																SET_CAR(BgL_tmpz00_15946, BgL_auxz00_15948);
														}}
														{	/* Ast/sexp.scm 127 */
															obj_t BgL_arg7239z00_9371;

															BgL_arg7239z00_9371 =
																CDR(((obj_t) BgL_l1356z00_9365));
															{
																obj_t BgL_l1356z00_15953;

																BgL_l1356z00_15953 = BgL_arg7239z00_9371;
																BgL_l1356z00_9365 = BgL_l1356z00_15953;
																goto BgL_zc3z04anonymousza37235ze3z87_9366;
															}
														}
													}
											}
										}
									else
										{	/* Ast/sexp.scm 125 */
											BFALSE;
										}
								}
								{	/* Ast/sexp.scm 128 */
									bool_t BgL_test8125z00_15954;

									{	/* Ast/sexp.scm 128 */
										obj_t BgL_classz00_10679;

										BgL_classz00_10679 = BGl_appz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_expz00_21))
											{	/* Ast/sexp.scm 128 */
												BgL_objectz00_bglt BgL_arg1820z00_10681;

												BgL_arg1820z00_10681 =
													(BgL_objectz00_bglt) (BgL_expz00_21);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/sexp.scm 128 */
														long BgL_idxz00_10687;

														BgL_idxz00_10687 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_10681);
														BgL_test8125z00_15954 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_10687 + ((long) 3))) ==
															BgL_classz00_10679);
													}
												else
													{	/* Ast/sexp.scm 128 */
														bool_t BgL_res7951z00_10709;

														{	/* Ast/sexp.scm 128 */
															obj_t BgL_oclassz00_10695;

															{	/* Ast/sexp.scm 128 */
																long BgL_arg1828z00_10701;

																{	/* Ast/sexp.scm 128 */
																	long BgL_arg1829z00_10702;

																	BgL_arg1829z00_10702 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_10681);
																	BgL_arg1828z00_10701 =
																		(BgL_arg1829z00_10702 - OBJECT_TYPE);
																}
																BgL_oclassz00_10695 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_10701);
															}
															{	/* Ast/sexp.scm 128 */
																bool_t BgL__ortest_1111z00_10696;

																BgL__ortest_1111z00_10696 =
																	(BgL_classz00_10679 == BgL_oclassz00_10695);
																if (BgL__ortest_1111z00_10696)
																	{	/* Ast/sexp.scm 128 */
																		BgL_res7951z00_10709 =
																			BgL__ortest_1111z00_10696;
																	}
																else
																	{	/* Ast/sexp.scm 128 */
																		long BgL_odepthz00_10697;

																		BgL_odepthz00_10697 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_10695);
																		if ((((long) 3) < BgL_odepthz00_10697))
																			{	/* Ast/sexp.scm 128 */
																				obj_t BgL_arg1816z00_10699;

																				BgL_arg1816z00_10699 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_10695, ((long) 3));
																				BgL_res7951z00_10709 =
																					(BgL_arg1816z00_10699 ==
																					BgL_classz00_10679);
																			}
																		else
																			{	/* Ast/sexp.scm 128 */
																				BgL_res7951z00_10709 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test8125z00_15954 = BgL_res7951z00_10709;
													}
											}
										else
											{	/* Ast/sexp.scm 128 */
												BgL_test8125z00_15954 = ((bool_t) 0);
											}
									}
									if (BgL_test8125z00_15954)
										{	/* Ast/sexp.scm 130 */
											obj_t BgL_l01360z00_9375;

											BgL_l01360z00_9375 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_expz00_21)))->BgL_argsz00);
											{
												obj_t BgL_l1359z00_9377;

												BgL_l1359z00_9377 = BgL_l01360z00_9375;
											BgL_zc3z04anonymousza37241ze3z87_9378:
												if (NULLP(BgL_l1359z00_9377))
													{	/* Ast/sexp.scm 130 */
														BgL_l01360z00_9375;
													}
												else
													{	/* Ast/sexp.scm 130 */
														{	/* Ast/sexp.scm 130 */
															BgL_nodez00_bglt BgL_arg7243z00_9380;

															{	/* Ast/sexp.scm 130 */
																obj_t BgL_ez00_9381;

																BgL_ez00_9381 =
																	CAR(((obj_t) BgL_l1359z00_9377));
																{	/* Ast/sexp.scm 130 */
																	obj_t BgL_arg7244z00_9382;

																	BgL_arg7244z00_9382 =
																		(((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					((BgL_appz00_bglt) BgL_expz00_21))))->
																		BgL_locz00);
																	BgL_arg7243z00_9380 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_ez00_9381, BgL_stackz00_22,
																		BgL_arg7244z00_9382,
																		CNST_TABLE_REF(((long) 2)));
															}}
															{	/* Ast/sexp.scm 130 */
																obj_t BgL_auxz00_15987;
																obj_t BgL_tmpz00_15985;

																BgL_auxz00_15987 =
																	((obj_t) BgL_arg7243z00_9380);
																BgL_tmpz00_15985 = ((obj_t) BgL_l1359z00_9377);
																SET_CAR(BgL_tmpz00_15985, BgL_auxz00_15987);
														}}
														{	/* Ast/sexp.scm 130 */
															obj_t BgL_arg7245z00_9383;

															BgL_arg7245z00_9383 =
																CDR(((obj_t) BgL_l1359z00_9377));
															{
																obj_t BgL_l1359z00_15992;

																BgL_l1359z00_15992 = BgL_arg7245z00_9383;
																BgL_l1359z00_9377 = BgL_l1359z00_15992;
																goto BgL_zc3z04anonymousza37241ze3z87_9378;
															}
														}
													}
											}
										}
									else
										{	/* Ast/sexp.scm 128 */
											BFALSE;
										}
								}
								BgL_auxz00_15914 = BgL_expz00_21;
								return ((BgL_nodez00_bglt) BgL_auxz00_15914);
							}
						else
							{	/* Ast/sexp.scm 119 */
								if (PAIRP(BgL_expz00_21))
									{	/* Ast/sexp.scm 119 */
										obj_t BgL_carzd2479zd2_1848;

										BgL_carzd2479zd2_1848 = CAR(((obj_t) BgL_expz00_21));
										if (SYMBOLP(BgL_carzd2479zd2_1848))
											{	/* Ast/sexp.scm 119 */
												bool_t BgL_test8133z00_16000;

												{	/* Ast/sexp.scm 119 */
													obj_t BgL__ortest_1147z00_5608;

													BgL__ortest_1147z00_5608 =
														BGl_findzd2localzd2zzast_sexpz00
														(BgL_carzd2479zd2_1848, BgL_stackz00_22);
													if (CBOOL(BgL__ortest_1147z00_5608))
														{	/* Ast/sexp.scm 119 */
															BgL_test8133z00_16000 =
																CBOOL(BgL__ortest_1147z00_5608);
														}
													else
														{	/* Ast/sexp.scm 119 */
															obj_t BgL_gz00_5609;

															BgL_gz00_5609 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_carzd2479zd2_1848, BNIL);
															if (CBOOL(BgL_gz00_5609))
																{	/* Ast/sexp.scm 119 */
																	if (
																		((((BgL_globalz00_bglt) COBJECT(
																						((BgL_globalz00_bglt)
																							BgL_gz00_5609)))->
																				BgL_modulez00) ==
																			CNST_TABLE_REF(((long) 13))))
																		{	/* Ast/sexp.scm 119 */
																			BgL_test8133z00_16000 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/sexp.scm 119 */
																			BgL_test8133z00_16000 = ((bool_t) 1);
																		}
																}
															else
																{	/* Ast/sexp.scm 119 */
																	BgL_test8133z00_16000 = ((bool_t) 0);
																}
														}
												}
												if (BgL_test8133z00_16000)
													{	/* Ast/sexp.scm 119 */
														BGL_TAIL return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21,
															BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
													}
												else
													{	/* Ast/sexp.scm 119 */
														if (
															(CAR(
																	((obj_t) BgL_expz00_21)) ==
																CNST_TABLE_REF(((long) 11))))
															{	/* Ast/sexp.scm 119 */
															BgL_tagzd2371zd2_1775:
																{	/* Ast/sexp.scm 174 */
																	obj_t BgL_locz00_9415;

																	BgL_locz00_9415 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_21, BgL_locz00_23);
																	{
																		obj_t BgL_namez00_9416;
																		obj_t BgL_modulez00_9417;

																		if (PAIRP(BgL_expz00_21))
																			{	/* Ast/sexp.scm 175 */
																				obj_t BgL_cdrzd275167zd2_9422;

																				BgL_cdrzd275167zd2_9422 =
																					CDR(((obj_t) BgL_expz00_21));
																				if (
																					(CAR(
																							((obj_t) BgL_expz00_21)) ==
																						CNST_TABLE_REF(((long) 11))))
																					{	/* Ast/sexp.scm 175 */
																						if (PAIRP(BgL_cdrzd275167zd2_9422))
																							{	/* Ast/sexp.scm 175 */
																								obj_t BgL_carzd275170zd2_9426;
																								obj_t BgL_cdrzd275171zd2_9427;

																								BgL_carzd275170zd2_9426 =
																									CAR(BgL_cdrzd275167zd2_9422);
																								BgL_cdrzd275171zd2_9427 =
																									CDR(BgL_cdrzd275167zd2_9422);
																								if (SYMBOLP
																									(BgL_carzd275170zd2_9426))
																									{	/* Ast/sexp.scm 175 */
																										if (PAIRP
																											(BgL_cdrzd275171zd2_9427))
																											{	/* Ast/sexp.scm 175 */
																												obj_t
																													BgL_carzd275176zd2_9430;
																												BgL_carzd275176zd2_9430
																													=
																													CAR
																													(BgL_cdrzd275171zd2_9427);
																												if (SYMBOLP
																													(BgL_carzd275176zd2_9430))
																													{	/* Ast/sexp.scm 175 */
																														if (NULLP(CDR
																																(BgL_cdrzd275171zd2_9427)))
																															{	/* Ast/sexp.scm 175 */
																																BgL_namez00_9416
																																	=
																																	BgL_carzd275170zd2_9426;
																																BgL_modulez00_9417
																																	=
																																	BgL_carzd275176zd2_9430;
																																{	/* Ast/sexp.scm 177 */
																																	obj_t
																																		BgL_globalz00_9436;
																																	obj_t
																																		BgL_locz00_9437;
																																	BgL_globalz00_9436
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_9416,
																																		BgL_modulez00_9417);
																																	BgL_locz00_9437
																																		=
																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																		(BgL_namez00_9416,
																																		BgL_locz00_9415);
																																	{	/* Ast/sexp.scm 180 */
																																		bool_t
																																			BgL_test8145z00_16045;
																																		{	/* Ast/sexp.scm 180 */
																																			obj_t
																																				BgL_classz00_10823;
																																			BgL_classz00_10823
																																				=
																																				BGl_globalz00zzast_varz00;
																																			if (BGL_OBJECTP(BgL_globalz00_9436))
																																				{	/* Ast/sexp.scm 180 */
																																					BgL_objectz00_bglt
																																						BgL_arg1820z00_10825;
																																					BgL_arg1820z00_10825
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_globalz00_9436);
																																					if (BGL_CONDEXPAND_ISA_ARCH64())
																																						{	/* Ast/sexp.scm 180 */
																																							long
																																								BgL_idxz00_10831;
																																							BgL_idxz00_10831
																																								=
																																								BGL_OBJECT_INHERITANCE_NUM
																																								(BgL_arg1820z00_10825);
																																							BgL_test8145z00_16045
																																								=
																																								(VECTOR_REF
																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																									(BgL_idxz00_10831
																																										+
																																										((long) 2))) == BgL_classz00_10823);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 180 */
																																							bool_t
																																								BgL_res7957z00_10853;
																																							{	/* Ast/sexp.scm 180 */
																																								obj_t
																																									BgL_oclassz00_10839;
																																								{	/* Ast/sexp.scm 180 */
																																									long
																																										BgL_arg1828z00_10845;
																																									{	/* Ast/sexp.scm 180 */
																																										long
																																											BgL_arg1829z00_10846;
																																										BgL_arg1829z00_10846
																																											=
																																											BGL_OBJECT_CLASS_NUM
																																											(BgL_arg1820z00_10825);
																																										BgL_arg1828z00_10845
																																											=
																																											(BgL_arg1829z00_10846
																																											-
																																											OBJECT_TYPE);
																																									}
																																									BgL_oclassz00_10839
																																										=
																																										VECTOR_REF
																																										(BGl_za2classesza2z00zz__objectz00,
																																										BgL_arg1828z00_10845);
																																								}
																																								{	/* Ast/sexp.scm 180 */
																																									bool_t
																																										BgL__ortest_1111z00_10840;
																																									BgL__ortest_1111z00_10840
																																										=
																																										(BgL_classz00_10823
																																										==
																																										BgL_oclassz00_10839);
																																									if (BgL__ortest_1111z00_10840)
																																										{	/* Ast/sexp.scm 180 */
																																											BgL_res7957z00_10853
																																												=
																																												BgL__ortest_1111z00_10840;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 180 */
																																											long
																																												BgL_odepthz00_10841;
																																											BgL_odepthz00_10841
																																												=
																																												BGL_CLASS_DEPTH
																																												(BgL_oclassz00_10839);
																																											if ((((long) 2) < BgL_odepthz00_10841))
																																												{	/* Ast/sexp.scm 180 */
																																													obj_t
																																														BgL_arg1816z00_10843;
																																													BgL_arg1816z00_10843
																																														=
																																														BGL_CLASS_ANCESTORS_REF
																																														(BgL_oclassz00_10839,
																																														((long) 2));
																																													BgL_res7957z00_10853
																																														=
																																														(BgL_arg1816z00_10843
																																														==
																																														BgL_classz00_10823);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 180 */
																																													BgL_res7957z00_10853
																																														=
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																								}
																																							}
																																							BgL_test8145z00_16045
																																								=
																																								BgL_res7957z00_10853;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 180 */
																																					BgL_test8145z00_16045
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																		if (BgL_test8145z00_16045)
																																			{	/* Ast/sexp.scm 180 */
																																				if (
																																					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_9436)))->BgL_importz00) == CNST_TABLE_REF(((long) 10))))
																																					{	/* Ast/sexp.scm 183 */
																																						obj_t
																																							BgL_arg7278z00_9441;
																																						{	/* Ast/sexp.scm 183 */
																																							obj_t
																																								BgL_arg7279z00_9442;
																																							BgL_arg7279z00_9442
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BGl_atomz00zzast_nodez00,
																																								BNIL);
																																							BgL_arg7278z00_9441
																																								=
																																								MAKE_YOUNG_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 10)), BgL_arg7279z00_9442);
																																						}
																																						{
																																							obj_t
																																								BgL_locz00_16074;
																																							obj_t
																																								BgL_expz00_16073;
																																							BgL_expz00_16073
																																								=
																																								BgL_arg7278z00_9441;
																																							BgL_locz00_16074
																																								=
																																								BgL_locz00_9437;
																																							BgL_locz00_23
																																								=
																																								BgL_locz00_16074;
																																							BgL_expz00_21
																																								=
																																								BgL_expz00_16073;
																																							goto
																																								BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																						}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 182 */
																																						return
																																							BGl_variablezd2ze3nodez31zzast_sexpz00
																																							(BgL_globalz00_9436,
																																							BgL_locz00_9437,
																																							BgL_sitez00_24);
																																					}
																																			}
																																		else
																																			{	/* Ast/sexp.scm 181 */
																																				BgL_nodez00_bglt
																																					BgL_res7958z00_10860;
																																				{	/* Ast/sexp.scm 735 */
																																					obj_t
																																						BgL_arg7725z00_10856;
																																					BgL_nodez00_bglt
																																						BgL_arg7726z00_10857;
																																					BgL_arg7725z00_10856
																																						=
																																						BGl_shapez00zztools_shapez00
																																						(BGl_currentzd2functionzd2zztools_errorz00
																																						());
																																					BgL_arg7726z00_10857
																																						=
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(CNST_TABLE_REF
																																						(((long) 4)), BNIL, BgL_locz00_9437, CNST_TABLE_REF(((long) 2)));
																																					{	/* Ast/sexp.scm 734 */
																																						obj_t
																																							BgL_list7727z00_10859;
																																						BgL_list7727z00_10859
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) BgL_arg7726z00_10857), BNIL);
																																						BgL_res7958z00_10860
																																							=
																																							(
																																							(BgL_nodez00_bglt)
																																							BGl_userzd2errorzf2locationz20zztools_errorz00
																																							(BgL_locz00_9437,
																																								BgL_arg7725z00_10856,
																																								BGl_string8038z00zzast_sexpz00,
																																								BgL_expz00_21,
																																								BgL_list7727z00_10859));
																																				}}
																																				return
																																					BgL_res7958z00_10860;
																																			}
																																	}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 175 */
																															BgL_tagzd275160zd2_9419:
																																{	/* Ast/sexp.scm 187 */
																																	BgL_nodez00_bglt
																																		BgL_res7959z00_10866;
																																	{	/* Ast/sexp.scm 735 */
																																		obj_t
																																			BgL_arg7725z00_10862;
																																		BgL_nodez00_bglt
																																			BgL_arg7726z00_10863;
																																		BgL_arg7725z00_10862
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BGl_currentzd2functionzd2zztools_errorz00
																																			());
																																		BgL_arg7726z00_10863
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(CNST_TABLE_REF
																																			(((long)
																																					4)),
																																			BNIL,
																																			BgL_locz00_9415,
																																			CNST_TABLE_REF
																																			(((long)
																																					2)));
																																		{	/* Ast/sexp.scm 734 */
																																			obj_t
																																				BgL_list7727z00_10865;
																																			BgL_list7727z00_10865
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) BgL_arg7726z00_10863), BNIL);
																																			BgL_res7959z00_10866
																																				=
																																				(
																																				(BgL_nodez00_bglt)
																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																				(BgL_locz00_9415,
																																					BgL_arg7725z00_10862,
																																					BGl_string8037z00zzast_sexpz00,
																																					BgL_expz00_21,
																																					BgL_list7727z00_10865));
																																	}}
																																	return
																																		BgL_res7959z00_10866;
																																}
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 175 */
																														goto
																															BgL_tagzd275160zd2_9419;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 175 */
																												goto
																													BgL_tagzd275160zd2_9419;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 175 */
																										goto
																											BgL_tagzd275160zd2_9419;
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 175 */
																								goto BgL_tagzd275160zd2_9419;
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 175 */
																						goto BgL_tagzd275160zd2_9419;
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 175 */
																				goto BgL_tagzd275160zd2_9419;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 119 */
																if (
																	(CAR(
																			((obj_t) BgL_expz00_21)) ==
																		CNST_TABLE_REF(((long) 14))))
																	{	/* Ast/sexp.scm 119 */
																		obj_t BgL_arg1600z00_1863;

																		BgL_arg1600z00_1863 =
																			CDR(((obj_t) BgL_expz00_21));
																		BgL_lz00_1776 = BgL_arg1600z00_1863;
																	BgL_tagzd2372zd2_1777:
																		{	/* Ast/sexp.scm 190 */
																			bool_t BgL_test8152z00_16101;

																			if (PAIRP(BgL_lz00_1776))
																				{	/* Ast/sexp.scm 190 */
																					bool_t BgL_test8154z00_16104;

																					{	/* Ast/sexp.scm 190 */
																						obj_t BgL_tmpz00_16105;

																						BgL_tmpz00_16105 =
																							CDR(BgL_lz00_1776);
																						BgL_test8154z00_16104 =
																							PAIRP(BgL_tmpz00_16105);
																					}
																					if (BgL_test8154z00_16104)
																						{
																							obj_t BgL_l1361z00_9461;

																							BgL_l1361z00_9461 = BgL_lz00_1776;
																						BgL_zc3z04anonymousza37290ze3z87_9462:
																							if (NULLP
																								(BgL_l1361z00_9461))
																								{	/* Ast/sexp.scm 190 */
																									BgL_test8152z00_16101 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Ast/sexp.scm 190 */
																									bool_t BgL_test8156z00_16110;

																									{	/* Ast/sexp.scm 190 */
																										obj_t BgL_tmpz00_16111;

																										BgL_tmpz00_16111 =
																											CAR(
																											((obj_t)
																												BgL_l1361z00_9461));
																										BgL_test8156z00_16110 =
																											SYMBOLP(BgL_tmpz00_16111);
																									}
																									if (BgL_test8156z00_16110)
																										{
																											obj_t BgL_l1361z00_16115;

																											BgL_l1361z00_16115 =
																												CDR(
																												((obj_t)
																													BgL_l1361z00_9461));
																											BgL_l1361z00_9461 =
																												BgL_l1361z00_16115;
																											goto
																												BgL_zc3z04anonymousza37290ze3z87_9462;
																										}
																									else
																										{	/* Ast/sexp.scm 190 */
																											BgL_test8152z00_16101 =
																												((bool_t) 0);
																										}
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 190 */
																							BgL_test8152z00_16101 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 190 */
																					BgL_test8152z00_16101 = ((bool_t) 0);
																				}
																			if (BgL_test8152z00_16101)
																				{	/* Ast/sexp.scm 190 */
																					return
																						BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00
																						(BgL_lz00_1776, BgL_expz00_21,
																						BgL_stackz00_22, BgL_locz00_23,
																						BgL_sitez00_24);
																				}
																			else
																				{	/* Ast/sexp.scm 192 */
																					BgL_nodez00_bglt BgL_res7960z00_10881;

																					{	/* Ast/sexp.scm 735 */
																						obj_t BgL_arg7725z00_10877;
																						BgL_nodez00_bglt
																							BgL_arg7726z00_10878;
																						BgL_arg7725z00_10877 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg7726z00_10878 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 734 */
																							obj_t BgL_list7727z00_10880;

																							BgL_list7727z00_10880 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg7726z00_10878),
																								BNIL);
																							BgL_res7960z00_10881 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg7725z00_10877,
																									BGl_string8034z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list7727z00_10880));
																					}}
																					return BgL_res7960z00_10881;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 119 */
																		if (
																			(CAR(
																					((obj_t) BgL_expz00_21)) ==
																				CNST_TABLE_REF(((long) 12))))
																			{	/* Ast/sexp.scm 119 */
																			BgL_tagzd2373zd2_1778:
																				{
																					obj_t BgL_valuez00_9470;

																					if (PAIRP(BgL_expz00_21))
																						{	/* Ast/sexp.scm 119 */
																							obj_t BgL_cdrzd275187zd2_9475;

																							BgL_cdrzd275187zd2_9475 =
																								CDR(((obj_t) BgL_expz00_21));
																							if (PAIRP
																								(BgL_cdrzd275187zd2_9475))
																								{	/* Ast/sexp.scm 119 */
																									if (NULLP(CDR
																											(BgL_cdrzd275187zd2_9475)))
																										{	/* Ast/sexp.scm 119 */
																											BgL_valuez00_9470 =
																												CAR
																												(BgL_cdrzd275187zd2_9475);
																											{	/* Ast/sexp.scm 197 */
																												obj_t BgL_locz00_9481;

																												BgL_locz00_9481 =
																													BGl_findzd2locationzf2locz20zztools_locationz00
																													(BgL_expz00_21,
																													BgL_locz00_23);
																												if (NULLP
																													(BgL_valuez00_9470))
																													{	/* Ast/sexp.scm 200 */
																														BgL_literalz00_bglt
																															BgL_new1123z00_9483;
																														{	/* Ast/sexp.scm 201 */
																															BgL_literalz00_bglt
																																BgL_new1122z00_9485;
																															BgL_new1122z00_9485
																																=
																																(
																																(BgL_literalz00_bglt)
																																BOBJECT
																																(GC_MALLOC
																																	(sizeof(struct
																																			BgL_literalz00_bgl))));
																															{	/* Ast/sexp.scm 201 */
																																long
																																	BgL_arg7302z00_9486;
																																BgL_arg7302z00_9486
																																	=
																																	BGL_CLASS_NUM
																																	(BGl_literalz00zzast_nodez00);
																																BGL_OBJECT_CLASS_NUM_SET
																																	(((BgL_objectz00_bglt) BgL_new1122z00_9485), BgL_arg7302z00_9486);
																															}
																															{	/* Ast/sexp.scm 201 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_16149;
																																BgL_tmpz00_16149
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1122z00_9485);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_tmpz00_16149,
																																	BFALSE);
																															}
																															((BgL_objectz00_bglt) BgL_new1122z00_9485);
																															BgL_new1123z00_9483
																																=
																																BgL_new1122z00_9485;
																														}
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1123z00_9483)))->BgL_locz00) = ((obj_t) BgL_locz00_9481), BUNSPEC);
																														{
																															BgL_typez00_bglt
																																BgL_auxz00_16155;
																															{	/* Ast/sexp.scm 202 */
																																BgL_typez00_bglt
																																	BgL_arg7301z00_9484;
																																BgL_arg7301z00_9484
																																	=
																																	BGl_getzd2typezd2kwotez00zztype_typeofz00
																																	(BgL_valuez00_9470);
																																BgL_auxz00_16155
																																	=
																																	BGl_strictzd2nodezd2typez00zzast_nodez00
																																	(BgL_arg7301z00_9484,
																																	((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
																															}
																															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1123z00_9483)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16155), BUNSPEC);
																														}
																														((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt) BgL_new1123z00_9483)))->BgL_valuez00) = ((obj_t) BNIL), BUNSPEC);
																														return
																															(
																															(BgL_nodez00_bglt)
																															BgL_new1123z00_9483);
																													}
																												else
																													{	/* Ast/sexp.scm 204 */
																														bool_t
																															BgL_test8162z00_16164;
																														if (PAIRP
																															(BgL_valuez00_9470))
																															{	/* Ast/sexp.scm 204 */
																																BgL_test8162z00_16164
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 204 */
																																if (VECTORP
																																	(BgL_valuez00_9470))
																																	{	/* Ast/sexp.scm 205 */
																																		BgL_test8162z00_16164
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 205 */
																																		if (BGL_HVECTORP(BgL_valuez00_9470))
																																			{	/* Ast/sexp.scm 206 */
																																				BgL_test8162z00_16164
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 206 */
																																				if (STRUCTP(BgL_valuez00_9470))
																																					{	/* Ast/sexp.scm 207 */
																																						BgL_test8162z00_16164
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 207 */
																																						if (SYMBOLP(BgL_valuez00_9470))
																																							{	/* Ast/sexp.scm 208 */
																																								BgL_test8162z00_16164
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 208 */
																																								BgL_test8162z00_16164
																																									=
																																									KEYWORDP
																																									(BgL_valuez00_9470);
																																							}
																																					}
																																			}
																																	}
																															}
																														if (BgL_test8162z00_16164)
																															{	/* Ast/sexp.scm 210 */
																																BgL_kwotez00_bglt
																																	BgL_new1125z00_9493;
																																{	/* Ast/sexp.scm 211 */
																																	BgL_kwotez00_bglt
																																		BgL_new1124z00_9495;
																																	BgL_new1124z00_9495
																																		=
																																		(
																																		(BgL_kwotez00_bglt)
																																		BOBJECT
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_kwotez00_bgl))));
																																	{	/* Ast/sexp.scm 211 */
																																		long
																																			BgL_arg7310z00_9496;
																																		BgL_arg7310z00_9496
																																			=
																																			BGL_CLASS_NUM
																																			(BGl_kwotez00zzast_nodez00);
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1124z00_9495), BgL_arg7310z00_9496);
																																	}
																																	{	/* Ast/sexp.scm 211 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_16180;
																																		BgL_tmpz00_16180
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1124z00_9495);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_tmpz00_16180,
																																			BFALSE);
																																	}
																																	((BgL_objectz00_bglt) BgL_new1124z00_9495);
																																	BgL_new1125z00_9493
																																		=
																																		BgL_new1124z00_9495;
																																}
																																((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1125z00_9493)))->BgL_locz00) = ((obj_t) BgL_locz00_9481), BUNSPEC);
																																{
																																	BgL_typez00_bglt
																																		BgL_auxz00_16186;
																																	{	/* Ast/sexp.scm 212 */
																																		BgL_typez00_bglt
																																			BgL_arg7309z00_9494;
																																		BgL_arg7309z00_9494
																																			=
																																			BGl_getzd2typezd2kwotez00zztype_typeofz00
																																			(BgL_valuez00_9470);
																																		BgL_auxz00_16186
																																			=
																																			BGl_strictzd2nodezd2typez00zzast_nodez00
																																			(BgL_arg7309z00_9494,
																																			((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
																																	}
																																	((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1125z00_9493)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16186), BUNSPEC);
																																}
																																((((BgL_kwotez00_bglt) COBJECT(BgL_new1125z00_9493))->BgL_valuez00) = ((obj_t) BgL_valuez00_9470), BUNSPEC);
																																return
																																	(
																																	(BgL_nodez00_bglt)
																																	BgL_new1125z00_9493);
																															}
																														else
																															{	/* Ast/sexp.scm 214 */
																																bool_t
																																	BgL_test8168z00_16194;
																																if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_9470))
																																	{	/* Ast/sexp.scm 214 */
																																		BgL_test8168z00_16194
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 214 */
																																		if (STRINGP
																																			(BgL_valuez00_9470))
																																			{	/* Ast/sexp.scm 215 */
																																				BgL_test8168z00_16194
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 215 */
																																				if (CNSTP(BgL_valuez00_9470))
																																					{	/* Ast/sexp.scm 216 */
																																						BgL_test8168z00_16194
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 216 */
																																						if (CHARP(BgL_valuez00_9470))
																																							{	/* Ast/sexp.scm 220 */
																																								BgL_test8168z00_16194
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 220 */
																																								BgL_test8168z00_16194
																																									=
																																									BOOLEANP
																																									(BgL_valuez00_9470);
																																							}
																																					}
																																			}
																																	}
																																if (BgL_test8168z00_16194)
																																	{
																																		obj_t
																																			BgL_locz00_16205;
																																		obj_t
																																			BgL_expz00_16204;
																																		BgL_expz00_16204
																																			=
																																			BgL_valuez00_9470;
																																		BgL_locz00_16205
																																			=
																																			BgL_locz00_9481;
																																		BgL_locz00_23
																																			=
																																			BgL_locz00_16205;
																																		BgL_expz00_21
																																			=
																																			BgL_expz00_16204;
																																		goto
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																	}
																																else
																																	{	/* Ast/sexp.scm 224 */
																																		BgL_nodez00_bglt
																																			BgL_res7961z00_10895;
																																		{	/* Ast/sexp.scm 735 */
																																			obj_t
																																				BgL_arg7725z00_10891;
																																			BgL_nodez00_bglt
																																				BgL_arg7726z00_10892;
																																			BgL_arg7725z00_10891
																																				=
																																				BGl_shapez00zztools_shapez00
																																				(BGl_currentzd2functionzd2zztools_errorz00
																																				());
																																			BgL_arg7726z00_10892
																																				=
																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																				(CNST_TABLE_REF
																																				(((long)
																																						4)),
																																				BNIL,
																																				BgL_locz00_9481,
																																				CNST_TABLE_REF
																																				(((long)
																																						2)));
																																			{	/* Ast/sexp.scm 734 */
																																				obj_t
																																					BgL_list7727z00_10894;
																																				BgL_list7727z00_10894
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) BgL_arg7726z00_10892), BNIL);
																																				BgL_res7961z00_10895
																																					=
																																					(
																																					(BgL_nodez00_bglt)
																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																					(BgL_locz00_9481,
																																						BgL_arg7725z00_10891,
																																						BGl_string8036z00zzast_sexpz00,
																																						BgL_expz00_21,
																																						BgL_list7727z00_10894));
																																		}}
																																		return
																																			BgL_res7961z00_10895;
																																	}
																															}
																													}
																											}
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																										BgL_tagzd275182zd2_9472:
																											{	/* Ast/sexp.scm 226 */
																												BgL_nodez00_bglt
																													BgL_res7962z00_10901;
																												{	/* Ast/sexp.scm 735 */
																													obj_t
																														BgL_arg7725z00_10897;
																													BgL_nodez00_bglt
																														BgL_arg7726z00_10898;
																													BgL_arg7725z00_10897 =
																														BGl_shapez00zztools_shapez00
																														(BGl_currentzd2functionzd2zztools_errorz00
																														());
																													BgL_arg7726z00_10898 =
																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																														(CNST_TABLE_REF((
																																(long) 4)),
																														BNIL, BgL_locz00_23,
																														CNST_TABLE_REF((
																																(long) 2)));
																													{	/* Ast/sexp.scm 734 */
																														obj_t
																															BgL_list7727z00_10900;
																														BgL_list7727z00_10900
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																BgL_arg7726z00_10898),
																															BNIL);
																														BgL_res7962z00_10901
																															=
																															(
																															(BgL_nodez00_bglt)
																															BGl_userzd2errorzf2locationz20zztools_errorz00
																															(BgL_locz00_23,
																																BgL_arg7725z00_10897,
																																BGl_string8036z00zzast_sexpz00,
																																BgL_expz00_21,
																																BgL_list7727z00_10900));
																												}}
																												return
																													BgL_res7962z00_10901;
																											}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 119 */
																									goto BgL_tagzd275182zd2_9472;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 119 */
																							goto BgL_tagzd275182zd2_9472;
																						}
																				}
																			}
																		else
																			{	/* Ast/sexp.scm 119 */
																				if (
																					(CAR(
																							((obj_t) BgL_expz00_21)) ==
																						CNST_TABLE_REF(((long) 15))))
																					{	/* Ast/sexp.scm 119 */
																						if (NULLP(CDR(
																									((obj_t) BgL_expz00_21))))
																							{	/* Ast/sexp.scm 119 */
																							BgL_tagzd2374zd2_1779:
																								{
																									obj_t BgL_locz00_16235;
																									obj_t BgL_expz00_16234;

																									BgL_expz00_16234 = BUNSPEC;
																									BgL_locz00_16235 =
																										BGl_findzd2locationzf2locz20zztools_locationz00
																										(BgL_expz00_21,
																										BgL_locz00_23);
																									BgL_locz00_23 =
																										BgL_locz00_16235;
																									BgL_expz00_21 =
																										BgL_expz00_16234;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 119 */
																								obj_t BgL_arg1625z00_1870;

																								BgL_arg1625z00_1870 =
																									CDR(((obj_t) BgL_expz00_21));
																								{
																									BgL_sequencez00_bglt
																										BgL_auxz00_16239;
																									BgL_bodyz00_1780 =
																										BgL_arg1625z00_1870;
																								BgL_tagzd2375zd2_1781:
																									{	/* Ast/sexp.scm 231 */
																										obj_t BgL_locz00_9512;

																										BgL_locz00_9512 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_21,
																											BgL_locz00_23);
																										{	/* Ast/sexp.scm 231 */
																											obj_t BgL_nodesz00_9513;

																											BgL_nodesz00_9513 =
																												BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																												(BgL_bodyz00_1780,
																												BgL_stackz00_22,
																												BgL_locz00_9512,
																												BgL_sitez00_24);
																											{	/* Ast/sexp.scm 232 */

																												{	/* Ast/sexp.scm 233 */
																													BgL_sequencez00_bglt
																														BgL_new1128z00_9514;
																													{	/* Ast/sexp.scm 234 */
																														BgL_sequencez00_bglt
																															BgL_new1127z00_9515;
																														BgL_new1127z00_9515
																															=
																															(
																															(BgL_sequencez00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_sequencez00_bgl))));
																														{	/* Ast/sexp.scm 234 */
																															long
																																BgL_arg7317z00_9516;
																															BgL_arg7317z00_9516
																																=
																																BGL_CLASS_NUM
																																(BGl_sequencez00zzast_nodez00);
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1127z00_9515), BgL_arg7317z00_9516);
																														}
																														{	/* Ast/sexp.scm 234 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_16246;
																															BgL_tmpz00_16246 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1127z00_9515);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_16246,
																																BFALSE);
																														}
																														((BgL_objectz00_bglt) BgL_new1127z00_9515);
																														BgL_new1128z00_9514
																															=
																															BgL_new1127z00_9515;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1128z00_9514)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_9512),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1128z00_9514)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1128z00_9514)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1128z00_9514)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1128z00_9514))->BgL_nodesz00) = ((obj_t) BgL_nodesz00_9513), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1128z00_9514))->BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1128z00_9514))->BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
																													BgL_auxz00_16239 =
																														BgL_new1128z00_9514;
																									}}}}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_16239);
																								}
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 119 */
																						obj_t BgL_carzd2611zd2_1872;
																						obj_t BgL_cdrzd2612zd2_1873;

																						BgL_carzd2611zd2_1872 =
																							CAR(((obj_t) BgL_expz00_21));
																						BgL_cdrzd2612zd2_1873 =
																							CDR(((obj_t) BgL_expz00_21));
																						{

																							if (
																								(BgL_carzd2611zd2_1872 ==
																									CNST_TABLE_REF(((long) 1))))
																								{
																									obj_t BgL_auxz00_16271;

																								BgL_kapzd2613zd2_1874:
																									if (PAIRP
																										(BgL_cdrzd2612zd2_1873))
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_cdrzd2616zd2_3112;
																											BgL_cdrzd2616zd2_3112 =
																												CDR
																												(BgL_cdrzd2612zd2_1873);
																											if (PAIRP
																												(BgL_cdrzd2616zd2_3112))
																												{	/* Ast/sexp.scm 119 */
																													obj_t
																														BgL_cdrzd2619zd2_3114;
																													BgL_cdrzd2619zd2_3114
																														=
																														CDR
																														(BgL_cdrzd2616zd2_3112);
																													if ((CAR
																															(BgL_cdrzd2616zd2_3112)
																															== BTRUE))
																														{	/* Ast/sexp.scm 119 */
																															if (PAIRP
																																(BgL_cdrzd2619zd2_3114))
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR
																																			(BgL_cdrzd2619zd2_3114)
																																			==
																																			BFALSE))
																																		{	/* Ast/sexp.scm 119 */
																																			if (NULLP
																																				(CDR
																																					(BgL_cdrzd2619zd2_3114)))
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_sitez00_24
																																							==
																																							CNST_TABLE_REF
																																							(((long) 8))))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_arg2641z00_3124;
																																							BgL_arg2641z00_3124
																																								=
																																								CAR
																																								(BgL_cdrzd2612zd2_1873);
																																							BgL_auxz00_16271
																																								=
																																								(
																																								(obj_t)
																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																								(BgL_arg2641z00_3124,
																																									BgL_stackz00_22,
																																									BgL_locz00_23,
																																									BgL_sitez00_24));
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd2638zd2_3125;
																																							BgL_carzd2638zd2_3125
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd2638zd2_3125 == CNST_TABLE_REF(((long) 1))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_16300;
																																								BgL_tagzd2377zd2_1784:
																																									{
																																										obj_t
																																											BgL_siz00_9517;
																																										obj_t
																																											BgL_alorsz00_9518;
																																										obj_t
																																											BgL_sinonz00_9519;
																																										obj_t
																																											BgL_siz00_9521;
																																										obj_t
																																											BgL_alorsz00_9522;
																																										if (PAIRP(BgL_expz00_21))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd275203zd2_9527;
																																												BgL_cdrzd275203zd2_9527
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												if (PAIRP(BgL_cdrzd275203zd2_9527))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd275208zd2_9529;
																																														BgL_cdrzd275208zd2_9529
																																															=
																																															CDR
																																															(BgL_cdrzd275203zd2_9527);
																																														if (PAIRP(BgL_cdrzd275208zd2_9529))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd275213zd2_9531;
																																																BgL_cdrzd275213zd2_9531
																																																	=
																																																	CDR
																																																	(BgL_cdrzd275208zd2_9529);
																																																if (PAIRP(BgL_cdrzd275213zd2_9531))
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (NULLP(CDR(BgL_cdrzd275213zd2_9531)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				BgL_siz00_9517
																																																					=
																																																					CAR
																																																					(BgL_cdrzd275203zd2_9527);
																																																				BgL_alorsz00_9518
																																																					=
																																																					CAR
																																																					(BgL_cdrzd275208zd2_9529);
																																																				BgL_sinonz00_9519
																																																					=
																																																					CAR
																																																					(BgL_cdrzd275213zd2_9531);
																																																				{	/* Ast/sexp.scm 244 */
																																																					obj_t
																																																						BgL_ntz00_9546;
																																																					BgL_ntz00_9546
																																																						=
																																																						BGl_notzd2testzd2zzast_sexpz00
																																																						(BgL_siz00_9517);
																																																					if (CBOOL(BgL_ntz00_9546))
																																																						{	/* Ast/sexp.scm 245 */
																																																							{	/* Ast/sexp.scm 247 */
																																																								obj_t
																																																									BgL_arg7333z00_9547;
																																																								BgL_arg7333z00_9547
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 247 */
																																																									obj_t
																																																										BgL_tmpz00_16321;
																																																									BgL_tmpz00_16321
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_arg7333z00_9547);
																																																									SET_CAR
																																																										(BgL_tmpz00_16321,
																																																										BgL_ntz00_9546);
																																																								}
																																																							}
																																																							{	/* Ast/sexp.scm 248 */
																																																								obj_t
																																																									BgL_arg7334z00_9548;
																																																								{	/* Ast/sexp.scm 248 */
																																																									obj_t
																																																										BgL_pairz00_10914;
																																																									BgL_pairz00_10914
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_arg7334z00_9548
																																																										=
																																																										CDR
																																																										(BgL_pairz00_10914);
																																																								}
																																																								{	/* Ast/sexp.scm 248 */
																																																									obj_t
																																																										BgL_tmpz00_16327;
																																																									BgL_tmpz00_16327
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_arg7334z00_9548);
																																																									SET_CAR
																																																										(BgL_tmpz00_16327,
																																																										BgL_sinonz00_9519);
																																																								}
																																																							}
																																																							{	/* Ast/sexp.scm 249 */
																																																								obj_t
																																																									BgL_arg7335z00_9549;
																																																								{	/* Ast/sexp.scm 249 */
																																																									obj_t
																																																										BgL_pairz00_10921;
																																																									{	/* Ast/sexp.scm 249 */
																																																										obj_t
																																																											BgL_pairz00_10920;
																																																										BgL_pairz00_10920
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_pairz00_10921
																																																											=
																																																											CDR
																																																											(BgL_pairz00_10920);
																																																									}
																																																									BgL_arg7335z00_9549
																																																										=
																																																										CDR
																																																										(BgL_pairz00_10921);
																																																								}
																																																								{	/* Ast/sexp.scm 249 */
																																																									obj_t
																																																										BgL_tmpz00_16334;
																																																									BgL_tmpz00_16334
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_arg7335z00_9549);
																																																									SET_CAR
																																																										(BgL_tmpz00_16334,
																																																										BgL_alorsz00_9518);
																																																								}
																																																							}
																																																							BgL_auxz00_16300
																																																								=
																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																								(BgL_expz00_21,
																																																								BgL_stackz00_22,
																																																								BgL_locz00_23,
																																																								BgL_sitez00_24);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 251 */
																																																							obj_t
																																																								BgL_locz00_9550;
																																																							BgL_locz00_9550
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 251 */
																																																								obj_t
																																																									BgL_cdlocz00_9551;
																																																								{	/* Ast/sexp.scm 252 */
																																																									obj_t
																																																										BgL_arg7355z00_9585;
																																																									BgL_arg7355z00_9585
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdlocz00_9551
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_arg7355z00_9585,
																																																										BgL_locz00_9550);
																																																								}
																																																								{	/* Ast/sexp.scm 252 */
																																																									obj_t
																																																										BgL_cddlocz00_9552;
																																																									{	/* Ast/sexp.scm 253 */
																																																										obj_t
																																																											BgL_arg7354z00_9584;
																																																										{	/* Ast/sexp.scm 253 */
																																																											obj_t
																																																												BgL_pairz00_10927;
																																																											BgL_pairz00_10927
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_arg7354z00_9584
																																																												=
																																																												CDR
																																																												(BgL_pairz00_10927);
																																																										}
																																																										BgL_cddlocz00_9552
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg7354z00_9584,
																																																											BgL_locz00_9550);
																																																									}
																																																									{	/* Ast/sexp.scm 253 */
																																																										obj_t
																																																											BgL_cdddlocz00_9553;
																																																										{	/* Ast/sexp.scm 254 */
																																																											obj_t
																																																												BgL_arg7353z00_9583;
																																																											{	/* Ast/sexp.scm 254 */
																																																												obj_t
																																																													BgL_pairz00_10933;
																																																												{	/* Ast/sexp.scm 254 */
																																																													obj_t
																																																														BgL_pairz00_10932;
																																																													BgL_pairz00_10932
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_pairz00_10933
																																																														=
																																																														CDR
																																																														(BgL_pairz00_10932);
																																																												}
																																																												BgL_arg7353z00_9583
																																																													=
																																																													CDR
																																																													(BgL_pairz00_10933);
																																																											}
																																																											BgL_cdddlocz00_9553
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg7353z00_9583,
																																																												BgL_locz00_9550);
																																																										}
																																																										{	/* Ast/sexp.scm 254 */
																																																											obj_t
																																																												BgL_lzd2sizd2_9554;
																																																											BgL_lzd2sizd2_9554
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_siz00_9517,
																																																												BgL_cdlocz00_9551);
																																																											{	/* Ast/sexp.scm 255 */
																																																												obj_t
																																																													BgL_lzd2alorszd2_9555;
																																																												BgL_lzd2alorszd2_9555
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_alorsz00_9518,
																																																													BgL_cddlocz00_9552);
																																																												{	/* Ast/sexp.scm 256 */
																																																													obj_t
																																																														BgL_lzd2sinonzd2_9556;
																																																													BgL_lzd2sinonzd2_9556
																																																														=
																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																														(BgL_sinonz00_9519,
																																																														BgL_cdddlocz00_9553);
																																																													{	/* Ast/sexp.scm 257 */
																																																														BgL_nodez00_bglt
																																																															BgL_testz00_9557;
																																																														BgL_testz00_9557
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_siz00_9517,
																																																															BgL_stackz00_22,
																																																															BgL_locz00_9550,
																																																															CNST_TABLE_REF
																																																															(((long) 8)));
																																																														{	/* Ast/sexp.scm 258 */

																																																															{	/* Ast/sexp.scm 260 */
																																																																bool_t
																																																																	BgL_test8190z00_16356;
																																																																{	/* Ast/sexp.scm 260 */
																																																																	obj_t
																																																																		BgL_classz00_10934;
																																																																	BgL_classz00_10934
																																																																		=
																																																																		BGl_atomz00zzast_nodez00;
																																																																	{	/* Ast/sexp.scm 260 */
																																																																		BgL_objectz00_bglt
																																																																			BgL_arg1820z00_10936;
																																																																		{	/* Ast/sexp.scm 260 */
																																																																			obj_t
																																																																				BgL_tmpz00_16357;
																																																																			BgL_tmpz00_16357
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				((BgL_objectz00_bglt) BgL_testz00_9557));
																																																																			BgL_arg1820z00_10936
																																																																				=
																																																																				(BgL_objectz00_bglt)
																																																																				(BgL_tmpz00_16357);
																																																																		}
																																																																		if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																			{	/* Ast/sexp.scm 260 */
																																																																				long
																																																																					BgL_idxz00_10942;
																																																																				BgL_idxz00_10942
																																																																					=
																																																																					BGL_OBJECT_INHERITANCE_NUM
																																																																					(BgL_arg1820z00_10936);
																																																																				BgL_test8190z00_16356
																																																																					=
																																																																					(VECTOR_REF
																																																																					(BGl_za2inheritancesza2z00zz__objectz00,
																																																																						(BgL_idxz00_10942
																																																																							+
																																																																							((long) 2))) == BgL_classz00_10934);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 260 */
																																																																				bool_t
																																																																					BgL_res7963z00_10964;
																																																																				{	/* Ast/sexp.scm 260 */
																																																																					obj_t
																																																																						BgL_oclassz00_10950;
																																																																					{	/* Ast/sexp.scm 260 */
																																																																						long
																																																																							BgL_arg1828z00_10956;
																																																																						{	/* Ast/sexp.scm 260 */
																																																																							long
																																																																								BgL_arg1829z00_10957;
																																																																							BgL_arg1829z00_10957
																																																																								=
																																																																								BGL_OBJECT_CLASS_NUM
																																																																								(BgL_arg1820z00_10936);
																																																																							BgL_arg1828z00_10956
																																																																								=
																																																																								(BgL_arg1829z00_10957
																																																																								-
																																																																								OBJECT_TYPE);
																																																																						}
																																																																						BgL_oclassz00_10950
																																																																							=
																																																																							VECTOR_REF
																																																																							(BGl_za2classesza2z00zz__objectz00,
																																																																							BgL_arg1828z00_10956);
																																																																					}
																																																																					{	/* Ast/sexp.scm 260 */
																																																																						bool_t
																																																																							BgL__ortest_1111z00_10951;
																																																																						BgL__ortest_1111z00_10951
																																																																							=
																																																																							(BgL_classz00_10934
																																																																							==
																																																																							BgL_oclassz00_10950);
																																																																						if (BgL__ortest_1111z00_10951)
																																																																							{	/* Ast/sexp.scm 260 */
																																																																								BgL_res7963z00_10964
																																																																									=
																																																																									BgL__ortest_1111z00_10951;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 260 */
																																																																								long
																																																																									BgL_odepthz00_10952;
																																																																								BgL_odepthz00_10952
																																																																									=
																																																																									BGL_CLASS_DEPTH
																																																																									(BgL_oclassz00_10950);
																																																																								if ((((long) 2) < BgL_odepthz00_10952))
																																																																									{	/* Ast/sexp.scm 260 */
																																																																										obj_t
																																																																											BgL_arg1816z00_10954;
																																																																										BgL_arg1816z00_10954
																																																																											=
																																																																											BGL_CLASS_ANCESTORS_REF
																																																																											(BgL_oclassz00_10950,
																																																																											((long) 2));
																																																																										BgL_res7963z00_10964
																																																																											=
																																																																											(BgL_arg1816z00_10954
																																																																											==
																																																																											BgL_classz00_10934);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 260 */
																																																																										BgL_res7963z00_10964
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																				BgL_test8190z00_16356
																																																																					=
																																																																					BgL_res7963z00_10964;
																																																																			}
																																																																	}
																																																																}
																																																																if (BgL_test8190z00_16356)
																																																																	{	/* Ast/sexp.scm 260 */
																																																																		if (CBOOL((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt) BgL_testz00_9557)))->BgL_valuez00)))
																																																																			{	/* Ast/sexp.scm 262 */
																																																																				BgL_auxz00_16300
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_alorsz00_9518,
																																																																					BgL_stackz00_22,
																																																																					BgL_lzd2alorszd2_9555,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 262 */
																																																																				BgL_auxz00_16300
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_sinonz00_9519,
																																																																					BgL_stackz00_22,
																																																																					BgL_lzd2sinonzd2_9556,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																	}}
																																																																else
																																																																	{	/* Ast/sexp.scm 265 */
																																																																		bool_t
																																																																			BgL_test8195z00_16385;
																																																																		{	/* Ast/sexp.scm 265 */
																																																																			obj_t
																																																																				BgL_classz00_10965;
																																																																			BgL_classz00_10965
																																																																				=
																																																																				BGl_kwotez00zzast_nodez00;
																																																																			{	/* Ast/sexp.scm 265 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_arg1820z00_10967;
																																																																				{	/* Ast/sexp.scm 265 */
																																																																					obj_t
																																																																						BgL_tmpz00_16386;
																																																																					BgL_tmpz00_16386
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						((BgL_objectz00_bglt) BgL_testz00_9557));
																																																																					BgL_arg1820z00_10967
																																																																						=
																																																																						(BgL_objectz00_bglt)
																																																																						(BgL_tmpz00_16386);
																																																																				}
																																																																				if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																					{	/* Ast/sexp.scm 265 */
																																																																						long
																																																																							BgL_idxz00_10973;
																																																																						BgL_idxz00_10973
																																																																							=
																																																																							BGL_OBJECT_INHERITANCE_NUM
																																																																							(BgL_arg1820z00_10967);
																																																																						BgL_test8195z00_16385
																																																																							=
																																																																							(VECTOR_REF
																																																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																																																								(BgL_idxz00_10973
																																																																									+
																																																																									((long) 2))) == BgL_classz00_10965);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 265 */
																																																																						bool_t
																																																																							BgL_res7964z00_10995;
																																																																						{	/* Ast/sexp.scm 265 */
																																																																							obj_t
																																																																								BgL_oclassz00_10981;
																																																																							{	/* Ast/sexp.scm 265 */
																																																																								long
																																																																									BgL_arg1828z00_10987;
																																																																								{	/* Ast/sexp.scm 265 */
																																																																									long
																																																																										BgL_arg1829z00_10988;
																																																																									BgL_arg1829z00_10988
																																																																										=
																																																																										BGL_OBJECT_CLASS_NUM
																																																																										(BgL_arg1820z00_10967);
																																																																									BgL_arg1828z00_10987
																																																																										=
																																																																										(BgL_arg1829z00_10988
																																																																										-
																																																																										OBJECT_TYPE);
																																																																								}
																																																																								BgL_oclassz00_10981
																																																																									=
																																																																									VECTOR_REF
																																																																									(BGl_za2classesza2z00zz__objectz00,
																																																																									BgL_arg1828z00_10987);
																																																																							}
																																																																							{	/* Ast/sexp.scm 265 */
																																																																								bool_t
																																																																									BgL__ortest_1111z00_10982;
																																																																								BgL__ortest_1111z00_10982
																																																																									=
																																																																									(BgL_classz00_10965
																																																																									==
																																																																									BgL_oclassz00_10981);
																																																																								if (BgL__ortest_1111z00_10982)
																																																																									{	/* Ast/sexp.scm 265 */
																																																																										BgL_res7964z00_10995
																																																																											=
																																																																											BgL__ortest_1111z00_10982;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 265 */
																																																																										long
																																																																											BgL_odepthz00_10983;
																																																																										BgL_odepthz00_10983
																																																																											=
																																																																											BGL_CLASS_DEPTH
																																																																											(BgL_oclassz00_10981);
																																																																										if ((((long) 2) < BgL_odepthz00_10983))
																																																																											{	/* Ast/sexp.scm 265 */
																																																																												obj_t
																																																																													BgL_arg1816z00_10985;
																																																																												BgL_arg1816z00_10985
																																																																													=
																																																																													BGL_CLASS_ANCESTORS_REF
																																																																													(BgL_oclassz00_10981,
																																																																													((long) 2));
																																																																												BgL_res7964z00_10995
																																																																													=
																																																																													(BgL_arg1816z00_10985
																																																																													==
																																																																													BgL_classz00_10965);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 265 */
																																																																												BgL_res7964z00_10995
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																						BgL_test8195z00_16385
																																																																							=
																																																																							BgL_res7964z00_10995;
																																																																					}
																																																																			}
																																																																		}
																																																																		if (BgL_test8195z00_16385)
																																																																			{	/* Ast/sexp.scm 265 */
																																																																				BgL_auxz00_16300
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_alorsz00_9518,
																																																																					BgL_stackz00_22,
																																																																					BgL_lzd2alorszd2_9555,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 265 */
																																																																				if (CBOOL(BGl_testzd2nestablezf3z21zzast_sexpz00(BgL_testz00_9557)))
																																																																					{	/* Ast/sexp.scm 268 */
																																																																						BgL_nodez00_bglt
																																																																							BgL_alorsz00_9563;
																																																																						BgL_nodez00_bglt
																																																																							BgL_sinonz00_9564;
																																																																						BgL_alorsz00_9563
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(BgL_alorsz00_9518,
																																																																							BgL_stackz00_22,
																																																																							BgL_lzd2alorszd2_9555,
																																																																							CNST_TABLE_REF
																																																																							(((long) 2)));
																																																																						BgL_sinonz00_9564
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(BgL_sinonz00_9519,
																																																																							BgL_stackz00_22,
																																																																							BgL_lzd2sinonzd2_9556,
																																																																							CNST_TABLE_REF
																																																																							(((long) 2)));
																																																																						{	/* Ast/sexp.scm 270 */
																																																																							BgL_conditionalz00_bglt
																																																																								BgL_new1131z00_9565;
																																																																							{	/* Ast/sexp.scm 271 */
																																																																								BgL_conditionalz00_bglt
																																																																									BgL_new1130z00_9566;
																																																																								BgL_new1130z00_9566
																																																																									=
																																																																									(
																																																																									(BgL_conditionalz00_bglt)
																																																																									BOBJECT
																																																																									(GC_MALLOC
																																																																										(sizeof
																																																																											(struct
																																																																												BgL_conditionalz00_bgl))));
																																																																								{	/* Ast/sexp.scm 271 */
																																																																									long
																																																																										BgL_arg7340z00_9567;
																																																																									BgL_arg7340z00_9567
																																																																										=
																																																																										BGL_CLASS_NUM
																																																																										(BGl_conditionalz00zzast_nodez00);
																																																																									BGL_OBJECT_CLASS_NUM_SET
																																																																										(
																																																																										((BgL_objectz00_bglt) BgL_new1130z00_9566), BgL_arg7340z00_9567);
																																																																								}
																																																																								{	/* Ast/sexp.scm 271 */
																																																																									BgL_objectz00_bglt
																																																																										BgL_tmpz00_16419;
																																																																									BgL_tmpz00_16419
																																																																										=
																																																																										(
																																																																										(BgL_objectz00_bglt)
																																																																										BgL_new1130z00_9566);
																																																																									BGL_OBJECT_WIDENING_SET
																																																																										(BgL_tmpz00_16419,
																																																																										BFALSE);
																																																																								}
																																																																								((BgL_objectz00_bglt) BgL_new1130z00_9566);
																																																																								BgL_new1131z00_9565
																																																																									=
																																																																									BgL_new1130z00_9566;
																																																																							}
																																																																							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1131z00_9565)))->BgL_locz00) = ((obj_t) BgL_locz00_9550), BUNSPEC);
																																																																							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1131z00_9565)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1131z00_9565)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1131z00_9565)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																							((((BgL_conditionalz00_bglt) COBJECT(BgL_new1131z00_9565))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_9557), BUNSPEC);
																																																																							((((BgL_conditionalz00_bglt) COBJECT(BgL_new1131z00_9565))->BgL_truez00) = ((BgL_nodez00_bglt) BgL_alorsz00_9563), BUNSPEC);
																																																																							((((BgL_conditionalz00_bglt) COBJECT(BgL_new1131z00_9565))->BgL_falsez00) = ((BgL_nodez00_bglt) BgL_sinonz00_9564), BUNSPEC);
																																																																							BgL_auxz00_16300
																																																																								=
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_new1131z00_9565);
																																																																					}}
																																																																				else
																																																																					{	/* Ast/sexp.scm 277 */
																																																																						obj_t
																																																																							BgL_vz00_9568;
																																																																						BgL_vz00_9568
																																																																							=
																																																																							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																																							(BGl_gensymz00zz__r4_symbols_6_4z00
																																																																							(CNST_TABLE_REF
																																																																								(((long) 8))));
																																																																						{	/* Ast/sexp.scm 277 */
																																																																							obj_t
																																																																								BgL_varz00_9569;
																																																																							BgL_varz00_9569
																																																																								=
																																																																								BGl_makezd2typedzd2identz00zzast_identz00
																																																																								(BgL_vz00_9568,
																																																																								CNST_TABLE_REF
																																																																								(((long) 9)));
																																																																							{	/* Ast/sexp.scm 278 */
																																																																								obj_t
																																																																									BgL_nexpz00_9570;
																																																																								{	/* Ast/sexp.scm 279 */
																																																																									obj_t
																																																																										BgL_arg7348z00_9578;
																																																																									{	/* Ast/sexp.scm 279 */
																																																																										obj_t
																																																																											BgL_arg7349z00_9579;
																																																																										{	/* Ast/sexp.scm 279 */
																																																																											obj_t
																																																																												BgL_arg7350z00_9580;
																																																																											{	/* Ast/sexp.scm 279 */
																																																																												obj_t
																																																																													BgL_arg7351z00_9581;
																																																																												BgL_arg7351z00_9581
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_sinonz00_9519,
																																																																													BNIL);
																																																																												BgL_arg7350z00_9580
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_alorsz00_9518,
																																																																													BgL_arg7351z00_9581);
																																																																											}
																																																																											BgL_arg7349z00_9579
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BgL_vz00_9568,
																																																																												BgL_arg7350z00_9580);
																																																																										}
																																																																										BgL_arg7348z00_9578
																																																																											=
																																																																											MAKE_YOUNG_PAIR
																																																																											(CNST_TABLE_REF
																																																																											(((long) 1)), BgL_arg7349z00_9579);
																																																																									}
																																																																									BgL_nexpz00_9570
																																																																										=
																																																																										BGl_epairifyzd2reczd2zztools_miscz00
																																																																										(BgL_arg7348z00_9578,
																																																																										BgL_expz00_21);
																																																																								}
																																																																								{	/* Ast/sexp.scm 279 */

																																																																									{	/* Ast/sexp.scm 280 */
																																																																										obj_t
																																																																											BgL_arg7341z00_9571;
																																																																										{	/* Ast/sexp.scm 280 */
																																																																											obj_t
																																																																												BgL_arg7342z00_9572;
																																																																											obj_t
																																																																												BgL_arg7343z00_9573;
																																																																											BgL_arg7342z00_9572
																																																																												=
																																																																												BGl_letzd2symzd2zzast_letz00
																																																																												();
																																																																											{	/* Ast/sexp.scm 280 */
																																																																												obj_t
																																																																													BgL_arg7344z00_9574;
																																																																												obj_t
																																																																													BgL_arg7345z00_9575;
																																																																												{	/* Ast/sexp.scm 280 */
																																																																													obj_t
																																																																														BgL_arg7346z00_9576;
																																																																													{	/* Ast/sexp.scm 280 */
																																																																														obj_t
																																																																															BgL_arg7347z00_9577;
																																																																														BgL_arg7347z00_9577
																																																																															=
																																																																															MAKE_YOUNG_PAIR
																																																																															(BgL_siz00_9517,
																																																																															BNIL);
																																																																														BgL_arg7346z00_9576
																																																																															=
																																																																															MAKE_YOUNG_PAIR
																																																																															(BgL_varz00_9569,
																																																																															BgL_arg7347z00_9577);
																																																																													}
																																																																													BgL_arg7344z00_9574
																																																																														=
																																																																														MAKE_YOUNG_PAIR
																																																																														(BgL_arg7346z00_9576,
																																																																														BNIL);
																																																																												}
																																																																												BgL_arg7345z00_9575
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_nexpz00_9570,
																																																																													BNIL);
																																																																												BgL_arg7343z00_9573
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_arg7344z00_9574,
																																																																													BgL_arg7345z00_9575);
																																																																											}
																																																																											BgL_arg7341z00_9571
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BgL_arg7342z00_9572,
																																																																												BgL_arg7343z00_9573);
																																																																										}
																																																																										BGl_replacez12z12zztools_miscz00
																																																																											(BgL_expz00_21,
																																																																											BgL_arg7341z00_9571);
																																																																									}
																																																																									BgL_auxz00_16300
																																																																										=
																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																										(BgL_expz00_21,
																																																																										BgL_stackz00_22,
																																																																										BgL_locz00_9550,
																																																																										BgL_sitez00_24);
																																																			}}}}}}}}}}}}}}}}}}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																			BgL_tagzd275194zd2_9524:
																																																				{	/* Ast/sexp.scm 286 */
																																																					BgL_nodez00_bglt
																																																						BgL_res7966z00_11011;
																																																					{	/* Ast/sexp.scm 735 */
																																																						obj_t
																																																							BgL_arg7725z00_11007;
																																																						BgL_nodez00_bglt
																																																							BgL_arg7726z00_11008;
																																																						BgL_arg7725z00_11007
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg7726z00_11008
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(CNST_TABLE_REF
																																																							(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																						{	/* Ast/sexp.scm 734 */
																																																							obj_t
																																																								BgL_list7727z00_11010;
																																																							BgL_list7727z00_11010
																																																								=
																																																								MAKE_YOUNG_PAIR
																																																								(
																																																								((obj_t) BgL_arg7726z00_11008), BNIL);
																																																							BgL_res7966z00_11011
																																																								=
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																								(BgL_locz00_23,
																																																									BgL_arg7725z00_11007,
																																																									BGl_string8035z00zzast_sexpz00,
																																																									BgL_expz00_21,
																																																									BgL_list7727z00_11010));
																																																					}}
																																																					BgL_auxz00_16300
																																																						=
																																																						BgL_res7966z00_11011;
																																																	}}}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd275238zd2_9540;
																																																		BgL_cdrzd275238zd2_9540
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd275203zd2_9527));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd275238zd2_9540))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg7330z00_9543;
																																																				obj_t
																																																					BgL_arg7331z00_9544;
																																																				BgL_arg7330z00_9543
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd275203zd2_9527));
																																																				BgL_arg7331z00_9544
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd275238zd2_9540));
																																																				BgL_siz00_9521
																																																					=
																																																					BgL_arg7330z00_9543;
																																																				BgL_alorsz00_9522
																																																					=
																																																					BgL_arg7331z00_9544;
																																																				{	/* Ast/sexp.scm 283 */
																																																					obj_t
																																																						BgL_arg7356z00_9586;
																																																					obj_t
																																																						BgL_arg7357z00_9587;
																																																					{	/* Ast/sexp.scm 283 */
																																																						obj_t
																																																							BgL_pairz00_11003;
																																																						BgL_pairz00_11003
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_arg7356z00_9586
																																																							=
																																																							CDR
																																																							(BgL_pairz00_11003);
																																																					}
																																																					{	/* Ast/sexp.scm 283 */
																																																						obj_t
																																																							BgL_list7358z00_9588;
																																																						BgL_list7358z00_9588
																																																							=
																																																							MAKE_YOUNG_PAIR
																																																							(BUNSPEC,
																																																							BNIL);
																																																						BgL_arg7357z00_9587
																																																							=
																																																							BgL_list7358z00_9588;
																																																					}
																																																					{	/* Ast/sexp.scm 283 */
																																																						obj_t
																																																							BgL_tmpz00_16483;
																																																						BgL_tmpz00_16483
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_arg7356z00_9586);
																																																						SET_CDR
																																																							(BgL_tmpz00_16483,
																																																							BgL_arg7357z00_9587);
																																																					}
																																																				}
																																																				BgL_auxz00_16300
																																																					=
																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																					(BgL_expz00_21,
																																																					BgL_stackz00_22,
																																																					BgL_locz00_23,
																																																					BgL_sitez00_24);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd275194zd2_9524;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd275194zd2_9524;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_tagzd275194zd2_9524;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_tagzd275194zd2_9524;
																																											}
																																									}
																																									BgL_auxz00_16271
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_16300);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((BgL_carzd2638zd2_3125 == BGl_za2ifza2z00zzast_sexpz00))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_16490;
																																											goto
																																												BgL_tagzd2377zd2_1784;
																																											BgL_auxz00_16271
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_16490);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_16497;
																																												BgL_tagzd2379zd2_1788:
																																													{
																																														obj_t
																																															BgL_varz00_9615;
																																														obj_t
																																															BgL_valz00_9616;
																																														if (PAIRP(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd275268zd2_9621;
																																																BgL_cdrzd275268zd2_9621
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																if (PAIRP(BgL_cdrzd275268zd2_9621))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd275272zd2_9623;
																																																		BgL_cdrzd275272zd2_9623
																																																			=
																																																			CDR
																																																			(BgL_cdrzd275268zd2_9621);
																																																		if (PAIRP(BgL_cdrzd275272zd2_9623))
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (NULLP(CDR(BgL_cdrzd275272zd2_9623)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						BgL_varz00_9615
																																																							=
																																																							CAR
																																																							(BgL_cdrzd275268zd2_9621);
																																																						BgL_valz00_9616
																																																							=
																																																							CAR
																																																							(BgL_cdrzd275272zd2_9623);
																																																						{	/* Ast/sexp.scm 295 */
																																																							obj_t
																																																								BgL_locz00_9630;
																																																							BgL_locz00_9630
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 295 */
																																																								obj_t
																																																									BgL_cdlocz00_9631;
																																																								{	/* Ast/sexp.scm 296 */
																																																									obj_t
																																																										BgL_arg7395z00_9658;
																																																									BgL_arg7395z00_9658
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdlocz00_9631
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_arg7395z00_9658,
																																																										BgL_locz00_9630);
																																																								}
																																																								{	/* Ast/sexp.scm 296 */
																																																									obj_t
																																																										BgL_cddlocz00_9632;
																																																									{	/* Ast/sexp.scm 297 */
																																																										obj_t
																																																											BgL_arg7394z00_9657;
																																																										{	/* Ast/sexp.scm 297 */
																																																											obj_t
																																																												BgL_pairz00_11037;
																																																											BgL_pairz00_11037
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_arg7394z00_9657
																																																												=
																																																												CDR
																																																												(BgL_pairz00_11037);
																																																										}
																																																										BgL_cddlocz00_9632
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg7394z00_9657,
																																																											BgL_locz00_9630);
																																																									}
																																																									{	/* Ast/sexp.scm 297 */
																																																										obj_t
																																																											BgL_valzd2loczd2_9633;
																																																										BgL_valzd2loczd2_9633
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_valz00_9616,
																																																											BgL_cddlocz00_9632);
																																																										{	/* Ast/sexp.scm 298 */
																																																											BgL_nodez00_bglt
																																																												BgL_valz00_9634;
																																																											{

																																																												if (PAIRP(BgL_valz00_9616))
																																																													{	/* Ast/sexp.scm 299 */
																																																														if ((CAR(((obj_t) BgL_valz00_9616)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 299 */
																																																																{	/* Ast/sexp.scm 302 */
																																																																	obj_t
																																																																		BgL_arg7393z00_9656;
																																																																	{	/* Ast/sexp.scm 302 */
																																																																		obj_t
																																																																			BgL_arg1469z00_11039;
																																																																		BgL_arg1469z00_11039
																																																																			=
																																																																			SYMBOL_TO_STRING
																																																																			(
																																																																			((obj_t) BgL_varz00_9615));
																																																																		BgL_arg7393z00_9656
																																																																			=
																																																																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																																			(BgL_arg1469z00_11039);
																																																																	}
																																																																	BgL_valz00_9634
																																																																		=
																																																																		BGl_lambdazd2ze3nodez31zzast_sexpz00
																																																																		(BgL_valz00_9616,
																																																																		BgL_stackz00_22,
																																																																		BgL_valzd2loczd2_9633,
																																																																		CNST_TABLE_REF
																																																																		(((long) 2)), BgL_arg7393z00_9656);
																																																															}}
																																																														else
																																																															{	/* Ast/sexp.scm 299 */
																																																															BgL_tagzd275279zd2_9650:
																																																																BgL_valz00_9634 = BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_valz00_9616, BgL_stackz00_22, BgL_valzd2loczd2_9633, CNST_TABLE_REF(((long) 2)));
																																																													}}
																																																												else
																																																													{	/* Ast/sexp.scm 299 */
																																																														goto
																																																															BgL_tagzd275279zd2_9650;
																																																													}
																																																											}
																																																											{	/* Ast/sexp.scm 299 */

																																																												{	/* Ast/sexp.scm 305 */
																																																													BgL_nodez00_bglt
																																																														BgL_astz00_9635;
																																																													BgL_astz00_9635
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_varz00_9615,
																																																														BgL_stackz00_22,
																																																														BgL_cdlocz00_9631,
																																																														CNST_TABLE_REF
																																																														(((long) 7)));
																																																													{	/* Ast/sexp.scm 306 */
																																																														bool_t
																																																															BgL_test8209z00_16535;
																																																														{	/* Ast/sexp.scm 306 */
																																																															obj_t
																																																																BgL_classz00_11041;
																																																															BgL_classz00_11041
																																																																=
																																																																BGl_varz00zzast_nodez00;
																																																															{	/* Ast/sexp.scm 306 */
																																																																BgL_objectz00_bglt
																																																																	BgL_arg1820z00_11043;
																																																																{	/* Ast/sexp.scm 306 */
																																																																	obj_t
																																																																		BgL_tmpz00_16536;
																																																																	BgL_tmpz00_16536
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		((BgL_objectz00_bglt) BgL_astz00_9635));
																																																																	BgL_arg1820z00_11043
																																																																		=
																																																																		(BgL_objectz00_bglt)
																																																																		(BgL_tmpz00_16536);
																																																																}
																																																																if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																	{	/* Ast/sexp.scm 306 */
																																																																		long
																																																																			BgL_idxz00_11049;
																																																																		BgL_idxz00_11049
																																																																			=
																																																																			BGL_OBJECT_INHERITANCE_NUM
																																																																			(BgL_arg1820z00_11043);
																																																																		BgL_test8209z00_16535
																																																																			=
																																																																			(VECTOR_REF
																																																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																																																				(BgL_idxz00_11049
																																																																					+
																																																																					((long) 2))) == BgL_classz00_11041);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 306 */
																																																																		bool_t
																																																																			BgL_res7968z00_11071;
																																																																		{	/* Ast/sexp.scm 306 */
																																																																			obj_t
																																																																				BgL_oclassz00_11057;
																																																																			{	/* Ast/sexp.scm 306 */
																																																																				long
																																																																					BgL_arg1828z00_11063;
																																																																				{	/* Ast/sexp.scm 306 */
																																																																					long
																																																																						BgL_arg1829z00_11064;
																																																																					BgL_arg1829z00_11064
																																																																						=
																																																																						BGL_OBJECT_CLASS_NUM
																																																																						(BgL_arg1820z00_11043);
																																																																					BgL_arg1828z00_11063
																																																																						=
																																																																						(BgL_arg1829z00_11064
																																																																						-
																																																																						OBJECT_TYPE);
																																																																				}
																																																																				BgL_oclassz00_11057
																																																																					=
																																																																					VECTOR_REF
																																																																					(BGl_za2classesza2z00zz__objectz00,
																																																																					BgL_arg1828z00_11063);
																																																																			}
																																																																			{	/* Ast/sexp.scm 306 */
																																																																				bool_t
																																																																					BgL__ortest_1111z00_11058;
																																																																				BgL__ortest_1111z00_11058
																																																																					=
																																																																					(BgL_classz00_11041
																																																																					==
																																																																					BgL_oclassz00_11057);
																																																																				if (BgL__ortest_1111z00_11058)
																																																																					{	/* Ast/sexp.scm 306 */
																																																																						BgL_res7968z00_11071
																																																																							=
																																																																							BgL__ortest_1111z00_11058;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 306 */
																																																																						long
																																																																							BgL_odepthz00_11059;
																																																																						BgL_odepthz00_11059
																																																																							=
																																																																							BGL_CLASS_DEPTH
																																																																							(BgL_oclassz00_11057);
																																																																						if ((((long) 2) < BgL_odepthz00_11059))
																																																																							{	/* Ast/sexp.scm 306 */
																																																																								obj_t
																																																																									BgL_arg1816z00_11061;
																																																																								BgL_arg1816z00_11061
																																																																									=
																																																																									BGL_CLASS_ANCESTORS_REF
																																																																									(BgL_oclassz00_11057,
																																																																									((long) 2));
																																																																								BgL_res7968z00_11071
																																																																									=
																																																																									(BgL_arg1816z00_11061
																																																																									==
																																																																									BgL_classz00_11041);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 306 */
																																																																								BgL_res7968z00_11071
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																		BgL_test8209z00_16535
																																																																			=
																																																																			BgL_res7968z00_11071;
																																																																	}
																																																															}
																																																														}
																																																														if (BgL_test8209z00_16535)
																																																															{	/* Ast/sexp.scm 308 */
																																																																bool_t
																																																																	BgL_test8213z00_16556;
																																																																{	/* Ast/sexp.scm 308 */
																																																																	bool_t
																																																																		BgL_test8214z00_16557;
																																																																	{	/* Ast/sexp.scm 308 */
																																																																		BgL_variablez00_bglt
																																																																			BgL_arg7388z00_9648;
																																																																		BgL_arg7388z00_9648
																																																																			=
																																																																			(
																																																																			((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_9635)))->BgL_variablez00);
																																																																		{	/* Ast/sexp.scm 308 */
																																																																			obj_t
																																																																				BgL_classz00_11072;
																																																																			BgL_classz00_11072
																																																																				=
																																																																				BGl_globalz00zzast_varz00;
																																																																			{	/* Ast/sexp.scm 308 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_arg1820z00_11074;
																																																																				{	/* Ast/sexp.scm 308 */
																																																																					obj_t
																																																																						BgL_tmpz00_16560;
																																																																					BgL_tmpz00_16560
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						((BgL_objectz00_bglt) BgL_arg7388z00_9648));
																																																																					BgL_arg1820z00_11074
																																																																						=
																																																																						(BgL_objectz00_bglt)
																																																																						(BgL_tmpz00_16560);
																																																																				}
																																																																				if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																					{	/* Ast/sexp.scm 308 */
																																																																						long
																																																																							BgL_idxz00_11080;
																																																																						BgL_idxz00_11080
																																																																							=
																																																																							BGL_OBJECT_INHERITANCE_NUM
																																																																							(BgL_arg1820z00_11074);
																																																																						BgL_test8214z00_16557
																																																																							=
																																																																							(VECTOR_REF
																																																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																																																								(BgL_idxz00_11080
																																																																									+
																																																																									((long) 2))) == BgL_classz00_11072);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 308 */
																																																																						bool_t
																																																																							BgL_res7969z00_11102;
																																																																						{	/* Ast/sexp.scm 308 */
																																																																							obj_t
																																																																								BgL_oclassz00_11088;
																																																																							{	/* Ast/sexp.scm 308 */
																																																																								long
																																																																									BgL_arg1828z00_11094;
																																																																								{	/* Ast/sexp.scm 308 */
																																																																									long
																																																																										BgL_arg1829z00_11095;
																																																																									BgL_arg1829z00_11095
																																																																										=
																																																																										BGL_OBJECT_CLASS_NUM
																																																																										(BgL_arg1820z00_11074);
																																																																									BgL_arg1828z00_11094
																																																																										=
																																																																										(BgL_arg1829z00_11095
																																																																										-
																																																																										OBJECT_TYPE);
																																																																								}
																																																																								BgL_oclassz00_11088
																																																																									=
																																																																									VECTOR_REF
																																																																									(BGl_za2classesza2z00zz__objectz00,
																																																																									BgL_arg1828z00_11094);
																																																																							}
																																																																							{	/* Ast/sexp.scm 308 */
																																																																								bool_t
																																																																									BgL__ortest_1111z00_11089;
																																																																								BgL__ortest_1111z00_11089
																																																																									=
																																																																									(BgL_classz00_11072
																																																																									==
																																																																									BgL_oclassz00_11088);
																																																																								if (BgL__ortest_1111z00_11089)
																																																																									{	/* Ast/sexp.scm 308 */
																																																																										BgL_res7969z00_11102
																																																																											=
																																																																											BgL__ortest_1111z00_11089;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 308 */
																																																																										long
																																																																											BgL_odepthz00_11090;
																																																																										BgL_odepthz00_11090
																																																																											=
																																																																											BGL_CLASS_DEPTH
																																																																											(BgL_oclassz00_11088);
																																																																										if ((((long) 2) < BgL_odepthz00_11090))
																																																																											{	/* Ast/sexp.scm 308 */
																																																																												obj_t
																																																																													BgL_arg1816z00_11092;
																																																																												BgL_arg1816z00_11092
																																																																													=
																																																																													BGL_CLASS_ANCESTORS_REF
																																																																													(BgL_oclassz00_11088,
																																																																													((long) 2));
																																																																												BgL_res7969z00_11102
																																																																													=
																																																																													(BgL_arg1816z00_11092
																																																																													==
																																																																													BgL_classz00_11072);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 308 */
																																																																												BgL_res7969z00_11102
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																						BgL_test8214z00_16557
																																																																							=
																																																																							BgL_res7969z00_11102;
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																	if (BgL_test8214z00_16557)
																																																																		{	/* Ast/sexp.scm 309 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg7387z00_9647;
																																																																			BgL_arg7387z00_9647
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_9635)))->BgL_variablez00);
																																																																			BgL_test8213z00_16556
																																																																				=
																																																																				BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																																				(
																																																																				((BgL_globalz00_bglt) BgL_arg7387z00_9647));
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 308 */
																																																																			BgL_test8213z00_16556
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																																if (BgL_test8213z00_16556)
																																																																	{	/* Ast/sexp.scm 310 */
																																																																		BgL_nodez00_bglt
																																																																			BgL_res7970z00_11108;
																																																																		{	/* Ast/sexp.scm 735 */
																																																																			obj_t
																																																																				BgL_arg7725z00_11104;
																																																																			BgL_nodez00_bglt
																																																																				BgL_arg7726z00_11105;
																																																																			BgL_arg7725z00_11104
																																																																				=
																																																																				BGl_shapez00zztools_shapez00
																																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																																				());
																																																																			BgL_arg7726z00_11105
																																																																				=
																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																				(CNST_TABLE_REF
																																																																				(((long) 4)), BNIL, BgL_cdlocz00_9631, CNST_TABLE_REF(((long) 2)));
																																																																			{	/* Ast/sexp.scm 734 */
																																																																				obj_t
																																																																					BgL_list7727z00_11107;
																																																																				BgL_list7727z00_11107
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(
																																																																					((obj_t) BgL_arg7726z00_11105), BNIL);
																																																																				BgL_res7970z00_11108
																																																																					=
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																					(BgL_cdlocz00_9631,
																																																																						BgL_arg7725z00_11104,
																																																																						BGl_string8032z00zzast_sexpz00,
																																																																						BgL_expz00_21,
																																																																						BgL_list7727z00_11107));
																																																																		}}
																																																																		BgL_auxz00_16497
																																																																			=
																																																																			BgL_res7970z00_11108;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 312 */
																																																																		BgL_setqz00_bglt
																																																																			BgL_new1135z00_9643;
																																																																		{	/* Ast/sexp.scm 313 */
																																																																			BgL_setqz00_bglt
																																																																				BgL_new1133z00_9644;
																																																																			BgL_new1133z00_9644
																																																																				=
																																																																				(
																																																																				(BgL_setqz00_bglt)
																																																																				BOBJECT
																																																																				(GC_MALLOC
																																																																					(sizeof
																																																																						(struct
																																																																							BgL_setqz00_bgl))));
																																																																			{	/* Ast/sexp.scm 313 */
																																																																				long
																																																																					BgL_arg7386z00_9645;
																																																																				BgL_arg7386z00_9645
																																																																					=
																																																																					BGL_CLASS_NUM
																																																																					(BGl_setqz00zzast_nodez00);
																																																																				BGL_OBJECT_CLASS_NUM_SET
																																																																					(
																																																																					((BgL_objectz00_bglt) BgL_new1133z00_9644), BgL_arg7386z00_9645);
																																																																			}
																																																																			{	/* Ast/sexp.scm 313 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_tmpz00_16597;
																																																																				BgL_tmpz00_16597
																																																																					=
																																																																					(
																																																																					(BgL_objectz00_bglt)
																																																																					BgL_new1133z00_9644);
																																																																				BGL_OBJECT_WIDENING_SET
																																																																					(BgL_tmpz00_16597,
																																																																					BFALSE);
																																																																			}
																																																																			((BgL_objectz00_bglt) BgL_new1133z00_9644);
																																																																			BgL_new1135z00_9643
																																																																				=
																																																																				BgL_new1133z00_9644;
																																																																		}
																																																																		((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1135z00_9643)))->BgL_locz00) = ((obj_t) BgL_locz00_9630), BUNSPEC);
																																																																		((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1135z00_9643)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																																		((((BgL_setqz00_bglt) COBJECT(BgL_new1135z00_9643))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_9635)), BUNSPEC);
																																																																		((((BgL_setqz00_bglt) COBJECT(BgL_new1135z00_9643))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_9634), BUNSPEC);
																																																																		BgL_auxz00_16497
																																																																			=
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_new1135z00_9643);
																																																															}}
																																																														else
																																																															{	/* Ast/sexp.scm 317 */
																																																																BgL_nodez00_bglt
																																																																	BgL_res7971z00_11118;
																																																																{	/* Ast/sexp.scm 735 */
																																																																	obj_t
																																																																		BgL_arg7725z00_11114;
																																																																	BgL_nodez00_bglt
																																																																		BgL_arg7726z00_11115;
																																																																	BgL_arg7725z00_11114
																																																																		=
																																																																		BGl_shapez00zztools_shapez00
																																																																		(BGl_currentzd2functionzd2zztools_errorz00
																																																																		());
																																																																	BgL_arg7726z00_11115
																																																																		=
																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																		(CNST_TABLE_REF
																																																																		(((long) 4)), BNIL, BgL_locz00_9630, CNST_TABLE_REF(((long) 2)));
																																																																	{	/* Ast/sexp.scm 734 */
																																																																		obj_t
																																																																			BgL_list7727z00_11117;
																																																																		BgL_list7727z00_11117
																																																																			=
																																																																			MAKE_YOUNG_PAIR
																																																																			(
																																																																			((obj_t) BgL_arg7726z00_11115), BNIL);
																																																																		BgL_res7971z00_11118
																																																																			=
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																			(BgL_locz00_9630,
																																																																				BgL_arg7725z00_11114,
																																																																				BGl_string8033z00zzast_sexpz00,
																																																																				BgL_expz00_21,
																																																																				BgL_list7727z00_11117));
																																																																}}
																																																																BgL_auxz00_16497
																																																																	=
																																																																	BgL_res7971z00_11118;
																																																					}}}}}}}}}}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																					BgL_tagzd275261zd2_9618:
																																																						{	/* Ast/sexp.scm 321 */
																																																							obj_t
																																																								BgL_arg7396z00_9659;
																																																							BgL_arg7396z00_9659
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 320 */
																																																								BgL_nodez00_bglt
																																																									BgL_res7972z00_11124;
																																																								{	/* Ast/sexp.scm 735 */
																																																									obj_t
																																																										BgL_arg7725z00_11120;
																																																									BgL_nodez00_bglt
																																																										BgL_arg7726z00_11121;
																																																									BgL_arg7725z00_11120
																																																										=
																																																										BGl_shapez00zztools_shapez00
																																																										(BGl_currentzd2functionzd2zztools_errorz00
																																																										());
																																																									BgL_arg7726z00_11121
																																																										=
																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																										(CNST_TABLE_REF
																																																										(((long) 4)), BNIL, BgL_arg7396z00_9659, CNST_TABLE_REF(((long) 2)));
																																																									{	/* Ast/sexp.scm 734 */
																																																										obj_t
																																																											BgL_list7727z00_11123;
																																																										BgL_list7727z00_11123
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(
																																																											((obj_t) BgL_arg7726z00_11121), BNIL);
																																																										BgL_res7972z00_11124
																																																											=
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BGl_userzd2errorzf2locationz20zztools_errorz00
																																																											(BgL_arg7396z00_9659,
																																																												BgL_arg7725z00_11120,
																																																												BGl_string8031z00zzast_sexpz00,
																																																												BgL_expz00_21,
																																																												BgL_list7727z00_11123));
																																																								}}
																																																								BgL_auxz00_16497
																																																									=
																																																									BgL_res7972z00_11124;
																																																			}}}}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd275261zd2_9618;
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd275261zd2_9618;
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd275261zd2_9618;
																																															}
																																													}
																																													BgL_auxz00_16271
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_16497);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_16637;
																																														BgL_tagzd2380zd2_1789:
																																															{
																																																obj_t
																																																	BgL_varz00_9660;
																																																obj_t
																																																	BgL_valz00_9661;
																																																if (PAIRP(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd275291zd2_9666;
																																																		BgL_cdrzd275291zd2_9666
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		if (PAIRP(BgL_cdrzd275291zd2_9666))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd275295zd2_9668;
																																																				BgL_cdrzd275295zd2_9668
																																																					=
																																																					CDR
																																																					(BgL_cdrzd275291zd2_9666);
																																																				if (PAIRP(BgL_cdrzd275295zd2_9668))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (NULLP(CDR(BgL_cdrzd275295zd2_9668)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								BgL_varz00_9660
																																																									=
																																																									CAR
																																																									(BgL_cdrzd275291zd2_9666);
																																																								BgL_valz00_9661
																																																									=
																																																									CAR
																																																									(BgL_cdrzd275295zd2_9668);
																																																								{	/* Ast/sexp.scm 328 */
																																																									obj_t
																																																										BgL_locz00_9675;
																																																									BgL_locz00_9675
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_expz00_21,
																																																										BgL_locz00_23);
																																																									{	/* Ast/sexp.scm 328 */
																																																										obj_t
																																																											BgL_cdlocz00_9676;
																																																										{	/* Ast/sexp.scm 329 */
																																																											obj_t
																																																												BgL_arg7412z00_9691;
																																																											BgL_arg7412z00_9691
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdlocz00_9676
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg7412z00_9691,
																																																												BgL_locz00_9675);
																																																										}
																																																										{	/* Ast/sexp.scm 329 */
																																																											obj_t
																																																												BgL_cddlocz00_9677;
																																																											{	/* Ast/sexp.scm 330 */
																																																												obj_t
																																																													BgL_arg7411z00_9690;
																																																												{	/* Ast/sexp.scm 330 */
																																																													obj_t
																																																														BgL_pairz00_11134;
																																																													BgL_pairz00_11134
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_arg7411z00_9690
																																																														=
																																																														CDR
																																																														(BgL_pairz00_11134);
																																																												}
																																																												BgL_cddlocz00_9677
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_arg7411z00_9690,
																																																													BgL_locz00_9675);
																																																											}
																																																											{	/* Ast/sexp.scm 330 */
																																																												obj_t
																																																													BgL_valzd2loczd2_9678;
																																																												BgL_valzd2loczd2_9678
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_valz00_9661,
																																																													BgL_cddlocz00_9677);
																																																												{	/* Ast/sexp.scm 331 */
																																																													BgL_nodez00_bglt
																																																														BgL_valz00_9679;
																																																													BgL_valz00_9679
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_valz00_9661,
																																																														BgL_stackz00_22,
																																																														BgL_valzd2loczd2_9678,
																																																														CNST_TABLE_REF
																																																														(((long) 2)));
																																																													{	/* Ast/sexp.scm 332 */

																																																														{	/* Ast/sexp.scm 333 */
																																																															BgL_nodez00_bglt
																																																																BgL_astz00_9680;
																																																															BgL_astz00_9680
																																																																=
																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																(BgL_varz00_9660,
																																																																BgL_stackz00_22,
																																																																BgL_cdlocz00_9676,
																																																																CNST_TABLE_REF
																																																																(((long) 2)));
																																																															{	/* Ast/sexp.scm 334 */
																																																																bool_t
																																																																	BgL_test8223z00_16663;
																																																																{	/* Ast/sexp.scm 334 */
																																																																	bool_t
																																																																		BgL_test8224z00_16664;
																																																																	{	/* Ast/sexp.scm 334 */
																																																																		obj_t
																																																																			BgL_classz00_11135;
																																																																		BgL_classz00_11135
																																																																			=
																																																																			BGl_varz00zzast_nodez00;
																																																																		{	/* Ast/sexp.scm 334 */
																																																																			BgL_objectz00_bglt
																																																																				BgL_arg1820z00_11137;
																																																																			{	/* Ast/sexp.scm 334 */
																																																																				obj_t
																																																																					BgL_tmpz00_16665;
																																																																				BgL_tmpz00_16665
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					((BgL_objectz00_bglt) BgL_astz00_9680));
																																																																				BgL_arg1820z00_11137
																																																																					=
																																																																					(BgL_objectz00_bglt)
																																																																					(BgL_tmpz00_16665);
																																																																			}
																																																																			if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																				{	/* Ast/sexp.scm 334 */
																																																																					long
																																																																						BgL_idxz00_11143;
																																																																					BgL_idxz00_11143
																																																																						=
																																																																						BGL_OBJECT_INHERITANCE_NUM
																																																																						(BgL_arg1820z00_11137);
																																																																					BgL_test8224z00_16664
																																																																						=
																																																																						(VECTOR_REF
																																																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																																																							(BgL_idxz00_11143
																																																																								+
																																																																								((long) 2))) == BgL_classz00_11135);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 334 */
																																																																					bool_t
																																																																						BgL_res7973z00_11165;
																																																																					{	/* Ast/sexp.scm 334 */
																																																																						obj_t
																																																																							BgL_oclassz00_11151;
																																																																						{	/* Ast/sexp.scm 334 */
																																																																							long
																																																																								BgL_arg1828z00_11157;
																																																																							{	/* Ast/sexp.scm 334 */
																																																																								long
																																																																									BgL_arg1829z00_11158;
																																																																								BgL_arg1829z00_11158
																																																																									=
																																																																									BGL_OBJECT_CLASS_NUM
																																																																									(BgL_arg1820z00_11137);
																																																																								BgL_arg1828z00_11157
																																																																									=
																																																																									(BgL_arg1829z00_11158
																																																																									-
																																																																									OBJECT_TYPE);
																																																																							}
																																																																							BgL_oclassz00_11151
																																																																								=
																																																																								VECTOR_REF
																																																																								(BGl_za2classesza2z00zz__objectz00,
																																																																								BgL_arg1828z00_11157);
																																																																						}
																																																																						{	/* Ast/sexp.scm 334 */
																																																																							bool_t
																																																																								BgL__ortest_1111z00_11152;
																																																																							BgL__ortest_1111z00_11152
																																																																								=
																																																																								(BgL_classz00_11135
																																																																								==
																																																																								BgL_oclassz00_11151);
																																																																							if (BgL__ortest_1111z00_11152)
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									BgL_res7973z00_11165
																																																																										=
																																																																										BgL__ortest_1111z00_11152;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									long
																																																																										BgL_odepthz00_11153;
																																																																									BgL_odepthz00_11153
																																																																										=
																																																																										BGL_CLASS_DEPTH
																																																																										(BgL_oclassz00_11151);
																																																																									if ((((long) 2) < BgL_odepthz00_11153))
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											obj_t
																																																																												BgL_arg1816z00_11155;
																																																																											BgL_arg1816z00_11155
																																																																												=
																																																																												BGL_CLASS_ANCESTORS_REF
																																																																												(BgL_oclassz00_11151,
																																																																												((long) 2));
																																																																											BgL_res7973z00_11165
																																																																												=
																																																																												(BgL_arg1816z00_11155
																																																																												==
																																																																												BgL_classz00_11135);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											BgL_res7973z00_11165
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																					BgL_test8224z00_16664
																																																																						=
																																																																						BgL_res7973z00_11165;
																																																																				}
																																																																		}
																																																																	}
																																																																	if (BgL_test8224z00_16664)
																																																																		{	/* Ast/sexp.scm 334 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg7410z00_9689;
																																																																			BgL_arg7410z00_9689
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_9680)))->BgL_variablez00);
																																																																			{	/* Ast/sexp.scm 334 */
																																																																				obj_t
																																																																					BgL_classz00_11167;
																																																																				BgL_classz00_11167
																																																																					=
																																																																					BGl_globalz00zzast_varz00;
																																																																				{	/* Ast/sexp.scm 334 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_arg1820z00_11169;
																																																																					{	/* Ast/sexp.scm 334 */
																																																																						obj_t
																																																																							BgL_tmpz00_16687;
																																																																						BgL_tmpz00_16687
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							((BgL_objectz00_bglt) BgL_arg7410z00_9689));
																																																																						BgL_arg1820z00_11169
																																																																							=
																																																																							(BgL_objectz00_bglt)
																																																																							(BgL_tmpz00_16687);
																																																																					}
																																																																					if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																						{	/* Ast/sexp.scm 334 */
																																																																							long
																																																																								BgL_idxz00_11175;
																																																																							BgL_idxz00_11175
																																																																								=
																																																																								BGL_OBJECT_INHERITANCE_NUM
																																																																								(BgL_arg1820z00_11169);
																																																																							BgL_test8223z00_16663
																																																																								=
																																																																								(VECTOR_REF
																																																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																																																									(BgL_idxz00_11175
																																																																										+
																																																																										((long) 2))) == BgL_classz00_11167);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 334 */
																																																																							bool_t
																																																																								BgL_res7974z00_11197;
																																																																							{	/* Ast/sexp.scm 334 */
																																																																								obj_t
																																																																									BgL_oclassz00_11183;
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									long
																																																																										BgL_arg1828z00_11189;
																																																																									{	/* Ast/sexp.scm 334 */
																																																																										long
																																																																											BgL_arg1829z00_11190;
																																																																										BgL_arg1829z00_11190
																																																																											=
																																																																											BGL_OBJECT_CLASS_NUM
																																																																											(BgL_arg1820z00_11169);
																																																																										BgL_arg1828z00_11189
																																																																											=
																																																																											(BgL_arg1829z00_11190
																																																																											-
																																																																											OBJECT_TYPE);
																																																																									}
																																																																									BgL_oclassz00_11183
																																																																										=
																																																																										VECTOR_REF
																																																																										(BGl_za2classesza2z00zz__objectz00,
																																																																										BgL_arg1828z00_11189);
																																																																								}
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									bool_t
																																																																										BgL__ortest_1111z00_11184;
																																																																									BgL__ortest_1111z00_11184
																																																																										=
																																																																										(BgL_classz00_11167
																																																																										==
																																																																										BgL_oclassz00_11183);
																																																																									if (BgL__ortest_1111z00_11184)
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											BgL_res7974z00_11197
																																																																												=
																																																																												BgL__ortest_1111z00_11184;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											long
																																																																												BgL_odepthz00_11185;
																																																																											BgL_odepthz00_11185
																																																																												=
																																																																												BGL_CLASS_DEPTH
																																																																												(BgL_oclassz00_11183);
																																																																											if ((((long) 2) < BgL_odepthz00_11185))
																																																																												{	/* Ast/sexp.scm 334 */
																																																																													obj_t
																																																																														BgL_arg1816z00_11187;
																																																																													BgL_arg1816z00_11187
																																																																														=
																																																																														BGL_CLASS_ANCESTORS_REF
																																																																														(BgL_oclassz00_11183,
																																																																														((long) 2));
																																																																													BgL_res7974z00_11197
																																																																														=
																																																																														(BgL_arg1816z00_11187
																																																																														==
																																																																														BgL_classz00_11167);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 334 */
																																																																													BgL_res7974z00_11197
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																							BgL_test8223z00_16663
																																																																								=
																																																																								BgL_res7974z00_11197;
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 334 */
																																																																			BgL_test8223z00_16663
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																																if (BgL_test8223z00_16663)
																																																																	{	/* Ast/sexp.scm 334 */
																																																																		{	/* Ast/sexp.scm 336 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg7408z00_9684;
																																																																			BgL_arg7408z00_9684
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_9680)))->BgL_variablez00);
																																																																			((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_arg7408z00_9684)))->BgL_srcz00) = ((obj_t) ((obj_t) BgL_valz00_9679)), BUNSPEC);
																																																																		}
																																																																		{	/* Ast/sexp.scm 337 */
																																																																			BgL_setqz00_bglt
																																																																				BgL_new1137z00_9685;
																																																																			{	/* Ast/sexp.scm 338 */
																																																																				BgL_setqz00_bglt
																																																																					BgL_new1136z00_9686;
																																																																				BgL_new1136z00_9686
																																																																					=
																																																																					(
																																																																					(BgL_setqz00_bglt)
																																																																					BOBJECT
																																																																					(GC_MALLOC
																																																																						(sizeof
																																																																							(struct
																																																																								BgL_setqz00_bgl))));
																																																																				{	/* Ast/sexp.scm 338 */
																																																																					long
																																																																						BgL_arg7409z00_9687;
																																																																					BgL_arg7409z00_9687
																																																																						=
																																																																						BGL_CLASS_NUM
																																																																						(BGl_setqz00zzast_nodez00);
																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																						(
																																																																						((BgL_objectz00_bglt) BgL_new1136z00_9686), BgL_arg7409z00_9687);
																																																																				}
																																																																				{	/* Ast/sexp.scm 338 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_tmpz00_16716;
																																																																					BgL_tmpz00_16716
																																																																						=
																																																																						(
																																																																						(BgL_objectz00_bglt)
																																																																						BgL_new1136z00_9686);
																																																																					BGL_OBJECT_WIDENING_SET
																																																																						(BgL_tmpz00_16716,
																																																																						BFALSE);
																																																																				}
																																																																				((BgL_objectz00_bglt) BgL_new1136z00_9686);
																																																																				BgL_new1137z00_9685
																																																																					=
																																																																					BgL_new1136z00_9686;
																																																																			}
																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1137z00_9685)))->BgL_locz00) = ((obj_t) BgL_locz00_9675), BUNSPEC);
																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1137z00_9685)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																																			((((BgL_setqz00_bglt) COBJECT(BgL_new1137z00_9685))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_9680)), BUNSPEC);
																																																																			((((BgL_setqz00_bglt) COBJECT(BgL_new1137z00_9685))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_9679), BUNSPEC);
																																																																			BgL_auxz00_16637
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_new1137z00_9685);
																																																																	}}
																																																																else
																																																																	{	/* Ast/sexp.scm 342 */
																																																																		BgL_nodez00_bglt
																																																																			BgL_res7975z00_11209;
																																																																		{	/* Ast/sexp.scm 735 */
																																																																			obj_t
																																																																				BgL_arg7725z00_11205;
																																																																			BgL_nodez00_bglt
																																																																				BgL_arg7726z00_11206;
																																																																			BgL_arg7725z00_11205
																																																																				=
																																																																				BGl_shapez00zztools_shapez00
																																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																																				());
																																																																			BgL_arg7726z00_11206
																																																																				=
																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																				(CNST_TABLE_REF
																																																																				(((long) 4)), BNIL, BgL_locz00_9675, CNST_TABLE_REF(((long) 2)));
																																																																			{	/* Ast/sexp.scm 734 */
																																																																				obj_t
																																																																					BgL_list7727z00_11208;
																																																																				BgL_list7727z00_11208
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(
																																																																					((obj_t) BgL_arg7726z00_11206), BNIL);
																																																																				BgL_res7975z00_11209
																																																																					=
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																					(BgL_locz00_9675,
																																																																						BgL_arg7725z00_11205,
																																																																						BGl_string8030z00zzast_sexpz00,
																																																																						BgL_expz00_21,
																																																																						BgL_list7727z00_11208));
																																																																		}}
																																																																		BgL_auxz00_16637
																																																																			=
																																																																			BgL_res7975z00_11209;
																																																							}}}}}}}}}}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																							BgL_tagzd275284zd2_9663:
																																																								{	/* Ast/sexp.scm 346 */
																																																									obj_t
																																																										BgL_arg7413z00_9692;
																																																									BgL_arg7413z00_9692
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_expz00_21,
																																																										BgL_locz00_23);
																																																									{	/* Ast/sexp.scm 345 */
																																																										BgL_nodez00_bglt
																																																											BgL_res7976z00_11215;
																																																										{	/* Ast/sexp.scm 735 */
																																																											obj_t
																																																												BgL_arg7725z00_11211;
																																																											BgL_nodez00_bglt
																																																												BgL_arg7726z00_11212;
																																																											BgL_arg7725z00_11211
																																																												=
																																																												BGl_shapez00zztools_shapez00
																																																												(BGl_currentzd2functionzd2zztools_errorz00
																																																												());
																																																											BgL_arg7726z00_11212
																																																												=
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																												(CNST_TABLE_REF
																																																												(((long) 4)), BNIL, BgL_arg7413z00_9692, CNST_TABLE_REF(((long) 2)));
																																																											{	/* Ast/sexp.scm 734 */
																																																												obj_t
																																																													BgL_list7727z00_11214;
																																																												BgL_list7727z00_11214
																																																													=
																																																													MAKE_YOUNG_PAIR
																																																													(
																																																													((obj_t) BgL_arg7726z00_11212), BNIL);
																																																												BgL_res7976z00_11215
																																																													=
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BGl_userzd2errorzf2locationz20zztools_errorz00
																																																													(BgL_arg7413z00_9692,
																																																														BgL_arg7725z00_11211,
																																																														BGl_string8029z00zzast_sexpz00,
																																																														BgL_expz00_21,
																																																														BgL_list7727z00_11214));
																																																										}}
																																																										BgL_auxz00_16637
																																																											=
																																																											BgL_res7976z00_11215;
																																																					}}}}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_tagzd275284zd2_9663;
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd275284zd2_9663;
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd275284zd2_9663;
																																																	}
																																															}
																																															BgL_auxz00_16271
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_16637);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd2709zd2_3131;
																																															BgL_cdrzd2709zd2_3131
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg2651z00_3134;
																																																	obj_t
																																																		BgL_arg2653z00_3135;
																																																	BgL_arg2651z00_3134
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd2709zd2_3131));
																																																	BgL_arg2653z00_3135
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd2709zd2_3131));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_16762;
																																																		BgL_bindingsz00_1790
																																																			=
																																																			BgL_arg2651z00_3134;
																																																		BgL_exprz00_1791
																																																			=
																																																			BgL_arg2653z00_3135;
																																																	BgL_tagzd2381zd2_1792:
																																																		{	/* Ast/sexp.scm 349 */
																																																			BgL_nodez00_bglt
																																																				BgL_expz00_9693;
																																																			BgL_expz00_9693
																																																				=
																																																				BGl_letzd2ze3nodez31zzast_letz00
																																																				(BgL_expz00_21,
																																																				BgL_stackz00_22,
																																																				BgL_locz00_23,
																																																				CNST_TABLE_REF
																																																				(((long) 2)));
																																																			{	/* Ast/sexp.scm 350 */
																																																				bool_t
																																																					BgL_test8232z00_16765;
																																																				{	/* Ast/sexp.scm 350 */
																																																					obj_t
																																																						BgL_classz00_11221;
																																																					BgL_classz00_11221
																																																						=
																																																						BGl_letzd2varzd2zzast_nodez00;
																																																					{	/* Ast/sexp.scm 350 */
																																																						BgL_objectz00_bglt
																																																							BgL_arg1820z00_11223;
																																																						{	/* Ast/sexp.scm 350 */
																																																							obj_t
																																																								BgL_tmpz00_16766;
																																																							BgL_tmpz00_16766
																																																								=
																																																								(
																																																								(obj_t)
																																																								((BgL_objectz00_bglt) BgL_expz00_9693));
																																																							BgL_arg1820z00_11223
																																																								=
																																																								(BgL_objectz00_bglt)
																																																								(BgL_tmpz00_16766);
																																																						}
																																																						if (BGL_CONDEXPAND_ISA_ARCH64())
																																																							{	/* Ast/sexp.scm 350 */
																																																								long
																																																									BgL_idxz00_11229;
																																																								BgL_idxz00_11229
																																																									=
																																																									BGL_OBJECT_INHERITANCE_NUM
																																																									(BgL_arg1820z00_11223);
																																																								BgL_test8232z00_16765
																																																									=
																																																									(VECTOR_REF
																																																									(BGl_za2inheritancesza2z00zz__objectz00,
																																																										(BgL_idxz00_11229
																																																											+
																																																											((long) 3))) == BgL_classz00_11221);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 350 */
																																																								bool_t
																																																									BgL_res7977z00_11251;
																																																								{	/* Ast/sexp.scm 350 */
																																																									obj_t
																																																										BgL_oclassz00_11237;
																																																									{	/* Ast/sexp.scm 350 */
																																																										long
																																																											BgL_arg1828z00_11243;
																																																										{	/* Ast/sexp.scm 350 */
																																																											long
																																																												BgL_arg1829z00_11244;
																																																											BgL_arg1829z00_11244
																																																												=
																																																												BGL_OBJECT_CLASS_NUM
																																																												(BgL_arg1820z00_11223);
																																																											BgL_arg1828z00_11243
																																																												=
																																																												(BgL_arg1829z00_11244
																																																												-
																																																												OBJECT_TYPE);
																																																										}
																																																										BgL_oclassz00_11237
																																																											=
																																																											VECTOR_REF
																																																											(BGl_za2classesza2z00zz__objectz00,
																																																											BgL_arg1828z00_11243);
																																																									}
																																																									{	/* Ast/sexp.scm 350 */
																																																										bool_t
																																																											BgL__ortest_1111z00_11238;
																																																										BgL__ortest_1111z00_11238
																																																											=
																																																											(BgL_classz00_11221
																																																											==
																																																											BgL_oclassz00_11237);
																																																										if (BgL__ortest_1111z00_11238)
																																																											{	/* Ast/sexp.scm 350 */
																																																												BgL_res7977z00_11251
																																																													=
																																																													BgL__ortest_1111z00_11238;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 350 */
																																																												long
																																																													BgL_odepthz00_11239;
																																																												BgL_odepthz00_11239
																																																													=
																																																													BGL_CLASS_DEPTH
																																																													(BgL_oclassz00_11237);
																																																												if ((((long) 3) < BgL_odepthz00_11239))
																																																													{	/* Ast/sexp.scm 350 */
																																																														obj_t
																																																															BgL_arg1816z00_11241;
																																																														BgL_arg1816z00_11241
																																																															=
																																																															BGL_CLASS_ANCESTORS_REF
																																																															(BgL_oclassz00_11237,
																																																															((long) 3));
																																																														BgL_res7977z00_11251
																																																															=
																																																															(BgL_arg1816z00_11241
																																																															==
																																																															BgL_classz00_11221);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 350 */
																																																														BgL_res7977z00_11251
																																																															=
																																																															(
																																																															(bool_t)
																																																															0);
																																																													}
																																																											}
																																																									}
																																																								}
																																																								BgL_test8232z00_16765
																																																									=
																																																									BgL_res7977z00_11251;
																																																							}
																																																					}
																																																				}
																																																				if (BgL_test8232z00_16765)
																																																					{	/* Ast/sexp.scm 350 */
																																																						((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_expz00_9693)))->BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																																																						BgL_auxz00_16762
																																																							=
																																																							BgL_expz00_9693;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 354 */
																																																						BgL_nodez00_bglt
																																																							BgL_res7978z00_11257;
																																																						{	/* Ast/sexp.scm 735 */
																																																							obj_t
																																																								BgL_arg7725z00_11253;
																																																							BgL_nodez00_bglt
																																																								BgL_arg7726z00_11254;
																																																							BgL_arg7725z00_11253
																																																								=
																																																								BGl_shapez00zztools_shapez00
																																																								(BGl_currentzd2functionzd2zztools_errorz00
																																																								());
																																																							BgL_arg7726z00_11254
																																																								=
																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																								(CNST_TABLE_REF
																																																								(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																							{	/* Ast/sexp.scm 734 */
																																																								obj_t
																																																									BgL_list7727z00_11256;
																																																								BgL_list7727z00_11256
																																																									=
																																																									MAKE_YOUNG_PAIR
																																																									(
																																																									((obj_t) BgL_arg7726z00_11254), BNIL);
																																																								BgL_res7978z00_11257
																																																									=
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BGl_userzd2errorzf2locationz20zztools_errorz00
																																																									(BgL_locz00_23,
																																																										BgL_arg7725z00_11253,
																																																										BGl_string8028z00zzast_sexpz00,
																																																										((obj_t) BgL_expz00_9693), BgL_list7727z00_11256));
																																																						}}
																																																						BgL_auxz00_16762
																																																							=
																																																							BgL_res7978z00_11257;
																																																		}}}
																																																		BgL_auxz00_16271
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_16762);
																																																}}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd2734zd2_3136;
																																																	BgL_carzd2734zd2_3136
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if (PAIRP(BgL_carzd2734zd2_3136))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd2737zd2_3138;
																																																			obj_t
																																																				BgL_cdrzd2738zd2_3139;
																																																			BgL_carzd2737zd2_3138
																																																				=
																																																				CAR
																																																				(BgL_carzd2734zd2_3136);
																																																			BgL_cdrzd2738zd2_3139
																																																				=
																																																				CDR
																																																				(BgL_carzd2734zd2_3136);
																																																			{

																																																				if ((BgL_carzd2737zd2_3138 == CNST_TABLE_REF(((long) 18))))
																																																					{	/* Ast/sexp.scm 119 */
																																																					BgL_kapzd2739zd2_3140:
																																																						if (PAIRP(BgL_cdrzd2738zd2_3139))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd2742zd2_3262;
																																																								BgL_cdrzd2742zd2_3262
																																																									=
																																																									CDR
																																																									(BgL_cdrzd2738zd2_3139);
																																																								if (PAIRP(BgL_cdrzd2742zd2_3262))
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (NULLP(CDR(BgL_cdrzd2742zd2_3262)))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg2737z00_3266;
																																																												obj_t
																																																													BgL_arg2738z00_3267;
																																																												BgL_arg2737z00_3266
																																																													=
																																																													CAR
																																																													(BgL_cdrzd2742zd2_3262);
																																																												BgL_arg2738z00_3267
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_16819;
																																																													BgL_bodyz00_1793
																																																														=
																																																														BgL_arg2737z00_3266;
																																																													BgL_argsz00_1794
																																																														=
																																																														BgL_arg2738z00_3267;
																																																												BgL_tagzd2382zd2_1795:
																																																													{	/* Ast/sexp.scm 358 */
																																																														obj_t
																																																															BgL_letzd2partzd2_9696;
																																																														BgL_letzd2partzd2_9696
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 358 */
																																																															obj_t
																																																																BgL_nexpz00_9697;
																																																															{	/* Ast/sexp.scm 359 */
																																																																obj_t
																																																																	BgL_arg7415z00_9698;
																																																																obj_t
																																																																	BgL_arg7416z00_9699;
																																																																BgL_arg7415z00_9698
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_letzd2partzd2_9696));
																																																																{	/* Ast/sexp.scm 359 */
																																																																	obj_t
																																																																		BgL_arg7417z00_9700;
																																																																	obj_t
																																																																		BgL_arg7418z00_9701;
																																																																	{	/* Ast/sexp.scm 359 */
																																																																		obj_t
																																																																			BgL_pairz00_11263;
																																																																		BgL_pairz00_11263
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_letzd2partzd2_9696));
																																																																		BgL_arg7417z00_9700
																																																																			=
																																																																			CAR
																																																																			(BgL_pairz00_11263);
																																																																	}
																																																																	{	/* Ast/sexp.scm 359 */
																																																																		obj_t
																																																																			BgL_arg7419z00_9702;
																																																																		BgL_arg7419z00_9702
																																																																			=
																																																																			MAKE_YOUNG_PAIR
																																																																			(BgL_bodyz00_1793,
																																																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																			(BgL_argsz00_1794,
																																																																				BNIL));
																																																																		BgL_arg7418z00_9701
																																																																			=
																																																																			MAKE_YOUNG_PAIR
																																																																			(BgL_arg7419z00_9702,
																																																																			BNIL);
																																																																	}
																																																																	BgL_arg7416z00_9699
																																																																		=
																																																																		MAKE_YOUNG_PAIR
																																																																		(BgL_arg7417z00_9700,
																																																																		BgL_arg7418z00_9701);
																																																																}
																																																																BgL_nexpz00_9697
																																																																	=
																																																																	MAKE_YOUNG_PAIR
																																																																	(BgL_arg7415z00_9698,
																																																																	BgL_arg7416z00_9699);
																																																															}
																																																															{	/* Ast/sexp.scm 359 */

																																																																BgL_auxz00_16819
																																																																	=
																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																	(BgL_nexpz00_9697,
																																																																	BgL_stackz00_22,
																																																																	BgL_locz00_23,
																																																																	BgL_sitez00_24);
																																																															}
																																																														}
																																																													}
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_16819);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd2766zd2_3268;
																																																												BgL_cdrzd2766zd2_3268
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test8241z00_16836;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg2821z00_3379;
																																																														BgL_arg2821z00_3379
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test8241z00_16836
																																																															=
																																																															CBOOL
																																																															(BGl_letzd2symzf3z21zzast_letz00
																																																															(BgL_arg2821z00_3379));
																																																													}
																																																													if (BgL_test8241z00_16836)
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg2744z00_3271;
																																																															obj_t
																																																																BgL_arg2745z00_3272;
																																																															BgL_arg2744z00_3271
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd2766zd2_3268));
																																																															BgL_arg2745z00_3272
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd2766zd2_3268));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_16845;
																																																																BgL_bindingsz00_1796
																																																																	=
																																																																	BgL_arg2744z00_3271;
																																																																BgL_exprz00_1797
																																																																	=
																																																																	BgL_arg2745z00_3272;
																																																															BgL_tagzd2383zd2_1798:
																																																																{	/* Ast/sexp.scm 363 */
																																																																	bool_t
																																																																		BgL_test8242z00_16846;
																																																																	if (PAIRP(BgL_bindingsz00_1796))
																																																																		{	/* Ast/sexp.scm 363 */
																																																																			if (NULLP(CDR(BgL_bindingsz00_1796)))
																																																																				{	/* Ast/sexp.scm 363 */
																																																																					if (PAIRP(BgL_exprz00_1797))
																																																																						{	/* Ast/sexp.scm 364 */
																																																																							BgL_test8242z00_16846
																																																																								=
																																																																								NULLP
																																																																								(CDR
																																																																								(BgL_exprz00_1797));
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 364 */
																																																																							BgL_test8242z00_16846
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 363 */
																																																																					BgL_test8242z00_16846
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 363 */
																																																																			BgL_test8242z00_16846
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																	if (BgL_test8242z00_16846)
																																																																		{
																																																																			obj_t
																																																																				BgL_varz00_9711;
																																																																			obj_t
																																																																				BgL_exprz00_9712;
																																																																			obj_t
																																																																				BgL_idz00_9713;
																																																																			obj_t
																																																																				BgL_thenz00_9714;
																																																																			obj_t
																																																																				BgL_otherwisez00_9715;
																																																																			if (PAIRP(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 365 */
																																																																					obj_t
																																																																						BgL_cdrzd275314zd2_9719;
																																																																					BgL_cdrzd275314zd2_9719
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					if (PAIRP(BgL_cdrzd275314zd2_9719))
																																																																						{	/* Ast/sexp.scm 365 */
																																																																							obj_t
																																																																								BgL_carzd275320zd2_9721;
																																																																							obj_t
																																																																								BgL_cdrzd275321zd2_9722;
																																																																							BgL_carzd275320zd2_9721
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd275314zd2_9719);
																																																																							BgL_cdrzd275321zd2_9722
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd275314zd2_9719);
																																																																							if (PAIRP(BgL_carzd275320zd2_9721))
																																																																								{	/* Ast/sexp.scm 365 */
																																																																									obj_t
																																																																										BgL_carzd275324zd2_9724;
																																																																									BgL_carzd275324zd2_9724
																																																																										=
																																																																										CAR
																																																																										(BgL_carzd275320zd2_9721);
																																																																									if (PAIRP(BgL_carzd275324zd2_9724))
																																																																										{	/* Ast/sexp.scm 365 */
																																																																											obj_t
																																																																												BgL_cdrzd275329zd2_9726;
																																																																											BgL_cdrzd275329zd2_9726
																																																																												=
																																																																												CDR
																																																																												(BgL_carzd275324zd2_9724);
																																																																											if (PAIRP(BgL_cdrzd275329zd2_9726))
																																																																												{	/* Ast/sexp.scm 365 */
																																																																													if (NULLP(CDR(BgL_cdrzd275329zd2_9726)))
																																																																														{	/* Ast/sexp.scm 365 */
																																																																															if (NULLP(CDR(BgL_carzd275320zd2_9721)))
																																																																																{	/* Ast/sexp.scm 365 */
																																																																																	if (PAIRP(BgL_cdrzd275321zd2_9722))
																																																																																		{	/* Ast/sexp.scm 365 */
																																																																																			obj_t
																																																																																				BgL_carzd275338zd2_9733;
																																																																																			BgL_carzd275338zd2_9733
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd275321zd2_9722);
																																																																																			if (PAIRP(BgL_carzd275338zd2_9733))
																																																																																				{	/* Ast/sexp.scm 365 */
																																																																																					obj_t
																																																																																						BgL_cdrzd275344zd2_9735;
																																																																																					BgL_cdrzd275344zd2_9735
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_carzd275338zd2_9733);
																																																																																					if ((CAR(BgL_carzd275338zd2_9733) == CNST_TABLE_REF(((long) 1))))
																																																																																						{	/* Ast/sexp.scm 365 */
																																																																																							if (PAIRP(BgL_cdrzd275344zd2_9735))
																																																																																								{	/* Ast/sexp.scm 365 */
																																																																																									obj_t
																																																																																										BgL_carzd275348zd2_9739;
																																																																																									obj_t
																																																																																										BgL_cdrzd275349zd2_9740;
																																																																																									BgL_carzd275348zd2_9739
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_cdrzd275344zd2_9735);
																																																																																									BgL_cdrzd275349zd2_9740
																																																																																										=
																																																																																										CDR
																																																																																										(BgL_cdrzd275344zd2_9735);
																																																																																									if (SYMBOLP(BgL_carzd275348zd2_9739))
																																																																																										{	/* Ast/sexp.scm 365 */
																																																																																											if (PAIRP(BgL_cdrzd275349zd2_9740))
																																																																																												{	/* Ast/sexp.scm 365 */
																																																																																													obj_t
																																																																																														BgL_cdrzd275356zd2_9743;
																																																																																													BgL_cdrzd275356zd2_9743
																																																																																														=
																																																																																														CDR
																																																																																														(BgL_cdrzd275349zd2_9740);
																																																																																													if (PAIRP(BgL_cdrzd275356zd2_9743))
																																																																																														{	/* Ast/sexp.scm 365 */
																																																																																															if (NULLP(CDR(BgL_cdrzd275356zd2_9743)))
																																																																																																{	/* Ast/sexp.scm 365 */
																																																																																																	if (NULLP(CDR(BgL_cdrzd275321zd2_9722)))
																																																																																																		{	/* Ast/sexp.scm 365 */
																																																																																																			BgL_varz00_9711
																																																																																																				=
																																																																																																				CAR
																																																																																																				(BgL_carzd275324zd2_9724);
																																																																																																			BgL_exprz00_9712
																																																																																																				=
																																																																																																				CAR
																																																																																																				(BgL_cdrzd275329zd2_9726);
																																																																																																			BgL_idz00_9713
																																																																																																				=
																																																																																																				BgL_carzd275348zd2_9739;
																																																																																																			BgL_thenz00_9714
																																																																																																				=
																																																																																																				CAR
																																																																																																				(BgL_cdrzd275349zd2_9740);
																																																																																																			BgL_otherwisez00_9715
																																																																																																				=
																																																																																																				CAR
																																																																																																				(BgL_cdrzd275356zd2_9743);
																																																																																																			{	/* Ast/sexp.scm 370 */
																																																																																																				obj_t
																																																																																																					BgL_ntz00_9758;
																																																																																																				BgL_ntz00_9758
																																																																																																					=
																																																																																																					BGl_notzd2testzd2zzast_sexpz00
																																																																																																					(BgL_exprz00_9712);
																																																																																																				{	/* Ast/sexp.scm 371 */
																																																																																																					bool_t
																																																																																																						BgL_test8262z00_16906;
																																																																																																					if (CBOOL(BgL_ntz00_9758))
																																																																																																						{	/* Ast/sexp.scm 371 */
																																																																																																							if (BGl_usedzd2inzf3z21zzast_sexpz00(BgL_idz00_9713, BgL_otherwisez00_9715))
																																																																																																								{	/* Ast/sexp.scm 372 */
																																																																																																									BgL_test8262z00_16906
																																																																																																										=
																																																																																																										(
																																																																																																										(bool_t)
																																																																																																										0);
																																																																																																								}
																																																																																																							else
																																																																																																								{	/* Ast/sexp.scm 372 */
																																																																																																									if (BGl_usedzd2inzf3z21zzast_sexpz00(BgL_idz00_9713, BgL_thenz00_9714))
																																																																																																										{	/* Ast/sexp.scm 373 */
																																																																																																											BgL_test8262z00_16906
																																																																																																												=
																																																																																																												(
																																																																																																												(bool_t)
																																																																																																												0);
																																																																																																										}
																																																																																																									else
																																																																																																										{	/* Ast/sexp.scm 373 */
																																																																																																											BgL_test8262z00_16906
																																																																																																												=
																																																																																																												(
																																																																																																												(bool_t)
																																																																																																												1);
																																																																																																										}
																																																																																																								}
																																																																																																						}
																																																																																																					else
																																																																																																						{	/* Ast/sexp.scm 371 */
																																																																																																							BgL_test8262z00_16906
																																																																																																								=
																																																																																																								(
																																																																																																								(bool_t)
																																																																																																								0);
																																																																																																						}
																																																																																																					if (BgL_test8262z00_16906)
																																																																																																						{	/* Ast/sexp.scm 374 */
																																																																																																							obj_t
																																																																																																								BgL_bindingz00_9762;
																																																																																																							obj_t
																																																																																																								BgL_bodyz00_9763;
																																																																																																							BgL_bindingz00_9762
																																																																																																								=
																																																																																																								CAR
																																																																																																								(
																																																																																																								((obj_t) BgL_bindingsz00_1796));
																																																																																																							{	/* Ast/sexp.scm 375 */
																																																																																																								obj_t
																																																																																																									BgL_pairz00_11272;
																																																																																																								{	/* Ast/sexp.scm 375 */
																																																																																																									obj_t
																																																																																																										BgL_pairz00_11271;
																																																																																																									BgL_pairz00_11271
																																																																																																										=
																																																																																																										CDR
																																																																																																										(
																																																																																																										((obj_t) BgL_expz00_21));
																																																																																																									BgL_pairz00_11272
																																																																																																										=
																																																																																																										CDR
																																																																																																										(BgL_pairz00_11271);
																																																																																																								}
																																																																																																								BgL_bodyz00_9763
																																																																																																									=
																																																																																																									CAR
																																																																																																									(BgL_pairz00_11272);
																																																																																																							}
																																																																																																							{	/* Ast/sexp.scm 376 */
																																																																																																								obj_t
																																																																																																									BgL_arg7460z00_9764;
																																																																																																								BgL_arg7460z00_9764
																																																																																																									=
																																																																																																									CDR
																																																																																																									(
																																																																																																									((obj_t) BgL_bindingz00_9762));
																																																																																																								{	/* Ast/sexp.scm 376 */
																																																																																																									obj_t
																																																																																																										BgL_tmpz00_16921;
																																																																																																									BgL_tmpz00_16921
																																																																																																										=
																																																																																																										(
																																																																																																										(obj_t)
																																																																																																										BgL_arg7460z00_9764);
																																																																																																									SET_CAR
																																																																																																										(BgL_tmpz00_16921,
																																																																																																										BgL_ntz00_9758);
																																																																																																								}
																																																																																																							}
																																																																																																							{	/* Ast/sexp.scm 377 */
																																																																																																								obj_t
																																																																																																									BgL_arg7461z00_9765;
																																																																																																								{	/* Ast/sexp.scm 377 */
																																																																																																									obj_t
																																																																																																										BgL_pairz00_11278;
																																																																																																									BgL_pairz00_11278
																																																																																																										=
																																																																																																										CDR
																																																																																																										(
																																																																																																										((obj_t) BgL_bodyz00_9763));
																																																																																																									BgL_arg7461z00_9765
																																																																																																										=
																																																																																																										CDR
																																																																																																										(BgL_pairz00_11278);
																																																																																																								}
																																																																																																								{	/* Ast/sexp.scm 377 */
																																																																																																									obj_t
																																																																																																										BgL_tmpz00_16927;
																																																																																																									BgL_tmpz00_16927
																																																																																																										=
																																																																																																										(
																																																																																																										(obj_t)
																																																																																																										BgL_arg7461z00_9765);
																																																																																																									SET_CAR
																																																																																																										(BgL_tmpz00_16927,
																																																																																																										BgL_otherwisez00_9715);
																																																																																																								}
																																																																																																							}
																																																																																																							{	/* Ast/sexp.scm 378 */
																																																																																																								obj_t
																																																																																																									BgL_arg7462z00_9766;
																																																																																																								{	/* Ast/sexp.scm 378 */
																																																																																																									obj_t
																																																																																																										BgL_pairz00_11285;
																																																																																																									{	/* Ast/sexp.scm 378 */
																																																																																																										obj_t
																																																																																																											BgL_pairz00_11284;
																																																																																																										BgL_pairz00_11284
																																																																																																											=
																																																																																																											CDR
																																																																																																											(
																																																																																																											((obj_t) BgL_bodyz00_9763));
																																																																																																										BgL_pairz00_11285
																																																																																																											=
																																																																																																											CDR
																																																																																																											(BgL_pairz00_11284);
																																																																																																									}
																																																																																																									BgL_arg7462z00_9766
																																																																																																										=
																																																																																																										CDR
																																																																																																										(BgL_pairz00_11285);
																																																																																																								}
																																																																																																								{	/* Ast/sexp.scm 378 */
																																																																																																									obj_t
																																																																																																										BgL_tmpz00_16934;
																																																																																																									BgL_tmpz00_16934
																																																																																																										=
																																																																																																										(
																																																																																																										(obj_t)
																																																																																																										BgL_arg7462z00_9766);
																																																																																																									SET_CAR
																																																																																																										(BgL_tmpz00_16934,
																																																																																																										BgL_thenz00_9714);
																																																																																																								}
																																																																																																							}
																																																																																																						}
																																																																																																					else
																																																																																																						{	/* Ast/sexp.scm 371 */
																																																																																																							BFALSE;
																																																																																																						}
																																																																																																				}
																																																																																																			}
																																																																																																		}
																																																																																																	else
																																																																																																		{	/* Ast/sexp.scm 365 */
																																																																																																			BFALSE;
																																																																																																		}
																																																																																																}
																																																																																															else
																																																																																																{	/* Ast/sexp.scm 365 */
																																																																																																	BFALSE;
																																																																																																}
																																																																																														}
																																																																																													else
																																																																																														{	/* Ast/sexp.scm 365 */
																																																																																															BFALSE;
																																																																																														}
																																																																																												}
																																																																																											else
																																																																																												{	/* Ast/sexp.scm 365 */
																																																																																													BFALSE;
																																																																																												}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 365 */
																																																																																											BFALSE;
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 365 */
																																																																																									BFALSE;
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 365 */
																																																																																							BFALSE;
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 365 */
																																																																																					BFALSE;
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 365 */
																																																																																			BFALSE;
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 365 */
																																																																																	BFALSE;
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 365 */
																																																																															BFALSE;
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 365 */
																																																																													BFALSE;
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 365 */
																																																																											BFALSE;
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 365 */
																																																																									BFALSE;
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 365 */
																																																																							BFALSE;
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 365 */
																																																																					BFALSE;
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 363 */
																																																																			BFALSE;
																																																																		}
																																																																}
																																																																BgL_auxz00_16845
																																																																	=
																																																																	BGl_letzd2ze3nodez31zzast_letz00
																																																																	(BgL_expz00_21,
																																																																	BgL_stackz00_22,
																																																																	BgL_locz00_23,
																																																																	CNST_TABLE_REF
																																																																	(((long) 2)));
																																																																BgL_auxz00_16271
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_16845);
																																																														}}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test8266z00_16944;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg2818z00_3378;
																																																																BgL_arg2818z00_3378
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_test8266z00_16944
																																																																	=
																																																																	CBOOL
																																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																																	(BgL_arg2818z00_3378));
																																																															}
																																																															if (BgL_test8266z00_16944)
																																																																{
																																																																	BgL_letzd2funzd2_bglt
																																																																		BgL_auxz00_16949;
																																																																BgL_tagzd2385zd2_1800:
																																																																	BgL_auxz00_16949 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																																	BgL_auxz00_16271
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_16949);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd2833zd2_3275;
																																																																	BgL_carzd2833zd2_3275
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd2838zd2_3276;
																																																																		BgL_cdrzd2838zd2_3276
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd2833zd2_3275));
																																																																		if ((CAR(((obj_t) BgL_carzd2833zd2_3275)) == CNST_TABLE_REF(((long) 3))))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg2752z00_3279;
																																																																				obj_t
																																																																					BgL_arg2753z00_3280;
																																																																				obj_t
																																																																					BgL_arg2755z00_3281;
																																																																				BgL_arg2752z00_3279
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd2838zd2_3276));
																																																																				BgL_arg2753z00_3280
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd2838zd2_3276));
																																																																				BgL_arg2755z00_3281
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_16968;
																																																																					BgL_varsz00_1805
																																																																						=
																																																																						BgL_arg2752z00_3279;
																																																																					BgL_bodyz00_1806
																																																																						=
																																																																						BgL_arg2753z00_3280;
																																																																					BgL_argsz00_1807
																																																																						=
																																																																						BgL_arg2755z00_3281;
																																																																				BgL_tagzd2387zd2_1808:
																																																																					{	/* Ast/sexp.scm 392 */
																																																																						obj_t
																																																																							BgL_locz00_9778;
																																																																						obj_t
																																																																							BgL_nexpz00_9779;
																																																																						BgL_locz00_9778
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(BgL_expz00_21,
																																																																							BgL_locz00_23);
																																																																						{	/* Ast/sexp.scm 393 */
																																																																							obj_t
																																																																								BgL_arg7467z00_9780;
																																																																							obj_t
																																																																								BgL_arg7468z00_9781;
																																																																							BgL_arg7467z00_9780
																																																																								=
																																																																								BGl_letzd2symzd2zzast_letz00
																																																																								();
																																																																							{	/* Ast/sexp.scm 396 */
																																																																								obj_t
																																																																									BgL_arg7469z00_9782;
																																																																								obj_t
																																																																									BgL_arg7470z00_9783;
																																																																								BgL_arg7469z00_9782
																																																																									=
																																																																									BGl_loopze70ze7zzast_sexpz00
																																																																									(BgL_expz00_21,
																																																																									BgL_locz00_23,
																																																																									BgL_varsz00_1805,
																																																																									BgL_argsz00_1807);
																																																																								{	/* Ast/sexp.scm 435 */
																																																																									obj_t
																																																																										BgL_arg7512z00_9833;
																																																																									{	/* Ast/sexp.scm 435 */
																																																																										obj_t
																																																																											BgL_arg7513z00_9834;
																																																																										obj_t
																																																																											BgL_arg7514z00_9835;
																																																																										BgL_arg7513z00_9834
																																																																											=
																																																																											BGl_shapez00zztools_shapez00
																																																																											(BGl_currentzd2functionzd2zztools_errorz00
																																																																											());
																																																																										BgL_arg7514z00_9835
																																																																											=
																																																																											BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																											(BgL_bodyz00_1806);
																																																																										{	/* Ast/sexp.scm 439 */
																																																																											obj_t
																																																																												BgL_zc3z04anonymousza37517ze3z87_15727;
																																																																											BgL_zc3z04anonymousza37517ze3z87_15727
																																																																												=
																																																																												MAKE_FX_PROCEDURE
																																																																												(BGl_z62zc3z04anonymousza37517ze3ze5zzast_sexpz00,
																																																																												(int)
																																																																												(((long) 3)), (int) (((long) 1)));
																																																																											PROCEDURE_SET
																																																																												(BgL_zc3z04anonymousza37517ze3z87_15727,
																																																																												(int)
																																																																												(((long) 0)), BgL_locz00_23);
																																																																											BgL_arg7512z00_9833
																																																																												=
																																																																												BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																																												(BgL_arg7513z00_9834,
																																																																												BgL_varsz00_1805,
																																																																												BgL_arg7514z00_9835,
																																																																												BgL_zc3z04anonymousza37517ze3z87_15727);
																																																																									}}
																																																																									BgL_arg7470z00_9783
																																																																										=
																																																																										MAKE_YOUNG_PAIR
																																																																										(BgL_arg7512z00_9833,
																																																																										BNIL);
																																																																								}
																																																																								BgL_arg7468z00_9781
																																																																									=
																																																																									MAKE_YOUNG_PAIR
																																																																									(BgL_arg7469z00_9782,
																																																																									BgL_arg7470z00_9783);
																																																																							}
																																																																							BgL_nexpz00_9779
																																																																								=
																																																																								MAKE_YOUNG_PAIR
																																																																								(BgL_arg7467z00_9780,
																																																																								BgL_arg7468z00_9781);
																																																																						}
																																																																						BgL_auxz00_16968
																																																																							=
																																																																							BGl_letzd2ze3nodez31zzast_letz00
																																																																							(BgL_nexpz00_9779,
																																																																							BgL_stackz00_22,
																																																																							BgL_locz00_9778,
																																																																							CNST_TABLE_REF
																																																																							(((long) 2)));
																																																																					}
																																																																					BgL_auxz00_16271
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_16968);
																																																																			}}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd2861zd2_3283;
																																																																				BgL_cdrzd2861zd2_3283
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd2867zd2_3284;
																																																																					BgL_cdrzd2867zd2_3284
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_carzd2833zd2_3275));
																																																																					if ((CAR(((obj_t) BgL_carzd2833zd2_3275)) == CNST_TABLE_REF(((long) 1))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd2873zd2_3287;
																																																																							BgL_cdrzd2873zd2_3287
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd2867zd2_3284));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd2878zd2_3288;
																																																																								obj_t
																																																																									BgL_cdrzd2879zd2_3289;
																																																																								BgL_carzd2878zd2_3288
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd2873zd2_3287));
																																																																								BgL_cdrzd2879zd2_3289
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd2873zd2_3287));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2878zd2_3288))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (PAIRP(BgL_cdrzd2879zd2_3289))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd2886zd2_3292;
																																																																												BgL_carzd2886zd2_3292
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd2879zd2_3289);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2886zd2_3292))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (NULLP(CDR(BgL_cdrzd2879zd2_3289)))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test8273z00_17012;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1380z00_3325;
																																																																																	BgL_l1380z00_3325
																																																																																		=
																																																																																		BgL_cdrzd2861zd2_3283;
																																																																																BgL_zc3z04anonymousza32781ze3z87_3326:
																																																																																	if (NULLP(BgL_l1380z00_3325))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test8273z00_17012
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test8275z00_17015;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				bool_t
																																																																																					BgL_test8276z00_17016;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_tmpz00_17017;
																																																																																					BgL_tmpz00_17017
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_l1380z00_3325));
																																																																																					BgL_test8276z00_17016
																																																																																						=
																																																																																						PAIRP
																																																																																						(BgL_tmpz00_17017);
																																																																																				}
																																																																																				if (BgL_test8276z00_17016)
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test8275z00_17015
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test8275z00_17015
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							1);
																																																																																					}
																																																																																			}
																																																																																			if (BgL_test8275z00_17015)
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_l1380z00_17021;
																																																																																					BgL_l1380z00_17021
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_l1380z00_3325));
																																																																																					BgL_l1380z00_3325
																																																																																						=
																																																																																						BgL_l1380z00_17021;
																																																																																					goto
																																																																																						BgL_zc3z04anonymousza32781ze3z87_3326;
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test8273z00_17012
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																		}
																																																																																}
																																																																																if (BgL_test8273z00_17012)
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg2771z00_3308;
																																																																																		BgL_arg2771z00_3308
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd2867zd2_3284));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17026;
																																																																																			BgL_testz00_1809
																																																																																				=
																																																																																				BgL_arg2771z00_3308;
																																																																																			BgL_proc1z00_1810
																																																																																				=
																																																																																				BgL_carzd2878zd2_3288;
																																																																																			BgL_proc2z00_1811
																																																																																				=
																																																																																				BgL_carzd2886zd2_3292;
																																																																																			BgL_argsz00_1812
																																																																																				=
																																																																																				BgL_cdrzd2861zd2_3283;
																																																																																		BgL_tagzd2388zd2_1813:
																																																																																			{	/* Ast/sexp.scm 446 */
																																																																																				obj_t
																																																																																					BgL_nexpz00_9844;
																																																																																				{	/* Ast/sexp.scm 446 */
																																																																																					obj_t
																																																																																						BgL_arg7520z00_9846;
																																																																																					{	/* Ast/sexp.scm 446 */
																																																																																						obj_t
																																																																																							BgL_arg7521z00_9847;
																																																																																						{	/* Ast/sexp.scm 446 */
																																																																																							obj_t
																																																																																								BgL_arg7522z00_9848;
																																																																																							obj_t
																																																																																								BgL_arg7523z00_9849;
																																																																																							BgL_arg7522z00_9848
																																																																																								=
																																																																																								MAKE_YOUNG_PAIR
																																																																																								(BgL_proc1z00_1810,
																																																																																								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																								(BgL_argsz00_1812,
																																																																																									BNIL));
																																																																																							{	/* Ast/sexp.scm 446 */
																																																																																								obj_t
																																																																																									BgL_arg7525z00_9851;
																																																																																								BgL_arg7525z00_9851
																																																																																									=
																																																																																									MAKE_YOUNG_PAIR
																																																																																									(BgL_proc2z00_1811,
																																																																																									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																									(BgL_argsz00_1812,
																																																																																										BNIL));
																																																																																								BgL_arg7523z00_9849
																																																																																									=
																																																																																									MAKE_YOUNG_PAIR
																																																																																									(BgL_arg7525z00_9851,
																																																																																									BNIL);
																																																																																							}
																																																																																							BgL_arg7521z00_9847
																																																																																								=
																																																																																								MAKE_YOUNG_PAIR
																																																																																								(BgL_arg7522z00_9848,
																																																																																								BgL_arg7523z00_9849);
																																																																																						}
																																																																																						BgL_arg7520z00_9846
																																																																																							=
																																																																																							MAKE_YOUNG_PAIR
																																																																																							(BgL_testz00_1809,
																																																																																							BgL_arg7521z00_9847);
																																																																																					}
																																																																																					BgL_nexpz00_9844
																																																																																						=
																																																																																						MAKE_YOUNG_PAIR
																																																																																						(CNST_TABLE_REF
																																																																																						(((long) 1)), BgL_arg7520z00_9846);
																																																																																				}
																																																																																				BgL_auxz00_17026
																																																																																					=
																																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																					(BgL_nexpz00_9844,
																																																																																					BgL_stackz00_22,
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(BgL_expz00_21,
																																																																																						BgL_locz00_23),
																																																																																					BgL_sitez00_24);
																																																																																			}
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17026);
																																																																																	}}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd2910zd2_3309;
																																																																																		BgL_cdrzd2910zd2_3309
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd2917zd2_3310;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_pairz00_11498;
																																																																																				BgL_pairz00_11498
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_expz00_21));
																																																																																				BgL_cdrzd2917zd2_3310
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_pairz00_11498);
																																																																																			}
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_cdrzd2924zd2_3311;
																																																																																				BgL_cdrzd2924zd2_3311
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd2917zd2_3310));
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_carzd2930zd2_3312;
																																																																																					BgL_carzd2930zd2_3312
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd2924zd2_3311));
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2930zd2_3312))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_carzd2937zd2_3314;
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_pairz00_11502;
																																																																																								BgL_pairz00_11502
																																																																																									=
																																																																																									CDR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd2924zd2_3311));
																																																																																								BgL_carzd2937zd2_3314
																																																																																									=
																																																																																									CAR
																																																																																									(BgL_pairz00_11502);
																																																																																							}
																																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2937zd2_3314))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd2910zd2_3309))
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											obj_t
																																																																																												BgL_arg2775z00_3317;
																																																																																											BgL_arg2775z00_3317
																																																																																												=
																																																																																												CAR
																																																																																												(
																																																																																												((obj_t) BgL_cdrzd2917zd2_3310));
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_17059;
																																																																																												BgL_testz00_1814
																																																																																													=
																																																																																													BgL_arg2775z00_3317;
																																																																																												BgL_proc1z00_1815
																																																																																													=
																																																																																													BgL_carzd2930zd2_3312;
																																																																																												BgL_proc2z00_1816
																																																																																													=
																																																																																													BgL_carzd2937zd2_3314;
																																																																																												BgL_argsz00_1817
																																																																																													=
																																																																																													BgL_cdrzd2910zd2_3309;
																																																																																											BgL_tagzd2389zd2_1818:
																																																																																												{	/* Ast/sexp.scm 452 */
																																																																																													obj_t
																																																																																														BgL_tmpsz00_9853;
																																																																																													if (NULLP(BgL_argsz00_1817))
																																																																																														{	/* Ast/sexp.scm 452 */
																																																																																															BgL_tmpsz00_9853
																																																																																																=
																																																																																																BNIL;
																																																																																														}
																																																																																													else
																																																																																														{	/* Ast/sexp.scm 452 */
																																																																																															obj_t
																																																																																																BgL_head1369z00_9897;
																																																																																															BgL_head1369z00_9897
																																																																																																=
																																																																																																MAKE_YOUNG_PAIR
																																																																																																(BNIL,
																																																																																																BNIL);
																																																																																															{
																																																																																																obj_t
																																																																																																	BgL_l1367z00_9899;
																																																																																																obj_t
																																																																																																	BgL_tail1370z00_9900;
																																																																																																BgL_l1367z00_9899
																																																																																																	=
																																																																																																	BgL_argsz00_1817;
																																																																																																BgL_tail1370z00_9900
																																																																																																	=
																																																																																																	BgL_head1369z00_9897;
																																																																																															BgL_zc3z04anonymousza37556ze3z87_9901:
																																																																																																if (NULLP(BgL_l1367z00_9899))
																																																																																																	{	/* Ast/sexp.scm 452 */
																																																																																																		BgL_tmpsz00_9853
																																																																																																			=
																																																																																																			CDR
																																																																																																			(BgL_head1369z00_9897);
																																																																																																	}
																																																																																																else
																																																																																																	{	/* Ast/sexp.scm 452 */
																																																																																																		obj_t
																																																																																																			BgL_newtail1371z00_9903;
																																																																																																		{	/* Ast/sexp.scm 452 */
																																																																																																			obj_t
																																																																																																				BgL_arg7559z00_9905;
																																																																																																			{	/* Ast/sexp.scm 452 */

																																																																																																				{	/* Ast/sexp.scm 452 */

																																																																																																					BgL_arg7559z00_9905
																																																																																																						=
																																																																																																						BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																																						(BFALSE);
																																																																																																				}
																																																																																																			}
																																																																																																			BgL_newtail1371z00_9903
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(BgL_arg7559z00_9905,
																																																																																																				BNIL);
																																																																																																		}
																																																																																																		SET_CDR
																																																																																																			(BgL_tail1370z00_9900,
																																																																																																			BgL_newtail1371z00_9903);
																																																																																																		{	/* Ast/sexp.scm 452 */
																																																																																																			obj_t
																																																																																																				BgL_arg7558z00_9904;
																																																																																																			BgL_arg7558z00_9904
																																																																																																				=
																																																																																																				CDR
																																																																																																				(
																																																																																																				((obj_t) BgL_l1367z00_9899));
																																																																																																			{
																																																																																																				obj_t
																																																																																																					BgL_tail1370z00_17072;
																																																																																																				obj_t
																																																																																																					BgL_l1367z00_17071;
																																																																																																				BgL_l1367z00_17071
																																																																																																					=
																																																																																																					BgL_arg7558z00_9904;
																																																																																																				BgL_tail1370z00_17072
																																																																																																					=
																																																																																																					BgL_newtail1371z00_9903;
																																																																																																				BgL_tail1370z00_9900
																																																																																																					=
																																																																																																					BgL_tail1370z00_17072;
																																																																																																				BgL_l1367z00_9899
																																																																																																					=
																																																																																																					BgL_l1367z00_17071;
																																																																																																				goto
																																																																																																					BgL_zc3z04anonymousza37556ze3z87_9901;
																																																																																																			}
																																																																																																		}
																																																																																																	}
																																																																																															}
																																																																																														}
																																																																																													{	/* Ast/sexp.scm 452 */
																																																																																														obj_t
																																																																																															BgL_locz00_9854;
																																																																																														BgL_locz00_9854
																																																																																															=
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_expz00_21,
																																																																																															BgL_locz00_23);
																																																																																														{	/* Ast/sexp.scm 453 */
																																																																																															obj_t
																																																																																																BgL_nexpz00_9855;
																																																																																															{	/* Ast/sexp.scm 454 */
																																																																																																obj_t
																																																																																																	BgL_arg7528z00_9857;
																																																																																																obj_t
																																																																																																	BgL_arg7529z00_9858;
																																																																																																BgL_arg7528z00_9857
																																																																																																	=
																																																																																																	BGl_letzd2symzd2zzast_letz00
																																																																																																	();
																																																																																																{	/* Ast/sexp.scm 454 */
																																																																																																	obj_t
																																																																																																		BgL_arg7530z00_9859;
																																																																																																	obj_t
																																																																																																		BgL_arg7531z00_9860;
																																																																																																	if (NULLP(BgL_tmpsz00_9853))
																																																																																																		{	/* Ast/sexp.scm 454 */
																																																																																																			BgL_arg7530z00_9859
																																																																																																				=
																																																																																																				BNIL;
																																																																																																		}
																																																																																																	else
																																																																																																		{	/* Ast/sexp.scm 454 */
																																																																																																			obj_t
																																																																																																				BgL_head1374z00_9864;
																																																																																																			{	/* Ast/sexp.scm 454 */
																																																																																																				obj_t
																																																																																																					BgL_arg7542z00_9882;
																																																																																																				{	/* Ast/sexp.scm 454 */
																																																																																																					obj_t
																																																																																																						BgL_arg7543z00_9883;
																																																																																																					obj_t
																																																																																																						BgL_arg7544z00_9884;
																																																																																																					BgL_arg7543z00_9883
																																																																																																						=
																																																																																																						CAR
																																																																																																						(
																																																																																																						((obj_t) BgL_tmpsz00_9853));
																																																																																																					BgL_arg7544z00_9884
																																																																																																						=
																																																																																																						CAR
																																																																																																						(
																																																																																																						((obj_t) BgL_argsz00_1817));
																																																																																																					{	/* Ast/sexp.scm 454 */
																																																																																																						obj_t
																																																																																																							BgL_list7545z00_9885;
																																																																																																						{	/* Ast/sexp.scm 454 */
																																																																																																							obj_t
																																																																																																								BgL_arg7546z00_9886;
																																																																																																							BgL_arg7546z00_9886
																																																																																																								=
																																																																																																								MAKE_YOUNG_PAIR
																																																																																																								(BgL_arg7544z00_9884,
																																																																																																								BNIL);
																																																																																																							BgL_list7545z00_9885
																																																																																																								=
																																																																																																								MAKE_YOUNG_PAIR
																																																																																																								(BgL_arg7543z00_9883,
																																																																																																								BgL_arg7546z00_9886);
																																																																																																						}
																																																																																																						BgL_arg7542z00_9882
																																																																																																							=
																																																																																																							BgL_list7545z00_9885;
																																																																																																					}
																																																																																																				}
																																																																																																				BgL_head1374z00_9864
																																																																																																					=
																																																																																																					MAKE_YOUNG_PAIR
																																																																																																					(BgL_arg7542z00_9882,
																																																																																																					BNIL);
																																																																																																			}
																																																																																																			{	/* Ast/sexp.scm 454 */
																																																																																																				obj_t
																																																																																																					BgL_g1378z00_9865;
																																																																																																				obj_t
																																																																																																					BgL_g1379z00_9866;
																																																																																																				BgL_g1378z00_9865
																																																																																																					=
																																																																																																					CDR
																																																																																																					(
																																																																																																					((obj_t) BgL_tmpsz00_9853));
																																																																																																				BgL_g1379z00_9866
																																																																																																					=
																																																																																																					CDR
																																																																																																					(
																																																																																																					((obj_t) BgL_argsz00_1817));
																																																																																																				{
																																																																																																					obj_t
																																																																																																						BgL_ll1372z00_9868;
																																																																																																					obj_t
																																																																																																						BgL_ll1373z00_9869;
																																																																																																					obj_t
																																																																																																						BgL_tail1375z00_9870;
																																																																																																					BgL_ll1372z00_9868
																																																																																																						=
																																																																																																						BgL_g1378z00_9865;
																																																																																																					BgL_ll1373z00_9869
																																																																																																						=
																																																																																																						BgL_g1379z00_9866;
																																																																																																					BgL_tail1375z00_9870
																																																																																																						=
																																																																																																						BgL_head1374z00_9864;
																																																																																																				BgL_zc3z04anonymousza37533ze3z87_9871:
																																																																																																					if (NULLP(BgL_ll1372z00_9868))
																																																																																																						{	/* Ast/sexp.scm 454 */
																																																																																																							BgL_arg7530z00_9859
																																																																																																								=
																																																																																																								BgL_head1374z00_9864;
																																																																																																						}
																																																																																																					else
																																																																																																						{	/* Ast/sexp.scm 454 */
																																																																																																							obj_t
																																																																																																								BgL_newtail1376z00_9873;
																																																																																																							{	/* Ast/sexp.scm 454 */
																																																																																																								obj_t
																																																																																																									BgL_arg7537z00_9876;
																																																																																																								{	/* Ast/sexp.scm 454 */
																																																																																																									obj_t
																																																																																																										BgL_arg7538z00_9877;
																																																																																																									obj_t
																																																																																																										BgL_arg7539z00_9878;
																																																																																																									BgL_arg7538z00_9877
																																																																																																										=
																																																																																																										CAR
																																																																																																										(
																																																																																																										((obj_t) BgL_ll1372z00_9868));
																																																																																																									BgL_arg7539z00_9878
																																																																																																										=
																																																																																																										CAR
																																																																																																										(
																																																																																																										((obj_t) BgL_ll1373z00_9869));
																																																																																																									{	/* Ast/sexp.scm 454 */
																																																																																																										obj_t
																																																																																																											BgL_list7540z00_9879;
																																																																																																										{	/* Ast/sexp.scm 454 */
																																																																																																											obj_t
																																																																																																												BgL_arg7541z00_9880;
																																																																																																											BgL_arg7541z00_9880
																																																																																																												=
																																																																																																												MAKE_YOUNG_PAIR
																																																																																																												(BgL_arg7539z00_9878,
																																																																																																												BNIL);
																																																																																																											BgL_list7540z00_9879
																																																																																																												=
																																																																																																												MAKE_YOUNG_PAIR
																																																																																																												(BgL_arg7538z00_9877,
																																																																																																												BgL_arg7541z00_9880);
																																																																																																										}
																																																																																																										BgL_arg7537z00_9876
																																																																																																											=
																																																																																																											BgL_list7540z00_9879;
																																																																																																									}
																																																																																																								}
																																																																																																								BgL_newtail1376z00_9873
																																																																																																									=
																																																																																																									MAKE_YOUNG_PAIR
																																																																																																									(BgL_arg7537z00_9876,
																																																																																																									BNIL);
																																																																																																							}
																																																																																																							SET_CDR
																																																																																																								(BgL_tail1375z00_9870,
																																																																																																								BgL_newtail1376z00_9873);
																																																																																																							{	/* Ast/sexp.scm 454 */
																																																																																																								obj_t
																																																																																																									BgL_arg7535z00_9874;
																																																																																																								obj_t
																																																																																																									BgL_arg7536z00_9875;
																																																																																																								BgL_arg7535z00_9874
																																																																																																									=
																																																																																																									CDR
																																																																																																									(
																																																																																																									((obj_t) BgL_ll1372z00_9868));
																																																																																																								BgL_arg7536z00_9875
																																																																																																									=
																																																																																																									CDR
																																																																																																									(
																																																																																																									((obj_t) BgL_ll1373z00_9869));
																																																																																																								{
																																																																																																									obj_t
																																																																																																										BgL_tail1375z00_17104;
																																																																																																									obj_t
																																																																																																										BgL_ll1373z00_17103;
																																																																																																									obj_t
																																																																																																										BgL_ll1372z00_17102;
																																																																																																									BgL_ll1372z00_17102
																																																																																																										=
																																																																																																										BgL_arg7535z00_9874;
																																																																																																									BgL_ll1373z00_17103
																																																																																																										=
																																																																																																										BgL_arg7536z00_9875;
																																																																																																									BgL_tail1375z00_17104
																																																																																																										=
																																																																																																										BgL_newtail1376z00_9873;
																																																																																																									BgL_tail1375z00_9870
																																																																																																										=
																																																																																																										BgL_tail1375z00_17104;
																																																																																																									BgL_ll1373z00_9869
																																																																																																										=
																																																																																																										BgL_ll1373z00_17103;
																																																																																																									BgL_ll1372z00_9868
																																																																																																										=
																																																																																																										BgL_ll1372z00_17102;
																																																																																																									goto
																																																																																																										BgL_zc3z04anonymousza37533ze3z87_9871;
																																																																																																								}
																																																																																																							}
																																																																																																						}
																																																																																																				}
																																																																																																			}
																																																																																																		}
																																																																																																	{	/* Ast/sexp.scm 455 */
																																																																																																		obj_t
																																																																																																			BgL_arg7547z00_9887;
																																																																																																		{	/* Ast/sexp.scm 455 */
																																																																																																			obj_t
																																																																																																				BgL_arg7548z00_9888;
																																																																																																			{	/* Ast/sexp.scm 455 */
																																																																																																				obj_t
																																																																																																					BgL_arg7549z00_9889;
																																																																																																				{	/* Ast/sexp.scm 455 */
																																																																																																					obj_t
																																																																																																						BgL_arg7550z00_9890;
																																																																																																					obj_t
																																																																																																						BgL_arg7551z00_9891;
																																																																																																					BgL_arg7550z00_9890
																																																																																																						=
																																																																																																						MAKE_YOUNG_PAIR
																																																																																																						(BgL_proc1z00_1815,
																																																																																																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																																						(BgL_tmpsz00_9853,
																																																																																																							BNIL));
																																																																																																					{	/* Ast/sexp.scm 455 */
																																																																																																						obj_t
																																																																																																							BgL_arg7553z00_9893;
																																																																																																						BgL_arg7553z00_9893
																																																																																																							=
																																																																																																							MAKE_YOUNG_PAIR
																																																																																																							(BgL_proc2z00_1816,
																																																																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																																							(BgL_tmpsz00_9853,
																																																																																																								BNIL));
																																																																																																						BgL_arg7551z00_9891
																																																																																																							=
																																																																																																							MAKE_YOUNG_PAIR
																																																																																																							(BgL_arg7553z00_9893,
																																																																																																							BNIL);
																																																																																																					}
																																																																																																					BgL_arg7549z00_9889
																																																																																																						=
																																																																																																						MAKE_YOUNG_PAIR
																																																																																																						(BgL_arg7550z00_9890,
																																																																																																						BgL_arg7551z00_9891);
																																																																																																				}
																																																																																																				BgL_arg7548z00_9888
																																																																																																					=
																																																																																																					MAKE_YOUNG_PAIR
																																																																																																					(BgL_testz00_1814,
																																																																																																					BgL_arg7549z00_9889);
																																																																																																			}
																																																																																																			BgL_arg7547z00_9887
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(CNST_TABLE_REF
																																																																																																				(((long) 1)), BgL_arg7548z00_9888);
																																																																																																		}
																																																																																																		BgL_arg7531z00_9860
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BgL_arg7547z00_9887,
																																																																																																			BNIL);
																																																																																																	}
																																																																																																	BgL_arg7529z00_9858
																																																																																																		=
																																																																																																		MAKE_YOUNG_PAIR
																																																																																																		(BgL_arg7530z00_9859,
																																																																																																		BgL_arg7531z00_9860);
																																																																																																}
																																																																																																BgL_nexpz00_9855
																																																																																																	=
																																																																																																	MAKE_YOUNG_PAIR
																																																																																																	(BgL_arg7528z00_9857,
																																																																																																	BgL_arg7529z00_9858);
																																																																																															}
																																																																																															{	/* Ast/sexp.scm 454 */

																																																																																																BgL_auxz00_17059
																																																																																																	=
																																																																																																	BGl_letzd2ze3nodez31zzast_letz00
																																																																																																	(BgL_nexpz00_9855,
																																																																																																	BgL_stackz00_22,
																																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																																	(BgL_expz00_21,
																																																																																																		BgL_locz00_9854),
																																																																																																	BgL_sitez00_24);
																																																																																												}}}}
																																																																																												BgL_auxz00_16271
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_17059);
																																																																																										}}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																												{	/* Ast/sexp.scm 119 */
																																																																																												BgL_tagzd2404zd2_1842:
																																																																																													BgL_auxz00_16271 = BGl_privatezd2nodezd2zzast_privatez00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																												}
																																																																																											else
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_17123;
																																																																																												BgL_tagzd2405zd2_1843:
																																																																																													BgL_auxz00_17123 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																													BgL_auxz00_16271
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_17123);
																																																																																												}
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1842;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_17128;
																																																																																											goto
																																																																																												BgL_tagzd2405zd2_1843;
																																																																																											BgL_auxz00_16271
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_17128);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1842;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_17132;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1843;
																																																																																									BgL_auxz00_16271
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_17132);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_17136;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																		BgL_auxz00_16271
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_17136);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd21213zd2_3336;
																																																																														BgL_cdrzd21213zd2_3336
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd21219zd2_3337;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_11506;
																																																																																BgL_pairz00_11506
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd21219zd2_3337
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_11506);
																																																																															}
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd21225zd2_3338;
																																																																																BgL_cdrzd21225zd2_3338
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd21219zd2_3337));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd21230zd2_3339;
																																																																																	obj_t
																																																																																		BgL_cdrzd21231zd2_3340;
																																																																																	BgL_carzd21230zd2_3339
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd21225zd2_3338));
																																																																																	BgL_cdrzd21231zd2_3340
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd21225zd2_3338));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21230zd2_3339))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd21236zd2_3342;
																																																																																			BgL_carzd21236zd2_3342
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd21231zd2_3340));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21236zd2_3342))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (NULLP(CDR(((obj_t) BgL_cdrzd21231zd2_3340))))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21213zd2_3336))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_arg2790z00_3347;
																																																																																									BgL_arg2790z00_3347
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd21219zd2_3337));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_17163;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_17167;
																																																																																											obj_t
																																																																																												BgL_proc2z00_17166;
																																																																																											obj_t
																																																																																												BgL_proc1z00_17165;
																																																																																											obj_t
																																																																																												BgL_testz00_17164;
																																																																																											BgL_testz00_17164
																																																																																												=
																																																																																												BgL_arg2790z00_3347;
																																																																																											BgL_proc1z00_17165
																																																																																												=
																																																																																												BgL_carzd21230zd2_3339;
																																																																																											BgL_proc2z00_17166
																																																																																												=
																																																																																												BgL_carzd21236zd2_3342;
																																																																																											BgL_argsz00_17167
																																																																																												=
																																																																																												BgL_cdrzd21213zd2_3336;
																																																																																											BgL_argsz00_1817
																																																																																												=
																																																																																												BgL_argsz00_17167;
																																																																																											BgL_proc2z00_1816
																																																																																												=
																																																																																												BgL_proc2z00_17166;
																																																																																											BgL_proc1z00_1815
																																																																																												=
																																																																																												BgL_proc1z00_17165;
																																																																																											BgL_testz00_1814
																																																																																												=
																																																																																												BgL_testz00_17164;
																																																																																											goto
																																																																																												BgL_tagzd2389zd2_1818;
																																																																																										}
																																																																																										BgL_auxz00_16271
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_17163);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1842;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_17171;
																																																																																											goto
																																																																																												BgL_tagzd2405zd2_1843;
																																																																																											BgL_auxz00_16271
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_17171);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1842;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_17175;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1843;
																																																																																									BgL_auxz00_16271
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_17175);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_17179;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_17179);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_17183;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_17183);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_17187;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_16271
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_17187);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd21569zd2_3355;
																																																																										BgL_cdrzd21569zd2_3355
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd21576zd2_3356;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_11515;
																																																																												BgL_pairz00_11515
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd21576zd2_3356
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_11515);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd21583zd2_3357;
																																																																												BgL_cdrzd21583zd2_3357
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd21576zd2_3356));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd21589zd2_3358;
																																																																													obj_t
																																																																														BgL_cdrzd21590zd2_3359;
																																																																													BgL_carzd21589zd2_3358
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd21583zd2_3357));
																																																																													BgL_cdrzd21590zd2_3359
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd21583zd2_3357));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21589zd2_3358))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (PAIRP(BgL_cdrzd21590zd2_3359))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd21597zd2_3362;
																																																																																	BgL_carzd21597zd2_3362
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd21590zd2_3359);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21597zd2_3362))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (NULLP(CDR(BgL_cdrzd21590zd2_3359)))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21569zd2_3355))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg2806z00_3367;
																																																																																							BgL_arg2806z00_3367
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd21576zd2_3356));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_17214;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_17218;
																																																																																									obj_t
																																																																																										BgL_proc2z00_17217;
																																																																																									obj_t
																																																																																										BgL_proc1z00_17216;
																																																																																									obj_t
																																																																																										BgL_testz00_17215;
																																																																																									BgL_testz00_17215
																																																																																										=
																																																																																										BgL_arg2806z00_3367;
																																																																																									BgL_proc1z00_17216
																																																																																										=
																																																																																										BgL_carzd21589zd2_3358;
																																																																																									BgL_proc2z00_17217
																																																																																										=
																																																																																										BgL_carzd21597zd2_3362;
																																																																																									BgL_argsz00_17218
																																																																																										=
																																																																																										BgL_cdrzd21569zd2_3355;
																																																																																									BgL_argsz00_1817
																																																																																										=
																																																																																										BgL_argsz00_17218;
																																																																																									BgL_proc2z00_1816
																																																																																										=
																																																																																										BgL_proc2z00_17217;
																																																																																									BgL_proc1z00_1815
																																																																																										=
																																																																																										BgL_proc1z00_17216;
																																																																																									BgL_testz00_1814
																																																																																										=
																																																																																										BgL_testz00_17215;
																																																																																									goto
																																																																																										BgL_tagzd2389zd2_1818;
																																																																																								}
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_17214);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1842;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_17222;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1843;
																																																																																									BgL_auxz00_16271
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_17222);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_17226;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_17226);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_17230;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_17230);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17234;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17234);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17238;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17238);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17242;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17242);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd21990zd2_3381;
																																																										BgL_cdrzd21990zd2_3381
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8308z00_17246;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg2853z00_3398;
																																																												BgL_arg2853z00_3398
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8308z00_17246
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg2853z00_3398));
																																																											}
																																																											if (BgL_test8308z00_17246)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg2827z00_3384;
																																																													obj_t
																																																														BgL_arg2838z00_3385;
																																																													BgL_arg2827z00_3384
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd21990zd2_3381));
																																																													BgL_arg2838z00_3385
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd21990zd2_3381));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_17255;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_17257;
																																																															obj_t
																																																																BgL_bindingsz00_17256;
																																																															BgL_bindingsz00_17256
																																																																=
																																																																BgL_arg2827z00_3384;
																																																															BgL_exprz00_17257
																																																																=
																																																																BgL_arg2838z00_3385;
																																																															BgL_exprz00_1797
																																																																=
																																																																BgL_exprz00_17257;
																																																															BgL_bindingsz00_1796
																																																																=
																																																																BgL_bindingsz00_17256;
																																																															goto
																																																																BgL_tagzd2383zd2_1798;
																																																														}
																																																														BgL_auxz00_16271
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_17255);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test8309z00_17259;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg2852z00_3397;
																																																														BgL_arg2852z00_3397
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test8309z00_17259
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg2852z00_3397));
																																																													}
																																																													if (BgL_test8309z00_17259)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_17264;
																																																															goto
																																																																BgL_tagzd2385zd2_1800;
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17264);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd22056zd2_3388;
																																																															BgL_carzd22056zd2_3388
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd22061zd2_3389;
																																																																BgL_cdrzd22061zd2_3389
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd22056zd2_3388));
																																																																if ((CAR(((obj_t) BgL_carzd22056zd2_3388)) == CNST_TABLE_REF(((long) 3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg2843z00_3392;
																																																																		obj_t
																																																																			BgL_arg2845z00_3393;
																																																																		obj_t
																																																																			BgL_arg2849z00_3394;
																																																																		BgL_arg2843z00_3392
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd22061zd2_3389));
																																																																		BgL_arg2845z00_3393
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd22061zd2_3389));
																																																																		BgL_arg2849z00_3394
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17281;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_17284;
																																																																				obj_t
																																																																					BgL_bodyz00_17283;
																																																																				obj_t
																																																																					BgL_varsz00_17282;
																																																																				BgL_varsz00_17282
																																																																					=
																																																																					BgL_arg2843z00_3392;
																																																																				BgL_bodyz00_17283
																																																																					=
																																																																					BgL_arg2845z00_3393;
																																																																				BgL_argsz00_17284
																																																																					=
																																																																					BgL_arg2849z00_3394;
																																																																				BgL_argsz00_1807
																																																																					=
																																																																					BgL_argsz00_17284;
																																																																				BgL_bodyz00_1806
																																																																					=
																																																																					BgL_bodyz00_17283;
																																																																				BgL_varsz00_1805
																																																																					=
																																																																					BgL_varsz00_17282;
																																																																				goto
																																																																					BgL_tagzd2387zd2_1808;
																																																																			}
																																																																			BgL_auxz00_16271
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17281);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_17288;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_16271
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_17288);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd22172zd2_3399;
																																																								BgL_cdrzd22172zd2_3399
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8312z00_17292;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg2865z00_3408;
																																																										BgL_arg2865z00_3408
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8312z00_17292
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg2865z00_3408));
																																																									}
																																																									if (BgL_test8312z00_17292)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg2856z00_3402;
																																																											obj_t
																																																												BgL_arg2857z00_3403;
																																																											BgL_arg2856z00_3402
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd22172zd2_3399));
																																																											BgL_arg2857z00_3403
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd22172zd2_3399));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_17301;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_17303;
																																																													obj_t
																																																														BgL_bindingsz00_17302;
																																																													BgL_bindingsz00_17302
																																																														=
																																																														BgL_arg2856z00_3402;
																																																													BgL_exprz00_17303
																																																														=
																																																														BgL_arg2857z00_3403;
																																																													BgL_exprz00_1797
																																																														=
																																																														BgL_exprz00_17303;
																																																													BgL_bindingsz00_1796
																																																														=
																																																														BgL_bindingsz00_17302;
																																																													goto
																																																														BgL_tagzd2383zd2_1798;
																																																												}
																																																												BgL_auxz00_16271
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_17301);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8313z00_17305;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg2864z00_3407;
																																																												BgL_arg2864z00_3407
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8313z00_17305
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg2864z00_3407));
																																																											}
																																																											if (BgL_test8313z00_17305)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_17310;
																																																													goto
																																																														BgL_tagzd2385zd2_1800;
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17310);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_17314;
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17314);
																																																														}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd2737zd2_3138)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd2739zd2_3140;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((BgL_carzd2737zd2_3138 == CNST_TABLE_REF(((long) 19))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd2739zd2_3140;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if ((BgL_carzd2737zd2_3138 == CNST_TABLE_REF(((long) 20))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_kapzd2739zd2_3140;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd2737zd2_3138)))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_kapzd2739zd2_3140;
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd22344zd2_3143;
																																																														BgL_cdrzd22344zd2_3143
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test8319z00_17330;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg2732z00_3260;
																																																																BgL_arg2732z00_3260
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_test8319z00_17330
																																																																	=
																																																																	CBOOL
																																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																																	(BgL_arg2732z00_3260));
																																																															}
																																																															if (BgL_test8319z00_17330)
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg2659z00_3146;
																																																																	obj_t
																																																																		BgL_arg2660z00_3147;
																																																																	BgL_arg2659z00_3146
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd22344zd2_3143));
																																																																	BgL_arg2660z00_3147
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd22344zd2_3143));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_17339;
																																																																		{
																																																																			obj_t
																																																																				BgL_exprz00_17341;
																																																																			obj_t
																																																																				BgL_bindingsz00_17340;
																																																																			BgL_bindingsz00_17340
																																																																				=
																																																																				BgL_arg2659z00_3146;
																																																																			BgL_exprz00_17341
																																																																				=
																																																																				BgL_arg2660z00_3147;
																																																																			BgL_exprz00_1797
																																																																				=
																																																																				BgL_exprz00_17341;
																																																																			BgL_bindingsz00_1796
																																																																				=
																																																																				BgL_bindingsz00_17340;
																																																																			goto
																																																																				BgL_tagzd2383zd2_1798;
																																																																		}
																																																																		BgL_auxz00_16271
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_17339);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	bool_t
																																																																		BgL_test8320z00_17343;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg2731z00_3259;
																																																																		BgL_arg2731z00_3259
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_test8320z00_17343
																																																																			=
																																																																			CBOOL
																																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																																			(BgL_arg2731z00_3259));
																																																																	}
																																																																	if (BgL_test8320z00_17343)
																																																																		{
																																																																			BgL_letzd2funzd2_bglt
																																																																				BgL_auxz00_17348;
																																																																			goto
																																																																				BgL_tagzd2385zd2_1800;
																																																																			BgL_auxz00_16271
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17348);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd22410zd2_3150;
																																																																			BgL_carzd22410zd2_3150
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd22415zd2_3151;
																																																																				BgL_cdrzd22415zd2_3151
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_carzd22410zd2_3150));
																																																																				if ((CAR(((obj_t) BgL_carzd22410zd2_3150)) == CNST_TABLE_REF(((long) 3))))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (PAIRP(BgL_cdrzd22415zd2_3151))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg2666z00_3155;
																																																																								obj_t
																																																																									BgL_arg2667z00_3156;
																																																																								obj_t
																																																																									BgL_arg2668z00_3157;
																																																																								BgL_arg2666z00_3155
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd22415zd2_3151);
																																																																								BgL_arg2667z00_3156
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd22415zd2_3151);
																																																																								BgL_arg2668z00_3157
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17365;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_17368;
																																																																										obj_t
																																																																											BgL_bodyz00_17367;
																																																																										obj_t
																																																																											BgL_varsz00_17366;
																																																																										BgL_varsz00_17366
																																																																											=
																																																																											BgL_arg2666z00_3155;
																																																																										BgL_bodyz00_17367
																																																																											=
																																																																											BgL_arg2667z00_3156;
																																																																										BgL_argsz00_17368
																																																																											=
																																																																											BgL_arg2668z00_3157;
																																																																										BgL_argsz00_1807
																																																																											=
																																																																											BgL_argsz00_17368;
																																																																										BgL_bodyz00_1806
																																																																											=
																																																																											BgL_bodyz00_17367;
																																																																										BgL_varsz00_1805
																																																																											=
																																																																											BgL_varsz00_17366;
																																																																										goto
																																																																											BgL_tagzd2387zd2_1808;
																																																																									}
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17365);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_17372;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_16271
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_17372);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd22522zd2_3160;
																																																																						BgL_cdrzd22522zd2_3160
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd22527zd2_3161;
																																																																							BgL_cdrzd22527zd2_3161
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_carzd22410zd2_3150));
																																																																							if ((CAR(((obj_t) BgL_carzd22410zd2_3150)) == CNST_TABLE_REF(((long) 1))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd22527zd2_3161))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd22532zd2_3165;
																																																																											BgL_cdrzd22532zd2_3165
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd22527zd2_3161);
																																																																											if (PAIRP(BgL_cdrzd22532zd2_3165))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd22536zd2_3167;
																																																																													obj_t
																																																																														BgL_cdrzd22537zd2_3168;
																																																																													BgL_carzd22536zd2_3167
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd22532zd2_3165);
																																																																													BgL_cdrzd22537zd2_3168
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd22532zd2_3165);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22536zd2_3167))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (PAIRP(BgL_cdrzd22537zd2_3168))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd22542zd2_3171;
																																																																																	BgL_carzd22542zd2_3171
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd22537zd2_3168);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22542zd2_3171))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (NULLP(CDR(BgL_cdrzd22537zd2_3168)))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					bool_t
																																																																																						BgL_test8331z00_17400;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_l1383z00_3204;
																																																																																						BgL_l1383z00_3204
																																																																																							=
																																																																																							BgL_cdrzd22522zd2_3160;
																																																																																					BgL_zc3z04anonymousza32695ze3z87_3205:
																																																																																						if (NULLP(BgL_l1383z00_3204))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								BgL_test8331z00_17400
																																																																																									=
																																																																																									(
																																																																																									(bool_t)
																																																																																									1);
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								bool_t
																																																																																									BgL_test8333z00_17403;
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									bool_t
																																																																																										BgL_test8334z00_17404;
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_tmpz00_17405;
																																																																																										BgL_tmpz00_17405
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_l1383z00_3204));
																																																																																										BgL_test8334z00_17404
																																																																																											=
																																																																																											PAIRP
																																																																																											(BgL_tmpz00_17405);
																																																																																									}
																																																																																									if (BgL_test8334z00_17404)
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											BgL_test8333z00_17403
																																																																																												=
																																																																																												(
																																																																																												(bool_t)
																																																																																												0);
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											BgL_test8333z00_17403
																																																																																												=
																																																																																												(
																																																																																												(bool_t)
																																																																																												1);
																																																																																										}
																																																																																								}
																																																																																								if (BgL_test8333z00_17403)
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_l1383z00_17409;
																																																																																										BgL_l1383z00_17409
																																																																																											=
																																																																																											CDR
																																																																																											(
																																																																																											((obj_t) BgL_l1383z00_3204));
																																																																																										BgL_l1383z00_3204
																																																																																											=
																																																																																											BgL_l1383z00_17409;
																																																																																										goto
																																																																																											BgL_zc3z04anonymousza32695ze3z87_3205;
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										BgL_test8331z00_17400
																																																																																											=
																																																																																											(
																																																																																											(bool_t)
																																																																																											0);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																					if (BgL_test8331z00_17400)
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg2685z00_3187;
																																																																																							BgL_arg2685z00_3187
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_cdrzd22527zd2_3161);
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_17413;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_17417;
																																																																																									obj_t
																																																																																										BgL_proc2z00_17416;
																																																																																									obj_t
																																																																																										BgL_proc1z00_17415;
																																																																																									obj_t
																																																																																										BgL_testz00_17414;
																																																																																									BgL_testz00_17414
																																																																																										=
																																																																																										BgL_arg2685z00_3187;
																																																																																									BgL_proc1z00_17415
																																																																																										=
																																																																																										BgL_carzd22536zd2_3167;
																																																																																									BgL_proc2z00_17416
																																																																																										=
																																																																																										BgL_carzd22542zd2_3171;
																																																																																									BgL_argsz00_17417
																																																																																										=
																																																																																										BgL_cdrzd22522zd2_3160;
																																																																																									BgL_argsz00_1812
																																																																																										=
																																																																																										BgL_argsz00_17417;
																																																																																									BgL_proc2z00_1811
																																																																																										=
																																																																																										BgL_proc2z00_17416;
																																																																																									BgL_proc1z00_1810
																																																																																										=
																																																																																										BgL_proc1z00_17415;
																																																																																									BgL_testz00_1809
																																																																																										=
																																																																																										BgL_testz00_17414;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1813;
																																																																																								}
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_17413);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_cdrzd22567zd2_3188;
																																																																																							BgL_cdrzd22567zd2_3188
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_expz00_21));
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_cdrzd22575zd2_3189;
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_pairz00_11563;
																																																																																									BgL_pairz00_11563
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_expz00_21));
																																																																																									BgL_cdrzd22575zd2_3189
																																																																																										=
																																																																																										CDR
																																																																																										(BgL_pairz00_11563);
																																																																																								}
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_cdrzd22583zd2_3190;
																																																																																									BgL_cdrzd22583zd2_3190
																																																																																										=
																																																																																										CDR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd22575zd2_3189));
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_carzd22590zd2_3191;
																																																																																										BgL_carzd22590zd2_3191
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd22583zd2_3190));
																																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22590zd2_3191))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_carzd22599zd2_3193;
																																																																																												{	/* Ast/sexp.scm 119 */
																																																																																													obj_t
																																																																																														BgL_pairz00_11567;
																																																																																													BgL_pairz00_11567
																																																																																														=
																																																																																														CDR
																																																																																														(
																																																																																														((obj_t) BgL_cdrzd22583zd2_3190));
																																																																																													BgL_carzd22599zd2_3193
																																																																																														=
																																																																																														CAR
																																																																																														(BgL_pairz00_11567);
																																																																																												}
																																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22599zd2_3193))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22567zd2_3188))
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																obj_t
																																																																																																	BgL_arg2689z00_3196;
																																																																																																BgL_arg2689z00_3196
																																																																																																	=
																																																																																																	CAR
																																																																																																	(
																																																																																																	((obj_t) BgL_cdrzd22575zd2_3189));
																																																																																																{
																																																																																																	BgL_nodez00_bglt
																																																																																																		BgL_auxz00_17439;
																																																																																																	{
																																																																																																		obj_t
																																																																																																			BgL_argsz00_17443;
																																																																																																		obj_t
																																																																																																			BgL_proc2z00_17442;
																																																																																																		obj_t
																																																																																																			BgL_proc1z00_17441;
																																																																																																		obj_t
																																																																																																			BgL_testz00_17440;
																																																																																																		BgL_testz00_17440
																																																																																																			=
																																																																																																			BgL_arg2689z00_3196;
																																																																																																		BgL_proc1z00_17441
																																																																																																			=
																																																																																																			BgL_carzd22590zd2_3191;
																																																																																																		BgL_proc2z00_17442
																																																																																																			=
																																																																																																			BgL_carzd22599zd2_3193;
																																																																																																		BgL_argsz00_17443
																																																																																																			=
																																																																																																			BgL_cdrzd22567zd2_3188;
																																																																																																		BgL_argsz00_1817
																																																																																																			=
																																																																																																			BgL_argsz00_17443;
																																																																																																		BgL_proc2z00_1816
																																																																																																			=
																																																																																																			BgL_proc2z00_17442;
																																																																																																		BgL_proc1z00_1815
																																																																																																			=
																																																																																																			BgL_proc1z00_17441;
																																																																																																		BgL_testz00_1814
																																																																																																			=
																																																																																																			BgL_testz00_17440;
																																																																																																		goto
																																																																																																			BgL_tagzd2389zd2_1818;
																																																																																																	}
																																																																																																	BgL_auxz00_16271
																																																																																																		=
																																																																																																		(
																																																																																																		(obj_t)
																																																																																																		BgL_auxz00_17439);
																																																																																																}
																																																																																															}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																																		goto
																																																																																																			BgL_tagzd2404zd2_1842;
																																																																																																	}
																																																																																																else
																																																																																																	{
																																																																																																		BgL_nodez00_bglt
																																																																																																			BgL_auxz00_17447;
																																																																																																		goto
																																																																																																			BgL_tagzd2405zd2_1843;
																																																																																																		BgL_auxz00_16271
																																																																																																			=
																																																																																																			(
																																																																																																			(obj_t)
																																																																																																			BgL_auxz00_17447);
																																																																																																	}
																																																																																															}
																																																																																													}
																																																																																												else
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																goto
																																																																																																	BgL_tagzd2404zd2_1842;
																																																																																															}
																																																																																														else
																																																																																															{
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_auxz00_17451;
																																																																																																goto
																																																																																																	BgL_tagzd2405zd2_1843;
																																																																																																BgL_auxz00_16271
																																																																																																	=
																																																																																																	(
																																																																																																	(obj_t)
																																																																																																	BgL_auxz00_17451);
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1842;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_17455;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1843;
																																																																																														BgL_auxz00_16271
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_17455);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								}
																																																																																							}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_17459;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_17459);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd22877zd2_3215;
																																																																																			BgL_cdrzd22877zd2_3215
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_cdrzd22884zd2_3216;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_11571;
																																																																																					BgL_pairz00_11571
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdrzd22884zd2_3216
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_pairz00_11571);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd22891zd2_3217;
																																																																																					BgL_cdrzd22891zd2_3217
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd22884zd2_3216));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd22897zd2_3218;
																																																																																						obj_t
																																																																																							BgL_cdrzd22898zd2_3219;
																																																																																						BgL_carzd22897zd2_3218
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd22891zd2_3217));
																																																																																						BgL_cdrzd22898zd2_3219
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd22891zd2_3217));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22897zd2_3218))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd22905zd2_3221;
																																																																																								BgL_carzd22905zd2_3221
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd22898zd2_3219));
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22905zd2_3221))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd22898zd2_3219))))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22877zd2_3215))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														obj_t
																																																																																															BgL_arg2704z00_3226;
																																																																																														BgL_arg2704z00_3226
																																																																																															=
																																																																																															CAR
																																																																																															(
																																																																																															((obj_t) BgL_cdrzd22884zd2_3216));
																																																																																														{
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_auxz00_17486;
																																																																																															{
																																																																																																obj_t
																																																																																																	BgL_argsz00_17490;
																																																																																																obj_t
																																																																																																	BgL_proc2z00_17489;
																																																																																																obj_t
																																																																																																	BgL_proc1z00_17488;
																																																																																																obj_t
																																																																																																	BgL_testz00_17487;
																																																																																																BgL_testz00_17487
																																																																																																	=
																																																																																																	BgL_arg2704z00_3226;
																																																																																																BgL_proc1z00_17488
																																																																																																	=
																																																																																																	BgL_carzd22897zd2_3218;
																																																																																																BgL_proc2z00_17489
																																																																																																	=
																																																																																																	BgL_carzd22905zd2_3221;
																																																																																																BgL_argsz00_17490
																																																																																																	=
																																																																																																	BgL_cdrzd22877zd2_3215;
																																																																																																BgL_argsz00_1817
																																																																																																	=
																																																																																																	BgL_argsz00_17490;
																																																																																																BgL_proc2z00_1816
																																																																																																	=
																																																																																																	BgL_proc2z00_17489;
																																																																																																BgL_proc1z00_1815
																																																																																																	=
																																																																																																	BgL_proc1z00_17488;
																																																																																																BgL_testz00_1814
																																																																																																	=
																																																																																																	BgL_testz00_17487;
																																																																																																goto
																																																																																																	BgL_tagzd2389zd2_1818;
																																																																																															}
																																																																																															BgL_auxz00_16271
																																																																																																=
																																																																																																(
																																																																																																(obj_t)
																																																																																																BgL_auxz00_17486);
																																																																																														}
																																																																																													}
																																																																																												else
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																goto
																																																																																																	BgL_tagzd2404zd2_1842;
																																																																																															}
																																																																																														else
																																																																																															{
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_auxz00_17494;
																																																																																																goto
																																																																																																	BgL_tagzd2405zd2_1843;
																																																																																																BgL_auxz00_16271
																																																																																																	=
																																																																																																	(
																																																																																																	(obj_t)
																																																																																																	BgL_auxz00_17494);
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1842;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_17498;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1843;
																																																																																														BgL_auxz00_16271
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_17498);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_17502;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_16271
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_17502);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_17506;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_16271
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_17506);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17510;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17510);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd23238zd2_3234;
																																																																															BgL_cdrzd23238zd2_3234
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd23244zd2_3235;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_11580;
																																																																																	BgL_pairz00_11580
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd23244zd2_3235
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_11580);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd23250zd2_3236;
																																																																																	BgL_cdrzd23250zd2_3236
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd23244zd2_3235));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd23255zd2_3237;
																																																																																		obj_t
																																																																																			BgL_cdrzd23256zd2_3238;
																																																																																		BgL_carzd23255zd2_3237
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd23250zd2_3236));
																																																																																		BgL_cdrzd23256zd2_3238
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd23250zd2_3236));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23255zd2_3237))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (PAIRP(BgL_cdrzd23256zd2_3238))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd23261zd2_3241;
																																																																																						BgL_carzd23261zd2_3241
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd23256zd2_3238);
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23261zd2_3241))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (NULLP(CDR(BgL_cdrzd23256zd2_3238)))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd23238zd2_3234))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg2718z00_3246;
																																																																																												BgL_arg2718z00_3246
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd23244zd2_3235));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_17537;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_17541;
																																																																																														obj_t
																																																																																															BgL_proc2z00_17540;
																																																																																														obj_t
																																																																																															BgL_proc1z00_17539;
																																																																																														obj_t
																																																																																															BgL_testz00_17538;
																																																																																														BgL_testz00_17538
																																																																																															=
																																																																																															BgL_arg2718z00_3246;
																																																																																														BgL_proc1z00_17539
																																																																																															=
																																																																																															BgL_carzd23255zd2_3237;
																																																																																														BgL_proc2z00_17540
																																																																																															=
																																																																																															BgL_carzd23261zd2_3241;
																																																																																														BgL_argsz00_17541
																																																																																															=
																																																																																															BgL_cdrzd23238zd2_3234;
																																																																																														BgL_argsz00_1817
																																																																																															=
																																																																																															BgL_argsz00_17541;
																																																																																														BgL_proc2z00_1816
																																																																																															=
																																																																																															BgL_proc2z00_17540;
																																																																																														BgL_proc1z00_1815
																																																																																															=
																																																																																															BgL_proc1z00_17539;
																																																																																														BgL_testz00_1814
																																																																																															=
																																																																																															BgL_testz00_17538;
																																																																																														goto
																																																																																															BgL_tagzd2389zd2_1818;
																																																																																													}
																																																																																													BgL_auxz00_16271
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_17537);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1842;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_17545;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1843;
																																																																																														BgL_auxz00_16271
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_17545);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_17549;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_16271
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_17549);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_17553;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_16271
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_17553);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_17557;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_17557);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_17561;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_17561);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17565;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17565);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17569;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17569);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17573;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17573);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																			}
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((BgL_carzd2734zd2_3136 == CNST_TABLE_REF(((long) 18))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg2866z00_3411;
																																																					obj_t
																																																						BgL_arg2867z00_3412;
																																																					BgL_arg2866z00_3411
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd2709zd2_3131));
																																																					BgL_arg2867z00_3412
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd2709zd2_3131));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_17582;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_17584;
																																																							obj_t
																																																								BgL_bindingsz00_17583;
																																																							BgL_bindingsz00_17583
																																																								=
																																																								BgL_arg2866z00_3411;
																																																							BgL_exprz00_17584
																																																								=
																																																								BgL_arg2867z00_3412;
																																																							BgL_exprz00_1797
																																																								=
																																																								BgL_exprz00_17584;
																																																							BgL_bindingsz00_1796
																																																								=
																																																								BgL_bindingsz00_17583;
																																																							goto
																																																								BgL_tagzd2383zd2_1798;
																																																						}
																																																						BgL_auxz00_16271
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_17582);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd2734zd2_3136)))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg2869z00_3414;
																																																							obj_t
																																																								BgL_arg2873z00_3415;
																																																							BgL_arg2869z00_3414
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd2709zd2_3131));
																																																							BgL_arg2873z00_3415
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd2709zd2_3131));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_17593;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_17595;
																																																									obj_t
																																																										BgL_bindingsz00_17594;
																																																									BgL_bindingsz00_17594
																																																										=
																																																										BgL_arg2869z00_3414;
																																																									BgL_exprz00_17595
																																																										=
																																																										BgL_arg2873z00_3415;
																																																									BgL_exprz00_1797
																																																										=
																																																										BgL_exprz00_17595;
																																																									BgL_bindingsz00_1796
																																																										=
																																																										BgL_bindingsz00_17594;
																																																									goto
																																																										BgL_tagzd2383zd2_1798;
																																																								}
																																																								BgL_auxz00_16271
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_17593);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((BgL_carzd2734zd2_3136 == CNST_TABLE_REF(((long) 19))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg2874z00_3416;
																																																									obj_t
																																																										BgL_arg2875z00_3417;
																																																									BgL_arg2874z00_3416
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd2709zd2_3131));
																																																									BgL_arg2875z00_3417
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd2709zd2_3131));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_17604;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_17606;
																																																											obj_t
																																																												BgL_bindingsz00_17605;
																																																											BgL_bindingsz00_17605
																																																												=
																																																												BgL_arg2874z00_3416;
																																																											BgL_exprz00_17606
																																																												=
																																																												BgL_arg2875z00_3417;
																																																											BgL_exprz00_1797
																																																												=
																																																												BgL_exprz00_17606;
																																																											BgL_bindingsz00_1796
																																																												=
																																																												BgL_bindingsz00_17605;
																																																											goto
																																																												BgL_tagzd2383zd2_1798;
																																																										}
																																																										BgL_auxz00_16271
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_17604);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_17613;
																																																										BgL_tagzd2384zd2_1799:
																																																											BgL_auxz00_17613 = BGl_letrecza2zd2ze3nodez93zzast_letz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17613);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd23836zd2_3420;
																																																											BgL_carzd23836zd2_3420
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											if ((BgL_carzd23836zd2_3420 == CNST_TABLE_REF(((long) 20))))
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_17622;
																																																													goto
																																																														BgL_tagzd2385zd2_1800;
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17622);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd23836zd2_3420)))
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_17627;
																																																															goto
																																																																BgL_tagzd2385zd2_1800;
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17627);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17634;
																																																																BgL_tagzd2390zd2_1819:
																																																																	BgL_auxz00_17634 = BGl_lambdazd2ze3nodez31zzast_sexpz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24, BGl_string8027z00zzast_sexpz00);
																																																																	BgL_auxz00_16271
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17634);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17642;
																																																																		BgL_tagzd2391zd2_1820:
																																																																			BgL_auxz00_17642 = BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 0), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																			BgL_auxz00_16271
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17642);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd23916zd2_3426;
																																																																			BgL_cdrzd23916zd2_3426
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg2888z00_3429;
																																																																					obj_t
																																																																						BgL_arg2889z00_3430;
																																																																					BgL_arg2888z00_3429
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd23916zd2_3426));
																																																																					BgL_arg2889z00_3430
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd23916zd2_3426));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_17657;
																																																																						BgL_effectz00_1821
																																																																							=
																																																																							BgL_arg2888z00_3429;
																																																																						BgL_restz00_1822
																																																																							=
																																																																							BgL_arg2889z00_3430;
																																																																					BgL_tagzd2392zd2_1823:
																																																																						{	/* Ast/sexp.scm 467 */
																																																																							BgL_feffectz00_bglt
																																																																								BgL_arg7560z00_9909;
																																																																							obj_t
																																																																								BgL_arg7561z00_9910;
																																																																							BgL_arg7560z00_9909
																																																																								=
																																																																								BGl_parsezd2effectzd2zzeffect_feffectz00
																																																																								(BgL_effectz00_1821);
																																																																							{	/* Ast/sexp.scm 468 */
																																																																								obj_t
																																																																									BgL_arg7562z00_9911;
																																																																								BgL_arg7562z00_9911
																																																																									=
																																																																									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																									(BgL_restz00_1822,
																																																																									BNIL);
																																																																								BgL_arg7561z00_9910
																																																																									=
																																																																									MAKE_YOUNG_PAIR
																																																																									(CNST_TABLE_REF
																																																																									(((long) 6)), BgL_arg7562z00_9911);
																																																																							}
																																																																							BgL_auxz00_17657
																																																																								=
																																																																								BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																								(
																																																																								((bool_t) 0), ((obj_t) BgL_arg7560z00_9909), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg7561z00_9910, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																						}
																																																																						BgL_auxz00_16271
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_17657);
																																																																				}}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_17671;
																																																																						BgL_tagzd2393zd2_1824:
																																																																							BgL_auxz00_17671 = BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17671);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17680;
																																																																								BgL_tagzd2394zd2_1825:
																																																																									{	/* Ast/sexp.scm 474 */
																																																																										bool_t
																																																																											BgL_test8375z00_17681;
																																																																										if (NULLP(BgL_stackz00_22))
																																																																											{	/* Ast/sexp.scm 474 */
																																																																												BgL_test8375z00_17681
																																																																													=
																																																																													(BgL_sitez00_24
																																																																													==
																																																																													CNST_TABLE_REF
																																																																													(((long) 2)));
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 474 */
																																																																												BgL_test8375z00_17681
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										if (BgL_test8375z00_17681)
																																																																											{	/* Ast/sexp.scm 474 */
																																																																												{	/* Ast/sexp.scm 478 */
																																																																													BgL_nodez00_bglt
																																																																														BgL_arg7565z00_9914;
																																																																													BgL_arg7565z00_9914
																																																																														=
																																																																														BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																														(
																																																																														((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																													BGl_addzd2staticzd2pragmaz12z12zzast_pragmaz00
																																																																														(BgL_arg7565z00_9914);
																																																																												}
																																																																												BgL_auxz00_17680
																																																																													=
																																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																													(BUNSPEC,
																																																																													BgL_stackz00_22,
																																																																													BgL_locz00_23,
																																																																													BgL_sitez00_24);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 475 */
																																																																												BgL_nodez00_bglt
																																																																													BgL_res7984z00_11343;
																																																																												{	/* Ast/sexp.scm 735 */
																																																																													obj_t
																																																																														BgL_arg7725z00_11339;
																																																																													BgL_nodez00_bglt
																																																																														BgL_arg7726z00_11340;
																																																																													BgL_arg7725z00_11339
																																																																														=
																																																																														BGl_shapez00zztools_shapez00
																																																																														(BGl_currentzd2functionzd2zztools_errorz00
																																																																														());
																																																																													BgL_arg7726z00_11340
																																																																														=
																																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																														(CNST_TABLE_REF
																																																																														(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																																													{	/* Ast/sexp.scm 734 */
																																																																														obj_t
																																																																															BgL_list7727z00_11342;
																																																																														BgL_list7727z00_11342
																																																																															=
																																																																															MAKE_YOUNG_PAIR
																																																																															(
																																																																															((obj_t) BgL_arg7726z00_11340), BNIL);
																																																																														BgL_res7984z00_11343
																																																																															=
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																															(BgL_locz00_23,
																																																																																BgL_arg7725z00_11339,
																																																																																BGl_string8026z00zzast_sexpz00,
																																																																																BgL_expz00_21,
																																																																																BgL_list7727z00_11342));
																																																																												}}
																																																																												BgL_auxz00_17680
																																																																													=
																																																																													BgL_res7984z00_11343;
																																																																									}}
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17680);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg2902z00_3438;
																																																																											obj_t
																																																																												BgL_arg2903z00_3439;
																																																																											BgL_arg2902z00_3438
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd23916zd2_3426));
																																																																											BgL_arg2903z00_3439
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd23916zd2_3426));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_17709;
																																																																												BgL_effectz00_1826
																																																																													=
																																																																													BgL_arg2902z00_3438;
																																																																												BgL_restz00_1827
																																																																													=
																																																																													BgL_arg2903z00_3439;
																																																																											BgL_tagzd2395zd2_1828:
																																																																												{	/* Ast/sexp.scm 483 */
																																																																													BgL_feffectz00_bglt
																																																																														BgL_arg7566z00_9916;
																																																																													obj_t
																																																																														BgL_arg7567z00_9917;
																																																																													BgL_arg7566z00_9916
																																																																														=
																																																																														BGl_parsezd2effectzd2zzeffect_feffectz00
																																																																														(BgL_effectz00_1826);
																																																																													{	/* Ast/sexp.scm 484 */
																																																																														obj_t
																																																																															BgL_arg7568z00_9918;
																																																																														BgL_arg7568z00_9918
																																																																															=
																																																																															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																															(BgL_restz00_1827,
																																																																															BNIL);
																																																																														BgL_arg7567z00_9917
																																																																															=
																																																																															MAKE_YOUNG_PAIR
																																																																															(CNST_TABLE_REF
																																																																															(((long) 6)), BgL_arg7568z00_9918);
																																																																													}
																																																																													BgL_auxz00_17709
																																																																														=
																																																																														BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																														(
																																																																														((bool_t) 1), ((obj_t) BgL_arg7566z00_9916), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg7567z00_9917, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																												}
																																																																												BgL_auxz00_16271
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_17709);
																																																																										}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17723;
																																																																												BgL_tagzd2396zd2_1829:
																																																																													{
																																																																														obj_t
																																																																															BgL_procz00_9919;
																																																																														obj_t
																																																																															BgL_msgz00_9920;
																																																																														obj_t
																																																																															BgL_objz00_9921;
																																																																														if (PAIRP(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd275372zd2_9926;
																																																																																BgL_cdrzd275372zd2_9926
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																if (PAIRP(BgL_cdrzd275372zd2_9926))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd275377zd2_9928;
																																																																																		BgL_cdrzd275377zd2_9928
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd275372zd2_9926);
																																																																																		if (PAIRP(BgL_cdrzd275377zd2_9928))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_cdrzd275382zd2_9930;
																																																																																				BgL_cdrzd275382zd2_9930
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_cdrzd275377zd2_9928);
																																																																																				if (PAIRP(BgL_cdrzd275382zd2_9930))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(BgL_cdrzd275382zd2_9930)))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg7575z00_9934;
																																																																																								obj_t
																																																																																									BgL_arg7576z00_9935;
																																																																																								obj_t
																																																																																									BgL_arg7577z00_9936;
																																																																																								BgL_arg7575z00_9934
																																																																																									=
																																																																																									CAR
																																																																																									(BgL_cdrzd275372zd2_9926);
																																																																																								BgL_arg7576z00_9935
																																																																																									=
																																																																																									CAR
																																																																																									(BgL_cdrzd275377zd2_9928);
																																																																																								BgL_arg7577z00_9936
																																																																																									=
																																																																																									CAR
																																																																																									(BgL_cdrzd275382zd2_9930);
																																																																																								{
																																																																																									BgL_failz00_bglt
																																																																																										BgL_auxz00_17742;
																																																																																									BgL_procz00_9919
																																																																																										=
																																																																																										BgL_arg7575z00_9934;
																																																																																									BgL_msgz00_9920
																																																																																										=
																																																																																										BgL_arg7576z00_9935;
																																																																																									BgL_objz00_9921
																																																																																										=
																																																																																										BgL_arg7577z00_9936;
																																																																																									{	/* Ast/sexp.scm 489 */
																																																																																										obj_t
																																																																																											BgL_locz00_9938;
																																																																																										BgL_locz00_9938
																																																																																											=
																																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																											(BgL_expz00_21,
																																																																																											BgL_locz00_23);
																																																																																										{	/* Ast/sexp.scm 489 */
																																																																																											obj_t
																																																																																												BgL_cdlocz00_9939;
																																																																																											{	/* Ast/sexp.scm 490 */
																																																																																												obj_t
																																																																																													BgL_arg7582z00_9953;
																																																																																												BgL_arg7582z00_9953
																																																																																													=
																																																																																													CDR
																																																																																													(
																																																																																													((obj_t) BgL_expz00_21));
																																																																																												BgL_cdlocz00_9939
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_arg7582z00_9953,
																																																																																													BgL_locz00_9938);
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 490 */
																																																																																												obj_t
																																																																																													BgL_cddlocz00_9940;
																																																																																												{	/* Ast/sexp.scm 491 */
																																																																																													obj_t
																																																																																														BgL_arg7581z00_9952;
																																																																																													{	/* Ast/sexp.scm 491 */
																																																																																														obj_t
																																																																																															BgL_pairz00_11348;
																																																																																														BgL_pairz00_11348
																																																																																															=
																																																																																															CDR
																																																																																															(
																																																																																															((obj_t) BgL_expz00_21));
																																																																																														BgL_arg7581z00_9952
																																																																																															=
																																																																																															CDR
																																																																																															(BgL_pairz00_11348);
																																																																																													}
																																																																																													BgL_cddlocz00_9940
																																																																																														=
																																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																														(BgL_arg7581z00_9952,
																																																																																														BgL_locz00_9938);
																																																																																												}
																																																																																												{	/* Ast/sexp.scm 491 */
																																																																																													obj_t
																																																																																														BgL_cdddlocz00_9941;
																																																																																													{	/* Ast/sexp.scm 492 */
																																																																																														obj_t
																																																																																															BgL_arg7580z00_9951;
																																																																																														{	/* Ast/sexp.scm 492 */
																																																																																															obj_t
																																																																																																BgL_pairz00_11354;
																																																																																															{	/* Ast/sexp.scm 492 */
																																																																																																obj_t
																																																																																																	BgL_pairz00_11353;
																																																																																																BgL_pairz00_11353
																																																																																																	=
																																																																																																	CDR
																																																																																																	(
																																																																																																	((obj_t) BgL_expz00_21));
																																																																																																BgL_pairz00_11354
																																																																																																	=
																																																																																																	CDR
																																																																																																	(BgL_pairz00_11353);
																																																																																															}
																																																																																															BgL_arg7580z00_9951
																																																																																																=
																																																																																																CDR
																																																																																																(BgL_pairz00_11354);
																																																																																														}
																																																																																														BgL_cdddlocz00_9941
																																																																																															=
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_arg7580z00_9951,
																																																																																															BgL_locz00_9938);
																																																																																													}
																																																																																													{	/* Ast/sexp.scm 492 */
																																																																																														obj_t
																																																																																															BgL_loczd2proczd2_9942;
																																																																																														BgL_loczd2proczd2_9942
																																																																																															=
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_procz00_9919,
																																																																																															BgL_cdlocz00_9939);
																																																																																														{	/* Ast/sexp.scm 493 */
																																																																																															obj_t
																																																																																																BgL_loczd2msgzd2_9943;
																																																																																															BgL_loczd2msgzd2_9943
																																																																																																=
																																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																																(BgL_msgz00_9920,
																																																																																																BgL_cddlocz00_9940);
																																																																																															{	/* Ast/sexp.scm 494 */
																																																																																																obj_t
																																																																																																	BgL_loczd2objzd2_9944;
																																																																																																BgL_loczd2objzd2_9944
																																																																																																	=
																																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																																	(BgL_objz00_9921,
																																																																																																	BgL_cdddlocz00_9941);
																																																																																																{	/* Ast/sexp.scm 495 */
																																																																																																	BgL_nodez00_bglt
																																																																																																		BgL_procz00_9945;
																																																																																																	BgL_procz00_9945
																																																																																																		=
																																																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																		(BgL_procz00_9919,
																																																																																																		BgL_stackz00_22,
																																																																																																		BgL_loczd2proczd2_9942,
																																																																																																		CNST_TABLE_REF
																																																																																																		(((long) 2)));
																																																																																																	{	/* Ast/sexp.scm 496 */
																																																																																																		BgL_nodez00_bglt
																																																																																																			BgL_msgz00_9946;
																																																																																																		BgL_msgz00_9946
																																																																																																			=
																																																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																			(BgL_msgz00_9920,
																																																																																																			BgL_stackz00_22,
																																																																																																			BgL_loczd2msgzd2_9943,
																																																																																																			CNST_TABLE_REF
																																																																																																			(((long) 2)));
																																																																																																		{	/* Ast/sexp.scm 497 */
																																																																																																			BgL_nodez00_bglt
																																																																																																				BgL_objz00_9947;
																																																																																																			BgL_objz00_9947
																																																																																																				=
																																																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																				(BgL_objz00_9921,
																																																																																																				BgL_stackz00_22,
																																																																																																				BgL_loczd2objzd2_9944,
																																																																																																				CNST_TABLE_REF
																																																																																																				(((long) 2)));
																																																																																																			{	/* Ast/sexp.scm 498 */

																																																																																																				{	/* Ast/sexp.scm 499 */
																																																																																																					BgL_failz00_bglt
																																																																																																						BgL_new1143z00_9948;
																																																																																																					{	/* Ast/sexp.scm 500 */
																																																																																																						BgL_failz00_bglt
																																																																																																							BgL_new1142z00_9949;
																																																																																																						BgL_new1142z00_9949
																																																																																																							=
																																																																																																							(
																																																																																																							(BgL_failz00_bglt)
																																																																																																							BOBJECT
																																																																																																							(GC_MALLOC
																																																																																																								(sizeof
																																																																																																									(struct
																																																																																																										BgL_failz00_bgl))));
																																																																																																						{	/* Ast/sexp.scm 500 */
																																																																																																							long
																																																																																																								BgL_arg7579z00_9950;
																																																																																																							BgL_arg7579z00_9950
																																																																																																								=
																																																																																																								BGL_CLASS_NUM
																																																																																																								(BGl_failz00zzast_nodez00);
																																																																																																							BGL_OBJECT_CLASS_NUM_SET
																																																																																																								(
																																																																																																								((BgL_objectz00_bglt) BgL_new1142z00_9949), BgL_arg7579z00_9950);
																																																																																																						}
																																																																																																						{	/* Ast/sexp.scm 500 */
																																																																																																							BgL_objectz00_bglt
																																																																																																								BgL_tmpz00_17769;
																																																																																																							BgL_tmpz00_17769
																																																																																																								=
																																																																																																								(
																																																																																																								(BgL_objectz00_bglt)
																																																																																																								BgL_new1142z00_9949);
																																																																																																							BGL_OBJECT_WIDENING_SET
																																																																																																								(BgL_tmpz00_17769,
																																																																																																								BFALSE);
																																																																																																						}
																																																																																																						((BgL_objectz00_bglt) BgL_new1142z00_9949);
																																																																																																						BgL_new1143z00_9948
																																																																																																							=
																																																																																																							BgL_new1142z00_9949;
																																																																																																					}
																																																																																																					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1143z00_9948)))->BgL_locz00) = ((obj_t) BgL_locz00_9938), BUNSPEC);
																																																																																																					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1143z00_9948)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00)), BUNSPEC);
																																																																																																					((((BgL_failz00_bglt) COBJECT(BgL_new1143z00_9948))->BgL_procz00) = ((BgL_nodez00_bglt) BgL_procz00_9945), BUNSPEC);
																																																																																																					((((BgL_failz00_bglt) COBJECT(BgL_new1143z00_9948))->BgL_msgz00) = ((BgL_nodez00_bglt) BgL_msgz00_9946), BUNSPEC);
																																																																																																					((((BgL_failz00_bglt) COBJECT(BgL_new1143z00_9948))->BgL_objz00) = ((BgL_nodez00_bglt) BgL_objz00_9947), BUNSPEC);
																																																																																																					BgL_auxz00_17742
																																																																																																						=
																																																																																																						BgL_new1143z00_9948;
																																																																																									}}}}}}}}}}}}
																																																																																									BgL_auxz00_17723
																																																																																										=
																																																																																										(
																																																																																										(BgL_nodez00_bglt)
																																																																																										BgL_auxz00_17742);
																																																																																							}}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																							BgL_tagzd275363zd2_9923:
																																																																																								{	/* Ast/sexp.scm 507 */
																																																																																									obj_t
																																																																																										BgL_arg7583z00_9954;
																																																																																									BgL_arg7583z00_9954
																																																																																										=
																																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																										(BgL_expz00_21,
																																																																																										BgL_locz00_23);
																																																																																									{	/* Ast/sexp.scm 506 */
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_res7985z00_11364;
																																																																																										{	/* Ast/sexp.scm 735 */
																																																																																											obj_t
																																																																																												BgL_arg7725z00_11360;
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_arg7726z00_11361;
																																																																																											BgL_arg7725z00_11360
																																																																																												=
																																																																																												BGl_shapez00zztools_shapez00
																																																																																												(BGl_currentzd2functionzd2zztools_errorz00
																																																																																												());
																																																																																											BgL_arg7726z00_11361
																																																																																												=
																																																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																												(CNST_TABLE_REF
																																																																																												(((long) 4)), BNIL, BgL_arg7583z00_9954, CNST_TABLE_REF(((long) 2)));
																																																																																											{	/* Ast/sexp.scm 734 */
																																																																																												obj_t
																																																																																													BgL_list7727z00_11363;
																																																																																												BgL_list7727z00_11363
																																																																																													=
																																																																																													MAKE_YOUNG_PAIR
																																																																																													(
																																																																																													((obj_t) BgL_arg7726z00_11361), BNIL);
																																																																																												BgL_res7985z00_11364
																																																																																													=
																																																																																													(
																																																																																													(BgL_nodez00_bglt)
																																																																																													BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																													(BgL_arg7583z00_9954,
																																																																																														BgL_arg7725z00_11360,
																																																																																														BGl_string8025z00zzast_sexpz00,
																																																																																														BgL_expz00_21,
																																																																																														BgL_list7727z00_11363));
																																																																																										}}
																																																																																										BgL_auxz00_17723
																																																																																											=
																																																																																											BgL_res7985z00_11364;
																																																																																					}}}}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd275363zd2_9923;
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd275363zd2_9923;
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd275363zd2_9923;
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd275363zd2_9923;
																																																																															}
																																																																													}
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17723);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17798;
																																																																														BgL_tagzd2397zd2_1830:
																																																																															{
																																																																																obj_t
																																																																																	BgL_testz00_9955;
																																																																																obj_t
																																																																																	BgL_clausesz00_9956;
																																																																																if (PAIRP(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd275396zd2_9961;
																																																																																		BgL_cdrzd275396zd2_9961
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		if (PAIRP(BgL_cdrzd275396zd2_9961))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_testz00_9955
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd275396zd2_9961);
																																																																																				BgL_clausesz00_9956
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_cdrzd275396zd2_9961);
																																																																																				{	/* Ast/sexp.scm 518 */
																																																																																					obj_t
																																																																																						BgL_locz00_9965;
																																																																																					BgL_locz00_9965
																																																																																						=
																																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																						(BgL_expz00_21,
																																																																																						BgL_locz00_23);
																																																																																					{	/* Ast/sexp.scm 518 */
																																																																																						obj_t
																																																																																							BgL_cdlocz00_9966;
																																																																																						{	/* Ast/sexp.scm 519 */
																																																																																							obj_t
																																																																																								BgL_arg7613z00_10006;
																																																																																							BgL_arg7613z00_10006
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_expz00_21));
																																																																																							BgL_cdlocz00_9966
																																																																																								=
																																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																								(BgL_arg7613z00_10006,
																																																																																								BgL_locz00_9965);
																																																																																						}
																																																																																						{	/* Ast/sexp.scm 519 */
																																																																																							obj_t
																																																																																								BgL_cddlocz00_9967;
																																																																																							{	/* Ast/sexp.scm 520 */
																																																																																								obj_t
																																																																																									BgL_arg7612z00_10005;
																																																																																								BgL_arg7612z00_10005
																																																																																									=
																																																																																									CDR
																																																																																									(
																																																																																									((obj_t) BgL_expz00_21));
																																																																																								BgL_cddlocz00_9967
																																																																																									=
																																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																									(BgL_arg7612z00_10005,
																																																																																									BgL_locz00_9965);
																																																																																							}
																																																																																							{	/* Ast/sexp.scm 520 */
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_testz00_9968;
																																																																																								{	/* Ast/sexp.scm 523 */
																																																																																									obj_t
																																																																																										BgL_arg7611z00_10004;
																																																																																									BgL_arg7611z00_10004
																																																																																										=
																																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																										(BgL_testz00_9955,
																																																																																										BgL_cdlocz00_9966);
																																																																																									BgL_testz00_9968
																																																																																										=
																																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																										(BgL_testz00_9955,
																																																																																										BgL_stackz00_22,
																																																																																										BgL_arg7611z00_10004,
																																																																																										CNST_TABLE_REF
																																																																																										(((long) 2)));
																																																																																								}
																																																																																								{	/* Ast/sexp.scm 521 */

																																																																																									{
																																																																																										obj_t
																																																																																											BgL_clsz00_9971;
																																																																																										obj_t
																																																																																											BgL_nclausesz00_9972;
																																																																																										BgL_clsz00_9971
																																																																																											=
																																																																																											BgL_clausesz00_9956;
																																																																																										BgL_nclausesz00_9972
																																																																																											=
																																																																																											BNIL;
																																																																																									BgL_zc3z04anonymousza37588ze3z87_9973:
																																																																																										if (NULLP(BgL_clsz00_9971))
																																																																																											{	/* Ast/sexp.scm 528 */
																																																																																												BgL_switchz00_bglt
																																																																																													BgL_new1146z00_9975;
																																																																																												{	/* Ast/sexp.scm 529 */
																																																																																													BgL_switchz00_bglt
																																																																																														BgL_new1145z00_9979;
																																																																																													BgL_new1145z00_9979
																																																																																														=
																																																																																														(
																																																																																														(BgL_switchz00_bglt)
																																																																																														BOBJECT
																																																																																														(GC_MALLOC
																																																																																															(sizeof
																																																																																																(struct
																																																																																																	BgL_switchz00_bgl))));
																																																																																													{	/* Ast/sexp.scm 529 */
																																																																																														long
																																																																																															BgL_arg7593z00_9980;
																																																																																														BgL_arg7593z00_9980
																																																																																															=
																																																																																															BGL_CLASS_NUM
																																																																																															(BGl_switchz00zzast_nodez00);
																																																																																														BGL_OBJECT_CLASS_NUM_SET
																																																																																															(
																																																																																															((BgL_objectz00_bglt) BgL_new1145z00_9979), BgL_arg7593z00_9980);
																																																																																													}
																																																																																													{	/* Ast/sexp.scm 529 */
																																																																																														BgL_objectz00_bglt
																																																																																															BgL_tmpz00_17821;
																																																																																														BgL_tmpz00_17821
																																																																																															=
																																																																																															(
																																																																																															(BgL_objectz00_bglt)
																																																																																															BgL_new1145z00_9979);
																																																																																														BGL_OBJECT_WIDENING_SET
																																																																																															(BgL_tmpz00_17821,
																																																																																															BFALSE);
																																																																																													}
																																																																																													((BgL_objectz00_bglt) BgL_new1145z00_9979);
																																																																																													BgL_new1146z00_9975
																																																																																														=
																																																																																														BgL_new1145z00_9979;
																																																																																												}
																																																																																												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1146z00_9975)))->BgL_locz00) = ((obj_t) BgL_locz00_9965), BUNSPEC);
																																																																																												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1146z00_9975)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1146z00_9975)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1146z00_9975)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																																												((((BgL_switchz00_bglt) COBJECT(BgL_new1146z00_9975))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_9968), BUNSPEC);
																																																																																												((((BgL_switchz00_bglt) COBJECT(BgL_new1146z00_9975))->BgL_clausesz00) = ((obj_t) bgl_reverse_bang(BgL_nclausesz00_9972)), BUNSPEC);
																																																																																												{
																																																																																													BgL_typez00_bglt
																																																																																														BgL_auxz00_17838;
																																																																																													{	/* Ast/sexp.scm 532 */
																																																																																														obj_t
																																																																																															BgL_arg7590z00_9976;
																																																																																														{	/* Ast/sexp.scm 532 */
																																																																																															obj_t
																																																																																																BgL_pairz00_11380;
																																																																																															{	/* Ast/sexp.scm 532 */
																																																																																																obj_t
																																																																																																	BgL_pairz00_11379;
																																																																																																BgL_pairz00_11379
																																																																																																	=
																																																																																																	CAR
																																																																																																	(
																																																																																																	((obj_t) BgL_clausesz00_9956));
																																																																																																BgL_pairz00_11380
																																																																																																	=
																																																																																																	CAR
																																																																																																	(BgL_pairz00_11379);
																																																																																															}
																																																																																															BgL_arg7590z00_9976
																																																																																																=
																																																																																																CAR
																																																																																																(BgL_pairz00_11380);
																																																																																														}
																																																																																														BgL_auxz00_17838
																																																																																															=
																																																																																															BGl_getzd2typezd2atomz00zztype_typeofz00
																																																																																															(BgL_arg7590z00_9976);
																																																																																													}
																																																																																													((((BgL_switchz00_bglt) COBJECT(BgL_new1146z00_9975))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt) BgL_auxz00_17838), BUNSPEC);
																																																																																												}
																																																																																												BgL_auxz00_17798
																																																																																													=
																																																																																													(
																																																																																													(BgL_nodez00_bglt)
																																																																																													BgL_new1146z00_9975);
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 534 */
																																																																																												obj_t
																																																																																													BgL_clausez00_9981;
																																																																																												BgL_clausez00_9981
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_clsz00_9971));
																																																																																												{	/* Ast/sexp.scm 534 */
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_bodyz00_9982;
																																																																																													{	/* Ast/sexp.scm 535 */
																																																																																														obj_t
																																																																																															BgL_arg7608z00_10000;
																																																																																														obj_t
																																																																																															BgL_arg7609z00_10001;
																																																																																														{	/* Ast/sexp.scm 535 */
																																																																																															obj_t
																																																																																																BgL_arg7610z00_10002;
																																																																																															BgL_arg7610z00_10002
																																																																																																=
																																																																																																CDR
																																																																																																(
																																																																																																((obj_t) BgL_clausez00_9981));
																																																																																															BgL_arg7608z00_10000
																																																																																																=
																																																																																																BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																																																(BgL_arg7610z00_10002);
																																																																																														}
																																																																																														BgL_arg7609z00_10001
																																																																																															=
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_clausez00_9981,
																																																																																															BgL_cddlocz00_9967);
																																																																																														BgL_bodyz00_9982
																																																																																															=
																																																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																															(BgL_arg7608z00_10000,
																																																																																															BgL_stackz00_22,
																																																																																															BgL_arg7609z00_10001,
																																																																																															CNST_TABLE_REF
																																																																																															(((long) 2)));
																																																																																													}
																																																																																													{	/* Ast/sexp.scm 535 */
																																																																																														obj_t
																																																																																															BgL_nclausez00_9983;
																																																																																														{	/* Ast/sexp.scm 539 */
																																																																																															obj_t
																																																																																																BgL_arg7607z00_9999;
																																																																																															BgL_arg7607z00_9999
																																																																																																=
																																																																																																CAR
																																																																																																(
																																																																																																((obj_t) BgL_clausez00_9981));
																																																																																															BgL_nclausez00_9983
																																																																																																=
																																																																																																MAKE_YOUNG_PAIR
																																																																																																(BgL_arg7607z00_9999,
																																																																																																((obj_t) BgL_bodyz00_9982));
																																																																																														}
																																																																																														{	/* Ast/sexp.scm 539 */

																																																																																															{	/* Ast/sexp.scm 541 */
																																																																																																bool_t
																																																																																																	BgL_test8388z00_17858;
																																																																																																if ((CAR(((obj_t) BgL_clausez00_9981)) == CNST_TABLE_REF(((long) 5))))
																																																																																																	{	/* Ast/sexp.scm 541 */
																																																																																																		if (NULLP(CDR(((obj_t) BgL_clsz00_9971))))
																																																																																																			{	/* Ast/sexp.scm 542 */
																																																																																																				BgL_test8388z00_17858
																																																																																																					=
																																																																																																					(
																																																																																																					(bool_t)
																																																																																																					0);
																																																																																																			}
																																																																																																		else
																																																																																																			{	/* Ast/sexp.scm 542 */
																																																																																																				BgL_test8388z00_17858
																																																																																																					=
																																																																																																					(
																																																																																																					(bool_t)
																																																																																																					1);
																																																																																																			}
																																																																																																	}
																																																																																																else
																																																																																																	{	/* Ast/sexp.scm 541 */
																																																																																																		BgL_test8388z00_17858
																																																																																																			=
																																																																																																			(
																																																																																																			(bool_t)
																																																																																																			0);
																																																																																																	}
																																																																																																if (BgL_test8388z00_17858)
																																																																																																	{	/* Ast/sexp.scm 544 */
																																																																																																		obj_t
																																																																																																			BgL_arg7601z00_9991;
																																																																																																		BgL_arg7601z00_9991
																																																																																																			=
																																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																																			(BgL_expz00_21,
																																																																																																			BgL_locz00_9965);
																																																																																																		{	/* Ast/sexp.scm 543 */
																																																																																																			BgL_nodez00_bglt
																																																																																																				BgL_res7986z00_11391;
																																																																																																			{	/* Ast/sexp.scm 735 */
																																																																																																				obj_t
																																																																																																					BgL_arg7725z00_11387;
																																																																																																				BgL_nodez00_bglt
																																																																																																					BgL_arg7726z00_11388;
																																																																																																				BgL_arg7725z00_11387
																																																																																																					=
																																																																																																					BGl_shapez00zztools_shapez00
																																																																																																					(BGl_currentzd2functionzd2zztools_errorz00
																																																																																																					());
																																																																																																				BgL_arg7726z00_11388
																																																																																																					=
																																																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																					(CNST_TABLE_REF
																																																																																																					(((long) 4)), BNIL, BgL_arg7601z00_9991, CNST_TABLE_REF(((long) 2)));
																																																																																																				{	/* Ast/sexp.scm 734 */
																																																																																																					obj_t
																																																																																																						BgL_list7727z00_11390;
																																																																																																					BgL_list7727z00_11390
																																																																																																						=
																																																																																																						MAKE_YOUNG_PAIR
																																																																																																						(
																																																																																																						((obj_t) BgL_arg7726z00_11388), BNIL);
																																																																																																					BgL_res7986z00_11391
																																																																																																						=
																																																																																																						(
																																																																																																						(BgL_nodez00_bglt)
																																																																																																						BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																																						(BgL_arg7601z00_9991,
																																																																																																							BgL_arg7725z00_11387,
																																																																																																							BGl_string8024z00zzast_sexpz00,
																																																																																																							BgL_expz00_21,
																																																																																																							BgL_list7727z00_11390));
																																																																																																			}}
																																																																																																			BgL_auxz00_17798
																																																																																																				=
																																																																																																				BgL_res7986z00_11391;
																																																																																																	}}
																																																																																																else
																																																																																																	{	/* Ast/sexp.scm 545 */
																																																																																																		obj_t
																																																																																																			BgL_arg7602z00_9992;
																																																																																																		obj_t
																																																																																																			BgL_arg7603z00_9993;
																																																																																																		BgL_arg7602z00_9992
																																																																																																			=
																																																																																																			CDR
																																																																																																			(
																																																																																																			((obj_t) BgL_clsz00_9971));
																																																																																																		BgL_arg7603z00_9993
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BGl_epairifyz00zztools_miscz00
																																																																																																			(BgL_nclausez00_9983,
																																																																																																				BgL_clausez00_9981),
																																																																																																			BgL_nclausesz00_9972);
																																																																																																		{
																																																																																																			obj_t
																																																																																																				BgL_nclausesz00_17883;
																																																																																																			obj_t
																																																																																																				BgL_clsz00_17882;
																																																																																																			BgL_clsz00_17882
																																																																																																				=
																																																																																																				BgL_arg7602z00_9992;
																																																																																																			BgL_nclausesz00_17883
																																																																																																				=
																																																																																																				BgL_arg7603z00_9993;
																																																																																																			BgL_nclausesz00_9972
																																																																																																				=
																																																																																																				BgL_nclausesz00_17883;
																																																																																																			BgL_clsz00_9971
																																																																																																				=
																																																																																																				BgL_clsz00_17882;
																																																																																																			goto
																																																																																																				BgL_zc3z04anonymousza37588ze3z87_9973;
																																																																																																		}
																																																																																																	}
																																																																																															}
																																																																																														}
																																																																																													}
																																																																																												}
																																																																																											}
																																																																																									}
																																																																																								}
																																																																																							}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																			BgL_tagzd275389zd2_9958:
																																																																																				{	/* Ast/sexp.scm 550 */
																																																																																					obj_t
																																																																																						BgL_arg7614z00_10007;
																																																																																					BgL_arg7614z00_10007
																																																																																						=
																																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																						(BgL_expz00_21,
																																																																																						BgL_locz00_23);
																																																																																					{	/* Ast/sexp.scm 549 */
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_res7987z00_11398;
																																																																																						{	/* Ast/sexp.scm 735 */
																																																																																							obj_t
																																																																																								BgL_arg7725z00_11394;
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_arg7726z00_11395;
																																																																																							BgL_arg7725z00_11394
																																																																																								=
																																																																																								BGl_shapez00zztools_shapez00
																																																																																								(BGl_currentzd2functionzd2zztools_errorz00
																																																																																								());
																																																																																							BgL_arg7726z00_11395
																																																																																								=
																																																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																								(CNST_TABLE_REF
																																																																																								(((long) 4)), BNIL, BgL_arg7614z00_10007, CNST_TABLE_REF(((long) 2)));
																																																																																							{	/* Ast/sexp.scm 734 */
																																																																																								obj_t
																																																																																									BgL_list7727z00_11397;
																																																																																								BgL_list7727z00_11397
																																																																																									=
																																																																																									MAKE_YOUNG_PAIR
																																																																																									(
																																																																																									((obj_t) BgL_arg7726z00_11395), BNIL);
																																																																																								BgL_res7987z00_11398
																																																																																									=
																																																																																									(
																																																																																									(BgL_nodez00_bglt)
																																																																																									BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																									(BgL_arg7614z00_10007,
																																																																																										BgL_arg7725z00_11394,
																																																																																										BGl_string8024z00zzast_sexpz00,
																																																																																										BgL_expz00_21,
																																																																																										BgL_list7727z00_11397));
																																																																																						}}
																																																																																						BgL_auxz00_17798
																																																																																							=
																																																																																							BgL_res7987z00_11398;
																																																																																	}}}}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd275389zd2_9958;
																																																																																	}
																																																																															}
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17798);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																																{
																																																																																	BgL_letzd2funzd2_bglt
																																																																																		BgL_auxz00_17902;
																																																																																BgL_tagzd2398zd2_1831:
																																																																																	BgL_auxz00_17902 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17902);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																																		{
																																																																																			BgL_jumpzd2exzd2itz00_bglt
																																																																																				BgL_auxz00_17910;
																																																																																		BgL_tagzd2399zd2_1832:
																																																																																			BgL_auxz00_17910 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17910);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd23993zd2_3448;
																																																																																			BgL_cdrzd23993zd2_3448
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg2916z00_3451;
																																																																																					obj_t
																																																																																						BgL_arg2918z00_3452;
																																																																																					BgL_arg2916z00_3451
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd23993zd2_3448));
																																																																																					BgL_arg2918z00_3452
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd23993zd2_3448));
																																																																																					{	/* Ast/sexp.scm 564 */
																																																																																						obj_t
																																																																																							BgL_arg7616z00_11617;
																																																																																						BgL_arg7616z00_11617
																																																																																							=
																																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																							(BgL_expz00_21,
																																																																																							BgL_locz00_23);
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																							(BgL_expz00_21,
																																																																																								BgL_arg2916z00_3451,
																																																																																								CNST_TABLE_REF
																																																																																								(((long) 4)), BgL_arg2918z00_3452, BgL_stackz00_22, BgL_arg7616z00_11617, BgL_sitez00_24));
																																																																																				}}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_17930;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_17930);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd24018zd2_3470;
																																					BgL_carzd24018zd2_3470
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd24018zd2_3470
																																							==
																																							CNST_TABLE_REF
																																							(((long) 1))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_17937;
																																							goto
																																								BgL_tagzd2377zd2_1784;
																																							BgL_auxz00_16271
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_17937);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((BgL_carzd24018zd2_3470 == BGl_za2ifza2z00zzast_sexpz00))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_17941;
																																									goto
																																										BgL_tagzd2377zd2_1784;
																																									BgL_auxz00_16271
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_17941);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_17948;
																																											goto
																																												BgL_tagzd2379zd2_1788;
																																											BgL_auxz00_16271
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_17948);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_17955;
																																													goto
																																														BgL_tagzd2380zd2_1789;
																																													BgL_auxz00_16271
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_17955);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd24089zd2_3476;
																																													BgL_cdrzd24089zd2_3476
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg2960z00_3479;
																																															obj_t
																																																BgL_arg2961z00_3480;
																																															BgL_arg2960z00_3479
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd24089zd2_3476));
																																															BgL_arg2961z00_3480
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd24089zd2_3476));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_17968;
																																																{
																																																	obj_t
																																																		BgL_exprz00_17970;
																																																	obj_t
																																																		BgL_bindingsz00_17969;
																																																	BgL_bindingsz00_17969
																																																		=
																																																		BgL_arg2960z00_3479;
																																																	BgL_exprz00_17970
																																																		=
																																																		BgL_arg2961z00_3480;
																																																	BgL_exprz00_1791
																																																		=
																																																		BgL_exprz00_17970;
																																																	BgL_bindingsz00_1790
																																																		=
																																																		BgL_bindingsz00_17969;
																																																	goto
																																																		BgL_tagzd2381zd2_1792;
																																																}
																																																BgL_auxz00_16271
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_17968);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd24114zd2_3481;
																																															BgL_carzd24114zd2_3481
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if (PAIRP(BgL_carzd24114zd2_3481))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd24117zd2_3483;
																																																	obj_t
																																																		BgL_cdrzd24118zd2_3484;
																																																	BgL_carzd24117zd2_3483
																																																		=
																																																		CAR
																																																		(BgL_carzd24114zd2_3481);
																																																	BgL_cdrzd24118zd2_3484
																																																		=
																																																		CDR
																																																		(BgL_carzd24114zd2_3481);
																																																	{

																																																		if ((BgL_carzd24117zd2_3483 == CNST_TABLE_REF(((long) 18))))
																																																			{	/* Ast/sexp.scm 119 */
																																																			BgL_kapzd24119zd2_3485:
																																																				if (PAIRP(BgL_cdrzd24118zd2_3484))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd24122zd2_3607;
																																																						BgL_cdrzd24122zd2_3607
																																																							=
																																																							CDR
																																																							(BgL_cdrzd24118zd2_3484);
																																																						if (PAIRP(BgL_cdrzd24122zd2_3607))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (NULLP(CDR(BgL_cdrzd24122zd2_3607)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3076z00_3611;
																																																										obj_t
																																																											BgL_arg3078z00_3612;
																																																										BgL_arg3076z00_3611
																																																											=
																																																											CAR
																																																											(BgL_cdrzd24122zd2_3607);
																																																										BgL_arg3078z00_3612
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_17992;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_17994;
																																																												obj_t
																																																													BgL_bodyz00_17993;
																																																												BgL_bodyz00_17993
																																																													=
																																																													BgL_arg3076z00_3611;
																																																												BgL_argsz00_17994
																																																													=
																																																													BgL_arg3078z00_3612;
																																																												BgL_argsz00_1794
																																																													=
																																																													BgL_argsz00_17994;
																																																												BgL_bodyz00_1793
																																																													=
																																																													BgL_bodyz00_17993;
																																																												goto
																																																													BgL_tagzd2382zd2_1795;
																																																											}
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17992);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd24146zd2_3613;
																																																										BgL_cdrzd24146zd2_3613
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8405z00_17998;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3169z00_3724;
																																																												BgL_arg3169z00_3724
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8405z00_17998
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg3169z00_3724));
																																																											}
																																																											if (BgL_test8405z00_17998)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg3081z00_3616;
																																																													obj_t
																																																														BgL_arg3084z00_3617;
																																																													BgL_arg3081z00_3616
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd24146zd2_3613));
																																																													BgL_arg3084z00_3617
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd24146zd2_3613));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_18007;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_18009;
																																																															obj_t
																																																																BgL_bindingsz00_18008;
																																																															BgL_bindingsz00_18008
																																																																=
																																																																BgL_arg3081z00_3616;
																																																															BgL_exprz00_18009
																																																																=
																																																																BgL_arg3084z00_3617;
																																																															BgL_exprz00_1797
																																																																=
																																																																BgL_exprz00_18009;
																																																															BgL_bindingsz00_1796
																																																																=
																																																																BgL_bindingsz00_18008;
																																																															goto
																																																																BgL_tagzd2383zd2_1798;
																																																														}
																																																														BgL_auxz00_16271
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_18007);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test8406z00_18011;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg3168z00_3723;
																																																														BgL_arg3168z00_3723
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test8406z00_18011
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg3168z00_3723));
																																																													}
																																																													if (BgL_test8406z00_18011)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_18016;
																																																															goto
																																																																BgL_tagzd2385zd2_1800;
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_18016);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd24213zd2_3620;
																																																															BgL_carzd24213zd2_3620
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd24218zd2_3621;
																																																																BgL_cdrzd24218zd2_3621
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd24213zd2_3620));
																																																																if ((CAR(((obj_t) BgL_carzd24213zd2_3620)) == CNST_TABLE_REF(((long) 3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg3089z00_3624;
																																																																		obj_t
																																																																			BgL_arg3090z00_3625;
																																																																		obj_t
																																																																			BgL_arg3091z00_3626;
																																																																		BgL_arg3089z00_3624
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd24218zd2_3621));
																																																																		BgL_arg3090z00_3625
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd24218zd2_3621));
																																																																		BgL_arg3091z00_3626
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_18033;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_18036;
																																																																				obj_t
																																																																					BgL_bodyz00_18035;
																																																																				obj_t
																																																																					BgL_varsz00_18034;
																																																																				BgL_varsz00_18034
																																																																					=
																																																																					BgL_arg3089z00_3624;
																																																																				BgL_bodyz00_18035
																																																																					=
																																																																					BgL_arg3090z00_3625;
																																																																				BgL_argsz00_18036
																																																																					=
																																																																					BgL_arg3091z00_3626;
																																																																				BgL_argsz00_1807
																																																																					=
																																																																					BgL_argsz00_18036;
																																																																				BgL_bodyz00_1806
																																																																					=
																																																																					BgL_bodyz00_18035;
																																																																				BgL_varsz00_1805
																																																																					=
																																																																					BgL_varsz00_18034;
																																																																				goto
																																																																					BgL_tagzd2387zd2_1808;
																																																																			}
																																																																			BgL_auxz00_16271
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_18033);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd24241zd2_3628;
																																																																		BgL_cdrzd24241zd2_3628
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd24247zd2_3629;
																																																																			BgL_cdrzd24247zd2_3629
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd24213zd2_3620));
																																																																			if ((CAR(((obj_t) BgL_carzd24213zd2_3620)) == CNST_TABLE_REF(((long) 1))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd24253zd2_3632;
																																																																					BgL_cdrzd24253zd2_3632
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd24247zd2_3629));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd24258zd2_3633;
																																																																						obj_t
																																																																							BgL_cdrzd24259zd2_3634;
																																																																						BgL_carzd24258zd2_3633
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd24253zd2_3632));
																																																																						BgL_cdrzd24259zd2_3634
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd24253zd2_3632));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24258zd2_3633))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (PAIRP(BgL_cdrzd24259zd2_3634))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd24266zd2_3637;
																																																																										BgL_carzd24266zd2_3637
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd24259zd2_3634);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24266zd2_3637))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(BgL_cdrzd24259zd2_3634)))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test8413z00_18063;
																																																																														{
																																																																															obj_t
																																																																																BgL_l1386z00_3670;
																																																																															BgL_l1386z00_3670
																																																																																=
																																																																																BgL_cdrzd24241zd2_3628;
																																																																														BgL_zc3z04anonymousza33128ze3z87_3671:
																																																																															if (NULLP(BgL_l1386z00_3670))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test8413z00_18063
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test8415z00_18066;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		bool_t
																																																																																			BgL_test8416z00_18067;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_tmpz00_18068;
																																																																																			BgL_tmpz00_18068
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_l1386z00_3670));
																																																																																			BgL_test8416z00_18067
																																																																																				=
																																																																																				PAIRP
																																																																																				(BgL_tmpz00_18068);
																																																																																		}
																																																																																		if (BgL_test8416z00_18067)
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test8415z00_18066
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test8415z00_18066
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																	}
																																																																																	if (BgL_test8415z00_18066)
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_l1386z00_18072;
																																																																																			BgL_l1386z00_18072
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_l1386z00_3670));
																																																																																			BgL_l1386z00_3670
																																																																																				=
																																																																																				BgL_l1386z00_18072;
																																																																																			goto
																																																																																				BgL_zc3z04anonymousza33128ze3z87_3671;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test8413z00_18063
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																}
																																																																														}
																																																																														if (BgL_test8413z00_18063)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg3111z00_3653;
																																																																																BgL_arg3111z00_3653
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd24247zd2_3629));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18077;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_18081;
																																																																																		obj_t
																																																																																			BgL_proc2z00_18080;
																																																																																		obj_t
																																																																																			BgL_proc1z00_18079;
																																																																																		obj_t
																																																																																			BgL_testz00_18078;
																																																																																		BgL_testz00_18078
																																																																																			=
																																																																																			BgL_arg3111z00_3653;
																																																																																		BgL_proc1z00_18079
																																																																																			=
																																																																																			BgL_carzd24258zd2_3633;
																																																																																		BgL_proc2z00_18080
																																																																																			=
																																																																																			BgL_carzd24266zd2_3637;
																																																																																		BgL_argsz00_18081
																																																																																			=
																																																																																			BgL_cdrzd24241zd2_3628;
																																																																																		BgL_argsz00_1812
																																																																																			=
																																																																																			BgL_argsz00_18081;
																																																																																		BgL_proc2z00_1811
																																																																																			=
																																																																																			BgL_proc2z00_18080;
																																																																																		BgL_proc1z00_1810
																																																																																			=
																																																																																			BgL_proc1z00_18079;
																																																																																		BgL_testz00_1809
																																																																																			=
																																																																																			BgL_testz00_18078;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1813;
																																																																																	}
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18077);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd24290zd2_3654;
																																																																																BgL_cdrzd24290zd2_3654
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd24297zd2_3655;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_11657;
																																																																																		BgL_pairz00_11657
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		BgL_cdrzd24297zd2_3655
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_pairz00_11657);
																																																																																	}
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd24304zd2_3656;
																																																																																		BgL_cdrzd24304zd2_3656
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd24297zd2_3655));
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd24310zd2_3657;
																																																																																			BgL_carzd24310zd2_3657
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd24304zd2_3656));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24310zd2_3657))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_carzd24317zd2_3659;
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_pairz00_11661;
																																																																																						BgL_pairz00_11661
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd24304zd2_3656));
																																																																																						BgL_carzd24317zd2_3659
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_pairz00_11661);
																																																																																					}
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24317zd2_3659))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24290zd2_3654))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_arg3117z00_3662;
																																																																																									BgL_arg3117z00_3662
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd24297zd2_3655));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_18103;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_18107;
																																																																																											obj_t
																																																																																												BgL_proc2z00_18106;
																																																																																											obj_t
																																																																																												BgL_proc1z00_18105;
																																																																																											obj_t
																																																																																												BgL_testz00_18104;
																																																																																											BgL_testz00_18104
																																																																																												=
																																																																																												BgL_arg3117z00_3662;
																																																																																											BgL_proc1z00_18105
																																																																																												=
																																																																																												BgL_carzd24310zd2_3657;
																																																																																											BgL_proc2z00_18106
																																																																																												=
																																																																																												BgL_carzd24317zd2_3659;
																																																																																											BgL_argsz00_18107
																																																																																												=
																																																																																												BgL_cdrzd24290zd2_3654;
																																																																																											BgL_argsz00_1817
																																																																																												=
																																																																																												BgL_argsz00_18107;
																																																																																											BgL_proc2z00_1816
																																																																																												=
																																																																																												BgL_proc2z00_18106;
																																																																																											BgL_proc1z00_1815
																																																																																												=
																																																																																												BgL_proc1z00_18105;
																																																																																											BgL_testz00_1814
																																																																																												=
																																																																																												BgL_testz00_18104;
																																																																																											goto
																																																																																												BgL_tagzd2389zd2_1818;
																																																																																										}
																																																																																										BgL_auxz00_16271
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_18103);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1842;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_18111;
																																																																																											goto
																																																																																												BgL_tagzd2405zd2_1843;
																																																																																											BgL_auxz00_16271
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_18111);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1842;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_18115;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1843;
																																																																																									BgL_auxz00_16271
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_18115);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18119;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18119);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_18123;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																																BgL_auxz00_16271
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_18123);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd24593zd2_3681;
																																																																												BgL_cdrzd24593zd2_3681
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd24599zd2_3682;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_11665;
																																																																														BgL_pairz00_11665
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd24599zd2_3682
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_11665);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd24605zd2_3683;
																																																																														BgL_cdrzd24605zd2_3683
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd24599zd2_3682));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd24610zd2_3684;
																																																																															obj_t
																																																																																BgL_cdrzd24611zd2_3685;
																																																																															BgL_carzd24610zd2_3684
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd24605zd2_3683));
																																																																															BgL_cdrzd24611zd2_3685
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd24605zd2_3683));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24610zd2_3684))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd24616zd2_3687;
																																																																																	BgL_carzd24616zd2_3687
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd24611zd2_3685));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24616zd2_3687))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (NULLP(CDR(((obj_t) BgL_cdrzd24611zd2_3685))))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24593zd2_3681))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg3137z00_3692;
																																																																																							BgL_arg3137z00_3692
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd24599zd2_3682));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_18150;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_18154;
																																																																																									obj_t
																																																																																										BgL_proc2z00_18153;
																																																																																									obj_t
																																																																																										BgL_proc1z00_18152;
																																																																																									obj_t
																																																																																										BgL_testz00_18151;
																																																																																									BgL_testz00_18151
																																																																																										=
																																																																																										BgL_arg3137z00_3692;
																																																																																									BgL_proc1z00_18152
																																																																																										=
																																																																																										BgL_carzd24610zd2_3684;
																																																																																									BgL_proc2z00_18153
																																																																																										=
																																																																																										BgL_carzd24616zd2_3687;
																																																																																									BgL_argsz00_18154
																																																																																										=
																																																																																										BgL_cdrzd24593zd2_3681;
																																																																																									BgL_argsz00_1817
																																																																																										=
																																																																																										BgL_argsz00_18154;
																																																																																									BgL_proc2z00_1816
																																																																																										=
																																																																																										BgL_proc2z00_18153;
																																																																																									BgL_proc1z00_1815
																																																																																										=
																																																																																										BgL_proc1z00_18152;
																																																																																									BgL_testz00_1814
																																																																																										=
																																																																																										BgL_testz00_18151;
																																																																																									goto
																																																																																										BgL_tagzd2389zd2_1818;
																																																																																								}
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_18150);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1842;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_18158;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1843;
																																																																																									BgL_auxz00_16271
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_18158);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18162;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18162);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18166;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18166);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18170;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18170);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_18174;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_16271
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_18174);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd24949zd2_3700;
																																																																								BgL_cdrzd24949zd2_3700
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd24956zd2_3701;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_11674;
																																																																										BgL_pairz00_11674
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd24956zd2_3701
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_11674);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd24963zd2_3702;
																																																																										BgL_cdrzd24963zd2_3702
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd24956zd2_3701));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd24969zd2_3703;
																																																																											obj_t
																																																																												BgL_cdrzd24970zd2_3704;
																																																																											BgL_carzd24969zd2_3703
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd24963zd2_3702));
																																																																											BgL_cdrzd24970zd2_3704
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd24963zd2_3702));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24969zd2_3703))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (PAIRP(BgL_cdrzd24970zd2_3704))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd24977zd2_3707;
																																																																															BgL_carzd24977zd2_3707
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd24970zd2_3704);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24977zd2_3707))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(BgL_cdrzd24970zd2_3704)))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24949zd2_3700))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg3157z00_3712;
																																																																																					BgL_arg3157z00_3712
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd24956zd2_3701));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18201;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_18205;
																																																																																							obj_t
																																																																																								BgL_proc2z00_18204;
																																																																																							obj_t
																																																																																								BgL_proc1z00_18203;
																																																																																							obj_t
																																																																																								BgL_testz00_18202;
																																																																																							BgL_testz00_18202
																																																																																								=
																																																																																								BgL_arg3157z00_3712;
																																																																																							BgL_proc1z00_18203
																																																																																								=
																																																																																								BgL_carzd24969zd2_3703;
																																																																																							BgL_proc2z00_18204
																																																																																								=
																																																																																								BgL_carzd24977zd2_3707;
																																																																																							BgL_argsz00_18205
																																																																																								=
																																																																																								BgL_cdrzd24949zd2_3700;
																																																																																							BgL_argsz00_1817
																																																																																								=
																																																																																								BgL_argsz00_18205;
																																																																																							BgL_proc2z00_1816
																																																																																								=
																																																																																								BgL_proc2z00_18204;
																																																																																							BgL_proc1z00_1815
																																																																																								=
																																																																																								BgL_proc1z00_18203;
																																																																																							BgL_testz00_1814
																																																																																								=
																																																																																								BgL_testz00_18202;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1818;
																																																																																						}
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18201);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18209;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18209);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18213;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18213);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18217;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18217);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18221;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18221);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18225;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18225);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_18229;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18229);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd25370zd2_3726;
																																																								BgL_cdrzd25370zd2_3726
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8444z00_18233;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3191z00_3743;
																																																										BgL_arg3191z00_3743
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8444z00_18233
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg3191z00_3743));
																																																									}
																																																									if (BgL_test8444z00_18233)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg3174z00_3729;
																																																											obj_t
																																																												BgL_arg3175z00_3730;
																																																											BgL_arg3174z00_3729
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd25370zd2_3726));
																																																											BgL_arg3175z00_3730
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd25370zd2_3726));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_18242;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_18244;
																																																													obj_t
																																																														BgL_bindingsz00_18243;
																																																													BgL_bindingsz00_18243
																																																														=
																																																														BgL_arg3174z00_3729;
																																																													BgL_exprz00_18244
																																																														=
																																																														BgL_arg3175z00_3730;
																																																													BgL_exprz00_1797
																																																														=
																																																														BgL_exprz00_18244;
																																																													BgL_bindingsz00_1796
																																																														=
																																																														BgL_bindingsz00_18243;
																																																													goto
																																																														BgL_tagzd2383zd2_1798;
																																																												}
																																																												BgL_auxz00_16271
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_18242);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8445z00_18246;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3189z00_3742;
																																																												BgL_arg3189z00_3742
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8445z00_18246
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg3189z00_3742));
																																																											}
																																																											if (BgL_test8445z00_18246)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_18251;
																																																													goto
																																																														BgL_tagzd2385zd2_1800;
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_18251);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd25436zd2_3733;
																																																													BgL_carzd25436zd2_3733
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd25441zd2_3734;
																																																														BgL_cdrzd25441zd2_3734
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd25436zd2_3733));
																																																														if ((CAR(((obj_t) BgL_carzd25436zd2_3733)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg3182z00_3737;
																																																																obj_t
																																																																	BgL_arg3183z00_3738;
																																																																obj_t
																																																																	BgL_arg3186z00_3739;
																																																																BgL_arg3182z00_3737
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd25441zd2_3734));
																																																																BgL_arg3183z00_3738
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd25441zd2_3734));
																																																																BgL_arg3186z00_3739
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_18268;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_18271;
																																																																		obj_t
																																																																			BgL_bodyz00_18270;
																																																																		obj_t
																																																																			BgL_varsz00_18269;
																																																																		BgL_varsz00_18269
																																																																			=
																																																																			BgL_arg3182z00_3737;
																																																																		BgL_bodyz00_18270
																																																																			=
																																																																			BgL_arg3183z00_3738;
																																																																		BgL_argsz00_18271
																																																																			=
																																																																			BgL_arg3186z00_3739;
																																																																		BgL_argsz00_1807
																																																																			=
																																																																			BgL_argsz00_18271;
																																																																		BgL_bodyz00_1806
																																																																			=
																																																																			BgL_bodyz00_18270;
																																																																		BgL_varsz00_1805
																																																																			=
																																																																			BgL_varsz00_18269;
																																																																		goto
																																																																			BgL_tagzd2387zd2_1808;
																																																																	}
																																																																	BgL_auxz00_16271
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18268);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_18275;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_16271
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_18275);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd25552zd2_3744;
																																																						BgL_cdrzd25552zd2_3744
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8448z00_18279;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3204z00_3753;
																																																								BgL_arg3204z00_3753
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8448z00_18279
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg3204z00_3753));
																																																							}
																																																							if (BgL_test8448z00_18279)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg3197z00_3747;
																																																									obj_t
																																																										BgL_arg3199z00_3748;
																																																									BgL_arg3197z00_3747
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd25552zd2_3744));
																																																									BgL_arg3199z00_3748
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd25552zd2_3744));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_18288;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_18290;
																																																											obj_t
																																																												BgL_bindingsz00_18289;
																																																											BgL_bindingsz00_18289
																																																												=
																																																												BgL_arg3197z00_3747;
																																																											BgL_exprz00_18290
																																																												=
																																																												BgL_arg3199z00_3748;
																																																											BgL_exprz00_1797
																																																												=
																																																												BgL_exprz00_18290;
																																																											BgL_bindingsz00_1796
																																																												=
																																																												BgL_bindingsz00_18289;
																																																											goto
																																																												BgL_tagzd2383zd2_1798;
																																																										}
																																																										BgL_auxz00_16271
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_18288);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8449z00_18292;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3203z00_3752;
																																																										BgL_arg3203z00_3752
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8449z00_18292
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg3203z00_3752));
																																																									}
																																																									if (BgL_test8449z00_18292)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_18297;
																																																											goto
																																																												BgL_tagzd2385zd2_1800;
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_18297);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1842;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_18301;
																																																													goto
																																																														BgL_tagzd2405zd2_1843;
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_18301);
																																																												}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd24117zd2_3483)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd24119zd2_3485;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((BgL_carzd24117zd2_3483 == CNST_TABLE_REF(((long) 19))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd24119zd2_3485;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((BgL_carzd24117zd2_3483 == CNST_TABLE_REF(((long) 20))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd24119zd2_3485;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd24117zd2_3483)))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_kapzd24119zd2_3485;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd25724zd2_3488;
																																																												BgL_cdrzd25724zd2_3488
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test8455z00_18317;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg3068z00_3605;
																																																														BgL_arg3068z00_3605
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test8455z00_18317
																																																															=
																																																															CBOOL
																																																															(BGl_letzd2symzf3z21zzast_letz00
																																																															(BgL_arg3068z00_3605));
																																																													}
																																																													if (BgL_test8455z00_18317)
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg2970z00_3491;
																																																															obj_t
																																																																BgL_arg2971z00_3492;
																																																															BgL_arg2970z00_3491
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd25724zd2_3488));
																																																															BgL_arg2971z00_3492
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd25724zd2_3488));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_18326;
																																																																{
																																																																	obj_t
																																																																		BgL_exprz00_18328;
																																																																	obj_t
																																																																		BgL_bindingsz00_18327;
																																																																	BgL_bindingsz00_18327
																																																																		=
																																																																		BgL_arg2970z00_3491;
																																																																	BgL_exprz00_18328
																																																																		=
																																																																		BgL_arg2971z00_3492;
																																																																	BgL_exprz00_1797
																																																																		=
																																																																		BgL_exprz00_18328;
																																																																	BgL_bindingsz00_1796
																																																																		=
																																																																		BgL_bindingsz00_18327;
																																																																	goto
																																																																		BgL_tagzd2383zd2_1798;
																																																																}
																																																																BgL_auxz00_16271
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_18326);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test8456z00_18330;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg3065z00_3604;
																																																																BgL_arg3065z00_3604
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_test8456z00_18330
																																																																	=
																																																																	CBOOL
																																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																																	(BgL_arg3065z00_3604));
																																																															}
																																																															if (BgL_test8456z00_18330)
																																																																{
																																																																	BgL_letzd2funzd2_bglt
																																																																		BgL_auxz00_18335;
																																																																	goto
																																																																		BgL_tagzd2385zd2_1800;
																																																																	BgL_auxz00_16271
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18335);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd25790zd2_3495;
																																																																	BgL_carzd25790zd2_3495
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd25795zd2_3496;
																																																																		BgL_cdrzd25795zd2_3496
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd25790zd2_3495));
																																																																		if ((CAR(((obj_t) BgL_carzd25790zd2_3495)) == CNST_TABLE_REF(((long) 3))))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd25795zd2_3496))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg2980z00_3500;
																																																																						obj_t
																																																																							BgL_arg2982z00_3501;
																																																																						obj_t
																																																																							BgL_arg2983z00_3502;
																																																																						BgL_arg2980z00_3500
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd25795zd2_3496);
																																																																						BgL_arg2982z00_3501
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd25795zd2_3496);
																																																																						BgL_arg2983z00_3502
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_18352;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_18355;
																																																																								obj_t
																																																																									BgL_bodyz00_18354;
																																																																								obj_t
																																																																									BgL_varsz00_18353;
																																																																								BgL_varsz00_18353
																																																																									=
																																																																									BgL_arg2980z00_3500;
																																																																								BgL_bodyz00_18354
																																																																									=
																																																																									BgL_arg2982z00_3501;
																																																																								BgL_argsz00_18355
																																																																									=
																																																																									BgL_arg2983z00_3502;
																																																																								BgL_argsz00_1807
																																																																									=
																																																																									BgL_argsz00_18355;
																																																																								BgL_bodyz00_1806
																																																																									=
																																																																									BgL_bodyz00_18354;
																																																																								BgL_varsz00_1805
																																																																									=
																																																																									BgL_varsz00_18353;
																																																																								goto
																																																																									BgL_tagzd2387zd2_1808;
																																																																							}
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18352);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_18359;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_16271
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_18359);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd25902zd2_3505;
																																																																				BgL_cdrzd25902zd2_3505
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd25907zd2_3506;
																																																																					BgL_cdrzd25907zd2_3506
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_carzd25790zd2_3495));
																																																																					if ((CAR(((obj_t) BgL_carzd25790zd2_3495)) == CNST_TABLE_REF(((long) 1))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd25907zd2_3506))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd25912zd2_3510;
																																																																									BgL_cdrzd25912zd2_3510
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd25907zd2_3506);
																																																																									if (PAIRP(BgL_cdrzd25912zd2_3510))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd25916zd2_3512;
																																																																											obj_t
																																																																												BgL_cdrzd25917zd2_3513;
																																																																											BgL_carzd25916zd2_3512
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd25912zd2_3510);
																																																																											BgL_cdrzd25917zd2_3513
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd25912zd2_3510);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25916zd2_3512))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (PAIRP(BgL_cdrzd25917zd2_3513))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd25922zd2_3516;
																																																																															BgL_carzd25922zd2_3516
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd25917zd2_3513);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25922zd2_3516))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(BgL_cdrzd25917zd2_3513)))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test8467z00_18387;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1389z00_3549;
																																																																																				BgL_l1389z00_3549
																																																																																					=
																																																																																					BgL_cdrzd25902zd2_3505;
																																																																																			BgL_zc3z04anonymousza33015ze3z87_3550:
																																																																																				if (NULLP(BgL_l1389z00_3549))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test8467z00_18387
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							1);
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						bool_t
																																																																																							BgL_test8469z00_18390;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							bool_t
																																																																																								BgL_test8470z00_18391;
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_tmpz00_18392;
																																																																																								BgL_tmpz00_18392
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_l1389z00_3549));
																																																																																								BgL_test8470z00_18391
																																																																																									=
																																																																																									PAIRP
																																																																																									(BgL_tmpz00_18392);
																																																																																							}
																																																																																							if (BgL_test8470z00_18391)
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									BgL_test8469z00_18390
																																																																																										=
																																																																																										(
																																																																																										(bool_t)
																																																																																										0);
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									BgL_test8469z00_18390
																																																																																										=
																																																																																										(
																																																																																										(bool_t)
																																																																																										1);
																																																																																								}
																																																																																						}
																																																																																						if (BgL_test8469z00_18390)
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_l1389z00_18396;
																																																																																								BgL_l1389z00_18396
																																																																																									=
																																																																																									CDR
																																																																																									(
																																																																																									((obj_t) BgL_l1389z00_3549));
																																																																																								BgL_l1389z00_3549
																																																																																									=
																																																																																									BgL_l1389z00_18396;
																																																																																								goto
																																																																																									BgL_zc3z04anonymousza33015ze3z87_3550;
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								BgL_test8467z00_18387
																																																																																									=
																																																																																									(
																																																																																									(bool_t)
																																																																																									0);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																			if (BgL_test8467z00_18387)
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg3003z00_3532;
																																																																																					BgL_arg3003z00_3532
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd25907zd2_3506);
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18400;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_18404;
																																																																																							obj_t
																																																																																								BgL_proc2z00_18403;
																																																																																							obj_t
																																																																																								BgL_proc1z00_18402;
																																																																																							obj_t
																																																																																								BgL_testz00_18401;
																																																																																							BgL_testz00_18401
																																																																																								=
																																																																																								BgL_arg3003z00_3532;
																																																																																							BgL_proc1z00_18402
																																																																																								=
																																																																																								BgL_carzd25916zd2_3512;
																																																																																							BgL_proc2z00_18403
																																																																																								=
																																																																																								BgL_carzd25922zd2_3516;
																																																																																							BgL_argsz00_18404
																																																																																								=
																																																																																								BgL_cdrzd25902zd2_3505;
																																																																																							BgL_argsz00_1812
																																																																																								=
																																																																																								BgL_argsz00_18404;
																																																																																							BgL_proc2z00_1811
																																																																																								=
																																																																																								BgL_proc2z00_18403;
																																																																																							BgL_proc1z00_1810
																																																																																								=
																																																																																								BgL_proc1z00_18402;
																																																																																							BgL_testz00_1809
																																																																																								=
																																																																																								BgL_testz00_18401;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1813;
																																																																																						}
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18400);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd25947zd2_3533;
																																																																																					BgL_cdrzd25947zd2_3533
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_cdrzd25955zd2_3534;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_pairz00_11722;
																																																																																							BgL_pairz00_11722
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_expz00_21));
																																																																																							BgL_cdrzd25955zd2_3534
																																																																																								=
																																																																																								CDR
																																																																																								(BgL_pairz00_11722);
																																																																																						}
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_cdrzd25963zd2_3535;
																																																																																							BgL_cdrzd25963zd2_3535
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd25955zd2_3534));
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd25970zd2_3536;
																																																																																								BgL_carzd25970zd2_3536
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd25963zd2_3535));
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25970zd2_3536))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_carzd25979zd2_3538;
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											obj_t
																																																																																												BgL_pairz00_11726;
																																																																																											BgL_pairz00_11726
																																																																																												=
																																																																																												CDR
																																																																																												(
																																																																																												((obj_t) BgL_cdrzd25963zd2_3535));
																																																																																											BgL_carzd25979zd2_3538
																																																																																												=
																																																																																												CAR
																																																																																												(BgL_pairz00_11726);
																																																																																										}
																																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25979zd2_3538))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd25947zd2_3533))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														obj_t
																																																																																															BgL_arg3007z00_3541;
																																																																																														BgL_arg3007z00_3541
																																																																																															=
																																																																																															CAR
																																																																																															(
																																																																																															((obj_t) BgL_cdrzd25955zd2_3534));
																																																																																														{
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_auxz00_18426;
																																																																																															{
																																																																																																obj_t
																																																																																																	BgL_argsz00_18430;
																																																																																																obj_t
																																																																																																	BgL_proc2z00_18429;
																																																																																																obj_t
																																																																																																	BgL_proc1z00_18428;
																																																																																																obj_t
																																																																																																	BgL_testz00_18427;
																																																																																																BgL_testz00_18427
																																																																																																	=
																																																																																																	BgL_arg3007z00_3541;
																																																																																																BgL_proc1z00_18428
																																																																																																	=
																																																																																																	BgL_carzd25970zd2_3536;
																																																																																																BgL_proc2z00_18429
																																																																																																	=
																																																																																																	BgL_carzd25979zd2_3538;
																																																																																																BgL_argsz00_18430
																																																																																																	=
																																																																																																	BgL_cdrzd25947zd2_3533;
																																																																																																BgL_argsz00_1817
																																																																																																	=
																																																																																																	BgL_argsz00_18430;
																																																																																																BgL_proc2z00_1816
																																																																																																	=
																																																																																																	BgL_proc2z00_18429;
																																																																																																BgL_proc1z00_1815
																																																																																																	=
																																																																																																	BgL_proc1z00_18428;
																																																																																																BgL_testz00_1814
																																																																																																	=
																																																																																																	BgL_testz00_18427;
																																																																																																goto
																																																																																																	BgL_tagzd2389zd2_1818;
																																																																																															}
																																																																																															BgL_auxz00_16271
																																																																																																=
																																																																																																(
																																																																																																(obj_t)
																																																																																																BgL_auxz00_18426);
																																																																																														}
																																																																																													}
																																																																																												else
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																goto
																																																																																																	BgL_tagzd2404zd2_1842;
																																																																																															}
																																																																																														else
																																																																																															{
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_auxz00_18434;
																																																																																																goto
																																																																																																	BgL_tagzd2405zd2_1843;
																																																																																																BgL_auxz00_16271
																																																																																																	=
																																																																																																	(
																																																																																																	(obj_t)
																																																																																																	BgL_auxz00_18434);
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1842;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_18438;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1843;
																																																																																														BgL_auxz00_16271
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_18438);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_18442;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_16271
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_18442);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18446;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18446);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd26257zd2_3560;
																																																																																	BgL_cdrzd26257zd2_3560
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd26264zd2_3561;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_11730;
																																																																																			BgL_pairz00_11730
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd26264zd2_3561
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_11730);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd26271zd2_3562;
																																																																																			BgL_cdrzd26271zd2_3562
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd26264zd2_3561));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd26277zd2_3563;
																																																																																				obj_t
																																																																																					BgL_cdrzd26278zd2_3564;
																																																																																				BgL_carzd26277zd2_3563
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd26271zd2_3562));
																																																																																				BgL_cdrzd26278zd2_3564
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd26271zd2_3562));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26277zd2_3563))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd26285zd2_3566;
																																																																																						BgL_carzd26285zd2_3566
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd26278zd2_3564));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26285zd2_3566))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd26278zd2_3564))))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26257zd2_3560))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg3028z00_3571;
																																																																																												BgL_arg3028z00_3571
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd26264zd2_3561));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_18473;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_18477;
																																																																																														obj_t
																																																																																															BgL_proc2z00_18476;
																																																																																														obj_t
																																																																																															BgL_proc1z00_18475;
																																																																																														obj_t
																																																																																															BgL_testz00_18474;
																																																																																														BgL_testz00_18474
																																																																																															=
																																																																																															BgL_arg3028z00_3571;
																																																																																														BgL_proc1z00_18475
																																																																																															=
																																																																																															BgL_carzd26277zd2_3563;
																																																																																														BgL_proc2z00_18476
																																																																																															=
																																																																																															BgL_carzd26285zd2_3566;
																																																																																														BgL_argsz00_18477
																																																																																															=
																																																																																															BgL_cdrzd26257zd2_3560;
																																																																																														BgL_argsz00_1817
																																																																																															=
																																																																																															BgL_argsz00_18477;
																																																																																														BgL_proc2z00_1816
																																																																																															=
																																																																																															BgL_proc2z00_18476;
																																																																																														BgL_proc1z00_1815
																																																																																															=
																																																																																															BgL_proc1z00_18475;
																																																																																														BgL_testz00_1814
																																																																																															=
																																																																																															BgL_testz00_18474;
																																																																																														goto
																																																																																															BgL_tagzd2389zd2_1818;
																																																																																													}
																																																																																													BgL_auxz00_16271
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_18473);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1842;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_18481;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1843;
																																																																																														BgL_auxz00_16271
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_18481);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_18485;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_16271
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_18485);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_18489;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_16271
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_18489);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_18493;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_18493);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18497;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18497);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd26618zd2_3579;
																																																																													BgL_cdrzd26618zd2_3579
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd26624zd2_3580;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_11739;
																																																																															BgL_pairz00_11739
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd26624zd2_3580
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_11739);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd26630zd2_3581;
																																																																															BgL_cdrzd26630zd2_3581
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd26624zd2_3580));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd26635zd2_3582;
																																																																																obj_t
																																																																																	BgL_cdrzd26636zd2_3583;
																																																																																BgL_carzd26635zd2_3582
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd26630zd2_3581));
																																																																																BgL_cdrzd26636zd2_3583
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd26630zd2_3581));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26635zd2_3582))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (PAIRP(BgL_cdrzd26636zd2_3583))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd26641zd2_3586;
																																																																																				BgL_carzd26641zd2_3586
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd26636zd2_3583);
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26641zd2_3586))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(BgL_cdrzd26636zd2_3583)))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26618zd2_3579))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg3044z00_3591;
																																																																																										BgL_arg3044z00_3591
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd26624zd2_3580));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_18524;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_18528;
																																																																																												obj_t
																																																																																													BgL_proc2z00_18527;
																																																																																												obj_t
																																																																																													BgL_proc1z00_18526;
																																																																																												obj_t
																																																																																													BgL_testz00_18525;
																																																																																												BgL_testz00_18525
																																																																																													=
																																																																																													BgL_arg3044z00_3591;
																																																																																												BgL_proc1z00_18526
																																																																																													=
																																																																																													BgL_carzd26635zd2_3582;
																																																																																												BgL_proc2z00_18527
																																																																																													=
																																																																																													BgL_carzd26641zd2_3586;
																																																																																												BgL_argsz00_18528
																																																																																													=
																																																																																													BgL_cdrzd26618zd2_3579;
																																																																																												BgL_argsz00_1817
																																																																																													=
																																																																																													BgL_argsz00_18528;
																																																																																												BgL_proc2z00_1816
																																																																																													=
																																																																																													BgL_proc2z00_18527;
																																																																																												BgL_proc1z00_1815
																																																																																													=
																																																																																													BgL_proc1z00_18526;
																																																																																												BgL_testz00_1814
																																																																																													=
																																																																																													BgL_testz00_18525;
																																																																																												goto
																																																																																													BgL_tagzd2389zd2_1818;
																																																																																											}
																																																																																											BgL_auxz00_16271
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_18524);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_18532;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_16271
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_18532);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_18536;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_16271
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_18536);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_18540;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_18540);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18544;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18544);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_18548;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_16271
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_18548);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18552;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18552);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18556;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18556);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_18560;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18560);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((BgL_carzd24114zd2_3481 == CNST_TABLE_REF(((long) 18))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg3206z00_3756;
																																																			obj_t
																																																				BgL_arg3207z00_3757;
																																																			BgL_arg3206z00_3756
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd24089zd2_3476));
																																																			BgL_arg3207z00_3757
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd24089zd2_3476));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_18569;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_18571;
																																																					obj_t
																																																						BgL_bindingsz00_18570;
																																																					BgL_bindingsz00_18570
																																																						=
																																																						BgL_arg3206z00_3756;
																																																					BgL_exprz00_18571
																																																						=
																																																						BgL_arg3207z00_3757;
																																																					BgL_exprz00_1797
																																																						=
																																																						BgL_exprz00_18571;
																																																					BgL_bindingsz00_1796
																																																						=
																																																						BgL_bindingsz00_18570;
																																																					goto
																																																						BgL_tagzd2383zd2_1798;
																																																				}
																																																				BgL_auxz00_16271
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_18569);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd24114zd2_3481)))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg3210z00_3759;
																																																					obj_t
																																																						BgL_arg3211z00_3760;
																																																					BgL_arg3210z00_3759
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd24089zd2_3476));
																																																					BgL_arg3211z00_3760
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd24089zd2_3476));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_18580;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_18582;
																																																							obj_t
																																																								BgL_bindingsz00_18581;
																																																							BgL_bindingsz00_18581
																																																								=
																																																								BgL_arg3210z00_3759;
																																																							BgL_exprz00_18582
																																																								=
																																																								BgL_arg3211z00_3760;
																																																							BgL_exprz00_1797
																																																								=
																																																								BgL_exprz00_18582;
																																																							BgL_bindingsz00_1796
																																																								=
																																																								BgL_bindingsz00_18581;
																																																							goto
																																																								BgL_tagzd2383zd2_1798;
																																																						}
																																																						BgL_auxz00_16271
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_18580);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((BgL_carzd24114zd2_3481 == CNST_TABLE_REF(((long) 19))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg3212z00_3761;
																																																							obj_t
																																																								BgL_arg3213z00_3762;
																																																							BgL_arg3212z00_3761
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd24089zd2_3476));
																																																							BgL_arg3213z00_3762
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd24089zd2_3476));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_18591;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_18593;
																																																									obj_t
																																																										BgL_bindingsz00_18592;
																																																									BgL_bindingsz00_18592
																																																										=
																																																										BgL_arg3212z00_3761;
																																																									BgL_exprz00_18593
																																																										=
																																																										BgL_arg3213z00_3762;
																																																									BgL_exprz00_1797
																																																										=
																																																										BgL_exprz00_18593;
																																																									BgL_bindingsz00_1796
																																																										=
																																																										BgL_bindingsz00_18592;
																																																									goto
																																																										BgL_tagzd2383zd2_1798;
																																																								}
																																																								BgL_auxz00_16271
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_18591);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_18600;
																																																									goto
																																																										BgL_tagzd2384zd2_1799;
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_18600);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd27216zd2_3765;
																																																									BgL_carzd27216zd2_3765
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((BgL_carzd27216zd2_3765 == CNST_TABLE_REF(((long) 20))))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_18607;
																																																											goto
																																																												BgL_tagzd2385zd2_1800;
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_18607);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd27216zd2_3765)))
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_18612;
																																																													goto
																																																														BgL_tagzd2385zd2_1800;
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_18612);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_18619;
																																																															goto
																																																																BgL_tagzd2390zd2_1819;
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_18619);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_18626;
																																																																	goto
																																																																		BgL_tagzd2391zd2_1820;
																																																																	BgL_auxz00_16271
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18626);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd27296zd2_3771;
																																																																	BgL_cdrzd27296zd2_3771
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg3228z00_3774;
																																																																			obj_t
																																																																				BgL_arg3231z00_3775;
																																																																			BgL_arg3228z00_3774
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd27296zd2_3771));
																																																																			BgL_arg3231z00_3775
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd27296zd2_3771));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_18639;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_18641;
																																																																					obj_t
																																																																						BgL_effectz00_18640;
																																																																					BgL_effectz00_18640
																																																																						=
																																																																						BgL_arg3228z00_3774;
																																																																					BgL_restz00_18641
																																																																						=
																																																																						BgL_arg3231z00_3775;
																																																																					BgL_restz00_1822
																																																																						=
																																																																						BgL_restz00_18641;
																																																																					BgL_effectz00_1821
																																																																						=
																																																																						BgL_effectz00_18640;
																																																																					goto
																																																																						BgL_tagzd2392zd2_1823;
																																																																				}
																																																																				BgL_auxz00_16271
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_18639);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_18648;
																																																																					goto
																																																																						BgL_tagzd2393zd2_1824;
																																																																					BgL_auxz00_16271
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_18648);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_18655;
																																																																							goto
																																																																								BgL_tagzd2394zd2_1825;
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18655);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg3238z00_3783;
																																																																									obj_t
																																																																										BgL_arg3239z00_3784;
																																																																									BgL_arg3238z00_3783
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd27296zd2_3771));
																																																																									BgL_arg3239z00_3784
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd27296zd2_3771));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_18666;
																																																																										{
																																																																											obj_t
																																																																												BgL_restz00_18668;
																																																																											obj_t
																																																																												BgL_effectz00_18667;
																																																																											BgL_effectz00_18667
																																																																												=
																																																																												BgL_arg3238z00_3783;
																																																																											BgL_restz00_18668
																																																																												=
																																																																												BgL_arg3239z00_3784;
																																																																											BgL_restz00_1827
																																																																												=
																																																																												BgL_restz00_18668;
																																																																											BgL_effectz00_1826
																																																																												=
																																																																												BgL_effectz00_18667;
																																																																											goto
																																																																												BgL_tagzd2395zd2_1828;
																																																																										}
																																																																										BgL_auxz00_16271
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_18666);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18675;
																																																																											goto
																																																																												BgL_tagzd2396zd2_1829;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18675);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18682;
																																																																													goto
																																																																														BgL_tagzd2397zd2_1830;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18682);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																														{
																																																																															BgL_letzd2funzd2_bglt
																																																																																BgL_auxz00_18689;
																																																																															goto
																																																																																BgL_tagzd2398zd2_1831;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18689);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																																{
																																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																																		BgL_auxz00_18696;
																																																																																	goto
																																																																																		BgL_tagzd2399zd2_1832;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18696);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd27373zd2_3793;
																																																																																	BgL_cdrzd27373zd2_3793
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg3257z00_3796;
																																																																																			obj_t
																																																																																				BgL_arg3259z00_3797;
																																																																																			BgL_arg3257z00_3796
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd27373zd2_3793));
																																																																																			BgL_arg3259z00_3797
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd27373zd2_3793));
																																																																																			{	/* Ast/sexp.scm 564 */
																																																																																				obj_t
																																																																																					BgL_arg7616z00_11776;
																																																																																				BgL_arg7616z00_11776
																																																																																					=
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(BgL_expz00_21,
																																																																																					BgL_locz00_23);
																																																																																				BgL_auxz00_16271
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																					(BgL_expz00_21,
																																																																																						BgL_arg3257z00_3796,
																																																																																						CNST_TABLE_REF
																																																																																						(((long) 4)), BgL_arg3259z00_3797, BgL_stackz00_22, BgL_arg7616z00_11776, BgL_sitez00_24));
																																																																																		}}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18715;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18715);
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd27398zd2_3815;
																																			BgL_carzd27398zd2_3815
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (
																																				(BgL_carzd27398zd2_3815
																																					==
																																					CNST_TABLE_REF
																																					(((long) 1))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_18722;
																																					goto
																																						BgL_tagzd2377zd2_1784;
																																					BgL_auxz00_16271
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_18722);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_carzd27398zd2_3815
																																							==
																																							BGl_za2ifza2z00zzast_sexpz00))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_18726;
																																							goto
																																								BgL_tagzd2377zd2_1784;
																																							BgL_auxz00_16271
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_18726);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_18733;
																																									goto
																																										BgL_tagzd2379zd2_1788;
																																									BgL_auxz00_16271
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_18733);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_18740;
																																											goto
																																												BgL_tagzd2380zd2_1789;
																																											BgL_auxz00_16271
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_18740);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd27469zd2_3821;
																																											BgL_cdrzd27469zd2_3821
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg3296z00_3824;
																																													obj_t
																																														BgL_arg3297z00_3825;
																																													BgL_arg3296z00_3824
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd27469zd2_3821));
																																													BgL_arg3297z00_3825
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27469zd2_3821));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_18753;
																																														{
																																															obj_t
																																																BgL_exprz00_18755;
																																															obj_t
																																																BgL_bindingsz00_18754;
																																															BgL_bindingsz00_18754
																																																=
																																																BgL_arg3296z00_3824;
																																															BgL_exprz00_18755
																																																=
																																																BgL_arg3297z00_3825;
																																															BgL_exprz00_1791
																																																=
																																																BgL_exprz00_18755;
																																															BgL_bindingsz00_1790
																																																=
																																																BgL_bindingsz00_18754;
																																															goto
																																																BgL_tagzd2381zd2_1792;
																																														}
																																														BgL_auxz00_16271
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_18753);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd27494zd2_3826;
																																													BgL_carzd27494zd2_3826
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if (PAIRP(BgL_carzd27494zd2_3826))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd27497zd2_3828;
																																															obj_t
																																																BgL_cdrzd27498zd2_3829;
																																															BgL_carzd27497zd2_3828
																																																=
																																																CAR
																																																(BgL_carzd27494zd2_3826);
																																															BgL_cdrzd27498zd2_3829
																																																=
																																																CDR
																																																(BgL_carzd27494zd2_3826);
																																															{

																																																if ((BgL_carzd27497zd2_3828 == CNST_TABLE_REF(((long) 18))))
																																																	{	/* Ast/sexp.scm 119 */
																																																	BgL_kapzd27499zd2_3830:
																																																		if (PAIRP(BgL_cdrzd27498zd2_3829))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd27502zd2_3952;
																																																				BgL_cdrzd27502zd2_3952
																																																					=
																																																					CDR
																																																					(BgL_cdrzd27498zd2_3829);
																																																				if (PAIRP(BgL_cdrzd27502zd2_3952))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (NULLP(CDR(BgL_cdrzd27502zd2_3952)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3407z00_3956;
																																																								obj_t
																																																									BgL_arg3408z00_3957;
																																																								BgL_arg3407z00_3956
																																																									=
																																																									CAR
																																																									(BgL_cdrzd27502zd2_3952);
																																																								BgL_arg3408z00_3957
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_18777;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_18779;
																																																										obj_t
																																																											BgL_bodyz00_18778;
																																																										BgL_bodyz00_18778
																																																											=
																																																											BgL_arg3407z00_3956;
																																																										BgL_argsz00_18779
																																																											=
																																																											BgL_arg3408z00_3957;
																																																										BgL_argsz00_1794
																																																											=
																																																											BgL_argsz00_18779;
																																																										BgL_bodyz00_1793
																																																											=
																																																											BgL_bodyz00_18778;
																																																										goto
																																																											BgL_tagzd2382zd2_1795;
																																																									}
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_18777);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd27526zd2_3958;
																																																								BgL_cdrzd27526zd2_3958
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8528z00_18783;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3491z00_4069;
																																																										BgL_arg3491z00_4069
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8528z00_18783
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg3491z00_4069));
																																																									}
																																																									if (BgL_test8528z00_18783)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg3413z00_3961;
																																																											obj_t
																																																												BgL_arg3414z00_3962;
																																																											BgL_arg3413z00_3961
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd27526zd2_3958));
																																																											BgL_arg3414z00_3962
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd27526zd2_3958));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_18792;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_18794;
																																																													obj_t
																																																														BgL_bindingsz00_18793;
																																																													BgL_bindingsz00_18793
																																																														=
																																																														BgL_arg3413z00_3961;
																																																													BgL_exprz00_18794
																																																														=
																																																														BgL_arg3414z00_3962;
																																																													BgL_exprz00_1797
																																																														=
																																																														BgL_exprz00_18794;
																																																													BgL_bindingsz00_1796
																																																														=
																																																														BgL_bindingsz00_18793;
																																																													goto
																																																														BgL_tagzd2383zd2_1798;
																																																												}
																																																												BgL_auxz00_16271
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_18792);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8529z00_18796;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3489z00_4068;
																																																												BgL_arg3489z00_4068
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8529z00_18796
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg3489z00_4068));
																																																											}
																																																											if (BgL_test8529z00_18796)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_18801;
																																																													goto
																																																														BgL_tagzd2385zd2_1800;
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_18801);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd27593zd2_3965;
																																																													BgL_carzd27593zd2_3965
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd27598zd2_3966;
																																																														BgL_cdrzd27598zd2_3966
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd27593zd2_3965));
																																																														if ((CAR(((obj_t) BgL_carzd27593zd2_3965)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg3421z00_3969;
																																																																obj_t
																																																																	BgL_arg3422z00_3970;
																																																																obj_t
																																																																	BgL_arg3424z00_3971;
																																																																BgL_arg3421z00_3969
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd27598zd2_3966));
																																																																BgL_arg3422z00_3970
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd27598zd2_3966));
																																																																BgL_arg3424z00_3971
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_18818;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_18821;
																																																																		obj_t
																																																																			BgL_bodyz00_18820;
																																																																		obj_t
																																																																			BgL_varsz00_18819;
																																																																		BgL_varsz00_18819
																																																																			=
																																																																			BgL_arg3421z00_3969;
																																																																		BgL_bodyz00_18820
																																																																			=
																																																																			BgL_arg3422z00_3970;
																																																																		BgL_argsz00_18821
																																																																			=
																																																																			BgL_arg3424z00_3971;
																																																																		BgL_argsz00_1807
																																																																			=
																																																																			BgL_argsz00_18821;
																																																																		BgL_bodyz00_1806
																																																																			=
																																																																			BgL_bodyz00_18820;
																																																																		BgL_varsz00_1805
																																																																			=
																																																																			BgL_varsz00_18819;
																																																																		goto
																																																																			BgL_tagzd2387zd2_1808;
																																																																	}
																																																																	BgL_auxz00_16271
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18818);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd27621zd2_3973;
																																																																BgL_cdrzd27621zd2_3973
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd27627zd2_3974;
																																																																	BgL_cdrzd27627zd2_3974
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd27593zd2_3965));
																																																																	if ((CAR(((obj_t) BgL_carzd27593zd2_3965)) == CNST_TABLE_REF(((long) 1))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd27633zd2_3977;
																																																																			BgL_cdrzd27633zd2_3977
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd27627zd2_3974));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd27638zd2_3978;
																																																																				obj_t
																																																																					BgL_cdrzd27639zd2_3979;
																																																																				BgL_carzd27638zd2_3978
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd27633zd2_3977));
																																																																				BgL_cdrzd27639zd2_3979
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd27633zd2_3977));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27638zd2_3978))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (PAIRP(BgL_cdrzd27639zd2_3979))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd27646zd2_3982;
																																																																								BgL_carzd27646zd2_3982
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd27639zd2_3979);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27646zd2_3982))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(BgL_cdrzd27639zd2_3979)))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test8536z00_18848;
																																																																												{
																																																																													obj_t
																																																																														BgL_l1392z00_4015;
																																																																													BgL_l1392z00_4015
																																																																														=
																																																																														BgL_cdrzd27621zd2_3973;
																																																																												BgL_zc3z04anonymousza33448ze3z87_4016:
																																																																													if (NULLP(BgL_l1392z00_4015))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test8536z00_18848
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test8538z00_18851;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test8539z00_18852;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_tmpz00_18853;
																																																																																	BgL_tmpz00_18853
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_l1392z00_4015));
																																																																																	BgL_test8539z00_18852
																																																																																		=
																																																																																		PAIRP
																																																																																		(BgL_tmpz00_18853);
																																																																																}
																																																																																if (BgL_test8539z00_18852)
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test8538z00_18851
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test8538z00_18851
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																															}
																																																																															if (BgL_test8538z00_18851)
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1392z00_18857;
																																																																																	BgL_l1392z00_18857
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_l1392z00_4015));
																																																																																	BgL_l1392z00_4015
																																																																																		=
																																																																																		BgL_l1392z00_18857;
																																																																																	goto
																																																																																		BgL_zc3z04anonymousza33448ze3z87_4016;
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test8536z00_18848
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																														}
																																																																												}
																																																																												if (BgL_test8536z00_18848)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg3438z00_3998;
																																																																														BgL_arg3438z00_3998
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd27627zd2_3974));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18862;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_18866;
																																																																																obj_t
																																																																																	BgL_proc2z00_18865;
																																																																																obj_t
																																																																																	BgL_proc1z00_18864;
																																																																																obj_t
																																																																																	BgL_testz00_18863;
																																																																																BgL_testz00_18863
																																																																																	=
																																																																																	BgL_arg3438z00_3998;
																																																																																BgL_proc1z00_18864
																																																																																	=
																																																																																	BgL_carzd27638zd2_3978;
																																																																																BgL_proc2z00_18865
																																																																																	=
																																																																																	BgL_carzd27646zd2_3982;
																																																																																BgL_argsz00_18866
																																																																																	=
																																																																																	BgL_cdrzd27621zd2_3973;
																																																																																BgL_argsz00_1812
																																																																																	=
																																																																																	BgL_argsz00_18866;
																																																																																BgL_proc2z00_1811
																																																																																	=
																																																																																	BgL_proc2z00_18865;
																																																																																BgL_proc1z00_1810
																																																																																	=
																																																																																	BgL_proc1z00_18864;
																																																																																BgL_testz00_1809
																																																																																	=
																																																																																	BgL_testz00_18863;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1813;
																																																																															}
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18862);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd27670zd2_3999;
																																																																														BgL_cdrzd27670zd2_3999
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd27677zd2_4000;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_11816;
																																																																																BgL_pairz00_11816
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd27677zd2_4000
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_11816);
																																																																															}
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd27684zd2_4001;
																																																																																BgL_cdrzd27684zd2_4001
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd27677zd2_4000));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd27690zd2_4002;
																																																																																	BgL_carzd27690zd2_4002
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd27684zd2_4001));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27690zd2_4002))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd27697zd2_4004;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_pairz00_11820;
																																																																																				BgL_pairz00_11820
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd27684zd2_4001));
																																																																																				BgL_carzd27697zd2_4004
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_pairz00_11820);
																																																																																			}
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27697zd2_4004))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd27670zd2_3999))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg3442z00_4007;
																																																																																							BgL_arg3442z00_4007
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd27677zd2_4000));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_18888;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_18892;
																																																																																									obj_t
																																																																																										BgL_proc2z00_18891;
																																																																																									obj_t
																																																																																										BgL_proc1z00_18890;
																																																																																									obj_t
																																																																																										BgL_testz00_18889;
																																																																																									BgL_testz00_18889
																																																																																										=
																																																																																										BgL_arg3442z00_4007;
																																																																																									BgL_proc1z00_18890
																																																																																										=
																																																																																										BgL_carzd27690zd2_4002;
																																																																																									BgL_proc2z00_18891
																																																																																										=
																																																																																										BgL_carzd27697zd2_4004;
																																																																																									BgL_argsz00_18892
																																																																																										=
																																																																																										BgL_cdrzd27670zd2_3999;
																																																																																									BgL_argsz00_1817
																																																																																										=
																																																																																										BgL_argsz00_18892;
																																																																																									BgL_proc2z00_1816
																																																																																										=
																																																																																										BgL_proc2z00_18891;
																																																																																									BgL_proc1z00_1815
																																																																																										=
																																																																																										BgL_proc1z00_18890;
																																																																																									BgL_testz00_1814
																																																																																										=
																																																																																										BgL_testz00_18889;
																																																																																									goto
																																																																																										BgL_tagzd2389zd2_1818;
																																																																																								}
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_18888);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1842;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_18896;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1843;
																																																																																									BgL_auxz00_16271
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_18896);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18900;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18900);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18904;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18904);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_18908;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_16271
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_18908);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd27973zd2_4026;
																																																																										BgL_cdrzd27973zd2_4026
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd27979zd2_4027;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_11824;
																																																																												BgL_pairz00_11824
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd27979zd2_4027
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_11824);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd27985zd2_4028;
																																																																												BgL_cdrzd27985zd2_4028
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd27979zd2_4027));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd27990zd2_4029;
																																																																													obj_t
																																																																														BgL_cdrzd27991zd2_4030;
																																																																													BgL_carzd27990zd2_4029
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd27985zd2_4028));
																																																																													BgL_cdrzd27991zd2_4030
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd27985zd2_4028));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27990zd2_4029))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd27996zd2_4032;
																																																																															BgL_carzd27996zd2_4032
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd27991zd2_4030));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27996zd2_4032))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(((obj_t) BgL_cdrzd27991zd2_4030))))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd27973zd2_4026))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg3460z00_4037;
																																																																																					BgL_arg3460z00_4037
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd27979zd2_4027));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18935;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_18939;
																																																																																							obj_t
																																																																																								BgL_proc2z00_18938;
																																																																																							obj_t
																																																																																								BgL_proc1z00_18937;
																																																																																							obj_t
																																																																																								BgL_testz00_18936;
																																																																																							BgL_testz00_18936
																																																																																								=
																																																																																								BgL_arg3460z00_4037;
																																																																																							BgL_proc1z00_18937
																																																																																								=
																																																																																								BgL_carzd27990zd2_4029;
																																																																																							BgL_proc2z00_18938
																																																																																								=
																																																																																								BgL_carzd27996zd2_4032;
																																																																																							BgL_argsz00_18939
																																																																																								=
																																																																																								BgL_cdrzd27973zd2_4026;
																																																																																							BgL_argsz00_1817
																																																																																								=
																																																																																								BgL_argsz00_18939;
																																																																																							BgL_proc2z00_1816
																																																																																								=
																																																																																								BgL_proc2z00_18938;
																																																																																							BgL_proc1z00_1815
																																																																																								=
																																																																																								BgL_proc1z00_18937;
																																																																																							BgL_testz00_1814
																																																																																								=
																																																																																								BgL_testz00_18936;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1818;
																																																																																						}
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18935);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18943;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18943);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18947;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18947);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18951;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18951);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18955;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18955);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_18959;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_16271
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_18959);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd28329zd2_4045;
																																																																						BgL_cdrzd28329zd2_4045
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd28336zd2_4046;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_11833;
																																																																								BgL_pairz00_11833
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd28336zd2_4046
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11833);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd28343zd2_4047;
																																																																								BgL_cdrzd28343zd2_4047
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd28336zd2_4046));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd28349zd2_4048;
																																																																									obj_t
																																																																										BgL_cdrzd28350zd2_4049;
																																																																									BgL_carzd28349zd2_4048
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd28343zd2_4047));
																																																																									BgL_cdrzd28350zd2_4049
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd28343zd2_4047));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28349zd2_4048))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd28350zd2_4049))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd28357zd2_4052;
																																																																													BgL_carzd28357zd2_4052
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd28350zd2_4049);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28357zd2_4052))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(BgL_cdrzd28350zd2_4049)))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd28329zd2_4045))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg3476z00_4057;
																																																																																			BgL_arg3476z00_4057
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd28336zd2_4046));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_18986;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_18990;
																																																																																					obj_t
																																																																																						BgL_proc2z00_18989;
																																																																																					obj_t
																																																																																						BgL_proc1z00_18988;
																																																																																					obj_t
																																																																																						BgL_testz00_18987;
																																																																																					BgL_testz00_18987
																																																																																						=
																																																																																						BgL_arg3476z00_4057;
																																																																																					BgL_proc1z00_18988
																																																																																						=
																																																																																						BgL_carzd28349zd2_4048;
																																																																																					BgL_proc2z00_18989
																																																																																						=
																																																																																						BgL_carzd28357zd2_4052;
																																																																																					BgL_argsz00_18990
																																																																																						=
																																																																																						BgL_cdrzd28329zd2_4045;
																																																																																					BgL_argsz00_1817
																																																																																						=
																																																																																						BgL_argsz00_18990;
																																																																																					BgL_proc2z00_1816
																																																																																						=
																																																																																						BgL_proc2z00_18989;
																																																																																					BgL_proc1z00_1815
																																																																																						=
																																																																																						BgL_proc1z00_18988;
																																																																																					BgL_testz00_1814
																																																																																						=
																																																																																						BgL_testz00_18987;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1818;
																																																																																				}
																																																																																				BgL_auxz00_16271
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_18986);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18994;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18994);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18998;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18998);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19002;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19002);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19006;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19006);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19010;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19010);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19014;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																					BgL_auxz00_16271
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19014);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd28750zd2_4071;
																																																						BgL_cdrzd28750zd2_4071
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8567z00_19018;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3512z00_4088;
																																																								BgL_arg3512z00_4088
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8567z00_19018
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg3512z00_4088));
																																																							}
																																																							if (BgL_test8567z00_19018)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg3497z00_4074;
																																																									obj_t
																																																										BgL_arg3499z00_4075;
																																																									BgL_arg3497z00_4074
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd28750zd2_4071));
																																																									BgL_arg3499z00_4075
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd28750zd2_4071));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_19027;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_19029;
																																																											obj_t
																																																												BgL_bindingsz00_19028;
																																																											BgL_bindingsz00_19028
																																																												=
																																																												BgL_arg3497z00_4074;
																																																											BgL_exprz00_19029
																																																												=
																																																												BgL_arg3499z00_4075;
																																																											BgL_exprz00_1797
																																																												=
																																																												BgL_exprz00_19029;
																																																											BgL_bindingsz00_1796
																																																												=
																																																												BgL_bindingsz00_19028;
																																																											goto
																																																												BgL_tagzd2383zd2_1798;
																																																										}
																																																										BgL_auxz00_16271
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_19027);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8568z00_19031;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3510z00_4087;
																																																										BgL_arg3510z00_4087
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8568z00_19031
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg3510z00_4087));
																																																									}
																																																									if (BgL_test8568z00_19031)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_19036;
																																																											goto
																																																												BgL_tagzd2385zd2_1800;
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_19036);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd28816zd2_4078;
																																																											BgL_carzd28816zd2_4078
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd28821zd2_4079;
																																																												BgL_cdrzd28821zd2_4079
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd28816zd2_4078));
																																																												if ((CAR(((obj_t) BgL_carzd28816zd2_4078)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg3505z00_4082;
																																																														obj_t
																																																															BgL_arg3506z00_4083;
																																																														obj_t
																																																															BgL_arg3507z00_4084;
																																																														BgL_arg3505z00_4082
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd28821zd2_4079));
																																																														BgL_arg3506z00_4083
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd28821zd2_4079));
																																																														BgL_arg3507z00_4084
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_19053;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_19056;
																																																																obj_t
																																																																	BgL_bodyz00_19055;
																																																																obj_t
																																																																	BgL_varsz00_19054;
																																																																BgL_varsz00_19054
																																																																	=
																																																																	BgL_arg3505z00_4082;
																																																																BgL_bodyz00_19055
																																																																	=
																																																																	BgL_arg3506z00_4083;
																																																																BgL_argsz00_19056
																																																																	=
																																																																	BgL_arg3507z00_4084;
																																																																BgL_argsz00_1807
																																																																	=
																																																																	BgL_argsz00_19056;
																																																																BgL_bodyz00_1806
																																																																	=
																																																																	BgL_bodyz00_19055;
																																																																BgL_varsz00_1805
																																																																	=
																																																																	BgL_varsz00_19054;
																																																																goto
																																																																	BgL_tagzd2387zd2_1808;
																																																															}
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19053);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_19060;
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																																BgL_auxz00_16271
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_19060);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd28932zd2_4089;
																																																				BgL_cdrzd28932zd2_4089
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8571z00_19064;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3523z00_4098;
																																																						BgL_arg3523z00_4098
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8571z00_19064
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg3523z00_4098));
																																																					}
																																																					if (BgL_test8571z00_19064)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg3515z00_4092;
																																																							obj_t
																																																								BgL_arg3517z00_4093;
																																																							BgL_arg3515z00_4092
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd28932zd2_4089));
																																																							BgL_arg3517z00_4093
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd28932zd2_4089));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_19073;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_19075;
																																																									obj_t
																																																										BgL_bindingsz00_19074;
																																																									BgL_bindingsz00_19074
																																																										=
																																																										BgL_arg3515z00_4092;
																																																									BgL_exprz00_19075
																																																										=
																																																										BgL_arg3517z00_4093;
																																																									BgL_exprz00_1797
																																																										=
																																																										BgL_exprz00_19075;
																																																									BgL_bindingsz00_1796
																																																										=
																																																										BgL_bindingsz00_19074;
																																																									goto
																																																										BgL_tagzd2383zd2_1798;
																																																								}
																																																								BgL_auxz00_16271
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_19073);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8572z00_19077;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3521z00_4097;
																																																								BgL_arg3521z00_4097
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8572z00_19077
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg3521z00_4097));
																																																							}
																																																							if (BgL_test8572z00_19077)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_19082;
																																																									goto
																																																										BgL_tagzd2385zd2_1800;
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19082);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2404zd2_1842;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_19086;
																																																											goto
																																																												BgL_tagzd2405zd2_1843;
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_19086);
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd27497zd2_3828)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd27499zd2_3830;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((BgL_carzd27497zd2_3828 == CNST_TABLE_REF(((long) 19))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd27499zd2_3830;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((BgL_carzd27497zd2_3828 == CNST_TABLE_REF(((long) 20))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd27499zd2_3830;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd27497zd2_3828)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd27499zd2_3830;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd29104zd2_3833;
																																																										BgL_cdrzd29104zd2_3833
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8578z00_19102;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3400z00_3950;
																																																												BgL_arg3400z00_3950
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8578z00_19102
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg3400z00_3950));
																																																											}
																																																											if (BgL_test8578z00_19102)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg3305z00_3836;
																																																													obj_t
																																																														BgL_arg3306z00_3837;
																																																													BgL_arg3305z00_3836
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd29104zd2_3833));
																																																													BgL_arg3306z00_3837
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd29104zd2_3833));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_19111;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_19113;
																																																															obj_t
																																																																BgL_bindingsz00_19112;
																																																															BgL_bindingsz00_19112
																																																																=
																																																																BgL_arg3305z00_3836;
																																																															BgL_exprz00_19113
																																																																=
																																																																BgL_arg3306z00_3837;
																																																															BgL_exprz00_1797
																																																																=
																																																																BgL_exprz00_19113;
																																																															BgL_bindingsz00_1796
																																																																=
																																																																BgL_bindingsz00_19112;
																																																															goto
																																																																BgL_tagzd2383zd2_1798;
																																																														}
																																																														BgL_auxz00_16271
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_19111);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test8579z00_19115;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg3399z00_3949;
																																																														BgL_arg3399z00_3949
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test8579z00_19115
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg3399z00_3949));
																																																													}
																																																													if (BgL_test8579z00_19115)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_19120;
																																																															goto
																																																																BgL_tagzd2385zd2_1800;
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19120);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd29170zd2_3840;
																																																															BgL_carzd29170zd2_3840
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd29175zd2_3841;
																																																																BgL_cdrzd29175zd2_3841
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd29170zd2_3840));
																																																																if ((CAR(((obj_t) BgL_carzd29170zd2_3840)) == CNST_TABLE_REF(((long) 3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd29175zd2_3841))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg3318z00_3845;
																																																																				obj_t
																																																																					BgL_arg3319z00_3846;
																																																																				obj_t
																																																																					BgL_arg3320z00_3847;
																																																																				BgL_arg3318z00_3845
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd29175zd2_3841);
																																																																				BgL_arg3319z00_3846
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd29175zd2_3841);
																																																																				BgL_arg3320z00_3847
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19137;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_19140;
																																																																						obj_t
																																																																							BgL_bodyz00_19139;
																																																																						obj_t
																																																																							BgL_varsz00_19138;
																																																																						BgL_varsz00_19138
																																																																							=
																																																																							BgL_arg3318z00_3845;
																																																																						BgL_bodyz00_19139
																																																																							=
																																																																							BgL_arg3319z00_3846;
																																																																						BgL_argsz00_19140
																																																																							=
																																																																							BgL_arg3320z00_3847;
																																																																						BgL_argsz00_1807
																																																																							=
																																																																							BgL_argsz00_19140;
																																																																						BgL_bodyz00_1806
																																																																							=
																																																																							BgL_bodyz00_19139;
																																																																						BgL_varsz00_1805
																																																																							=
																																																																							BgL_varsz00_19138;
																																																																						goto
																																																																							BgL_tagzd2387zd2_1808;
																																																																					}
																																																																					BgL_auxz00_16271
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19137);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_19144;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_16271
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_19144);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd29282zd2_3850;
																																																																		BgL_cdrzd29282zd2_3850
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd29287zd2_3851;
																																																																			BgL_cdrzd29287zd2_3851
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd29170zd2_3840));
																																																																			if ((CAR(((obj_t) BgL_carzd29170zd2_3840)) == CNST_TABLE_REF(((long) 1))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd29287zd2_3851))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd29292zd2_3855;
																																																																							BgL_cdrzd29292zd2_3855
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd29287zd2_3851);
																																																																							if (PAIRP(BgL_cdrzd29292zd2_3855))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd29296zd2_3857;
																																																																									obj_t
																																																																										BgL_cdrzd29297zd2_3858;
																																																																									BgL_carzd29296zd2_3857
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd29292zd2_3855);
																																																																									BgL_cdrzd29297zd2_3858
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd29292zd2_3855);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29296zd2_3857))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd29297zd2_3858))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd29302zd2_3861;
																																																																													BgL_carzd29302zd2_3861
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd29297zd2_3858);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29302zd2_3861))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(BgL_cdrzd29297zd2_3858)))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test8590z00_19172;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1395z00_3894;
																																																																																		BgL_l1395z00_3894
																																																																																			=
																																																																																			BgL_cdrzd29282zd2_3850;
																																																																																	BgL_zc3z04anonymousza33350ze3z87_3895:
																																																																																		if (NULLP(BgL_l1395z00_3894))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test8590z00_19172
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				bool_t
																																																																																					BgL_test8592z00_19175;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					bool_t
																																																																																						BgL_test8593z00_19176;
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_tmpz00_19177;
																																																																																						BgL_tmpz00_19177
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_l1395z00_3894));
																																																																																						BgL_test8593z00_19176
																																																																																							=
																																																																																							PAIRP
																																																																																							(BgL_tmpz00_19177);
																																																																																					}
																																																																																					if (BgL_test8593z00_19176)
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							BgL_test8592z00_19175
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								0);
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							BgL_test8592z00_19175
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								1);
																																																																																						}
																																																																																				}
																																																																																				if (BgL_test8592z00_19175)
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_l1395z00_19181;
																																																																																						BgL_l1395z00_19181
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_l1395z00_3894));
																																																																																						BgL_l1395z00_3894
																																																																																							=
																																																																																							BgL_l1395z00_19181;
																																																																																						goto
																																																																																							BgL_zc3z04anonymousza33350ze3z87_3895;
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test8590z00_19172
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																	if (BgL_test8590z00_19172)
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg3339z00_3877;
																																																																																			BgL_arg3339z00_3877
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd29287zd2_3851);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19185;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_19189;
																																																																																					obj_t
																																																																																						BgL_proc2z00_19188;
																																																																																					obj_t
																																																																																						BgL_proc1z00_19187;
																																																																																					obj_t
																																																																																						BgL_testz00_19186;
																																																																																					BgL_testz00_19186
																																																																																						=
																																																																																						BgL_arg3339z00_3877;
																																																																																					BgL_proc1z00_19187
																																																																																						=
																																																																																						BgL_carzd29296zd2_3857;
																																																																																					BgL_proc2z00_19188
																																																																																						=
																																																																																						BgL_carzd29302zd2_3861;
																																																																																					BgL_argsz00_19189
																																																																																						=
																																																																																						BgL_cdrzd29282zd2_3850;
																																																																																					BgL_argsz00_1812
																																																																																						=
																																																																																						BgL_argsz00_19189;
																																																																																					BgL_proc2z00_1811
																																																																																						=
																																																																																						BgL_proc2z00_19188;
																																																																																					BgL_proc1z00_1810
																																																																																						=
																																																																																						BgL_proc1z00_19187;
																																																																																					BgL_testz00_1809
																																																																																						=
																																																																																						BgL_testz00_19186;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1813;
																																																																																				}
																																																																																				BgL_auxz00_16271
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19185);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd29327zd2_3878;
																																																																																			BgL_cdrzd29327zd2_3878
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_cdrzd29335zd2_3879;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_11881;
																																																																																					BgL_pairz00_11881
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdrzd29335zd2_3879
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_pairz00_11881);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd29343zd2_3880;
																																																																																					BgL_cdrzd29343zd2_3880
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd29335zd2_3879));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd29350zd2_3881;
																																																																																						BgL_carzd29350zd2_3881
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd29343zd2_3880));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29350zd2_3881))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd29359zd2_3883;
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_pairz00_11885;
																																																																																									BgL_pairz00_11885
																																																																																										=
																																																																																										CDR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd29343zd2_3880));
																																																																																									BgL_carzd29359zd2_3883
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_pairz00_11885);
																																																																																								}
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29359zd2_3883))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29327zd2_3878))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg3344z00_3886;
																																																																																												BgL_arg3344z00_3886
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd29335zd2_3879));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_19211;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_19215;
																																																																																														obj_t
																																																																																															BgL_proc2z00_19214;
																																																																																														obj_t
																																																																																															BgL_proc1z00_19213;
																																																																																														obj_t
																																																																																															BgL_testz00_19212;
																																																																																														BgL_testz00_19212
																																																																																															=
																																																																																															BgL_arg3344z00_3886;
																																																																																														BgL_proc1z00_19213
																																																																																															=
																																																																																															BgL_carzd29350zd2_3881;
																																																																																														BgL_proc2z00_19214
																																																																																															=
																																																																																															BgL_carzd29359zd2_3883;
																																																																																														BgL_argsz00_19215
																																																																																															=
																																																																																															BgL_cdrzd29327zd2_3878;
																																																																																														BgL_argsz00_1817
																																																																																															=
																																																																																															BgL_argsz00_19215;
																																																																																														BgL_proc2z00_1816
																																																																																															=
																																																																																															BgL_proc2z00_19214;
																																																																																														BgL_proc1z00_1815
																																																																																															=
																																																																																															BgL_proc1z00_19213;
																																																																																														BgL_testz00_1814
																																																																																															=
																																																																																															BgL_testz00_19212;
																																																																																														goto
																																																																																															BgL_tagzd2389zd2_1818;
																																																																																													}
																																																																																													BgL_auxz00_16271
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_19211);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1842;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_19219;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1843;
																																																																																														BgL_auxz00_16271
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_19219);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_19223;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_16271
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_19223);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_19227;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_16271
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_19227);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19231;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19231);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd29637zd2_3905;
																																																																															BgL_cdrzd29637zd2_3905
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd29644zd2_3906;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_11889;
																																																																																	BgL_pairz00_11889
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd29644zd2_3906
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_11889);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd29651zd2_3907;
																																																																																	BgL_cdrzd29651zd2_3907
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd29644zd2_3906));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd29657zd2_3908;
																																																																																		obj_t
																																																																																			BgL_cdrzd29658zd2_3909;
																																																																																		BgL_carzd29657zd2_3908
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd29651zd2_3907));
																																																																																		BgL_cdrzd29658zd2_3909
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd29651zd2_3907));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29657zd2_3908))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd29665zd2_3911;
																																																																																				BgL_carzd29665zd2_3911
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd29658zd2_3909));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29665zd2_3911))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd29658zd2_3909))))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29637zd2_3905))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg3361z00_3916;
																																																																																										BgL_arg3361z00_3916
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd29644zd2_3906));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_19258;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_19262;
																																																																																												obj_t
																																																																																													BgL_proc2z00_19261;
																																																																																												obj_t
																																																																																													BgL_proc1z00_19260;
																																																																																												obj_t
																																																																																													BgL_testz00_19259;
																																																																																												BgL_testz00_19259
																																																																																													=
																																																																																													BgL_arg3361z00_3916;
																																																																																												BgL_proc1z00_19260
																																																																																													=
																																																																																													BgL_carzd29657zd2_3908;
																																																																																												BgL_proc2z00_19261
																																																																																													=
																																																																																													BgL_carzd29665zd2_3911;
																																																																																												BgL_argsz00_19262
																																																																																													=
																																																																																													BgL_cdrzd29637zd2_3905;
																																																																																												BgL_argsz00_1817
																																																																																													=
																																																																																													BgL_argsz00_19262;
																																																																																												BgL_proc2z00_1816
																																																																																													=
																																																																																													BgL_proc2z00_19261;
																																																																																												BgL_proc1z00_1815
																																																																																													=
																																																																																													BgL_proc1z00_19260;
																																																																																												BgL_testz00_1814
																																																																																													=
																																																																																													BgL_testz00_19259;
																																																																																												goto
																																																																																													BgL_tagzd2389zd2_1818;
																																																																																											}
																																																																																											BgL_auxz00_16271
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_19258);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_19266;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_16271
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_19266);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_19270;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_16271
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_19270);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_19274;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_19274);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19278;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19278);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19282;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19282);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd29998zd2_3924;
																																																																											BgL_cdrzd29998zd2_3924
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd210004zd2_3925;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_11898;
																																																																													BgL_pairz00_11898
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd210004zd2_3925
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_11898);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd210010zd2_3926;
																																																																													BgL_cdrzd210010zd2_3926
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd210004zd2_3925));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd210015zd2_3927;
																																																																														obj_t
																																																																															BgL_cdrzd210016zd2_3928;
																																																																														BgL_carzd210015zd2_3927
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd210010zd2_3926));
																																																																														BgL_cdrzd210016zd2_3928
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd210010zd2_3926));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210015zd2_3927))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (PAIRP(BgL_cdrzd210016zd2_3928))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd210021zd2_3931;
																																																																																		BgL_carzd210021zd2_3931
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd210016zd2_3928);
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210021zd2_3931))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(BgL_cdrzd210016zd2_3928)))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29998zd2_3924))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg3377z00_3936;
																																																																																								BgL_arg3377z00_3936
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd210004zd2_3925));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_19309;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_19313;
																																																																																										obj_t
																																																																																											BgL_proc2z00_19312;
																																																																																										obj_t
																																																																																											BgL_proc1z00_19311;
																																																																																										obj_t
																																																																																											BgL_testz00_19310;
																																																																																										BgL_testz00_19310
																																																																																											=
																																																																																											BgL_arg3377z00_3936;
																																																																																										BgL_proc1z00_19311
																																																																																											=
																																																																																											BgL_carzd210015zd2_3927;
																																																																																										BgL_proc2z00_19312
																																																																																											=
																																																																																											BgL_carzd210021zd2_3931;
																																																																																										BgL_argsz00_19313
																																																																																											=
																																																																																											BgL_cdrzd29998zd2_3924;
																																																																																										BgL_argsz00_1817
																																																																																											=
																																																																																											BgL_argsz00_19313;
																																																																																										BgL_proc2z00_1816
																																																																																											=
																																																																																											BgL_proc2z00_19312;
																																																																																										BgL_proc1z00_1815
																																																																																											=
																																																																																											BgL_proc1z00_19311;
																																																																																										BgL_testz00_1814
																																																																																											=
																																																																																											BgL_testz00_19310;
																																																																																										goto
																																																																																											BgL_tagzd2389zd2_1818;
																																																																																									}
																																																																																									BgL_auxz00_16271
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_19309);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_19317;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_16271
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_19317);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_19321;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_19321);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19325;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19325);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19329;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_16271
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19329);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19333;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																		BgL_auxz00_16271
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19333);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19337;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19337);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19341;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19341);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_19345;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_19345);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((BgL_carzd27494zd2_3826 == CNST_TABLE_REF(((long) 18))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg3524z00_4101;
																																																	obj_t
																																																		BgL_arg3525z00_4102;
																																																	BgL_arg3524z00_4101
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27469zd2_3821));
																																																	BgL_arg3525z00_4102
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd27469zd2_3821));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_19354;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_19356;
																																																			obj_t
																																																				BgL_bindingsz00_19355;
																																																			BgL_bindingsz00_19355
																																																				=
																																																				BgL_arg3524z00_4101;
																																																			BgL_exprz00_19356
																																																				=
																																																				BgL_arg3525z00_4102;
																																																			BgL_exprz00_1797
																																																				=
																																																				BgL_exprz00_19356;
																																																			BgL_bindingsz00_1796
																																																				=
																																																				BgL_bindingsz00_19355;
																																																			goto
																																																				BgL_tagzd2383zd2_1798;
																																																		}
																																																		BgL_auxz00_16271
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_19354);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd27494zd2_3826)))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg3527z00_4104;
																																																			obj_t
																																																				BgL_arg3528z00_4105;
																																																			BgL_arg3527z00_4104
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd27469zd2_3821));
																																																			BgL_arg3528z00_4105
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd27469zd2_3821));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_19365;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_19367;
																																																					obj_t
																																																						BgL_bindingsz00_19366;
																																																					BgL_bindingsz00_19366
																																																						=
																																																						BgL_arg3527z00_4104;
																																																					BgL_exprz00_19367
																																																						=
																																																						BgL_arg3528z00_4105;
																																																					BgL_exprz00_1797
																																																						=
																																																						BgL_exprz00_19367;
																																																					BgL_bindingsz00_1796
																																																						=
																																																						BgL_bindingsz00_19366;
																																																					goto
																																																						BgL_tagzd2383zd2_1798;
																																																				}
																																																				BgL_auxz00_16271
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_19365);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((BgL_carzd27494zd2_3826 == CNST_TABLE_REF(((long) 19))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg3530z00_4106;
																																																					obj_t
																																																						BgL_arg3531z00_4107;
																																																					BgL_arg3530z00_4106
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd27469zd2_3821));
																																																					BgL_arg3531z00_4107
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd27469zd2_3821));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_19376;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_19378;
																																																							obj_t
																																																								BgL_bindingsz00_19377;
																																																							BgL_bindingsz00_19377
																																																								=
																																																								BgL_arg3530z00_4106;
																																																							BgL_exprz00_19378
																																																								=
																																																								BgL_arg3531z00_4107;
																																																							BgL_exprz00_1797
																																																								=
																																																								BgL_exprz00_19378;
																																																							BgL_bindingsz00_1796
																																																								=
																																																								BgL_bindingsz00_19377;
																																																							goto
																																																								BgL_tagzd2383zd2_1798;
																																																						}
																																																						BgL_auxz00_16271
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_19376);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_19385;
																																																							goto
																																																								BgL_tagzd2384zd2_1799;
																																																							BgL_auxz00_16271
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19385);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd210596zd2_4110;
																																																							BgL_carzd210596zd2_4110
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((BgL_carzd210596zd2_4110 == CNST_TABLE_REF(((long) 20))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_19392;
																																																									goto
																																																										BgL_tagzd2385zd2_1800;
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19392);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd210596zd2_4110)))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_19397;
																																																											goto
																																																												BgL_tagzd2385zd2_1800;
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_19397);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_19404;
																																																													goto
																																																														BgL_tagzd2390zd2_1819;
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_19404);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_19411;
																																																															goto
																																																																BgL_tagzd2391zd2_1820;
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19411);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd210676zd2_4116;
																																																															BgL_cdrzd210676zd2_4116
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg3543z00_4119;
																																																																	obj_t
																																																																		BgL_arg3544z00_4120;
																																																																	BgL_arg3543z00_4119
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd210676zd2_4116));
																																																																	BgL_arg3544z00_4120
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd210676zd2_4116));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_19424;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_19426;
																																																																			obj_t
																																																																				BgL_effectz00_19425;
																																																																			BgL_effectz00_19425
																																																																				=
																																																																				BgL_arg3543z00_4119;
																																																																			BgL_restz00_19426
																																																																				=
																																																																				BgL_arg3544z00_4120;
																																																																			BgL_restz00_1822
																																																																				=
																																																																				BgL_restz00_19426;
																																																																			BgL_effectz00_1821
																																																																				=
																																																																				BgL_effectz00_19425;
																																																																			goto
																																																																				BgL_tagzd2392zd2_1823;
																																																																		}
																																																																		BgL_auxz00_16271
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_19424);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_19433;
																																																																			goto
																																																																				BgL_tagzd2393zd2_1824;
																																																																			BgL_auxz00_16271
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_19433);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19440;
																																																																					goto
																																																																						BgL_tagzd2394zd2_1825;
																																																																					BgL_auxz00_16271
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19440);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg3551z00_4128;
																																																																							obj_t
																																																																								BgL_arg3552z00_4129;
																																																																							BgL_arg3551z00_4128
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd210676zd2_4116));
																																																																							BgL_arg3552z00_4129
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd210676zd2_4116));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_19451;
																																																																								{
																																																																									obj_t
																																																																										BgL_restz00_19453;
																																																																									obj_t
																																																																										BgL_effectz00_19452;
																																																																									BgL_effectz00_19452
																																																																										=
																																																																										BgL_arg3551z00_4128;
																																																																									BgL_restz00_19453
																																																																										=
																																																																										BgL_arg3552z00_4129;
																																																																									BgL_restz00_1827
																																																																										=
																																																																										BgL_restz00_19453;
																																																																									BgL_effectz00_1826
																																																																										=
																																																																										BgL_effectz00_19452;
																																																																									goto
																																																																										BgL_tagzd2395zd2_1828;
																																																																								}
																																																																								BgL_auxz00_16271
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_19451);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19460;
																																																																									goto
																																																																										BgL_tagzd2396zd2_1829;
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19460);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19467;
																																																																											goto
																																																																												BgL_tagzd2397zd2_1830;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19467);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																												{
																																																																													BgL_letzd2funzd2_bglt
																																																																														BgL_auxz00_19474;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1831;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19474);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																														{
																																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																																BgL_auxz00_19481;
																																																																															goto
																																																																																BgL_tagzd2399zd2_1832;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19481);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd210753zd2_4138;
																																																																															BgL_cdrzd210753zd2_4138
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg3565z00_4141;
																																																																																	obj_t
																																																																																		BgL_arg3566z00_4142;
																																																																																	BgL_arg3565z00_4141
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd210753zd2_4138));
																																																																																	BgL_arg3566z00_4142
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd210753zd2_4138));
																																																																																	{	/* Ast/sexp.scm 564 */
																																																																																		obj_t
																																																																																			BgL_arg7616z00_11935;
																																																																																		BgL_arg7616z00_11935
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_16271
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg3565z00_4141,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 4)), BgL_arg3566z00_4142, BgL_stackz00_22, BgL_arg7616z00_11935, BgL_sitez00_24));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19500;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19500);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd210778zd2_4160;
																																	BgL_carzd210778zd2_4160
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (
																																		(BgL_carzd210778zd2_4160
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					1))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_19507;
																																			goto
																																				BgL_tagzd2377zd2_1784;
																																			BgL_auxz00_16271
																																				=
																																				((obj_t)
																																				BgL_auxz00_19507);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(BgL_carzd210778zd2_4160
																																					==
																																					BGl_za2ifza2z00zzast_sexpz00))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_19511;
																																					goto
																																						BgL_tagzd2377zd2_1784;
																																					BgL_auxz00_16271
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_19511);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_cdrzd210800zd2_4162;
																																					BgL_cdrzd210800zd2_4162
																																						=
																																						CDR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd210803zd2_4165;
																																							obj_t
																																								BgL_cdrzd210804zd2_4166;
																																							BgL_carzd210803zd2_4165
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd210800zd2_4162));
																																							BgL_cdrzd210804zd2_4166
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd210800zd2_4162));
																																							if (PAIRP(BgL_carzd210803zd2_4165))
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(BgL_carzd210803zd2_4165) == CNST_TABLE_REF(((long) 14))))
																																										{	/* Ast/sexp.scm 119 */
																																											if (NULLP(CDR(((obj_t) BgL_cdrzd210804zd2_4166))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg3597z00_4172;
																																													obj_t
																																														BgL_arg3598z00_4173;
																																													BgL_arg3597z00_4172
																																														=
																																														CDR
																																														(BgL_carzd210803zd2_4165);
																																													BgL_arg3598z00_4173
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd210804zd2_4166));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_19537;
																																														BgL_lz00_1785
																																															=
																																															BgL_arg3597z00_4172;
																																														BgL_valz00_1786
																																															=
																																															BgL_arg3598z00_4173;
																																													BgL_tagzd2378zd2_1787:
																																														{	/* Ast/sexp.scm 289 */
																																															bool_t
																																																BgL_test8647z00_19538;
																																															if (PAIRP(BgL_lz00_1785))
																																																{	/* Ast/sexp.scm 289 */
																																																	bool_t
																																																		BgL_test8649z00_19541;
																																																	{	/* Ast/sexp.scm 289 */
																																																		obj_t
																																																			BgL_tmpz00_19542;
																																																		BgL_tmpz00_19542
																																																			=
																																																			CDR
																																																			(BgL_lz00_1785);
																																																		BgL_test8649z00_19541
																																																			=
																																																			PAIRP
																																																			(BgL_tmpz00_19542);
																																																	}
																																																	if (BgL_test8649z00_19541)
																																																		{
																																																			obj_t
																																																				BgL_l1364z00_9606;
																																																			BgL_l1364z00_9606
																																																				=
																																																				BgL_lz00_1785;
																																																		BgL_zc3z04anonymousza37368ze3z87_9607:
																																																			if (NULLP(BgL_l1364z00_9606))
																																																				{	/* Ast/sexp.scm 289 */
																																																					BgL_test8647z00_19538
																																																						=
																																																						(
																																																						(bool_t)
																																																						1);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 289 */
																																																					bool_t
																																																						BgL_test8651z00_19547;
																																																					{	/* Ast/sexp.scm 289 */
																																																						obj_t
																																																							BgL_tmpz00_19548;
																																																						BgL_tmpz00_19548
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_l1364z00_9606));
																																																						BgL_test8651z00_19547
																																																							=
																																																							SYMBOLP
																																																							(BgL_tmpz00_19548);
																																																					}
																																																					if (BgL_test8651z00_19547)
																																																						{
																																																							obj_t
																																																								BgL_l1364z00_19552;
																																																							BgL_l1364z00_19552
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_l1364z00_9606));
																																																							BgL_l1364z00_9606
																																																								=
																																																								BgL_l1364z00_19552;
																																																							goto
																																																								BgL_zc3z04anonymousza37368ze3z87_9607;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 289 */
																																																							BgL_test8647z00_19538
																																																								=
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 289 */
																																																			BgL_test8647z00_19538
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 289 */
																																																	BgL_test8647z00_19538
																																																		=
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																															if (BgL_test8647z00_19538)
																																																{	/* Ast/sexp.scm 289 */
																																																	BgL_auxz00_19537
																																																		=
																																																		BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00
																																																		(BgL_lz00_1785,
																																																		BgL_valz00_1786,
																																																		BgL_expz00_21,
																																																		BgL_stackz00_22,
																																																		BgL_locz00_23,
																																																		BgL_sitez00_24);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 291 */
																																																	BgL_nodez00_bglt
																																																		BgL_res7967z00_11032;
																																																	{	/* Ast/sexp.scm 735 */
																																																		obj_t
																																																			BgL_arg7725z00_11028;
																																																		BgL_nodez00_bglt
																																																			BgL_arg7726z00_11029;
																																																		BgL_arg7725z00_11028
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg7726z00_11029
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 734 */
																																																			obj_t
																																																				BgL_list7727z00_11031;
																																																			BgL_list7727z00_11031
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_arg7726z00_11029), BNIL);
																																																			BgL_res7967z00_11032
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_locz00_23,
																																																					BgL_arg7725z00_11028,
																																																					BGl_string8034z00zzast_sexpz00,
																																																					BgL_expz00_21,
																																																					BgL_list7727z00_11031));
																																																	}}
																																																	BgL_auxz00_19537
																																																		=
																																																		BgL_res7967z00_11032;
																																														}}
																																														BgL_auxz00_16271
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_19537);
																																												}}
																																											else
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_19566;
																																													goto
																																														BgL_tagzd2379zd2_1788;
																																													BgL_auxz00_16271
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_19566);
																																												}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_19568;
																																											goto
																																												BgL_tagzd2379zd2_1788;
																																											BgL_auxz00_16271
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_19568);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_19570;
																																									goto
																																										BgL_tagzd2379zd2_1788;
																																									BgL_auxz00_16271
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_19570);
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_19577;
																																									goto
																																										BgL_tagzd2380zd2_1789;
																																									BgL_auxz00_16271
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_19577);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg3607z00_4181;
																																											obj_t
																																												BgL_arg3608z00_4182;
																																											BgL_arg3607z00_4181
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd210800zd2_4162));
																																											BgL_arg3608z00_4182
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd210800zd2_4162));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_19588;
																																												{
																																													obj_t
																																														BgL_exprz00_19590;
																																													obj_t
																																														BgL_bindingsz00_19589;
																																													BgL_bindingsz00_19589
																																														=
																																														BgL_arg3607z00_4181;
																																													BgL_exprz00_19590
																																														=
																																														BgL_arg3608z00_4182;
																																													BgL_exprz00_1791
																																														=
																																														BgL_exprz00_19590;
																																													BgL_bindingsz00_1790
																																														=
																																														BgL_bindingsz00_19589;
																																													goto
																																														BgL_tagzd2381zd2_1792;
																																												}
																																												BgL_auxz00_16271
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_19588);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd210928zd2_4183;
																																											BgL_carzd210928zd2_4183
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if (PAIRP(BgL_carzd210928zd2_4183))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd210931zd2_4185;
																																													obj_t
																																														BgL_cdrzd210932zd2_4186;
																																													BgL_carzd210931zd2_4185
																																														=
																																														CAR
																																														(BgL_carzd210928zd2_4183);
																																													BgL_cdrzd210932zd2_4186
																																														=
																																														CDR
																																														(BgL_carzd210928zd2_4183);
																																													{

																																														if ((BgL_carzd210931zd2_4185 == CNST_TABLE_REF(((long) 18))))
																																															{	/* Ast/sexp.scm 119 */
																																															BgL_kapzd210933zd2_4187:
																																																if (PAIRP(BgL_cdrzd210932zd2_4186))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd210936zd2_4309;
																																																		BgL_cdrzd210936zd2_4309
																																																			=
																																																			CDR
																																																			(BgL_cdrzd210932zd2_4186);
																																																		if (PAIRP(BgL_cdrzd210936zd2_4309))
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (NULLP(CDR(BgL_cdrzd210936zd2_4309)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3698z00_4313;
																																																						obj_t
																																																							BgL_arg3699z00_4314;
																																																						BgL_arg3698z00_4313
																																																							=
																																																							CAR
																																																							(BgL_cdrzd210936zd2_4309);
																																																						BgL_arg3699z00_4314
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_19612;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_19614;
																																																								obj_t
																																																									BgL_bodyz00_19613;
																																																								BgL_bodyz00_19613
																																																									=
																																																									BgL_arg3698z00_4313;
																																																								BgL_argsz00_19614
																																																									=
																																																									BgL_arg3699z00_4314;
																																																								BgL_argsz00_1794
																																																									=
																																																									BgL_argsz00_19614;
																																																								BgL_bodyz00_1793
																																																									=
																																																									BgL_bodyz00_19613;
																																																								goto
																																																									BgL_tagzd2382zd2_1795;
																																																							}
																																																							BgL_auxz00_16271
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19612);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd210960zd2_4315;
																																																						BgL_cdrzd210960zd2_4315
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8659z00_19618;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3770z00_4426;
																																																								BgL_arg3770z00_4426
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8659z00_19618
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg3770z00_4426));
																																																							}
																																																							if (BgL_test8659z00_19618)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg3702z00_4318;
																																																									obj_t
																																																										BgL_arg3703z00_4319;
																																																									BgL_arg3702z00_4318
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd210960zd2_4315));
																																																									BgL_arg3703z00_4319
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd210960zd2_4315));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_19627;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_19629;
																																																											obj_t
																																																												BgL_bindingsz00_19628;
																																																											BgL_bindingsz00_19628
																																																												=
																																																												BgL_arg3702z00_4318;
																																																											BgL_exprz00_19629
																																																												=
																																																												BgL_arg3703z00_4319;
																																																											BgL_exprz00_1797
																																																												=
																																																												BgL_exprz00_19629;
																																																											BgL_bindingsz00_1796
																																																												=
																																																												BgL_bindingsz00_19628;
																																																											goto
																																																												BgL_tagzd2383zd2_1798;
																																																										}
																																																										BgL_auxz00_16271
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_19627);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8660z00_19631;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3769z00_4425;
																																																										BgL_arg3769z00_4425
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8660z00_19631
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg3769z00_4425));
																																																									}
																																																									if (BgL_test8660z00_19631)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_19636;
																																																											goto
																																																												BgL_tagzd2385zd2_1800;
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_19636);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd211027zd2_4322;
																																																											BgL_carzd211027zd2_4322
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd211032zd2_4323;
																																																												BgL_cdrzd211032zd2_4323
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd211027zd2_4322));
																																																												if ((CAR(((obj_t) BgL_carzd211027zd2_4322)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg3708z00_4326;
																																																														obj_t
																																																															BgL_arg3709z00_4327;
																																																														obj_t
																																																															BgL_arg3710z00_4328;
																																																														BgL_arg3708z00_4326
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd211032zd2_4323));
																																																														BgL_arg3709z00_4327
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd211032zd2_4323));
																																																														BgL_arg3710z00_4328
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_19653;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_19656;
																																																																obj_t
																																																																	BgL_bodyz00_19655;
																																																																obj_t
																																																																	BgL_varsz00_19654;
																																																																BgL_varsz00_19654
																																																																	=
																																																																	BgL_arg3708z00_4326;
																																																																BgL_bodyz00_19655
																																																																	=
																																																																	BgL_arg3709z00_4327;
																																																																BgL_argsz00_19656
																																																																	=
																																																																	BgL_arg3710z00_4328;
																																																																BgL_argsz00_1807
																																																																	=
																																																																	BgL_argsz00_19656;
																																																																BgL_bodyz00_1806
																																																																	=
																																																																	BgL_bodyz00_19655;
																																																																BgL_varsz00_1805
																																																																	=
																																																																	BgL_varsz00_19654;
																																																																goto
																																																																	BgL_tagzd2387zd2_1808;
																																																															}
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19653);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd211055zd2_4330;
																																																														BgL_cdrzd211055zd2_4330
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd211061zd2_4331;
																																																															BgL_cdrzd211061zd2_4331
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd211027zd2_4322));
																																																															if ((CAR(((obj_t) BgL_carzd211027zd2_4322)) == CNST_TABLE_REF(((long) 1))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd211067zd2_4334;
																																																																	BgL_cdrzd211067zd2_4334
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd211061zd2_4331));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd211072zd2_4335;
																																																																		obj_t
																																																																			BgL_cdrzd211073zd2_4336;
																																																																		BgL_carzd211072zd2_4335
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd211067zd2_4334));
																																																																		BgL_cdrzd211073zd2_4336
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd211067zd2_4334));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211072zd2_4335))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd211073zd2_4336))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd211080zd2_4339;
																																																																						BgL_carzd211080zd2_4339
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd211073zd2_4336);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211080zd2_4339))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd211073zd2_4336)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test8667z00_19683;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1398z00_4372;
																																																																											BgL_l1398z00_4372
																																																																												=
																																																																												BgL_cdrzd211055zd2_4330;
																																																																										BgL_zc3z04anonymousza33735ze3z87_4373:
																																																																											if (NULLP(BgL_l1398z00_4372))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test8667z00_19683
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test8669z00_19686;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test8670z00_19687;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_tmpz00_19688;
																																																																															BgL_tmpz00_19688
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1398z00_4372));
																																																																															BgL_test8670z00_19687
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_19688);
																																																																														}
																																																																														if (BgL_test8670z00_19687)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test8669z00_19686
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test8669z00_19686
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_test8669z00_19686)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1398z00_19692;
																																																																															BgL_l1398z00_19692
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1398z00_4372));
																																																																															BgL_l1398z00_4372
																																																																																=
																																																																																BgL_l1398z00_19692;
																																																																															goto
																																																																																BgL_zc3z04anonymousza33735ze3z87_4373;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test8667z00_19683
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_test8667z00_19683)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg3725z00_4355;
																																																																												BgL_arg3725z00_4355
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd211061zd2_4331));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19697;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_19701;
																																																																														obj_t
																																																																															BgL_proc2z00_19700;
																																																																														obj_t
																																																																															BgL_proc1z00_19699;
																																																																														obj_t
																																																																															BgL_testz00_19698;
																																																																														BgL_testz00_19698
																																																																															=
																																																																															BgL_arg3725z00_4355;
																																																																														BgL_proc1z00_19699
																																																																															=
																																																																															BgL_carzd211072zd2_4335;
																																																																														BgL_proc2z00_19700
																																																																															=
																																																																															BgL_carzd211080zd2_4339;
																																																																														BgL_argsz00_19701
																																																																															=
																																																																															BgL_cdrzd211055zd2_4330;
																																																																														BgL_argsz00_1812
																																																																															=
																																																																															BgL_argsz00_19701;
																																																																														BgL_proc2z00_1811
																																																																															=
																																																																															BgL_proc2z00_19700;
																																																																														BgL_proc1z00_1810
																																																																															=
																																																																															BgL_proc1z00_19699;
																																																																														BgL_testz00_1809
																																																																															=
																																																																															BgL_testz00_19698;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1813;
																																																																													}
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19697);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd211104zd2_4356;
																																																																												BgL_cdrzd211104zd2_4356
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd211111zd2_4357;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_11982;
																																																																														BgL_pairz00_11982
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd211111zd2_4357
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_11982);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd211118zd2_4358;
																																																																														BgL_cdrzd211118zd2_4358
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd211111zd2_4357));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd211124zd2_4359;
																																																																															BgL_carzd211124zd2_4359
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd211118zd2_4358));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211124zd2_4359))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd211131zd2_4361;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_11986;
																																																																																		BgL_pairz00_11986
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd211118zd2_4358));
																																																																																		BgL_carzd211131zd2_4361
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_11986);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211131zd2_4361))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211104zd2_4356))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg3729z00_4364;
																																																																																					BgL_arg3729z00_4364
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd211111zd2_4357));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19723;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_19727;
																																																																																							obj_t
																																																																																								BgL_proc2z00_19726;
																																																																																							obj_t
																																																																																								BgL_proc1z00_19725;
																																																																																							obj_t
																																																																																								BgL_testz00_19724;
																																																																																							BgL_testz00_19724
																																																																																								=
																																																																																								BgL_arg3729z00_4364;
																																																																																							BgL_proc1z00_19725
																																																																																								=
																																																																																								BgL_carzd211124zd2_4359;
																																																																																							BgL_proc2z00_19726
																																																																																								=
																																																																																								BgL_carzd211131zd2_4361;
																																																																																							BgL_argsz00_19727
																																																																																								=
																																																																																								BgL_cdrzd211104zd2_4356;
																																																																																							BgL_argsz00_1817
																																																																																								=
																																																																																								BgL_argsz00_19727;
																																																																																							BgL_proc2z00_1816
																																																																																								=
																																																																																								BgL_proc2z00_19726;
																																																																																							BgL_proc1z00_1815
																																																																																								=
																																																																																								BgL_proc1z00_19725;
																																																																																							BgL_testz00_1814
																																																																																								=
																																																																																								BgL_testz00_19724;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1818;
																																																																																						}
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19723);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_19731;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_19731);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19735;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19735);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19739;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19739);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_19743;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_16271
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_19743);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd211407zd2_4383;
																																																																								BgL_cdrzd211407zd2_4383
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd211413zd2_4384;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_11990;
																																																																										BgL_pairz00_11990
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd211413zd2_4384
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_11990);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd211419zd2_4385;
																																																																										BgL_cdrzd211419zd2_4385
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd211413zd2_4384));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd211424zd2_4386;
																																																																											obj_t
																																																																												BgL_cdrzd211425zd2_4387;
																																																																											BgL_carzd211424zd2_4386
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd211419zd2_4385));
																																																																											BgL_cdrzd211425zd2_4387
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd211419zd2_4385));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211424zd2_4386))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd211430zd2_4389;
																																																																													BgL_carzd211430zd2_4389
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd211425zd2_4387));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211430zd2_4389))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd211425zd2_4387))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211407zd2_4383))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg3744z00_4394;
																																																																																			BgL_arg3744z00_4394
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd211413zd2_4384));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19770;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_19774;
																																																																																					obj_t
																																																																																						BgL_proc2z00_19773;
																																																																																					obj_t
																																																																																						BgL_proc1z00_19772;
																																																																																					obj_t
																																																																																						BgL_testz00_19771;
																																																																																					BgL_testz00_19771
																																																																																						=
																																																																																						BgL_arg3744z00_4394;
																																																																																					BgL_proc1z00_19772
																																																																																						=
																																																																																						BgL_carzd211424zd2_4386;
																																																																																					BgL_proc2z00_19773
																																																																																						=
																																																																																						BgL_carzd211430zd2_4389;
																																																																																					BgL_argsz00_19774
																																																																																						=
																																																																																						BgL_cdrzd211407zd2_4383;
																																																																																					BgL_argsz00_1817
																																																																																						=
																																																																																						BgL_argsz00_19774;
																																																																																					BgL_proc2z00_1816
																																																																																						=
																																																																																						BgL_proc2z00_19773;
																																																																																					BgL_proc1z00_1815
																																																																																						=
																																																																																						BgL_proc1z00_19772;
																																																																																					BgL_testz00_1814
																																																																																						=
																																																																																						BgL_testz00_19771;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1818;
																																																																																				}
																																																																																				BgL_auxz00_16271
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19770);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19778;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19778);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19782;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19782);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19786;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19786);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19790;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19790);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_19794;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_16271
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_19794);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd211763zd2_4402;
																																																																				BgL_cdrzd211763zd2_4402
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd211770zd2_4403;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_11999;
																																																																						BgL_pairz00_11999
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd211770zd2_4403
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_11999);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd211777zd2_4404;
																																																																						BgL_cdrzd211777zd2_4404
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd211770zd2_4403));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd211783zd2_4405;
																																																																							obj_t
																																																																								BgL_cdrzd211784zd2_4406;
																																																																							BgL_carzd211783zd2_4405
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd211777zd2_4404));
																																																																							BgL_cdrzd211784zd2_4406
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd211777zd2_4404));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211783zd2_4405))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd211784zd2_4406))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd211791zd2_4409;
																																																																											BgL_carzd211791zd2_4409
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd211784zd2_4406);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211791zd2_4409))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd211784zd2_4406)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211763zd2_4402))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg3758z00_4414;
																																																																																	BgL_arg3758z00_4414
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd211770zd2_4403));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19821;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_19825;
																																																																																			obj_t
																																																																																				BgL_proc2z00_19824;
																																																																																			obj_t
																																																																																				BgL_proc1z00_19823;
																																																																																			obj_t
																																																																																				BgL_testz00_19822;
																																																																																			BgL_testz00_19822
																																																																																				=
																																																																																				BgL_arg3758z00_4414;
																																																																																			BgL_proc1z00_19823
																																																																																				=
																																																																																				BgL_carzd211783zd2_4405;
																																																																																			BgL_proc2z00_19824
																																																																																				=
																																																																																				BgL_carzd211791zd2_4409;
																																																																																			BgL_argsz00_19825
																																																																																				=
																																																																																				BgL_cdrzd211763zd2_4402;
																																																																																			BgL_argsz00_1817
																																																																																				=
																																																																																				BgL_argsz00_19825;
																																																																																			BgL_proc2z00_1816
																																																																																				=
																																																																																				BgL_proc2z00_19824;
																																																																																			BgL_proc1z00_1815
																																																																																				=
																																																																																				BgL_proc1z00_19823;
																																																																																			BgL_testz00_1814
																																																																																				=
																																																																																				BgL_testz00_19822;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1818;
																																																																																		}
																																																																																		BgL_auxz00_16271
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19821);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19829;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19829);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19833;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19833);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19837;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19837);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19841;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19841);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19845;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19845);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_19849;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																			BgL_auxz00_16271
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_19849);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd212184zd2_4428;
																																																				BgL_cdrzd212184zd2_4428
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8698z00_19853;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3786z00_4445;
																																																						BgL_arg3786z00_4445
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8698z00_19853
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg3786z00_4445));
																																																					}
																																																					if (BgL_test8698z00_19853)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg3774z00_4431;
																																																							obj_t
																																																								BgL_arg3775z00_4432;
																																																							BgL_arg3774z00_4431
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd212184zd2_4428));
																																																							BgL_arg3775z00_4432
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd212184zd2_4428));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_19862;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_19864;
																																																									obj_t
																																																										BgL_bindingsz00_19863;
																																																									BgL_bindingsz00_19863
																																																										=
																																																										BgL_arg3774z00_4431;
																																																									BgL_exprz00_19864
																																																										=
																																																										BgL_arg3775z00_4432;
																																																									BgL_exprz00_1797
																																																										=
																																																										BgL_exprz00_19864;
																																																									BgL_bindingsz00_1796
																																																										=
																																																										BgL_bindingsz00_19863;
																																																									goto
																																																										BgL_tagzd2383zd2_1798;
																																																								}
																																																								BgL_auxz00_16271
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_19862);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8699z00_19866;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3785z00_4444;
																																																								BgL_arg3785z00_4444
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8699z00_19866
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg3785z00_4444));
																																																							}
																																																							if (BgL_test8699z00_19866)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_19871;
																																																									goto
																																																										BgL_tagzd2385zd2_1800;
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19871);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd212250zd2_4435;
																																																									BgL_carzd212250zd2_4435
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd212255zd2_4436;
																																																										BgL_cdrzd212255zd2_4436
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd212250zd2_4435));
																																																										if ((CAR(((obj_t) BgL_carzd212250zd2_4435)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3780z00_4439;
																																																												obj_t
																																																													BgL_arg3781z00_4440;
																																																												obj_t
																																																													BgL_arg3782z00_4441;
																																																												BgL_arg3780z00_4439
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd212255zd2_4436));
																																																												BgL_arg3781z00_4440
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd212255zd2_4436));
																																																												BgL_arg3782z00_4441
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_19888;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_19891;
																																																														obj_t
																																																															BgL_bodyz00_19890;
																																																														obj_t
																																																															BgL_varsz00_19889;
																																																														BgL_varsz00_19889
																																																															=
																																																															BgL_arg3780z00_4439;
																																																														BgL_bodyz00_19890
																																																															=
																																																															BgL_arg3781z00_4440;
																																																														BgL_argsz00_19891
																																																															=
																																																															BgL_arg3782z00_4441;
																																																														BgL_argsz00_1807
																																																															=
																																																															BgL_argsz00_19891;
																																																														BgL_bodyz00_1806
																																																															=
																																																															BgL_bodyz00_19890;
																																																														BgL_varsz00_1805
																																																															=
																																																															BgL_varsz00_19889;
																																																														goto
																																																															BgL_tagzd2387zd2_1808;
																																																													}
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_19888);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1842;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_19895;
																																																														goto
																																																															BgL_tagzd2405zd2_1843;
																																																														BgL_auxz00_16271
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_19895);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd212366zd2_4446;
																																																		BgL_cdrzd212366zd2_4446
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8702z00_19899;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg3795z00_4455;
																																																				BgL_arg3795z00_4455
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8702z00_19899
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg3795z00_4455));
																																																			}
																																																			if (BgL_test8702z00_19899)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg3789z00_4449;
																																																					obj_t
																																																						BgL_arg3790z00_4450;
																																																					BgL_arg3789z00_4449
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd212366zd2_4446));
																																																					BgL_arg3790z00_4450
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd212366zd2_4446));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_19908;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_19910;
																																																							obj_t
																																																								BgL_bindingsz00_19909;
																																																							BgL_bindingsz00_19909
																																																								=
																																																								BgL_arg3789z00_4449;
																																																							BgL_exprz00_19910
																																																								=
																																																								BgL_arg3790z00_4450;
																																																							BgL_exprz00_1797
																																																								=
																																																								BgL_exprz00_19910;
																																																							BgL_bindingsz00_1796
																																																								=
																																																								BgL_bindingsz00_19909;
																																																							goto
																																																								BgL_tagzd2383zd2_1798;
																																																						}
																																																						BgL_auxz00_16271
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_19908);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8703z00_19912;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3794z00_4454;
																																																						BgL_arg3794z00_4454
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8703z00_19912
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg3794z00_4454));
																																																					}
																																																					if (BgL_test8703z00_19912)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_19917;
																																																							goto
																																																								BgL_tagzd2385zd2_1800;
																																																							BgL_auxz00_16271
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19917);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2404zd2_1842;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_19921;
																																																									goto
																																																										BgL_tagzd2405zd2_1843;
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19921);
																																																								}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd210931zd2_4185)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd210933zd2_4187;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((BgL_carzd210931zd2_4185 == CNST_TABLE_REF(((long) 19))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd210933zd2_4187;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((BgL_carzd210931zd2_4185 == CNST_TABLE_REF(((long) 20))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd210933zd2_4187;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd210931zd2_4185)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd210933zd2_4187;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd212538zd2_4190;
																																																								BgL_cdrzd212538zd2_4190
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8709z00_19937;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3692z00_4307;
																																																										BgL_arg3692z00_4307
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8709z00_19937
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg3692z00_4307));
																																																									}
																																																									if (BgL_test8709z00_19937)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg3614z00_4193;
																																																											obj_t
																																																												BgL_arg3616z00_4194;
																																																											BgL_arg3614z00_4193
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd212538zd2_4190));
																																																											BgL_arg3616z00_4194
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd212538zd2_4190));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_19946;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_19948;
																																																													obj_t
																																																														BgL_bindingsz00_19947;
																																																													BgL_bindingsz00_19947
																																																														=
																																																														BgL_arg3614z00_4193;
																																																													BgL_exprz00_19948
																																																														=
																																																														BgL_arg3616z00_4194;
																																																													BgL_exprz00_1797
																																																														=
																																																														BgL_exprz00_19948;
																																																													BgL_bindingsz00_1796
																																																														=
																																																														BgL_bindingsz00_19947;
																																																													goto
																																																														BgL_tagzd2383zd2_1798;
																																																												}
																																																												BgL_auxz00_16271
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_19946);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8710z00_19950;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3691z00_4306;
																																																												BgL_arg3691z00_4306
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8710z00_19950
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg3691z00_4306));
																																																											}
																																																											if (BgL_test8710z00_19950)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_19955;
																																																													goto
																																																														BgL_tagzd2385zd2_1800;
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_19955);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd212604zd2_4197;
																																																													BgL_carzd212604zd2_4197
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd212609zd2_4198;
																																																														BgL_cdrzd212609zd2_4198
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd212604zd2_4197));
																																																														if ((CAR(((obj_t) BgL_carzd212604zd2_4197)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd212609zd2_4198))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg3623z00_4202;
																																																																		obj_t
																																																																			BgL_arg3624z00_4203;
																																																																		obj_t
																																																																			BgL_arg3626z00_4204;
																																																																		BgL_arg3623z00_4202
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd212609zd2_4198);
																																																																		BgL_arg3624z00_4203
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd212609zd2_4198);
																																																																		BgL_arg3626z00_4204
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_19972;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_19975;
																																																																				obj_t
																																																																					BgL_bodyz00_19974;
																																																																				obj_t
																																																																					BgL_varsz00_19973;
																																																																				BgL_varsz00_19973
																																																																					=
																																																																					BgL_arg3623z00_4202;
																																																																				BgL_bodyz00_19974
																																																																					=
																																																																					BgL_arg3624z00_4203;
																																																																				BgL_argsz00_19975
																																																																					=
																																																																					BgL_arg3626z00_4204;
																																																																				BgL_argsz00_1807
																																																																					=
																																																																					BgL_argsz00_19975;
																																																																				BgL_bodyz00_1806
																																																																					=
																																																																					BgL_bodyz00_19974;
																																																																				BgL_varsz00_1805
																																																																					=
																																																																					BgL_varsz00_19973;
																																																																				goto
																																																																					BgL_tagzd2387zd2_1808;
																																																																			}
																																																																			BgL_auxz00_16271
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_19972);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_19979;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_16271
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_19979);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd212716zd2_4207;
																																																																BgL_cdrzd212716zd2_4207
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd212721zd2_4208;
																																																																	BgL_cdrzd212721zd2_4208
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd212604zd2_4197));
																																																																	if ((CAR(((obj_t) BgL_carzd212604zd2_4197)) == CNST_TABLE_REF(((long) 1))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd212721zd2_4208))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd212726zd2_4212;
																																																																					BgL_cdrzd212726zd2_4212
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd212721zd2_4208);
																																																																					if (PAIRP(BgL_cdrzd212726zd2_4212))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd212730zd2_4214;
																																																																							obj_t
																																																																								BgL_cdrzd212731zd2_4215;
																																																																							BgL_carzd212730zd2_4214
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd212726zd2_4212);
																																																																							BgL_cdrzd212731zd2_4215
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd212726zd2_4212);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212730zd2_4214))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd212731zd2_4215))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd212736zd2_4218;
																																																																											BgL_carzd212736zd2_4218
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd212731zd2_4215);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212736zd2_4218))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd212731zd2_4215)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test8721z00_20007;
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1401z00_4251;
																																																																																BgL_l1401z00_4251
																																																																																	=
																																																																																	BgL_cdrzd212716zd2_4207;
																																																																															BgL_zc3z04anonymousza33653ze3z87_4252:
																																																																																if (NULLP(BgL_l1401z00_4251))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test8721z00_20007
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		bool_t
																																																																																			BgL_test8723z00_20010;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test8724z00_20011;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_tmpz00_20012;
																																																																																				BgL_tmpz00_20012
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_l1401z00_4251));
																																																																																				BgL_test8724z00_20011
																																																																																					=
																																																																																					PAIRP
																																																																																					(BgL_tmpz00_20012);
																																																																																			}
																																																																																			if (BgL_test8724z00_20011)
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test8723z00_20010
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test8723z00_20010
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						1);
																																																																																				}
																																																																																		}
																																																																																		if (BgL_test8723z00_20010)
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1401z00_20016;
																																																																																				BgL_l1401z00_20016
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_l1401z00_4251));
																																																																																				BgL_l1401z00_4251
																																																																																					=
																																																																																					BgL_l1401z00_20016;
																																																																																				goto
																																																																																					BgL_zc3z04anonymousza33653ze3z87_4252;
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test8721z00_20007
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																	}
																																																																															}
																																																																															if (BgL_test8721z00_20007)
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg3642z00_4234;
																																																																																	BgL_arg3642z00_4234
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd212721zd2_4208);
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20020;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_20024;
																																																																																			obj_t
																																																																																				BgL_proc2z00_20023;
																																																																																			obj_t
																																																																																				BgL_proc1z00_20022;
																																																																																			obj_t
																																																																																				BgL_testz00_20021;
																																																																																			BgL_testz00_20021
																																																																																				=
																																																																																				BgL_arg3642z00_4234;
																																																																																			BgL_proc1z00_20022
																																																																																				=
																																																																																				BgL_carzd212730zd2_4214;
																																																																																			BgL_proc2z00_20023
																																																																																				=
																																																																																				BgL_carzd212736zd2_4218;
																																																																																			BgL_argsz00_20024
																																																																																				=
																																																																																				BgL_cdrzd212716zd2_4207;
																																																																																			BgL_argsz00_1812
																																																																																				=
																																																																																				BgL_argsz00_20024;
																																																																																			BgL_proc2z00_1811
																																																																																				=
																																																																																				BgL_proc2z00_20023;
																																																																																			BgL_proc1z00_1810
																																																																																				=
																																																																																				BgL_proc1z00_20022;
																																																																																			BgL_testz00_1809
																																																																																				=
																																																																																				BgL_testz00_20021;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1813;
																																																																																		}
																																																																																		BgL_auxz00_16271
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20020);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd212761zd2_4235;
																																																																																	BgL_cdrzd212761zd2_4235
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd212769zd2_4236;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_12047;
																																																																																			BgL_pairz00_12047
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd212769zd2_4236
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_12047);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd212777zd2_4237;
																																																																																			BgL_cdrzd212777zd2_4237
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd212769zd2_4236));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd212784zd2_4238;
																																																																																				BgL_carzd212784zd2_4238
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd212777zd2_4237));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212784zd2_4238))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd212793zd2_4240;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_pairz00_12051;
																																																																																							BgL_pairz00_12051
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd212777zd2_4237));
																																																																																							BgL_carzd212793zd2_4240
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_pairz00_12051);
																																																																																						}
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212793zd2_4240))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd212761zd2_4235))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg3647z00_4243;
																																																																																										BgL_arg3647z00_4243
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd212769zd2_4236));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_20046;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_20050;
																																																																																												obj_t
																																																																																													BgL_proc2z00_20049;
																																																																																												obj_t
																																																																																													BgL_proc1z00_20048;
																																																																																												obj_t
																																																																																													BgL_testz00_20047;
																																																																																												BgL_testz00_20047
																																																																																													=
																																																																																													BgL_arg3647z00_4243;
																																																																																												BgL_proc1z00_20048
																																																																																													=
																																																																																													BgL_carzd212784zd2_4238;
																																																																																												BgL_proc2z00_20049
																																																																																													=
																																																																																													BgL_carzd212793zd2_4240;
																																																																																												BgL_argsz00_20050
																																																																																													=
																																																																																													BgL_cdrzd212761zd2_4235;
																																																																																												BgL_argsz00_1817
																																																																																													=
																																																																																													BgL_argsz00_20050;
																																																																																												BgL_proc2z00_1816
																																																																																													=
																																																																																													BgL_proc2z00_20049;
																																																																																												BgL_proc1z00_1815
																																																																																													=
																																																																																													BgL_proc1z00_20048;
																																																																																												BgL_testz00_1814
																																																																																													=
																																																																																													BgL_testz00_20047;
																																																																																												goto
																																																																																													BgL_tagzd2389zd2_1818;
																																																																																											}
																																																																																											BgL_auxz00_16271
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_20046);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_20054;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_16271
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_20054);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_20058;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_16271
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_20058);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_20062;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_20062);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20066;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20066);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd213071zd2_4262;
																																																																													BgL_cdrzd213071zd2_4262
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd213078zd2_4263;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_12055;
																																																																															BgL_pairz00_12055
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd213078zd2_4263
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_12055);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd213085zd2_4264;
																																																																															BgL_cdrzd213085zd2_4264
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd213078zd2_4263));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd213091zd2_4265;
																																																																																obj_t
																																																																																	BgL_cdrzd213092zd2_4266;
																																																																																BgL_carzd213091zd2_4265
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd213085zd2_4264));
																																																																																BgL_cdrzd213092zd2_4266
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd213085zd2_4264));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213091zd2_4265))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd213099zd2_4268;
																																																																																		BgL_carzd213099zd2_4268
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd213092zd2_4266));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213099zd2_4268))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd213092zd2_4266))))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd213071zd2_4262))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg3662z00_4273;
																																																																																								BgL_arg3662z00_4273
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd213078zd2_4263));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_20093;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_20097;
																																																																																										obj_t
																																																																																											BgL_proc2z00_20096;
																																																																																										obj_t
																																																																																											BgL_proc1z00_20095;
																																																																																										obj_t
																																																																																											BgL_testz00_20094;
																																																																																										BgL_testz00_20094
																																																																																											=
																																																																																											BgL_arg3662z00_4273;
																																																																																										BgL_proc1z00_20095
																																																																																											=
																																																																																											BgL_carzd213091zd2_4265;
																																																																																										BgL_proc2z00_20096
																																																																																											=
																																																																																											BgL_carzd213099zd2_4268;
																																																																																										BgL_argsz00_20097
																																																																																											=
																																																																																											BgL_cdrzd213071zd2_4262;
																																																																																										BgL_argsz00_1817
																																																																																											=
																																																																																											BgL_argsz00_20097;
																																																																																										BgL_proc2z00_1816
																																																																																											=
																																																																																											BgL_proc2z00_20096;
																																																																																										BgL_proc1z00_1815
																																																																																											=
																																																																																											BgL_proc1z00_20095;
																																																																																										BgL_testz00_1814
																																																																																											=
																																																																																											BgL_testz00_20094;
																																																																																										goto
																																																																																											BgL_tagzd2389zd2_1818;
																																																																																									}
																																																																																									BgL_auxz00_16271
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_20093);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_20101;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_16271
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_20101);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_20105;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_20105);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_20109;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_20109);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20113;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_16271
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20113);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20117;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20117);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd213432zd2_4281;
																																																																									BgL_cdrzd213432zd2_4281
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd213438zd2_4282;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_12064;
																																																																											BgL_pairz00_12064
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd213438zd2_4282
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_12064);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd213444zd2_4283;
																																																																											BgL_cdrzd213444zd2_4283
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd213438zd2_4282));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd213449zd2_4284;
																																																																												obj_t
																																																																													BgL_cdrzd213450zd2_4285;
																																																																												BgL_carzd213449zd2_4284
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd213444zd2_4283));
																																																																												BgL_cdrzd213450zd2_4285
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd213444zd2_4283));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213449zd2_4284))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (PAIRP(BgL_cdrzd213450zd2_4285))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd213455zd2_4288;
																																																																																BgL_carzd213455zd2_4288
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd213450zd2_4285);
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213455zd2_4288))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (NULLP(CDR(BgL_cdrzd213450zd2_4285)))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd213432zd2_4281))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg3677z00_4293;
																																																																																						BgL_arg3677z00_4293
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd213438zd2_4282));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_20144;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_20148;
																																																																																								obj_t
																																																																																									BgL_proc2z00_20147;
																																																																																								obj_t
																																																																																									BgL_proc1z00_20146;
																																																																																								obj_t
																																																																																									BgL_testz00_20145;
																																																																																								BgL_testz00_20145
																																																																																									=
																																																																																									BgL_arg3677z00_4293;
																																																																																								BgL_proc1z00_20146
																																																																																									=
																																																																																									BgL_carzd213449zd2_4284;
																																																																																								BgL_proc2z00_20147
																																																																																									=
																																																																																									BgL_carzd213455zd2_4288;
																																																																																								BgL_argsz00_20148
																																																																																									=
																																																																																									BgL_cdrzd213432zd2_4281;
																																																																																								BgL_argsz00_1817
																																																																																									=
																																																																																									BgL_argsz00_20148;
																																																																																								BgL_proc2z00_1816
																																																																																									=
																																																																																									BgL_proc2z00_20147;
																																																																																								BgL_proc1z00_1815
																																																																																									=
																																																																																									BgL_proc1z00_20146;
																																																																																								BgL_testz00_1814
																																																																																									=
																																																																																									BgL_testz00_20145;
																																																																																								goto
																																																																																									BgL_tagzd2389zd2_1818;
																																																																																							}
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_20144);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_20152;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_20152);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_20156;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_20156);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20160;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_16271
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20160);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20164;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																		BgL_auxz00_16271
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20164);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20168;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																																BgL_auxz00_16271
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20168);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20172;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20172);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20176;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20176);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_20180;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																					BgL_auxz00_16271
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_20180);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd213993zd2_4457;
																																													BgL_cdrzd213993zd2_4457
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((BgL_carzd210928zd2_4183 == CNST_TABLE_REF(((long) 18))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg3796z00_4458;
																																															obj_t
																																																BgL_arg3797z00_4459;
																																															BgL_arg3796z00_4458
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd213993zd2_4457));
																																															BgL_arg3797z00_4459
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd213993zd2_4457));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_20191;
																																																{
																																																	obj_t
																																																		BgL_exprz00_20193;
																																																	obj_t
																																																		BgL_bindingsz00_20192;
																																																	BgL_bindingsz00_20192
																																																		=
																																																		BgL_arg3796z00_4458;
																																																	BgL_exprz00_20193
																																																		=
																																																		BgL_arg3797z00_4459;
																																																	BgL_exprz00_1797
																																																		=
																																																		BgL_exprz00_20193;
																																																	BgL_bindingsz00_1796
																																																		=
																																																		BgL_bindingsz00_20192;
																																																	goto
																																																		BgL_tagzd2383zd2_1798;
																																																}
																																																BgL_auxz00_16271
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_20191);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd210928zd2_4183)))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg3799z00_4461;
																																																	obj_t
																																																		BgL_arg3800z00_4462;
																																																	BgL_arg3799z00_4461
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd213993zd2_4457));
																																																	BgL_arg3800z00_4462
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd213993zd2_4457));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_20202;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_20204;
																																																			obj_t
																																																				BgL_bindingsz00_20203;
																																																			BgL_bindingsz00_20203
																																																				=
																																																				BgL_arg3799z00_4461;
																																																			BgL_exprz00_20204
																																																				=
																																																				BgL_arg3800z00_4462;
																																																			BgL_exprz00_1797
																																																				=
																																																				BgL_exprz00_20204;
																																																			BgL_bindingsz00_1796
																																																				=
																																																				BgL_bindingsz00_20203;
																																																			goto
																																																				BgL_tagzd2383zd2_1798;
																																																		}
																																																		BgL_auxz00_16271
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_20202);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((BgL_carzd210928zd2_4183 == CNST_TABLE_REF(((long) 19))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg3801z00_4463;
																																																			obj_t
																																																				BgL_arg3802z00_4464;
																																																			BgL_arg3801z00_4463
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd213993zd2_4457));
																																																			BgL_arg3802z00_4464
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd213993zd2_4457));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_20213;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_20215;
																																																					obj_t
																																																						BgL_bindingsz00_20214;
																																																					BgL_bindingsz00_20214
																																																						=
																																																						BgL_arg3801z00_4463;
																																																					BgL_exprz00_20215
																																																						=
																																																						BgL_arg3802z00_4464;
																																																					BgL_exprz00_1797
																																																						=
																																																						BgL_exprz00_20215;
																																																					BgL_bindingsz00_1796
																																																						=
																																																						BgL_bindingsz00_20214;
																																																					goto
																																																						BgL_tagzd2383zd2_1798;
																																																				}
																																																				BgL_auxz00_16271
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_20213);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_20222;
																																																					goto
																																																						BgL_tagzd2384zd2_1799;
																																																					BgL_auxz00_16271
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_20222);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd214030zd2_4467;
																																																					BgL_carzd214030zd2_4467
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((BgL_carzd214030zd2_4467 == CNST_TABLE_REF(((long) 20))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_20229;
																																																							goto
																																																								BgL_tagzd2385zd2_1800;
																																																							BgL_auxz00_16271
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20229);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd214030zd2_4467)))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_20234;
																																																									goto
																																																										BgL_tagzd2385zd2_1800;
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20234);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_20241;
																																																											goto
																																																												BgL_tagzd2390zd2_1819;
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_20241);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_20248;
																																																													goto
																																																														BgL_tagzd2391zd2_1820;
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20248);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd214110zd2_4473;
																																																													BgL_cdrzd214110zd2_4473
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg3812z00_4476;
																																																															obj_t
																																																																BgL_arg3813z00_4477;
																																																															BgL_arg3812z00_4476
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd214110zd2_4473));
																																																															BgL_arg3813z00_4477
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd214110zd2_4473));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_20261;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_20263;
																																																																	obj_t
																																																																		BgL_effectz00_20262;
																																																																	BgL_effectz00_20262
																																																																		=
																																																																		BgL_arg3812z00_4476;
																																																																	BgL_restz00_20263
																																																																		=
																																																																		BgL_arg3813z00_4477;
																																																																	BgL_restz00_1822
																																																																		=
																																																																		BgL_restz00_20263;
																																																																	BgL_effectz00_1821
																																																																		=
																																																																		BgL_effectz00_20262;
																																																																	goto
																																																																		BgL_tagzd2392zd2_1823;
																																																																}
																																																																BgL_auxz00_16271
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_20261);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_20270;
																																																																	goto
																																																																		BgL_tagzd2393zd2_1824;
																																																																	BgL_auxz00_16271
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_20270);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_20277;
																																																																			goto
																																																																				BgL_tagzd2394zd2_1825;
																																																																			BgL_auxz00_16271
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_20277);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg3820z00_4485;
																																																																					obj_t
																																																																						BgL_arg3821z00_4486;
																																																																					BgL_arg3820z00_4485
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd214110zd2_4473));
																																																																					BgL_arg3821z00_4486
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd214110zd2_4473));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20288;
																																																																						{
																																																																							obj_t
																																																																								BgL_restz00_20290;
																																																																							obj_t
																																																																								BgL_effectz00_20289;
																																																																							BgL_effectz00_20289
																																																																								=
																																																																								BgL_arg3820z00_4485;
																																																																							BgL_restz00_20290
																																																																								=
																																																																								BgL_arg3821z00_4486;
																																																																							BgL_restz00_1827
																																																																								=
																																																																								BgL_restz00_20290;
																																																																							BgL_effectz00_1826
																																																																								=
																																																																								BgL_effectz00_20289;
																																																																							goto
																																																																								BgL_tagzd2395zd2_1828;
																																																																						}
																																																																						BgL_auxz00_16271
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20288);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20297;
																																																																							goto
																																																																								BgL_tagzd2396zd2_1829;
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20297);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20304;
																																																																									goto
																																																																										BgL_tagzd2397zd2_1830;
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20304);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																										{
																																																																											BgL_letzd2funzd2_bglt
																																																																												BgL_auxz00_20311;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1831;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20311);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																												{
																																																																													BgL_jumpzd2exzd2itz00_bglt
																																																																														BgL_auxz00_20318;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1832;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20318);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 31))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test8771z00_20325;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_tmpz00_20326;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_12100;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_12099;
																																																																																		BgL_pairz00_12099
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		BgL_pairz00_12100
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_pairz00_12099);
																																																																																	}
																																																																																	BgL_tmpz00_20326
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_12100);
																																																																																}
																																																																																BgL_test8771z00_20325
																																																																																	=
																																																																																	NULLP
																																																																																	(BgL_tmpz00_20326);
																																																																															}
																																																																															if (BgL_test8771z00_20325)
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20332;
																																																																																BgL_tagzd2400zd2_1833:
																																																																																	BgL_auxz00_20332 = BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20332);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20337;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20337);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd214203zd2_4505;
																																																																															BgL_cdrzd214203zd2_4505
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg3842z00_4508;
																																																																																	obj_t
																																																																																		BgL_arg3843z00_4509;
																																																																																	BgL_arg3842z00_4508
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd214203zd2_4505));
																																																																																	BgL_arg3843z00_4509
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd214203zd2_4505));
																																																																																	{	/* Ast/sexp.scm 564 */
																																																																																		obj_t
																																																																																			BgL_arg7616z00_12105;
																																																																																		BgL_arg7616z00_12105
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_16271
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg3842z00_4508,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 4)), BgL_arg3843z00_4509, BgL_stackz00_22, BgL_arg7616z00_12105, BgL_sitez00_24));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20356;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20356);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															obj_t
																																BgL_carzd214228zd2_4527;
																															BgL_carzd214228zd2_4527
																																=
																																CAR(((obj_t)
																																	BgL_expz00_21));
																															if (
																																(BgL_carzd214228zd2_4527
																																	==
																																	CNST_TABLE_REF
																																	(((long) 1))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_20363;
																																	goto
																																		BgL_tagzd2377zd2_1784;
																																	BgL_auxz00_16271
																																		=
																																		((obj_t)
																																		BgL_auxz00_20363);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(BgL_carzd214228zd2_4527
																																			==
																																			BGl_za2ifza2z00zzast_sexpz00))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_20367;
																																			goto
																																				BgL_tagzd2377zd2_1784;
																																			BgL_auxz00_16271
																																				=
																																				((obj_t)
																																				BgL_auxz00_20367);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_cdrzd214250zd2_4529;
																																			BgL_cdrzd214250zd2_4529
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_expz00_21))
																																					==
																																					CNST_TABLE_REF
																																					(((long) 7))))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd214253zd2_4532;
																																					obj_t
																																						BgL_cdrzd214254zd2_4533;
																																					BgL_carzd214253zd2_4532
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd214250zd2_4529));
																																					BgL_cdrzd214254zd2_4533
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd214250zd2_4529));
																																					if (PAIRP(BgL_carzd214253zd2_4532))
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(BgL_carzd214253zd2_4532) == CNST_TABLE_REF(((long) 14))))
																																								{	/* Ast/sexp.scm 119 */
																																									if (NULLP(CDR(((obj_t) BgL_cdrzd214254zd2_4533))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg3869z00_4539;
																																											obj_t
																																												BgL_arg3870z00_4540;
																																											BgL_arg3869z00_4539
																																												=
																																												CDR
																																												(BgL_carzd214253zd2_4532);
																																											BgL_arg3870z00_4540
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd214254zd2_4533));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_20393;
																																												{
																																													obj_t
																																														BgL_valz00_20395;
																																													obj_t
																																														BgL_lz00_20394;
																																													BgL_lz00_20394
																																														=
																																														BgL_arg3869z00_4539;
																																													BgL_valz00_20395
																																														=
																																														BgL_arg3870z00_4540;
																																													BgL_valz00_1786
																																														=
																																														BgL_valz00_20395;
																																													BgL_lz00_1785
																																														=
																																														BgL_lz00_20394;
																																													goto
																																														BgL_tagzd2378zd2_1787;
																																												}
																																												BgL_auxz00_16271
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_20393);
																																											}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_20397;
																																											goto
																																												BgL_tagzd2379zd2_1788;
																																											BgL_auxz00_16271
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_20397);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_20399;
																																									goto
																																										BgL_tagzd2379zd2_1788;
																																									BgL_auxz00_16271
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_20399);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_20401;
																																							goto
																																								BgL_tagzd2379zd2_1788;
																																							BgL_auxz00_16271
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_20401);
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_20408;
																																							goto
																																								BgL_tagzd2380zd2_1789;
																																							BgL_auxz00_16271
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_20408);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg3877z00_4548;
																																									obj_t
																																										BgL_arg3878z00_4549;
																																									BgL_arg3877z00_4548
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd214250zd2_4529));
																																									BgL_arg3878z00_4549
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd214250zd2_4529));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_20419;
																																										{
																																											obj_t
																																												BgL_exprz00_20421;
																																											obj_t
																																												BgL_bindingsz00_20420;
																																											BgL_bindingsz00_20420
																																												=
																																												BgL_arg3877z00_4548;
																																											BgL_exprz00_20421
																																												=
																																												BgL_arg3878z00_4549;
																																											BgL_exprz00_1791
																																												=
																																												BgL_exprz00_20421;
																																											BgL_bindingsz00_1790
																																												=
																																												BgL_bindingsz00_20420;
																																											goto
																																												BgL_tagzd2381zd2_1792;
																																										}
																																										BgL_auxz00_16271
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_20419);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd214378zd2_4550;
																																									BgL_carzd214378zd2_4550
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if (PAIRP(BgL_carzd214378zd2_4550))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd214381zd2_4552;
																																											obj_t
																																												BgL_cdrzd214382zd2_4553;
																																											BgL_carzd214381zd2_4552
																																												=
																																												CAR
																																												(BgL_carzd214378zd2_4550);
																																											BgL_cdrzd214382zd2_4553
																																												=
																																												CDR
																																												(BgL_carzd214378zd2_4550);
																																											{

																																												if ((BgL_carzd214381zd2_4552 == CNST_TABLE_REF(((long) 18))))
																																													{	/* Ast/sexp.scm 119 */
																																													BgL_kapzd214383zd2_4554:
																																														if (PAIRP(BgL_cdrzd214382zd2_4553))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd214386zd2_4676;
																																																BgL_cdrzd214386zd2_4676
																																																	=
																																																	CDR
																																																	(BgL_cdrzd214382zd2_4553);
																																																if (PAIRP(BgL_cdrzd214386zd2_4676))
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (NULLP(CDR(BgL_cdrzd214386zd2_4676)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg3961z00_4680;
																																																				obj_t
																																																					BgL_arg3962z00_4681;
																																																				BgL_arg3961z00_4680
																																																					=
																																																					CAR
																																																					(BgL_cdrzd214386zd2_4676);
																																																				BgL_arg3962z00_4681
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_20443;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_20445;
																																																						obj_t
																																																							BgL_bodyz00_20444;
																																																						BgL_bodyz00_20444
																																																							=
																																																							BgL_arg3961z00_4680;
																																																						BgL_argsz00_20445
																																																							=
																																																							BgL_arg3962z00_4681;
																																																						BgL_argsz00_1794
																																																							=
																																																							BgL_argsz00_20445;
																																																						BgL_bodyz00_1793
																																																							=
																																																							BgL_bodyz00_20444;
																																																						goto
																																																							BgL_tagzd2382zd2_1795;
																																																					}
																																																					BgL_auxz00_16271
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_20443);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd214410zd2_4682;
																																																				BgL_cdrzd214410zd2_4682
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8788z00_20449;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg4031z00_4793;
																																																						BgL_arg4031z00_4793
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8788z00_20449
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg4031z00_4793));
																																																					}
																																																					if (BgL_test8788z00_20449)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg3965z00_4685;
																																																							obj_t
																																																								BgL_arg3966z00_4686;
																																																							BgL_arg3965z00_4685
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd214410zd2_4682));
																																																							BgL_arg3966z00_4686
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd214410zd2_4682));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_20458;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_20460;
																																																									obj_t
																																																										BgL_bindingsz00_20459;
																																																									BgL_bindingsz00_20459
																																																										=
																																																										BgL_arg3965z00_4685;
																																																									BgL_exprz00_20460
																																																										=
																																																										BgL_arg3966z00_4686;
																																																									BgL_exprz00_1797
																																																										=
																																																										BgL_exprz00_20460;
																																																									BgL_bindingsz00_1796
																																																										=
																																																										BgL_bindingsz00_20459;
																																																									goto
																																																										BgL_tagzd2383zd2_1798;
																																																								}
																																																								BgL_auxz00_16271
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20458);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8789z00_20462;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg4030z00_4792;
																																																								BgL_arg4030z00_4792
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8789z00_20462
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg4030z00_4792));
																																																							}
																																																							if (BgL_test8789z00_20462)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_20467;
																																																									goto
																																																										BgL_tagzd2385zd2_1800;
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20467);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd214477zd2_4689;
																																																									BgL_carzd214477zd2_4689
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd214482zd2_4690;
																																																										BgL_cdrzd214482zd2_4690
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd214477zd2_4689));
																																																										if ((CAR(((obj_t) BgL_carzd214477zd2_4689)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3971z00_4693;
																																																												obj_t
																																																													BgL_arg3972z00_4694;
																																																												obj_t
																																																													BgL_arg3973z00_4695;
																																																												BgL_arg3971z00_4693
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd214482zd2_4690));
																																																												BgL_arg3972z00_4694
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd214482zd2_4690));
																																																												BgL_arg3973z00_4695
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_20484;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_20487;
																																																														obj_t
																																																															BgL_bodyz00_20486;
																																																														obj_t
																																																															BgL_varsz00_20485;
																																																														BgL_varsz00_20485
																																																															=
																																																															BgL_arg3971z00_4693;
																																																														BgL_bodyz00_20486
																																																															=
																																																															BgL_arg3972z00_4694;
																																																														BgL_argsz00_20487
																																																															=
																																																															BgL_arg3973z00_4695;
																																																														BgL_argsz00_1807
																																																															=
																																																															BgL_argsz00_20487;
																																																														BgL_bodyz00_1806
																																																															=
																																																															BgL_bodyz00_20486;
																																																														BgL_varsz00_1805
																																																															=
																																																															BgL_varsz00_20485;
																																																														goto
																																																															BgL_tagzd2387zd2_1808;
																																																													}
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20484);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd214505zd2_4697;
																																																												BgL_cdrzd214505zd2_4697
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd214511zd2_4698;
																																																													BgL_cdrzd214511zd2_4698
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd214477zd2_4689));
																																																													if ((CAR(((obj_t) BgL_carzd214477zd2_4689)) == CNST_TABLE_REF(((long) 1))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd214517zd2_4701;
																																																															BgL_cdrzd214517zd2_4701
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd214511zd2_4698));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd214522zd2_4702;
																																																																obj_t
																																																																	BgL_cdrzd214523zd2_4703;
																																																																BgL_carzd214522zd2_4702
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd214517zd2_4701));
																																																																BgL_cdrzd214523zd2_4703
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd214517zd2_4701));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214522zd2_4702))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd214523zd2_4703))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd214530zd2_4706;
																																																																				BgL_carzd214530zd2_4706
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd214523zd2_4703);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214530zd2_4706))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd214523zd2_4703)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test8796z00_20514;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1404z00_4739;
																																																																									BgL_l1404z00_4739
																																																																										=
																																																																										BgL_cdrzd214505zd2_4697;
																																																																								BgL_zc3z04anonymousza33996ze3z87_4740:
																																																																									if (NULLP(BgL_l1404z00_4739))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test8796z00_20514
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test8798z00_20517;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test8799z00_20518;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_tmpz00_20519;
																																																																													BgL_tmpz00_20519
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1404z00_4739));
																																																																													BgL_test8799z00_20518
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_20519);
																																																																												}
																																																																												if (BgL_test8799z00_20518)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test8798z00_20517
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test8798z00_20517
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_test8798z00_20517)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1404z00_20523;
																																																																													BgL_l1404z00_20523
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1404z00_4739));
																																																																													BgL_l1404z00_4739
																																																																														=
																																																																														BgL_l1404z00_20523;
																																																																													goto
																																																																														BgL_zc3z04anonymousza33996ze3z87_4740;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test8796z00_20514
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_test8796z00_20514)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg3986z00_4722;
																																																																										BgL_arg3986z00_4722
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd214511zd2_4698));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20528;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_20532;
																																																																												obj_t
																																																																													BgL_proc2z00_20531;
																																																																												obj_t
																																																																													BgL_proc1z00_20530;
																																																																												obj_t
																																																																													BgL_testz00_20529;
																																																																												BgL_testz00_20529
																																																																													=
																																																																													BgL_arg3986z00_4722;
																																																																												BgL_proc1z00_20530
																																																																													=
																																																																													BgL_carzd214522zd2_4702;
																																																																												BgL_proc2z00_20531
																																																																													=
																																																																													BgL_carzd214530zd2_4706;
																																																																												BgL_argsz00_20532
																																																																													=
																																																																													BgL_cdrzd214505zd2_4697;
																																																																												BgL_argsz00_1812
																																																																													=
																																																																													BgL_argsz00_20532;
																																																																												BgL_proc2z00_1811
																																																																													=
																																																																													BgL_proc2z00_20531;
																																																																												BgL_proc1z00_1810
																																																																													=
																																																																													BgL_proc1z00_20530;
																																																																												BgL_testz00_1809
																																																																													=
																																																																													BgL_testz00_20529;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1813;
																																																																											}
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20528);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd214554zd2_4723;
																																																																										BgL_cdrzd214554zd2_4723
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd214561zd2_4724;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_12152;
																																																																												BgL_pairz00_12152
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd214561zd2_4724
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_12152);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd214568zd2_4725;
																																																																												BgL_cdrzd214568zd2_4725
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd214561zd2_4724));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd214574zd2_4726;
																																																																													BgL_carzd214574zd2_4726
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd214568zd2_4725));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214574zd2_4726))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd214581zd2_4728;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_12156;
																																																																																BgL_pairz00_12156
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd214568zd2_4725));
																																																																																BgL_carzd214581zd2_4728
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_12156);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214581zd2_4728))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214554zd2_4723))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg3990z00_4731;
																																																																																			BgL_arg3990z00_4731
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd214561zd2_4724));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20554;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_20558;
																																																																																					obj_t
																																																																																						BgL_proc2z00_20557;
																																																																																					obj_t
																																																																																						BgL_proc1z00_20556;
																																																																																					obj_t
																																																																																						BgL_testz00_20555;
																																																																																					BgL_testz00_20555
																																																																																						=
																																																																																						BgL_arg3990z00_4731;
																																																																																					BgL_proc1z00_20556
																																																																																						=
																																																																																						BgL_carzd214574zd2_4726;
																																																																																					BgL_proc2z00_20557
																																																																																						=
																																																																																						BgL_carzd214581zd2_4728;
																																																																																					BgL_argsz00_20558
																																																																																						=
																																																																																						BgL_cdrzd214554zd2_4723;
																																																																																					BgL_argsz00_1817
																																																																																						=
																																																																																						BgL_argsz00_20558;
																																																																																					BgL_proc2z00_1816
																																																																																						=
																																																																																						BgL_proc2z00_20557;
																																																																																					BgL_proc1z00_1815
																																																																																						=
																																																																																						BgL_proc1z00_20556;
																																																																																					BgL_testz00_1814
																																																																																						=
																																																																																						BgL_testz00_20555;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1818;
																																																																																				}
																																																																																				BgL_auxz00_16271
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20554);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20562;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20562);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20566;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20566);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20570;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20570);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20574;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_16271
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20574);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd214857zd2_4750;
																																																																						BgL_cdrzd214857zd2_4750
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd214863zd2_4751;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_12160;
																																																																								BgL_pairz00_12160
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd214863zd2_4751
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_12160);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd214869zd2_4752;
																																																																								BgL_cdrzd214869zd2_4752
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd214863zd2_4751));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd214874zd2_4753;
																																																																									obj_t
																																																																										BgL_cdrzd214875zd2_4754;
																																																																									BgL_carzd214874zd2_4753
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd214869zd2_4752));
																																																																									BgL_cdrzd214875zd2_4754
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd214869zd2_4752));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214874zd2_4753))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd214880zd2_4756;
																																																																											BgL_carzd214880zd2_4756
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd214875zd2_4754));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214880zd2_4756))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd214875zd2_4754))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214857zd2_4750))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg4005z00_4761;
																																																																																	BgL_arg4005z00_4761
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd214863zd2_4751));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20601;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_20605;
																																																																																			obj_t
																																																																																				BgL_proc2z00_20604;
																																																																																			obj_t
																																																																																				BgL_proc1z00_20603;
																																																																																			obj_t
																																																																																				BgL_testz00_20602;
																																																																																			BgL_testz00_20602
																																																																																				=
																																																																																				BgL_arg4005z00_4761;
																																																																																			BgL_proc1z00_20603
																																																																																				=
																																																																																				BgL_carzd214874zd2_4753;
																																																																																			BgL_proc2z00_20604
																																																																																				=
																																																																																				BgL_carzd214880zd2_4756;
																																																																																			BgL_argsz00_20605
																																																																																				=
																																																																																				BgL_cdrzd214857zd2_4750;
																																																																																			BgL_argsz00_1817
																																																																																				=
																																																																																				BgL_argsz00_20605;
																																																																																			BgL_proc2z00_1816
																																																																																				=
																																																																																				BgL_proc2z00_20604;
																																																																																			BgL_proc1z00_1815
																																																																																				=
																																																																																				BgL_proc1z00_20603;
																																																																																			BgL_testz00_1814
																																																																																				=
																																																																																				BgL_testz00_20602;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1818;
																																																																																		}
																																																																																		BgL_auxz00_16271
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20601);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20609;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20609);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20613;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20613);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20617;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20617);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20621;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20621);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20625;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_16271
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20625);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd215213zd2_4769;
																																																																		BgL_cdrzd215213zd2_4769
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd215220zd2_4770;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_12169;
																																																																				BgL_pairz00_12169
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd215220zd2_4770
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_12169);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd215227zd2_4771;
																																																																				BgL_cdrzd215227zd2_4771
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd215220zd2_4770));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd215233zd2_4772;
																																																																					obj_t
																																																																						BgL_cdrzd215234zd2_4773;
																																																																					BgL_carzd215233zd2_4772
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd215227zd2_4771));
																																																																					BgL_cdrzd215234zd2_4773
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd215227zd2_4771));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215233zd2_4772))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd215234zd2_4773))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd215241zd2_4776;
																																																																									BgL_carzd215241zd2_4776
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd215234zd2_4773);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215241zd2_4776))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd215234zd2_4773)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd215213zd2_4769))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4019z00_4781;
																																																																															BgL_arg4019z00_4781
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd215220zd2_4770));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20652;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_20656;
																																																																																	obj_t
																																																																																		BgL_proc2z00_20655;
																																																																																	obj_t
																																																																																		BgL_proc1z00_20654;
																																																																																	obj_t
																																																																																		BgL_testz00_20653;
																																																																																	BgL_testz00_20653
																																																																																		=
																																																																																		BgL_arg4019z00_4781;
																																																																																	BgL_proc1z00_20654
																																																																																		=
																																																																																		BgL_carzd215233zd2_4772;
																																																																																	BgL_proc2z00_20655
																																																																																		=
																																																																																		BgL_carzd215241zd2_4776;
																																																																																	BgL_argsz00_20656
																																																																																		=
																																																																																		BgL_cdrzd215213zd2_4769;
																																																																																	BgL_argsz00_1817
																																																																																		=
																																																																																		BgL_argsz00_20656;
																																																																																	BgL_proc2z00_1816
																																																																																		=
																																																																																		BgL_proc2z00_20655;
																																																																																	BgL_proc1z00_1815
																																																																																		=
																																																																																		BgL_proc1z00_20654;
																																																																																	BgL_testz00_1814
																																																																																		=
																																																																																		BgL_testz00_20653;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1818;
																																																																																}
																																																																																BgL_auxz00_16271
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20652);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20660;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20660);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20664;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20664);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20668;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20668);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20672;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20672);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20676;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20676);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_20680;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																	BgL_auxz00_16271
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_20680);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd215634zd2_4795;
																																																		BgL_cdrzd215634zd2_4795
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8827z00_20684;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg4047z00_4812;
																																																				BgL_arg4047z00_4812
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8827z00_20684
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg4047z00_4812));
																																																			}
																																																			if (BgL_test8827z00_20684)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg4035z00_4798;
																																																					obj_t
																																																						BgL_arg4036z00_4799;
																																																					BgL_arg4035z00_4798
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd215634zd2_4795));
																																																					BgL_arg4036z00_4799
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd215634zd2_4795));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_20693;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_20695;
																																																							obj_t
																																																								BgL_bindingsz00_20694;
																																																							BgL_bindingsz00_20694
																																																								=
																																																								BgL_arg4035z00_4798;
																																																							BgL_exprz00_20695
																																																								=
																																																								BgL_arg4036z00_4799;
																																																							BgL_exprz00_1797
																																																								=
																																																								BgL_exprz00_20695;
																																																							BgL_bindingsz00_1796
																																																								=
																																																								BgL_bindingsz00_20694;
																																																							goto
																																																								BgL_tagzd2383zd2_1798;
																																																						}
																																																						BgL_auxz00_16271
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_20693);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8828z00_20697;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg4046z00_4811;
																																																						BgL_arg4046z00_4811
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8828z00_20697
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg4046z00_4811));
																																																					}
																																																					if (BgL_test8828z00_20697)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_20702;
																																																							goto
																																																								BgL_tagzd2385zd2_1800;
																																																							BgL_auxz00_16271
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20702);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd215700zd2_4802;
																																																							BgL_carzd215700zd2_4802
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd215705zd2_4803;
																																																								BgL_cdrzd215705zd2_4803
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd215700zd2_4802));
																																																								if ((CAR(((obj_t) BgL_carzd215700zd2_4802)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg4041z00_4806;
																																																										obj_t
																																																											BgL_arg4042z00_4807;
																																																										obj_t
																																																											BgL_arg4043z00_4808;
																																																										BgL_arg4041z00_4806
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd215705zd2_4803));
																																																										BgL_arg4042z00_4807
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd215705zd2_4803));
																																																										BgL_arg4043z00_4808
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_20719;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_20722;
																																																												obj_t
																																																													BgL_bodyz00_20721;
																																																												obj_t
																																																													BgL_varsz00_20720;
																																																												BgL_varsz00_20720
																																																													=
																																																													BgL_arg4041z00_4806;
																																																												BgL_bodyz00_20721
																																																													=
																																																													BgL_arg4042z00_4807;
																																																												BgL_argsz00_20722
																																																													=
																																																													BgL_arg4043z00_4808;
																																																												BgL_argsz00_1807
																																																													=
																																																													BgL_argsz00_20722;
																																																												BgL_bodyz00_1806
																																																													=
																																																													BgL_bodyz00_20721;
																																																												BgL_varsz00_1805
																																																													=
																																																													BgL_varsz00_20720;
																																																												goto
																																																													BgL_tagzd2387zd2_1808;
																																																											}
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_20719);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2404zd2_1842;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_20726;
																																																												goto
																																																													BgL_tagzd2405zd2_1843;
																																																												BgL_auxz00_16271
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_20726);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd215816zd2_4813;
																																																BgL_cdrzd215816zd2_4813
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test8831z00_20730;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg4056z00_4822;
																																																		BgL_arg4056z00_4822
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test8831z00_20730
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg4056z00_4822));
																																																	}
																																																	if (BgL_test8831z00_20730)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4050z00_4816;
																																																			obj_t
																																																				BgL_arg4051z00_4817;
																																																			BgL_arg4050z00_4816
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd215816zd2_4813));
																																																			BgL_arg4051z00_4817
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd215816zd2_4813));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_20739;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_20741;
																																																					obj_t
																																																						BgL_bindingsz00_20740;
																																																					BgL_bindingsz00_20740
																																																						=
																																																						BgL_arg4050z00_4816;
																																																					BgL_exprz00_20741
																																																						=
																																																						BgL_arg4051z00_4817;
																																																					BgL_exprz00_1797
																																																						=
																																																						BgL_exprz00_20741;
																																																					BgL_bindingsz00_1796
																																																						=
																																																						BgL_bindingsz00_20740;
																																																					goto
																																																						BgL_tagzd2383zd2_1798;
																																																				}
																																																				BgL_auxz00_16271
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_20739);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8832z00_20743;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg4055z00_4821;
																																																				BgL_arg4055z00_4821
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8832z00_20743
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg4055z00_4821));
																																																			}
																																																			if (BgL_test8832z00_20743)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_20748;
																																																					goto
																																																						BgL_tagzd2385zd2_1800;
																																																					BgL_auxz00_16271
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_20748);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2404zd2_1842;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_20752;
																																																							goto
																																																								BgL_tagzd2405zd2_1843;
																																																							BgL_auxz00_16271
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20752);
																																																						}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd214381zd2_4552)))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd214383zd2_4554;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((BgL_carzd214381zd2_4552 == CNST_TABLE_REF(((long) 19))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd214383zd2_4554;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((BgL_carzd214381zd2_4552 == CNST_TABLE_REF(((long) 20))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd214383zd2_4554;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd214381zd2_4552)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd214383zd2_4554;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd215988zd2_4557;
																																																						BgL_cdrzd215988zd2_4557
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8838z00_20768;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3956z00_4674;
																																																								BgL_arg3956z00_4674
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8838z00_20768
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg3956z00_4674));
																																																							}
																																																							if (BgL_test8838z00_20768)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg3884z00_4560;
																																																									obj_t
																																																										BgL_arg3885z00_4561;
																																																									BgL_arg3884z00_4560
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd215988zd2_4557));
																																																									BgL_arg3885z00_4561
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd215988zd2_4557));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_20777;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_20779;
																																																											obj_t
																																																												BgL_bindingsz00_20778;
																																																											BgL_bindingsz00_20778
																																																												=
																																																												BgL_arg3884z00_4560;
																																																											BgL_exprz00_20779
																																																												=
																																																												BgL_arg3885z00_4561;
																																																											BgL_exprz00_1797
																																																												=
																																																												BgL_exprz00_20779;
																																																											BgL_bindingsz00_1796
																																																												=
																																																												BgL_bindingsz00_20778;
																																																											goto
																																																												BgL_tagzd2383zd2_1798;
																																																										}
																																																										BgL_auxz00_16271
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_20777);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8839z00_20781;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3955z00_4673;
																																																										BgL_arg3955z00_4673
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8839z00_20781
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg3955z00_4673));
																																																									}
																																																									if (BgL_test8839z00_20781)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_20786;
																																																											goto
																																																												BgL_tagzd2385zd2_1800;
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_20786);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd216054zd2_4564;
																																																											BgL_carzd216054zd2_4564
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd216059zd2_4565;
																																																												BgL_cdrzd216059zd2_4565
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd216054zd2_4564));
																																																												if ((CAR(((obj_t) BgL_carzd216054zd2_4564)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd216059zd2_4565))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg3891z00_4569;
																																																																obj_t
																																																																	BgL_arg3892z00_4570;
																																																																obj_t
																																																																	BgL_arg3893z00_4571;
																																																																BgL_arg3891z00_4569
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd216059zd2_4565);
																																																																BgL_arg3892z00_4570
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd216059zd2_4565);
																																																																BgL_arg3893z00_4571
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_20803;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_20806;
																																																																		obj_t
																																																																			BgL_bodyz00_20805;
																																																																		obj_t
																																																																			BgL_varsz00_20804;
																																																																		BgL_varsz00_20804
																																																																			=
																																																																			BgL_arg3891z00_4569;
																																																																		BgL_bodyz00_20805
																																																																			=
																																																																			BgL_arg3892z00_4570;
																																																																		BgL_argsz00_20806
																																																																			=
																																																																			BgL_arg3893z00_4571;
																																																																		BgL_argsz00_1807
																																																																			=
																																																																			BgL_argsz00_20806;
																																																																		BgL_bodyz00_1806
																																																																			=
																																																																			BgL_bodyz00_20805;
																																																																		BgL_varsz00_1805
																																																																			=
																																																																			BgL_varsz00_20804;
																																																																		goto
																																																																			BgL_tagzd2387zd2_1808;
																																																																	}
																																																																	BgL_auxz00_16271
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_20803);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20810;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_16271
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20810);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd216166zd2_4574;
																																																														BgL_cdrzd216166zd2_4574
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd216171zd2_4575;
																																																															BgL_cdrzd216171zd2_4575
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd216054zd2_4564));
																																																															if ((CAR(((obj_t) BgL_carzd216054zd2_4564)) == CNST_TABLE_REF(((long) 1))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (PAIRP(BgL_cdrzd216171zd2_4575))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd216176zd2_4579;
																																																																			BgL_cdrzd216176zd2_4579
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd216171zd2_4575);
																																																																			if (PAIRP(BgL_cdrzd216176zd2_4579))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd216180zd2_4581;
																																																																					obj_t
																																																																						BgL_cdrzd216181zd2_4582;
																																																																					BgL_carzd216180zd2_4581
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd216176zd2_4579);
																																																																					BgL_cdrzd216181zd2_4582
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd216176zd2_4579);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216180zd2_4581))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd216181zd2_4582))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd216186zd2_4585;
																																																																									BgL_carzd216186zd2_4585
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd216181zd2_4582);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216186zd2_4585))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd216181zd2_4582)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test8850z00_20838;
																																																																													{
																																																																														obj_t
																																																																															BgL_l1407z00_4618;
																																																																														BgL_l1407z00_4618
																																																																															=
																																																																															BgL_cdrzd216166zd2_4574;
																																																																													BgL_zc3z04anonymousza33919ze3z87_4619:
																																																																														if (NULLP(BgL_l1407z00_4618))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test8850z00_20838
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test8852z00_20841;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test8853z00_20842;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_tmpz00_20843;
																																																																																		BgL_tmpz00_20843
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_l1407z00_4618));
																																																																																		BgL_test8853z00_20842
																																																																																			=
																																																																																			PAIRP
																																																																																			(BgL_tmpz00_20843);
																																																																																	}
																																																																																	if (BgL_test8853z00_20842)
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test8852z00_20841
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test8852z00_20841
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																}
																																																																																if (BgL_test8852z00_20841)
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1407z00_20847;
																																																																																		BgL_l1407z00_20847
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_l1407z00_4618));
																																																																																		BgL_l1407z00_4618
																																																																																			=
																																																																																			BgL_l1407z00_20847;
																																																																																		goto
																																																																																			BgL_zc3z04anonymousza33919ze3z87_4619;
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test8850z00_20838
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																															}
																																																																													}
																																																																													if (BgL_test8850z00_20838)
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg3909z00_4601;
																																																																															BgL_arg3909z00_4601
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd216171zd2_4575);
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20851;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_20855;
																																																																																	obj_t
																																																																																		BgL_proc2z00_20854;
																																																																																	obj_t
																																																																																		BgL_proc1z00_20853;
																																																																																	obj_t
																																																																																		BgL_testz00_20852;
																																																																																	BgL_testz00_20852
																																																																																		=
																																																																																		BgL_arg3909z00_4601;
																																																																																	BgL_proc1z00_20853
																																																																																		=
																																																																																		BgL_carzd216180zd2_4581;
																																																																																	BgL_proc2z00_20854
																																																																																		=
																																																																																		BgL_carzd216186zd2_4585;
																																																																																	BgL_argsz00_20855
																																																																																		=
																																																																																		BgL_cdrzd216166zd2_4574;
																																																																																	BgL_argsz00_1812
																																																																																		=
																																																																																		BgL_argsz00_20855;
																																																																																	BgL_proc2z00_1811
																																																																																		=
																																																																																		BgL_proc2z00_20854;
																																																																																	BgL_proc1z00_1810
																																																																																		=
																																																																																		BgL_proc1z00_20853;
																																																																																	BgL_testz00_1809
																																																																																		=
																																																																																		BgL_testz00_20852;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1813;
																																																																																}
																																																																																BgL_auxz00_16271
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20851);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd216211zd2_4602;
																																																																															BgL_cdrzd216211zd2_4602
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd216219zd2_4603;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_12217;
																																																																																	BgL_pairz00_12217
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd216219zd2_4603
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_12217);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd216227zd2_4604;
																																																																																	BgL_cdrzd216227zd2_4604
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd216219zd2_4603));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd216234zd2_4605;
																																																																																		BgL_carzd216234zd2_4605
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd216227zd2_4604));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216234zd2_4605))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd216243zd2_4607;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_12221;
																																																																																					BgL_pairz00_12221
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd216227zd2_4604));
																																																																																					BgL_carzd216243zd2_4607
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_pairz00_12221);
																																																																																				}
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216243zd2_4607))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216211zd2_4602))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg3913z00_4610;
																																																																																								BgL_arg3913z00_4610
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd216219zd2_4603));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_20877;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_20881;
																																																																																										obj_t
																																																																																											BgL_proc2z00_20880;
																																																																																										obj_t
																																																																																											BgL_proc1z00_20879;
																																																																																										obj_t
																																																																																											BgL_testz00_20878;
																																																																																										BgL_testz00_20878
																																																																																											=
																																																																																											BgL_arg3913z00_4610;
																																																																																										BgL_proc1z00_20879
																																																																																											=
																																																																																											BgL_carzd216234zd2_4605;
																																																																																										BgL_proc2z00_20880
																																																																																											=
																																																																																											BgL_carzd216243zd2_4607;
																																																																																										BgL_argsz00_20881
																																																																																											=
																																																																																											BgL_cdrzd216211zd2_4602;
																																																																																										BgL_argsz00_1817
																																																																																											=
																																																																																											BgL_argsz00_20881;
																																																																																										BgL_proc2z00_1816
																																																																																											=
																																																																																											BgL_proc2z00_20880;
																																																																																										BgL_proc1z00_1815
																																																																																											=
																																																																																											BgL_proc1z00_20879;
																																																																																										BgL_testz00_1814
																																																																																											=
																																																																																											BgL_testz00_20878;
																																																																																										goto
																																																																																											BgL_tagzd2389zd2_1818;
																																																																																									}
																																																																																									BgL_auxz00_16271
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_20877);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_20885;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_16271
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_20885);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_20889;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_20889);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_20893;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_20893);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20897;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20897);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd216521zd2_4629;
																																																																											BgL_cdrzd216521zd2_4629
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd216528zd2_4630;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_12225;
																																																																													BgL_pairz00_12225
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd216528zd2_4630
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_12225);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd216535zd2_4631;
																																																																													BgL_cdrzd216535zd2_4631
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd216528zd2_4630));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd216541zd2_4632;
																																																																														obj_t
																																																																															BgL_cdrzd216542zd2_4633;
																																																																														BgL_carzd216541zd2_4632
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd216535zd2_4631));
																																																																														BgL_cdrzd216542zd2_4633
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd216535zd2_4631));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216541zd2_4632))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd216549zd2_4635;
																																																																																BgL_carzd216549zd2_4635
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd216542zd2_4633));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216549zd2_4635))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd216542zd2_4633))))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216521zd2_4629))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg3928z00_4640;
																																																																																						BgL_arg3928z00_4640
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd216528zd2_4630));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_20924;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_20928;
																																																																																								obj_t
																																																																																									BgL_proc2z00_20927;
																																																																																								obj_t
																																																																																									BgL_proc1z00_20926;
																																																																																								obj_t
																																																																																									BgL_testz00_20925;
																																																																																								BgL_testz00_20925
																																																																																									=
																																																																																									BgL_arg3928z00_4640;
																																																																																								BgL_proc1z00_20926
																																																																																									=
																																																																																									BgL_carzd216541zd2_4632;
																																																																																								BgL_proc2z00_20927
																																																																																									=
																																																																																									BgL_carzd216549zd2_4635;
																																																																																								BgL_argsz00_20928
																																																																																									=
																																																																																									BgL_cdrzd216521zd2_4629;
																																																																																								BgL_argsz00_1817
																																																																																									=
																																																																																									BgL_argsz00_20928;
																																																																																								BgL_proc2z00_1816
																																																																																									=
																																																																																									BgL_proc2z00_20927;
																																																																																								BgL_proc1z00_1815
																																																																																									=
																																																																																									BgL_proc1z00_20926;
																																																																																								BgL_testz00_1814
																																																																																									=
																																																																																									BgL_testz00_20925;
																																																																																								goto
																																																																																									BgL_tagzd2389zd2_1818;
																																																																																							}
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_20924);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_20932;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_16271
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_20932);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_20936;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_20936);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20940;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_16271
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20940);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20944;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																		BgL_auxz00_16271
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20944);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20948;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20948);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd216882zd2_4648;
																																																																							BgL_cdrzd216882zd2_4648
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd216888zd2_4649;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_12234;
																																																																									BgL_pairz00_12234
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd216888zd2_4649
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_12234);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd216894zd2_4650;
																																																																									BgL_cdrzd216894zd2_4650
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd216888zd2_4649));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd216899zd2_4651;
																																																																										obj_t
																																																																											BgL_cdrzd216900zd2_4652;
																																																																										BgL_carzd216899zd2_4651
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd216894zd2_4650));
																																																																										BgL_cdrzd216900zd2_4652
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd216894zd2_4650));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216899zd2_4651))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (PAIRP(BgL_cdrzd216900zd2_4652))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd216905zd2_4655;
																																																																														BgL_carzd216905zd2_4655
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd216900zd2_4652);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216905zd2_4655))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (NULLP(CDR(BgL_cdrzd216900zd2_4652)))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216882zd2_4648))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg3942z00_4660;
																																																																																				BgL_arg3942z00_4660
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd216888zd2_4649));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20975;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_20979;
																																																																																						obj_t
																																																																																							BgL_proc2z00_20978;
																																																																																						obj_t
																																																																																							BgL_proc1z00_20977;
																																																																																						obj_t
																																																																																							BgL_testz00_20976;
																																																																																						BgL_testz00_20976
																																																																																							=
																																																																																							BgL_arg3942z00_4660;
																																																																																						BgL_proc1z00_20977
																																																																																							=
																																																																																							BgL_carzd216899zd2_4651;
																																																																																						BgL_proc2z00_20978
																																																																																							=
																																																																																							BgL_carzd216905zd2_4655;
																																																																																						BgL_argsz00_20979
																																																																																							=
																																																																																							BgL_cdrzd216882zd2_4648;
																																																																																						BgL_argsz00_1817
																																																																																							=
																																																																																							BgL_argsz00_20979;
																																																																																						BgL_proc2z00_1816
																																																																																							=
																																																																																							BgL_proc2z00_20978;
																																																																																						BgL_proc1z00_1815
																																																																																							=
																																																																																							BgL_proc1z00_20977;
																																																																																						BgL_testz00_1814
																																																																																							=
																																																																																							BgL_testz00_20976;
																																																																																						goto
																																																																																							BgL_tagzd2389zd2_1818;
																																																																																					}
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20975);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_20983;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_20983);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20987;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_16271
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20987);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20991;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																		BgL_auxz00_16271
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20991);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20995;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																																BgL_auxz00_16271
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20995);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20999;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_16271
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20999);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_21003;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_21003);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_21007;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																					BgL_auxz00_16271
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_21007);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_21011;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																			BgL_auxz00_16271
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_21011);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd217443zd2_4824;
																																											BgL_cdrzd217443zd2_4824
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if ((BgL_carzd214378zd2_4550 == CNST_TABLE_REF(((long) 18))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4057z00_4825;
																																													obj_t
																																														BgL_arg4058z00_4826;
																																													BgL_arg4057z00_4825
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd217443zd2_4824));
																																													BgL_arg4058z00_4826
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd217443zd2_4824));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_21022;
																																														{
																																															obj_t
																																																BgL_exprz00_21024;
																																															obj_t
																																																BgL_bindingsz00_21023;
																																															BgL_bindingsz00_21023
																																																=
																																																BgL_arg4057z00_4825;
																																															BgL_exprz00_21024
																																																=
																																																BgL_arg4058z00_4826;
																																															BgL_exprz00_1797
																																																=
																																																BgL_exprz00_21024;
																																															BgL_bindingsz00_1796
																																																=
																																																BgL_bindingsz00_21023;
																																															goto
																																																BgL_tagzd2383zd2_1798;
																																														}
																																														BgL_auxz00_16271
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_21022);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd214378zd2_4550)))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4060z00_4828;
																																															obj_t
																																																BgL_arg4061z00_4829;
																																															BgL_arg4060z00_4828
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd217443zd2_4824));
																																															BgL_arg4061z00_4829
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd217443zd2_4824));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_21033;
																																																{
																																																	obj_t
																																																		BgL_exprz00_21035;
																																																	obj_t
																																																		BgL_bindingsz00_21034;
																																																	BgL_bindingsz00_21034
																																																		=
																																																		BgL_arg4060z00_4828;
																																																	BgL_exprz00_21035
																																																		=
																																																		BgL_arg4061z00_4829;
																																																	BgL_exprz00_1797
																																																		=
																																																		BgL_exprz00_21035;
																																																	BgL_bindingsz00_1796
																																																		=
																																																		BgL_bindingsz00_21034;
																																																	goto
																																																		BgL_tagzd2383zd2_1798;
																																																}
																																																BgL_auxz00_16271
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_21033);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((BgL_carzd214378zd2_4550 == CNST_TABLE_REF(((long) 19))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4062z00_4830;
																																																	obj_t
																																																		BgL_arg4063z00_4831;
																																																	BgL_arg4062z00_4830
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd217443zd2_4824));
																																																	BgL_arg4063z00_4831
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd217443zd2_4824));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_21044;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_21046;
																																																			obj_t
																																																				BgL_bindingsz00_21045;
																																																			BgL_bindingsz00_21045
																																																				=
																																																				BgL_arg4062z00_4830;
																																																			BgL_exprz00_21046
																																																				=
																																																				BgL_arg4063z00_4831;
																																																			BgL_exprz00_1797
																																																				=
																																																				BgL_exprz00_21046;
																																																			BgL_bindingsz00_1796
																																																				=
																																																				BgL_bindingsz00_21045;
																																																			goto
																																																				BgL_tagzd2383zd2_1798;
																																																		}
																																																		BgL_auxz00_16271
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21044);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_21053;
																																																			goto
																																																				BgL_tagzd2384zd2_1799;
																																																			BgL_auxz00_16271
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_21053);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd217480zd2_4834;
																																																			BgL_carzd217480zd2_4834
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			if ((BgL_carzd217480zd2_4834 == CNST_TABLE_REF(((long) 20))))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_21060;
																																																					goto
																																																						BgL_tagzd2385zd2_1800;
																																																					BgL_auxz00_16271
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21060);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd217480zd2_4834)))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_21065;
																																																							goto
																																																								BgL_tagzd2385zd2_1800;
																																																							BgL_auxz00_16271
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_21065);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_21072;
																																																									goto
																																																										BgL_tagzd2390zd2_1819;
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_21072);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_21079;
																																																											goto
																																																												BgL_tagzd2391zd2_1820;
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_21079);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd217560zd2_4840;
																																																											BgL_cdrzd217560zd2_4840
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg4073z00_4843;
																																																													obj_t
																																																														BgL_arg4074z00_4844;
																																																													BgL_arg4073z00_4843
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd217560zd2_4840));
																																																													BgL_arg4074z00_4844
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd217560zd2_4840));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_21092;
																																																														{
																																																															obj_t
																																																																BgL_restz00_21094;
																																																															obj_t
																																																																BgL_effectz00_21093;
																																																															BgL_effectz00_21093
																																																																=
																																																																BgL_arg4073z00_4843;
																																																															BgL_restz00_21094
																																																																=
																																																																BgL_arg4074z00_4844;
																																																															BgL_restz00_1822
																																																																=
																																																																BgL_restz00_21094;
																																																															BgL_effectz00_1821
																																																																=
																																																																BgL_effectz00_21093;
																																																															goto
																																																																BgL_tagzd2392zd2_1823;
																																																														}
																																																														BgL_auxz00_16271
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_21092);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_21101;
																																																															goto
																																																																BgL_tagzd2393zd2_1824;
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_21101);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_21108;
																																																																	goto
																																																																		BgL_tagzd2394zd2_1825;
																																																																	BgL_auxz00_16271
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_21108);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg4081z00_4852;
																																																																			obj_t
																																																																				BgL_arg4082z00_4853;
																																																																			BgL_arg4081z00_4852
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd217560zd2_4840));
																																																																			BgL_arg4082z00_4853
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd217560zd2_4840));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21119;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_21121;
																																																																					obj_t
																																																																						BgL_effectz00_21120;
																																																																					BgL_effectz00_21120
																																																																						=
																																																																						BgL_arg4081z00_4852;
																																																																					BgL_restz00_21121
																																																																						=
																																																																						BgL_arg4082z00_4853;
																																																																					BgL_restz00_1827
																																																																						=
																																																																						BgL_restz00_21121;
																																																																					BgL_effectz00_1826
																																																																						=
																																																																						BgL_effectz00_21120;
																																																																					goto
																																																																						BgL_tagzd2395zd2_1828;
																																																																				}
																																																																				BgL_auxz00_16271
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21119);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_21128;
																																																																					goto
																																																																						BgL_tagzd2396zd2_1829;
																																																																					BgL_auxz00_16271
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_21128);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_21135;
																																																																							goto
																																																																								BgL_tagzd2397zd2_1830;
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_21135);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																								{
																																																																									BgL_letzd2funzd2_bglt
																																																																										BgL_auxz00_21142;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1831;
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21142);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																										{
																																																																											BgL_jumpzd2exzd2itz00_bglt
																																																																												BgL_auxz00_21149;
																																																																											goto
																																																																												BgL_tagzd2399zd2_1832;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21149);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 31))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test8900z00_21156;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_tmpz00_21157;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_12270;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_12269;
																																																																																BgL_pairz00_12269
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_pairz00_12270
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_12269);
																																																																															}
																																																																															BgL_tmpz00_21157
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_12270);
																																																																														}
																																																																														BgL_test8900z00_21156
																																																																															=
																																																																															NULLP
																																																																															(BgL_tmpz00_21157);
																																																																													}
																																																																													if (BgL_test8900z00_21156)
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21163;
																																																																															goto
																																																																																BgL_tagzd2400zd2_1833;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21163);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21167;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21167);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd217648zd2_4872;
																																																																													BgL_cdrzd217648zd2_4872
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd217654zd2_4875;
																																																																															BgL_cdrzd217654zd2_4875
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd217648zd2_4872));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd217660zd2_4876;
																																																																																BgL_cdrzd217660zd2_4876
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd217654zd2_4875));
																																																																																if ((CAR(((obj_t) BgL_cdrzd217654zd2_4875)) == CNST_TABLE_REF(((long) 32))))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (PAIRP(BgL_cdrzd217660zd2_4876))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg4106z00_4880;
																																																																																				obj_t
																																																																																					BgL_arg4107z00_4881;
																																																																																				obj_t
																																																																																					BgL_arg4108z00_4882;
																																																																																				BgL_arg4106z00_4880
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd217648zd2_4872));
																																																																																				BgL_arg4107z00_4881
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd217660zd2_4876);
																																																																																				BgL_arg4108z00_4882
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_cdrzd217660zd2_4876);
																																																																																				{	/* Ast/sexp.scm 562 */
																																																																																					obj_t
																																																																																						BgL_arg7615z00_12279;
																																																																																					BgL_arg7615z00_12279
																																																																																						=
																																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																						(BgL_expz00_21,
																																																																																						BgL_locz00_23);
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																						(BgL_expz00_21,
																																																																																							BgL_arg4106z00_4880,
																																																																																							BgL_arg4107z00_4881,
																																																																																							BgL_arg4108z00_4882,
																																																																																							BgL_stackz00_22,
																																																																																							BgL_arg7615z00_12279,
																																																																																							BgL_sitez00_24));
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg4109z00_4884;
																																																																																				obj_t
																																																																																					BgL_arg4110z00_4885;
																																																																																				BgL_arg4109z00_4884
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd217648zd2_4872));
																																																																																				BgL_arg4110z00_4885
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd217648zd2_4872));
																																																																																				{	/* Ast/sexp.scm 564 */
																																																																																					obj_t
																																																																																						BgL_arg7616z00_12283;
																																																																																					BgL_arg7616z00_12283
																																																																																						=
																																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																						(BgL_expz00_21,
																																																																																						BgL_locz00_23);
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																						(BgL_expz00_21,
																																																																																							BgL_arg4109z00_4884,
																																																																																							CNST_TABLE_REF
																																																																																							(((long) 4)), BgL_arg4110z00_4885, BgL_stackz00_22, BgL_arg7616z00_12283, BgL_sitez00_24));
																																																																																	}}}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg4111z00_4887;
																																																																																		obj_t
																																																																																			BgL_arg4113z00_4888;
																																																																																		BgL_arg4111z00_4887
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217648zd2_4872));
																																																																																		BgL_arg4113z00_4888
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217648zd2_4872));
																																																																																		{	/* Ast/sexp.scm 564 */
																																																																																			obj_t
																																																																																				BgL_arg7616z00_12287;
																																																																																			BgL_arg7616z00_12287
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg4111z00_4887,
																																																																																					CNST_TABLE_REF
																																																																																					(((long) 4)), BgL_arg4113z00_4888, BgL_stackz00_22, BgL_arg7616z00_12287, BgL_sitez00_24));
																																																																														}}}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21212;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21212);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													obj_t
																														BgL_carzd217711zd2_4908;
																													BgL_carzd217711zd2_4908
																														=
																														CAR(((obj_t)
																															BgL_expz00_21));
																													if (
																														(BgL_carzd217711zd2_4908
																															==
																															CNST_TABLE_REF((
																																	(long) 1))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_21219;
																															goto
																																BgL_tagzd2377zd2_1784;
																															BgL_auxz00_16271 =
																																((obj_t)
																																BgL_auxz00_21219);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(BgL_carzd217711zd2_4908
																																	==
																																	BGl_za2ifza2z00zzast_sexpz00))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_21223;
																																	goto
																																		BgL_tagzd2377zd2_1784;
																																	BgL_auxz00_16271
																																		=
																																		((obj_t)
																																		BgL_auxz00_21223);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					7))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_21230;
																																			goto
																																				BgL_tagzd2379zd2_1788;
																																			BgL_auxz00_16271
																																				=
																																				((obj_t)
																																				BgL_auxz00_21230);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(CAR(
																																						((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_21237;
																																					goto
																																						BgL_tagzd2380zd2_1789;
																																					BgL_auxz00_16271
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_21237);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_cdrzd217782zd2_4914;
																																					BgL_cdrzd217782zd2_4914
																																						=
																																						CDR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_arg4140z00_4917;
																																							obj_t
																																								BgL_arg4141z00_4918;
																																							BgL_arg4140z00_4917
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd217782zd2_4914));
																																							BgL_arg4141z00_4918
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd217782zd2_4914));
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_21250;
																																								{
																																									obj_t
																																										BgL_exprz00_21252;
																																									obj_t
																																										BgL_bindingsz00_21251;
																																									BgL_bindingsz00_21251
																																										=
																																										BgL_arg4140z00_4917;
																																									BgL_exprz00_21252
																																										=
																																										BgL_arg4141z00_4918;
																																									BgL_exprz00_1791
																																										=
																																										BgL_exprz00_21252;
																																									BgL_bindingsz00_1790
																																										=
																																										BgL_bindingsz00_21251;
																																									goto
																																										BgL_tagzd2381zd2_1792;
																																								}
																																								BgL_auxz00_16271
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_21250);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd217807zd2_4919;
																																							BgL_carzd217807zd2_4919
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if (PAIRP(BgL_carzd217807zd2_4919))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd217810zd2_4921;
																																									obj_t
																																										BgL_cdrzd217811zd2_4922;
																																									BgL_carzd217810zd2_4921
																																										=
																																										CAR
																																										(BgL_carzd217807zd2_4919);
																																									BgL_cdrzd217811zd2_4922
																																										=
																																										CDR
																																										(BgL_carzd217807zd2_4919);
																																									{

																																										if ((BgL_carzd217810zd2_4921 == CNST_TABLE_REF(((long) 18))))
																																											{	/* Ast/sexp.scm 119 */
																																											BgL_kapzd217812zd2_4923:
																																												if (PAIRP(BgL_cdrzd217811zd2_4922))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd217815zd2_5102;
																																														BgL_cdrzd217815zd2_5102
																																															=
																																															CDR
																																															(BgL_cdrzd217811zd2_4922);
																																														if (PAIRP(BgL_cdrzd217815zd2_5102))
																																															{	/* Ast/sexp.scm 119 */
																																																if (NULLP(CDR(BgL_cdrzd217815zd2_5102)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg4268z00_5106;
																																																		obj_t
																																																			BgL_arg4269z00_5107;
																																																		BgL_arg4268z00_5106
																																																			=
																																																			CAR
																																																			(BgL_cdrzd217815zd2_5102);
																																																		BgL_arg4269z00_5107
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_21274;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_21276;
																																																				obj_t
																																																					BgL_bodyz00_21275;
																																																				BgL_bodyz00_21275
																																																					=
																																																					BgL_arg4268z00_5106;
																																																				BgL_argsz00_21276
																																																					=
																																																					BgL_arg4269z00_5107;
																																																				BgL_argsz00_1794
																																																					=
																																																					BgL_argsz00_21276;
																																																				BgL_bodyz00_1793
																																																					=
																																																					BgL_bodyz00_21275;
																																																				goto
																																																					BgL_tagzd2382zd2_1795;
																																																			}
																																																			BgL_auxz00_16271
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_21274);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd217839zd2_5108;
																																																		BgL_cdrzd217839zd2_5108
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8916z00_21280;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg4338z00_5219;
																																																				BgL_arg4338z00_5219
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8916z00_21280
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg4338z00_5219));
																																																			}
																																																			if (BgL_test8916z00_21280)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg4272z00_5111;
																																																					obj_t
																																																						BgL_arg4273z00_5112;
																																																					BgL_arg4272z00_5111
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd217839zd2_5108));
																																																					BgL_arg4273z00_5112
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd217839zd2_5108));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_21289;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_21291;
																																																							obj_t
																																																								BgL_bindingsz00_21290;
																																																							BgL_bindingsz00_21290
																																																								=
																																																								BgL_arg4272z00_5111;
																																																							BgL_exprz00_21291
																																																								=
																																																								BgL_arg4273z00_5112;
																																																							BgL_exprz00_1797
																																																								=
																																																								BgL_exprz00_21291;
																																																							BgL_bindingsz00_1796
																																																								=
																																																								BgL_bindingsz00_21290;
																																																							goto
																																																								BgL_tagzd2383zd2_1798;
																																																						}
																																																						BgL_auxz00_16271
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21289);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8917z00_21293;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg4337z00_5218;
																																																						BgL_arg4337z00_5218
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8917z00_21293
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg4337z00_5218));
																																																					}
																																																					if (BgL_test8917z00_21293)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_21298;
																																																							goto
																																																								BgL_tagzd2385zd2_1800;
																																																							BgL_auxz00_16271
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_21298);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd217906zd2_5115;
																																																							BgL_carzd217906zd2_5115
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd217911zd2_5116;
																																																								BgL_cdrzd217911zd2_5116
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd217906zd2_5115));
																																																								if ((CAR(((obj_t) BgL_carzd217906zd2_5115)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg4278z00_5119;
																																																										obj_t
																																																											BgL_arg4279z00_5120;
																																																										obj_t
																																																											BgL_arg4280z00_5121;
																																																										BgL_arg4278z00_5119
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd217911zd2_5116));
																																																										BgL_arg4279z00_5120
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd217911zd2_5116));
																																																										BgL_arg4280z00_5121
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_21315;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_21318;
																																																												obj_t
																																																													BgL_bodyz00_21317;
																																																												obj_t
																																																													BgL_varsz00_21316;
																																																												BgL_varsz00_21316
																																																													=
																																																													BgL_arg4278z00_5119;
																																																												BgL_bodyz00_21317
																																																													=
																																																													BgL_arg4279z00_5120;
																																																												BgL_argsz00_21318
																																																													=
																																																													BgL_arg4280z00_5121;
																																																												BgL_argsz00_1807
																																																													=
																																																													BgL_argsz00_21318;
																																																												BgL_bodyz00_1806
																																																													=
																																																													BgL_bodyz00_21317;
																																																												BgL_varsz00_1805
																																																													=
																																																													BgL_varsz00_21316;
																																																												goto
																																																													BgL_tagzd2387zd2_1808;
																																																											}
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_21315);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd217934zd2_5123;
																																																										BgL_cdrzd217934zd2_5123
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd217940zd2_5124;
																																																											BgL_cdrzd217940zd2_5124
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd217906zd2_5115));
																																																											if ((CAR(((obj_t) BgL_carzd217906zd2_5115)) == CNST_TABLE_REF(((long) 1))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd217946zd2_5127;
																																																													BgL_cdrzd217946zd2_5127
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd217940zd2_5124));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd217951zd2_5128;
																																																														obj_t
																																																															BgL_cdrzd217952zd2_5129;
																																																														BgL_carzd217951zd2_5128
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd217946zd2_5127));
																																																														BgL_cdrzd217952zd2_5129
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd217946zd2_5127));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217951zd2_5128))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd217952zd2_5129))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd217959zd2_5132;
																																																																		BgL_carzd217959zd2_5132
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd217952zd2_5129);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217959zd2_5132))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd217952zd2_5129)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test8924z00_21345;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1410z00_5165;
																																																																							BgL_l1410z00_5165
																																																																								=
																																																																								BgL_cdrzd217934zd2_5123;
																																																																						BgL_zc3z04anonymousza34303ze3z87_5166:
																																																																							if (NULLP(BgL_l1410z00_5165))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test8924z00_21345
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test8926z00_21348;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test8927z00_21349;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_tmpz00_21350;
																																																																											BgL_tmpz00_21350
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1410z00_5165));
																																																																											BgL_test8927z00_21349
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_21350);
																																																																										}
																																																																										if (BgL_test8927z00_21349)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test8926z00_21348
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test8926z00_21348
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_test8926z00_21348)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1410z00_21354;
																																																																											BgL_l1410z00_21354
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1410z00_5165));
																																																																											BgL_l1410z00_5165
																																																																												=
																																																																												BgL_l1410z00_21354;
																																																																											goto
																																																																												BgL_zc3z04anonymousza34303ze3z87_5166;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test8924z00_21345
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_test8924z00_21345)
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg4293z00_5148;
																																																																								BgL_arg4293z00_5148
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd217940zd2_5124));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_21359;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_21363;
																																																																										obj_t
																																																																											BgL_proc2z00_21362;
																																																																										obj_t
																																																																											BgL_proc1z00_21361;
																																																																										obj_t
																																																																											BgL_testz00_21360;
																																																																										BgL_testz00_21360
																																																																											=
																																																																											BgL_arg4293z00_5148;
																																																																										BgL_proc1z00_21361
																																																																											=
																																																																											BgL_carzd217951zd2_5128;
																																																																										BgL_proc2z00_21362
																																																																											=
																																																																											BgL_carzd217959zd2_5132;
																																																																										BgL_argsz00_21363
																																																																											=
																																																																											BgL_cdrzd217934zd2_5123;
																																																																										BgL_argsz00_1812
																																																																											=
																																																																											BgL_argsz00_21363;
																																																																										BgL_proc2z00_1811
																																																																											=
																																																																											BgL_proc2z00_21362;
																																																																										BgL_proc1z00_1810
																																																																											=
																																																																											BgL_proc1z00_21361;
																																																																										BgL_testz00_1809
																																																																											=
																																																																											BgL_testz00_21360;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1813;
																																																																									}
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21359);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd217983zd2_5149;
																																																																								BgL_cdrzd217983zd2_5149
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd217990zd2_5150;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_12327;
																																																																										BgL_pairz00_12327
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd217990zd2_5150
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12327);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd217997zd2_5151;
																																																																										BgL_cdrzd217997zd2_5151
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd217990zd2_5150));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd218003zd2_5152;
																																																																											BgL_carzd218003zd2_5152
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd217997zd2_5151));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218003zd2_5152))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd218010zd2_5154;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_12331;
																																																																														BgL_pairz00_12331
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd217997zd2_5151));
																																																																														BgL_carzd218010zd2_5154
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_12331);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218010zd2_5154))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd217983zd2_5149))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg4297z00_5157;
																																																																																	BgL_arg4297z00_5157
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd217990zd2_5150));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_21385;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_21389;
																																																																																			obj_t
																																																																																				BgL_proc2z00_21388;
																																																																																			obj_t
																																																																																				BgL_proc1z00_21387;
																																																																																			obj_t
																																																																																				BgL_testz00_21386;
																																																																																			BgL_testz00_21386
																																																																																				=
																																																																																				BgL_arg4297z00_5157;
																																																																																			BgL_proc1z00_21387
																																																																																				=
																																																																																				BgL_carzd218003zd2_5152;
																																																																																			BgL_proc2z00_21388
																																																																																				=
																																																																																				BgL_carzd218010zd2_5154;
																																																																																			BgL_argsz00_21389
																																																																																				=
																																																																																				BgL_cdrzd217983zd2_5149;
																																																																																			BgL_argsz00_1817
																																																																																				=
																																																																																				BgL_argsz00_21389;
																																																																																			BgL_proc2z00_1816
																																																																																				=
																																																																																				BgL_proc2z00_21388;
																																																																																			BgL_proc1z00_1815
																																																																																				=
																																																																																				BgL_proc1z00_21387;
																																																																																			BgL_testz00_1814
																																																																																				=
																																																																																				BgL_testz00_21386;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1818;
																																																																																		}
																																																																																		BgL_auxz00_16271
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_21385);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21393;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21393);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21397;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21397);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21401;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21401);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21405;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_16271
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21405);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd218286zd2_5176;
																																																																				BgL_cdrzd218286zd2_5176
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd218292zd2_5177;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_12335;
																																																																						BgL_pairz00_12335
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd218292zd2_5177
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12335);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd218298zd2_5178;
																																																																						BgL_cdrzd218298zd2_5178
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd218292zd2_5177));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd218303zd2_5179;
																																																																							obj_t
																																																																								BgL_cdrzd218304zd2_5180;
																																																																							BgL_carzd218303zd2_5179
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd218298zd2_5178));
																																																																							BgL_cdrzd218304zd2_5180
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd218298zd2_5178));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218303zd2_5179))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd218309zd2_5182;
																																																																									BgL_carzd218309zd2_5182
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd218304zd2_5180));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218309zd2_5182))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd218304zd2_5180))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd218286zd2_5176))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4312z00_5187;
																																																																															BgL_arg4312z00_5187
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd218292zd2_5177));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21432;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_21436;
																																																																																	obj_t
																																																																																		BgL_proc2z00_21435;
																																																																																	obj_t
																																																																																		BgL_proc1z00_21434;
																																																																																	obj_t
																																																																																		BgL_testz00_21433;
																																																																																	BgL_testz00_21433
																																																																																		=
																																																																																		BgL_arg4312z00_5187;
																																																																																	BgL_proc1z00_21434
																																																																																		=
																																																																																		BgL_carzd218303zd2_5179;
																																																																																	BgL_proc2z00_21435
																																																																																		=
																																																																																		BgL_carzd218309zd2_5182;
																																																																																	BgL_argsz00_21436
																																																																																		=
																																																																																		BgL_cdrzd218286zd2_5176;
																																																																																	BgL_argsz00_1817
																																																																																		=
																																																																																		BgL_argsz00_21436;
																																																																																	BgL_proc2z00_1816
																																																																																		=
																																																																																		BgL_proc2z00_21435;
																																																																																	BgL_proc1z00_1815
																																																																																		=
																																																																																		BgL_proc1z00_21434;
																																																																																	BgL_testz00_1814
																																																																																		=
																																																																																		BgL_testz00_21433;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1818;
																																																																																}
																																																																																BgL_auxz00_16271
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21432);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21440;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21440);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21444;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21444);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21448;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21448);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21452;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21452);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21456;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_16271
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21456);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd218642zd2_5195;
																																																																BgL_cdrzd218642zd2_5195
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd218649zd2_5196;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_12344;
																																																																		BgL_pairz00_12344
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd218649zd2_5196
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_12344);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd218656zd2_5197;
																																																																		BgL_cdrzd218656zd2_5197
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd218649zd2_5196));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd218662zd2_5198;
																																																																			obj_t
																																																																				BgL_cdrzd218663zd2_5199;
																																																																			BgL_carzd218662zd2_5198
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd218656zd2_5197));
																																																																			BgL_cdrzd218663zd2_5199
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd218656zd2_5197));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218662zd2_5198))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd218663zd2_5199))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd218670zd2_5202;
																																																																							BgL_carzd218670zd2_5202
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd218663zd2_5199);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218670zd2_5202))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd218663zd2_5199)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd218642zd2_5195))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg4326z00_5207;
																																																																													BgL_arg4326z00_5207
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd218649zd2_5196));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21483;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_21487;
																																																																															obj_t
																																																																																BgL_proc2z00_21486;
																																																																															obj_t
																																																																																BgL_proc1z00_21485;
																																																																															obj_t
																																																																																BgL_testz00_21484;
																																																																															BgL_testz00_21484
																																																																																=
																																																																																BgL_arg4326z00_5207;
																																																																															BgL_proc1z00_21485
																																																																																=
																																																																																BgL_carzd218662zd2_5198;
																																																																															BgL_proc2z00_21486
																																																																																=
																																																																																BgL_carzd218670zd2_5202;
																																																																															BgL_argsz00_21487
																																																																																=
																																																																																BgL_cdrzd218642zd2_5195;
																																																																															BgL_argsz00_1817
																																																																																=
																																																																																BgL_argsz00_21487;
																																																																															BgL_proc2z00_1816
																																																																																=
																																																																																BgL_proc2z00_21486;
																																																																															BgL_proc1z00_1815
																																																																																=
																																																																																BgL_proc1z00_21485;
																																																																															BgL_testz00_1814
																																																																																=
																																																																																BgL_testz00_21484;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1818;
																																																																														}
																																																																														BgL_auxz00_16271
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21483);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21491;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21491);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21495;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21495);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21499;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21499);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_21503;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21503);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_21507;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_21507);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_21511;
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_21511);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd219063zd2_5221;
																																																BgL_cdrzd219063zd2_5221
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test8955z00_21515;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg4354z00_5238;
																																																		BgL_arg4354z00_5238
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test8955z00_21515
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg4354z00_5238));
																																																	}
																																																	if (BgL_test8955z00_21515)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4342z00_5224;
																																																			obj_t
																																																				BgL_arg4343z00_5225;
																																																			BgL_arg4342z00_5224
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd219063zd2_5221));
																																																			BgL_arg4343z00_5225
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd219063zd2_5221));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_21524;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_21526;
																																																					obj_t
																																																						BgL_bindingsz00_21525;
																																																					BgL_bindingsz00_21525
																																																						=
																																																						BgL_arg4342z00_5224;
																																																					BgL_exprz00_21526
																																																						=
																																																						BgL_arg4343z00_5225;
																																																					BgL_exprz00_1797
																																																						=
																																																						BgL_exprz00_21526;
																																																					BgL_bindingsz00_1796
																																																						=
																																																						BgL_bindingsz00_21525;
																																																					goto
																																																						BgL_tagzd2383zd2_1798;
																																																				}
																																																				BgL_auxz00_16271
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_21524);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8956z00_21528;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg4353z00_5237;
																																																				BgL_arg4353z00_5237
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8956z00_21528
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg4353z00_5237));
																																																			}
																																																			if (BgL_test8956z00_21528)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_21533;
																																																					goto
																																																						BgL_tagzd2385zd2_1800;
																																																					BgL_auxz00_16271
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21533);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd219129zd2_5228;
																																																					BgL_carzd219129zd2_5228
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd219134zd2_5229;
																																																						BgL_cdrzd219134zd2_5229
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd219129zd2_5228));
																																																						if ((CAR(((obj_t) BgL_carzd219129zd2_5228)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg4348z00_5232;
																																																								obj_t
																																																									BgL_arg4349z00_5233;
																																																								obj_t
																																																									BgL_arg4350z00_5234;
																																																								BgL_arg4348z00_5232
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd219134zd2_5229));
																																																								BgL_arg4349z00_5233
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd219134zd2_5229));
																																																								BgL_arg4350z00_5234
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_21550;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_21553;
																																																										obj_t
																																																											BgL_bodyz00_21552;
																																																										obj_t
																																																											BgL_varsz00_21551;
																																																										BgL_varsz00_21551
																																																											=
																																																											BgL_arg4348z00_5232;
																																																										BgL_bodyz00_21552
																																																											=
																																																											BgL_arg4349z00_5233;
																																																										BgL_argsz00_21553
																																																											=
																																																											BgL_arg4350z00_5234;
																																																										BgL_argsz00_1807
																																																											=
																																																											BgL_argsz00_21553;
																																																										BgL_bodyz00_1806
																																																											=
																																																											BgL_bodyz00_21552;
																																																										BgL_varsz00_1805
																																																											=
																																																											BgL_varsz00_21551;
																																																										goto
																																																											BgL_tagzd2387zd2_1808;
																																																									}
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_21550);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2404zd2_1842;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_21557;
																																																										goto
																																																											BgL_tagzd2405zd2_1843;
																																																										BgL_auxz00_16271
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_21557);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd219245zd2_5239;
																																														BgL_cdrzd219245zd2_5239
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test8959z00_21561;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg4363z00_5248;
																																																BgL_arg4363z00_5248
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test8959z00_21561
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg4363z00_5248));
																																															}
																																															if (BgL_test8959z00_21561)
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4357z00_5242;
																																																	obj_t
																																																		BgL_arg4358z00_5243;
																																																	BgL_arg4357z00_5242
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd219245zd2_5239));
																																																	BgL_arg4358z00_5243
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd219245zd2_5239));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_21570;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_21572;
																																																			obj_t
																																																				BgL_bindingsz00_21571;
																																																			BgL_bindingsz00_21571
																																																				=
																																																				BgL_arg4357z00_5242;
																																																			BgL_exprz00_21572
																																																				=
																																																				BgL_arg4358z00_5243;
																																																			BgL_exprz00_1797
																																																				=
																																																				BgL_exprz00_21572;
																																																			BgL_bindingsz00_1796
																																																				=
																																																				BgL_bindingsz00_21571;
																																																			goto
																																																				BgL_tagzd2383zd2_1798;
																																																		}
																																																		BgL_auxz00_16271
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21570);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test8960z00_21574;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg4362z00_5247;
																																																		BgL_arg4362z00_5247
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test8960z00_21574
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg4362z00_5247));
																																																	}
																																																	if (BgL_test8960z00_21574)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_21579;
																																																			goto
																																																				BgL_tagzd2385zd2_1800;
																																																			BgL_auxz00_16271
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_21579);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2404zd2_1842;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_21583;
																																																					goto
																																																						BgL_tagzd2405zd2_1843;
																																																					BgL_auxz00_16271
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21583);
																																																				}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd217810zd2_4921)))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd217812zd2_4923;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((BgL_carzd217810zd2_4921 == CNST_TABLE_REF(((long) 19))))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd217812zd2_4923;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((BgL_carzd217810zd2_4921 == CNST_TABLE_REF(((long) 20))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd217812zd2_4923;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd217810zd2_4921)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd217812zd2_4923;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd219417zd2_4926;
																																																				BgL_cdrzd219417zd2_4926
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8966z00_21599;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg4263z00_5100;
																																																						BgL_arg4263z00_5100
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8966z00_21599
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg4263z00_5100));
																																																					}
																																																					if (BgL_test8966z00_21599)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg4147z00_4929;
																																																							obj_t
																																																								BgL_arg4148z00_4930;
																																																							BgL_arg4147z00_4929
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd219417zd2_4926));
																																																							BgL_arg4148z00_4930
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd219417zd2_4926));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_21608;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_21610;
																																																									obj_t
																																																										BgL_bindingsz00_21609;
																																																									BgL_bindingsz00_21609
																																																										=
																																																										BgL_arg4147z00_4929;
																																																									BgL_exprz00_21610
																																																										=
																																																										BgL_arg4148z00_4930;
																																																									BgL_exprz00_1797
																																																										=
																																																										BgL_exprz00_21610;
																																																									BgL_bindingsz00_1796
																																																										=
																																																										BgL_bindingsz00_21609;
																																																									goto
																																																										BgL_tagzd2383zd2_1798;
																																																								}
																																																								BgL_auxz00_16271
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_21608);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8967z00_21612;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg4262z00_5099;
																																																								BgL_arg4262z00_5099
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8967z00_21612
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg4262z00_5099));
																																																							}
																																																							if (BgL_test8967z00_21612)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_21617;
																																																									goto
																																																										BgL_tagzd2385zd2_1800;
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_21617);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd219470zd2_4933;
																																																									obj_t
																																																										BgL_cdrzd219471zd2_4934;
																																																									BgL_carzd219470zd2_4933
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdrzd219471zd2_4934
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd219475zd2_4935;
																																																										BgL_cdrzd219475zd2_4935
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd219470zd2_4933));
																																																										if ((CAR(((obj_t) BgL_carzd219470zd2_4933)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd219475zd2_4935))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd219478zd2_4939;
																																																														obj_t
																																																															BgL_cdrzd219479zd2_4940;
																																																														BgL_carzd219478zd2_4939
																																																															=
																																																															CAR
																																																															(BgL_cdrzd219475zd2_4935);
																																																														BgL_cdrzd219479zd2_4940
																																																															=
																																																															CDR
																																																															(BgL_cdrzd219475zd2_4935);
																																																														if (PAIRP(BgL_carzd219478zd2_4939))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (NULLP(CDR(BgL_carzd219478zd2_4939)))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd219479zd2_4940))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd219485zd2_4945;
																																																																				BgL_carzd219485zd2_4945
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd219479zd2_4940);
																																																																				if (PAIRP(BgL_carzd219485zd2_4945))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd219485zd2_4945))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd219479zd2_4940)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd219492zd2_4950;
																																																																										BgL_carzd219492zd2_4950
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd219471zd2_4934));
																																																																										if (PAIRP(BgL_carzd219492zd2_4950))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd219517zd2_4952;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_12383;
																																																																													BgL_pairz00_12383
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd219517zd2_4952
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_12383);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg4163z00_4953;
																																																																													obj_t
																																																																														BgL_arg4164z00_4954;
																																																																													obj_t
																																																																														BgL_arg4165z00_4955;
																																																																													BgL_arg4163z00_4953
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd219517zd2_4952));
																																																																													BgL_arg4164z00_4954
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd219517zd2_4952));
																																																																													BgL_arg4165z00_4955
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21662;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_21665;
																																																																															obj_t
																																																																																BgL_bodyz00_21664;
																																																																															obj_t
																																																																																BgL_varsz00_21663;
																																																																															BgL_varsz00_21663
																																																																																=
																																																																																BgL_arg4163z00_4953;
																																																																															BgL_bodyz00_21664
																																																																																=
																																																																																BgL_arg4164z00_4954;
																																																																															BgL_argsz00_21665
																																																																																=
																																																																																BgL_arg4165z00_4955;
																																																																															BgL_argsz00_1807
																																																																																=
																																																																																BgL_argsz00_21665;
																																																																															BgL_bodyz00_1806
																																																																																=
																																																																																BgL_bodyz00_21664;
																																																																															BgL_varsz00_1805
																																																																																=
																																																																																BgL_varsz00_21663;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1808;
																																																																														}
																																																																														BgL_auxz00_16271
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21662);
																																																																													}
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(((obj_t) BgL_cdrzd219471zd2_4934))))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg4169z00_4959;
																																																																														BgL_arg4169z00_4959
																																																																															=
																																																																															CAR
																																																																															(BgL_carzd219478zd2_4939);
																																																																														{
																																																																															BgL_castz00_bglt
																																																																																BgL_auxz00_21672;
																																																																															BgL_varz00_1801
																																																																																=
																																																																																BgL_arg4169z00_4959;
																																																																															BgL_bodyz00_1802
																																																																																=
																																																																																BgL_carzd219485zd2_4945;
																																																																															BgL_argz00_1803
																																																																																=
																																																																																BgL_carzd219492zd2_4950;
																																																																														BgL_tagzd2386zd2_1804:
																																																																															{	/* Ast/sexp.scm 387 */
																																																																																BgL_castz00_bglt
																																																																																	BgL_new1141z00_9774;
																																																																																{	/* Ast/sexp.scm 388 */
																																																																																	BgL_castz00_bglt
																																																																																		BgL_new1140z00_9776;
																																																																																	BgL_new1140z00_9776
																																																																																		=
																																																																																		(
																																																																																		(BgL_castz00_bglt)
																																																																																		BOBJECT
																																																																																		(GC_MALLOC
																																																																																			(sizeof
																																																																																				(struct
																																																																																					BgL_castz00_bgl))));
																																																																																	{	/* Ast/sexp.scm 388 */
																																																																																		long
																																																																																			BgL_arg7466z00_9777;
																																																																																		BgL_arg7466z00_9777
																																																																																			=
																																																																																			BGL_CLASS_NUM
																																																																																			(BGl_castz00zzast_nodez00);
																																																																																		BGL_OBJECT_CLASS_NUM_SET
																																																																																			(
																																																																																			((BgL_objectz00_bglt) BgL_new1140z00_9776), BgL_arg7466z00_9777);
																																																																																	}
																																																																																	{	/* Ast/sexp.scm 388 */
																																																																																		BgL_objectz00_bglt
																																																																																			BgL_tmpz00_21677;
																																																																																		BgL_tmpz00_21677
																																																																																			=
																																																																																			(
																																																																																			(BgL_objectz00_bglt)
																																																																																			BgL_new1140z00_9776);
																																																																																		BGL_OBJECT_WIDENING_SET
																																																																																			(BgL_tmpz00_21677,
																																																																																			BFALSE);
																																																																																	}
																																																																																	((BgL_objectz00_bglt) BgL_new1140z00_9776);
																																																																																	BgL_new1141z00_9774
																																																																																		=
																																																																																		BgL_new1140z00_9776;
																																																																																}
																																																																																((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1141z00_9774)))->BgL_locz00) = ((obj_t) BgL_locz00_23), BUNSPEC);
																																																																																{
																																																																																	BgL_typez00_bglt
																																																																																		BgL_auxz00_21683;
																																																																																	{	/* Ast/sexp.scm 389 */
																																																																																		obj_t
																																																																																			BgL_arg7465z00_9775;
																																																																																		BgL_arg7465z00_9775
																																																																																			=
																																																																																			BGl_castzd2sexpzd2typez00zzast_privatez00
																																																																																			(BgL_bodyz00_1802);
																																																																																		BgL_auxz00_21683
																																																																																			=
																																																																																			BGl_usezd2typez12zc0zztype_envz00
																																																																																			(BgL_arg7465z00_9775,
																																																																																			BgL_locz00_23);
																																																																																	}
																																																																																	((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1141z00_9774)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_21683), BUNSPEC);
																																																																																}
																																																																																((((BgL_castz00_bglt) COBJECT(BgL_new1141z00_9774))->BgL_argz00) = ((BgL_nodez00_bglt) BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_argz00_1803, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24)), BUNSPEC);
																																																																																BgL_auxz00_21672
																																																																																	=
																																																																																	BgL_new1141z00_9774;
																																																																															}
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21672);
																																																																													}}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd219545zd2_4960;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_12390;
																																																																															BgL_pairz00_12390
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd219545zd2_4960
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_12390);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4170z00_4961;
																																																																															obj_t
																																																																																BgL_arg4171z00_4962;
																																																																															obj_t
																																																																																BgL_arg4172z00_4963;
																																																																															BgL_arg4170z00_4961
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd219545zd2_4960));
																																																																															BgL_arg4171z00_4962
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd219545zd2_4960));
																																																																															BgL_arg4172z00_4963
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21700;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_21703;
																																																																																	obj_t
																																																																																		BgL_bodyz00_21702;
																																																																																	obj_t
																																																																																		BgL_varsz00_21701;
																																																																																	BgL_varsz00_21701
																																																																																		=
																																																																																		BgL_arg4170z00_4961;
																																																																																	BgL_bodyz00_21702
																																																																																		=
																																																																																		BgL_arg4171z00_4962;
																																																																																	BgL_argsz00_21703
																																																																																		=
																																																																																		BgL_arg4172z00_4963;
																																																																																	BgL_argsz00_1807
																																																																																		=
																																																																																		BgL_argsz00_21703;
																																																																																	BgL_bodyz00_1806
																																																																																		=
																																																																																		BgL_bodyz00_21702;
																																																																																	BgL_varsz00_1805
																																																																																		=
																																																																																		BgL_varsz00_21701;
																																																																																	goto
																																																																																		BgL_tagzd2387zd2_1808;
																																																																																}
																																																																																BgL_auxz00_16271
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21700);
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd219571zd2_4966;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_12395;
																																																																											BgL_pairz00_12395
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd219571zd2_4966
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_12395);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg4175z00_4967;
																																																																											obj_t
																																																																												BgL_arg4176z00_4968;
																																																																											obj_t
																																																																												BgL_arg4177z00_4969;
																																																																											BgL_arg4175z00_4967
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd219571zd2_4966));
																																																																											BgL_arg4176z00_4968
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd219571zd2_4966));
																																																																											BgL_arg4177z00_4969
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21714;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_21717;
																																																																													obj_t
																																																																														BgL_bodyz00_21716;
																																																																													obj_t
																																																																														BgL_varsz00_21715;
																																																																													BgL_varsz00_21715
																																																																														=
																																																																														BgL_arg4175z00_4967;
																																																																													BgL_bodyz00_21716
																																																																														=
																																																																														BgL_arg4176z00_4968;
																																																																													BgL_argsz00_21717
																																																																														=
																																																																														BgL_arg4177z00_4969;
																																																																													BgL_argsz00_1807
																																																																														=
																																																																														BgL_argsz00_21717;
																																																																													BgL_bodyz00_1806
																																																																														=
																																																																														BgL_bodyz00_21716;
																																																																													BgL_varsz00_1805
																																																																														=
																																																																														BgL_varsz00_21715;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1808;
																																																																												}
																																																																												BgL_auxz00_16271
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21714);
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd219597zd2_4972;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_12400;
																																																																									BgL_pairz00_12400
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd219597zd2_4972
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_12400);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg4180z00_4973;
																																																																									obj_t
																																																																										BgL_arg4181z00_4974;
																																																																									obj_t
																																																																										BgL_arg4182z00_4975;
																																																																									BgL_arg4180z00_4973
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd219597zd2_4972));
																																																																									BgL_arg4181z00_4974
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd219597zd2_4972));
																																																																									BgL_arg4182z00_4975
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21728;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_21731;
																																																																											obj_t
																																																																												BgL_bodyz00_21730;
																																																																											obj_t
																																																																												BgL_varsz00_21729;
																																																																											BgL_varsz00_21729
																																																																												=
																																																																												BgL_arg4180z00_4973;
																																																																											BgL_bodyz00_21730
																																																																												=
																																																																												BgL_arg4181z00_4974;
																																																																											BgL_argsz00_21731
																																																																												=
																																																																												BgL_arg4182z00_4975;
																																																																											BgL_argsz00_1807
																																																																												=
																																																																												BgL_argsz00_21731;
																																																																											BgL_bodyz00_1806
																																																																												=
																																																																												BgL_bodyz00_21730;
																																																																											BgL_varsz00_1805
																																																																												=
																																																																												BgL_varsz00_21729;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1808;
																																																																										}
																																																																										BgL_auxz00_16271
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21728);
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd219623zd2_4977;
																																																																						BgL_cdrzd219623zd2_4977
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_carzd219470zd2_4933));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg4184z00_4978;
																																																																							obj_t
																																																																								BgL_arg4185z00_4979;
																																																																							obj_t
																																																																								BgL_arg4186z00_4980;
																																																																							BgL_arg4184z00_4978
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd219623zd2_4977));
																																																																							BgL_arg4185z00_4979
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd219623zd2_4977));
																																																																							BgL_arg4186z00_4980
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21741;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_21744;
																																																																									obj_t
																																																																										BgL_bodyz00_21743;
																																																																									obj_t
																																																																										BgL_varsz00_21742;
																																																																									BgL_varsz00_21742
																																																																										=
																																																																										BgL_arg4184z00_4978;
																																																																									BgL_bodyz00_21743
																																																																										=
																																																																										BgL_arg4185z00_4979;
																																																																									BgL_argsz00_21744
																																																																										=
																																																																										BgL_arg4186z00_4980;
																																																																									BgL_argsz00_1807
																																																																										=
																																																																										BgL_argsz00_21744;
																																																																									BgL_bodyz00_1806
																																																																										=
																																																																										BgL_bodyz00_21743;
																																																																									BgL_varsz00_1805
																																																																										=
																																																																										BgL_varsz00_21742;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1808;
																																																																								}
																																																																								BgL_auxz00_16271
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21741);
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd219649zd2_4982;
																																																																				BgL_cdrzd219649zd2_4982
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_carzd219470zd2_4933));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg4188z00_4983;
																																																																					obj_t
																																																																						BgL_arg4189z00_4984;
																																																																					obj_t
																																																																						BgL_arg4190z00_4985;
																																																																					BgL_arg4188z00_4983
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd219649zd2_4982));
																																																																					BgL_arg4189z00_4984
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd219649zd2_4982));
																																																																					BgL_arg4190z00_4985
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_21754;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_21757;
																																																																							obj_t
																																																																								BgL_bodyz00_21756;
																																																																							obj_t
																																																																								BgL_varsz00_21755;
																																																																							BgL_varsz00_21755
																																																																								=
																																																																								BgL_arg4188z00_4983;
																																																																							BgL_bodyz00_21756
																																																																								=
																																																																								BgL_arg4189z00_4984;
																																																																							BgL_argsz00_21757
																																																																								=
																																																																								BgL_arg4190z00_4985;
																																																																							BgL_argsz00_1807
																																																																								=
																																																																								BgL_argsz00_21757;
																																																																							BgL_bodyz00_1806
																																																																								=
																																																																								BgL_bodyz00_21756;
																																																																							BgL_varsz00_1805
																																																																								=
																																																																								BgL_varsz00_21755;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1808;
																																																																						}
																																																																						BgL_auxz00_16271
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_21754);
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd219675zd2_4987;
																																																																		BgL_cdrzd219675zd2_4987
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd219470zd2_4933));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg4192z00_4988;
																																																																			obj_t
																																																																				BgL_arg4193z00_4989;
																																																																			obj_t
																																																																				BgL_arg4194z00_4990;
																																																																			BgL_arg4192z00_4988
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd219675zd2_4987));
																																																																			BgL_arg4193z00_4989
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd219675zd2_4987));
																																																																			BgL_arg4194z00_4990
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21767;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_21770;
																																																																					obj_t
																																																																						BgL_bodyz00_21769;
																																																																					obj_t
																																																																						BgL_varsz00_21768;
																																																																					BgL_varsz00_21768
																																																																						=
																																																																						BgL_arg4192z00_4988;
																																																																					BgL_bodyz00_21769
																																																																						=
																																																																						BgL_arg4193z00_4989;
																																																																					BgL_argsz00_21770
																																																																						=
																																																																						BgL_arg4194z00_4990;
																																																																					BgL_argsz00_1807
																																																																						=
																																																																						BgL_argsz00_21770;
																																																																					BgL_bodyz00_1806
																																																																						=
																																																																						BgL_bodyz00_21769;
																																																																					BgL_varsz00_1805
																																																																						=
																																																																						BgL_varsz00_21768;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1808;
																																																																				}
																																																																				BgL_auxz00_16271
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21767);
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd219701zd2_4993;
																																																																BgL_cdrzd219701zd2_4993
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd219470zd2_4933));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg4197z00_4994;
																																																																	obj_t
																																																																		BgL_arg4198z00_4995;
																																																																	obj_t
																																																																		BgL_arg4199z00_4996;
																																																																	BgL_arg4197z00_4994
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd219701zd2_4993));
																																																																	BgL_arg4198z00_4995
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd219701zd2_4993));
																																																																	BgL_arg4199z00_4996
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_21780;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_21783;
																																																																			obj_t
																																																																				BgL_bodyz00_21782;
																																																																			obj_t
																																																																				BgL_varsz00_21781;
																																																																			BgL_varsz00_21781
																																																																				=
																																																																				BgL_arg4197z00_4994;
																																																																			BgL_bodyz00_21782
																																																																				=
																																																																				BgL_arg4198z00_4995;
																																																																			BgL_argsz00_21783
																																																																				=
																																																																				BgL_arg4199z00_4996;
																																																																			BgL_argsz00_1807
																																																																				=
																																																																				BgL_argsz00_21783;
																																																																			BgL_bodyz00_1806
																																																																				=
																																																																				BgL_bodyz00_21782;
																																																																			BgL_varsz00_1805
																																																																				=
																																																																				BgL_varsz00_21781;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1808;
																																																																		}
																																																																		BgL_auxz00_16271
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_21780);
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_21787;
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																																BgL_auxz00_16271
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_21787);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd219839zd2_5001;
																																																												BgL_cdrzd219839zd2_5001
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd219470zd2_4933));
																																																												if ((CAR(((obj_t) BgL_carzd219470zd2_4933)) == CNST_TABLE_REF(((long) 1))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd219839zd2_5001))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd219844zd2_5005;
																																																																BgL_cdrzd219844zd2_5005
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd219839zd2_5001);
																																																																if (PAIRP(BgL_cdrzd219844zd2_5005))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd219848zd2_5007;
																																																																		obj_t
																																																																			BgL_cdrzd219849zd2_5008;
																																																																		BgL_carzd219848zd2_5007
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd219844zd2_5005);
																																																																		BgL_cdrzd219849zd2_5008
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd219844zd2_5005);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219848zd2_5007))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd219849zd2_5008))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd219854zd2_5011;
																																																																						BgL_carzd219854zd2_5011
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd219849zd2_5008);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219854zd2_5011))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd219849zd2_5008)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test8986z00_21813;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1413z00_5044;
																																																																											BgL_l1413z00_5044
																																																																												=
																																																																												BgL_cdrzd219471zd2_4934;
																																																																										BgL_zc3z04anonymousza34226ze3z87_5045:
																																																																											if (NULLP(BgL_l1413z00_5044))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test8986z00_21813
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test8988z00_21816;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test8989z00_21817;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_tmpz00_21818;
																																																																															BgL_tmpz00_21818
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1413z00_5044));
																																																																															BgL_test8989z00_21817
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_21818);
																																																																														}
																																																																														if (BgL_test8989z00_21817)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test8988z00_21816
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test8988z00_21816
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_test8988z00_21816)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1413z00_21822;
																																																																															BgL_l1413z00_21822
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1413z00_5044));
																																																																															BgL_l1413z00_5044
																																																																																=
																																																																																BgL_l1413z00_21822;
																																																																															goto
																																																																																BgL_zc3z04anonymousza34226ze3z87_5045;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test8986z00_21813
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_test8986z00_21813)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg4216z00_5027;
																																																																												BgL_arg4216z00_5027
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd219839zd2_5001);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21826;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_21830;
																																																																														obj_t
																																																																															BgL_proc2z00_21829;
																																																																														obj_t
																																																																															BgL_proc1z00_21828;
																																																																														obj_t
																																																																															BgL_testz00_21827;
																																																																														BgL_testz00_21827
																																																																															=
																																																																															BgL_arg4216z00_5027;
																																																																														BgL_proc1z00_21828
																																																																															=
																																																																															BgL_carzd219848zd2_5007;
																																																																														BgL_proc2z00_21829
																																																																															=
																																																																															BgL_carzd219854zd2_5011;
																																																																														BgL_argsz00_21830
																																																																															=
																																																																															BgL_cdrzd219471zd2_4934;
																																																																														BgL_argsz00_1812
																																																																															=
																																																																															BgL_argsz00_21830;
																																																																														BgL_proc2z00_1811
																																																																															=
																																																																															BgL_proc2z00_21829;
																																																																														BgL_proc1z00_1810
																																																																															=
																																																																															BgL_proc1z00_21828;
																																																																														BgL_testz00_1809
																																																																															=
																																																																															BgL_testz00_21827;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1813;
																																																																													}
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21826);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd219879zd2_5028;
																																																																												BgL_cdrzd219879zd2_5028
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd219887zd2_5029;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_12438;
																																																																														BgL_pairz00_12438
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd219887zd2_5029
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_12438);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd219895zd2_5030;
																																																																														BgL_cdrzd219895zd2_5030
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd219887zd2_5029));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd219902zd2_5031;
																																																																															BgL_carzd219902zd2_5031
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd219895zd2_5030));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219902zd2_5031))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd219911zd2_5033;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_12442;
																																																																																		BgL_pairz00_12442
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd219895zd2_5030));
																																																																																		BgL_carzd219911zd2_5033
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_12442);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219911zd2_5033))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd219879zd2_5028))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg4220z00_5036;
																																																																																					BgL_arg4220z00_5036
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd219887zd2_5029));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_21852;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_21856;
																																																																																							obj_t
																																																																																								BgL_proc2z00_21855;
																																																																																							obj_t
																																																																																								BgL_proc1z00_21854;
																																																																																							obj_t
																																																																																								BgL_testz00_21853;
																																																																																							BgL_testz00_21853
																																																																																								=
																																																																																								BgL_arg4220z00_5036;
																																																																																							BgL_proc1z00_21854
																																																																																								=
																																																																																								BgL_carzd219902zd2_5031;
																																																																																							BgL_proc2z00_21855
																																																																																								=
																																																																																								BgL_carzd219911zd2_5033;
																																																																																							BgL_argsz00_21856
																																																																																								=
																																																																																								BgL_cdrzd219879zd2_5028;
																																																																																							BgL_argsz00_1817
																																																																																								=
																																																																																								BgL_argsz00_21856;
																																																																																							BgL_proc2z00_1816
																																																																																								=
																																																																																								BgL_proc2z00_21855;
																																																																																							BgL_proc1z00_1815
																																																																																								=
																																																																																								BgL_proc1z00_21854;
																																																																																							BgL_testz00_1814
																																																																																								=
																																																																																								BgL_testz00_21853;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1818;
																																																																																						}
																																																																																						BgL_auxz00_16271
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_21852);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_21860;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_16271
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_21860);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_21864;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_21864);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21868;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21868);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21872;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_16271
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21872);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd220189zd2_5055;
																																																																								BgL_cdrzd220189zd2_5055
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd220196zd2_5056;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_12446;
																																																																										BgL_pairz00_12446
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd220196zd2_5056
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12446);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd220203zd2_5057;
																																																																										BgL_cdrzd220203zd2_5057
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd220196zd2_5056));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd220209zd2_5058;
																																																																											obj_t
																																																																												BgL_cdrzd220210zd2_5059;
																																																																											BgL_carzd220209zd2_5058
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd220203zd2_5057));
																																																																											BgL_cdrzd220210zd2_5059
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd220203zd2_5057));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220209zd2_5058))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd220217zd2_5061;
																																																																													BgL_carzd220217zd2_5061
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd220210zd2_5059));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220217zd2_5061))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd220210zd2_5059))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd220189zd2_5055))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg4235z00_5066;
																																																																																			BgL_arg4235z00_5066
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd220196zd2_5056));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_21899;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_21903;
																																																																																					obj_t
																																																																																						BgL_proc2z00_21902;
																																																																																					obj_t
																																																																																						BgL_proc1z00_21901;
																																																																																					obj_t
																																																																																						BgL_testz00_21900;
																																																																																					BgL_testz00_21900
																																																																																						=
																																																																																						BgL_arg4235z00_5066;
																																																																																					BgL_proc1z00_21901
																																																																																						=
																																																																																						BgL_carzd220209zd2_5058;
																																																																																					BgL_proc2z00_21902
																																																																																						=
																																																																																						BgL_carzd220217zd2_5061;
																																																																																					BgL_argsz00_21903
																																																																																						=
																																																																																						BgL_cdrzd220189zd2_5055;
																																																																																					BgL_argsz00_1817
																																																																																						=
																																																																																						BgL_argsz00_21903;
																																																																																					BgL_proc2z00_1816
																																																																																						=
																																																																																						BgL_proc2z00_21902;
																																																																																					BgL_proc1z00_1815
																																																																																						=
																																																																																						BgL_proc1z00_21901;
																																																																																					BgL_testz00_1814
																																																																																						=
																																																																																						BgL_testz00_21900;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1818;
																																																																																				}
																																																																																				BgL_auxz00_16271
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_21899);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_21907;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_16271
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_21907);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21911;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21911);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21915;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21915);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21919;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21919);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21923;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_16271
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21923);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd220550zd2_5074;
																																																																				BgL_cdrzd220550zd2_5074
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd220556zd2_5075;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_12455;
																																																																						BgL_pairz00_12455
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd220556zd2_5075
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12455);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd220562zd2_5076;
																																																																						BgL_cdrzd220562zd2_5076
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd220556zd2_5075));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd220567zd2_5077;
																																																																							obj_t
																																																																								BgL_cdrzd220568zd2_5078;
																																																																							BgL_carzd220567zd2_5077
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd220562zd2_5076));
																																																																							BgL_cdrzd220568zd2_5078
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd220562zd2_5076));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220567zd2_5077))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd220568zd2_5078))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd220573zd2_5081;
																																																																											BgL_carzd220573zd2_5081
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd220568zd2_5078);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220573zd2_5081))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd220568zd2_5078)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd220550zd2_5074))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg4249z00_5086;
																																																																																	BgL_arg4249z00_5086
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd220556zd2_5075));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_21950;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_21954;
																																																																																			obj_t
																																																																																				BgL_proc2z00_21953;
																																																																																			obj_t
																																																																																				BgL_proc1z00_21952;
																																																																																			obj_t
																																																																																				BgL_testz00_21951;
																																																																																			BgL_testz00_21951
																																																																																				=
																																																																																				BgL_arg4249z00_5086;
																																																																																			BgL_proc1z00_21952
																																																																																				=
																																																																																				BgL_carzd220567zd2_5077;
																																																																																			BgL_proc2z00_21953
																																																																																				=
																																																																																				BgL_carzd220573zd2_5081;
																																																																																			BgL_argsz00_21954
																																																																																				=
																																																																																				BgL_cdrzd220550zd2_5074;
																																																																																			BgL_argsz00_1817
																																																																																				=
																																																																																				BgL_argsz00_21954;
																																																																																			BgL_proc2z00_1816
																																																																																				=
																																																																																				BgL_proc2z00_21953;
																																																																																			BgL_proc1z00_1815
																																																																																				=
																																																																																				BgL_proc1z00_21952;
																																																																																			BgL_testz00_1814
																																																																																				=
																																																																																				BgL_testz00_21951;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1818;
																																																																																		}
																																																																																		BgL_auxz00_16271
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_21950);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21958;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_16271
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21958);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21962;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21962);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21966;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21966);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21970;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21970);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21974;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21974);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21978;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_16271
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21978);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_21982;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_16271
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_21982);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_21986;
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																																BgL_auxz00_16271
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_21986);
																																																															}
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((BgL_carzd217807zd2_4919 == CNST_TABLE_REF(((long) 18))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg4364z00_5251;
																																											obj_t
																																												BgL_arg4365z00_5252;
																																											BgL_arg4364z00_5251
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd217782zd2_4914));
																																											BgL_arg4365z00_5252
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd217782zd2_4914));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_21995;
																																												{
																																													obj_t
																																														BgL_exprz00_21997;
																																													obj_t
																																														BgL_bindingsz00_21996;
																																													BgL_bindingsz00_21996
																																														=
																																														BgL_arg4364z00_5251;
																																													BgL_exprz00_21997
																																														=
																																														BgL_arg4365z00_5252;
																																													BgL_exprz00_1797
																																														=
																																														BgL_exprz00_21997;
																																													BgL_bindingsz00_1796
																																														=
																																														BgL_bindingsz00_21996;
																																													goto
																																														BgL_tagzd2383zd2_1798;
																																												}
																																												BgL_auxz00_16271
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_21995);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd217807zd2_4919)))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4367z00_5254;
																																													obj_t
																																														BgL_arg4368z00_5255;
																																													BgL_arg4367z00_5254
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd217782zd2_4914));
																																													BgL_arg4368z00_5255
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd217782zd2_4914));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_22006;
																																														{
																																															obj_t
																																																BgL_exprz00_22008;
																																															obj_t
																																																BgL_bindingsz00_22007;
																																															BgL_bindingsz00_22007
																																																=
																																																BgL_arg4367z00_5254;
																																															BgL_exprz00_22008
																																																=
																																																BgL_arg4368z00_5255;
																																															BgL_exprz00_1797
																																																=
																																																BgL_exprz00_22008;
																																															BgL_bindingsz00_1796
																																																=
																																																BgL_bindingsz00_22007;
																																															goto
																																																BgL_tagzd2383zd2_1798;
																																														}
																																														BgL_auxz00_16271
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_22006);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((BgL_carzd217807zd2_4919 == CNST_TABLE_REF(((long) 19))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4369z00_5256;
																																															obj_t
																																																BgL_arg4370z00_5257;
																																															BgL_arg4369z00_5256
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd217782zd2_4914));
																																															BgL_arg4370z00_5257
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd217782zd2_4914));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_22017;
																																																{
																																																	obj_t
																																																		BgL_exprz00_22019;
																																																	obj_t
																																																		BgL_bindingsz00_22018;
																																																	BgL_bindingsz00_22018
																																																		=
																																																		BgL_arg4369z00_5256;
																																																	BgL_exprz00_22019
																																																		=
																																																		BgL_arg4370z00_5257;
																																																	BgL_exprz00_1797
																																																		=
																																																		BgL_exprz00_22019;
																																																	BgL_bindingsz00_1796
																																																		=
																																																		BgL_bindingsz00_22018;
																																																	goto
																																																		BgL_tagzd2383zd2_1798;
																																																}
																																																BgL_auxz00_16271
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_22017);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_22026;
																																																	goto
																																																		BgL_tagzd2384zd2_1799;
																																																	BgL_auxz00_16271
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_22026);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd221148zd2_5260;
																																																	BgL_carzd221148zd2_5260
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if ((BgL_carzd221148zd2_5260 == CNST_TABLE_REF(((long) 20))))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_22033;
																																																			goto
																																																				BgL_tagzd2385zd2_1800;
																																																			BgL_auxz00_16271
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_22033);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd221148zd2_5260)))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_22038;
																																																					goto
																																																						BgL_tagzd2385zd2_1800;
																																																					BgL_auxz00_16271
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_22038);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_22045;
																																																							goto
																																																								BgL_tagzd2390zd2_1819;
																																																							BgL_auxz00_16271
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_22045);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_22052;
																																																									goto
																																																										BgL_tagzd2391zd2_1820;
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22052);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd221228zd2_5266;
																																																									BgL_cdrzd221228zd2_5266
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg4380z00_5269;
																																																											obj_t
																																																												BgL_arg4381z00_5270;
																																																											BgL_arg4380z00_5269
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd221228zd2_5266));
																																																											BgL_arg4381z00_5270
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd221228zd2_5266));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_22065;
																																																												{
																																																													obj_t
																																																														BgL_restz00_22067;
																																																													obj_t
																																																														BgL_effectz00_22066;
																																																													BgL_effectz00_22066
																																																														=
																																																														BgL_arg4380z00_5269;
																																																													BgL_restz00_22067
																																																														=
																																																														BgL_arg4381z00_5270;
																																																													BgL_restz00_1822
																																																														=
																																																														BgL_restz00_22067;
																																																													BgL_effectz00_1821
																																																														=
																																																														BgL_effectz00_22066;
																																																													goto
																																																														BgL_tagzd2392zd2_1823;
																																																												}
																																																												BgL_auxz00_16271
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_22065);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_22074;
																																																													goto
																																																														BgL_tagzd2393zd2_1824;
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22074);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_22081;
																																																															goto
																																																																BgL_tagzd2394zd2_1825;
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22081);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg4388z00_5278;
																																																																	obj_t
																																																																		BgL_arg4389z00_5279;
																																																																	BgL_arg4388z00_5278
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd221228zd2_5266));
																																																																	BgL_arg4389z00_5279
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd221228zd2_5266));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22092;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_22094;
																																																																			obj_t
																																																																				BgL_effectz00_22093;
																																																																			BgL_effectz00_22093
																																																																				=
																																																																				BgL_arg4388z00_5278;
																																																																			BgL_restz00_22094
																																																																				=
																																																																				BgL_arg4389z00_5279;
																																																																			BgL_restz00_1827
																																																																				=
																																																																				BgL_restz00_22094;
																																																																			BgL_effectz00_1826
																																																																				=
																																																																				BgL_effectz00_22093;
																																																																			goto
																																																																				BgL_tagzd2395zd2_1828;
																																																																		}
																																																																		BgL_auxz00_16271
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22092);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_22101;
																																																																			goto
																																																																				BgL_tagzd2396zd2_1829;
																																																																			BgL_auxz00_16271
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_22101);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_22108;
																																																																					goto
																																																																						BgL_tagzd2397zd2_1830;
																																																																					BgL_auxz00_16271
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_22108);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																						{
																																																																							BgL_letzd2funzd2_bglt
																																																																								BgL_auxz00_22115;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1831;
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22115);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																								{
																																																																									BgL_jumpzd2exzd2itz00_bglt
																																																																										BgL_auxz00_22122;
																																																																									goto
																																																																										BgL_tagzd2399zd2_1832;
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22122);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd221305zd2_5288;
																																																																									BgL_cdrzd221305zd2_5288
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg4400z00_5291;
																																																																											obj_t
																																																																												BgL_arg4401z00_5292;
																																																																											BgL_arg4400z00_5291
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd221305zd2_5288));
																																																																											BgL_arg4401z00_5292
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd221305zd2_5288));
																																																																											{	/* Ast/sexp.scm 564 */
																																																																												obj_t
																																																																													BgL_arg7616z00_12492;
																																																																												BgL_arg7616z00_12492
																																																																													=
																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																													(BgL_expz00_21,
																																																																													BgL_locz00_23);
																																																																												BgL_auxz00_16271
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																													(BgL_expz00_21,
																																																																														BgL_arg4400z00_5291,
																																																																														CNST_TABLE_REF
																																																																														(((long) 4)), BgL_arg4401z00_5292, BgL_stackz00_22, BgL_arg7616z00_12492, BgL_sitez00_24));
																																																																										}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22141;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22141);
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_carzd221330zd2_5309;
																											BgL_carzd221330zd2_5309 =
																												CAR(((obj_t)
																													BgL_expz00_21));
																											if (
																												(BgL_carzd221330zd2_5309
																													==
																													CNST_TABLE_REF(((long)
																															1))))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_22148;
																													goto
																														BgL_tagzd2377zd2_1784;
																													BgL_auxz00_16271 =
																														((obj_t)
																														BgL_auxz00_22148);
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													if (
																														(BgL_carzd221330zd2_5309
																															==
																															BGl_za2ifza2z00zzast_sexpz00))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_22152;
																															goto
																																BgL_tagzd2377zd2_1784;
																															BgL_auxz00_16271 =
																																((obj_t)
																																BgL_auxz00_22152);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long) 7))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_22159;
																																	goto
																																		BgL_tagzd2379zd2_1788;
																																	BgL_auxz00_16271
																																		=
																																		((obj_t)
																																		BgL_auxz00_22159);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					16))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_22166;
																																			goto
																																				BgL_tagzd2380zd2_1789;
																																			BgL_auxz00_16271
																																				=
																																				((obj_t)
																																				BgL_auxz00_22166);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd221415zd2_5315;
																																			BgL_carzd221415zd2_5315
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (PAIRP
																																				(BgL_carzd221415zd2_5315))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd221418zd2_5317;
																																					obj_t
																																						BgL_cdrzd221419zd2_5318;
																																					BgL_carzd221418zd2_5317
																																						=
																																						CAR
																																						(BgL_carzd221415zd2_5315);
																																					BgL_cdrzd221419zd2_5318
																																						=
																																						CDR
																																						(BgL_carzd221415zd2_5315);
																																					{

																																						if (
																																							(BgL_carzd221418zd2_5317
																																								==
																																								CNST_TABLE_REF
																																								(((long) 18))))
																																							{	/* Ast/sexp.scm 119 */
																																							BgL_kapzd221420zd2_5319:
																																								if (PAIRP(BgL_cdrzd221419zd2_5318))
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd221423zd2_5435;
																																										BgL_cdrzd221423zd2_5435
																																											=
																																											CDR
																																											(BgL_cdrzd221419zd2_5318);
																																										if (PAIRP(BgL_cdrzd221423zd2_5435))
																																											{	/* Ast/sexp.scm 119 */
																																												if (NULLP(CDR(BgL_cdrzd221423zd2_5435)))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg4500z00_5439;
																																														obj_t
																																															BgL_arg4501z00_5440;
																																														BgL_arg4500z00_5439
																																															=
																																															CAR
																																															(BgL_cdrzd221423zd2_5435);
																																														BgL_arg4501z00_5440
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_22188;
																																															{
																																																obj_t
																																																	BgL_argsz00_22190;
																																																obj_t
																																																	BgL_bodyz00_22189;
																																																BgL_bodyz00_22189
																																																	=
																																																	BgL_arg4500z00_5439;
																																																BgL_argsz00_22190
																																																	=
																																																	BgL_arg4501z00_5440;
																																																BgL_argsz00_1794
																																																	=
																																																	BgL_argsz00_22190;
																																																BgL_bodyz00_1793
																																																	=
																																																	BgL_bodyz00_22189;
																																																goto
																																																	BgL_tagzd2382zd2_1795;
																																															}
																																															BgL_auxz00_16271
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_22188);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test9046z00_22192;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4565z00_5546;
																																															BgL_arg4565z00_5546
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test9046z00_22192
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg4565z00_5546));
																																														}
																																														if (BgL_test9046z00_22192)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_22197;
																																																goto
																																																	BgL_tagzd2385zd2_1800;
																																																BgL_auxz00_16271
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_22197);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd221501zd2_5443;
																																																BgL_carzd221501zd2_5443
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd221506zd2_5444;
																																																	BgL_cdrzd221506zd2_5444
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd221501zd2_5443));
																																																	if ((CAR(((obj_t) BgL_carzd221501zd2_5443)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4506z00_5447;
																																																			obj_t
																																																				BgL_arg4507z00_5448;
																																																			obj_t
																																																				BgL_arg4508z00_5449;
																																																			BgL_arg4506z00_5447
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd221506zd2_5444));
																																																			BgL_arg4507z00_5448
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd221506zd2_5444));
																																																			BgL_arg4508z00_5449
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_22214;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_22217;
																																																					obj_t
																																																						BgL_bodyz00_22216;
																																																					obj_t
																																																						BgL_varsz00_22215;
																																																					BgL_varsz00_22215
																																																						=
																																																						BgL_arg4506z00_5447;
																																																					BgL_bodyz00_22216
																																																						=
																																																						BgL_arg4507z00_5448;
																																																					BgL_argsz00_22217
																																																						=
																																																						BgL_arg4508z00_5449;
																																																					BgL_argsz00_1807
																																																						=
																																																						BgL_argsz00_22217;
																																																					BgL_bodyz00_1806
																																																						=
																																																						BgL_bodyz00_22216;
																																																					BgL_varsz00_1805
																																																						=
																																																						BgL_varsz00_22215;
																																																					goto
																																																						BgL_tagzd2387zd2_1808;
																																																				}
																																																				BgL_auxz00_16271
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_22214);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd221529zd2_5451;
																																																			BgL_cdrzd221529zd2_5451
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd221535zd2_5452;
																																																				BgL_cdrzd221535zd2_5452
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd221501zd2_5443));
																																																				if ((CAR(((obj_t) BgL_carzd221501zd2_5443)) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd221541zd2_5455;
																																																						BgL_cdrzd221541zd2_5455
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd221535zd2_5452));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd221546zd2_5456;
																																																							obj_t
																																																								BgL_cdrzd221547zd2_5457;
																																																							BgL_carzd221546zd2_5456
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd221541zd2_5455));
																																																							BgL_cdrzd221547zd2_5457
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd221541zd2_5455));
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221546zd2_5456))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd221547zd2_5457))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd221554zd2_5460;
																																																											BgL_carzd221554zd2_5460
																																																												=
																																																												CAR
																																																												(BgL_cdrzd221547zd2_5457);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221554zd2_5460))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(BgL_cdrzd221547zd2_5457)))
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test9053z00_22244;
																																																															{
																																																																obj_t
																																																																	BgL_l1416z00_5493;
																																																																BgL_l1416z00_5493
																																																																	=
																																																																	BgL_cdrzd221529zd2_5451;
																																																															BgL_zc3z04anonymousza34531ze3z87_5494:
																																																																if (NULLP(BgL_l1416z00_5493))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test9053z00_22244
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		bool_t
																																																																			BgL_test9055z00_22247;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			bool_t
																																																																				BgL_test9056z00_22248;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_tmpz00_22249;
																																																																				BgL_tmpz00_22249
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_l1416z00_5493));
																																																																				BgL_test9056z00_22248
																																																																					=
																																																																					PAIRP
																																																																					(BgL_tmpz00_22249);
																																																																			}
																																																																			if (BgL_test9056z00_22248)
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test9055z00_22247
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test9055z00_22247
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																		}
																																																																		if (BgL_test9055z00_22247)
																																																																			{
																																																																				obj_t
																																																																					BgL_l1416z00_22253;
																																																																				BgL_l1416z00_22253
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_l1416z00_5493));
																																																																				BgL_l1416z00_5493
																																																																					=
																																																																					BgL_l1416z00_22253;
																																																																				goto
																																																																					BgL_zc3z04anonymousza34531ze3z87_5494;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				BgL_test9053z00_22244
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																	}
																																																															}
																																																															if (BgL_test9053z00_22244)
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg4521z00_5476;
																																																																	BgL_arg4521z00_5476
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd221535zd2_5452));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22258;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_22262;
																																																																			obj_t
																																																																				BgL_proc2z00_22261;
																																																																			obj_t
																																																																				BgL_proc1z00_22260;
																																																																			obj_t
																																																																				BgL_testz00_22259;
																																																																			BgL_testz00_22259
																																																																				=
																																																																				BgL_arg4521z00_5476;
																																																																			BgL_proc1z00_22260
																																																																				=
																																																																				BgL_carzd221546zd2_5456;
																																																																			BgL_proc2z00_22261
																																																																				=
																																																																				BgL_carzd221554zd2_5460;
																																																																			BgL_argsz00_22262
																																																																				=
																																																																				BgL_cdrzd221529zd2_5451;
																																																																			BgL_argsz00_1812
																																																																				=
																																																																				BgL_argsz00_22262;
																																																																			BgL_proc2z00_1811
																																																																				=
																																																																				BgL_proc2z00_22261;
																																																																			BgL_proc1z00_1810
																																																																				=
																																																																				BgL_proc1z00_22260;
																																																																			BgL_testz00_1809
																																																																				=
																																																																				BgL_testz00_22259;
																																																																			goto
																																																																				BgL_tagzd2388zd2_1813;
																																																																		}
																																																																		BgL_auxz00_16271
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22258);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd221578zd2_5477;
																																																																	BgL_cdrzd221578zd2_5477
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd221585zd2_5478;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_12524;
																																																																			BgL_pairz00_12524
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd221585zd2_5478
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_12524);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd221592zd2_5479;
																																																																			BgL_cdrzd221592zd2_5479
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd221585zd2_5478));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd221598zd2_5480;
																																																																				BgL_carzd221598zd2_5480
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd221592zd2_5479));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221598zd2_5480))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd221605zd2_5482;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_12528;
																																																																							BgL_pairz00_12528
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd221592zd2_5479));
																																																																							BgL_carzd221605zd2_5482
																																																																								=
																																																																								CAR
																																																																								(BgL_pairz00_12528);
																																																																						}
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221605zd2_5482))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd221578zd2_5477))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg4525z00_5485;
																																																																										BgL_arg4525z00_5485
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd221585zd2_5478));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22284;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_22288;
																																																																												obj_t
																																																																													BgL_proc2z00_22287;
																																																																												obj_t
																																																																													BgL_proc1z00_22286;
																																																																												obj_t
																																																																													BgL_testz00_22285;
																																																																												BgL_testz00_22285
																																																																													=
																																																																													BgL_arg4525z00_5485;
																																																																												BgL_proc1z00_22286
																																																																													=
																																																																													BgL_carzd221598zd2_5480;
																																																																												BgL_proc2z00_22287
																																																																													=
																																																																													BgL_carzd221605zd2_5482;
																																																																												BgL_argsz00_22288
																																																																													=
																																																																													BgL_cdrzd221578zd2_5477;
																																																																												BgL_argsz00_1817
																																																																													=
																																																																													BgL_argsz00_22288;
																																																																												BgL_proc2z00_1816
																																																																													=
																																																																													BgL_proc2z00_22287;
																																																																												BgL_proc1z00_1815
																																																																													=
																																																																													BgL_proc1z00_22286;
																																																																												BgL_testz00_1814
																																																																													=
																																																																													BgL_testz00_22285;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1818;
																																																																											}
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22284);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22292;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_16271
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22292);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22296;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_16271
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22296);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22300;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_16271
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22300);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_22304;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																	BgL_auxz00_16271
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_22304);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd221881zd2_5504;
																																																													BgL_cdrzd221881zd2_5504
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd221887zd2_5505;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_pairz00_12532;
																																																															BgL_pairz00_12532
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd221887zd2_5505
																																																																=
																																																																CDR
																																																																(BgL_pairz00_12532);
																																																														}
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd221893zd2_5506;
																																																															BgL_cdrzd221893zd2_5506
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd221887zd2_5505));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd221898zd2_5507;
																																																																obj_t
																																																																	BgL_cdrzd221899zd2_5508;
																																																																BgL_carzd221898zd2_5507
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd221893zd2_5506));
																																																																BgL_cdrzd221899zd2_5508
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd221893zd2_5506));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221898zd2_5507))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd221904zd2_5510;
																																																																		BgL_carzd221904zd2_5510
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd221899zd2_5508));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221904zd2_5510))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd221899zd2_5508))))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd221881zd2_5504))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg4540z00_5515;
																																																																								BgL_arg4540z00_5515
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd221887zd2_5505));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22331;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_22335;
																																																																										obj_t
																																																																											BgL_proc2z00_22334;
																																																																										obj_t
																																																																											BgL_proc1z00_22333;
																																																																										obj_t
																																																																											BgL_testz00_22332;
																																																																										BgL_testz00_22332
																																																																											=
																																																																											BgL_arg4540z00_5515;
																																																																										BgL_proc1z00_22333
																																																																											=
																																																																											BgL_carzd221898zd2_5507;
																																																																										BgL_proc2z00_22334
																																																																											=
																																																																											BgL_carzd221904zd2_5510;
																																																																										BgL_argsz00_22335
																																																																											=
																																																																											BgL_cdrzd221881zd2_5504;
																																																																										BgL_argsz00_1817
																																																																											=
																																																																											BgL_argsz00_22335;
																																																																										BgL_proc2z00_1816
																																																																											=
																																																																											BgL_proc2z00_22334;
																																																																										BgL_proc1z00_1815
																																																																											=
																																																																											BgL_proc1z00_22333;
																																																																										BgL_testz00_1814
																																																																											=
																																																																											BgL_testz00_22332;
																																																																										goto
																																																																											BgL_tagzd2389zd2_1818;
																																																																									}
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22331);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22339;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_16271
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22339);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22343;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_16271
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22343);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22347;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_16271
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22347);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_22351;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_16271
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_22351);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1842;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_22355;
																																																													goto
																																																														BgL_tagzd2405zd2_1843;
																																																													BgL_auxz00_16271
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22355);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd222237zd2_5523;
																																																									BgL_cdrzd222237zd2_5523
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd222244zd2_5524;
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_pairz00_12541;
																																																											BgL_pairz00_12541
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdrzd222244zd2_5524
																																																												=
																																																												CDR
																																																												(BgL_pairz00_12541);
																																																										}
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd222251zd2_5525;
																																																											BgL_cdrzd222251zd2_5525
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd222244zd2_5524));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd222257zd2_5526;
																																																												obj_t
																																																													BgL_cdrzd222258zd2_5527;
																																																												BgL_carzd222257zd2_5526
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd222251zd2_5525));
																																																												BgL_cdrzd222258zd2_5527
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd222251zd2_5525));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222257zd2_5526))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd222258zd2_5527))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd222265zd2_5530;
																																																																BgL_carzd222265zd2_5530
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd222258zd2_5527);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222265zd2_5530))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd222258zd2_5527)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd222237zd2_5523))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg4554z00_5535;
																																																																						BgL_arg4554z00_5535
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd222244zd2_5524));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_22382;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_22386;
																																																																								obj_t
																																																																									BgL_proc2z00_22385;
																																																																								obj_t
																																																																									BgL_proc1z00_22384;
																																																																								obj_t
																																																																									BgL_testz00_22383;
																																																																								BgL_testz00_22383
																																																																									=
																																																																									BgL_arg4554z00_5535;
																																																																								BgL_proc1z00_22384
																																																																									=
																																																																									BgL_carzd222257zd2_5526;
																																																																								BgL_proc2z00_22385
																																																																									=
																																																																									BgL_carzd222265zd2_5530;
																																																																								BgL_argsz00_22386
																																																																									=
																																																																									BgL_cdrzd222237zd2_5523;
																																																																								BgL_argsz00_1817
																																																																									=
																																																																									BgL_argsz00_22386;
																																																																								BgL_proc2z00_1816
																																																																									=
																																																																									BgL_proc2z00_22385;
																																																																								BgL_proc1z00_1815
																																																																									=
																																																																									BgL_proc1z00_22384;
																																																																								BgL_testz00_1814
																																																																									=
																																																																									BgL_testz00_22383;
																																																																								goto
																																																																									BgL_tagzd2389zd2_1818;
																																																																							}
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22382);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22390;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_16271
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22390);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22394;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_16271
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22394);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_22398;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_16271
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_22398);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22402;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_16271
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22402);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_22406;
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																																BgL_auxz00_16271
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_22406);
																																																															}
																																																													}
																																																											}
																																																										}
																																																									}
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2404zd2_1842;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_22410;
																																																								goto
																																																									BgL_tagzd2405zd2_1843;
																																																								BgL_auxz00_16271
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_22410);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test9084z00_22412;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4576z00_5559;
																																													BgL_arg4576z00_5559
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test9084z00_22412
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg4576z00_5559));
																																												}
																																												if (BgL_test9084z00_22412)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_22417;
																																														goto
																																															BgL_tagzd2385zd2_1800;
																																														BgL_auxz00_16271
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_22417);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_carzd222711zd2_5550;
																																														BgL_carzd222711zd2_5550
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd222716zd2_5551;
																																															BgL_cdrzd222716zd2_5551
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd222711zd2_5550));
																																															if ((CAR(((obj_t) BgL_carzd222711zd2_5550)) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4571z00_5554;
																																																	obj_t
																																																		BgL_arg4572z00_5555;
																																																	obj_t
																																																		BgL_arg4573z00_5556;
																																																	BgL_arg4571z00_5554
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd222716zd2_5551));
																																																	BgL_arg4572z00_5555
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd222716zd2_5551));
																																																	BgL_arg4573z00_5556
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_22434;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_22437;
																																																			obj_t
																																																				BgL_bodyz00_22436;
																																																			obj_t
																																																				BgL_varsz00_22435;
																																																			BgL_varsz00_22435
																																																				=
																																																				BgL_arg4571z00_5554;
																																																			BgL_bodyz00_22436
																																																				=
																																																				BgL_arg4572z00_5555;
																																																			BgL_argsz00_22437
																																																				=
																																																				BgL_arg4573z00_5556;
																																																			BgL_argsz00_1807
																																																				=
																																																				BgL_argsz00_22437;
																																																			BgL_bodyz00_1806
																																																				=
																																																				BgL_bodyz00_22436;
																																																			BgL_varsz00_1805
																																																				=
																																																				BgL_varsz00_22435;
																																																			goto
																																																				BgL_tagzd2387zd2_1808;
																																																		}
																																																		BgL_auxz00_16271
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22434);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 119 */
																																																			goto
																																																				BgL_tagzd2404zd2_1842;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_22441;
																																																			goto
																																																				BgL_tagzd2405zd2_1843;
																																																			BgL_auxz00_16271
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_22441);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test9087z00_22443;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg4580z00_5563;
																																											BgL_arg4580z00_5563
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test9087z00_22443
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg4580z00_5563));
																																										}
																																										if (BgL_test9087z00_22443)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_22448;
																																												goto
																																													BgL_tagzd2385zd2_1800;
																																												BgL_auxz00_16271
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_22448);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_tagzd2404zd2_1842;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_22452;
																																														goto
																																															BgL_tagzd2405zd2_1843;
																																														BgL_auxz00_16271
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_22452);
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd221418zd2_5317)))
																																									{	/* Ast/sexp.scm 119 */
																																										goto
																																											BgL_kapzd221420zd2_5319;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd221418zd2_5317 == CNST_TABLE_REF(((long) 19))))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_kapzd221420zd2_5319;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd221418zd2_5317 == CNST_TABLE_REF(((long) 20))))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd221420zd2_5319;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd221418zd2_5317)))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd221420zd2_5319;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test9093z00_22466;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4495z00_5433;
																																																	BgL_arg4495z00_5433
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test9093z00_22466
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg4495z00_5433));
																																																}
																																																if (BgL_test9093z00_22466)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_22471;
																																																		goto
																																																			BgL_tagzd2385zd2_1800;
																																																		BgL_auxz00_16271
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22471);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd223039zd2_5324;
																																																		BgL_carzd223039zd2_5324
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd223044zd2_5325;
																																																			BgL_cdrzd223044zd2_5325
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd223039zd2_5324));
																																																			if ((CAR(((obj_t) BgL_carzd223039zd2_5324)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (PAIRP(BgL_cdrzd223044zd2_5325))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg4431z00_5329;
																																																							obj_t
																																																								BgL_arg4432z00_5330;
																																																							obj_t
																																																								BgL_arg4433z00_5331;
																																																							BgL_arg4431z00_5329
																																																								=
																																																								CAR
																																																								(BgL_cdrzd223044zd2_5325);
																																																							BgL_arg4432z00_5330
																																																								=
																																																								CDR
																																																								(BgL_cdrzd223044zd2_5325);
																																																							BgL_arg4433z00_5331
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_22488;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_22491;
																																																									obj_t
																																																										BgL_bodyz00_22490;
																																																									obj_t
																																																										BgL_varsz00_22489;
																																																									BgL_varsz00_22489
																																																										=
																																																										BgL_arg4431z00_5329;
																																																									BgL_bodyz00_22490
																																																										=
																																																										BgL_arg4432z00_5330;
																																																									BgL_argsz00_22491
																																																										=
																																																										BgL_arg4433z00_5331;
																																																									BgL_argsz00_1807
																																																										=
																																																										BgL_argsz00_22491;
																																																									BgL_bodyz00_1806
																																																										=
																																																										BgL_bodyz00_22490;
																																																									BgL_varsz00_1805
																																																										=
																																																										BgL_varsz00_22489;
																																																									goto
																																																										BgL_tagzd2387zd2_1808;
																																																								}
																																																								BgL_auxz00_16271
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_22488);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2404zd2_1842;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_22495;
																																																									goto
																																																										BgL_tagzd2405zd2_1843;
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22495);
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd223151zd2_5334;
																																																					BgL_cdrzd223151zd2_5334
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd223156zd2_5335;
																																																						BgL_cdrzd223156zd2_5335
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd223039zd2_5324));
																																																						if ((CAR(((obj_t) BgL_carzd223039zd2_5324)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (PAIRP(BgL_cdrzd223156zd2_5335))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd223161zd2_5339;
																																																										BgL_cdrzd223161zd2_5339
																																																											=
																																																											CDR
																																																											(BgL_cdrzd223156zd2_5335);
																																																										if (PAIRP(BgL_cdrzd223161zd2_5339))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd223165zd2_5341;
																																																												obj_t
																																																													BgL_cdrzd223166zd2_5342;
																																																												BgL_carzd223165zd2_5341
																																																													=
																																																													CAR
																																																													(BgL_cdrzd223161zd2_5339);
																																																												BgL_cdrzd223166zd2_5342
																																																													=
																																																													CDR
																																																													(BgL_cdrzd223161zd2_5339);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223165zd2_5341))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd223166zd2_5342))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd223171zd2_5345;
																																																																BgL_carzd223171zd2_5345
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd223166zd2_5342);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223171zd2_5345))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd223166zd2_5342)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test9104z00_22523;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1419z00_5378;
																																																																					BgL_l1419z00_5378
																																																																						=
																																																																						BgL_cdrzd223151zd2_5334;
																																																																				BgL_zc3z04anonymousza34459ze3z87_5379:
																																																																					if (NULLP(BgL_l1419z00_5378))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test9104z00_22523
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test9106z00_22526;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test9107z00_22527;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_tmpz00_22528;
																																																																									BgL_tmpz00_22528
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1419z00_5378));
																																																																									BgL_test9107z00_22527
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_22528);
																																																																								}
																																																																								if (BgL_test9107z00_22527)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test9106z00_22526
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test9106z00_22526
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_test9106z00_22526)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1419z00_22532;
																																																																									BgL_l1419z00_22532
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1419z00_5378));
																																																																									BgL_l1419z00_5378
																																																																										=
																																																																										BgL_l1419z00_22532;
																																																																									goto
																																																																										BgL_zc3z04anonymousza34459ze3z87_5379;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9104z00_22523
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_test9104z00_22523)
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg4449z00_5361;
																																																																						BgL_arg4449z00_5361
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd223156zd2_5335);
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_22536;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_22540;
																																																																								obj_t
																																																																									BgL_proc2z00_22539;
																																																																								obj_t
																																																																									BgL_proc1z00_22538;
																																																																								obj_t
																																																																									BgL_testz00_22537;
																																																																								BgL_testz00_22537
																																																																									=
																																																																									BgL_arg4449z00_5361;
																																																																								BgL_proc1z00_22538
																																																																									=
																																																																									BgL_carzd223165zd2_5341;
																																																																								BgL_proc2z00_22539
																																																																									=
																																																																									BgL_carzd223171zd2_5345;
																																																																								BgL_argsz00_22540
																																																																									=
																																																																									BgL_cdrzd223151zd2_5334;
																																																																								BgL_argsz00_1812
																																																																									=
																																																																									BgL_argsz00_22540;
																																																																								BgL_proc2z00_1811
																																																																									=
																																																																									BgL_proc2z00_22539;
																																																																								BgL_proc1z00_1810
																																																																									=
																																																																									BgL_proc1z00_22538;
																																																																								BgL_testz00_1809
																																																																									=
																																																																									BgL_testz00_22537;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1813;
																																																																							}
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22536);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd223196zd2_5362;
																																																																						BgL_cdrzd223196zd2_5362
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd223204zd2_5363;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_12577;
																																																																								BgL_pairz00_12577
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd223204zd2_5363
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_12577);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd223212zd2_5364;
																																																																								BgL_cdrzd223212zd2_5364
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd223204zd2_5363));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd223219zd2_5365;
																																																																									BgL_carzd223219zd2_5365
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd223212zd2_5364));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223219zd2_5365))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd223228zd2_5367;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_12581;
																																																																												BgL_pairz00_12581
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd223212zd2_5364));
																																																																												BgL_carzd223228zd2_5367
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_12581);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223228zd2_5367))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223196zd2_5362))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4453z00_5370;
																																																																															BgL_arg4453z00_5370
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd223204zd2_5363));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_22562;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_22566;
																																																																																	obj_t
																																																																																		BgL_proc2z00_22565;
																																																																																	obj_t
																																																																																		BgL_proc1z00_22564;
																																																																																	obj_t
																																																																																		BgL_testz00_22563;
																																																																																	BgL_testz00_22563
																																																																																		=
																																																																																		BgL_arg4453z00_5370;
																																																																																	BgL_proc1z00_22564
																																																																																		=
																																																																																		BgL_carzd223219zd2_5365;
																																																																																	BgL_proc2z00_22565
																																																																																		=
																																																																																		BgL_carzd223228zd2_5367;
																																																																																	BgL_argsz00_22566
																																																																																		=
																																																																																		BgL_cdrzd223196zd2_5362;
																																																																																	BgL_argsz00_1817
																																																																																		=
																																																																																		BgL_argsz00_22566;
																																																																																	BgL_proc2z00_1816
																																																																																		=
																																																																																		BgL_proc2z00_22565;
																																																																																	BgL_proc1z00_1815
																																																																																		=
																																																																																		BgL_proc1z00_22564;
																																																																																	BgL_testz00_1814
																																																																																		=
																																																																																		BgL_testz00_22563;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1818;
																																																																																}
																																																																																BgL_auxz00_16271
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_22562);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22570;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_16271
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22570);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22574;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22574);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22578;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22578);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22582;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_16271
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22582);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd223506zd2_5389;
																																																																		BgL_cdrzd223506zd2_5389
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd223513zd2_5390;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_12585;
																																																																				BgL_pairz00_12585
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd223513zd2_5390
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_12585);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd223520zd2_5391;
																																																																				BgL_cdrzd223520zd2_5391
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd223513zd2_5390));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd223526zd2_5392;
																																																																					obj_t
																																																																						BgL_cdrzd223527zd2_5393;
																																																																					BgL_carzd223526zd2_5392
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd223520zd2_5391));
																																																																					BgL_cdrzd223527zd2_5393
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd223520zd2_5391));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223526zd2_5392))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd223534zd2_5395;
																																																																							BgL_carzd223534zd2_5395
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd223527zd2_5393));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223534zd2_5395))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd223527zd2_5393))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223506zd2_5389))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg4468z00_5400;
																																																																													BgL_arg4468z00_5400
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd223513zd2_5390));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_22609;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_22613;
																																																																															obj_t
																																																																																BgL_proc2z00_22612;
																																																																															obj_t
																																																																																BgL_proc1z00_22611;
																																																																															obj_t
																																																																																BgL_testz00_22610;
																																																																															BgL_testz00_22610
																																																																																=
																																																																																BgL_arg4468z00_5400;
																																																																															BgL_proc1z00_22611
																																																																																=
																																																																																BgL_carzd223526zd2_5392;
																																																																															BgL_proc2z00_22612
																																																																																=
																																																																																BgL_carzd223534zd2_5395;
																																																																															BgL_argsz00_22613
																																																																																=
																																																																																BgL_cdrzd223506zd2_5389;
																																																																															BgL_argsz00_1817
																																																																																=
																																																																																BgL_argsz00_22613;
																																																																															BgL_proc2z00_1816
																																																																																=
																																																																																BgL_proc2z00_22612;
																																																																															BgL_proc1z00_1815
																																																																																=
																																																																																BgL_proc1z00_22611;
																																																																															BgL_testz00_1814
																																																																																=
																																																																																BgL_testz00_22610;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1818;
																																																																														}
																																																																														BgL_auxz00_16271
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_22609);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22617;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_16271
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22617);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22621;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22621);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22625;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22625);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22629;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22629);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22633;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_16271
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22633);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd223867zd2_5408;
																																																														BgL_cdrzd223867zd2_5408
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd223873zd2_5409;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_pairz00_12594;
																																																																BgL_pairz00_12594
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd223873zd2_5409
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_12594);
																																																															}
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd223879zd2_5410;
																																																																BgL_cdrzd223879zd2_5410
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd223873zd2_5409));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd223884zd2_5411;
																																																																	obj_t
																																																																		BgL_cdrzd223885zd2_5412;
																																																																	BgL_carzd223884zd2_5411
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd223879zd2_5410));
																																																																	BgL_cdrzd223885zd2_5412
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd223879zd2_5410));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223884zd2_5411))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd223885zd2_5412))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd223890zd2_5415;
																																																																					BgL_carzd223890zd2_5415
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd223885zd2_5412);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223890zd2_5415))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_cdrzd223885zd2_5412)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223867zd2_5408))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg4482z00_5420;
																																																																											BgL_arg4482z00_5420
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd223873zd2_5409));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22660;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_22664;
																																																																													obj_t
																																																																														BgL_proc2z00_22663;
																																																																													obj_t
																																																																														BgL_proc1z00_22662;
																																																																													obj_t
																																																																														BgL_testz00_22661;
																																																																													BgL_testz00_22661
																																																																														=
																																																																														BgL_arg4482z00_5420;
																																																																													BgL_proc1z00_22662
																																																																														=
																																																																														BgL_carzd223884zd2_5411;
																																																																													BgL_proc2z00_22663
																																																																														=
																																																																														BgL_carzd223890zd2_5415;
																																																																													BgL_argsz00_22664
																																																																														=
																																																																														BgL_cdrzd223867zd2_5408;
																																																																													BgL_argsz00_1817
																																																																														=
																																																																														BgL_argsz00_22664;
																																																																													BgL_proc2z00_1816
																																																																														=
																																																																														BgL_proc2z00_22663;
																																																																													BgL_proc1z00_1815
																																																																														=
																																																																														BgL_proc1z00_22662;
																																																																													BgL_testz00_1814
																																																																														=
																																																																														BgL_testz00_22661;
																																																																													goto
																																																																														BgL_tagzd2389zd2_1818;
																																																																												}
																																																																												BgL_auxz00_16271
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22660);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22668;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_16271
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22668);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22672;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_16271
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22672);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22676;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_16271
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22676);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_22680;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_16271
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22680);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_22684;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																					BgL_auxz00_16271
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_22684);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1842;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_22688;
																																																														goto
																																																															BgL_tagzd2405zd2_1843;
																																																														BgL_auxz00_16271
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_22688);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2404zd2_1842;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_22692;
																																																												goto
																																																													BgL_tagzd2405zd2_1843;
																																																												BgL_auxz00_16271
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_22692);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2404zd2_1842;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_22696;
																																																										goto
																																																											BgL_tagzd2405zd2_1843;
																																																										BgL_auxz00_16271
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_22696);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_carzd221415zd2_5315
																																							==
																																							CNST_TABLE_REF
																																							(((long) 21))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_22701;
																																							goto
																																								BgL_tagzd2384zd2_1799;
																																							BgL_auxz00_16271
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_22701);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd224452zd2_5566;
																																							BgL_carzd224452zd2_5566
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd224452zd2_5566 == CNST_TABLE_REF(((long) 20))))
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_22708;
																																									goto
																																										BgL_tagzd2385zd2_1800;
																																									BgL_auxz00_16271
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_22708);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd224452zd2_5566)))
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_22713;
																																											goto
																																												BgL_tagzd2385zd2_1800;
																																											BgL_auxz00_16271
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_22713);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_22720;
																																													goto
																																														BgL_tagzd2390zd2_1819;
																																													BgL_auxz00_16271
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_22720);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_22727;
																																															goto
																																																BgL_tagzd2391zd2_1820;
																																															BgL_auxz00_16271
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_22727);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_22734;
																																																	goto
																																																		BgL_tagzd2393zd2_1824;
																																																	BgL_auxz00_16271
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_22734);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_22741;
																																																			goto
																																																				BgL_tagzd2394zd2_1825;
																																																			BgL_auxz00_16271
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_22741);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_22748;
																																																					goto
																																																						BgL_tagzd2396zd2_1829;
																																																					BgL_auxz00_16271
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_22748);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_22755;
																																																							goto
																																																								BgL_tagzd2397zd2_1830;
																																																							BgL_auxz00_16271
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_22755);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_22762;
																																																									goto
																																																										BgL_tagzd2398zd2_1831;
																																																									BgL_auxz00_16271
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22762);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																										{
																																																											BgL_jumpzd2exzd2itz00_bglt
																																																												BgL_auxz00_22769;
																																																											goto
																																																												BgL_tagzd2399zd2_1832;
																																																											BgL_auxz00_16271
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_22769);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_22779;
																																																														BgL_tagzd2403zd2_1841:
																																																															{	/* Ast/sexp.scm 568 */
																																																																obj_t
																																																																	BgL_arg7617z00_10010;
																																																																BgL_arg7617z00_10010
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																	BgL_locz00_23);
																																																																{	/* Ast/sexp.scm 567 */
																																																																	BgL_nodez00_bglt
																																																																		BgL_res7988z00_11409;
																																																																	{	/* Ast/sexp.scm 735 */
																																																																		obj_t
																																																																			BgL_arg7725z00_11405;
																																																																		BgL_nodez00_bglt
																																																																			BgL_arg7726z00_11406;
																																																																		BgL_arg7725z00_11405
																																																																			=
																																																																			BGl_shapez00zztools_shapez00
																																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																																			());
																																																																		BgL_arg7726z00_11406
																																																																			=
																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																			(CNST_TABLE_REF
																																																																			(((long) 4)), BNIL, BgL_arg7617z00_10010, CNST_TABLE_REF(((long) 2)));
																																																																		{	/* Ast/sexp.scm 734 */
																																																																			obj_t
																																																																				BgL_list7727z00_11408;
																																																																			BgL_list7727z00_11408
																																																																				=
																																																																				MAKE_YOUNG_PAIR
																																																																				(
																																																																				((obj_t) BgL_arg7726z00_11406), BNIL);
																																																																			BgL_res7988z00_11409
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																				(BgL_arg7617z00_10010,
																																																																					BgL_arg7725z00_11405,
																																																																					BGl_string8023z00zzast_sexpz00,
																																																																					BgL_expz00_21,
																																																																					BgL_list7727z00_11408));
																																																																	}}
																																																																	BgL_auxz00_22779
																																																																		=
																																																																		BgL_res7988z00_11409;
																																																															}}
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22779);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_22793;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																	BgL_auxz00_16271
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_22793);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_22797;
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																															BgL_auxz00_16271
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22797);
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_16271);
																								}
																							else
																								{	/* Ast/sexp.scm 119 */
																									if (
																										(BgL_carzd2611zd2_1872 ==
																											BGl_za2ifza2z00zzast_sexpz00))
																										{
																											obj_t BgL_auxz00_22802;

																											goto
																												BgL_kapzd2613zd2_1874;
																											return ((BgL_nodez00_bglt)
																												BgL_auxz00_22802);
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											bool_t
																												BgL_test9153z00_22804;
																											{	/* Ast/sexp.scm 119 */
																												obj_t
																													BgL_arg2629z00_3110;
																												BgL_arg2629z00_3110 =
																													CAR(((obj_t)
																														BgL_expz00_21));
																												BgL_test9153z00_22804 =
																													(BgL_arg2629z00_3110
																													==
																													BGl_za2ifza2z00zzast_sexpz00);
																											}
																											if (BgL_test9153z00_22804)
																												{	/* Ast/sexp.scm 119 */
																													goto
																														BgL_tagzd2377zd2_1784;
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													obj_t
																														BgL_cdrzd224624zd2_1878;
																													BgL_cdrzd224624zd2_1878
																														=
																														CDR(((obj_t)
																															BgL_expz00_21));
																													if ((CAR(((obj_t)
																																	BgL_expz00_21))
																															==
																															CNST_TABLE_REF((
																																	(long) 7))))
																														{	/* Ast/sexp.scm 119 */
																															if (PAIRP
																																(BgL_cdrzd224624zd2_1878))
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd224627zd2_1882;
																																	obj_t
																																		BgL_cdrzd224628zd2_1883;
																																	BgL_carzd224627zd2_1882
																																		=
																																		CAR
																																		(BgL_cdrzd224624zd2_1878);
																																	BgL_cdrzd224628zd2_1883
																																		=
																																		CDR
																																		(BgL_cdrzd224624zd2_1878);
																																	if (PAIRP
																																		(BgL_carzd224627zd2_1882))
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(CAR
																																					(BgL_carzd224627zd2_1882)
																																					==
																																					CNST_TABLE_REF
																																					(((long) 14))))
																																				{	/* Ast/sexp.scm 119 */
																																					if (PAIRP(BgL_cdrzd224628zd2_1883))
																																						{	/* Ast/sexp.scm 119 */
																																							if (NULLP(CDR(BgL_cdrzd224628zd2_1883)))
																																								{
																																									obj_t
																																										BgL_valz00_22832;
																																									obj_t
																																										BgL_lz00_22830;
																																									BgL_lz00_22830
																																										=
																																										CDR
																																										(BgL_carzd224627zd2_1882);
																																									BgL_valz00_22832
																																										=
																																										CAR
																																										(BgL_cdrzd224628zd2_1883);
																																									BgL_valz00_1786
																																										=
																																										BgL_valz00_22832;
																																									BgL_lz00_1785
																																										=
																																										BgL_lz00_22830;
																																									goto
																																										BgL_tagzd2378zd2_1787;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									goto
																																										BgL_tagzd2379zd2_1788;
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							goto
																																								BgL_tagzd2379zd2_1788;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					goto
																																						BgL_tagzd2379zd2_1788;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			goto
																																				BgL_tagzd2379zd2_1788;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	goto
																																		BgL_tagzd2379zd2_1788;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			16))))
																																{	/* Ast/sexp.scm 119 */
																																	goto
																																		BgL_tagzd2380zd2_1789;
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					17))))
																																		{	/* Ast/sexp.scm 119 */
																																			if (PAIRP
																																				(BgL_cdrzd224624zd2_1878))
																																				{
																																					obj_t
																																						BgL_exprz00_22848;
																																					obj_t
																																						BgL_bindingsz00_22846;
																																					BgL_bindingsz00_22846
																																						=
																																						CAR
																																						(BgL_cdrzd224624zd2_1878);
																																					BgL_exprz00_22848
																																						=
																																						CDR
																																						(BgL_cdrzd224624zd2_1878);
																																					BgL_exprz00_1791
																																						=
																																						BgL_exprz00_22848;
																																					BgL_bindingsz00_1790
																																						=
																																						BgL_bindingsz00_22846;
																																					goto
																																						BgL_tagzd2381zd2_1792;
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd224777zd2_1902;
																																					BgL_carzd224777zd2_1902
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (PAIRP(BgL_carzd224777zd2_1902))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd224780zd2_1904;
																																							obj_t
																																								BgL_cdrzd224781zd2_1905;
																																							BgL_carzd224780zd2_1904
																																								=
																																								CAR
																																								(BgL_carzd224777zd2_1902);
																																							BgL_cdrzd224781zd2_1905
																																								=
																																								CDR
																																								(BgL_carzd224777zd2_1902);
																																							{

																																								if ((BgL_carzd224780zd2_1904 == CNST_TABLE_REF(((long) 18))))
																																									{
																																										obj_t
																																											BgL_auxz00_22859;
																																									BgL_kapzd224782zd2_1906:
																																										if (PAIRP(BgL_cdrzd224781zd2_1905))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd224785zd2_2022;
																																												BgL_cdrzd224785zd2_2022
																																													=
																																													CDR
																																													(BgL_cdrzd224781zd2_1905);
																																												if (PAIRP(BgL_cdrzd224785zd2_2022))
																																													{	/* Ast/sexp.scm 119 */
																																														if (NULLP(CDR(BgL_cdrzd224785zd2_2022)))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg1787z00_2026;
																																																obj_t
																																																	BgL_arg1789z00_2027;
																																																BgL_arg1787z00_2026
																																																	=
																																																	CAR
																																																	(BgL_cdrzd224785zd2_2022);
																																																BgL_arg1789z00_2027
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_22871;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_22873;
																																																		obj_t
																																																			BgL_bodyz00_22872;
																																																		BgL_bodyz00_22872
																																																			=
																																																			BgL_arg1787z00_2026;
																																																		BgL_argsz00_22873
																																																			=
																																																			BgL_arg1789z00_2027;
																																																		BgL_argsz00_1794
																																																			=
																																																			BgL_argsz00_22873;
																																																		BgL_bodyz00_1793
																																																			=
																																																			BgL_bodyz00_22872;
																																																		goto
																																																			BgL_tagzd2382zd2_1795;
																																																	}
																																																	BgL_auxz00_22859
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_22871);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test9168z00_22875;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg1887z00_2133;
																																																	BgL_arg1887z00_2133
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test9168z00_22875
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg1887z00_2133));
																																																}
																																																if (BgL_test9168z00_22875)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_22880;
																																																		goto
																																																			BgL_tagzd2385zd2_1800;
																																																		BgL_auxz00_22859
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22880);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd224863zd2_2030;
																																																		BgL_carzd224863zd2_2030
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd224868zd2_2031;
																																																			BgL_cdrzd224868zd2_2031
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd224863zd2_2030));
																																																			if ((CAR(((obj_t) BgL_carzd224863zd2_2030)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg1817z00_2034;
																																																					obj_t
																																																						BgL_arg1819z00_2035;
																																																					obj_t
																																																						BgL_arg1821z00_2036;
																																																					BgL_arg1817z00_2034
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd224868zd2_2031));
																																																					BgL_arg1819z00_2035
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd224868zd2_2031));
																																																					BgL_arg1821z00_2036
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_22897;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_22900;
																																																							obj_t
																																																								BgL_bodyz00_22899;
																																																							obj_t
																																																								BgL_varsz00_22898;
																																																							BgL_varsz00_22898
																																																								=
																																																								BgL_arg1817z00_2034;
																																																							BgL_bodyz00_22899
																																																								=
																																																								BgL_arg1819z00_2035;
																																																							BgL_argsz00_22900
																																																								=
																																																								BgL_arg1821z00_2036;
																																																							BgL_argsz00_1807
																																																								=
																																																								BgL_argsz00_22900;
																																																							BgL_bodyz00_1806
																																																								=
																																																								BgL_bodyz00_22899;
																																																							BgL_varsz00_1805
																																																								=
																																																								BgL_varsz00_22898;
																																																							goto
																																																								BgL_tagzd2387zd2_1808;
																																																						}
																																																						BgL_auxz00_22859
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_22897);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd224891zd2_2038;
																																																					BgL_cdrzd224891zd2_2038
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd224897zd2_2039;
																																																						BgL_cdrzd224897zd2_2039
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd224863zd2_2030));
																																																						if ((CAR(((obj_t) BgL_carzd224863zd2_2030)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd224903zd2_2042;
																																																								BgL_cdrzd224903zd2_2042
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd224897zd2_2039));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd224908zd2_2043;
																																																									obj_t
																																																										BgL_cdrzd224909zd2_2044;
																																																									BgL_carzd224908zd2_2043
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd224903zd2_2042));
																																																									BgL_cdrzd224909zd2_2044
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd224903zd2_2042));
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224908zd2_2043))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd224909zd2_2044))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd224916zd2_2047;
																																																													BgL_carzd224916zd2_2047
																																																														=
																																																														CAR
																																																														(BgL_cdrzd224909zd2_2044);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224916zd2_2047))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (NULLP(CDR(BgL_cdrzd224909zd2_2044)))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	bool_t
																																																																		BgL_test9175z00_22927;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1422z00_2080;
																																																																		BgL_l1422z00_2080
																																																																			=
																																																																			BgL_cdrzd224891zd2_2038;
																																																																	BgL_zc3z04anonymousza31850ze3z87_2081:
																																																																		if (NULLP(BgL_l1422z00_2080))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				BgL_test9175z00_22927
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test9177z00_22930;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test9178z00_22931;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_tmpz00_22932;
																																																																						BgL_tmpz00_22932
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_l1422z00_2080));
																																																																						BgL_test9178z00_22931
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_22932);
																																																																					}
																																																																					if (BgL_test9178z00_22931)
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test9177z00_22930
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test9177z00_22930
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_test9177z00_22930)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1422z00_22936;
																																																																						BgL_l1422z00_22936
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_l1422z00_2080));
																																																																						BgL_l1422z00_2080
																																																																							=
																																																																							BgL_l1422z00_22936;
																																																																						goto
																																																																							BgL_zc3z04anonymousza31850ze3z87_2081;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						BgL_test9175z00_22927
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_test9175z00_22927)
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg1840z00_2063;
																																																																			BgL_arg1840z00_2063
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd224897zd2_2039));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_22941;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_22945;
																																																																					obj_t
																																																																						BgL_proc2z00_22944;
																																																																					obj_t
																																																																						BgL_proc1z00_22943;
																																																																					obj_t
																																																																						BgL_testz00_22942;
																																																																					BgL_testz00_22942
																																																																						=
																																																																						BgL_arg1840z00_2063;
																																																																					BgL_proc1z00_22943
																																																																						=
																																																																						BgL_carzd224908zd2_2043;
																																																																					BgL_proc2z00_22944
																																																																						=
																																																																						BgL_carzd224916zd2_2047;
																																																																					BgL_argsz00_22945
																																																																						=
																																																																						BgL_cdrzd224891zd2_2038;
																																																																					BgL_argsz00_1812
																																																																						=
																																																																						BgL_argsz00_22945;
																																																																					BgL_proc2z00_1811
																																																																						=
																																																																						BgL_proc2z00_22944;
																																																																					BgL_proc1z00_1810
																																																																						=
																																																																						BgL_proc1z00_22943;
																																																																					BgL_testz00_1809
																																																																						=
																																																																						BgL_testz00_22942;
																																																																					goto
																																																																						BgL_tagzd2388zd2_1813;
																																																																				}
																																																																				BgL_auxz00_22859
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_22941);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd224940zd2_2064;
																																																																			BgL_cdrzd224940zd2_2064
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd224947zd2_2065;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_12655;
																																																																					BgL_pairz00_12655
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd224947zd2_2065
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_12655);
																																																																				}
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd224954zd2_2066;
																																																																					BgL_cdrzd224954zd2_2066
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd224947zd2_2065));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd224960zd2_2067;
																																																																						BgL_carzd224960zd2_2067
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd224954zd2_2066));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224960zd2_2067))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd224967zd2_2069;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_12659;
																																																																									BgL_pairz00_12659
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd224954zd2_2066));
																																																																									BgL_carzd224967zd2_2069
																																																																										=
																																																																										CAR
																																																																										(BgL_pairz00_12659);
																																																																								}
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224967zd2_2069))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd224940zd2_2064))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg1844z00_2072;
																																																																												BgL_arg1844z00_2072
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd224947zd2_2065));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22967;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_22971;
																																																																														obj_t
																																																																															BgL_proc2z00_22970;
																																																																														obj_t
																																																																															BgL_proc1z00_22969;
																																																																														obj_t
																																																																															BgL_testz00_22968;
																																																																														BgL_testz00_22968
																																																																															=
																																																																															BgL_arg1844z00_2072;
																																																																														BgL_proc1z00_22969
																																																																															=
																																																																															BgL_carzd224960zd2_2067;
																																																																														BgL_proc2z00_22970
																																																																															=
																																																																															BgL_carzd224967zd2_2069;
																																																																														BgL_argsz00_22971
																																																																															=
																																																																															BgL_cdrzd224940zd2_2064;
																																																																														BgL_argsz00_1817
																																																																															=
																																																																															BgL_argsz00_22971;
																																																																														BgL_proc2z00_1816
																																																																															=
																																																																															BgL_proc2z00_22970;
																																																																														BgL_proc1z00_1815
																																																																															=
																																																																															BgL_proc1z00_22969;
																																																																														BgL_testz00_1814
																																																																															=
																																																																															BgL_testz00_22968;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1818;
																																																																													}
																																																																													BgL_auxz00_22859
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22967);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_22975;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_22859
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_22975);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22979;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_22859
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22979);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22983;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_22859
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22983);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_22987;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																			BgL_auxz00_22859
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_22987);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd225243zd2_2091;
																																																															BgL_cdrzd225243zd2_2091
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd225249zd2_2092;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_12663;
																																																																	BgL_pairz00_12663
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd225249zd2_2092
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_12663);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd225255zd2_2093;
																																																																	BgL_cdrzd225255zd2_2093
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd225249zd2_2092));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd225260zd2_2094;
																																																																		obj_t
																																																																			BgL_cdrzd225261zd2_2095;
																																																																		BgL_carzd225260zd2_2094
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd225255zd2_2093));
																																																																		BgL_cdrzd225261zd2_2095
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd225255zd2_2093));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225260zd2_2094))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd225266zd2_2097;
																																																																				BgL_carzd225266zd2_2097
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd225261zd2_2095));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225266zd2_2097))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd225261zd2_2095))))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd225243zd2_2091))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg1860z00_2102;
																																																																										BgL_arg1860z00_2102
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd225249zd2_2092));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23014;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_23018;
																																																																												obj_t
																																																																													BgL_proc2z00_23017;
																																																																												obj_t
																																																																													BgL_proc1z00_23016;
																																																																												obj_t
																																																																													BgL_testz00_23015;
																																																																												BgL_testz00_23015
																																																																													=
																																																																													BgL_arg1860z00_2102;
																																																																												BgL_proc1z00_23016
																																																																													=
																																																																													BgL_carzd225260zd2_2094;
																																																																												BgL_proc2z00_23017
																																																																													=
																																																																													BgL_carzd225266zd2_2097;
																																																																												BgL_argsz00_23018
																																																																													=
																																																																													BgL_cdrzd225243zd2_2091;
																																																																												BgL_argsz00_1817
																																																																													=
																																																																													BgL_argsz00_23018;
																																																																												BgL_proc2z00_1816
																																																																													=
																																																																													BgL_proc2z00_23017;
																																																																												BgL_proc1z00_1815
																																																																													=
																																																																													BgL_proc1z00_23016;
																																																																												BgL_testz00_1814
																																																																													=
																																																																													BgL_testz00_23015;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1818;
																																																																											}
																																																																											BgL_auxz00_22859
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23014);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_23022;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_22859
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_23022);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23026;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_22859
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23026);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23030;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_22859
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23030);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23034;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_22859
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23034);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_23038;
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																															BgL_auxz00_22859
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23038);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd225599zd2_2110;
																																																											BgL_cdrzd225599zd2_2110
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd225606zd2_2111;
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_pairz00_12672;
																																																													BgL_pairz00_12672
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd225606zd2_2111
																																																														=
																																																														CDR
																																																														(BgL_pairz00_12672);
																																																												}
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd225613zd2_2112;
																																																													BgL_cdrzd225613zd2_2112
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd225606zd2_2111));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd225619zd2_2113;
																																																														obj_t
																																																															BgL_cdrzd225620zd2_2114;
																																																														BgL_carzd225619zd2_2113
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd225613zd2_2112));
																																																														BgL_cdrzd225620zd2_2114
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd225613zd2_2112));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225619zd2_2113))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd225620zd2_2114))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd225627zd2_2117;
																																																																		BgL_carzd225627zd2_2117
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd225620zd2_2114);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225627zd2_2117))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd225620zd2_2114)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd225599zd2_2110))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg1876z00_2122;
																																																																								BgL_arg1876z00_2122
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd225606zd2_2111));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_23065;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_23069;
																																																																										obj_t
																																																																											BgL_proc2z00_23068;
																																																																										obj_t
																																																																											BgL_proc1z00_23067;
																																																																										obj_t
																																																																											BgL_testz00_23066;
																																																																										BgL_testz00_23066
																																																																											=
																																																																											BgL_arg1876z00_2122;
																																																																										BgL_proc1z00_23067
																																																																											=
																																																																											BgL_carzd225619zd2_2113;
																																																																										BgL_proc2z00_23068
																																																																											=
																																																																											BgL_carzd225627zd2_2117;
																																																																										BgL_argsz00_23069
																																																																											=
																																																																											BgL_cdrzd225599zd2_2110;
																																																																										BgL_argsz00_1817
																																																																											=
																																																																											BgL_argsz00_23069;
																																																																										BgL_proc2z00_1816
																																																																											=
																																																																											BgL_proc2z00_23068;
																																																																										BgL_proc1z00_1815
																																																																											=
																																																																											BgL_proc1z00_23067;
																																																																										BgL_testz00_1814
																																																																											=
																																																																											BgL_testz00_23066;
																																																																										goto
																																																																											BgL_tagzd2389zd2_1818;
																																																																									}
																																																																									BgL_auxz00_22859
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_23065);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23073;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_22859
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23073);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23077;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_22859
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23077);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23081;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_22859
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23081);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_23085;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_22859
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_23085);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_23089;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_22859
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_23089);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2404zd2_1842;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_23093;
																																																										goto
																																																											BgL_tagzd2405zd2_1843;
																																																										BgL_auxz00_22859
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_23093);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test9206z00_23095;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg1902z00_2146;
																																															BgL_arg1902z00_2146
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test9206z00_23095
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg1902z00_2146));
																																														}
																																														if (BgL_test9206z00_23095)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_23100;
																																																goto
																																																	BgL_tagzd2385zd2_1800;
																																																BgL_auxz00_22859
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_23100);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd226073zd2_2137;
																																																BgL_carzd226073zd2_2137
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd226078zd2_2138;
																																																	BgL_cdrzd226078zd2_2138
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd226073zd2_2137));
																																																	if ((CAR(((obj_t) BgL_carzd226073zd2_2137)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg1894z00_2141;
																																																			obj_t
																																																				BgL_arg1898z00_2142;
																																																			obj_t
																																																				BgL_arg1899z00_2143;
																																																			BgL_arg1894z00_2141
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd226078zd2_2138));
																																																			BgL_arg1898z00_2142
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd226078zd2_2138));
																																																			BgL_arg1899z00_2143
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_23117;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_23120;
																																																					obj_t
																																																						BgL_bodyz00_23119;
																																																					obj_t
																																																						BgL_varsz00_23118;
																																																					BgL_varsz00_23118
																																																						=
																																																						BgL_arg1894z00_2141;
																																																					BgL_bodyz00_23119
																																																						=
																																																						BgL_arg1898z00_2142;
																																																					BgL_argsz00_23120
																																																						=
																																																						BgL_arg1899z00_2143;
																																																					BgL_argsz00_1807
																																																						=
																																																						BgL_argsz00_23120;
																																																					BgL_bodyz00_1806
																																																						=
																																																						BgL_bodyz00_23119;
																																																					BgL_varsz00_1805
																																																						=
																																																						BgL_varsz00_23118;
																																																					goto
																																																						BgL_tagzd2387zd2_1808;
																																																				}
																																																				BgL_auxz00_22859
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_23117);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2404zd2_1842;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_23124;
																																																					goto
																																																						BgL_tagzd2405zd2_1843;
																																																					BgL_auxz00_22859
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_23124);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test9209z00_23126;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg1906z00_2150;
																																													BgL_arg1906z00_2150
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test9209z00_23126
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg1906z00_2150));
																																												}
																																												if (BgL_test9209z00_23126)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_23131;
																																														goto
																																															BgL_tagzd2385zd2_1800;
																																														BgL_auxz00_22859
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_23131);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd2404zd2_1842;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_23135;
																																																goto
																																																	BgL_tagzd2405zd2_1843;
																																																BgL_auxz00_22859
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_23135);
																																															}
																																													}
																																											}
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_22859);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd224780zd2_1904)))
																																											{
																																												obj_t
																																													BgL_auxz00_23141;
																																												goto
																																													BgL_kapzd224782zd2_1906;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_23141);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd224780zd2_1904 == CNST_TABLE_REF(((long) 19))))
																																													{
																																														obj_t
																																															BgL_auxz00_23146;
																																														goto
																																															BgL_kapzd224782zd2_1906;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_23146);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((BgL_carzd224780zd2_1904 == CNST_TABLE_REF(((long) 20))))
																																															{
																																																obj_t
																																																	BgL_auxz00_23151;
																																																goto
																																																	BgL_kapzd224782zd2_1906;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_23151);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd224780zd2_1904)))
																																																	{
																																																		obj_t
																																																			BgL_auxz00_23156;
																																																		goto
																																																			BgL_kapzd224782zd2_1906;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_23156);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test9215z00_23158;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg1781z00_2020;
																																																			BgL_arg1781z00_2020
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test9215z00_23158
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg1781z00_2020));
																																																		}
																																																		if (BgL_test9215z00_23158)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_23163;
																																																				goto
																																																					BgL_tagzd2385zd2_1800;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_23163);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd226401zd2_1911;
																																																				BgL_carzd226401zd2_1911
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd226406zd2_1912;
																																																					BgL_cdrzd226406zd2_1912
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd226401zd2_1911));
																																																					if ((CAR(((obj_t) BgL_carzd226401zd2_1911)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (PAIRP(BgL_cdrzd226406zd2_1912))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg1687z00_1916;
																																																									obj_t
																																																										BgL_arg1692z00_1917;
																																																									obj_t
																																																										BgL_arg1696z00_1918;
																																																									BgL_arg1687z00_1916
																																																										=
																																																										CAR
																																																										(BgL_cdrzd226406zd2_1912);
																																																									BgL_arg1692z00_1917
																																																										=
																																																										CDR
																																																										(BgL_cdrzd226406zd2_1912);
																																																									BgL_arg1696z00_1918
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{
																																																										obj_t
																																																											BgL_argsz00_23182;
																																																										obj_t
																																																											BgL_bodyz00_23181;
																																																										obj_t
																																																											BgL_varsz00_23180;
																																																										BgL_varsz00_23180
																																																											=
																																																											BgL_arg1687z00_1916;
																																																										BgL_bodyz00_23181
																																																											=
																																																											BgL_arg1692z00_1917;
																																																										BgL_argsz00_23182
																																																											=
																																																											BgL_arg1696z00_1918;
																																																										BgL_argsz00_1807
																																																											=
																																																											BgL_argsz00_23182;
																																																										BgL_bodyz00_1806
																																																											=
																																																											BgL_bodyz00_23181;
																																																										BgL_varsz00_1805
																																																											=
																																																											BgL_varsz00_23180;
																																																										goto
																																																											BgL_tagzd2387zd2_1808;
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_23185;
																																																											goto
																																																												BgL_tagzd2404zd2_1842;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_23185);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2405zd2_1843;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd226513zd2_1921;
																																																							BgL_cdrzd226513zd2_1921
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd226518zd2_1922;
																																																								BgL_cdrzd226518zd2_1922
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd226401zd2_1911));
																																																								if ((CAR(((obj_t) BgL_carzd226401zd2_1911)) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (PAIRP(BgL_cdrzd226518zd2_1922))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd226523zd2_1926;
																																																												BgL_cdrzd226523zd2_1926
																																																													=
																																																													CDR
																																																													(BgL_cdrzd226518zd2_1922);
																																																												if (PAIRP(BgL_cdrzd226523zd2_1926))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd226527zd2_1928;
																																																														obj_t
																																																															BgL_cdrzd226528zd2_1929;
																																																														BgL_carzd226527zd2_1928
																																																															=
																																																															CAR
																																																															(BgL_cdrzd226523zd2_1926);
																																																														BgL_cdrzd226528zd2_1929
																																																															=
																																																															CDR
																																																															(BgL_cdrzd226523zd2_1926);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226527zd2_1928))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd226528zd2_1929))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd226533zd2_1932;
																																																																		BgL_carzd226533zd2_1932
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd226528zd2_1929);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226533zd2_1932))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd226528zd2_1929)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test9226z00_23213;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1425z00_1965;
																																																																							BgL_l1425z00_1965
																																																																								=
																																																																								BgL_cdrzd226513zd2_1921;
																																																																						BgL_zc3z04anonymousza31735ze3z87_1966:
																																																																							if (NULLP(BgL_l1425z00_1965))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9226z00_23213
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test9228z00_23216;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9229z00_23217;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_tmpz00_23218;
																																																																											BgL_tmpz00_23218
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1425z00_1965));
																																																																											BgL_test9229z00_23217
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_23218);
																																																																										}
																																																																										if (BgL_test9229z00_23217)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9228z00_23216
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9228z00_23216
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_test9228z00_23216)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1425z00_23222;
																																																																											BgL_l1425z00_23222
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1425z00_1965));
																																																																											BgL_l1425z00_1965
																																																																												=
																																																																												BgL_l1425z00_23222;
																																																																											goto
																																																																												BgL_zc3z04anonymousza31735ze3z87_1966;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test9226z00_23213
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_test9226z00_23213)
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_23229;
																																																																								obj_t
																																																																									BgL_proc2z00_23228;
																																																																								obj_t
																																																																									BgL_proc1z00_23227;
																																																																								obj_t
																																																																									BgL_testz00_23225;
																																																																								BgL_testz00_23225
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd226518zd2_1922);
																																																																								BgL_proc1z00_23227
																																																																									=
																																																																									BgL_carzd226527zd2_1928;
																																																																								BgL_proc2z00_23228
																																																																									=
																																																																									BgL_carzd226533zd2_1932;
																																																																								BgL_argsz00_23229
																																																																									=
																																																																									BgL_cdrzd226513zd2_1921;
																																																																								BgL_argsz00_1812
																																																																									=
																																																																									BgL_argsz00_23229;
																																																																								BgL_proc2z00_1811
																																																																									=
																																																																									BgL_proc2z00_23228;
																																																																								BgL_proc1z00_1810
																																																																									=
																																																																									BgL_proc1z00_23227;
																																																																								BgL_testz00_1809
																																																																									=
																																																																									BgL_testz00_23225;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1813;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd226558zd2_1949;
																																																																								BgL_cdrzd226558zd2_1949
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd226566zd2_1950;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_12708;
																																																																										BgL_pairz00_12708
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd226566zd2_1950
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12708);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd226574zd2_1951;
																																																																										BgL_cdrzd226574zd2_1951
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd226566zd2_1950));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd226581zd2_1952;
																																																																											BgL_carzd226581zd2_1952
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd226574zd2_1951));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226581zd2_1952))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd226590zd2_1954;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_12712;
																																																																														BgL_pairz00_12712
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd226574zd2_1951));
																																																																														BgL_carzd226590zd2_1954
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_12712);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226590zd2_1954))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226558zd2_1949))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg1728z00_1957;
																																																																																	BgL_arg1728z00_1957
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd226566zd2_1950));
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_23253;
																																																																																		obj_t
																																																																																			BgL_proc2z00_23252;
																																																																																		obj_t
																																																																																			BgL_proc1z00_23251;
																																																																																		obj_t
																																																																																			BgL_testz00_23250;
																																																																																		BgL_testz00_23250
																																																																																			=
																																																																																			BgL_arg1728z00_1957;
																																																																																		BgL_proc1z00_23251
																																																																																			=
																																																																																			BgL_carzd226581zd2_1952;
																																																																																		BgL_proc2z00_23252
																																																																																			=
																																																																																			BgL_carzd226590zd2_1954;
																																																																																		BgL_argsz00_23253
																																																																																			=
																																																																																			BgL_cdrzd226558zd2_1949;
																																																																																		BgL_argsz00_1817
																																																																																			=
																																																																																			BgL_argsz00_23253;
																																																																																		BgL_proc2z00_1816
																																																																																			=
																																																																																			BgL_proc2z00_23252;
																																																																																		BgL_proc1z00_1815
																																																																																			=
																																																																																			BgL_proc1z00_23251;
																																																																																		BgL_testz00_1814
																																																																																			=
																																																																																			BgL_testz00_23250;
																																																																																		goto
																																																																																			BgL_tagzd2389zd2_1818;
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_auxz00_23256;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																			return
																																																																																				(
																																																																																				(BgL_nodez00_bglt)
																																																																																				BgL_auxz00_23256);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{
																																																																																	obj_t
																																																																																		BgL_auxz00_23260;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																	return
																																																																																		(
																																																																																		(BgL_nodez00_bglt)
																																																																																		BgL_auxz00_23260);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{
																																																																															obj_t
																																																																																BgL_auxz00_23264;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																															return
																																																																																(
																																																																																(BgL_nodez00_bglt)
																																																																																BgL_auxz00_23264);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_23268;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_23268);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd226868zd2_1976;
																																																																				BgL_cdrzd226868zd2_1976
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd226875zd2_1977;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_12716;
																																																																						BgL_pairz00_12716
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd226875zd2_1977
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12716);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd226882zd2_1978;
																																																																						BgL_cdrzd226882zd2_1978
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd226875zd2_1977));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd226888zd2_1979;
																																																																							obj_t
																																																																								BgL_cdrzd226889zd2_1980;
																																																																							BgL_carzd226888zd2_1979
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd226882zd2_1978));
																																																																							BgL_cdrzd226889zd2_1980
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd226882zd2_1978));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226888zd2_1979))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd226896zd2_1982;
																																																																									BgL_carzd226896zd2_1982
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd226889zd2_1980));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226896zd2_1982))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd226889zd2_1980))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226868zd2_1976))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg1745z00_1987;
																																																																															BgL_arg1745z00_1987
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd226875zd2_1977));
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_23298;
																																																																																obj_t
																																																																																	BgL_proc2z00_23297;
																																																																																obj_t
																																																																																	BgL_proc1z00_23296;
																																																																																obj_t
																																																																																	BgL_testz00_23295;
																																																																																BgL_testz00_23295
																																																																																	=
																																																																																	BgL_arg1745z00_1987;
																																																																																BgL_proc1z00_23296
																																																																																	=
																																																																																	BgL_carzd226888zd2_1979;
																																																																																BgL_proc2z00_23297
																																																																																	=
																																																																																	BgL_carzd226896zd2_1982;
																																																																																BgL_argsz00_23298
																																																																																	=
																																																																																	BgL_cdrzd226868zd2_1976;
																																																																																BgL_argsz00_1817
																																																																																	=
																																																																																	BgL_argsz00_23298;
																																																																																BgL_proc2z00_1816
																																																																																	=
																																																																																	BgL_proc2z00_23297;
																																																																																BgL_proc1z00_1815
																																																																																	=
																																																																																	BgL_proc1z00_23296;
																																																																																BgL_testz00_1814
																																																																																	=
																																																																																	BgL_testz00_23295;
																																																																																goto
																																																																																	BgL_tagzd2389zd2_1818;
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{
																																																																																	obj_t
																																																																																		BgL_auxz00_23301;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																	return
																																																																																		(
																																																																																		(BgL_nodez00_bglt)
																																																																																		BgL_auxz00_23301);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{
																																																																															obj_t
																																																																																BgL_auxz00_23305;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																															return
																																																																																(
																																																																																(BgL_nodez00_bglt)
																																																																																BgL_auxz00_23305);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_23309;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_23309);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_23313;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_23313);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_23317;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_23317);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd227229zd2_1995;
																																																																BgL_cdrzd227229zd2_1995
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd227235zd2_1996;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_12725;
																																																																		BgL_pairz00_12725
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd227235zd2_1996
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_12725);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd227241zd2_1997;
																																																																		BgL_cdrzd227241zd2_1997
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd227235zd2_1996));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd227246zd2_1998;
																																																																			obj_t
																																																																				BgL_cdrzd227247zd2_1999;
																																																																			BgL_carzd227246zd2_1998
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd227241zd2_1997));
																																																																			BgL_cdrzd227247zd2_1999
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd227241zd2_1997));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227246zd2_1998))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd227247zd2_1999))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd227252zd2_2002;
																																																																							BgL_carzd227252zd2_2002
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd227247zd2_1999);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227252zd2_2002))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd227247zd2_1999)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd227229zd2_1995))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg1763z00_2007;
																																																																													BgL_arg1763z00_2007
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd227235zd2_1996));
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_23347;
																																																																														obj_t
																																																																															BgL_proc2z00_23346;
																																																																														obj_t
																																																																															BgL_proc1z00_23345;
																																																																														obj_t
																																																																															BgL_testz00_23344;
																																																																														BgL_testz00_23344
																																																																															=
																																																																															BgL_arg1763z00_2007;
																																																																														BgL_proc1z00_23345
																																																																															=
																																																																															BgL_carzd227246zd2_1998;
																																																																														BgL_proc2z00_23346
																																																																															=
																																																																															BgL_carzd227252zd2_2002;
																																																																														BgL_argsz00_23347
																																																																															=
																																																																															BgL_cdrzd227229zd2_1995;
																																																																														BgL_argsz00_1817
																																																																															=
																																																																															BgL_argsz00_23347;
																																																																														BgL_proc2z00_1816
																																																																															=
																																																																															BgL_proc2z00_23346;
																																																																														BgL_proc1z00_1815
																																																																															=
																																																																															BgL_proc1z00_23345;
																																																																														BgL_testz00_1814
																																																																															=
																																																																															BgL_testz00_23344;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1818;
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{
																																																																															obj_t
																																																																																BgL_auxz00_23350;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																															return
																																																																																(
																																																																																(BgL_nodez00_bglt)
																																																																																BgL_auxz00_23350);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_23354;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_23354);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_23358;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_23358);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_23362;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_23362);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_23366;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_23366);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{
																																																																obj_t
																																																																	BgL_auxz00_23370;
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																																return
																																																																	(
																																																																	(BgL_nodez00_bglt)
																																																																	BgL_auxz00_23370);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{
																																																														obj_t
																																																															BgL_auxz00_23374;
																																																														goto
																																																															BgL_tagzd2404zd2_1842;
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_23374);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2405zd2_1843;
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{
																																																												obj_t
																																																													BgL_auxz00_23378;
																																																												goto
																																																													BgL_tagzd2404zd2_1842;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_23378);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2405zd2_1843;
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd224777zd2_1902)))
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_23383;
																																									goto
																																										BgL_tagzd2385zd2_1800;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_23383);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd227843zd2_2153;
																																									BgL_carzd227843zd2_2153
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if (PAIRP(BgL_carzd227843zd2_2153))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd227848zd2_2155;
																																											BgL_cdrzd227848zd2_2155
																																												=
																																												CDR
																																												(BgL_carzd227843zd2_2153);
																																											if ((CAR(BgL_carzd227843zd2_2153) == CNST_TABLE_REF(((long) 3))))
																																												{	/* Ast/sexp.scm 119 */
																																													if (PAIRP(BgL_cdrzd227848zd2_2155))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg1914z00_2159;
																																															obj_t
																																																BgL_arg1915z00_2160;
																																															obj_t
																																																BgL_arg1916z00_2161;
																																															BgL_arg1914z00_2159
																																																=
																																																CAR
																																																(BgL_cdrzd227848zd2_2155);
																																															BgL_arg1915z00_2160
																																																=
																																																CDR
																																																(BgL_cdrzd227848zd2_2155);
																																															BgL_arg1916z00_2161
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															{
																																																obj_t
																																																	BgL_argsz00_23402;
																																																obj_t
																																																	BgL_bodyz00_23401;
																																																obj_t
																																																	BgL_varsz00_23400;
																																																BgL_varsz00_23400
																																																	=
																																																	BgL_arg1914z00_2159;
																																																BgL_bodyz00_23401
																																																	=
																																																	BgL_arg1915z00_2160;
																																																BgL_argsz00_23402
																																																	=
																																																	BgL_arg1916z00_2161;
																																																BgL_argsz00_1807
																																																	=
																																																	BgL_argsz00_23402;
																																																BgL_bodyz00_1806
																																																	=
																																																	BgL_bodyz00_23401;
																																																BgL_varsz00_1805
																																																	=
																																																	BgL_varsz00_23400;
																																																goto
																																																	BgL_tagzd2387zd2_1808;
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																{
																																																	obj_t
																																																		BgL_auxz00_23405;
																																																	goto
																																																		BgL_tagzd2404zd2_1842;
																																																	return
																																																		(
																																																		(BgL_nodez00_bglt)
																																																		BgL_auxz00_23405);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	goto
																																																		BgL_tagzd2405zd2_1843;
																																																}
																																														}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd227955zd2_2164;
																																													BgL_cdrzd227955zd2_2164
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd227960zd2_2165;
																																														BgL_cdrzd227960zd2_2165
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_carzd227843zd2_2153));
																																														if ((CAR(((obj_t) BgL_carzd227843zd2_2153)) == CNST_TABLE_REF(((long) 1))))
																																															{	/* Ast/sexp.scm 119 */
																																																if (PAIRP(BgL_cdrzd227960zd2_2165))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd227965zd2_2169;
																																																		BgL_cdrzd227965zd2_2169
																																																			=
																																																			CDR
																																																			(BgL_cdrzd227960zd2_2165);
																																																		if (PAIRP(BgL_cdrzd227965zd2_2169))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd227969zd2_2171;
																																																				obj_t
																																																					BgL_cdrzd227970zd2_2172;
																																																				BgL_carzd227969zd2_2171
																																																					=
																																																					CAR
																																																					(BgL_cdrzd227965zd2_2169);
																																																				BgL_cdrzd227970zd2_2172
																																																					=
																																																					CDR
																																																					(BgL_cdrzd227965zd2_2169);
																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227969zd2_2171))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (PAIRP(BgL_cdrzd227970zd2_2172))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_carzd227975zd2_2175;
																																																								BgL_carzd227975zd2_2175
																																																									=
																																																									CAR
																																																									(BgL_cdrzd227970zd2_2172);
																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227975zd2_2175))
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (NULLP(CDR(BgL_cdrzd227970zd2_2172)))
																																																											{	/* Ast/sexp.scm 119 */
																																																												bool_t
																																																													BgL_test9271z00_23433;
																																																												{
																																																													obj_t
																																																														BgL_l1428z00_2208;
																																																													BgL_l1428z00_2208
																																																														=
																																																														BgL_cdrzd227955zd2_2164;
																																																												BgL_zc3z04anonymousza31942ze3z87_2209:
																																																													if (NULLP(BgL_l1428z00_2208))
																																																														{	/* Ast/sexp.scm 119 */
																																																															BgL_test9271z00_23433
																																																																=
																																																																(
																																																																(bool_t)
																																																																1);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test9273z00_23436;
																																																															{	/* Ast/sexp.scm 119 */
																																																																bool_t
																																																																	BgL_test9274z00_23437;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_tmpz00_23438;
																																																																	BgL_tmpz00_23438
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_l1428z00_2208));
																																																																	BgL_test9274z00_23437
																																																																		=
																																																																		PAIRP
																																																																		(BgL_tmpz00_23438);
																																																																}
																																																																if (BgL_test9274z00_23437)
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test9273z00_23436
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			0);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test9273z00_23436
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																															}
																																																															if (BgL_test9273z00_23436)
																																																																{
																																																																	obj_t
																																																																		BgL_l1428z00_23442;
																																																																	BgL_l1428z00_23442
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_l1428z00_2208));
																																																																	BgL_l1428z00_2208
																																																																		=
																																																																		BgL_l1428z00_23442;
																																																																	goto
																																																																		BgL_zc3z04anonymousza31942ze3z87_2209;
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	BgL_test9271z00_23433
																																																																		=
																																																																		(
																																																																		(bool_t)
																																																																		0);
																																																																}
																																																														}
																																																												}
																																																												if (BgL_test9271z00_23433)
																																																													{
																																																														obj_t
																																																															BgL_argsz00_23449;
																																																														obj_t
																																																															BgL_proc2z00_23448;
																																																														obj_t
																																																															BgL_proc1z00_23447;
																																																														obj_t
																																																															BgL_testz00_23445;
																																																														BgL_testz00_23445
																																																															=
																																																															CAR
																																																															(BgL_cdrzd227960zd2_2165);
																																																														BgL_proc1z00_23447
																																																															=
																																																															BgL_carzd227969zd2_2171;
																																																														BgL_proc2z00_23448
																																																															=
																																																															BgL_carzd227975zd2_2175;
																																																														BgL_argsz00_23449
																																																															=
																																																															BgL_cdrzd227955zd2_2164;
																																																														BgL_argsz00_1812
																																																															=
																																																															BgL_argsz00_23449;
																																																														BgL_proc2z00_1811
																																																															=
																																																															BgL_proc2z00_23448;
																																																														BgL_proc1z00_1810
																																																															=
																																																															BgL_proc1z00_23447;
																																																														BgL_testz00_1809
																																																															=
																																																															BgL_testz00_23445;
																																																														goto
																																																															BgL_tagzd2388zd2_1813;
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd228000zd2_2192;
																																																														BgL_cdrzd228000zd2_2192
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd228008zd2_2193;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_pairz00_12753;
																																																																BgL_pairz00_12753
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd228008zd2_2193
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_12753);
																																																															}
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd228016zd2_2194;
																																																																BgL_cdrzd228016zd2_2194
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd228008zd2_2193));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd228023zd2_2195;
																																																																	BgL_carzd228023zd2_2195
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd228016zd2_2194));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228023zd2_2195))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd228032zd2_2197;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_12757;
																																																																				BgL_pairz00_12757
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd228016zd2_2194));
																																																																				BgL_carzd228032zd2_2197
																																																																					=
																																																																					CAR
																																																																					(BgL_pairz00_12757);
																																																																			}
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228032zd2_2197))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228000zd2_2192))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg1936z00_2200;
																																																																							BgL_arg1936z00_2200
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd228008zd2_2193));
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_23473;
																																																																								obj_t
																																																																									BgL_proc2z00_23472;
																																																																								obj_t
																																																																									BgL_proc1z00_23471;
																																																																								obj_t
																																																																									BgL_testz00_23470;
																																																																								BgL_testz00_23470
																																																																									=
																																																																									BgL_arg1936z00_2200;
																																																																								BgL_proc1z00_23471
																																																																									=
																																																																									BgL_carzd228023zd2_2195;
																																																																								BgL_proc2z00_23472
																																																																									=
																																																																									BgL_carzd228032zd2_2197;
																																																																								BgL_argsz00_23473
																																																																									=
																																																																									BgL_cdrzd228000zd2_2192;
																																																																								BgL_argsz00_1817
																																																																									=
																																																																									BgL_argsz00_23473;
																																																																								BgL_proc2z00_1816
																																																																									=
																																																																									BgL_proc2z00_23472;
																																																																								BgL_proc1z00_1815
																																																																									=
																																																																									BgL_proc1z00_23471;
																																																																								BgL_testz00_1814
																																																																									=
																																																																									BgL_testz00_23470;
																																																																								goto
																																																																									BgL_tagzd2389zd2_1818;
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_23476;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_23476);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_23480;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_23480);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_23484;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_23484);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{
																																																														obj_t
																																																															BgL_auxz00_23488;
																																																														goto
																																																															BgL_tagzd2404zd2_1842;
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_23488);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2405zd2_1843;
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd228310zd2_2219;
																																																										BgL_cdrzd228310zd2_2219
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd228317zd2_2220;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_pairz00_12761;
																																																												BgL_pairz00_12761
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_cdrzd228317zd2_2220
																																																													=
																																																													CDR
																																																													(BgL_pairz00_12761);
																																																											}
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd228324zd2_2221;
																																																												BgL_cdrzd228324zd2_2221
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd228317zd2_2220));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd228330zd2_2222;
																																																													obj_t
																																																														BgL_cdrzd228331zd2_2223;
																																																													BgL_carzd228330zd2_2222
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd228324zd2_2221));
																																																													BgL_cdrzd228331zd2_2223
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd228324zd2_2221));
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228330zd2_2222))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd228338zd2_2225;
																																																															BgL_carzd228338zd2_2225
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd228331zd2_2223));
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228338zd2_2225))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (NULLP(CDR(((obj_t) BgL_cdrzd228331zd2_2223))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228310zd2_2219))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg1951z00_2230;
																																																																					BgL_arg1951z00_2230
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd228317zd2_2220));
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_23518;
																																																																						obj_t
																																																																							BgL_proc2z00_23517;
																																																																						obj_t
																																																																							BgL_proc1z00_23516;
																																																																						obj_t
																																																																							BgL_testz00_23515;
																																																																						BgL_testz00_23515
																																																																							=
																																																																							BgL_arg1951z00_2230;
																																																																						BgL_proc1z00_23516
																																																																							=
																																																																							BgL_carzd228330zd2_2222;
																																																																						BgL_proc2z00_23517
																																																																							=
																																																																							BgL_carzd228338zd2_2225;
																																																																						BgL_argsz00_23518
																																																																							=
																																																																							BgL_cdrzd228310zd2_2219;
																																																																						BgL_argsz00_1817
																																																																							=
																																																																							BgL_argsz00_23518;
																																																																						BgL_proc2z00_1816
																																																																							=
																																																																							BgL_proc2z00_23517;
																																																																						BgL_proc1z00_1815
																																																																							=
																																																																							BgL_proc1z00_23516;
																																																																						BgL_testz00_1814
																																																																							=
																																																																							BgL_testz00_23515;
																																																																						goto
																																																																							BgL_tagzd2389zd2_1818;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_23521;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_23521);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_23525;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_23525);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_23529;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_23529);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_23533;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_23533);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																}
																																																														}
																																																												}
																																																											}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_23537;
																																																										goto
																																																											BgL_tagzd2404zd2_1842;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_23537);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2405zd2_1843;
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd228671zd2_2238;
																																																						BgL_cdrzd228671zd2_2238
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd228677zd2_2239;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_pairz00_12770;
																																																								BgL_pairz00_12770
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_cdrzd228677zd2_2239
																																																									=
																																																									CDR
																																																									(BgL_pairz00_12770);
																																																							}
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd228683zd2_2240;
																																																								BgL_cdrzd228683zd2_2240
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd228677zd2_2239));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd228688zd2_2241;
																																																									obj_t
																																																										BgL_cdrzd228689zd2_2242;
																																																									BgL_carzd228688zd2_2241
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd228683zd2_2240));
																																																									BgL_cdrzd228689zd2_2242
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd228683zd2_2240));
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228688zd2_2241))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd228689zd2_2242))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd228694zd2_2245;
																																																													BgL_carzd228694zd2_2245
																																																														=
																																																														CAR
																																																														(BgL_cdrzd228689zd2_2242);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228694zd2_2245))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (NULLP(CDR(BgL_cdrzd228689zd2_2242)))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228671zd2_2238))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg1965z00_2250;
																																																																			BgL_arg1965z00_2250
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd228677zd2_2239));
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_23567;
																																																																				obj_t
																																																																					BgL_proc2z00_23566;
																																																																				obj_t
																																																																					BgL_proc1z00_23565;
																																																																				obj_t
																																																																					BgL_testz00_23564;
																																																																				BgL_testz00_23564
																																																																					=
																																																																					BgL_arg1965z00_2250;
																																																																				BgL_proc1z00_23565
																																																																					=
																																																																					BgL_carzd228688zd2_2241;
																																																																				BgL_proc2z00_23566
																																																																					=
																																																																					BgL_carzd228694zd2_2245;
																																																																				BgL_argsz00_23567
																																																																					=
																																																																					BgL_cdrzd228671zd2_2238;
																																																																				BgL_argsz00_1817
																																																																					=
																																																																					BgL_argsz00_23567;
																																																																				BgL_proc2z00_1816
																																																																					=
																																																																					BgL_proc2z00_23566;
																																																																				BgL_proc1z00_1815
																																																																					=
																																																																					BgL_proc1z00_23565;
																																																																				BgL_testz00_1814
																																																																					=
																																																																					BgL_testz00_23564;
																																																																				goto
																																																																					BgL_tagzd2389zd2_1818;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_23570;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_23570);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_23574;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_23574);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_23578;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_23578);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_23582;
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_23582);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_23586;
																																																													goto
																																																														BgL_tagzd2404zd2_1842;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_23586);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2405zd2_1843;
																																																												}
																																																										}
																																																								}
																																																							}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_23590;
																																																						goto
																																																							BgL_tagzd2404zd2_1842;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_23590);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_tagzd2405zd2_1843;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_23594;
																																																				goto
																																																					BgL_tagzd2404zd2_1842;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_23594);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd2405zd2_1843;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{
																																																		obj_t
																																																			BgL_auxz00_23598;
																																																		goto
																																																			BgL_tagzd2404zd2_1842;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_23598);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd2405zd2_1843;
																																																	}
																																															}
																																													}
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																												{
																																													obj_t
																																														BgL_auxz00_23602;
																																													goto
																																														BgL_tagzd2404zd2_1842;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_23602);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													goto
																																														BgL_tagzd2405zd2_1843;
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd231076zd2_2394;
																																			BgL_carzd231076zd2_2394
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (PAIRP
																																				(BgL_carzd231076zd2_2394))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd231079zd2_2396;
																																					obj_t
																																						BgL_cdrzd231080zd2_2397;
																																					BgL_carzd231079zd2_2396
																																						=
																																						CAR
																																						(BgL_carzd231076zd2_2394);
																																					BgL_cdrzd231080zd2_2397
																																						=
																																						CDR
																																						(BgL_carzd231076zd2_2394);
																																					{

																																						if (
																																							(BgL_carzd231079zd2_2396
																																								==
																																								CNST_TABLE_REF
																																								(((long) 18))))
																																							{
																																								obj_t
																																									BgL_auxz00_23613;
																																							BgL_kapzd231081zd2_2398:
																																								if (PAIRP(BgL_cdrzd231080zd2_2397))
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd231084zd2_2697;
																																										BgL_cdrzd231084zd2_2697
																																											=
																																											CDR
																																											(BgL_cdrzd231080zd2_2397);
																																										if (PAIRP(BgL_cdrzd231084zd2_2697))
																																											{	/* Ast/sexp.scm 119 */
																																												if (NULLP(CDR(BgL_cdrzd231084zd2_2697)))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg2272z00_2701;
																																														obj_t
																																															BgL_arg2273z00_2702;
																																														BgL_arg2272z00_2701
																																															=
																																															CAR
																																															(BgL_cdrzd231084zd2_2697);
																																														BgL_arg2273z00_2702
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_23625;
																																															{
																																																obj_t
																																																	BgL_argsz00_23627;
																																																obj_t
																																																	BgL_bodyz00_23626;
																																																BgL_bodyz00_23626
																																																	=
																																																	BgL_arg2272z00_2701;
																																																BgL_argsz00_23627
																																																	=
																																																	BgL_arg2273z00_2702;
																																																BgL_argsz00_1794
																																																	=
																																																	BgL_argsz00_23627;
																																																BgL_bodyz00_1793
																																																	=
																																																	BgL_bodyz00_23626;
																																																goto
																																																	BgL_tagzd2382zd2_1795;
																																															}
																																															BgL_auxz00_23613
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_23625);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd231107zd2_2703;
																																														BgL_cdrzd231107zd2_2703
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{

																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test9310z00_23631;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg2343z00_2813;
																																																	BgL_arg2343z00_2813
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test9310z00_23631
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg2343z00_2813));
																																																}
																																																if (BgL_test9310z00_23631)
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (PAIRP(BgL_cdrzd231107zd2_2703))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg2345z00_2815;
																																																				obj_t
																																																					BgL_arg2346z00_2816;
																																																				BgL_arg2345z00_2815
																																																					=
																																																					CAR
																																																					(BgL_cdrzd231107zd2_2703);
																																																				BgL_arg2346z00_2816
																																																					=
																																																					CDR
																																																					(BgL_cdrzd231107zd2_2703);
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_23640;
																																																					{
																																																						obj_t
																																																							BgL_exprz00_23642;
																																																						obj_t
																																																							BgL_bindingsz00_23641;
																																																						BgL_bindingsz00_23641
																																																							=
																																																							BgL_arg2345z00_2815;
																																																						BgL_exprz00_23642
																																																							=
																																																							BgL_arg2346z00_2816;
																																																						BgL_exprz00_1797
																																																							=
																																																							BgL_exprz00_23642;
																																																						BgL_bindingsz00_1796
																																																							=
																																																							BgL_bindingsz00_23641;
																																																						goto
																																																							BgL_tagzd2383zd2_1798;
																																																					}
																																																					BgL_auxz00_23613
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_23640);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				bool_t
																																																					BgL_test9312z00_23644;
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg2416z00_2922;
																																																					BgL_arg2416z00_2922
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_test9312z00_23644
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg2416z00_2922));
																																																				}
																																																				if (BgL_test9312z00_23644)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_23649;
																																																						goto
																																																							BgL_tagzd2385zd2_1800;
																																																						BgL_auxz00_23613
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_23649);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_carzd231171zd2_2819;
																																																						BgL_carzd231171zd2_2819
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd231176zd2_2820;
																																																							BgL_cdrzd231176zd2_2820
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd231171zd2_2819));
																																																							if ((CAR(((obj_t) BgL_carzd231171zd2_2819)) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg2352z00_2823;
																																																									obj_t
																																																										BgL_arg2355z00_2824;
																																																									obj_t
																																																										BgL_arg2356z00_2825;
																																																									BgL_arg2352z00_2823
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd231176zd2_2820));
																																																									BgL_arg2355z00_2824
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd231176zd2_2820));
																																																									BgL_arg2356z00_2825
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_23666;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_23669;
																																																											obj_t
																																																												BgL_bodyz00_23668;
																																																											obj_t
																																																												BgL_varsz00_23667;
																																																											BgL_varsz00_23667
																																																												=
																																																												BgL_arg2352z00_2823;
																																																											BgL_bodyz00_23668
																																																												=
																																																												BgL_arg2355z00_2824;
																																																											BgL_argsz00_23669
																																																												=
																																																												BgL_arg2356z00_2825;
																																																											BgL_argsz00_1807
																																																												=
																																																												BgL_argsz00_23669;
																																																											BgL_bodyz00_1806
																																																												=
																																																												BgL_bodyz00_23668;
																																																											BgL_varsz00_1805
																																																												=
																																																												BgL_varsz00_23667;
																																																											goto
																																																												BgL_tagzd2387zd2_1808;
																																																										}
																																																										BgL_auxz00_23613
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_23666);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd231199zd2_2827;
																																																									BgL_cdrzd231199zd2_2827
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd231205zd2_2828;
																																																										BgL_cdrzd231205zd2_2828
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd231171zd2_2819));
																																																										if ((CAR(((obj_t) BgL_carzd231171zd2_2819)) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd231211zd2_2831;
																																																												BgL_cdrzd231211zd2_2831
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd231205zd2_2828));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd231216zd2_2832;
																																																													obj_t
																																																														BgL_cdrzd231217zd2_2833;
																																																													BgL_carzd231216zd2_2832
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd231211zd2_2831));
																																																													BgL_cdrzd231217zd2_2833
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd231211zd2_2831));
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231216zd2_2832))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (PAIRP(BgL_cdrzd231217zd2_2833))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd231224zd2_2836;
																																																																	BgL_carzd231224zd2_2836
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd231217zd2_2833);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231224zd2_2836))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (NULLP(CDR(BgL_cdrzd231217zd2_2833)))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test9319z00_23696;
																																																																					{
																																																																						obj_t
																																																																							BgL_l1434z00_2869;
																																																																						BgL_l1434z00_2869
																																																																							=
																																																																							BgL_cdrzd231199zd2_2827;
																																																																					BgL_zc3z04anonymousza32379ze3z87_2870:
																																																																						if (NULLP(BgL_l1434z00_2869))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test9319z00_23696
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test9321z00_23699;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test9322z00_23700;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_tmpz00_23701;
																																																																										BgL_tmpz00_23701
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_l1434z00_2869));
																																																																										BgL_test9322z00_23700
																																																																											=
																																																																											PAIRP
																																																																											(BgL_tmpz00_23701);
																																																																									}
																																																																									if (BgL_test9322z00_23700)
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test9321z00_23699
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test9321z00_23699
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																								if (BgL_test9321z00_23699)
																																																																									{
																																																																										obj_t
																																																																											BgL_l1434z00_23705;
																																																																										BgL_l1434z00_23705
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_l1434z00_2869));
																																																																										BgL_l1434z00_2869
																																																																											=
																																																																											BgL_l1434z00_23705;
																																																																										goto
																																																																											BgL_zc3z04anonymousza32379ze3z87_2870;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test9319z00_23696
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																					if (BgL_test9319z00_23696)
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg2369z00_2852;
																																																																							BgL_arg2369z00_2852
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd231205zd2_2828));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23710;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_23714;
																																																																									obj_t
																																																																										BgL_proc2z00_23713;
																																																																									obj_t
																																																																										BgL_proc1z00_23712;
																																																																									obj_t
																																																																										BgL_testz00_23711;
																																																																									BgL_testz00_23711
																																																																										=
																																																																										BgL_arg2369z00_2852;
																																																																									BgL_proc1z00_23712
																																																																										=
																																																																										BgL_carzd231216zd2_2832;
																																																																									BgL_proc2z00_23713
																																																																										=
																																																																										BgL_carzd231224zd2_2836;
																																																																									BgL_argsz00_23714
																																																																										=
																																																																										BgL_cdrzd231199zd2_2827;
																																																																									BgL_argsz00_1812
																																																																										=
																																																																										BgL_argsz00_23714;
																																																																									BgL_proc2z00_1811
																																																																										=
																																																																										BgL_proc2z00_23713;
																																																																									BgL_proc1z00_1810
																																																																										=
																																																																										BgL_proc1z00_23712;
																																																																									BgL_testz00_1809
																																																																										=
																																																																										BgL_testz00_23711;
																																																																									goto
																																																																										BgL_tagzd2388zd2_1813;
																																																																								}
																																																																								BgL_auxz00_23613
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23710);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd231248zd2_2853;
																																																																							BgL_cdrzd231248zd2_2853
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd231255zd2_2854;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_12856;
																																																																									BgL_pairz00_12856
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd231255zd2_2854
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_12856);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd231262zd2_2855;
																																																																									BgL_cdrzd231262zd2_2855
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd231255zd2_2854));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd231268zd2_2856;
																																																																										BgL_carzd231268zd2_2856
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd231262zd2_2855));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231268zd2_2856))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd231275zd2_2858;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_12860;
																																																																													BgL_pairz00_12860
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd231262zd2_2855));
																																																																													BgL_carzd231275zd2_2858
																																																																														=
																																																																														CAR
																																																																														(BgL_pairz00_12860);
																																																																												}
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231275zd2_2858))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231248zd2_2853))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg2373z00_2861;
																																																																																BgL_arg2373z00_2861
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd231255zd2_2854));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23736;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_23740;
																																																																																		obj_t
																																																																																			BgL_proc2z00_23739;
																																																																																		obj_t
																																																																																			BgL_proc1z00_23738;
																																																																																		obj_t
																																																																																			BgL_testz00_23737;
																																																																																		BgL_testz00_23737
																																																																																			=
																																																																																			BgL_arg2373z00_2861;
																																																																																		BgL_proc1z00_23738
																																																																																			=
																																																																																			BgL_carzd231268zd2_2856;
																																																																																		BgL_proc2z00_23739
																																																																																			=
																																																																																			BgL_carzd231275zd2_2858;
																																																																																		BgL_argsz00_23740
																																																																																			=
																																																																																			BgL_cdrzd231248zd2_2853;
																																																																																		BgL_argsz00_1817
																																																																																			=
																																																																																			BgL_argsz00_23740;
																																																																																		BgL_proc2z00_1816
																																																																																			=
																																																																																			BgL_proc2z00_23739;
																																																																																		BgL_proc1z00_1815
																																																																																			=
																																																																																			BgL_proc1z00_23738;
																																																																																		BgL_testz00_1814
																																																																																			=
																																																																																			BgL_testz00_23737;
																																																																																		goto
																																																																																			BgL_tagzd2389zd2_1818;
																																																																																	}
																																																																																	BgL_auxz00_23613
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23736);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_23744;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																		BgL_auxz00_23613
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_23744);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_23748;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																																BgL_auxz00_23613
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_23748);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_23752;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_23613
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_23752);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_23756;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_23613
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_23756);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd231551zd2_2880;
																																																																			BgL_cdrzd231551zd2_2880
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd231557zd2_2881;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_12864;
																																																																					BgL_pairz00_12864
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd231557zd2_2881
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_12864);
																																																																				}
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd231563zd2_2882;
																																																																					BgL_cdrzd231563zd2_2882
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd231557zd2_2881));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd231568zd2_2883;
																																																																						obj_t
																																																																							BgL_cdrzd231569zd2_2884;
																																																																						BgL_carzd231568zd2_2883
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd231563zd2_2882));
																																																																						BgL_cdrzd231569zd2_2884
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd231563zd2_2882));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231568zd2_2883))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd231574zd2_2886;
																																																																								BgL_carzd231574zd2_2886
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd231569zd2_2884));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231574zd2_2886))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd231569zd2_2884))))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231551zd2_2880))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg2388z00_2891;
																																																																														BgL_arg2388z00_2891
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd231557zd2_2881));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23783;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_23787;
																																																																																obj_t
																																																																																	BgL_proc2z00_23786;
																																																																																obj_t
																																																																																	BgL_proc1z00_23785;
																																																																																obj_t
																																																																																	BgL_testz00_23784;
																																																																																BgL_testz00_23784
																																																																																	=
																																																																																	BgL_arg2388z00_2891;
																																																																																BgL_proc1z00_23785
																																																																																	=
																																																																																	BgL_carzd231568zd2_2883;
																																																																																BgL_proc2z00_23786
																																																																																	=
																																																																																	BgL_carzd231574zd2_2886;
																																																																																BgL_argsz00_23787
																																																																																	=
																																																																																	BgL_cdrzd231551zd2_2880;
																																																																																BgL_argsz00_1817
																																																																																	=
																																																																																	BgL_argsz00_23787;
																																																																																BgL_proc2z00_1816
																																																																																	=
																																																																																	BgL_proc2z00_23786;
																																																																																BgL_proc1z00_1815
																																																																																	=
																																																																																	BgL_proc1z00_23785;
																																																																																BgL_testz00_1814
																																																																																	=
																																																																																	BgL_testz00_23784;
																																																																																goto
																																																																																	BgL_tagzd2389zd2_1818;
																																																																															}
																																																																															BgL_auxz00_23613
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23783);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_23791;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																																BgL_auxz00_23613
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_23791);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_23795;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_23613
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_23795);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_23799;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_23613
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_23799);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23803;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_23613
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23803);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23807;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																			BgL_auxz00_23613
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23807);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd231907zd2_2899;
																																																															BgL_cdrzd231907zd2_2899
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd231914zd2_2900;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_12873;
																																																																	BgL_pairz00_12873
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd231914zd2_2900
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_12873);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd231921zd2_2901;
																																																																	BgL_cdrzd231921zd2_2901
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd231914zd2_2900));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd231927zd2_2902;
																																																																		obj_t
																																																																			BgL_cdrzd231928zd2_2903;
																																																																		BgL_carzd231927zd2_2902
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd231921zd2_2901));
																																																																		BgL_cdrzd231928zd2_2903
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd231921zd2_2901));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231927zd2_2902))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd231928zd2_2903))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd231935zd2_2906;
																																																																						BgL_carzd231935zd2_2906
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd231928zd2_2903);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231935zd2_2906))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd231928zd2_2903)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231907zd2_2899))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg2403z00_2911;
																																																																												BgL_arg2403z00_2911
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd231914zd2_2900));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23834;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_23838;
																																																																														obj_t
																																																																															BgL_proc2z00_23837;
																																																																														obj_t
																																																																															BgL_proc1z00_23836;
																																																																														obj_t
																																																																															BgL_testz00_23835;
																																																																														BgL_testz00_23835
																																																																															=
																																																																															BgL_arg2403z00_2911;
																																																																														BgL_proc1z00_23836
																																																																															=
																																																																															BgL_carzd231927zd2_2902;
																																																																														BgL_proc2z00_23837
																																																																															=
																																																																															BgL_carzd231935zd2_2906;
																																																																														BgL_argsz00_23838
																																																																															=
																																																																															BgL_cdrzd231907zd2_2899;
																																																																														BgL_argsz00_1817
																																																																															=
																																																																															BgL_argsz00_23838;
																																																																														BgL_proc2z00_1816
																																																																															=
																																																																															BgL_proc2z00_23837;
																																																																														BgL_proc1z00_1815
																																																																															=
																																																																															BgL_proc1z00_23836;
																																																																														BgL_testz00_1814
																																																																															=
																																																																															BgL_testz00_23835;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1818;
																																																																													}
																																																																													BgL_auxz00_23613
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23834);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_23842;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_23613
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_23842);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_23846;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_23613
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_23846);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23850;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_23613
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23850);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23854;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_23613
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23854);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23858;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_23613
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23858);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1842;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_23862;
																																																														goto
																																																															BgL_tagzd2405zd2_1843;
																																																														BgL_auxz00_23613
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_23862);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test9350z00_23864;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg2342z00_2812;
																																																			BgL_arg2342z00_2812
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test9350z00_23864
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg2342z00_2812));
																																																		}
																																																		if (BgL_test9350z00_23864)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_23869;
																																																				goto
																																																					BgL_tagzd2385zd2_1800;
																																																				BgL_auxz00_23613
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_23869);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd232367zd2_2709;
																																																				BgL_carzd232367zd2_2709
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd232372zd2_2710;
																																																					BgL_cdrzd232372zd2_2710
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd232367zd2_2709));
																																																					if ((CAR(((obj_t) BgL_carzd232367zd2_2709)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg2281z00_2713;
																																																							obj_t
																																																								BgL_arg2282z00_2714;
																																																							obj_t
																																																								BgL_arg2283z00_2715;
																																																							BgL_arg2281z00_2713
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd232372zd2_2710));
																																																							BgL_arg2282z00_2714
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd232372zd2_2710));
																																																							BgL_arg2283z00_2715
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_23886;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_23889;
																																																									obj_t
																																																										BgL_bodyz00_23888;
																																																									obj_t
																																																										BgL_varsz00_23887;
																																																									BgL_varsz00_23887
																																																										=
																																																										BgL_arg2281z00_2713;
																																																									BgL_bodyz00_23888
																																																										=
																																																										BgL_arg2282z00_2714;
																																																									BgL_argsz00_23889
																																																										=
																																																										BgL_arg2283z00_2715;
																																																									BgL_argsz00_1807
																																																										=
																																																										BgL_argsz00_23889;
																																																									BgL_bodyz00_1806
																																																										=
																																																										BgL_bodyz00_23888;
																																																									BgL_varsz00_1805
																																																										=
																																																										BgL_varsz00_23887;
																																																									goto
																																																										BgL_tagzd2387zd2_1808;
																																																								}
																																																								BgL_auxz00_23613
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_23886);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd232395zd2_2717;
																																																							BgL_cdrzd232395zd2_2717
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd232401zd2_2718;
																																																								BgL_cdrzd232401zd2_2718
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd232367zd2_2709));
																																																								if ((CAR(((obj_t) BgL_carzd232367zd2_2709)) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd232407zd2_2721;
																																																										BgL_cdrzd232407zd2_2721
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd232401zd2_2718));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd232412zd2_2722;
																																																											obj_t
																																																												BgL_cdrzd232413zd2_2723;
																																																											BgL_carzd232412zd2_2722
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd232407zd2_2721));
																																																											BgL_cdrzd232413zd2_2723
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd232407zd2_2721));
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232412zd2_2722))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (PAIRP(BgL_cdrzd232413zd2_2723))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd232420zd2_2726;
																																																															BgL_carzd232420zd2_2726
																																																																=
																																																																CAR
																																																																(BgL_cdrzd232413zd2_2723);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232420zd2_2726))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (NULLP(CDR(BgL_cdrzd232413zd2_2723)))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			bool_t
																																																																				BgL_test9357z00_23916;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1437z00_2759;
																																																																				BgL_l1437z00_2759
																																																																					=
																																																																					BgL_cdrzd232395zd2_2717;
																																																																			BgL_zc3z04anonymousza32307ze3z87_2760:
																																																																				if (NULLP(BgL_l1437z00_2759))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						BgL_test9357z00_23916
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test9359z00_23919;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test9360z00_23920;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_tmpz00_23921;
																																																																								BgL_tmpz00_23921
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_l1437z00_2759));
																																																																								BgL_test9360z00_23920
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_23921);
																																																																							}
																																																																							if (BgL_test9360z00_23920)
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9359z00_23919
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9359z00_23919
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_test9359z00_23919)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1437z00_23925;
																																																																								BgL_l1437z00_23925
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_l1437z00_2759));
																																																																								BgL_l1437z00_2759
																																																																									=
																																																																									BgL_l1437z00_23925;
																																																																								goto
																																																																									BgL_zc3z04anonymousza32307ze3z87_2760;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test9357z00_23916
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_test9357z00_23916)
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg2297z00_2742;
																																																																					BgL_arg2297z00_2742
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd232401zd2_2718));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23930;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_23934;
																																																																							obj_t
																																																																								BgL_proc2z00_23933;
																																																																							obj_t
																																																																								BgL_proc1z00_23932;
																																																																							obj_t
																																																																								BgL_testz00_23931;
																																																																							BgL_testz00_23931
																																																																								=
																																																																								BgL_arg2297z00_2742;
																																																																							BgL_proc1z00_23932
																																																																								=
																																																																								BgL_carzd232412zd2_2722;
																																																																							BgL_proc2z00_23933
																																																																								=
																																																																								BgL_carzd232420zd2_2726;
																																																																							BgL_argsz00_23934
																																																																								=
																																																																								BgL_cdrzd232395zd2_2717;
																																																																							BgL_argsz00_1812
																																																																								=
																																																																								BgL_argsz00_23934;
																																																																							BgL_proc2z00_1811
																																																																								=
																																																																								BgL_proc2z00_23933;
																																																																							BgL_proc1z00_1810
																																																																								=
																																																																								BgL_proc1z00_23932;
																																																																							BgL_testz00_1809
																																																																								=
																																																																								BgL_testz00_23931;
																																																																							goto
																																																																								BgL_tagzd2388zd2_1813;
																																																																						}
																																																																						BgL_auxz00_23613
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23930);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd232444zd2_2743;
																																																																					BgL_cdrzd232444zd2_2743
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd232451zd2_2744;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_12902;
																																																																							BgL_pairz00_12902
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd232451zd2_2744
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_12902);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd232458zd2_2745;
																																																																							BgL_cdrzd232458zd2_2745
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd232451zd2_2744));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd232464zd2_2746;
																																																																								BgL_carzd232464zd2_2746
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd232458zd2_2745));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232464zd2_2746))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd232471zd2_2748;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_12906;
																																																																											BgL_pairz00_12906
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd232458zd2_2745));
																																																																											BgL_carzd232471zd2_2748
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_12906);
																																																																										}
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232471zd2_2748))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd232444zd2_2743))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg2301z00_2751;
																																																																														BgL_arg2301z00_2751
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd232451zd2_2744));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23956;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_23960;
																																																																																obj_t
																																																																																	BgL_proc2z00_23959;
																																																																																obj_t
																																																																																	BgL_proc1z00_23958;
																																																																																obj_t
																																																																																	BgL_testz00_23957;
																																																																																BgL_testz00_23957
																																																																																	=
																																																																																	BgL_arg2301z00_2751;
																																																																																BgL_proc1z00_23958
																																																																																	=
																																																																																	BgL_carzd232464zd2_2746;
																																																																																BgL_proc2z00_23959
																																																																																	=
																																																																																	BgL_carzd232471zd2_2748;
																																																																																BgL_argsz00_23960
																																																																																	=
																																																																																	BgL_cdrzd232444zd2_2743;
																																																																																BgL_argsz00_1817
																																																																																	=
																																																																																	BgL_argsz00_23960;
																																																																																BgL_proc2z00_1816
																																																																																	=
																																																																																	BgL_proc2z00_23959;
																																																																																BgL_proc1z00_1815
																																																																																	=
																																																																																	BgL_proc1z00_23958;
																																																																																BgL_testz00_1814
																																																																																	=
																																																																																	BgL_testz00_23957;
																																																																																goto
																																																																																	BgL_tagzd2389zd2_1818;
																																																																															}
																																																																															BgL_auxz00_23613
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23956);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_23964;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																																BgL_auxz00_23613
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_23964);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_23968;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_23613
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_23968);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_23972;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_23613
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_23972);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_23976;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																					BgL_auxz00_23613
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_23976);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd232747zd2_2770;
																																																																	BgL_cdrzd232747zd2_2770
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd232753zd2_2771;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_12910;
																																																																			BgL_pairz00_12910
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd232753zd2_2771
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_12910);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd232759zd2_2772;
																																																																			BgL_cdrzd232759zd2_2772
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd232753zd2_2771));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd232764zd2_2773;
																																																																				obj_t
																																																																					BgL_cdrzd232765zd2_2774;
																																																																				BgL_carzd232764zd2_2773
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd232759zd2_2772));
																																																																				BgL_cdrzd232765zd2_2774
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd232759zd2_2772));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232764zd2_2773))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd232770zd2_2776;
																																																																						BgL_carzd232770zd2_2776
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd232765zd2_2774));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232770zd2_2776))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd232765zd2_2774))))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd232747zd2_2770))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg2316z00_2781;
																																																																												BgL_arg2316z00_2781
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd232753zd2_2771));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24003;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_24007;
																																																																														obj_t
																																																																															BgL_proc2z00_24006;
																																																																														obj_t
																																																																															BgL_proc1z00_24005;
																																																																														obj_t
																																																																															BgL_testz00_24004;
																																																																														BgL_testz00_24004
																																																																															=
																																																																															BgL_arg2316z00_2781;
																																																																														BgL_proc1z00_24005
																																																																															=
																																																																															BgL_carzd232764zd2_2773;
																																																																														BgL_proc2z00_24006
																																																																															=
																																																																															BgL_carzd232770zd2_2776;
																																																																														BgL_argsz00_24007
																																																																															=
																																																																															BgL_cdrzd232747zd2_2770;
																																																																														BgL_argsz00_1817
																																																																															=
																																																																															BgL_argsz00_24007;
																																																																														BgL_proc2z00_1816
																																																																															=
																																																																															BgL_proc2z00_24006;
																																																																														BgL_proc1z00_1815
																																																																															=
																																																																															BgL_proc1z00_24005;
																																																																														BgL_testz00_1814
																																																																															=
																																																																															BgL_testz00_24004;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1818;
																																																																													}
																																																																													BgL_auxz00_23613
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24003);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_24011;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_23613
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_24011);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_24015;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_23613
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_24015);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_24019;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_23613
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_24019);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24023;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_23613
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24023);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_24027;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																	BgL_auxz00_23613
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_24027);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd233103zd2_2789;
																																																													BgL_cdrzd233103zd2_2789
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd233110zd2_2790;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_pairz00_12919;
																																																															BgL_pairz00_12919
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd233110zd2_2790
																																																																=
																																																																CDR
																																																																(BgL_pairz00_12919);
																																																														}
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd233117zd2_2791;
																																																															BgL_cdrzd233117zd2_2791
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd233110zd2_2790));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd233123zd2_2792;
																																																																obj_t
																																																																	BgL_cdrzd233124zd2_2793;
																																																																BgL_carzd233123zd2_2792
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd233117zd2_2791));
																																																																BgL_cdrzd233124zd2_2793
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd233117zd2_2791));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233123zd2_2792))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd233124zd2_2793))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd233131zd2_2796;
																																																																				BgL_carzd233131zd2_2796
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd233124zd2_2793);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233131zd2_2796))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd233124zd2_2793)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd233103zd2_2789))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg2331z00_2801;
																																																																										BgL_arg2331z00_2801
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd233110zd2_2790));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24054;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_24058;
																																																																												obj_t
																																																																													BgL_proc2z00_24057;
																																																																												obj_t
																																																																													BgL_proc1z00_24056;
																																																																												obj_t
																																																																													BgL_testz00_24055;
																																																																												BgL_testz00_24055
																																																																													=
																																																																													BgL_arg2331z00_2801;
																																																																												BgL_proc1z00_24056
																																																																													=
																																																																													BgL_carzd233123zd2_2792;
																																																																												BgL_proc2z00_24057
																																																																													=
																																																																													BgL_carzd233131zd2_2796;
																																																																												BgL_argsz00_24058
																																																																													=
																																																																													BgL_cdrzd233103zd2_2789;
																																																																												BgL_argsz00_1817
																																																																													=
																																																																													BgL_argsz00_24058;
																																																																												BgL_proc2z00_1816
																																																																													=
																																																																													BgL_proc2z00_24057;
																																																																												BgL_proc1z00_1815
																																																																													=
																																																																													BgL_proc1z00_24056;
																																																																												BgL_testz00_1814
																																																																													=
																																																																													BgL_testz00_24055;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1818;
																																																																											}
																																																																											BgL_auxz00_23613
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24054);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_24062;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_23613
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_24062);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_24066;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_23613
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_24066);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24070;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_23613
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24070);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_24074;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_23613
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_24074);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_24078;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_23613
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_24078);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2404zd2_1842;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_24082;
																																																												goto
																																																													BgL_tagzd2405zd2_1843;
																																																												BgL_auxz00_23613
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_24082);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd233523zd2_2924;
																																												BgL_cdrzd233523zd2_2924
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{

																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test9388z00_24086;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg2434z00_2940;
																																															BgL_arg2434z00_2940
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test9388z00_24086
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg2434z00_2940));
																																														}
																																														if (BgL_test9388z00_24086)
																																															{	/* Ast/sexp.scm 119 */
																																																if (PAIRP(BgL_cdrzd233523zd2_2924))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg2436z00_2942;
																																																		obj_t
																																																			BgL_arg2437z00_2943;
																																																		BgL_arg2436z00_2942
																																																			=
																																																			CAR
																																																			(BgL_cdrzd233523zd2_2924);
																																																		BgL_arg2437z00_2943
																																																			=
																																																			CDR
																																																			(BgL_cdrzd233523zd2_2924);
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_24095;
																																																			{
																																																				obj_t
																																																					BgL_exprz00_24097;
																																																				obj_t
																																																					BgL_bindingsz00_24096;
																																																				BgL_bindingsz00_24096
																																																					=
																																																					BgL_arg2436z00_2942;
																																																				BgL_exprz00_24097
																																																					=
																																																					BgL_arg2437z00_2943;
																																																				BgL_exprz00_1797
																																																					=
																																																					BgL_exprz00_24097;
																																																				BgL_bindingsz00_1796
																																																					=
																																																					BgL_bindingsz00_24096;
																																																				goto
																																																					BgL_tagzd2383zd2_1798;
																																																			}
																																																			BgL_auxz00_23613
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_24095);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test9390z00_24099;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg2450z00_2955;
																																																			BgL_arg2450z00_2955
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test9390z00_24099
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg2450z00_2955));
																																																		}
																																																		if (BgL_test9390z00_24099)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_24104;
																																																				goto
																																																					BgL_tagzd2385zd2_1800;
																																																				BgL_auxz00_23613
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_24104);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd233586zd2_2946;
																																																				BgL_carzd233586zd2_2946
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd233591zd2_2947;
																																																					BgL_cdrzd233591zd2_2947
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd233586zd2_2946));
																																																					if ((CAR(((obj_t) BgL_carzd233586zd2_2946)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg2443z00_2950;
																																																							obj_t
																																																								BgL_arg2444z00_2951;
																																																							obj_t
																																																								BgL_arg2446z00_2952;
																																																							BgL_arg2443z00_2950
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd233591zd2_2947));
																																																							BgL_arg2444z00_2951
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd233591zd2_2947));
																																																							BgL_arg2446z00_2952
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_24121;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_24124;
																																																									obj_t
																																																										BgL_bodyz00_24123;
																																																									obj_t
																																																										BgL_varsz00_24122;
																																																									BgL_varsz00_24122
																																																										=
																																																										BgL_arg2443z00_2950;
																																																									BgL_bodyz00_24123
																																																										=
																																																										BgL_arg2444z00_2951;
																																																									BgL_argsz00_24124
																																																										=
																																																										BgL_arg2446z00_2952;
																																																									BgL_argsz00_1807
																																																										=
																																																										BgL_argsz00_24124;
																																																									BgL_bodyz00_1806
																																																										=
																																																										BgL_bodyz00_24123;
																																																									BgL_varsz00_1805
																																																										=
																																																										BgL_varsz00_24122;
																																																									goto
																																																										BgL_tagzd2387zd2_1808;
																																																								}
																																																								BgL_auxz00_23613
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_24121);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2404zd2_1842;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_24128;
																																																									goto
																																																										BgL_tagzd2405zd2_1843;
																																																									BgL_auxz00_23613
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_24128);
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test9393z00_24130;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg2433z00_2939;
																																																	BgL_arg2433z00_2939
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test9393z00_24130
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg2433z00_2939));
																																																}
																																																if (BgL_test9393z00_24130)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_24135;
																																																		goto
																																																			BgL_tagzd2385zd2_1800;
																																																		BgL_auxz00_23613
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24135);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd233740zd2_2930;
																																																		BgL_carzd233740zd2_2930
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd233745zd2_2931;
																																																			BgL_cdrzd233745zd2_2931
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd233740zd2_2930));
																																																			if ((CAR(((obj_t) BgL_carzd233740zd2_2930)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg2427z00_2934;
																																																					obj_t
																																																						BgL_arg2428z00_2935;
																																																					obj_t
																																																						BgL_arg2430z00_2936;
																																																					BgL_arg2427z00_2934
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd233745zd2_2931));
																																																					BgL_arg2428z00_2935
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd233745zd2_2931));
																																																					BgL_arg2430z00_2936
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_24152;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_24155;
																																																							obj_t
																																																								BgL_bodyz00_24154;
																																																							obj_t
																																																								BgL_varsz00_24153;
																																																							BgL_varsz00_24153
																																																								=
																																																								BgL_arg2427z00_2934;
																																																							BgL_bodyz00_24154
																																																								=
																																																								BgL_arg2428z00_2935;
																																																							BgL_argsz00_24155
																																																								=
																																																								BgL_arg2430z00_2936;
																																																							BgL_argsz00_1807
																																																								=
																																																								BgL_argsz00_24155;
																																																							BgL_bodyz00_1806
																																																								=
																																																								BgL_bodyz00_24154;
																																																							BgL_varsz00_1805
																																																								=
																																																								BgL_varsz00_24153;
																																																							goto
																																																								BgL_tagzd2387zd2_1808;
																																																						}
																																																						BgL_auxz00_23613
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_24152);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2404zd2_1842;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_24159;
																																																							goto
																																																								BgL_tagzd2405zd2_1843;
																																																							BgL_auxz00_23613
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_24159);
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd233855zd2_2956;
																																										BgL_cdrzd233855zd2_2956
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{

																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test9396z00_24163;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg2458z00_2964;
																																													BgL_arg2458z00_2964
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test9396z00_24163
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg2458z00_2964));
																																												}
																																												if (BgL_test9396z00_24163)
																																													{	/* Ast/sexp.scm 119 */
																																														if (PAIRP(BgL_cdrzd233855zd2_2956))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg2460z00_2966;
																																																obj_t
																																																	BgL_arg2461z00_2967;
																																																BgL_arg2460z00_2966
																																																	=
																																																	CAR
																																																	(BgL_cdrzd233855zd2_2956);
																																																BgL_arg2461z00_2967
																																																	=
																																																	CDR
																																																	(BgL_cdrzd233855zd2_2956);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_24172;
																																																	{
																																																		obj_t
																																																			BgL_exprz00_24174;
																																																		obj_t
																																																			BgL_bindingsz00_24173;
																																																		BgL_bindingsz00_24173
																																																			=
																																																			BgL_arg2460z00_2966;
																																																		BgL_exprz00_24174
																																																			=
																																																			BgL_arg2461z00_2967;
																																																		BgL_exprz00_1797
																																																			=
																																																			BgL_exprz00_24174;
																																																		BgL_bindingsz00_1796
																																																			=
																																																			BgL_bindingsz00_24173;
																																																		goto
																																																			BgL_tagzd2383zd2_1798;
																																																	}
																																																	BgL_auxz00_23613
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_24172);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test9398z00_24176;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg2465z00_2971;
																																																	BgL_arg2465z00_2971
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test9398z00_24176
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg2465z00_2971));
																																																}
																																																if (BgL_test9398z00_24176)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_24181;
																																																		goto
																																																			BgL_tagzd2385zd2_1800;
																																																		BgL_auxz00_23613
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24181);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd2404zd2_1842;
																																																			}
																																																		else
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_24185;
																																																				goto
																																																					BgL_tagzd2405zd2_1843;
																																																				BgL_auxz00_23613
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_24185);
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test9400z00_24187;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg2457z00_2963;
																																															BgL_arg2457z00_2963
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test9400z00_24187
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg2457z00_2963));
																																														}
																																														if (BgL_test9400z00_24187)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_24192;
																																																goto
																																																	BgL_tagzd2385zd2_1800;
																																																BgL_auxz00_23613
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_24192);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd2404zd2_1842;
																																																	}
																																																else
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_24196;
																																																		goto
																																																			BgL_tagzd2405zd2_1843;
																																																		BgL_auxz00_23613
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24196);
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									}
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_23613);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd231079zd2_2396)))
																																									{
																																										obj_t
																																											BgL_auxz00_24202;
																																										goto
																																											BgL_kapzd231081zd2_2398;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_24202);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd231079zd2_2396 == CNST_TABLE_REF(((long) 19))))
																																											{
																																												obj_t
																																													BgL_auxz00_24207;
																																												goto
																																													BgL_kapzd231081zd2_2398;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_24207);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd231079zd2_2396 == CNST_TABLE_REF(((long) 20))))
																																													{
																																														obj_t
																																															BgL_auxz00_24212;
																																														goto
																																															BgL_kapzd231081zd2_2398;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_24212);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd231079zd2_2396)))
																																															{
																																																obj_t
																																																	BgL_auxz00_24217;
																																																goto
																																																	BgL_kapzd231081zd2_2398;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_24217);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd234164zd2_2401;
																																																BgL_cdrzd234164zd2_2401
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{

																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test9406z00_24221;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg2194z00_2580;
																																																			BgL_arg2194z00_2580
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test9406z00_24221
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg2194z00_2580));
																																																		}
																																																		if (BgL_test9406z00_24221)
																																																			{
																																																				obj_t
																																																					BgL_auxz00_24226;
																																																				if (PAIRP(BgL_cdrzd234164zd2_2401))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg2196z00_2582;
																																																						obj_t
																																																							BgL_arg2197z00_2583;
																																																						BgL_arg2196z00_2582
																																																							=
																																																							CAR
																																																							(BgL_cdrzd234164zd2_2401);
																																																						BgL_arg2197z00_2583
																																																							=
																																																							CDR
																																																							(BgL_cdrzd234164zd2_2401);
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_24231;
																																																							{
																																																								obj_t
																																																									BgL_exprz00_24233;
																																																								obj_t
																																																									BgL_bindingsz00_24232;
																																																								BgL_bindingsz00_24232
																																																									=
																																																									BgL_arg2196z00_2582;
																																																								BgL_exprz00_24233
																																																									=
																																																									BgL_arg2197z00_2583;
																																																								BgL_exprz00_1797
																																																									=
																																																									BgL_exprz00_24233;
																																																								BgL_bindingsz00_1796
																																																									=
																																																									BgL_bindingsz00_24232;
																																																								goto
																																																									BgL_tagzd2383zd2_1798;
																																																							}
																																																							BgL_auxz00_24226
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_24231);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						bool_t
																																																							BgL_test9408z00_24235;
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg2267z00_2695;
																																																							BgL_arg2267z00_2695
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_test9408z00_24235
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg2267z00_2695));
																																																						}
																																																						if (BgL_test9408z00_24235)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_24240;
																																																								goto
																																																									BgL_tagzd2385zd2_1800;
																																																								BgL_auxz00_24226
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_24240);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_carzd234227zd2_2586;
																																																								BgL_carzd234227zd2_2586
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd234232zd2_2587;
																																																									BgL_cdrzd234232zd2_2587
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd234227zd2_2586));
																																																									if ((CAR(((obj_t) BgL_carzd234227zd2_2586)) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd234232zd2_2587))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg2203z00_2591;
																																																													obj_t
																																																														BgL_arg2204z00_2592;
																																																													obj_t
																																																														BgL_arg2205z00_2593;
																																																													BgL_arg2203z00_2591
																																																														=
																																																														CAR
																																																														(BgL_cdrzd234232zd2_2587);
																																																													BgL_arg2204z00_2592
																																																														=
																																																														CDR
																																																														(BgL_cdrzd234232zd2_2587);
																																																													BgL_arg2205z00_2593
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_24257;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_24260;
																																																															obj_t
																																																																BgL_bodyz00_24259;
																																																															obj_t
																																																																BgL_varsz00_24258;
																																																															BgL_varsz00_24258
																																																																=
																																																																BgL_arg2203z00_2591;
																																																															BgL_bodyz00_24259
																																																																=
																																																																BgL_arg2204z00_2592;
																																																															BgL_argsz00_24260
																																																																=
																																																																BgL_arg2205z00_2593;
																																																															BgL_argsz00_1807
																																																																=
																																																																BgL_argsz00_24260;
																																																															BgL_bodyz00_1806
																																																																=
																																																																BgL_bodyz00_24259;
																																																															BgL_varsz00_1805
																																																																=
																																																																BgL_varsz00_24258;
																																																															goto
																																																																BgL_tagzd2387zd2_1808;
																																																														}
																																																														BgL_auxz00_24226
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_24257);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_24264;
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																															BgL_auxz00_24226
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_24264);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd234339zd2_2596;
																																																											BgL_cdrzd234339zd2_2596
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd234344zd2_2597;
																																																												BgL_cdrzd234344zd2_2597
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd234227zd2_2586));
																																																												if ((CAR(((obj_t) BgL_carzd234227zd2_2586)) == CNST_TABLE_REF(((long) 1))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd234344zd2_2597))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd234349zd2_2601;
																																																																BgL_cdrzd234349zd2_2601
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd234344zd2_2597);
																																																																if (PAIRP(BgL_cdrzd234349zd2_2601))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd234353zd2_2603;
																																																																		obj_t
																																																																			BgL_cdrzd234354zd2_2604;
																																																																		BgL_carzd234353zd2_2603
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd234349zd2_2601);
																																																																		BgL_cdrzd234354zd2_2604
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd234349zd2_2601);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234353zd2_2603))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd234354zd2_2604))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd234359zd2_2607;
																																																																						BgL_carzd234359zd2_2607
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd234354zd2_2604);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234359zd2_2607))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd234354zd2_2604)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9419z00_24292;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1440z00_2640;
																																																																											BgL_l1440z00_2640
																																																																												=
																																																																												BgL_cdrzd234339zd2_2596;
																																																																										BgL_zc3z04anonymousza32231ze3z87_2641:
																																																																											if (NULLP(BgL_l1440z00_2640))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9419z00_24292
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test9421z00_24295;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test9422z00_24296;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_tmpz00_24297;
																																																																															BgL_tmpz00_24297
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1440z00_2640));
																																																																															BgL_test9422z00_24296
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_24297);
																																																																														}
																																																																														if (BgL_test9422z00_24296)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9421z00_24295
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9421z00_24295
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_test9421z00_24295)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1440z00_24301;
																																																																															BgL_l1440z00_24301
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1440z00_2640));
																																																																															BgL_l1440z00_2640
																																																																																=
																																																																																BgL_l1440z00_24301;
																																																																															goto
																																																																																BgL_zc3z04anonymousza32231ze3z87_2641;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test9419z00_24292
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_test9419z00_24292)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg2221z00_2623;
																																																																												BgL_arg2221z00_2623
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd234344zd2_2597);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24305;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_24309;
																																																																														obj_t
																																																																															BgL_proc2z00_24308;
																																																																														obj_t
																																																																															BgL_proc1z00_24307;
																																																																														obj_t
																																																																															BgL_testz00_24306;
																																																																														BgL_testz00_24306
																																																																															=
																																																																															BgL_arg2221z00_2623;
																																																																														BgL_proc1z00_24307
																																																																															=
																																																																															BgL_carzd234353zd2_2603;
																																																																														BgL_proc2z00_24308
																																																																															=
																																																																															BgL_carzd234359zd2_2607;
																																																																														BgL_argsz00_24309
																																																																															=
																																																																															BgL_cdrzd234339zd2_2596;
																																																																														BgL_argsz00_1812
																																																																															=
																																																																															BgL_argsz00_24309;
																																																																														BgL_proc2z00_1811
																																																																															=
																																																																															BgL_proc2z00_24308;
																																																																														BgL_proc1z00_1810
																																																																															=
																																																																															BgL_proc1z00_24307;
																																																																														BgL_testz00_1809
																																																																															=
																																																																															BgL_testz00_24306;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1813;
																																																																													}
																																																																													BgL_auxz00_24226
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24305);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd234384zd2_2624;
																																																																												BgL_cdrzd234384zd2_2624
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd234392zd2_2625;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_12974;
																																																																														BgL_pairz00_12974
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd234392zd2_2625
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_12974);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd234400zd2_2626;
																																																																														BgL_cdrzd234400zd2_2626
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd234392zd2_2625));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd234407zd2_2627;
																																																																															BgL_carzd234407zd2_2627
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd234400zd2_2626));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234407zd2_2627))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd234416zd2_2629;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_12978;
																																																																																		BgL_pairz00_12978
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd234400zd2_2626));
																																																																																		BgL_carzd234416zd2_2629
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_12978);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234416zd2_2629))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd234384zd2_2624))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg2225z00_2632;
																																																																																					BgL_arg2225z00_2632
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd234392zd2_2625));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_24331;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_24335;
																																																																																							obj_t
																																																																																								BgL_proc2z00_24334;
																																																																																							obj_t
																																																																																								BgL_proc1z00_24333;
																																																																																							obj_t
																																																																																								BgL_testz00_24332;
																																																																																							BgL_testz00_24332
																																																																																								=
																																																																																								BgL_arg2225z00_2632;
																																																																																							BgL_proc1z00_24333
																																																																																								=
																																																																																								BgL_carzd234407zd2_2627;
																																																																																							BgL_proc2z00_24334
																																																																																								=
																																																																																								BgL_carzd234416zd2_2629;
																																																																																							BgL_argsz00_24335
																																																																																								=
																																																																																								BgL_cdrzd234384zd2_2624;
																																																																																							BgL_argsz00_1817
																																																																																								=
																																																																																								BgL_argsz00_24335;
																																																																																							BgL_proc2z00_1816
																																																																																								=
																																																																																								BgL_proc2z00_24334;
																																																																																							BgL_proc1z00_1815
																																																																																								=
																																																																																								BgL_proc1z00_24333;
																																																																																							BgL_testz00_1814
																																																																																								=
																																																																																								BgL_testz00_24332;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1818;
																																																																																						}
																																																																																						BgL_auxz00_24226
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_24331);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_24339;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_24226
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_24339);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_24343;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_24226
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_24343);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_24347;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_24226
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_24347);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_24351;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_24226
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_24351);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd234694zd2_2651;
																																																																								BgL_cdrzd234694zd2_2651
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd234701zd2_2652;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_12982;
																																																																										BgL_pairz00_12982
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd234701zd2_2652
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12982);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd234708zd2_2653;
																																																																										BgL_cdrzd234708zd2_2653
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd234701zd2_2652));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd234714zd2_2654;
																																																																											obj_t
																																																																												BgL_cdrzd234715zd2_2655;
																																																																											BgL_carzd234714zd2_2654
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd234708zd2_2653));
																																																																											BgL_cdrzd234715zd2_2655
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd234708zd2_2653));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234714zd2_2654))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd234722zd2_2657;
																																																																													BgL_carzd234722zd2_2657
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd234715zd2_2655));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234722zd2_2657))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd234715zd2_2655))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd234694zd2_2651))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg2240z00_2662;
																																																																																			BgL_arg2240z00_2662
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd234701zd2_2652));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_24378;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_24382;
																																																																																					obj_t
																																																																																						BgL_proc2z00_24381;
																																																																																					obj_t
																																																																																						BgL_proc1z00_24380;
																																																																																					obj_t
																																																																																						BgL_testz00_24379;
																																																																																					BgL_testz00_24379
																																																																																						=
																																																																																						BgL_arg2240z00_2662;
																																																																																					BgL_proc1z00_24380
																																																																																						=
																																																																																						BgL_carzd234714zd2_2654;
																																																																																					BgL_proc2z00_24381
																																																																																						=
																																																																																						BgL_carzd234722zd2_2657;
																																																																																					BgL_argsz00_24382
																																																																																						=
																																																																																						BgL_cdrzd234694zd2_2651;
																																																																																					BgL_argsz00_1817
																																																																																						=
																																																																																						BgL_argsz00_24382;
																																																																																					BgL_proc2z00_1816
																																																																																						=
																																																																																						BgL_proc2z00_24381;
																																																																																					BgL_proc1z00_1815
																																																																																						=
																																																																																						BgL_proc1z00_24380;
																																																																																					BgL_testz00_1814
																																																																																						=
																																																																																						BgL_testz00_24379;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1818;
																																																																																				}
																																																																																				BgL_auxz00_24226
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_24378);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_24386;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_24226
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_24386);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_24390;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_24226
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_24390);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24394;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_24226
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24394);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24398;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_24226
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24398);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24402;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_24226
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24402);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd235055zd2_2670;
																																																																				BgL_cdrzd235055zd2_2670
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd235061zd2_2671;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_12991;
																																																																						BgL_pairz00_12991
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd235061zd2_2671
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12991);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd235067zd2_2672;
																																																																						BgL_cdrzd235067zd2_2672
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd235061zd2_2671));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd235072zd2_2673;
																																																																							obj_t
																																																																								BgL_cdrzd235073zd2_2674;
																																																																							BgL_carzd235072zd2_2673
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd235067zd2_2672));
																																																																							BgL_cdrzd235073zd2_2674
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd235067zd2_2672));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235072zd2_2673))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd235073zd2_2674))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd235078zd2_2677;
																																																																											BgL_carzd235078zd2_2677
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd235073zd2_2674);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235078zd2_2677))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd235073zd2_2674)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd235055zd2_2670))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg2254z00_2682;
																																																																																	BgL_arg2254z00_2682
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd235061zd2_2671));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_24429;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_24433;
																																																																																			obj_t
																																																																																				BgL_proc2z00_24432;
																																																																																			obj_t
																																																																																				BgL_proc1z00_24431;
																																																																																			obj_t
																																																																																				BgL_testz00_24430;
																																																																																			BgL_testz00_24430
																																																																																				=
																																																																																				BgL_arg2254z00_2682;
																																																																																			BgL_proc1z00_24431
																																																																																				=
																																																																																				BgL_carzd235072zd2_2673;
																																																																																			BgL_proc2z00_24432
																																																																																				=
																																																																																				BgL_carzd235078zd2_2677;
																																																																																			BgL_argsz00_24433
																																																																																				=
																																																																																				BgL_cdrzd235055zd2_2670;
																																																																																			BgL_argsz00_1817
																																																																																				=
																																																																																				BgL_argsz00_24433;
																																																																																			BgL_proc2z00_1816
																																																																																				=
																																																																																				BgL_proc2z00_24432;
																																																																																			BgL_proc1z00_1815
																																																																																				=
																																																																																				BgL_proc1z00_24431;
																																																																																			BgL_testz00_1814
																																																																																				=
																																																																																				BgL_testz00_24430;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1818;
																																																																																		}
																																																																																		BgL_auxz00_24226
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_24429);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_24437;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_24226
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_24437);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24441;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_24226
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24441);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24445;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_24226
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24445);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24449;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_24226
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24449);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24453;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_24226
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24453);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_24457;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_24226
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_24457);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_24461;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_24226
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_24461);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_24465;
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																																BgL_auxz00_24226
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_24465);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_24226);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				bool_t
																																																					BgL_test9452z00_24468;
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg2193z00_2579;
																																																					BgL_arg2193z00_2579
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_test9452z00_24468
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg2193z00_2579));
																																																				}
																																																				if (BgL_test9452z00_24468)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_24473;
																																																						goto
																																																							BgL_tagzd2385zd2_1800;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_24473);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_carzd235641zd2_2407;
																																																						obj_t
																																																							BgL_cdrzd235642zd2_2408;
																																																						BgL_carzd235641zd2_2407
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_cdrzd235642zd2_2408
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd235646zd2_2409;
																																																							BgL_cdrzd235646zd2_2409
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd235641zd2_2407));
																																																							if ((CAR(((obj_t) BgL_carzd235641zd2_2407)) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd235646zd2_2409))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd235649zd2_2413;
																																																											obj_t
																																																												BgL_cdrzd235650zd2_2414;
																																																											BgL_carzd235649zd2_2413
																																																												=
																																																												CAR
																																																												(BgL_cdrzd235646zd2_2409);
																																																											BgL_cdrzd235650zd2_2414
																																																												=
																																																												CDR
																																																												(BgL_cdrzd235646zd2_2409);
																																																											if (PAIRP(BgL_carzd235649zd2_2413))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(BgL_carzd235649zd2_2413)))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (PAIRP(BgL_cdrzd235650zd2_2414))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd235656zd2_2419;
																																																																	BgL_carzd235656zd2_2419
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd235650zd2_2414);
																																																																	if (PAIRP(BgL_carzd235656zd2_2419))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd235656zd2_2419))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (NULLP(CDR(BgL_cdrzd235650zd2_2414)))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd235642zd2_2408))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd235663zd2_2425;
																																																																									BgL_carzd235663zd2_2425
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd235642zd2_2408);
																																																																									if (PAIRP(BgL_carzd235663zd2_2425))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd235687zd2_2427;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_13011;
																																																																												BgL_pairz00_13011
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd235687zd2_2427
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_13011);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg2086z00_2428;
																																																																												obj_t
																																																																													BgL_arg2087z00_2429;
																																																																												obj_t
																																																																													BgL_arg2088z00_2430;
																																																																												BgL_arg2086z00_2428
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd235687zd2_2427));
																																																																												BgL_arg2087z00_2429
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd235687zd2_2427));
																																																																												BgL_arg2088z00_2430
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_24521;
																																																																													obj_t
																																																																														BgL_bodyz00_24520;
																																																																													obj_t
																																																																														BgL_varsz00_24519;
																																																																													BgL_varsz00_24519
																																																																														=
																																																																														BgL_arg2086z00_2428;
																																																																													BgL_bodyz00_24520
																																																																														=
																																																																														BgL_arg2087z00_2429;
																																																																													BgL_argsz00_24521
																																																																														=
																																																																														BgL_arg2088z00_2430;
																																																																													BgL_argsz00_1807
																																																																														=
																																																																														BgL_argsz00_24521;
																																																																													BgL_bodyz00_1806
																																																																														=
																																																																														BgL_bodyz00_24520;
																																																																													BgL_varsz00_1805
																																																																														=
																																																																														BgL_varsz00_24519;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1808;
																																																																												}
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd235642zd2_2408)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg2093z00_2434;
																																																																													BgL_arg2093z00_2434
																																																																														=
																																																																														CAR
																																																																														(BgL_carzd235649zd2_2413);
																																																																													{
																																																																														BgL_castz00_bglt
																																																																															BgL_auxz00_24526;
																																																																														{
																																																																															obj_t
																																																																																BgL_argz00_24529;
																																																																															obj_t
																																																																																BgL_bodyz00_24528;
																																																																															obj_t
																																																																																BgL_varz00_24527;
																																																																															BgL_varz00_24527
																																																																																=
																																																																																BgL_arg2093z00_2434;
																																																																															BgL_bodyz00_24528
																																																																																=
																																																																																BgL_carzd235656zd2_2419;
																																																																															BgL_argz00_24529
																																																																																=
																																																																																BgL_carzd235663zd2_2425;
																																																																															BgL_argz00_1803
																																																																																=
																																																																																BgL_argz00_24529;
																																																																															BgL_bodyz00_1802
																																																																																=
																																																																																BgL_bodyz00_24528;
																																																																															BgL_varz00_1801
																																																																																=
																																																																																BgL_varz00_24527;
																																																																															goto
																																																																																BgL_tagzd2386zd2_1804;
																																																																														}
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_24526);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd235714zd2_2435;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_13018;
																																																																														BgL_pairz00_13018
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd235714zd2_2435
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_13018);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg2094z00_2436;
																																																																														obj_t
																																																																															BgL_arg2096z00_2437;
																																																																														obj_t
																																																																															BgL_arg2097z00_2438;
																																																																														BgL_arg2094z00_2436
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd235714zd2_2435));
																																																																														BgL_arg2096z00_2437
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd235714zd2_2435));
																																																																														BgL_arg2097z00_2438
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_24542;
																																																																															obj_t
																																																																																BgL_bodyz00_24541;
																																																																															obj_t
																																																																																BgL_varsz00_24540;
																																																																															BgL_varsz00_24540
																																																																																=
																																																																																BgL_arg2094z00_2436;
																																																																															BgL_bodyz00_24541
																																																																																=
																																																																																BgL_arg2096z00_2437;
																																																																															BgL_argsz00_24542
																																																																																=
																																																																																BgL_arg2097z00_2438;
																																																																															BgL_argsz00_1807
																																																																																=
																																																																																BgL_argsz00_24542;
																																																																															BgL_bodyz00_1806
																																																																																=
																																																																																BgL_bodyz00_24541;
																																																																															BgL_varsz00_1805
																																																																																=
																																																																																BgL_varsz00_24540;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1808;
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd235740zd2_2441;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_13023;
																																																																										BgL_pairz00_13023
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd235740zd2_2441
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_13023);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg2100z00_2442;
																																																																										obj_t
																																																																											BgL_arg2101z00_2443;
																																																																										obj_t
																																																																											BgL_arg2102z00_2444;
																																																																										BgL_arg2100z00_2442
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd235740zd2_2441));
																																																																										BgL_arg2101z00_2443
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd235740zd2_2441));
																																																																										BgL_arg2102z00_2444
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_24554;
																																																																											obj_t
																																																																												BgL_bodyz00_24553;
																																																																											obj_t
																																																																												BgL_varsz00_24552;
																																																																											BgL_varsz00_24552
																																																																												=
																																																																												BgL_arg2100z00_2442;
																																																																											BgL_bodyz00_24553
																																																																												=
																																																																												BgL_arg2101z00_2443;
																																																																											BgL_argsz00_24554
																																																																												=
																																																																												BgL_arg2102z00_2444;
																																																																											BgL_argsz00_1807
																																																																												=
																																																																												BgL_argsz00_24554;
																																																																											BgL_bodyz00_1806
																																																																												=
																																																																												BgL_bodyz00_24553;
																																																																											BgL_varsz00_1805
																																																																												=
																																																																												BgL_varsz00_24552;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1808;
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd235766zd2_2446;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_13028;
																																																																								BgL_pairz00_13028
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd235766zd2_2446
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_13028);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg2104z00_2447;
																																																																								obj_t
																																																																									BgL_arg2105z00_2448;
																																																																								obj_t
																																																																									BgL_arg2106z00_2449;
																																																																								BgL_arg2104z00_2447
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd235766zd2_2446));
																																																																								BgL_arg2105z00_2448
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd235766zd2_2446));
																																																																								BgL_arg2106z00_2449
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_24566;
																																																																									obj_t
																																																																										BgL_bodyz00_24565;
																																																																									obj_t
																																																																										BgL_varsz00_24564;
																																																																									BgL_varsz00_24564
																																																																										=
																																																																										BgL_arg2104z00_2447;
																																																																									BgL_bodyz00_24565
																																																																										=
																																																																										BgL_arg2105z00_2448;
																																																																									BgL_argsz00_24566
																																																																										=
																																																																										BgL_arg2106z00_2449;
																																																																									BgL_argsz00_1807
																																																																										=
																																																																										BgL_argsz00_24566;
																																																																									BgL_bodyz00_1806
																																																																										=
																																																																										BgL_bodyz00_24565;
																																																																									BgL_varsz00_1805
																																																																										=
																																																																										BgL_varsz00_24564;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1808;
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd235792zd2_2452;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_13033;
																																																																						BgL_pairz00_13033
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd235792zd2_2452
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_13033);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg2109z00_2453;
																																																																						obj_t
																																																																							BgL_arg2110z00_2454;
																																																																						obj_t
																																																																							BgL_arg2111z00_2455;
																																																																						BgL_arg2109z00_2453
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd235792zd2_2452));
																																																																						BgL_arg2110z00_2454
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd235792zd2_2452));
																																																																						BgL_arg2111z00_2455
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_24578;
																																																																							obj_t
																																																																								BgL_bodyz00_24577;
																																																																							obj_t
																																																																								BgL_varsz00_24576;
																																																																							BgL_varsz00_24576
																																																																								=
																																																																								BgL_arg2109z00_2453;
																																																																							BgL_bodyz00_24577
																																																																								=
																																																																								BgL_arg2110z00_2454;
																																																																							BgL_argsz00_24578
																																																																								=
																																																																								BgL_arg2111z00_2455;
																																																																							BgL_argsz00_1807
																																																																								=
																																																																								BgL_argsz00_24578;
																																																																							BgL_bodyz00_1806
																																																																								=
																																																																								BgL_bodyz00_24577;
																																																																							BgL_varsz00_1805
																																																																								=
																																																																								BgL_varsz00_24576;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1808;
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd235818zd2_2457;
																																																																			BgL_cdrzd235818zd2_2457
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd235641zd2_2407));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg2113z00_2458;
																																																																				obj_t
																																																																					BgL_arg2114z00_2459;
																																																																				obj_t
																																																																					BgL_arg2115z00_2460;
																																																																				BgL_arg2113z00_2458
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd235818zd2_2457));
																																																																				BgL_arg2114z00_2459
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd235818zd2_2457));
																																																																				BgL_arg2115z00_2460
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_24589;
																																																																					obj_t
																																																																						BgL_bodyz00_24588;
																																																																					obj_t
																																																																						BgL_varsz00_24587;
																																																																					BgL_varsz00_24587
																																																																						=
																																																																						BgL_arg2113z00_2458;
																																																																					BgL_bodyz00_24588
																																																																						=
																																																																						BgL_arg2114z00_2459;
																																																																					BgL_argsz00_24589
																																																																						=
																																																																						BgL_arg2115z00_2460;
																																																																					BgL_argsz00_1807
																																																																						=
																																																																						BgL_argsz00_24589;
																																																																					BgL_bodyz00_1806
																																																																						=
																																																																						BgL_bodyz00_24588;
																																																																					BgL_varsz00_1805
																																																																						=
																																																																						BgL_varsz00_24587;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1808;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd235844zd2_2462;
																																																																	BgL_cdrzd235844zd2_2462
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd235641zd2_2407));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg2117z00_2463;
																																																																		obj_t
																																																																			BgL_arg2118z00_2464;
																																																																		obj_t
																																																																			BgL_arg2119z00_2465;
																																																																		BgL_arg2117z00_2463
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd235844zd2_2462));
																																																																		BgL_arg2118z00_2464
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd235844zd2_2462));
																																																																		BgL_arg2119z00_2465
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_24600;
																																																																			obj_t
																																																																				BgL_bodyz00_24599;
																																																																			obj_t
																																																																				BgL_varsz00_24598;
																																																																			BgL_varsz00_24598
																																																																				=
																																																																				BgL_arg2117z00_2463;
																																																																			BgL_bodyz00_24599
																																																																				=
																																																																				BgL_arg2118z00_2464;
																																																																			BgL_argsz00_24600
																																																																				=
																																																																				BgL_arg2119z00_2465;
																																																																			BgL_argsz00_1807
																																																																				=
																																																																				BgL_argsz00_24600;
																																																																			BgL_bodyz00_1806
																																																																				=
																																																																				BgL_bodyz00_24599;
																																																																			BgL_varsz00_1805
																																																																				=
																																																																				BgL_varsz00_24598;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1808;
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd235870zd2_2467;
																																																															BgL_cdrzd235870zd2_2467
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd235641zd2_2407));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg2121z00_2468;
																																																																obj_t
																																																																	BgL_arg2122z00_2469;
																																																																obj_t
																																																																	BgL_arg2123z00_2470;
																																																																BgL_arg2121z00_2468
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd235870zd2_2467));
																																																																BgL_arg2122z00_2469
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd235870zd2_2467));
																																																																BgL_arg2123z00_2470
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_24611;
																																																																	obj_t
																																																																		BgL_bodyz00_24610;
																																																																	obj_t
																																																																		BgL_varsz00_24609;
																																																																	BgL_varsz00_24609
																																																																		=
																																																																		BgL_arg2121z00_2468;
																																																																	BgL_bodyz00_24610
																																																																		=
																																																																		BgL_arg2122z00_2469;
																																																																	BgL_argsz00_24611
																																																																		=
																																																																		BgL_arg2123z00_2470;
																																																																	BgL_argsz00_1807
																																																																		=
																																																																		BgL_argsz00_24611;
																																																																	BgL_bodyz00_1806
																																																																		=
																																																																		BgL_bodyz00_24610;
																																																																	BgL_varsz00_1805
																																																																		=
																																																																		BgL_varsz00_24609;
																																																																	goto
																																																																		BgL_tagzd2387zd2_1808;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd235896zd2_2473;
																																																													BgL_cdrzd235896zd2_2473
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd235641zd2_2407));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg2126z00_2474;
																																																														obj_t
																																																															BgL_arg2127z00_2475;
																																																														obj_t
																																																															BgL_arg2128z00_2476;
																																																														BgL_arg2126z00_2474
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd235896zd2_2473));
																																																														BgL_arg2127z00_2475
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd235896zd2_2473));
																																																														BgL_arg2128z00_2476
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_24622;
																																																															obj_t
																																																																BgL_bodyz00_24621;
																																																															obj_t
																																																																BgL_varsz00_24620;
																																																															BgL_varsz00_24620
																																																																=
																																																																BgL_arg2126z00_2474;
																																																															BgL_bodyz00_24621
																																																																=
																																																																BgL_arg2127z00_2475;
																																																															BgL_argsz00_24622
																																																																=
																																																																BgL_arg2128z00_2476;
																																																															BgL_argsz00_1807
																																																																=
																																																																BgL_argsz00_24622;
																																																															BgL_bodyz00_1806
																																																																=
																																																																BgL_bodyz00_24621;
																																																															BgL_varsz00_1805
																																																																=
																																																																BgL_varsz00_24620;
																																																															goto
																																																																BgL_tagzd2387zd2_1808;
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_24625;
																																																													goto
																																																														BgL_tagzd2404zd2_1842;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_24625);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2405zd2_1843;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd236034zd2_2481;
																																																									BgL_cdrzd236034zd2_2481
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd235641zd2_2407));
																																																									if ((CAR(((obj_t) BgL_carzd235641zd2_2407)) == CNST_TABLE_REF(((long) 1))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd236034zd2_2481))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd236039zd2_2485;
																																																													BgL_cdrzd236039zd2_2485
																																																														=
																																																														CDR
																																																														(BgL_cdrzd236034zd2_2481);
																																																													if (PAIRP(BgL_cdrzd236039zd2_2485))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd236043zd2_2487;
																																																															obj_t
																																																																BgL_cdrzd236044zd2_2488;
																																																															BgL_carzd236043zd2_2487
																																																																=
																																																																CAR
																																																																(BgL_cdrzd236039zd2_2485);
																																																															BgL_cdrzd236044zd2_2488
																																																																=
																																																																CDR
																																																																(BgL_cdrzd236039zd2_2485);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236043zd2_2487))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (PAIRP(BgL_cdrzd236044zd2_2488))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd236049zd2_2491;
																																																																			BgL_carzd236049zd2_2491
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd236044zd2_2488);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236049zd2_2491))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (NULLP(CDR(BgL_cdrzd236044zd2_2488)))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test9472z00_24651;
																																																																							{
																																																																								obj_t
																																																																									BgL_l1443z00_2524;
																																																																								BgL_l1443z00_2524
																																																																									=
																																																																									BgL_cdrzd235642zd2_2408;
																																																																							BgL_zc3z04anonymousza32156ze3z87_2525:
																																																																								if (NULLP(BgL_l1443z00_2524))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test9472z00_24651
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9474z00_24654;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test9475z00_24655;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_tmpz00_24656;
																																																																												BgL_tmpz00_24656
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_l1443z00_2524));
																																																																												BgL_test9475z00_24655
																																																																													=
																																																																													PAIRP
																																																																													(BgL_tmpz00_24656);
																																																																											}
																																																																											if (BgL_test9475z00_24655)
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9474z00_24654
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9474z00_24654
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																										}
																																																																										if (BgL_test9474z00_24654)
																																																																											{
																																																																												obj_t
																																																																													BgL_l1443z00_24660;
																																																																												BgL_l1443z00_24660
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_l1443z00_2524));
																																																																												BgL_l1443z00_2524
																																																																													=
																																																																													BgL_l1443z00_24660;
																																																																												goto
																																																																													BgL_zc3z04anonymousza32156ze3z87_2525;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9472z00_24651
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																							if (BgL_test9472z00_24651)
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_24667;
																																																																									obj_t
																																																																										BgL_proc2z00_24666;
																																																																									obj_t
																																																																										BgL_proc1z00_24665;
																																																																									obj_t
																																																																										BgL_testz00_24663;
																																																																									BgL_testz00_24663
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd236034zd2_2481);
																																																																									BgL_proc1z00_24665
																																																																										=
																																																																										BgL_carzd236043zd2_2487;
																																																																									BgL_proc2z00_24666
																																																																										=
																																																																										BgL_carzd236049zd2_2491;
																																																																									BgL_argsz00_24667
																																																																										=
																																																																										BgL_cdrzd235642zd2_2408;
																																																																									BgL_argsz00_1812
																																																																										=
																																																																										BgL_argsz00_24667;
																																																																									BgL_proc2z00_1811
																																																																										=
																																																																										BgL_proc2z00_24666;
																																																																									BgL_proc1z00_1810
																																																																										=
																																																																										BgL_proc1z00_24665;
																																																																									BgL_testz00_1809
																																																																										=
																																																																										BgL_testz00_24663;
																																																																									goto
																																																																										BgL_tagzd2388zd2_1813;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd236074zd2_2508;
																																																																									BgL_cdrzd236074zd2_2508
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd236082zd2_2509;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_13071;
																																																																											BgL_pairz00_13071
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd236082zd2_2509
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_13071);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd236090zd2_2510;
																																																																											BgL_cdrzd236090zd2_2510
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd236082zd2_2509));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd236097zd2_2511;
																																																																												BgL_carzd236097zd2_2511
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd236090zd2_2510));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236097zd2_2511))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd236106zd2_2513;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_13075;
																																																																															BgL_pairz00_13075
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd236090zd2_2510));
																																																																															BgL_carzd236106zd2_2513
																																																																																=
																																																																																CAR
																																																																																(BgL_pairz00_13075);
																																																																														}
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236106zd2_2513))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236074zd2_2508))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg2150z00_2516;
																																																																																		BgL_arg2150z00_2516
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd236082zd2_2509));
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_24691;
																																																																																			obj_t
																																																																																				BgL_proc2z00_24690;
																																																																																			obj_t
																																																																																				BgL_proc1z00_24689;
																																																																																			obj_t
																																																																																				BgL_testz00_24688;
																																																																																			BgL_testz00_24688
																																																																																				=
																																																																																				BgL_arg2150z00_2516;
																																																																																			BgL_proc1z00_24689
																																																																																				=
																																																																																				BgL_carzd236097zd2_2511;
																																																																																			BgL_proc2z00_24690
																																																																																				=
																																																																																				BgL_carzd236106zd2_2513;
																																																																																			BgL_argsz00_24691
																																																																																				=
																																																																																				BgL_cdrzd236074zd2_2508;
																																																																																			BgL_argsz00_1817
																																																																																				=
																																																																																				BgL_argsz00_24691;
																																																																																			BgL_proc2z00_1816
																																																																																				=
																																																																																				BgL_proc2z00_24690;
																																																																																			BgL_proc1z00_1815
																																																																																				=
																																																																																				BgL_proc1z00_24689;
																																																																																			BgL_testz00_1814
																																																																																				=
																																																																																				BgL_testz00_24688;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1818;
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_auxz00_24694;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																				return
																																																																																					(
																																																																																					(BgL_nodez00_bglt)
																																																																																					BgL_auxz00_24694);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_auxz00_24698;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																		return
																																																																																			(
																																																																																			(BgL_nodez00_bglt)
																																																																																			BgL_auxz00_24698);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_24702;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_24702);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_24706;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_24706);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd236384zd2_2535;
																																																																					BgL_cdrzd236384zd2_2535
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd236391zd2_2536;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_13079;
																																																																							BgL_pairz00_13079
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd236391zd2_2536
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_13079);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd236398zd2_2537;
																																																																							BgL_cdrzd236398zd2_2537
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd236391zd2_2536));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd236404zd2_2538;
																																																																								obj_t
																																																																									BgL_cdrzd236405zd2_2539;
																																																																								BgL_carzd236404zd2_2538
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd236398zd2_2537));
																																																																								BgL_cdrzd236405zd2_2539
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd236398zd2_2537));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236404zd2_2538))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd236412zd2_2541;
																																																																										BgL_carzd236412zd2_2541
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd236405zd2_2539));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236412zd2_2541))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(((obj_t) BgL_cdrzd236405zd2_2539))))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236384zd2_2535))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg2165z00_2546;
																																																																																BgL_arg2165z00_2546
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd236391zd2_2536));
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_24736;
																																																																																	obj_t
																																																																																		BgL_proc2z00_24735;
																																																																																	obj_t
																																																																																		BgL_proc1z00_24734;
																																																																																	obj_t
																																																																																		BgL_testz00_24733;
																																																																																	BgL_testz00_24733
																																																																																		=
																																																																																		BgL_arg2165z00_2546;
																																																																																	BgL_proc1z00_24734
																																																																																		=
																																																																																		BgL_carzd236404zd2_2538;
																																																																																	BgL_proc2z00_24735
																																																																																		=
																																																																																		BgL_carzd236412zd2_2541;
																																																																																	BgL_argsz00_24736
																																																																																		=
																																																																																		BgL_cdrzd236384zd2_2535;
																																																																																	BgL_argsz00_1817
																																																																																		=
																																																																																		BgL_argsz00_24736;
																																																																																	BgL_proc2z00_1816
																																																																																		=
																																																																																		BgL_proc2z00_24735;
																																																																																	BgL_proc1z00_1815
																																																																																		=
																																																																																		BgL_proc1z00_24734;
																																																																																	BgL_testz00_1814
																																																																																		=
																																																																																		BgL_testz00_24733;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1818;
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_auxz00_24739;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																		return
																																																																																			(
																																																																																			(BgL_nodez00_bglt)
																																																																																			BgL_auxz00_24739);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_24743;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_24743);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_24747;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_24747);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_24751;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_24751);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_24755;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_24755);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd236745zd2_2554;
																																																																	BgL_cdrzd236745zd2_2554
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd236751zd2_2555;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_13088;
																																																																			BgL_pairz00_13088
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd236751zd2_2555
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_13088);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd236757zd2_2556;
																																																																			BgL_cdrzd236757zd2_2556
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd236751zd2_2555));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd236762zd2_2557;
																																																																				obj_t
																																																																					BgL_cdrzd236763zd2_2558;
																																																																				BgL_carzd236762zd2_2557
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd236757zd2_2556));
																																																																				BgL_cdrzd236763zd2_2558
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd236757zd2_2556));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236762zd2_2557))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (PAIRP(BgL_cdrzd236763zd2_2558))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd236768zd2_2561;
																																																																								BgL_carzd236768zd2_2561
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd236763zd2_2558);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236768zd2_2561))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(BgL_cdrzd236763zd2_2558)))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236745zd2_2554))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg2179z00_2566;
																																																																														BgL_arg2179z00_2566
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd236751zd2_2555));
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_24785;
																																																																															obj_t
																																																																																BgL_proc2z00_24784;
																																																																															obj_t
																																																																																BgL_proc1z00_24783;
																																																																															obj_t
																																																																																BgL_testz00_24782;
																																																																															BgL_testz00_24782
																																																																																=
																																																																																BgL_arg2179z00_2566;
																																																																															BgL_proc1z00_24783
																																																																																=
																																																																																BgL_carzd236762zd2_2557;
																																																																															BgL_proc2z00_24784
																																																																																=
																																																																																BgL_carzd236768zd2_2561;
																																																																															BgL_argsz00_24785
																																																																																=
																																																																																BgL_cdrzd236745zd2_2554;
																																																																															BgL_argsz00_1817
																																																																																=
																																																																																BgL_argsz00_24785;
																																																																															BgL_proc2z00_1816
																																																																																=
																																																																																BgL_proc2z00_24784;
																																																																															BgL_proc1z00_1815
																																																																																=
																																																																																BgL_proc1z00_24783;
																																																																															BgL_testz00_1814
																																																																																=
																																																																																BgL_testz00_24782;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1818;
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_24788;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_24788);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_24792;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_24792);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_24796;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_24796);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_24800;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_24800);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_24804;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_24804);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_24808;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_24808);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_24812;
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_24812);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_24816;
																																																													goto
																																																														BgL_tagzd2404zd2_1842;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_24816);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2405zd2_1843;
																																																												}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_cdrzd237305zd2_2973;
																																					BgL_cdrzd237305zd2_2973
																																						=
																																						CDR(
																																						((obj_t) BgL_expz00_21));
																																					{

																																						if (
																																							(BgL_carzd231076zd2_2394
																																								==
																																								CNST_TABLE_REF
																																								(((long) 18))))
																																							{
																																								obj_t
																																									BgL_auxz00_24823;
																																							BgL_kapzd237306zd2_2974:
																																								if (PAIRP(BgL_cdrzd237305zd2_2973))
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_arg2581z00_3068;
																																										obj_t
																																											BgL_arg2582z00_3069;
																																										BgL_arg2581z00_3068
																																											=
																																											CAR
																																											(BgL_cdrzd237305zd2_2973);
																																										BgL_arg2582z00_3069
																																											=
																																											CDR
																																											(BgL_cdrzd237305zd2_2973);
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_24828;
																																											{
																																												obj_t
																																													BgL_exprz00_24830;
																																												obj_t
																																													BgL_bindingsz00_24829;
																																												BgL_bindingsz00_24829
																																													=
																																													BgL_arg2581z00_3068;
																																												BgL_exprz00_24830
																																													=
																																													BgL_arg2582z00_3069;
																																												BgL_exprz00_1797
																																													=
																																													BgL_exprz00_24830;
																																												BgL_bindingsz00_1796
																																													=
																																													BgL_bindingsz00_24829;
																																												goto
																																													BgL_tagzd2383zd2_1798;
																																											}
																																											BgL_auxz00_24823
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_24828);
																																										}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_24837;
																																												goto
																																													BgL_tagzd2384zd2_1799;
																																												BgL_auxz00_24823
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_24837);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_carzd237339zd2_3072;
																																												BgL_carzd237339zd2_3072
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												if ((BgL_carzd237339zd2_3072 == CNST_TABLE_REF(((long) 20))))
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_24844;
																																														goto
																																															BgL_tagzd2385zd2_1800;
																																														BgL_auxz00_24823
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_24844);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd237339zd2_3072)))
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_24849;
																																																goto
																																																	BgL_tagzd2385zd2_1800;
																																																BgL_auxz00_24823
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_24849);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_24856;
																																																		goto
																																																			BgL_tagzd2390zd2_1819;
																																																		BgL_auxz00_24823
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24856);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_24863;
																																																				goto
																																																					BgL_tagzd2391zd2_1820;
																																																				BgL_auxz00_24823
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_24863);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_24870;
																																																						goto
																																																							BgL_tagzd2393zd2_1824;
																																																						BgL_auxz00_24823
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_24870);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_24877;
																																																								goto
																																																									BgL_tagzd2394zd2_1825;
																																																								BgL_auxz00_24823
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_24877);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_24884;
																																																										goto
																																																											BgL_tagzd2396zd2_1829;
																																																										BgL_auxz00_24823
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_24884);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_24891;
																																																												goto
																																																													BgL_tagzd2397zd2_1830;
																																																												BgL_auxz00_24823
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_24891);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																													{
																																																														BgL_letzd2funzd2_bglt
																																																															BgL_auxz00_24898;
																																																														goto
																																																															BgL_tagzd2398zd2_1831;
																																																														BgL_auxz00_24823
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_24898);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																															{
																																																																BgL_jumpzd2exzd2itz00_bglt
																																																																	BgL_auxz00_24905;
																																																																goto
																																																																	BgL_tagzd2399zd2_1832;
																																																																BgL_auxz00_24823
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_24905);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_24915;
																																																																				goto
																																																																					BgL_tagzd2403zd2_1841;
																																																																				BgL_auxz00_24823
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_24915);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_24919;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_24823
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_24919);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_24923;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_24823
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_24923);
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_24823);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd231076zd2_2394)))
																																									{
																																										obj_t
																																											BgL_auxz00_24929;
																																										goto
																																											BgL_kapzd237306zd2_2974;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_24929);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd231076zd2_2394 == CNST_TABLE_REF(((long) 19))))
																																											{
																																												obj_t
																																													BgL_auxz00_24934;
																																												goto
																																													BgL_kapzd237306zd2_2974;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_24934);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_tagzd2384zd2_1799;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_carzd237500zd2_2978;
																																														BgL_carzd237500zd2_2978
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														if ((BgL_carzd237500zd2_2978 == CNST_TABLE_REF(((long) 20))))
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_24946;
																																																goto
																																																	BgL_tagzd2385zd2_1800;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_24946);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd237500zd2_2978)))
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_24951;
																																																		goto
																																																			BgL_tagzd2385zd2_1800;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_24951);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd2390zd2_1819;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_tagzd2391zd2_1820;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd237579zd2_2984;
																																																						BgL_cdrzd237579zd2_2984
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (PAIRP(BgL_cdrzd237579zd2_2984))
																																																									{
																																																										obj_t
																																																											BgL_restz00_24974;
																																																										obj_t
																																																											BgL_effectz00_24972;
																																																										BgL_effectz00_24972
																																																											=
																																																											CAR
																																																											(BgL_cdrzd237579zd2_2984);
																																																										BgL_restz00_24974
																																																											=
																																																											CDR
																																																											(BgL_cdrzd237579zd2_2984);
																																																										BgL_restz00_1822
																																																											=
																																																											BgL_restz00_24974;
																																																										BgL_effectz00_1821
																																																											=
																																																											BgL_effectz00_24972;
																																																										goto
																																																											BgL_tagzd2392zd2_1823;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{
																																																												obj_t
																																																													BgL_auxz00_24978;
																																																												goto
																																																													BgL_tagzd2404zd2_1842;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_24978);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2405zd2_1843;
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2393zd2_1824;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2394zd2_1825;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd237579zd2_2984))
																																																															{
																																																																obj_t
																																																																	BgL_restz00_24999;
																																																																obj_t
																																																																	BgL_effectz00_24997;
																																																																BgL_effectz00_24997
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd237579zd2_2984);
																																																																BgL_restz00_24999
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd237579zd2_2984);
																																																																BgL_restz00_1827
																																																																	=
																																																																	BgL_restz00_24999;
																																																																BgL_effectz00_1826
																																																																	=
																																																																	BgL_effectz00_24997;
																																																																goto
																																																																	BgL_tagzd2395zd2_1828;
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_25003;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_25003);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2396zd2_1829;
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2397zd2_1830;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																			{
																																																																				BgL_letzd2funzd2_bglt
																																																																					BgL_auxz00_25020;
																																																																				goto
																																																																					BgL_tagzd2398zd2_1831;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_25020);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																					{
																																																																						BgL_jumpzd2exzd2itz00_bglt
																																																																							BgL_auxz00_25027;
																																																																						goto
																																																																							BgL_tagzd2399zd2_1832;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_25027);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd237706zd2_3010;
																																																																						BgL_cdrzd237706zd2_3010
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 31))))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (PAIRP(BgL_cdrzd237706zd2_3010))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd237708zd2_3014;
																																																																										BgL_cdrzd237708zd2_3014
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd237706zd2_3010);
																																																																										if (PAIRP(BgL_cdrzd237708zd2_3014))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(BgL_cdrzd237708zd2_3014)))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2400zd2_1833;
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_25046;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_25046);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_25050;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_25050);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_25054;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_25054);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (PAIRP(BgL_cdrzd237706zd2_3010))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd237753zd2_3026;
																																																																												BgL_cdrzd237753zd2_3026
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd237706zd2_3010);
																																																																												if (PAIRP(BgL_cdrzd237753zd2_3026))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd237758zd2_3028;
																																																																														BgL_cdrzd237758zd2_3028
																																																																															=
																																																																															CDR
																																																																															(BgL_cdrzd237753zd2_3026);
																																																																														if ((CAR(BgL_cdrzd237753zd2_3026) == CNST_TABLE_REF(((long) 32))))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (PAIRP(BgL_cdrzd237758zd2_3028))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg2533z00_3032;
																																																																																		obj_t
																																																																																			BgL_arg2534z00_3033;
																																																																																		obj_t
																																																																																			BgL_arg2535z00_3034;
																																																																																		BgL_arg2533z00_3032
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd237706zd2_3010);
																																																																																		BgL_arg2534z00_3033
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd237758zd2_3028);
																																																																																		BgL_arg2535z00_3034
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd237758zd2_3028);
																																																																																		return
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_arg2533z00_3032,
																																																																																			BgL_arg2534z00_3033,
																																																																																			BgL_arg2535z00_3034,
																																																																																			BgL_stackz00_22,
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_locz00_23),
																																																																																			BgL_sitez00_24);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd237771zd2_3035;
																																																																																		BgL_cdrzd237771zd2_3035
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg2536z00_3036;
																																																																																			obj_t
																																																																																				BgL_arg2538z00_3037;
																																																																																			BgL_arg2536z00_3036
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd237771zd2_3035));
																																																																																			BgL_arg2538z00_3037
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd237771zd2_3035));
																																																																																			{	/* Ast/sexp.scm 564 */
																																																																																				obj_t
																																																																																					BgL_arg7616z00_13145;
																																																																																				BgL_arg7616z00_13145
																																																																																					=
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(BgL_expz00_21,
																																																																																					BgL_locz00_23);
																																																																																				return
																																																																																					BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																					(BgL_expz00_21,
																																																																																					BgL_arg2536z00_3036,
																																																																																					CNST_TABLE_REF
																																																																																					(((long) 4)), BgL_arg2538z00_3037, BgL_stackz00_22, BgL_arg7616z00_13145, BgL_sitez00_24);
																																																																															}}}}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd237786zd2_3038;
																																																																																BgL_cdrzd237786zd2_3038
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg2542z00_3039;
																																																																																	obj_t
																																																																																		BgL_arg2543z00_3040;
																																																																																	BgL_arg2542z00_3039
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd237786zd2_3038));
																																																																																	BgL_arg2543z00_3040
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd237786zd2_3038));
																																																																																	{	/* Ast/sexp.scm 564 */
																																																																																		obj_t
																																																																																			BgL_arg7616z00_13149;
																																																																																		BgL_arg7616z00_13149
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		return
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_arg2542z00_3039,
																																																																																			CNST_TABLE_REF
																																																																																			(((long) 4)), BgL_arg2543z00_3040, BgL_stackz00_22, BgL_arg7616z00_13149, BgL_sitez00_24);
																																																																													}}}}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd237801zd2_3042;
																																																																														BgL_cdrzd237801zd2_3042
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg2548z00_3043;
																																																																															obj_t
																																																																																BgL_arg2551z00_3044;
																																																																															BgL_arg2548z00_3043
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd237801zd2_3042));
																																																																															BgL_arg2551z00_3044
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd237801zd2_3042));
																																																																															{	/* Ast/sexp.scm 564 */
																																																																																obj_t
																																																																																	BgL_arg7616z00_13153;
																																																																																BgL_arg7616z00_13153
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																return
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_arg2548z00_3043,
																																																																																	CNST_TABLE_REF
																																																																																	(((long) 4)), BgL_arg2551z00_3044, BgL_stackz00_22, BgL_arg7616z00_13153, BgL_sitez00_24);
																																																																											}}}}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_25107;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_25107);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1841;
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_25119;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_25119);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_25123;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_25123);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																													}
																																																																											}
																																																																									}
																																																																							}
																																																																					}
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 119 */
												if (
													(BgL_carzd2479zd2_1848 ==
														CNST_TABLE_REF(((long) 11))))
													{	/* Ast/sexp.scm 119 */
														goto BgL_tagzd2371zd2_1775;
													}
												else
													{	/* Ast/sexp.scm 119 */
														if (
															(CAR(
																	((obj_t) BgL_expz00_21)) ==
																CNST_TABLE_REF(((long) 14))))
															{	/* Ast/sexp.scm 119 */
																obj_t BgL_arg4629z00_5617;

																BgL_arg4629z00_5617 =
																	CDR(((obj_t) BgL_expz00_21));
																{
																	obj_t BgL_lz00_25135;

																	BgL_lz00_25135 = BgL_arg4629z00_5617;
																	BgL_lz00_1776 = BgL_lz00_25135;
																	goto BgL_tagzd2372zd2_1777;
																}
															}
														else
															{	/* Ast/sexp.scm 119 */
																if (
																	(CAR(
																			((obj_t) BgL_expz00_21)) ==
																		CNST_TABLE_REF(((long) 12))))
																	{	/* Ast/sexp.scm 119 */
																		goto BgL_tagzd2373zd2_1778;
																	}
																else
																	{	/* Ast/sexp.scm 119 */
																		if (
																			(CAR(
																					((obj_t) BgL_expz00_21)) ==
																				CNST_TABLE_REF(((long) 15))))
																			{	/* Ast/sexp.scm 119 */
																				if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																					{	/* Ast/sexp.scm 119 */
																						goto BgL_tagzd2374zd2_1779;
																					}
																				else
																					{	/* Ast/sexp.scm 119 */
																						obj_t BgL_arg4636z00_5624;

																						BgL_arg4636z00_5624 =
																							CDR(((obj_t) BgL_expz00_21));
																						{
																							BgL_sequencez00_bglt
																								BgL_auxz00_25152;
																							{
																								obj_t BgL_bodyz00_25153;

																								BgL_bodyz00_25153 =
																									BgL_arg4636z00_5624;
																								BgL_bodyz00_1780 =
																									BgL_bodyz00_25153;
																								goto BgL_tagzd2375zd2_1781;
																							}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_25152);
																						}
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 119 */
																				obj_t BgL_carzd237949zd2_5626;
																				obj_t BgL_cdrzd237950zd2_5627;

																				BgL_carzd237949zd2_5626 =
																					CAR(((obj_t) BgL_expz00_21));
																				BgL_cdrzd237950zd2_5627 =
																					CDR(((obj_t) BgL_expz00_21));
																				{

																					if (
																						(BgL_carzd237949zd2_5626 ==
																							CNST_TABLE_REF(((long) 1))))
																						{
																							obj_t BgL_auxz00_25162;

																						BgL_kapzd237951zd2_5628:
																							if (PAIRP
																								(BgL_cdrzd237950zd2_5627))
																								{	/* Ast/sexp.scm 119 */
																									obj_t BgL_cdrzd237954zd2_6866;

																									BgL_cdrzd237954zd2_6866 =
																										CDR
																										(BgL_cdrzd237950zd2_5627);
																									if (PAIRP
																										(BgL_cdrzd237954zd2_6866))
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_cdrzd237957zd2_6868;
																											BgL_cdrzd237957zd2_6868 =
																												CDR
																												(BgL_cdrzd237954zd2_6866);
																											if ((CAR
																													(BgL_cdrzd237954zd2_6866)
																													== BTRUE))
																												{	/* Ast/sexp.scm 119 */
																													if (PAIRP
																														(BgL_cdrzd237957zd2_6868))
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR
																																	(BgL_cdrzd237957zd2_6868)
																																	== BFALSE))
																																{	/* Ast/sexp.scm 119 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd237957zd2_6868)))
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(BgL_sitez00_24
																																					==
																																					CNST_TABLE_REF
																																					(((long) 8))))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_arg5486z00_6878;
																																					BgL_arg5486z00_6878
																																						=
																																						CAR
																																						(BgL_cdrzd237950zd2_5627);
																																					BgL_auxz00_25162
																																						=
																																						(
																																						(obj_t)
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(BgL_arg5486z00_6878,
																																							BgL_stackz00_22,
																																							BgL_locz00_23,
																																							BgL_sitez00_24));
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd237976zd2_6879;
																																					BgL_carzd237976zd2_6879
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd237976zd2_6879
																																							==
																																							CNST_TABLE_REF
																																							(((long) 1))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_25191;
																																							goto
																																								BgL_tagzd2377zd2_1784;
																																							BgL_auxz00_25162
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_25191);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((BgL_carzd237976zd2_6879 == BGl_za2ifza2z00zzast_sexpz00))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_25195;
																																									goto
																																										BgL_tagzd2377zd2_1784;
																																									BgL_auxz00_25162
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_25195);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_25202;
																																											goto
																																												BgL_tagzd2379zd2_1788;
																																											BgL_auxz00_25162
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_25202);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_25209;
																																													goto
																																														BgL_tagzd2380zd2_1789;
																																													BgL_auxz00_25162
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_25209);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd238047zd2_6885;
																																													BgL_cdrzd238047zd2_6885
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg5494z00_6888;
																																															obj_t
																																																BgL_arg5495z00_6889;
																																															BgL_arg5494z00_6888
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd238047zd2_6885));
																																															BgL_arg5495z00_6889
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd238047zd2_6885));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_25222;
																																																{
																																																	obj_t
																																																		BgL_exprz00_25224;
																																																	obj_t
																																																		BgL_bindingsz00_25223;
																																																	BgL_bindingsz00_25223
																																																		=
																																																		BgL_arg5494z00_6888;
																																																	BgL_exprz00_25224
																																																		=
																																																		BgL_arg5495z00_6889;
																																																	BgL_exprz00_1791
																																																		=
																																																		BgL_exprz00_25224;
																																																	BgL_bindingsz00_1790
																																																		=
																																																		BgL_bindingsz00_25223;
																																																	goto
																																																		BgL_tagzd2381zd2_1792;
																																																}
																																																BgL_auxz00_25162
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_25222);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd238072zd2_6890;
																																															BgL_carzd238072zd2_6890
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if (PAIRP(BgL_carzd238072zd2_6890))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd238075zd2_6892;
																																																	obj_t
																																																		BgL_cdrzd238076zd2_6893;
																																																	BgL_carzd238075zd2_6892
																																																		=
																																																		CAR
																																																		(BgL_carzd238072zd2_6890);
																																																	BgL_cdrzd238076zd2_6893
																																																		=
																																																		CDR
																																																		(BgL_carzd238072zd2_6890);
																																																	{

																																																		if ((BgL_carzd238075zd2_6892 == CNST_TABLE_REF(((long) 18))))
																																																			{	/* Ast/sexp.scm 119 */
																																																			BgL_kapzd238077zd2_6894:
																																																				if (PAIRP(BgL_cdrzd238076zd2_6893))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd238080zd2_7016;
																																																						BgL_cdrzd238080zd2_7016
																																																							=
																																																							CDR
																																																							(BgL_cdrzd238076zd2_6893);
																																																						if (PAIRP(BgL_cdrzd238080zd2_7016))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (NULLP(CDR(BgL_cdrzd238080zd2_7016)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5578z00_7020;
																																																										obj_t
																																																											BgL_arg5579z00_7021;
																																																										BgL_arg5578z00_7020
																																																											=
																																																											CAR
																																																											(BgL_cdrzd238080zd2_7016);
																																																										BgL_arg5579z00_7021
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_25246;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_25248;
																																																												obj_t
																																																													BgL_bodyz00_25247;
																																																												BgL_bodyz00_25247
																																																													=
																																																													BgL_arg5578z00_7020;
																																																												BgL_argsz00_25248
																																																													=
																																																													BgL_arg5579z00_7021;
																																																												BgL_argsz00_1794
																																																													=
																																																													BgL_argsz00_25248;
																																																												BgL_bodyz00_1793
																																																													=
																																																													BgL_bodyz00_25247;
																																																												goto
																																																													BgL_tagzd2382zd2_1795;
																																																											}
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_25246);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd238104zd2_7022;
																																																										BgL_cdrzd238104zd2_7022
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test9581z00_25252;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5648z00_7133;
																																																												BgL_arg5648z00_7133
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test9581z00_25252
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg5648z00_7133));
																																																											}
																																																											if (BgL_test9581z00_25252)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg5582z00_7025;
																																																													obj_t
																																																														BgL_arg5583z00_7026;
																																																													BgL_arg5582z00_7025
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd238104zd2_7022));
																																																													BgL_arg5583z00_7026
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd238104zd2_7022));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_25261;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_25263;
																																																															obj_t
																																																																BgL_bindingsz00_25262;
																																																															BgL_bindingsz00_25262
																																																																=
																																																																BgL_arg5582z00_7025;
																																																															BgL_exprz00_25263
																																																																=
																																																																BgL_arg5583z00_7026;
																																																															BgL_exprz00_1797
																																																																=
																																																																BgL_exprz00_25263;
																																																															BgL_bindingsz00_1796
																																																																=
																																																																BgL_bindingsz00_25262;
																																																															goto
																																																																BgL_tagzd2383zd2_1798;
																																																														}
																																																														BgL_auxz00_25162
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_25261);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test9582z00_25265;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5647z00_7132;
																																																														BgL_arg5647z00_7132
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test9582z00_25265
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg5647z00_7132));
																																																													}
																																																													if (BgL_test9582z00_25265)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_25270;
																																																															goto
																																																																BgL_tagzd2385zd2_1800;
																																																															BgL_auxz00_25162
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_25270);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd238171zd2_7029;
																																																															BgL_carzd238171zd2_7029
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd238176zd2_7030;
																																																																BgL_cdrzd238176zd2_7030
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd238171zd2_7029));
																																																																if ((CAR(((obj_t) BgL_carzd238171zd2_7029)) == CNST_TABLE_REF(((long) 3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg5588z00_7033;
																																																																		obj_t
																																																																			BgL_arg5589z00_7034;
																																																																		obj_t
																																																																			BgL_arg5590z00_7035;
																																																																		BgL_arg5588z00_7033
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd238176zd2_7030));
																																																																		BgL_arg5589z00_7034
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd238176zd2_7030));
																																																																		BgL_arg5590z00_7035
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_25287;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_25290;
																																																																				obj_t
																																																																					BgL_bodyz00_25289;
																																																																				obj_t
																																																																					BgL_varsz00_25288;
																																																																				BgL_varsz00_25288
																																																																					=
																																																																					BgL_arg5588z00_7033;
																																																																				BgL_bodyz00_25289
																																																																					=
																																																																					BgL_arg5589z00_7034;
																																																																				BgL_argsz00_25290
																																																																					=
																																																																					BgL_arg5590z00_7035;
																																																																				BgL_argsz00_1807
																																																																					=
																																																																					BgL_argsz00_25290;
																																																																				BgL_bodyz00_1806
																																																																					=
																																																																					BgL_bodyz00_25289;
																																																																				BgL_varsz00_1805
																																																																					=
																																																																					BgL_varsz00_25288;
																																																																				goto
																																																																					BgL_tagzd2387zd2_1808;
																																																																			}
																																																																			BgL_auxz00_25162
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_25287);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd238199zd2_7037;
																																																																		BgL_cdrzd238199zd2_7037
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd238205zd2_7038;
																																																																			BgL_cdrzd238205zd2_7038
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd238171zd2_7029));
																																																																			if ((CAR(((obj_t) BgL_carzd238171zd2_7029)) == CNST_TABLE_REF(((long) 1))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd238211zd2_7041;
																																																																					BgL_cdrzd238211zd2_7041
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd238205zd2_7038));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd238216zd2_7042;
																																																																						obj_t
																																																																							BgL_cdrzd238217zd2_7043;
																																																																						BgL_carzd238216zd2_7042
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd238211zd2_7041));
																																																																						BgL_cdrzd238217zd2_7043
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd238211zd2_7041));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238216zd2_7042))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (PAIRP(BgL_cdrzd238217zd2_7043))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd238224zd2_7046;
																																																																										BgL_carzd238224zd2_7046
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd238217zd2_7043);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238224zd2_7046))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(BgL_cdrzd238217zd2_7043)))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test9589z00_25317;
																																																																														{
																																																																															obj_t
																																																																																BgL_l1446z00_7079;
																																																																															BgL_l1446z00_7079
																																																																																=
																																																																																BgL_cdrzd238199zd2_7037;
																																																																														BgL_zc3z04anonymousza35613ze3z87_7080:
																																																																															if (NULLP(BgL_l1446z00_7079))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test9589z00_25317
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test9591z00_25320;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		bool_t
																																																																																			BgL_test9592z00_25321;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_tmpz00_25322;
																																																																																			BgL_tmpz00_25322
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_l1446z00_7079));
																																																																																			BgL_test9592z00_25321
																																																																																				=
																																																																																				PAIRP
																																																																																				(BgL_tmpz00_25322);
																																																																																		}
																																																																																		if (BgL_test9592z00_25321)
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test9591z00_25320
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test9591z00_25320
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																	}
																																																																																	if (BgL_test9591z00_25320)
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_l1446z00_25326;
																																																																																			BgL_l1446z00_25326
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_l1446z00_7079));
																																																																																			BgL_l1446z00_7079
																																																																																				=
																																																																																				BgL_l1446z00_25326;
																																																																																			goto
																																																																																				BgL_zc3z04anonymousza35613ze3z87_7080;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test9589z00_25317
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																}
																																																																														}
																																																																														if (BgL_test9589z00_25317)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg5603z00_7062;
																																																																																BgL_arg5603z00_7062
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd238205zd2_7038));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_25331;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_25335;
																																																																																		obj_t
																																																																																			BgL_proc2z00_25334;
																																																																																		obj_t
																																																																																			BgL_proc1z00_25333;
																																																																																		obj_t
																																																																																			BgL_testz00_25332;
																																																																																		BgL_testz00_25332
																																																																																			=
																																																																																			BgL_arg5603z00_7062;
																																																																																		BgL_proc1z00_25333
																																																																																			=
																																																																																			BgL_carzd238216zd2_7042;
																																																																																		BgL_proc2z00_25334
																																																																																			=
																																																																																			BgL_carzd238224zd2_7046;
																																																																																		BgL_argsz00_25335
																																																																																			=
																																																																																			BgL_cdrzd238199zd2_7037;
																																																																																		BgL_argsz00_1812
																																																																																			=
																																																																																			BgL_argsz00_25335;
																																																																																		BgL_proc2z00_1811
																																																																																			=
																																																																																			BgL_proc2z00_25334;
																																																																																		BgL_proc1z00_1810
																																																																																			=
																																																																																			BgL_proc1z00_25333;
																																																																																		BgL_testz00_1809
																																																																																			=
																																																																																			BgL_testz00_25332;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1813;
																																																																																	}
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_25331);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd238248zd2_7063;
																																																																																BgL_cdrzd238248zd2_7063
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd238255zd2_7064;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_13210;
																																																																																		BgL_pairz00_13210
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		BgL_cdrzd238255zd2_7064
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_pairz00_13210);
																																																																																	}
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd238262zd2_7065;
																																																																																		BgL_cdrzd238262zd2_7065
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd238255zd2_7064));
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd238268zd2_7066;
																																																																																			BgL_carzd238268zd2_7066
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd238262zd2_7065));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238268zd2_7066))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_carzd238275zd2_7068;
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_pairz00_13214;
																																																																																						BgL_pairz00_13214
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd238262zd2_7065));
																																																																																						BgL_carzd238275zd2_7068
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_pairz00_13214);
																																																																																					}
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238275zd2_7068))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238248zd2_7063))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_arg5607z00_7071;
																																																																																									BgL_arg5607z00_7071
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd238255zd2_7064));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_25357;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_25361;
																																																																																											obj_t
																																																																																												BgL_proc2z00_25360;
																																																																																											obj_t
																																																																																												BgL_proc1z00_25359;
																																																																																											obj_t
																																																																																												BgL_testz00_25358;
																																																																																											BgL_testz00_25358
																																																																																												=
																																																																																												BgL_arg5607z00_7071;
																																																																																											BgL_proc1z00_25359
																																																																																												=
																																																																																												BgL_carzd238268zd2_7066;
																																																																																											BgL_proc2z00_25360
																																																																																												=
																																																																																												BgL_carzd238275zd2_7068;
																																																																																											BgL_argsz00_25361
																																																																																												=
																																																																																												BgL_cdrzd238248zd2_7063;
																																																																																											BgL_argsz00_1817
																																																																																												=
																																																																																												BgL_argsz00_25361;
																																																																																											BgL_proc2z00_1816
																																																																																												=
																																																																																												BgL_proc2z00_25360;
																																																																																											BgL_proc1z00_1815
																																																																																												=
																																																																																												BgL_proc1z00_25359;
																																																																																											BgL_testz00_1814
																																																																																												=
																																																																																												BgL_testz00_25358;
																																																																																											goto
																																																																																												BgL_tagzd2389zd2_1818;
																																																																																										}
																																																																																										BgL_auxz00_25162
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_25357);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1842;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_25365;
																																																																																											goto
																																																																																												BgL_tagzd2405zd2_1843;
																																																																																											BgL_auxz00_25162
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_25365);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1842;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_25369;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1843;
																																																																																									BgL_auxz00_25162
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_25369);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_25373;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_25162
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_25373);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_25377;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																																BgL_auxz00_25162
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_25377);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd238551zd2_7090;
																																																																												BgL_cdrzd238551zd2_7090
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd238557zd2_7091;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_13218;
																																																																														BgL_pairz00_13218
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd238557zd2_7091
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_13218);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd238563zd2_7092;
																																																																														BgL_cdrzd238563zd2_7092
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd238557zd2_7091));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd238568zd2_7093;
																																																																															obj_t
																																																																																BgL_cdrzd238569zd2_7094;
																																																																															BgL_carzd238568zd2_7093
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd238563zd2_7092));
																																																																															BgL_cdrzd238569zd2_7094
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd238563zd2_7092));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238568zd2_7093))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd238574zd2_7096;
																																																																																	BgL_carzd238574zd2_7096
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd238569zd2_7094));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238574zd2_7096))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (NULLP(CDR(((obj_t) BgL_cdrzd238569zd2_7094))))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238551zd2_7090))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg5622z00_7101;
																																																																																							BgL_arg5622z00_7101
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd238557zd2_7091));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_25404;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_25408;
																																																																																									obj_t
																																																																																										BgL_proc2z00_25407;
																																																																																									obj_t
																																																																																										BgL_proc1z00_25406;
																																																																																									obj_t
																																																																																										BgL_testz00_25405;
																																																																																									BgL_testz00_25405
																																																																																										=
																																																																																										BgL_arg5622z00_7101;
																																																																																									BgL_proc1z00_25406
																																																																																										=
																																																																																										BgL_carzd238568zd2_7093;
																																																																																									BgL_proc2z00_25407
																																																																																										=
																																																																																										BgL_carzd238574zd2_7096;
																																																																																									BgL_argsz00_25408
																																																																																										=
																																																																																										BgL_cdrzd238551zd2_7090;
																																																																																									BgL_argsz00_1817
																																																																																										=
																																																																																										BgL_argsz00_25408;
																																																																																									BgL_proc2z00_1816
																																																																																										=
																																																																																										BgL_proc2z00_25407;
																																																																																									BgL_proc1z00_1815
																																																																																										=
																																																																																										BgL_proc1z00_25406;
																																																																																									BgL_testz00_1814
																																																																																										=
																																																																																										BgL_testz00_25405;
																																																																																									goto
																																																																																										BgL_tagzd2389zd2_1818;
																																																																																								}
																																																																																								BgL_auxz00_25162
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_25404);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1842;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_25412;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1843;
																																																																																									BgL_auxz00_25162
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_25412);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_25416;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_25162
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_25416);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_25420;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_25420);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_25424;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_25424);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_25428;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_25162
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_25428);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd238907zd2_7109;
																																																																								BgL_cdrzd238907zd2_7109
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd238914zd2_7110;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_13227;
																																																																										BgL_pairz00_13227
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd238914zd2_7110
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_13227);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd238921zd2_7111;
																																																																										BgL_cdrzd238921zd2_7111
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd238914zd2_7110));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd238927zd2_7112;
																																																																											obj_t
																																																																												BgL_cdrzd238928zd2_7113;
																																																																											BgL_carzd238927zd2_7112
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd238921zd2_7111));
																																																																											BgL_cdrzd238928zd2_7113
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd238921zd2_7111));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238927zd2_7112))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (PAIRP(BgL_cdrzd238928zd2_7113))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd238935zd2_7116;
																																																																															BgL_carzd238935zd2_7116
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd238928zd2_7113);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238935zd2_7116))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(BgL_cdrzd238928zd2_7113)))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238907zd2_7109))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg5636z00_7121;
																																																																																					BgL_arg5636z00_7121
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd238914zd2_7110));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_25455;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_25459;
																																																																																							obj_t
																																																																																								BgL_proc2z00_25458;
																																																																																							obj_t
																																																																																								BgL_proc1z00_25457;
																																																																																							obj_t
																																																																																								BgL_testz00_25456;
																																																																																							BgL_testz00_25456
																																																																																								=
																																																																																								BgL_arg5636z00_7121;
																																																																																							BgL_proc1z00_25457
																																																																																								=
																																																																																								BgL_carzd238927zd2_7112;
																																																																																							BgL_proc2z00_25458
																																																																																								=
																																																																																								BgL_carzd238935zd2_7116;
																																																																																							BgL_argsz00_25459
																																																																																								=
																																																																																								BgL_cdrzd238907zd2_7109;
																																																																																							BgL_argsz00_1817
																																																																																								=
																																																																																								BgL_argsz00_25459;
																																																																																							BgL_proc2z00_1816
																																																																																								=
																																																																																								BgL_proc2z00_25458;
																																																																																							BgL_proc1z00_1815
																																																																																								=
																																																																																								BgL_proc1z00_25457;
																																																																																							BgL_testz00_1814
																																																																																								=
																																																																																								BgL_testz00_25456;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1818;
																																																																																						}
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_25455);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_25463;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_25162
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_25463);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_25467;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_25467);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_25471;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_25471);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_25475;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_25475);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_25479;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25479);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_25483;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25483);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd239328zd2_7135;
																																																								BgL_cdrzd239328zd2_7135
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9620z00_25487;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5664z00_7152;
																																																										BgL_arg5664z00_7152
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9620z00_25487
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg5664z00_7152));
																																																									}
																																																									if (BgL_test9620z00_25487)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg5652z00_7138;
																																																											obj_t
																																																												BgL_arg5653z00_7139;
																																																											BgL_arg5652z00_7138
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd239328zd2_7135));
																																																											BgL_arg5653z00_7139
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd239328zd2_7135));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_25496;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_25498;
																																																													obj_t
																																																														BgL_bindingsz00_25497;
																																																													BgL_bindingsz00_25497
																																																														=
																																																														BgL_arg5652z00_7138;
																																																													BgL_exprz00_25498
																																																														=
																																																														BgL_arg5653z00_7139;
																																																													BgL_exprz00_1797
																																																														=
																																																														BgL_exprz00_25498;
																																																													BgL_bindingsz00_1796
																																																														=
																																																														BgL_bindingsz00_25497;
																																																													goto
																																																														BgL_tagzd2383zd2_1798;
																																																												}
																																																												BgL_auxz00_25162
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_25496);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test9621z00_25500;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5663z00_7151;
																																																												BgL_arg5663z00_7151
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test9621z00_25500
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg5663z00_7151));
																																																											}
																																																											if (BgL_test9621z00_25500)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_25505;
																																																													goto
																																																														BgL_tagzd2385zd2_1800;
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_25505);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd239394zd2_7142;
																																																													BgL_carzd239394zd2_7142
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd239399zd2_7143;
																																																														BgL_cdrzd239399zd2_7143
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd239394zd2_7142));
																																																														if ((CAR(((obj_t) BgL_carzd239394zd2_7142)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg5658z00_7146;
																																																																obj_t
																																																																	BgL_arg5659z00_7147;
																																																																obj_t
																																																																	BgL_arg5660z00_7148;
																																																																BgL_arg5658z00_7146
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd239399zd2_7143));
																																																																BgL_arg5659z00_7147
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd239399zd2_7143));
																																																																BgL_arg5660z00_7148
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_25522;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_25525;
																																																																		obj_t
																																																																			BgL_bodyz00_25524;
																																																																		obj_t
																																																																			BgL_varsz00_25523;
																																																																		BgL_varsz00_25523
																																																																			=
																																																																			BgL_arg5658z00_7146;
																																																																		BgL_bodyz00_25524
																																																																			=
																																																																			BgL_arg5659z00_7147;
																																																																		BgL_argsz00_25525
																																																																			=
																																																																			BgL_arg5660z00_7148;
																																																																		BgL_argsz00_1807
																																																																			=
																																																																			BgL_argsz00_25525;
																																																																		BgL_bodyz00_1806
																																																																			=
																																																																			BgL_bodyz00_25524;
																																																																		BgL_varsz00_1805
																																																																			=
																																																																			BgL_varsz00_25523;
																																																																		goto
																																																																			BgL_tagzd2387zd2_1808;
																																																																	}
																																																																	BgL_auxz00_25162
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_25522);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_25529;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_25162
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_25529);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd239510zd2_7153;
																																																						BgL_cdrzd239510zd2_7153
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9624z00_25533;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5673z00_7162;
																																																								BgL_arg5673z00_7162
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9624z00_25533
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg5673z00_7162));
																																																							}
																																																							if (BgL_test9624z00_25533)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg5667z00_7156;
																																																									obj_t
																																																										BgL_arg5668z00_7157;
																																																									BgL_arg5667z00_7156
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd239510zd2_7153));
																																																									BgL_arg5668z00_7157
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd239510zd2_7153));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_25542;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_25544;
																																																											obj_t
																																																												BgL_bindingsz00_25543;
																																																											BgL_bindingsz00_25543
																																																												=
																																																												BgL_arg5667z00_7156;
																																																											BgL_exprz00_25544
																																																												=
																																																												BgL_arg5668z00_7157;
																																																											BgL_exprz00_1797
																																																												=
																																																												BgL_exprz00_25544;
																																																											BgL_bindingsz00_1796
																																																												=
																																																												BgL_bindingsz00_25543;
																																																											goto
																																																												BgL_tagzd2383zd2_1798;
																																																										}
																																																										BgL_auxz00_25162
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_25542);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9625z00_25546;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5672z00_7161;
																																																										BgL_arg5672z00_7161
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9625z00_25546
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg5672z00_7161));
																																																									}
																																																									if (BgL_test9625z00_25546)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_25551;
																																																											goto
																																																												BgL_tagzd2385zd2_1800;
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_25551);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1842;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_25555;
																																																													goto
																																																														BgL_tagzd2405zd2_1843;
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_25555);
																																																												}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd238075zd2_6892)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd238077zd2_6894;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((BgL_carzd238075zd2_6892 == CNST_TABLE_REF(((long) 19))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd238077zd2_6894;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((BgL_carzd238075zd2_6892 == CNST_TABLE_REF(((long) 20))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd238077zd2_6894;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd238075zd2_6892)))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_kapzd238077zd2_6894;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd239682zd2_6897;
																																																												BgL_cdrzd239682zd2_6897
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test9631z00_25571;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5573z00_7014;
																																																														BgL_arg5573z00_7014
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test9631z00_25571
																																																															=
																																																															CBOOL
																																																															(BGl_letzd2symzf3z21zzast_letz00
																																																															(BgL_arg5573z00_7014));
																																																													}
																																																													if (BgL_test9631z00_25571)
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg5501z00_6900;
																																																															obj_t
																																																																BgL_arg5502z00_6901;
																																																															BgL_arg5501z00_6900
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd239682zd2_6897));
																																																															BgL_arg5502z00_6901
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd239682zd2_6897));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_25580;
																																																																{
																																																																	obj_t
																																																																		BgL_exprz00_25582;
																																																																	obj_t
																																																																		BgL_bindingsz00_25581;
																																																																	BgL_bindingsz00_25581
																																																																		=
																																																																		BgL_arg5501z00_6900;
																																																																	BgL_exprz00_25582
																																																																		=
																																																																		BgL_arg5502z00_6901;
																																																																	BgL_exprz00_1797
																																																																		=
																																																																		BgL_exprz00_25582;
																																																																	BgL_bindingsz00_1796
																																																																		=
																																																																		BgL_bindingsz00_25581;
																																																																	goto
																																																																		BgL_tagzd2383zd2_1798;
																																																																}
																																																																BgL_auxz00_25162
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_25580);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test9632z00_25584;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg5572z00_7013;
																																																																BgL_arg5572z00_7013
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_test9632z00_25584
																																																																	=
																																																																	CBOOL
																																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																																	(BgL_arg5572z00_7013));
																																																															}
																																																															if (BgL_test9632z00_25584)
																																																																{
																																																																	BgL_letzd2funzd2_bglt
																																																																		BgL_auxz00_25589;
																																																																	goto
																																																																		BgL_tagzd2385zd2_1800;
																																																																	BgL_auxz00_25162
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_25589);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd239748zd2_6904;
																																																																	BgL_carzd239748zd2_6904
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd239753zd2_6905;
																																																																		BgL_cdrzd239753zd2_6905
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd239748zd2_6904));
																																																																		if ((CAR(((obj_t) BgL_carzd239748zd2_6904)) == CNST_TABLE_REF(((long) 3))))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd239753zd2_6905))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg5508z00_6909;
																																																																						obj_t
																																																																							BgL_arg5509z00_6910;
																																																																						obj_t
																																																																							BgL_arg5510z00_6911;
																																																																						BgL_arg5508z00_6909
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd239753zd2_6905);
																																																																						BgL_arg5509z00_6910
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd239753zd2_6905);
																																																																						BgL_arg5510z00_6911
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_25606;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_25609;
																																																																								obj_t
																																																																									BgL_bodyz00_25608;
																																																																								obj_t
																																																																									BgL_varsz00_25607;
																																																																								BgL_varsz00_25607
																																																																									=
																																																																									BgL_arg5508z00_6909;
																																																																								BgL_bodyz00_25608
																																																																									=
																																																																									BgL_arg5509z00_6910;
																																																																								BgL_argsz00_25609
																																																																									=
																																																																									BgL_arg5510z00_6911;
																																																																								BgL_argsz00_1807
																																																																									=
																																																																									BgL_argsz00_25609;
																																																																								BgL_bodyz00_1806
																																																																									=
																																																																									BgL_bodyz00_25608;
																																																																								BgL_varsz00_1805
																																																																									=
																																																																									BgL_varsz00_25607;
																																																																								goto
																																																																									BgL_tagzd2387zd2_1808;
																																																																							}
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25606);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_25613;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_25162
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_25613);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd239860zd2_6914;
																																																																				BgL_cdrzd239860zd2_6914
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd239865zd2_6915;
																																																																					BgL_cdrzd239865zd2_6915
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_carzd239748zd2_6904));
																																																																					if ((CAR(((obj_t) BgL_carzd239748zd2_6904)) == CNST_TABLE_REF(((long) 1))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd239865zd2_6915))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd239870zd2_6919;
																																																																									BgL_cdrzd239870zd2_6919
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd239865zd2_6915);
																																																																									if (PAIRP(BgL_cdrzd239870zd2_6919))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd239874zd2_6921;
																																																																											obj_t
																																																																												BgL_cdrzd239875zd2_6922;
																																																																											BgL_carzd239874zd2_6921
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd239870zd2_6919);
																																																																											BgL_cdrzd239875zd2_6922
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd239870zd2_6919);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239874zd2_6921))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (PAIRP(BgL_cdrzd239875zd2_6922))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd239880zd2_6925;
																																																																															BgL_carzd239880zd2_6925
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd239875zd2_6922);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239880zd2_6925))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(BgL_cdrzd239875zd2_6922)))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test9643z00_25641;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1449z00_6958;
																																																																																				BgL_l1449z00_6958
																																																																																					=
																																																																																					BgL_cdrzd239860zd2_6914;
																																																																																			BgL_zc3z04anonymousza35536ze3z87_6959:
																																																																																				if (NULLP(BgL_l1449z00_6958))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test9643z00_25641
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							1);
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						bool_t
																																																																																							BgL_test9645z00_25644;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							bool_t
																																																																																								BgL_test9646z00_25645;
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_tmpz00_25646;
																																																																																								BgL_tmpz00_25646
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_l1449z00_6958));
																																																																																								BgL_test9646z00_25645
																																																																																									=
																																																																																									PAIRP
																																																																																									(BgL_tmpz00_25646);
																																																																																							}
																																																																																							if (BgL_test9646z00_25645)
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									BgL_test9645z00_25644
																																																																																										=
																																																																																										(
																																																																																										(bool_t)
																																																																																										0);
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									BgL_test9645z00_25644
																																																																																										=
																																																																																										(
																																																																																										(bool_t)
																																																																																										1);
																																																																																								}
																																																																																						}
																																																																																						if (BgL_test9645z00_25644)
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_l1449z00_25650;
																																																																																								BgL_l1449z00_25650
																																																																																									=
																																																																																									CDR
																																																																																									(
																																																																																									((obj_t) BgL_l1449z00_6958));
																																																																																								BgL_l1449z00_6958
																																																																																									=
																																																																																									BgL_l1449z00_25650;
																																																																																								goto
																																																																																									BgL_zc3z04anonymousza35536ze3z87_6959;
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								BgL_test9643z00_25641
																																																																																									=
																																																																																									(
																																																																																									(bool_t)
																																																																																									0);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																			if (BgL_test9643z00_25641)
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg5526z00_6941;
																																																																																					BgL_arg5526z00_6941
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd239865zd2_6915);
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_25654;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_25658;
																																																																																							obj_t
																																																																																								BgL_proc2z00_25657;
																																																																																							obj_t
																																																																																								BgL_proc1z00_25656;
																																																																																							obj_t
																																																																																								BgL_testz00_25655;
																																																																																							BgL_testz00_25655
																																																																																								=
																																																																																								BgL_arg5526z00_6941;
																																																																																							BgL_proc1z00_25656
																																																																																								=
																																																																																								BgL_carzd239874zd2_6921;
																																																																																							BgL_proc2z00_25657
																																																																																								=
																																																																																								BgL_carzd239880zd2_6925;
																																																																																							BgL_argsz00_25658
																																																																																								=
																																																																																								BgL_cdrzd239860zd2_6914;
																																																																																							BgL_argsz00_1812
																																																																																								=
																																																																																								BgL_argsz00_25658;
																																																																																							BgL_proc2z00_1811
																																																																																								=
																																																																																								BgL_proc2z00_25657;
																																																																																							BgL_proc1z00_1810
																																																																																								=
																																																																																								BgL_proc1z00_25656;
																																																																																							BgL_testz00_1809
																																																																																								=
																																																																																								BgL_testz00_25655;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1813;
																																																																																						}
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_25654);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd239905zd2_6942;
																																																																																					BgL_cdrzd239905zd2_6942
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_cdrzd239913zd2_6943;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_pairz00_13275;
																																																																																							BgL_pairz00_13275
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_expz00_21));
																																																																																							BgL_cdrzd239913zd2_6943
																																																																																								=
																																																																																								CDR
																																																																																								(BgL_pairz00_13275);
																																																																																						}
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_cdrzd239921zd2_6944;
																																																																																							BgL_cdrzd239921zd2_6944
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd239913zd2_6943));
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd239928zd2_6945;
																																																																																								BgL_carzd239928zd2_6945
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd239921zd2_6944));
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239928zd2_6945))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_carzd239937zd2_6947;
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											obj_t
																																																																																												BgL_pairz00_13279;
																																																																																											BgL_pairz00_13279
																																																																																												=
																																																																																												CDR
																																																																																												(
																																																																																												((obj_t) BgL_cdrzd239921zd2_6944));
																																																																																											BgL_carzd239937zd2_6947
																																																																																												=
																																																																																												CAR
																																																																																												(BgL_pairz00_13279);
																																																																																										}
																																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239937zd2_6947))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd239905zd2_6942))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														obj_t
																																																																																															BgL_arg5530z00_6950;
																																																																																														BgL_arg5530z00_6950
																																																																																															=
																																																																																															CAR
																																																																																															(
																																																																																															((obj_t) BgL_cdrzd239913zd2_6943));
																																																																																														{
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_auxz00_25680;
																																																																																															{
																																																																																																obj_t
																																																																																																	BgL_argsz00_25684;
																																																																																																obj_t
																																																																																																	BgL_proc2z00_25683;
																																																																																																obj_t
																																																																																																	BgL_proc1z00_25682;
																																																																																																obj_t
																																																																																																	BgL_testz00_25681;
																																																																																																BgL_testz00_25681
																																																																																																	=
																																																																																																	BgL_arg5530z00_6950;
																																																																																																BgL_proc1z00_25682
																																																																																																	=
																																																																																																	BgL_carzd239928zd2_6945;
																																																																																																BgL_proc2z00_25683
																																																																																																	=
																																																																																																	BgL_carzd239937zd2_6947;
																																																																																																BgL_argsz00_25684
																																																																																																	=
																																																																																																	BgL_cdrzd239905zd2_6942;
																																																																																																BgL_argsz00_1817
																																																																																																	=
																																																																																																	BgL_argsz00_25684;
																																																																																																BgL_proc2z00_1816
																																																																																																	=
																																																																																																	BgL_proc2z00_25683;
																																																																																																BgL_proc1z00_1815
																																																																																																	=
																																																																																																	BgL_proc1z00_25682;
																																																																																																BgL_testz00_1814
																																																																																																	=
																																																																																																	BgL_testz00_25681;
																																																																																																goto
																																																																																																	BgL_tagzd2389zd2_1818;
																																																																																															}
																																																																																															BgL_auxz00_25162
																																																																																																=
																																																																																																(
																																																																																																(obj_t)
																																																																																																BgL_auxz00_25680);
																																																																																														}
																																																																																													}
																																																																																												else
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																goto
																																																																																																	BgL_tagzd2404zd2_1842;
																																																																																															}
																																																																																														else
																																																																																															{
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_auxz00_25688;
																																																																																																goto
																																																																																																	BgL_tagzd2405zd2_1843;
																																																																																																BgL_auxz00_25162
																																																																																																	=
																																																																																																	(
																																																																																																	(obj_t)
																																																																																																	BgL_auxz00_25688);
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1842;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_25692;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1843;
																																																																																														BgL_auxz00_25162
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_25692);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_25696;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_25162
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_25696);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_25700;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_25700);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd240215zd2_6969;
																																																																																	BgL_cdrzd240215zd2_6969
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd240222zd2_6970;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_13283;
																																																																																			BgL_pairz00_13283
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd240222zd2_6970
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_13283);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd240229zd2_6971;
																																																																																			BgL_cdrzd240229zd2_6971
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd240222zd2_6970));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd240235zd2_6972;
																																																																																				obj_t
																																																																																					BgL_cdrzd240236zd2_6973;
																																																																																				BgL_carzd240235zd2_6972
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd240229zd2_6971));
																																																																																				BgL_cdrzd240236zd2_6973
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd240229zd2_6971));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240235zd2_6972))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd240243zd2_6975;
																																																																																						BgL_carzd240243zd2_6975
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd240236zd2_6973));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240243zd2_6975))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd240236zd2_6973))))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd240215zd2_6969))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg5545z00_6980;
																																																																																												BgL_arg5545z00_6980
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd240222zd2_6970));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_25727;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_25731;
																																																																																														obj_t
																																																																																															BgL_proc2z00_25730;
																																																																																														obj_t
																																																																																															BgL_proc1z00_25729;
																																																																																														obj_t
																																																																																															BgL_testz00_25728;
																																																																																														BgL_testz00_25728
																																																																																															=
																																																																																															BgL_arg5545z00_6980;
																																																																																														BgL_proc1z00_25729
																																																																																															=
																																																																																															BgL_carzd240235zd2_6972;
																																																																																														BgL_proc2z00_25730
																																																																																															=
																																																																																															BgL_carzd240243zd2_6975;
																																																																																														BgL_argsz00_25731
																																																																																															=
																																																																																															BgL_cdrzd240215zd2_6969;
																																																																																														BgL_argsz00_1817
																																																																																															=
																																																																																															BgL_argsz00_25731;
																																																																																														BgL_proc2z00_1816
																																																																																															=
																																																																																															BgL_proc2z00_25730;
																																																																																														BgL_proc1z00_1815
																																																																																															=
																																																																																															BgL_proc1z00_25729;
																																																																																														BgL_testz00_1814
																																																																																															=
																																																																																															BgL_testz00_25728;
																																																																																														goto
																																																																																															BgL_tagzd2389zd2_1818;
																																																																																													}
																																																																																													BgL_auxz00_25162
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_25727);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1842;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_25735;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1843;
																																																																																														BgL_auxz00_25162
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_25735);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_25739;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_25162
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_25739);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_25743;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_25162
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_25743);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_25747;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_25162
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_25747);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_25751;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_25751);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd240576zd2_6988;
																																																																													BgL_cdrzd240576zd2_6988
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd240582zd2_6989;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_13292;
																																																																															BgL_pairz00_13292
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd240582zd2_6989
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_13292);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd240588zd2_6990;
																																																																															BgL_cdrzd240588zd2_6990
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd240582zd2_6989));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd240593zd2_6991;
																																																																																obj_t
																																																																																	BgL_cdrzd240594zd2_6992;
																																																																																BgL_carzd240593zd2_6991
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd240588zd2_6990));
																																																																																BgL_cdrzd240594zd2_6992
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd240588zd2_6990));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240593zd2_6991))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (PAIRP(BgL_cdrzd240594zd2_6992))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd240599zd2_6995;
																																																																																				BgL_carzd240599zd2_6995
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd240594zd2_6992);
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240599zd2_6995))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(BgL_cdrzd240594zd2_6992)))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd240576zd2_6988))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg5559z00_7000;
																																																																																										BgL_arg5559z00_7000
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd240582zd2_6989));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_25778;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_25782;
																																																																																												obj_t
																																																																																													BgL_proc2z00_25781;
																																																																																												obj_t
																																																																																													BgL_proc1z00_25780;
																																																																																												obj_t
																																																																																													BgL_testz00_25779;
																																																																																												BgL_testz00_25779
																																																																																													=
																																																																																													BgL_arg5559z00_7000;
																																																																																												BgL_proc1z00_25780
																																																																																													=
																																																																																													BgL_carzd240593zd2_6991;
																																																																																												BgL_proc2z00_25781
																																																																																													=
																																																																																													BgL_carzd240599zd2_6995;
																																																																																												BgL_argsz00_25782
																																																																																													=
																																																																																													BgL_cdrzd240576zd2_6988;
																																																																																												BgL_argsz00_1817
																																																																																													=
																																																																																													BgL_argsz00_25782;
																																																																																												BgL_proc2z00_1816
																																																																																													=
																																																																																													BgL_proc2z00_25781;
																																																																																												BgL_proc1z00_1815
																																																																																													=
																																																																																													BgL_proc1z00_25780;
																																																																																												BgL_testz00_1814
																																																																																													=
																																																																																													BgL_testz00_25779;
																																																																																												goto
																																																																																													BgL_tagzd2389zd2_1818;
																																																																																											}
																																																																																											BgL_auxz00_25162
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_25778);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_25786;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_25162
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_25786);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_25790;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_25162
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_25790);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_25794;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_25162
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_25794);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_25798;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_25798);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_25802;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_25802);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_25806;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_25806);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_25810;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_25810);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_25814;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_25814);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((BgL_carzd238072zd2_6890 == CNST_TABLE_REF(((long) 18))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5674z00_7165;
																																																			obj_t
																																																				BgL_arg5675z00_7166;
																																																			BgL_arg5674z00_7165
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd238047zd2_6885));
																																																			BgL_arg5675z00_7166
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd238047zd2_6885));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_25823;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_25825;
																																																					obj_t
																																																						BgL_bindingsz00_25824;
																																																					BgL_bindingsz00_25824
																																																						=
																																																						BgL_arg5674z00_7165;
																																																					BgL_exprz00_25825
																																																						=
																																																						BgL_arg5675z00_7166;
																																																					BgL_exprz00_1797
																																																						=
																																																						BgL_exprz00_25825;
																																																					BgL_bindingsz00_1796
																																																						=
																																																						BgL_bindingsz00_25824;
																																																					goto
																																																						BgL_tagzd2383zd2_1798;
																																																				}
																																																				BgL_auxz00_25162
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_25823);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd238072zd2_6890)))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5677z00_7168;
																																																					obj_t
																																																						BgL_arg5678z00_7169;
																																																					BgL_arg5677z00_7168
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd238047zd2_6885));
																																																					BgL_arg5678z00_7169
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd238047zd2_6885));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_25834;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_25836;
																																																							obj_t
																																																								BgL_bindingsz00_25835;
																																																							BgL_bindingsz00_25835
																																																								=
																																																								BgL_arg5677z00_7168;
																																																							BgL_exprz00_25836
																																																								=
																																																								BgL_arg5678z00_7169;
																																																							BgL_exprz00_1797
																																																								=
																																																								BgL_exprz00_25836;
																																																							BgL_bindingsz00_1796
																																																								=
																																																								BgL_bindingsz00_25835;
																																																							goto
																																																								BgL_tagzd2383zd2_1798;
																																																						}
																																																						BgL_auxz00_25162
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_25834);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((BgL_carzd238072zd2_6890 == CNST_TABLE_REF(((long) 19))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg5679z00_7170;
																																																							obj_t
																																																								BgL_arg5680z00_7171;
																																																							BgL_arg5679z00_7170
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd238047zd2_6885));
																																																							BgL_arg5680z00_7171
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd238047zd2_6885));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_25845;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_25847;
																																																									obj_t
																																																										BgL_bindingsz00_25846;
																																																									BgL_bindingsz00_25846
																																																										=
																																																										BgL_arg5679z00_7170;
																																																									BgL_exprz00_25847
																																																										=
																																																										BgL_arg5680z00_7171;
																																																									BgL_exprz00_1797
																																																										=
																																																										BgL_exprz00_25847;
																																																									BgL_bindingsz00_1796
																																																										=
																																																										BgL_bindingsz00_25846;
																																																									goto
																																																										BgL_tagzd2383zd2_1798;
																																																								}
																																																								BgL_auxz00_25162
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_25845);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_25854;
																																																									goto
																																																										BgL_tagzd2384zd2_1799;
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_25854);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd241174zd2_7174;
																																																									BgL_carzd241174zd2_7174
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((BgL_carzd241174zd2_7174 == CNST_TABLE_REF(((long) 20))))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_25861;
																																																											goto
																																																												BgL_tagzd2385zd2_1800;
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_25861);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd241174zd2_7174)))
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_25866;
																																																													goto
																																																														BgL_tagzd2385zd2_1800;
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_25866);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_25873;
																																																															goto
																																																																BgL_tagzd2390zd2_1819;
																																																															BgL_auxz00_25162
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_25873);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_25880;
																																																																	goto
																																																																		BgL_tagzd2391zd2_1820;
																																																																	BgL_auxz00_25162
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_25880);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd241254zd2_7180;
																																																																	BgL_cdrzd241254zd2_7180
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg5690z00_7183;
																																																																			obj_t
																																																																				BgL_arg5691z00_7184;
																																																																			BgL_arg5690z00_7183
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd241254zd2_7180));
																																																																			BgL_arg5691z00_7184
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd241254zd2_7180));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_25893;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_25895;
																																																																					obj_t
																																																																						BgL_effectz00_25894;
																																																																					BgL_effectz00_25894
																																																																						=
																																																																						BgL_arg5690z00_7183;
																																																																					BgL_restz00_25895
																																																																						=
																																																																						BgL_arg5691z00_7184;
																																																																					BgL_restz00_1822
																																																																						=
																																																																						BgL_restz00_25895;
																																																																					BgL_effectz00_1821
																																																																						=
																																																																						BgL_effectz00_25894;
																																																																					goto
																																																																						BgL_tagzd2392zd2_1823;
																																																																				}
																																																																				BgL_auxz00_25162
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_25893);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_25902;
																																																																					goto
																																																																						BgL_tagzd2393zd2_1824;
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_25902);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_25909;
																																																																							goto
																																																																								BgL_tagzd2394zd2_1825;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25909);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg5698z00_7192;
																																																																									obj_t
																																																																										BgL_arg5699z00_7193;
																																																																									BgL_arg5698z00_7192
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd241254zd2_7180));
																																																																									BgL_arg5699z00_7193
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd241254zd2_7180));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_25920;
																																																																										{
																																																																											obj_t
																																																																												BgL_restz00_25922;
																																																																											obj_t
																																																																												BgL_effectz00_25921;
																																																																											BgL_effectz00_25921
																																																																												=
																																																																												BgL_arg5698z00_7192;
																																																																											BgL_restz00_25922
																																																																												=
																																																																												BgL_arg5699z00_7193;
																																																																											BgL_restz00_1827
																																																																												=
																																																																												BgL_restz00_25922;
																																																																											BgL_effectz00_1826
																																																																												=
																																																																												BgL_effectz00_25921;
																																																																											goto
																																																																												BgL_tagzd2395zd2_1828;
																																																																										}
																																																																										BgL_auxz00_25162
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_25920);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_25929;
																																																																											goto
																																																																												BgL_tagzd2396zd2_1829;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_25929);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_25936;
																																																																													goto
																																																																														BgL_tagzd2397zd2_1830;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_25936);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																														{
																																																																															BgL_letzd2funzd2_bglt
																																																																																BgL_auxz00_25943;
																																																																															goto
																																																																																BgL_tagzd2398zd2_1831;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25943);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																																{
																																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																																		BgL_auxz00_25950;
																																																																																	goto
																																																																																		BgL_tagzd2399zd2_1832;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_25950);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd241331zd2_7202;
																																																																																	BgL_cdrzd241331zd2_7202
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg5710z00_7205;
																																																																																			obj_t
																																																																																				BgL_arg5711z00_7206;
																																																																																			BgL_arg5710z00_7205
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd241331zd2_7202));
																																																																																			BgL_arg5711z00_7206
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd241331zd2_7202));
																																																																																			{	/* Ast/sexp.scm 564 */
																																																																																				obj_t
																																																																																					BgL_arg7616z00_13329;
																																																																																				BgL_arg7616z00_13329
																																																																																					=
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(BgL_expz00_21,
																																																																																					BgL_locz00_23);
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																					(BgL_expz00_21,
																																																																																						BgL_arg5710z00_7205,
																																																																																						CNST_TABLE_REF
																																																																																						(((long) 4)), BgL_arg5711z00_7206, BgL_stackz00_22, BgL_arg7616z00_13329, BgL_sitez00_24));
																																																																																		}}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_25969;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_25969);
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd241356zd2_7224;
																																			BgL_carzd241356zd2_7224
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (
																																				(BgL_carzd241356zd2_7224
																																					==
																																					CNST_TABLE_REF
																																					(((long) 1))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_25976;
																																					goto
																																						BgL_tagzd2377zd2_1784;
																																					BgL_auxz00_25162
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_25976);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_carzd241356zd2_7224
																																							==
																																							BGl_za2ifza2z00zzast_sexpz00))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_25980;
																																							goto
																																								BgL_tagzd2377zd2_1784;
																																							BgL_auxz00_25162
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_25980);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_25987;
																																									goto
																																										BgL_tagzd2379zd2_1788;
																																									BgL_auxz00_25162
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_25987);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_25994;
																																											goto
																																												BgL_tagzd2380zd2_1789;
																																											BgL_auxz00_25162
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_25994);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd241427zd2_7230;
																																											BgL_cdrzd241427zd2_7230
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg5735z00_7233;
																																													obj_t
																																														BgL_arg5736z00_7234;
																																													BgL_arg5735z00_7233
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd241427zd2_7230));
																																													BgL_arg5736z00_7234
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd241427zd2_7230));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_26007;
																																														{
																																															obj_t
																																																BgL_exprz00_26009;
																																															obj_t
																																																BgL_bindingsz00_26008;
																																															BgL_bindingsz00_26008
																																																=
																																																BgL_arg5735z00_7233;
																																															BgL_exprz00_26009
																																																=
																																																BgL_arg5736z00_7234;
																																															BgL_exprz00_1791
																																																=
																																																BgL_exprz00_26009;
																																															BgL_bindingsz00_1790
																																																=
																																																BgL_bindingsz00_26008;
																																															goto
																																																BgL_tagzd2381zd2_1792;
																																														}
																																														BgL_auxz00_25162
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_26007);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd241452zd2_7235;
																																													BgL_carzd241452zd2_7235
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if (PAIRP(BgL_carzd241452zd2_7235))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd241455zd2_7237;
																																															obj_t
																																																BgL_cdrzd241456zd2_7238;
																																															BgL_carzd241455zd2_7237
																																																=
																																																CAR
																																																(BgL_carzd241452zd2_7235);
																																															BgL_cdrzd241456zd2_7238
																																																=
																																																CDR
																																																(BgL_carzd241452zd2_7235);
																																															{

																																																if ((BgL_carzd241455zd2_7237 == CNST_TABLE_REF(((long) 18))))
																																																	{	/* Ast/sexp.scm 119 */
																																																	BgL_kapzd241457zd2_7239:
																																																		if (PAIRP(BgL_cdrzd241456zd2_7238))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd241460zd2_7361;
																																																				BgL_cdrzd241460zd2_7361
																																																					=
																																																					CDR
																																																					(BgL_cdrzd241456zd2_7238);
																																																				if (PAIRP(BgL_cdrzd241460zd2_7361))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (NULLP(CDR(BgL_cdrzd241460zd2_7361)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5819z00_7365;
																																																								obj_t
																																																									BgL_arg5820z00_7366;
																																																								BgL_arg5819z00_7365
																																																									=
																																																									CAR
																																																									(BgL_cdrzd241460zd2_7361);
																																																								BgL_arg5820z00_7366
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_26031;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_26033;
																																																										obj_t
																																																											BgL_bodyz00_26032;
																																																										BgL_bodyz00_26032
																																																											=
																																																											BgL_arg5819z00_7365;
																																																										BgL_argsz00_26033
																																																											=
																																																											BgL_arg5820z00_7366;
																																																										BgL_argsz00_1794
																																																											=
																																																											BgL_argsz00_26033;
																																																										BgL_bodyz00_1793
																																																											=
																																																											BgL_bodyz00_26032;
																																																										goto
																																																											BgL_tagzd2382zd2_1795;
																																																									}
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_26031);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd241484zd2_7367;
																																																								BgL_cdrzd241484zd2_7367
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9704z00_26037;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5889z00_7478;
																																																										BgL_arg5889z00_7478
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9704z00_26037
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg5889z00_7478));
																																																									}
																																																									if (BgL_test9704z00_26037)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg5823z00_7370;
																																																											obj_t
																																																												BgL_arg5824z00_7371;
																																																											BgL_arg5823z00_7370
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd241484zd2_7367));
																																																											BgL_arg5824z00_7371
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd241484zd2_7367));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_26046;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_26048;
																																																													obj_t
																																																														BgL_bindingsz00_26047;
																																																													BgL_bindingsz00_26047
																																																														=
																																																														BgL_arg5823z00_7370;
																																																													BgL_exprz00_26048
																																																														=
																																																														BgL_arg5824z00_7371;
																																																													BgL_exprz00_1797
																																																														=
																																																														BgL_exprz00_26048;
																																																													BgL_bindingsz00_1796
																																																														=
																																																														BgL_bindingsz00_26047;
																																																													goto
																																																														BgL_tagzd2383zd2_1798;
																																																												}
																																																												BgL_auxz00_25162
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_26046);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test9705z00_26050;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5888z00_7477;
																																																												BgL_arg5888z00_7477
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test9705z00_26050
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg5888z00_7477));
																																																											}
																																																											if (BgL_test9705z00_26050)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_26055;
																																																													goto
																																																														BgL_tagzd2385zd2_1800;
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_26055);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd241551zd2_7374;
																																																													BgL_carzd241551zd2_7374
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd241556zd2_7375;
																																																														BgL_cdrzd241556zd2_7375
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd241551zd2_7374));
																																																														if ((CAR(((obj_t) BgL_carzd241551zd2_7374)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg5829z00_7378;
																																																																obj_t
																																																																	BgL_arg5830z00_7379;
																																																																obj_t
																																																																	BgL_arg5831z00_7380;
																																																																BgL_arg5829z00_7378
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd241556zd2_7375));
																																																																BgL_arg5830z00_7379
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd241556zd2_7375));
																																																																BgL_arg5831z00_7380
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_26072;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_26075;
																																																																		obj_t
																																																																			BgL_bodyz00_26074;
																																																																		obj_t
																																																																			BgL_varsz00_26073;
																																																																		BgL_varsz00_26073
																																																																			=
																																																																			BgL_arg5829z00_7378;
																																																																		BgL_bodyz00_26074
																																																																			=
																																																																			BgL_arg5830z00_7379;
																																																																		BgL_argsz00_26075
																																																																			=
																																																																			BgL_arg5831z00_7380;
																																																																		BgL_argsz00_1807
																																																																			=
																																																																			BgL_argsz00_26075;
																																																																		BgL_bodyz00_1806
																																																																			=
																																																																			BgL_bodyz00_26074;
																																																																		BgL_varsz00_1805
																																																																			=
																																																																			BgL_varsz00_26073;
																																																																		goto
																																																																			BgL_tagzd2387zd2_1808;
																																																																	}
																																																																	BgL_auxz00_25162
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_26072);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd241579zd2_7382;
																																																																BgL_cdrzd241579zd2_7382
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd241585zd2_7383;
																																																																	BgL_cdrzd241585zd2_7383
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd241551zd2_7374));
																																																																	if ((CAR(((obj_t) BgL_carzd241551zd2_7374)) == CNST_TABLE_REF(((long) 1))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd241591zd2_7386;
																																																																			BgL_cdrzd241591zd2_7386
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd241585zd2_7383));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd241596zd2_7387;
																																																																				obj_t
																																																																					BgL_cdrzd241597zd2_7388;
																																																																				BgL_carzd241596zd2_7387
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd241591zd2_7386));
																																																																				BgL_cdrzd241597zd2_7388
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd241591zd2_7386));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241596zd2_7387))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (PAIRP(BgL_cdrzd241597zd2_7388))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd241604zd2_7391;
																																																																								BgL_carzd241604zd2_7391
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd241597zd2_7388);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241604zd2_7391))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(BgL_cdrzd241597zd2_7388)))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test9712z00_26102;
																																																																												{
																																																																													obj_t
																																																																														BgL_l1452z00_7424;
																																																																													BgL_l1452z00_7424
																																																																														=
																																																																														BgL_cdrzd241579zd2_7382;
																																																																												BgL_zc3z04anonymousza35854ze3z87_7425:
																																																																													if (NULLP(BgL_l1452z00_7424))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test9712z00_26102
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test9714z00_26105;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test9715z00_26106;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_tmpz00_26107;
																																																																																	BgL_tmpz00_26107
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_l1452z00_7424));
																																																																																	BgL_test9715z00_26106
																																																																																		=
																																																																																		PAIRP
																																																																																		(BgL_tmpz00_26107);
																																																																																}
																																																																																if (BgL_test9715z00_26106)
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test9714z00_26105
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test9714z00_26105
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																															}
																																																																															if (BgL_test9714z00_26105)
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1452z00_26111;
																																																																																	BgL_l1452z00_26111
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_l1452z00_7424));
																																																																																	BgL_l1452z00_7424
																																																																																		=
																																																																																		BgL_l1452z00_26111;
																																																																																	goto
																																																																																		BgL_zc3z04anonymousza35854ze3z87_7425;
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test9712z00_26102
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																														}
																																																																												}
																																																																												if (BgL_test9712z00_26102)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg5844z00_7407;
																																																																														BgL_arg5844z00_7407
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd241585zd2_7383));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26116;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_26120;
																																																																																obj_t
																																																																																	BgL_proc2z00_26119;
																																																																																obj_t
																																																																																	BgL_proc1z00_26118;
																																																																																obj_t
																																																																																	BgL_testz00_26117;
																																																																																BgL_testz00_26117
																																																																																	=
																																																																																	BgL_arg5844z00_7407;
																																																																																BgL_proc1z00_26118
																																																																																	=
																																																																																	BgL_carzd241596zd2_7387;
																																																																																BgL_proc2z00_26119
																																																																																	=
																																																																																	BgL_carzd241604zd2_7391;
																																																																																BgL_argsz00_26120
																																																																																	=
																																																																																	BgL_cdrzd241579zd2_7382;
																																																																																BgL_argsz00_1812
																																																																																	=
																																																																																	BgL_argsz00_26120;
																																																																																BgL_proc2z00_1811
																																																																																	=
																																																																																	BgL_proc2z00_26119;
																																																																																BgL_proc1z00_1810
																																																																																	=
																																																																																	BgL_proc1z00_26118;
																																																																																BgL_testz00_1809
																																																																																	=
																																																																																	BgL_testz00_26117;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1813;
																																																																															}
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26116);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd241628zd2_7408;
																																																																														BgL_cdrzd241628zd2_7408
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd241635zd2_7409;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_13369;
																																																																																BgL_pairz00_13369
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd241635zd2_7409
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_13369);
																																																																															}
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd241642zd2_7410;
																																																																																BgL_cdrzd241642zd2_7410
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd241635zd2_7409));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd241648zd2_7411;
																																																																																	BgL_carzd241648zd2_7411
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd241642zd2_7410));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241648zd2_7411))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd241655zd2_7413;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_pairz00_13373;
																																																																																				BgL_pairz00_13373
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd241642zd2_7410));
																																																																																				BgL_carzd241655zd2_7413
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_pairz00_13373);
																																																																																			}
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241655zd2_7413))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd241628zd2_7408))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg5848z00_7416;
																																																																																							BgL_arg5848z00_7416
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd241635zd2_7409));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_26142;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_26146;
																																																																																									obj_t
																																																																																										BgL_proc2z00_26145;
																																																																																									obj_t
																																																																																										BgL_proc1z00_26144;
																																																																																									obj_t
																																																																																										BgL_testz00_26143;
																																																																																									BgL_testz00_26143
																																																																																										=
																																																																																										BgL_arg5848z00_7416;
																																																																																									BgL_proc1z00_26144
																																																																																										=
																																																																																										BgL_carzd241648zd2_7411;
																																																																																									BgL_proc2z00_26145
																																																																																										=
																																																																																										BgL_carzd241655zd2_7413;
																																																																																									BgL_argsz00_26146
																																																																																										=
																																																																																										BgL_cdrzd241628zd2_7408;
																																																																																									BgL_argsz00_1817
																																																																																										=
																																																																																										BgL_argsz00_26146;
																																																																																									BgL_proc2z00_1816
																																																																																										=
																																																																																										BgL_proc2z00_26145;
																																																																																									BgL_proc1z00_1815
																																																																																										=
																																																																																										BgL_proc1z00_26144;
																																																																																									BgL_testz00_1814
																																																																																										=
																																																																																										BgL_testz00_26143;
																																																																																									goto
																																																																																										BgL_tagzd2389zd2_1818;
																																																																																								}
																																																																																								BgL_auxz00_25162
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_26142);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1842;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_26150;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1843;
																																																																																									BgL_auxz00_25162
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_26150);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_26154;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_25162
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_26154);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_26158;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_26158);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_26162;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_25162
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_26162);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd241931zd2_7435;
																																																																										BgL_cdrzd241931zd2_7435
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd241937zd2_7436;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_13377;
																																																																												BgL_pairz00_13377
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd241937zd2_7436
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_13377);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd241943zd2_7437;
																																																																												BgL_cdrzd241943zd2_7437
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd241937zd2_7436));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd241948zd2_7438;
																																																																													obj_t
																																																																														BgL_cdrzd241949zd2_7439;
																																																																													BgL_carzd241948zd2_7438
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd241943zd2_7437));
																																																																													BgL_cdrzd241949zd2_7439
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd241943zd2_7437));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241948zd2_7438))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd241954zd2_7441;
																																																																															BgL_carzd241954zd2_7441
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd241949zd2_7439));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241954zd2_7441))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(((obj_t) BgL_cdrzd241949zd2_7439))))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd241931zd2_7435))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg5863z00_7446;
																																																																																					BgL_arg5863z00_7446
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd241937zd2_7436));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_26189;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_26193;
																																																																																							obj_t
																																																																																								BgL_proc2z00_26192;
																																																																																							obj_t
																																																																																								BgL_proc1z00_26191;
																																																																																							obj_t
																																																																																								BgL_testz00_26190;
																																																																																							BgL_testz00_26190
																																																																																								=
																																																																																								BgL_arg5863z00_7446;
																																																																																							BgL_proc1z00_26191
																																																																																								=
																																																																																								BgL_carzd241948zd2_7438;
																																																																																							BgL_proc2z00_26192
																																																																																								=
																																																																																								BgL_carzd241954zd2_7441;
																																																																																							BgL_argsz00_26193
																																																																																								=
																																																																																								BgL_cdrzd241931zd2_7435;
																																																																																							BgL_argsz00_1817
																																																																																								=
																																																																																								BgL_argsz00_26193;
																																																																																							BgL_proc2z00_1816
																																																																																								=
																																																																																								BgL_proc2z00_26192;
																																																																																							BgL_proc1z00_1815
																																																																																								=
																																																																																								BgL_proc1z00_26191;
																																																																																							BgL_testz00_1814
																																																																																								=
																																																																																								BgL_testz00_26190;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1818;
																																																																																						}
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_26189);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_26197;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_25162
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_26197);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_26201;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_26201);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_26205;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_26205);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_26209;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_26209);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_26213;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_25162
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_26213);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd242287zd2_7454;
																																																																						BgL_cdrzd242287zd2_7454
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd242294zd2_7455;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_13386;
																																																																								BgL_pairz00_13386
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd242294zd2_7455
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_13386);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd242301zd2_7456;
																																																																								BgL_cdrzd242301zd2_7456
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd242294zd2_7455));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd242307zd2_7457;
																																																																									obj_t
																																																																										BgL_cdrzd242308zd2_7458;
																																																																									BgL_carzd242307zd2_7457
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd242301zd2_7456));
																																																																									BgL_cdrzd242308zd2_7458
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd242301zd2_7456));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242307zd2_7457))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd242308zd2_7458))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd242315zd2_7461;
																																																																													BgL_carzd242315zd2_7461
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd242308zd2_7458);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242315zd2_7461))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(BgL_cdrzd242308zd2_7458)))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd242287zd2_7454))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg5877z00_7466;
																																																																																			BgL_arg5877z00_7466
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd242294zd2_7455));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_26240;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_26244;
																																																																																					obj_t
																																																																																						BgL_proc2z00_26243;
																																																																																					obj_t
																																																																																						BgL_proc1z00_26242;
																																																																																					obj_t
																																																																																						BgL_testz00_26241;
																																																																																					BgL_testz00_26241
																																																																																						=
																																																																																						BgL_arg5877z00_7466;
																																																																																					BgL_proc1z00_26242
																																																																																						=
																																																																																						BgL_carzd242307zd2_7457;
																																																																																					BgL_proc2z00_26243
																																																																																						=
																																																																																						BgL_carzd242315zd2_7461;
																																																																																					BgL_argsz00_26244
																																																																																						=
																																																																																						BgL_cdrzd242287zd2_7454;
																																																																																					BgL_argsz00_1817
																																																																																						=
																																																																																						BgL_argsz00_26244;
																																																																																					BgL_proc2z00_1816
																																																																																						=
																																																																																						BgL_proc2z00_26243;
																																																																																					BgL_proc1z00_1815
																																																																																						=
																																																																																						BgL_proc1z00_26242;
																																																																																					BgL_testz00_1814
																																																																																						=
																																																																																						BgL_testz00_26241;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1818;
																																																																																				}
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_26240);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_26248;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_26248);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_26252;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_26252);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_26256;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_26256);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26260;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26260);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26264;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26264);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_26268;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26268);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd242708zd2_7480;
																																																						BgL_cdrzd242708zd2_7480
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9743z00_26272;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5905z00_7497;
																																																								BgL_arg5905z00_7497
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9743z00_26272
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg5905z00_7497));
																																																							}
																																																							if (BgL_test9743z00_26272)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg5893z00_7483;
																																																									obj_t
																																																										BgL_arg5894z00_7484;
																																																									BgL_arg5893z00_7483
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd242708zd2_7480));
																																																									BgL_arg5894z00_7484
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd242708zd2_7480));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_26281;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_26283;
																																																											obj_t
																																																												BgL_bindingsz00_26282;
																																																											BgL_bindingsz00_26282
																																																												=
																																																												BgL_arg5893z00_7483;
																																																											BgL_exprz00_26283
																																																												=
																																																												BgL_arg5894z00_7484;
																																																											BgL_exprz00_1797
																																																												=
																																																												BgL_exprz00_26283;
																																																											BgL_bindingsz00_1796
																																																												=
																																																												BgL_bindingsz00_26282;
																																																											goto
																																																												BgL_tagzd2383zd2_1798;
																																																										}
																																																										BgL_auxz00_25162
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_26281);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9744z00_26285;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5904z00_7496;
																																																										BgL_arg5904z00_7496
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9744z00_26285
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg5904z00_7496));
																																																									}
																																																									if (BgL_test9744z00_26285)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_26290;
																																																											goto
																																																												BgL_tagzd2385zd2_1800;
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_26290);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd242774zd2_7487;
																																																											BgL_carzd242774zd2_7487
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd242779zd2_7488;
																																																												BgL_cdrzd242779zd2_7488
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd242774zd2_7487));
																																																												if ((CAR(((obj_t) BgL_carzd242774zd2_7487)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5899z00_7491;
																																																														obj_t
																																																															BgL_arg5900z00_7492;
																																																														obj_t
																																																															BgL_arg5901z00_7493;
																																																														BgL_arg5899z00_7491
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd242779zd2_7488));
																																																														BgL_arg5900z00_7492
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd242779zd2_7488));
																																																														BgL_arg5901z00_7493
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_26307;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_26310;
																																																																obj_t
																																																																	BgL_bodyz00_26309;
																																																																obj_t
																																																																	BgL_varsz00_26308;
																																																																BgL_varsz00_26308
																																																																	=
																																																																	BgL_arg5899z00_7491;
																																																																BgL_bodyz00_26309
																																																																	=
																																																																	BgL_arg5900z00_7492;
																																																																BgL_argsz00_26310
																																																																	=
																																																																	BgL_arg5901z00_7493;
																																																																BgL_argsz00_1807
																																																																	=
																																																																	BgL_argsz00_26310;
																																																																BgL_bodyz00_1806
																																																																	=
																																																																	BgL_bodyz00_26309;
																																																																BgL_varsz00_1805
																																																																	=
																																																																	BgL_varsz00_26308;
																																																																goto
																																																																	BgL_tagzd2387zd2_1808;
																																																															}
																																																															BgL_auxz00_25162
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_26307);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_26314;
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																																BgL_auxz00_25162
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_26314);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd242890zd2_7498;
																																																				BgL_cdrzd242890zd2_7498
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9747z00_26318;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg5914z00_7507;
																																																						BgL_arg5914z00_7507
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9747z00_26318
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg5914z00_7507));
																																																					}
																																																					if (BgL_test9747z00_26318)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg5908z00_7501;
																																																							obj_t
																																																								BgL_arg5909z00_7502;
																																																							BgL_arg5908z00_7501
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd242890zd2_7498));
																																																							BgL_arg5909z00_7502
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd242890zd2_7498));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_26327;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_26329;
																																																									obj_t
																																																										BgL_bindingsz00_26328;
																																																									BgL_bindingsz00_26328
																																																										=
																																																										BgL_arg5908z00_7501;
																																																									BgL_exprz00_26329
																																																										=
																																																										BgL_arg5909z00_7502;
																																																									BgL_exprz00_1797
																																																										=
																																																										BgL_exprz00_26329;
																																																									BgL_bindingsz00_1796
																																																										=
																																																										BgL_bindingsz00_26328;
																																																									goto
																																																										BgL_tagzd2383zd2_1798;
																																																								}
																																																								BgL_auxz00_25162
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_26327);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9748z00_26331;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5913z00_7506;
																																																								BgL_arg5913z00_7506
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9748z00_26331
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg5913z00_7506));
																																																							}
																																																							if (BgL_test9748z00_26331)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_26336;
																																																									goto
																																																										BgL_tagzd2385zd2_1800;
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_26336);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2404zd2_1842;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_26340;
																																																											goto
																																																												BgL_tagzd2405zd2_1843;
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_26340);
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd241455zd2_7237)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd241457zd2_7239;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((BgL_carzd241455zd2_7237 == CNST_TABLE_REF(((long) 19))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd241457zd2_7239;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((BgL_carzd241455zd2_7237 == CNST_TABLE_REF(((long) 20))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd241457zd2_7239;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd241455zd2_7237)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd241457zd2_7239;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd243062zd2_7242;
																																																										BgL_cdrzd243062zd2_7242
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test9754z00_26356;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5814z00_7359;
																																																												BgL_arg5814z00_7359
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test9754z00_26356
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg5814z00_7359));
																																																											}
																																																											if (BgL_test9754z00_26356)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg5742z00_7245;
																																																													obj_t
																																																														BgL_arg5743z00_7246;
																																																													BgL_arg5742z00_7245
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd243062zd2_7242));
																																																													BgL_arg5743z00_7246
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd243062zd2_7242));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_26365;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_26367;
																																																															obj_t
																																																																BgL_bindingsz00_26366;
																																																															BgL_bindingsz00_26366
																																																																=
																																																																BgL_arg5742z00_7245;
																																																															BgL_exprz00_26367
																																																																=
																																																																BgL_arg5743z00_7246;
																																																															BgL_exprz00_1797
																																																																=
																																																																BgL_exprz00_26367;
																																																															BgL_bindingsz00_1796
																																																																=
																																																																BgL_bindingsz00_26366;
																																																															goto
																																																																BgL_tagzd2383zd2_1798;
																																																														}
																																																														BgL_auxz00_25162
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_26365);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test9755z00_26369;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5813z00_7358;
																																																														BgL_arg5813z00_7358
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test9755z00_26369
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg5813z00_7358));
																																																													}
																																																													if (BgL_test9755z00_26369)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_26374;
																																																															goto
																																																																BgL_tagzd2385zd2_1800;
																																																															BgL_auxz00_25162
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_26374);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd243128zd2_7249;
																																																															BgL_carzd243128zd2_7249
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd243133zd2_7250;
																																																																BgL_cdrzd243133zd2_7250
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd243128zd2_7249));
																																																																if ((CAR(((obj_t) BgL_carzd243128zd2_7249)) == CNST_TABLE_REF(((long) 3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd243133zd2_7250))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg5749z00_7254;
																																																																				obj_t
																																																																					BgL_arg5750z00_7255;
																																																																				obj_t
																																																																					BgL_arg5751z00_7256;
																																																																				BgL_arg5749z00_7254
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd243133zd2_7250);
																																																																				BgL_arg5750z00_7255
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd243133zd2_7250);
																																																																				BgL_arg5751z00_7256
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_26391;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_26394;
																																																																						obj_t
																																																																							BgL_bodyz00_26393;
																																																																						obj_t
																																																																							BgL_varsz00_26392;
																																																																						BgL_varsz00_26392
																																																																							=
																																																																							BgL_arg5749z00_7254;
																																																																						BgL_bodyz00_26393
																																																																							=
																																																																							BgL_arg5750z00_7255;
																																																																						BgL_argsz00_26394
																																																																							=
																																																																							BgL_arg5751z00_7256;
																																																																						BgL_argsz00_1807
																																																																							=
																																																																							BgL_argsz00_26394;
																																																																						BgL_bodyz00_1806
																																																																							=
																																																																							BgL_bodyz00_26393;
																																																																						BgL_varsz00_1805
																																																																							=
																																																																							BgL_varsz00_26392;
																																																																						goto
																																																																							BgL_tagzd2387zd2_1808;
																																																																					}
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26391);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_26398;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_25162
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_26398);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd243240zd2_7259;
																																																																		BgL_cdrzd243240zd2_7259
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd243245zd2_7260;
																																																																			BgL_cdrzd243245zd2_7260
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd243128zd2_7249));
																																																																			if ((CAR(((obj_t) BgL_carzd243128zd2_7249)) == CNST_TABLE_REF(((long) 1))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd243245zd2_7260))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd243250zd2_7264;
																																																																							BgL_cdrzd243250zd2_7264
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd243245zd2_7260);
																																																																							if (PAIRP(BgL_cdrzd243250zd2_7264))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd243254zd2_7266;
																																																																									obj_t
																																																																										BgL_cdrzd243255zd2_7267;
																																																																									BgL_carzd243254zd2_7266
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd243250zd2_7264);
																																																																									BgL_cdrzd243255zd2_7267
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd243250zd2_7264);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243254zd2_7266))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd243255zd2_7267))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd243260zd2_7270;
																																																																													BgL_carzd243260zd2_7270
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd243255zd2_7267);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243260zd2_7270))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(BgL_cdrzd243255zd2_7267)))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test9766z00_26426;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1455z00_7303;
																																																																																		BgL_l1455z00_7303
																																																																																			=
																																																																																			BgL_cdrzd243240zd2_7259;
																																																																																	BgL_zc3z04anonymousza35777ze3z87_7304:
																																																																																		if (NULLP(BgL_l1455z00_7303))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test9766z00_26426
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				bool_t
																																																																																					BgL_test9768z00_26429;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					bool_t
																																																																																						BgL_test9769z00_26430;
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_tmpz00_26431;
																																																																																						BgL_tmpz00_26431
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_l1455z00_7303));
																																																																																						BgL_test9769z00_26430
																																																																																							=
																																																																																							PAIRP
																																																																																							(BgL_tmpz00_26431);
																																																																																					}
																																																																																					if (BgL_test9769z00_26430)
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							BgL_test9768z00_26429
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								0);
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							BgL_test9768z00_26429
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								1);
																																																																																						}
																																																																																				}
																																																																																				if (BgL_test9768z00_26429)
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_l1455z00_26435;
																																																																																						BgL_l1455z00_26435
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_l1455z00_7303));
																																																																																						BgL_l1455z00_7303
																																																																																							=
																																																																																							BgL_l1455z00_26435;
																																																																																						goto
																																																																																							BgL_zc3z04anonymousza35777ze3z87_7304;
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test9766z00_26426
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																	if (BgL_test9766z00_26426)
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg5767z00_7286;
																																																																																			BgL_arg5767z00_7286
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd243245zd2_7260);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_26439;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_26443;
																																																																																					obj_t
																																																																																						BgL_proc2z00_26442;
																																																																																					obj_t
																																																																																						BgL_proc1z00_26441;
																																																																																					obj_t
																																																																																						BgL_testz00_26440;
																																																																																					BgL_testz00_26440
																																																																																						=
																																																																																						BgL_arg5767z00_7286;
																																																																																					BgL_proc1z00_26441
																																																																																						=
																																																																																						BgL_carzd243254zd2_7266;
																																																																																					BgL_proc2z00_26442
																																																																																						=
																																																																																						BgL_carzd243260zd2_7270;
																																																																																					BgL_argsz00_26443
																																																																																						=
																																																																																						BgL_cdrzd243240zd2_7259;
																																																																																					BgL_argsz00_1812
																																																																																						=
																																																																																						BgL_argsz00_26443;
																																																																																					BgL_proc2z00_1811
																																																																																						=
																																																																																						BgL_proc2z00_26442;
																																																																																					BgL_proc1z00_1810
																																																																																						=
																																																																																						BgL_proc1z00_26441;
																																																																																					BgL_testz00_1809
																																																																																						=
																																																																																						BgL_testz00_26440;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1813;
																																																																																				}
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_26439);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd243285zd2_7287;
																																																																																			BgL_cdrzd243285zd2_7287
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_cdrzd243293zd2_7288;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_13434;
																																																																																					BgL_pairz00_13434
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdrzd243293zd2_7288
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_pairz00_13434);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd243301zd2_7289;
																																																																																					BgL_cdrzd243301zd2_7289
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd243293zd2_7288));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd243308zd2_7290;
																																																																																						BgL_carzd243308zd2_7290
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd243301zd2_7289));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243308zd2_7290))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd243317zd2_7292;
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_pairz00_13438;
																																																																																									BgL_pairz00_13438
																																																																																										=
																																																																																										CDR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd243301zd2_7289));
																																																																																									BgL_carzd243317zd2_7292
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_pairz00_13438);
																																																																																								}
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243317zd2_7292))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243285zd2_7287))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg5771z00_7295;
																																																																																												BgL_arg5771z00_7295
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd243293zd2_7288));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_26465;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_26469;
																																																																																														obj_t
																																																																																															BgL_proc2z00_26468;
																																																																																														obj_t
																																																																																															BgL_proc1z00_26467;
																																																																																														obj_t
																																																																																															BgL_testz00_26466;
																																																																																														BgL_testz00_26466
																																																																																															=
																																																																																															BgL_arg5771z00_7295;
																																																																																														BgL_proc1z00_26467
																																																																																															=
																																																																																															BgL_carzd243308zd2_7290;
																																																																																														BgL_proc2z00_26468
																																																																																															=
																																																																																															BgL_carzd243317zd2_7292;
																																																																																														BgL_argsz00_26469
																																																																																															=
																																																																																															BgL_cdrzd243285zd2_7287;
																																																																																														BgL_argsz00_1817
																																																																																															=
																																																																																															BgL_argsz00_26469;
																																																																																														BgL_proc2z00_1816
																																																																																															=
																																																																																															BgL_proc2z00_26468;
																																																																																														BgL_proc1z00_1815
																																																																																															=
																																																																																															BgL_proc1z00_26467;
																																																																																														BgL_testz00_1814
																																																																																															=
																																																																																															BgL_testz00_26466;
																																																																																														goto
																																																																																															BgL_tagzd2389zd2_1818;
																																																																																													}
																																																																																													BgL_auxz00_25162
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_26465);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1842;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_26473;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1843;
																																																																																														BgL_auxz00_25162
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_26473);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_26477;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_25162
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_26477);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_26481;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_25162
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_26481);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_26485;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_26485);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd243595zd2_7314;
																																																																															BgL_cdrzd243595zd2_7314
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd243602zd2_7315;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_13442;
																																																																																	BgL_pairz00_13442
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd243602zd2_7315
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_13442);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd243609zd2_7316;
																																																																																	BgL_cdrzd243609zd2_7316
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd243602zd2_7315));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd243615zd2_7317;
																																																																																		obj_t
																																																																																			BgL_cdrzd243616zd2_7318;
																																																																																		BgL_carzd243615zd2_7317
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd243609zd2_7316));
																																																																																		BgL_cdrzd243616zd2_7318
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd243609zd2_7316));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243615zd2_7317))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd243623zd2_7320;
																																																																																				BgL_carzd243623zd2_7320
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd243616zd2_7318));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243623zd2_7320))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd243616zd2_7318))))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243595zd2_7314))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg5786z00_7325;
																																																																																										BgL_arg5786z00_7325
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd243602zd2_7315));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_26512;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_26516;
																																																																																												obj_t
																																																																																													BgL_proc2z00_26515;
																																																																																												obj_t
																																																																																													BgL_proc1z00_26514;
																																																																																												obj_t
																																																																																													BgL_testz00_26513;
																																																																																												BgL_testz00_26513
																																																																																													=
																																																																																													BgL_arg5786z00_7325;
																																																																																												BgL_proc1z00_26514
																																																																																													=
																																																																																													BgL_carzd243615zd2_7317;
																																																																																												BgL_proc2z00_26515
																																																																																													=
																																																																																													BgL_carzd243623zd2_7320;
																																																																																												BgL_argsz00_26516
																																																																																													=
																																																																																													BgL_cdrzd243595zd2_7314;
																																																																																												BgL_argsz00_1817
																																																																																													=
																																																																																													BgL_argsz00_26516;
																																																																																												BgL_proc2z00_1816
																																																																																													=
																																																																																													BgL_proc2z00_26515;
																																																																																												BgL_proc1z00_1815
																																																																																													=
																																																																																													BgL_proc1z00_26514;
																																																																																												BgL_testz00_1814
																																																																																													=
																																																																																													BgL_testz00_26513;
																																																																																												goto
																																																																																													BgL_tagzd2389zd2_1818;
																																																																																											}
																																																																																											BgL_auxz00_25162
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_26512);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_26520;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_25162
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_26520);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_26524;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_25162
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_26524);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_26528;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_25162
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_26528);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_26532;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_26532);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26536;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26536);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd243956zd2_7333;
																																																																											BgL_cdrzd243956zd2_7333
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd243962zd2_7334;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_13451;
																																																																													BgL_pairz00_13451
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd243962zd2_7334
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_13451);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd243968zd2_7335;
																																																																													BgL_cdrzd243968zd2_7335
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd243962zd2_7334));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd243973zd2_7336;
																																																																														obj_t
																																																																															BgL_cdrzd243974zd2_7337;
																																																																														BgL_carzd243973zd2_7336
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd243968zd2_7335));
																																																																														BgL_cdrzd243974zd2_7337
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd243968zd2_7335));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243973zd2_7336))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (PAIRP(BgL_cdrzd243974zd2_7337))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd243979zd2_7340;
																																																																																		BgL_carzd243979zd2_7340
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd243974zd2_7337);
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243979zd2_7340))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(BgL_cdrzd243974zd2_7337)))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243956zd2_7333))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg5800z00_7345;
																																																																																								BgL_arg5800z00_7345
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd243962zd2_7334));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_26563;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_26567;
																																																																																										obj_t
																																																																																											BgL_proc2z00_26566;
																																																																																										obj_t
																																																																																											BgL_proc1z00_26565;
																																																																																										obj_t
																																																																																											BgL_testz00_26564;
																																																																																										BgL_testz00_26564
																																																																																											=
																																																																																											BgL_arg5800z00_7345;
																																																																																										BgL_proc1z00_26565
																																																																																											=
																																																																																											BgL_carzd243973zd2_7336;
																																																																																										BgL_proc2z00_26566
																																																																																											=
																																																																																											BgL_carzd243979zd2_7340;
																																																																																										BgL_argsz00_26567
																																																																																											=
																																																																																											BgL_cdrzd243956zd2_7333;
																																																																																										BgL_argsz00_1817
																																																																																											=
																																																																																											BgL_argsz00_26567;
																																																																																										BgL_proc2z00_1816
																																																																																											=
																																																																																											BgL_proc2z00_26566;
																																																																																										BgL_proc1z00_1815
																																																																																											=
																																																																																											BgL_proc1z00_26565;
																																																																																										BgL_testz00_1814
																																																																																											=
																																																																																											BgL_testz00_26564;
																																																																																										goto
																																																																																											BgL_tagzd2389zd2_1818;
																																																																																									}
																																																																																									BgL_auxz00_25162
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_26563);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_26571;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_25162
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_26571);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_26575;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_25162
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_26575);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_26579;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_26579);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_26583;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_26583);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_26587;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																		BgL_auxz00_25162
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_26587);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26591;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26591);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_26595;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_26595);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_26599;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_26599);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((BgL_carzd241452zd2_7235 == CNST_TABLE_REF(((long) 18))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg5915z00_7510;
																																																	obj_t
																																																		BgL_arg5916z00_7511;
																																																	BgL_arg5915z00_7510
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd241427zd2_7230));
																																																	BgL_arg5916z00_7511
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd241427zd2_7230));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_26608;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_26610;
																																																			obj_t
																																																				BgL_bindingsz00_26609;
																																																			BgL_bindingsz00_26609
																																																				=
																																																				BgL_arg5915z00_7510;
																																																			BgL_exprz00_26610
																																																				=
																																																				BgL_arg5916z00_7511;
																																																			BgL_exprz00_1797
																																																				=
																																																				BgL_exprz00_26610;
																																																			BgL_bindingsz00_1796
																																																				=
																																																				BgL_bindingsz00_26609;
																																																			goto
																																																				BgL_tagzd2383zd2_1798;
																																																		}
																																																		BgL_auxz00_25162
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_26608);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd241452zd2_7235)))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5918z00_7513;
																																																			obj_t
																																																				BgL_arg5919z00_7514;
																																																			BgL_arg5918z00_7513
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd241427zd2_7230));
																																																			BgL_arg5919z00_7514
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd241427zd2_7230));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_26619;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_26621;
																																																					obj_t
																																																						BgL_bindingsz00_26620;
																																																					BgL_bindingsz00_26620
																																																						=
																																																						BgL_arg5918z00_7513;
																																																					BgL_exprz00_26621
																																																						=
																																																						BgL_arg5919z00_7514;
																																																					BgL_exprz00_1797
																																																						=
																																																						BgL_exprz00_26621;
																																																					BgL_bindingsz00_1796
																																																						=
																																																						BgL_bindingsz00_26620;
																																																					goto
																																																						BgL_tagzd2383zd2_1798;
																																																				}
																																																				BgL_auxz00_25162
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_26619);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((BgL_carzd241452zd2_7235 == CNST_TABLE_REF(((long) 19))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5920z00_7515;
																																																					obj_t
																																																						BgL_arg5921z00_7516;
																																																					BgL_arg5920z00_7515
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd241427zd2_7230));
																																																					BgL_arg5921z00_7516
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd241427zd2_7230));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_26630;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_26632;
																																																							obj_t
																																																								BgL_bindingsz00_26631;
																																																							BgL_bindingsz00_26631
																																																								=
																																																								BgL_arg5920z00_7515;
																																																							BgL_exprz00_26632
																																																								=
																																																								BgL_arg5921z00_7516;
																																																							BgL_exprz00_1797
																																																								=
																																																								BgL_exprz00_26632;
																																																							BgL_bindingsz00_1796
																																																								=
																																																								BgL_bindingsz00_26631;
																																																							goto
																																																								BgL_tagzd2383zd2_1798;
																																																						}
																																																						BgL_auxz00_25162
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_26630);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_26639;
																																																							goto
																																																								BgL_tagzd2384zd2_1799;
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_26639);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd244554zd2_7519;
																																																							BgL_carzd244554zd2_7519
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((BgL_carzd244554zd2_7519 == CNST_TABLE_REF(((long) 20))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_26646;
																																																									goto
																																																										BgL_tagzd2385zd2_1800;
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_26646);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd244554zd2_7519)))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_26651;
																																																											goto
																																																												BgL_tagzd2385zd2_1800;
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_26651);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_26658;
																																																													goto
																																																														BgL_tagzd2390zd2_1819;
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_26658);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_26665;
																																																															goto
																																																																BgL_tagzd2391zd2_1820;
																																																															BgL_auxz00_25162
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_26665);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd244634zd2_7525;
																																																															BgL_cdrzd244634zd2_7525
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg5931z00_7528;
																																																																	obj_t
																																																																		BgL_arg5932z00_7529;
																																																																	BgL_arg5931z00_7528
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd244634zd2_7525));
																																																																	BgL_arg5932z00_7529
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd244634zd2_7525));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_26678;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_26680;
																																																																			obj_t
																																																																				BgL_effectz00_26679;
																																																																			BgL_effectz00_26679
																																																																				=
																																																																				BgL_arg5931z00_7528;
																																																																			BgL_restz00_26680
																																																																				=
																																																																				BgL_arg5932z00_7529;
																																																																			BgL_restz00_1822
																																																																				=
																																																																				BgL_restz00_26680;
																																																																			BgL_effectz00_1821
																																																																				=
																																																																				BgL_effectz00_26679;
																																																																			goto
																																																																				BgL_tagzd2392zd2_1823;
																																																																		}
																																																																		BgL_auxz00_25162
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_26678);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_26687;
																																																																			goto
																																																																				BgL_tagzd2393zd2_1824;
																																																																			BgL_auxz00_25162
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_26687);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_26694;
																																																																					goto
																																																																						BgL_tagzd2394zd2_1825;
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26694);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg5939z00_7537;
																																																																							obj_t
																																																																								BgL_arg5940z00_7538;
																																																																							BgL_arg5939z00_7537
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd244634zd2_7525));
																																																																							BgL_arg5940z00_7538
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd244634zd2_7525));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_26705;
																																																																								{
																																																																									obj_t
																																																																										BgL_restz00_26707;
																																																																									obj_t
																																																																										BgL_effectz00_26706;
																																																																									BgL_effectz00_26706
																																																																										=
																																																																										BgL_arg5939z00_7537;
																																																																									BgL_restz00_26707
																																																																										=
																																																																										BgL_arg5940z00_7538;
																																																																									BgL_restz00_1827
																																																																										=
																																																																										BgL_restz00_26707;
																																																																									BgL_effectz00_1826
																																																																										=
																																																																										BgL_effectz00_26706;
																																																																									goto
																																																																										BgL_tagzd2395zd2_1828;
																																																																								}
																																																																								BgL_auxz00_25162
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_26705);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_26714;
																																																																									goto
																																																																										BgL_tagzd2396zd2_1829;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_26714);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26721;
																																																																											goto
																																																																												BgL_tagzd2397zd2_1830;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26721);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																												{
																																																																													BgL_letzd2funzd2_bglt
																																																																														BgL_auxz00_26728;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1831;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26728);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																														{
																																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																																BgL_auxz00_26735;
																																																																															goto
																																																																																BgL_tagzd2399zd2_1832;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26735);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd244711zd2_7547;
																																																																															BgL_cdrzd244711zd2_7547
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg5951z00_7550;
																																																																																	obj_t
																																																																																		BgL_arg5952z00_7551;
																																																																																	BgL_arg5951z00_7550
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd244711zd2_7547));
																																																																																	BgL_arg5952z00_7551
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd244711zd2_7547));
																																																																																	{	/* Ast/sexp.scm 564 */
																																																																																		obj_t
																																																																																			BgL_arg7616z00_13488;
																																																																																		BgL_arg7616z00_13488
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_25162
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg5951z00_7550,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 4)), BgL_arg5952z00_7551, BgL_stackz00_22, BgL_arg7616z00_13488, BgL_sitez00_24));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_26754;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_26754);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd244736zd2_7569;
																																	BgL_carzd244736zd2_7569
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (
																																		(BgL_carzd244736zd2_7569
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					1))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_26761;
																																			goto
																																				BgL_tagzd2377zd2_1784;
																																			BgL_auxz00_25162
																																				=
																																				((obj_t)
																																				BgL_auxz00_26761);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(BgL_carzd244736zd2_7569
																																					==
																																					BGl_za2ifza2z00zzast_sexpz00))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_26765;
																																					goto
																																						BgL_tagzd2377zd2_1784;
																																					BgL_auxz00_25162
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_26765);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_26772;
																																							goto
																																								BgL_tagzd2379zd2_1788;
																																							BgL_auxz00_25162
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_26772);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_26779;
																																									goto
																																										BgL_tagzd2380zd2_1789;
																																									BgL_auxz00_25162
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_26779);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_cdrzd244807zd2_7575;
																																									BgL_cdrzd244807zd2_7575
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg5977z00_7578;
																																											obj_t
																																												BgL_arg5978z00_7579;
																																											BgL_arg5977z00_7578
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd244807zd2_7575));
																																											BgL_arg5978z00_7579
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd244807zd2_7575));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_26792;
																																												{
																																													obj_t
																																														BgL_exprz00_26794;
																																													obj_t
																																														BgL_bindingsz00_26793;
																																													BgL_bindingsz00_26793
																																														=
																																														BgL_arg5977z00_7578;
																																													BgL_exprz00_26794
																																														=
																																														BgL_arg5978z00_7579;
																																													BgL_exprz00_1791
																																														=
																																														BgL_exprz00_26794;
																																													BgL_bindingsz00_1790
																																														=
																																														BgL_bindingsz00_26793;
																																													goto
																																														BgL_tagzd2381zd2_1792;
																																												}
																																												BgL_auxz00_25162
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_26792);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd244832zd2_7580;
																																											BgL_carzd244832zd2_7580
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if (PAIRP(BgL_carzd244832zd2_7580))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd244835zd2_7582;
																																													obj_t
																																														BgL_cdrzd244836zd2_7583;
																																													BgL_carzd244835zd2_7582
																																														=
																																														CAR
																																														(BgL_carzd244832zd2_7580);
																																													BgL_cdrzd244836zd2_7583
																																														=
																																														CDR
																																														(BgL_carzd244832zd2_7580);
																																													{

																																														if ((BgL_carzd244835zd2_7582 == CNST_TABLE_REF(((long) 18))))
																																															{	/* Ast/sexp.scm 119 */
																																															BgL_kapzd244837zd2_7584:
																																																if (PAIRP(BgL_cdrzd244836zd2_7583))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd244840zd2_7706;
																																																		BgL_cdrzd244840zd2_7706
																																																			=
																																																			CDR
																																																			(BgL_cdrzd244836zd2_7583);
																																																		if (PAIRP(BgL_cdrzd244840zd2_7706))
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (NULLP(CDR(BgL_cdrzd244840zd2_7706)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6061z00_7710;
																																																						obj_t
																																																							BgL_arg6062z00_7711;
																																																						BgL_arg6061z00_7710
																																																							=
																																																							CAR
																																																							(BgL_cdrzd244840zd2_7706);
																																																						BgL_arg6062z00_7711
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_26816;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_26818;
																																																								obj_t
																																																									BgL_bodyz00_26817;
																																																								BgL_bodyz00_26817
																																																									=
																																																									BgL_arg6061z00_7710;
																																																								BgL_argsz00_26818
																																																									=
																																																									BgL_arg6062z00_7711;
																																																								BgL_argsz00_1794
																																																									=
																																																									BgL_argsz00_26818;
																																																								BgL_bodyz00_1793
																																																									=
																																																									BgL_bodyz00_26817;
																																																								goto
																																																									BgL_tagzd2382zd2_1795;
																																																							}
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_26816);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd244864zd2_7712;
																																																						BgL_cdrzd244864zd2_7712
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9827z00_26822;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6131z00_7823;
																																																								BgL_arg6131z00_7823
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9827z00_26822
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg6131z00_7823));
																																																							}
																																																							if (BgL_test9827z00_26822)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg6065z00_7715;
																																																									obj_t
																																																										BgL_arg6066z00_7716;
																																																									BgL_arg6065z00_7715
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd244864zd2_7712));
																																																									BgL_arg6066z00_7716
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd244864zd2_7712));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_26831;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_26833;
																																																											obj_t
																																																												BgL_bindingsz00_26832;
																																																											BgL_bindingsz00_26832
																																																												=
																																																												BgL_arg6065z00_7715;
																																																											BgL_exprz00_26833
																																																												=
																																																												BgL_arg6066z00_7716;
																																																											BgL_exprz00_1797
																																																												=
																																																												BgL_exprz00_26833;
																																																											BgL_bindingsz00_1796
																																																												=
																																																												BgL_bindingsz00_26832;
																																																											goto
																																																												BgL_tagzd2383zd2_1798;
																																																										}
																																																										BgL_auxz00_25162
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_26831);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9828z00_26835;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg6130z00_7822;
																																																										BgL_arg6130z00_7822
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9828z00_26835
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg6130z00_7822));
																																																									}
																																																									if (BgL_test9828z00_26835)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_26840;
																																																											goto
																																																												BgL_tagzd2385zd2_1800;
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_26840);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd244931zd2_7719;
																																																											BgL_carzd244931zd2_7719
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd244936zd2_7720;
																																																												BgL_cdrzd244936zd2_7720
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd244931zd2_7719));
																																																												if ((CAR(((obj_t) BgL_carzd244931zd2_7719)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg6071z00_7723;
																																																														obj_t
																																																															BgL_arg6072z00_7724;
																																																														obj_t
																																																															BgL_arg6073z00_7725;
																																																														BgL_arg6071z00_7723
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd244936zd2_7720));
																																																														BgL_arg6072z00_7724
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd244936zd2_7720));
																																																														BgL_arg6073z00_7725
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_26857;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_26860;
																																																																obj_t
																																																																	BgL_bodyz00_26859;
																																																																obj_t
																																																																	BgL_varsz00_26858;
																																																																BgL_varsz00_26858
																																																																	=
																																																																	BgL_arg6071z00_7723;
																																																																BgL_bodyz00_26859
																																																																	=
																																																																	BgL_arg6072z00_7724;
																																																																BgL_argsz00_26860
																																																																	=
																																																																	BgL_arg6073z00_7725;
																																																																BgL_argsz00_1807
																																																																	=
																																																																	BgL_argsz00_26860;
																																																																BgL_bodyz00_1806
																																																																	=
																																																																	BgL_bodyz00_26859;
																																																																BgL_varsz00_1805
																																																																	=
																																																																	BgL_varsz00_26858;
																																																																goto
																																																																	BgL_tagzd2387zd2_1808;
																																																															}
																																																															BgL_auxz00_25162
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_26857);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd244959zd2_7727;
																																																														BgL_cdrzd244959zd2_7727
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd244965zd2_7728;
																																																															BgL_cdrzd244965zd2_7728
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd244931zd2_7719));
																																																															if ((CAR(((obj_t) BgL_carzd244931zd2_7719)) == CNST_TABLE_REF(((long) 1))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd244971zd2_7731;
																																																																	BgL_cdrzd244971zd2_7731
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd244965zd2_7728));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd244976zd2_7732;
																																																																		obj_t
																																																																			BgL_cdrzd244977zd2_7733;
																																																																		BgL_carzd244976zd2_7732
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd244971zd2_7731));
																																																																		BgL_cdrzd244977zd2_7733
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd244971zd2_7731));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244976zd2_7732))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd244977zd2_7733))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd244984zd2_7736;
																																																																						BgL_carzd244984zd2_7736
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd244977zd2_7733);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244984zd2_7736))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd244977zd2_7733)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9835z00_26887;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1458z00_7769;
																																																																											BgL_l1458z00_7769
																																																																												=
																																																																												BgL_cdrzd244959zd2_7727;
																																																																										BgL_zc3z04anonymousza36096ze3z87_7770:
																																																																											if (NULLP(BgL_l1458z00_7769))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9835z00_26887
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test9837z00_26890;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test9838z00_26891;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_tmpz00_26892;
																																																																															BgL_tmpz00_26892
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1458z00_7769));
																																																																															BgL_test9838z00_26891
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_26892);
																																																																														}
																																																																														if (BgL_test9838z00_26891)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9837z00_26890
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9837z00_26890
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_test9837z00_26890)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1458z00_26896;
																																																																															BgL_l1458z00_26896
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1458z00_7769));
																																																																															BgL_l1458z00_7769
																																																																																=
																																																																																BgL_l1458z00_26896;
																																																																															goto
																																																																																BgL_zc3z04anonymousza36096ze3z87_7770;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test9835z00_26887
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_test9835z00_26887)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg6086z00_7752;
																																																																												BgL_arg6086z00_7752
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd244965zd2_7728));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26901;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_26905;
																																																																														obj_t
																																																																															BgL_proc2z00_26904;
																																																																														obj_t
																																																																															BgL_proc1z00_26903;
																																																																														obj_t
																																																																															BgL_testz00_26902;
																																																																														BgL_testz00_26902
																																																																															=
																																																																															BgL_arg6086z00_7752;
																																																																														BgL_proc1z00_26903
																																																																															=
																																																																															BgL_carzd244976zd2_7732;
																																																																														BgL_proc2z00_26904
																																																																															=
																																																																															BgL_carzd244984zd2_7736;
																																																																														BgL_argsz00_26905
																																																																															=
																																																																															BgL_cdrzd244959zd2_7727;
																																																																														BgL_argsz00_1812
																																																																															=
																																																																															BgL_argsz00_26905;
																																																																														BgL_proc2z00_1811
																																																																															=
																																																																															BgL_proc2z00_26904;
																																																																														BgL_proc1z00_1810
																																																																															=
																																																																															BgL_proc1z00_26903;
																																																																														BgL_testz00_1809
																																																																															=
																																																																															BgL_testz00_26902;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1813;
																																																																													}
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26901);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd245008zd2_7753;
																																																																												BgL_cdrzd245008zd2_7753
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd245015zd2_7754;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_13528;
																																																																														BgL_pairz00_13528
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd245015zd2_7754
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_13528);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd245022zd2_7755;
																																																																														BgL_cdrzd245022zd2_7755
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd245015zd2_7754));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd245028zd2_7756;
																																																																															BgL_carzd245028zd2_7756
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd245022zd2_7755));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245028zd2_7756))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd245035zd2_7758;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_13532;
																																																																																		BgL_pairz00_13532
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd245022zd2_7755));
																																																																																		BgL_carzd245035zd2_7758
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_13532);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245035zd2_7758))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245008zd2_7753))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg6090z00_7761;
																																																																																					BgL_arg6090z00_7761
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd245015zd2_7754));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_26927;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_26931;
																																																																																							obj_t
																																																																																								BgL_proc2z00_26930;
																																																																																							obj_t
																																																																																								BgL_proc1z00_26929;
																																																																																							obj_t
																																																																																								BgL_testz00_26928;
																																																																																							BgL_testz00_26928
																																																																																								=
																																																																																								BgL_arg6090z00_7761;
																																																																																							BgL_proc1z00_26929
																																																																																								=
																																																																																								BgL_carzd245028zd2_7756;
																																																																																							BgL_proc2z00_26930
																																																																																								=
																																																																																								BgL_carzd245035zd2_7758;
																																																																																							BgL_argsz00_26931
																																																																																								=
																																																																																								BgL_cdrzd245008zd2_7753;
																																																																																							BgL_argsz00_1817
																																																																																								=
																																																																																								BgL_argsz00_26931;
																																																																																							BgL_proc2z00_1816
																																																																																								=
																																																																																								BgL_proc2z00_26930;
																																																																																							BgL_proc1z00_1815
																																																																																								=
																																																																																								BgL_proc1z00_26929;
																																																																																							BgL_testz00_1814
																																																																																								=
																																																																																								BgL_testz00_26928;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1818;
																																																																																						}
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_26927);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1842;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_26935;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1843;
																																																																																							BgL_auxz00_25162
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_26935);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_26939;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_26939);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_26943;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_26943);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_26947;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_25162
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_26947);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd245311zd2_7780;
																																																																								BgL_cdrzd245311zd2_7780
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd245317zd2_7781;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_13536;
																																																																										BgL_pairz00_13536
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd245317zd2_7781
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_13536);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd245323zd2_7782;
																																																																										BgL_cdrzd245323zd2_7782
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd245317zd2_7781));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd245328zd2_7783;
																																																																											obj_t
																																																																												BgL_cdrzd245329zd2_7784;
																																																																											BgL_carzd245328zd2_7783
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd245323zd2_7782));
																																																																											BgL_cdrzd245329zd2_7784
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd245323zd2_7782));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245328zd2_7783))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd245334zd2_7786;
																																																																													BgL_carzd245334zd2_7786
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd245329zd2_7784));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245334zd2_7786))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd245329zd2_7784))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245311zd2_7780))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg6105z00_7791;
																																																																																			BgL_arg6105z00_7791
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd245317zd2_7781));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_26974;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_26978;
																																																																																					obj_t
																																																																																						BgL_proc2z00_26977;
																																																																																					obj_t
																																																																																						BgL_proc1z00_26976;
																																																																																					obj_t
																																																																																						BgL_testz00_26975;
																																																																																					BgL_testz00_26975
																																																																																						=
																																																																																						BgL_arg6105z00_7791;
																																																																																					BgL_proc1z00_26976
																																																																																						=
																																																																																						BgL_carzd245328zd2_7783;
																																																																																					BgL_proc2z00_26977
																																																																																						=
																																																																																						BgL_carzd245334zd2_7786;
																																																																																					BgL_argsz00_26978
																																																																																						=
																																																																																						BgL_cdrzd245311zd2_7780;
																																																																																					BgL_argsz00_1817
																																																																																						=
																																																																																						BgL_argsz00_26978;
																																																																																					BgL_proc2z00_1816
																																																																																						=
																																																																																						BgL_proc2z00_26977;
																																																																																					BgL_proc1z00_1815
																																																																																						=
																																																																																						BgL_proc1z00_26976;
																																																																																					BgL_testz00_1814
																																																																																						=
																																																																																						BgL_testz00_26975;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1818;
																																																																																				}
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_26974);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_26982;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_26982);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_26986;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_26986);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_26990;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_26990);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26994;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26994);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_26998;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_25162
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_26998);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd245667zd2_7799;
																																																																				BgL_cdrzd245667zd2_7799
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd245674zd2_7800;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_13545;
																																																																						BgL_pairz00_13545
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd245674zd2_7800
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_13545);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd245681zd2_7801;
																																																																						BgL_cdrzd245681zd2_7801
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd245674zd2_7800));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd245687zd2_7802;
																																																																							obj_t
																																																																								BgL_cdrzd245688zd2_7803;
																																																																							BgL_carzd245687zd2_7802
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd245681zd2_7801));
																																																																							BgL_cdrzd245688zd2_7803
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd245681zd2_7801));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245687zd2_7802))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd245688zd2_7803))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd245695zd2_7806;
																																																																											BgL_carzd245695zd2_7806
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd245688zd2_7803);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245695zd2_7806))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd245688zd2_7803)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245667zd2_7799))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg6119z00_7811;
																																																																																	BgL_arg6119z00_7811
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd245674zd2_7800));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_27025;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_27029;
																																																																																			obj_t
																																																																																				BgL_proc2z00_27028;
																																																																																			obj_t
																																																																																				BgL_proc1z00_27027;
																																																																																			obj_t
																																																																																				BgL_testz00_27026;
																																																																																			BgL_testz00_27026
																																																																																				=
																																																																																				BgL_arg6119z00_7811;
																																																																																			BgL_proc1z00_27027
																																																																																				=
																																																																																				BgL_carzd245687zd2_7802;
																																																																																			BgL_proc2z00_27028
																																																																																				=
																																																																																				BgL_carzd245695zd2_7806;
																																																																																			BgL_argsz00_27029
																																																																																				=
																																																																																				BgL_cdrzd245667zd2_7799;
																																																																																			BgL_argsz00_1817
																																																																																				=
																																																																																				BgL_argsz00_27029;
																																																																																			BgL_proc2z00_1816
																																																																																				=
																																																																																				BgL_proc2z00_27028;
																																																																																			BgL_proc1z00_1815
																																																																																				=
																																																																																				BgL_proc1z00_27027;
																																																																																			BgL_testz00_1814
																																																																																				=
																																																																																				BgL_testz00_27026;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1818;
																																																																																		}
																																																																																		BgL_auxz00_25162
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_27025);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_27033;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_27033);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_27037;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_27037);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_27041;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_27041);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_27045;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27045);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27049;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27049);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_27053;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																			BgL_auxz00_25162
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_27053);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd246088zd2_7825;
																																																				BgL_cdrzd246088zd2_7825
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9866z00_27057;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6147z00_7842;
																																																						BgL_arg6147z00_7842
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9866z00_27057
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg6147z00_7842));
																																																					}
																																																					if (BgL_test9866z00_27057)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg6135z00_7828;
																																																							obj_t
																																																								BgL_arg6136z00_7829;
																																																							BgL_arg6135z00_7828
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd246088zd2_7825));
																																																							BgL_arg6136z00_7829
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd246088zd2_7825));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_27066;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_27068;
																																																									obj_t
																																																										BgL_bindingsz00_27067;
																																																									BgL_bindingsz00_27067
																																																										=
																																																										BgL_arg6135z00_7828;
																																																									BgL_exprz00_27068
																																																										=
																																																										BgL_arg6136z00_7829;
																																																									BgL_exprz00_1797
																																																										=
																																																										BgL_exprz00_27068;
																																																									BgL_bindingsz00_1796
																																																										=
																																																										BgL_bindingsz00_27067;
																																																									goto
																																																										BgL_tagzd2383zd2_1798;
																																																								}
																																																								BgL_auxz00_25162
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_27066);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9867z00_27070;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6146z00_7841;
																																																								BgL_arg6146z00_7841
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9867z00_27070
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg6146z00_7841));
																																																							}
																																																							if (BgL_test9867z00_27070)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_27075;
																																																									goto
																																																										BgL_tagzd2385zd2_1800;
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_27075);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd246154zd2_7832;
																																																									BgL_carzd246154zd2_7832
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd246159zd2_7833;
																																																										BgL_cdrzd246159zd2_7833
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd246154zd2_7832));
																																																										if ((CAR(((obj_t) BgL_carzd246154zd2_7832)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg6141z00_7836;
																																																												obj_t
																																																													BgL_arg6142z00_7837;
																																																												obj_t
																																																													BgL_arg6143z00_7838;
																																																												BgL_arg6141z00_7836
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd246159zd2_7833));
																																																												BgL_arg6142z00_7837
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd246159zd2_7833));
																																																												BgL_arg6143z00_7838
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_27092;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_27095;
																																																														obj_t
																																																															BgL_bodyz00_27094;
																																																														obj_t
																																																															BgL_varsz00_27093;
																																																														BgL_varsz00_27093
																																																															=
																																																															BgL_arg6141z00_7836;
																																																														BgL_bodyz00_27094
																																																															=
																																																															BgL_arg6142z00_7837;
																																																														BgL_argsz00_27095
																																																															=
																																																															BgL_arg6143z00_7838;
																																																														BgL_argsz00_1807
																																																															=
																																																															BgL_argsz00_27095;
																																																														BgL_bodyz00_1806
																																																															=
																																																															BgL_bodyz00_27094;
																																																														BgL_varsz00_1805
																																																															=
																																																															BgL_varsz00_27093;
																																																														goto
																																																															BgL_tagzd2387zd2_1808;
																																																													}
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_27092);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1842;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_27099;
																																																														goto
																																																															BgL_tagzd2405zd2_1843;
																																																														BgL_auxz00_25162
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_27099);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd246270zd2_7843;
																																																		BgL_cdrzd246270zd2_7843
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test9870z00_27103;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6156z00_7852;
																																																				BgL_arg6156z00_7852
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test9870z00_27103
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg6156z00_7852));
																																																			}
																																																			if (BgL_test9870z00_27103)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg6150z00_7846;
																																																					obj_t
																																																						BgL_arg6151z00_7847;
																																																					BgL_arg6150z00_7846
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd246270zd2_7843));
																																																					BgL_arg6151z00_7847
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd246270zd2_7843));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_27112;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_27114;
																																																							obj_t
																																																								BgL_bindingsz00_27113;
																																																							BgL_bindingsz00_27113
																																																								=
																																																								BgL_arg6150z00_7846;
																																																							BgL_exprz00_27114
																																																								=
																																																								BgL_arg6151z00_7847;
																																																							BgL_exprz00_1797
																																																								=
																																																								BgL_exprz00_27114;
																																																							BgL_bindingsz00_1796
																																																								=
																																																								BgL_bindingsz00_27113;
																																																							goto
																																																								BgL_tagzd2383zd2_1798;
																																																						}
																																																						BgL_auxz00_25162
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_27112);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9871z00_27116;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6155z00_7851;
																																																						BgL_arg6155z00_7851
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9871z00_27116
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg6155z00_7851));
																																																					}
																																																					if (BgL_test9871z00_27116)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_27121;
																																																							goto
																																																								BgL_tagzd2385zd2_1800;
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_27121);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2404zd2_1842;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_27125;
																																																									goto
																																																										BgL_tagzd2405zd2_1843;
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_27125);
																																																								}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd244835zd2_7582)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd244837zd2_7584;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((BgL_carzd244835zd2_7582 == CNST_TABLE_REF(((long) 19))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd244837zd2_7584;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((BgL_carzd244835zd2_7582 == CNST_TABLE_REF(((long) 20))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd244837zd2_7584;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd244835zd2_7582)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd244837zd2_7584;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd246442zd2_7587;
																																																								BgL_cdrzd246442zd2_7587
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9877z00_27141;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg6056z00_7704;
																																																										BgL_arg6056z00_7704
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9877z00_27141
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg6056z00_7704));
																																																									}
																																																									if (BgL_test9877z00_27141)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg5984z00_7590;
																																																											obj_t
																																																												BgL_arg5985z00_7591;
																																																											BgL_arg5984z00_7590
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd246442zd2_7587));
																																																											BgL_arg5985z00_7591
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd246442zd2_7587));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_27150;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_27152;
																																																													obj_t
																																																														BgL_bindingsz00_27151;
																																																													BgL_bindingsz00_27151
																																																														=
																																																														BgL_arg5984z00_7590;
																																																													BgL_exprz00_27152
																																																														=
																																																														BgL_arg5985z00_7591;
																																																													BgL_exprz00_1797
																																																														=
																																																														BgL_exprz00_27152;
																																																													BgL_bindingsz00_1796
																																																														=
																																																														BgL_bindingsz00_27151;
																																																													goto
																																																														BgL_tagzd2383zd2_1798;
																																																												}
																																																												BgL_auxz00_25162
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_27150);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test9878z00_27154;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg6055z00_7703;
																																																												BgL_arg6055z00_7703
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test9878z00_27154
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg6055z00_7703));
																																																											}
																																																											if (BgL_test9878z00_27154)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_27159;
																																																													goto
																																																														BgL_tagzd2385zd2_1800;
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_27159);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd246508zd2_7594;
																																																													BgL_carzd246508zd2_7594
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd246513zd2_7595;
																																																														BgL_cdrzd246513zd2_7595
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd246508zd2_7594));
																																																														if ((CAR(((obj_t) BgL_carzd246508zd2_7594)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd246513zd2_7595))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg5991z00_7599;
																																																																		obj_t
																																																																			BgL_arg5992z00_7600;
																																																																		obj_t
																																																																			BgL_arg5993z00_7601;
																																																																		BgL_arg5991z00_7599
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd246513zd2_7595);
																																																																		BgL_arg5992z00_7600
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd246513zd2_7595);
																																																																		BgL_arg5993z00_7601
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_27176;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_27179;
																																																																				obj_t
																																																																					BgL_bodyz00_27178;
																																																																				obj_t
																																																																					BgL_varsz00_27177;
																																																																				BgL_varsz00_27177
																																																																					=
																																																																					BgL_arg5991z00_7599;
																																																																				BgL_bodyz00_27178
																																																																					=
																																																																					BgL_arg5992z00_7600;
																																																																				BgL_argsz00_27179
																																																																					=
																																																																					BgL_arg5993z00_7601;
																																																																				BgL_argsz00_1807
																																																																					=
																																																																					BgL_argsz00_27179;
																																																																				BgL_bodyz00_1806
																																																																					=
																																																																					BgL_bodyz00_27178;
																																																																				BgL_varsz00_1805
																																																																					=
																																																																					BgL_varsz00_27177;
																																																																				goto
																																																																					BgL_tagzd2387zd2_1808;
																																																																			}
																																																																			BgL_auxz00_25162
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_27176);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_27183;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_25162
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_27183);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd246620zd2_7604;
																																																																BgL_cdrzd246620zd2_7604
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd246625zd2_7605;
																																																																	BgL_cdrzd246625zd2_7605
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd246508zd2_7594));
																																																																	if ((CAR(((obj_t) BgL_carzd246508zd2_7594)) == CNST_TABLE_REF(((long) 1))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd246625zd2_7605))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd246630zd2_7609;
																																																																					BgL_cdrzd246630zd2_7609
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd246625zd2_7605);
																																																																					if (PAIRP(BgL_cdrzd246630zd2_7609))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd246634zd2_7611;
																																																																							obj_t
																																																																								BgL_cdrzd246635zd2_7612;
																																																																							BgL_carzd246634zd2_7611
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd246630zd2_7609);
																																																																							BgL_cdrzd246635zd2_7612
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd246630zd2_7609);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246634zd2_7611))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd246635zd2_7612))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd246640zd2_7615;
																																																																											BgL_carzd246640zd2_7615
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd246635zd2_7612);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246640zd2_7615))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd246635zd2_7612)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test9889z00_27211;
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1461z00_7648;
																																																																																BgL_l1461z00_7648
																																																																																	=
																																																																																	BgL_cdrzd246620zd2_7604;
																																																																															BgL_zc3z04anonymousza36019ze3z87_7649:
																																																																																if (NULLP(BgL_l1461z00_7648))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test9889z00_27211
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		bool_t
																																																																																			BgL_test9891z00_27214;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test9892z00_27215;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_tmpz00_27216;
																																																																																				BgL_tmpz00_27216
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_l1461z00_7648));
																																																																																				BgL_test9892z00_27215
																																																																																					=
																																																																																					PAIRP
																																																																																					(BgL_tmpz00_27216);
																																																																																			}
																																																																																			if (BgL_test9892z00_27215)
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test9891z00_27214
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test9891z00_27214
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						1);
																																																																																				}
																																																																																		}
																																																																																		if (BgL_test9891z00_27214)
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1461z00_27220;
																																																																																				BgL_l1461z00_27220
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_l1461z00_7648));
																																																																																				BgL_l1461z00_7648
																																																																																					=
																																																																																					BgL_l1461z00_27220;
																																																																																				goto
																																																																																					BgL_zc3z04anonymousza36019ze3z87_7649;
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test9889z00_27211
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																	}
																																																																															}
																																																																															if (BgL_test9889z00_27211)
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg6009z00_7631;
																																																																																	BgL_arg6009z00_7631
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd246625zd2_7605);
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_27224;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_27228;
																																																																																			obj_t
																																																																																				BgL_proc2z00_27227;
																																																																																			obj_t
																																																																																				BgL_proc1z00_27226;
																																																																																			obj_t
																																																																																				BgL_testz00_27225;
																																																																																			BgL_testz00_27225
																																																																																				=
																																																																																				BgL_arg6009z00_7631;
																																																																																			BgL_proc1z00_27226
																																																																																				=
																																																																																				BgL_carzd246634zd2_7611;
																																																																																			BgL_proc2z00_27227
																																																																																				=
																																																																																				BgL_carzd246640zd2_7615;
																																																																																			BgL_argsz00_27228
																																																																																				=
																																																																																				BgL_cdrzd246620zd2_7604;
																																																																																			BgL_argsz00_1812
																																																																																				=
																																																																																				BgL_argsz00_27228;
																																																																																			BgL_proc2z00_1811
																																																																																				=
																																																																																				BgL_proc2z00_27227;
																																																																																			BgL_proc1z00_1810
																																																																																				=
																																																																																				BgL_proc1z00_27226;
																																																																																			BgL_testz00_1809
																																																																																				=
																																																																																				BgL_testz00_27225;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1813;
																																																																																		}
																																																																																		BgL_auxz00_25162
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_27224);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd246665zd2_7632;
																																																																																	BgL_cdrzd246665zd2_7632
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd246673zd2_7633;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_13593;
																																																																																			BgL_pairz00_13593
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd246673zd2_7633
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_13593);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd246681zd2_7634;
																																																																																			BgL_cdrzd246681zd2_7634
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd246673zd2_7633));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd246688zd2_7635;
																																																																																				BgL_carzd246688zd2_7635
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd246681zd2_7634));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246688zd2_7635))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd246697zd2_7637;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_pairz00_13597;
																																																																																							BgL_pairz00_13597
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd246681zd2_7634));
																																																																																							BgL_carzd246697zd2_7637
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_pairz00_13597);
																																																																																						}
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246697zd2_7637))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd246665zd2_7632))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg6013z00_7640;
																																																																																										BgL_arg6013z00_7640
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd246673zd2_7633));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_27250;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_27254;
																																																																																												obj_t
																																																																																													BgL_proc2z00_27253;
																																																																																												obj_t
																																																																																													BgL_proc1z00_27252;
																																																																																												obj_t
																																																																																													BgL_testz00_27251;
																																																																																												BgL_testz00_27251
																																																																																													=
																																																																																													BgL_arg6013z00_7640;
																																																																																												BgL_proc1z00_27252
																																																																																													=
																																																																																													BgL_carzd246688zd2_7635;
																																																																																												BgL_proc2z00_27253
																																																																																													=
																																																																																													BgL_carzd246697zd2_7637;
																																																																																												BgL_argsz00_27254
																																																																																													=
																																																																																													BgL_cdrzd246665zd2_7632;
																																																																																												BgL_argsz00_1817
																																																																																													=
																																																																																													BgL_argsz00_27254;
																																																																																												BgL_proc2z00_1816
																																																																																													=
																																																																																													BgL_proc2z00_27253;
																																																																																												BgL_proc1z00_1815
																																																																																													=
																																																																																													BgL_proc1z00_27252;
																																																																																												BgL_testz00_1814
																																																																																													=
																																																																																													BgL_testz00_27251;
																																																																																												goto
																																																																																													BgL_tagzd2389zd2_1818;
																																																																																											}
																																																																																											BgL_auxz00_25162
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_27250);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1842;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_27258;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1843;
																																																																																												BgL_auxz00_25162
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_27258);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_27262;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_25162
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_27262);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_27266;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_25162
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_27266);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_27270;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_27270);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd246975zd2_7659;
																																																																													BgL_cdrzd246975zd2_7659
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd246982zd2_7660;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_13601;
																																																																															BgL_pairz00_13601
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd246982zd2_7660
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_13601);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd246989zd2_7661;
																																																																															BgL_cdrzd246989zd2_7661
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd246982zd2_7660));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd246995zd2_7662;
																																																																																obj_t
																																																																																	BgL_cdrzd246996zd2_7663;
																																																																																BgL_carzd246995zd2_7662
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd246989zd2_7661));
																																																																																BgL_cdrzd246996zd2_7663
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd246989zd2_7661));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246995zd2_7662))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd247003zd2_7665;
																																																																																		BgL_carzd247003zd2_7665
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd246996zd2_7663));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247003zd2_7665))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd246996zd2_7663))))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd246975zd2_7659))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg6028z00_7670;
																																																																																								BgL_arg6028z00_7670
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd246982zd2_7660));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_27297;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_27301;
																																																																																										obj_t
																																																																																											BgL_proc2z00_27300;
																																																																																										obj_t
																																																																																											BgL_proc1z00_27299;
																																																																																										obj_t
																																																																																											BgL_testz00_27298;
																																																																																										BgL_testz00_27298
																																																																																											=
																																																																																											BgL_arg6028z00_7670;
																																																																																										BgL_proc1z00_27299
																																																																																											=
																																																																																											BgL_carzd246995zd2_7662;
																																																																																										BgL_proc2z00_27300
																																																																																											=
																																																																																											BgL_carzd247003zd2_7665;
																																																																																										BgL_argsz00_27301
																																																																																											=
																																																																																											BgL_cdrzd246975zd2_7659;
																																																																																										BgL_argsz00_1817
																																																																																											=
																																																																																											BgL_argsz00_27301;
																																																																																										BgL_proc2z00_1816
																																																																																											=
																																																																																											BgL_proc2z00_27300;
																																																																																										BgL_proc1z00_1815
																																																																																											=
																																																																																											BgL_proc1z00_27299;
																																																																																										BgL_testz00_1814
																																																																																											=
																																																																																											BgL_testz00_27298;
																																																																																										goto
																																																																																											BgL_tagzd2389zd2_1818;
																																																																																									}
																																																																																									BgL_auxz00_25162
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_27297);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_27305;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_25162
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_27305);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_27309;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_25162
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_27309);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_27313;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_27313);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_27317;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_27317);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_27321;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27321);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd247336zd2_7678;
																																																																									BgL_cdrzd247336zd2_7678
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd247342zd2_7679;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_13610;
																																																																											BgL_pairz00_13610
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd247342zd2_7679
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_13610);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd247348zd2_7680;
																																																																											BgL_cdrzd247348zd2_7680
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd247342zd2_7679));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd247353zd2_7681;
																																																																												obj_t
																																																																													BgL_cdrzd247354zd2_7682;
																																																																												BgL_carzd247353zd2_7681
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd247348zd2_7680));
																																																																												BgL_cdrzd247354zd2_7682
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd247348zd2_7680));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247353zd2_7681))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (PAIRP(BgL_cdrzd247354zd2_7682))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd247359zd2_7685;
																																																																																BgL_carzd247359zd2_7685
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd247354zd2_7682);
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247359zd2_7685))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (NULLP(CDR(BgL_cdrzd247354zd2_7682)))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd247336zd2_7678))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg6042z00_7690;
																																																																																						BgL_arg6042z00_7690
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd247342zd2_7679));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_27348;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_27352;
																																																																																								obj_t
																																																																																									BgL_proc2z00_27351;
																																																																																								obj_t
																																																																																									BgL_proc1z00_27350;
																																																																																								obj_t
																																																																																									BgL_testz00_27349;
																																																																																								BgL_testz00_27349
																																																																																									=
																																																																																									BgL_arg6042z00_7690;
																																																																																								BgL_proc1z00_27350
																																																																																									=
																																																																																									BgL_carzd247353zd2_7681;
																																																																																								BgL_proc2z00_27351
																																																																																									=
																																																																																									BgL_carzd247359zd2_7685;
																																																																																								BgL_argsz00_27352
																																																																																									=
																																																																																									BgL_cdrzd247336zd2_7678;
																																																																																								BgL_argsz00_1817
																																																																																									=
																																																																																									BgL_argsz00_27352;
																																																																																								BgL_proc2z00_1816
																																																																																									=
																																																																																									BgL_proc2z00_27351;
																																																																																								BgL_proc1z00_1815
																																																																																									=
																																																																																									BgL_proc1z00_27350;
																																																																																								BgL_testz00_1814
																																																																																									=
																																																																																									BgL_testz00_27349;
																																																																																								goto
																																																																																									BgL_tagzd2389zd2_1818;
																																																																																							}
																																																																																							BgL_auxz00_25162
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_27348);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_27356;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_25162
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_27356);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_27360;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_27360);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_27364;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_27364);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_27368;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																		BgL_auxz00_25162
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_27368);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_27372;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																																BgL_auxz00_25162
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_27372);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27376;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27376);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_27380;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_27380);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_27384;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_27384);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((BgL_carzd244832zd2_7580 == CNST_TABLE_REF(((long) 18))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg6157z00_7855;
																																															obj_t
																																																BgL_arg6158z00_7856;
																																															BgL_arg6157z00_7855
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd244807zd2_7575));
																																															BgL_arg6158z00_7856
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd244807zd2_7575));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_27393;
																																																{
																																																	obj_t
																																																		BgL_exprz00_27395;
																																																	obj_t
																																																		BgL_bindingsz00_27394;
																																																	BgL_bindingsz00_27394
																																																		=
																																																		BgL_arg6157z00_7855;
																																																	BgL_exprz00_27395
																																																		=
																																																		BgL_arg6158z00_7856;
																																																	BgL_exprz00_1797
																																																		=
																																																		BgL_exprz00_27395;
																																																	BgL_bindingsz00_1796
																																																		=
																																																		BgL_bindingsz00_27394;
																																																	goto
																																																		BgL_tagzd2383zd2_1798;
																																																}
																																																BgL_auxz00_25162
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_27393);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd244832zd2_7580)))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg6160z00_7858;
																																																	obj_t
																																																		BgL_arg6161z00_7859;
																																																	BgL_arg6160z00_7858
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd244807zd2_7575));
																																																	BgL_arg6161z00_7859
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd244807zd2_7575));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_27404;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_27406;
																																																			obj_t
																																																				BgL_bindingsz00_27405;
																																																			BgL_bindingsz00_27405
																																																				=
																																																				BgL_arg6160z00_7858;
																																																			BgL_exprz00_27406
																																																				=
																																																				BgL_arg6161z00_7859;
																																																			BgL_exprz00_1797
																																																				=
																																																				BgL_exprz00_27406;
																																																			BgL_bindingsz00_1796
																																																				=
																																																				BgL_bindingsz00_27405;
																																																			goto
																																																				BgL_tagzd2383zd2_1798;
																																																		}
																																																		BgL_auxz00_25162
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_27404);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((BgL_carzd244832zd2_7580 == CNST_TABLE_REF(((long) 19))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg6162z00_7860;
																																																			obj_t
																																																				BgL_arg6163z00_7861;
																																																			BgL_arg6162z00_7860
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd244807zd2_7575));
																																																			BgL_arg6163z00_7861
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd244807zd2_7575));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_27415;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_27417;
																																																					obj_t
																																																						BgL_bindingsz00_27416;
																																																					BgL_bindingsz00_27416
																																																						=
																																																						BgL_arg6162z00_7860;
																																																					BgL_exprz00_27417
																																																						=
																																																						BgL_arg6163z00_7861;
																																																					BgL_exprz00_1797
																																																						=
																																																						BgL_exprz00_27417;
																																																					BgL_bindingsz00_1796
																																																						=
																																																						BgL_bindingsz00_27416;
																																																					goto
																																																						BgL_tagzd2383zd2_1798;
																																																				}
																																																				BgL_auxz00_25162
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_27415);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_27424;
																																																					goto
																																																						BgL_tagzd2384zd2_1799;
																																																					BgL_auxz00_25162
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_27424);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd247934zd2_7864;
																																																					BgL_carzd247934zd2_7864
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((BgL_carzd247934zd2_7864 == CNST_TABLE_REF(((long) 20))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_27431;
																																																							goto
																																																								BgL_tagzd2385zd2_1800;
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_27431);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd247934zd2_7864)))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_27436;
																																																									goto
																																																										BgL_tagzd2385zd2_1800;
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_27436);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_27443;
																																																											goto
																																																												BgL_tagzd2390zd2_1819;
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_27443);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_27450;
																																																													goto
																																																														BgL_tagzd2391zd2_1820;
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_27450);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd248014zd2_7870;
																																																													BgL_cdrzd248014zd2_7870
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg6173z00_7873;
																																																															obj_t
																																																																BgL_arg6174z00_7874;
																																																															BgL_arg6173z00_7873
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd248014zd2_7870));
																																																															BgL_arg6174z00_7874
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd248014zd2_7870));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_27463;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_27465;
																																																																	obj_t
																																																																		BgL_effectz00_27464;
																																																																	BgL_effectz00_27464
																																																																		=
																																																																		BgL_arg6173z00_7873;
																																																																	BgL_restz00_27465
																																																																		=
																																																																		BgL_arg6174z00_7874;
																																																																	BgL_restz00_1822
																																																																		=
																																																																		BgL_restz00_27465;
																																																																	BgL_effectz00_1821
																																																																		=
																																																																		BgL_effectz00_27464;
																																																																	goto
																																																																		BgL_tagzd2392zd2_1823;
																																																																}
																																																																BgL_auxz00_25162
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_27463);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_27472;
																																																																	goto
																																																																		BgL_tagzd2393zd2_1824;
																																																																	BgL_auxz00_25162
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_27472);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_27479;
																																																																			goto
																																																																				BgL_tagzd2394zd2_1825;
																																																																			BgL_auxz00_25162
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_27479);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg6181z00_7882;
																																																																					obj_t
																																																																						BgL_arg6182z00_7883;
																																																																					BgL_arg6181z00_7882
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd248014zd2_7870));
																																																																					BgL_arg6182z00_7883
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd248014zd2_7870));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27490;
																																																																						{
																																																																							obj_t
																																																																								BgL_restz00_27492;
																																																																							obj_t
																																																																								BgL_effectz00_27491;
																																																																							BgL_effectz00_27491
																																																																								=
																																																																								BgL_arg6181z00_7882;
																																																																							BgL_restz00_27492
																																																																								=
																																																																								BgL_arg6182z00_7883;
																																																																							BgL_restz00_1827
																																																																								=
																																																																								BgL_restz00_27492;
																																																																							BgL_effectz00_1826
																																																																								=
																																																																								BgL_effectz00_27491;
																																																																							goto
																																																																								BgL_tagzd2395zd2_1828;
																																																																						}
																																																																						BgL_auxz00_25162
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27490);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_27499;
																																																																							goto
																																																																								BgL_tagzd2396zd2_1829;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_27499);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27506;
																																																																									goto
																																																																										BgL_tagzd2397zd2_1830;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27506);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																										{
																																																																											BgL_letzd2funzd2_bglt
																																																																												BgL_auxz00_27513;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1831;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27513);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																												{
																																																																													BgL_jumpzd2exzd2itz00_bglt
																																																																														BgL_auxz00_27520;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1832;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27520);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd248091zd2_7892;
																																																																													BgL_cdrzd248091zd2_7892
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6193z00_7895;
																																																																															obj_t
																																																																																BgL_arg6194z00_7896;
																																																																															BgL_arg6193z00_7895
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd248091zd2_7892));
																																																																															BgL_arg6194z00_7896
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd248091zd2_7892));
																																																																															{	/* Ast/sexp.scm 564 */
																																																																																obj_t
																																																																																	BgL_arg7616z00_13647;
																																																																																BgL_arg7616z00_13647
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_25162
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg6193z00_7895,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg6194z00_7896, BgL_stackz00_22, BgL_arg7616z00_13647, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_27539;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_27539);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															obj_t
																																BgL_carzd248116zd2_7914;
																															BgL_carzd248116zd2_7914
																																=
																																CAR(((obj_t)
																																	BgL_expz00_21));
																															if (
																																(BgL_carzd248116zd2_7914
																																	==
																																	CNST_TABLE_REF
																																	(((long) 1))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_27546;
																																	goto
																																		BgL_tagzd2377zd2_1784;
																																	BgL_auxz00_25162
																																		=
																																		((obj_t)
																																		BgL_auxz00_27546);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(BgL_carzd248116zd2_7914
																																			==
																																			BGl_za2ifza2z00zzast_sexpz00))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_27550;
																																			goto
																																				BgL_tagzd2377zd2_1784;
																																			BgL_auxz00_25162
																																				=
																																				((obj_t)
																																				BgL_auxz00_27550);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_cdrzd248138zd2_7916;
																																			BgL_cdrzd248138zd2_7916
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_expz00_21))
																																					==
																																					CNST_TABLE_REF
																																					(((long) 7))))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd248141zd2_7919;
																																					obj_t
																																						BgL_cdrzd248142zd2_7920;
																																					BgL_carzd248141zd2_7919
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd248138zd2_7916));
																																					BgL_cdrzd248142zd2_7920
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd248138zd2_7916));
																																					if (PAIRP(BgL_carzd248141zd2_7919))
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(BgL_carzd248141zd2_7919) == CNST_TABLE_REF(((long) 14))))
																																								{	/* Ast/sexp.scm 119 */
																																									if (NULLP(CDR(((obj_t) BgL_cdrzd248142zd2_7920))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg6220z00_7926;
																																											obj_t
																																												BgL_arg6221z00_7927;
																																											BgL_arg6220z00_7926
																																												=
																																												CDR
																																												(BgL_carzd248141zd2_7919);
																																											BgL_arg6221z00_7927
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd248142zd2_7920));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_27576;
																																												{
																																													obj_t
																																														BgL_valz00_27578;
																																													obj_t
																																														BgL_lz00_27577;
																																													BgL_lz00_27577
																																														=
																																														BgL_arg6220z00_7926;
																																													BgL_valz00_27578
																																														=
																																														BgL_arg6221z00_7927;
																																													BgL_valz00_1786
																																														=
																																														BgL_valz00_27578;
																																													BgL_lz00_1785
																																														=
																																														BgL_lz00_27577;
																																													goto
																																														BgL_tagzd2378zd2_1787;
																																												}
																																												BgL_auxz00_25162
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_27576);
																																											}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_27580;
																																											goto
																																												BgL_tagzd2379zd2_1788;
																																											BgL_auxz00_25162
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_27580);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_27582;
																																									goto
																																										BgL_tagzd2379zd2_1788;
																																									BgL_auxz00_25162
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_27582);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_27584;
																																							goto
																																								BgL_tagzd2379zd2_1788;
																																							BgL_auxz00_25162
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_27584);
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_27591;
																																							goto
																																								BgL_tagzd2380zd2_1789;
																																							BgL_auxz00_25162
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_27591);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg6228z00_7935;
																																									obj_t
																																										BgL_arg6229z00_7936;
																																									BgL_arg6228z00_7935
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd248138zd2_7916));
																																									BgL_arg6229z00_7936
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd248138zd2_7916));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_27602;
																																										{
																																											obj_t
																																												BgL_exprz00_27604;
																																											obj_t
																																												BgL_bindingsz00_27603;
																																											BgL_bindingsz00_27603
																																												=
																																												BgL_arg6228z00_7935;
																																											BgL_exprz00_27604
																																												=
																																												BgL_arg6229z00_7936;
																																											BgL_exprz00_1791
																																												=
																																												BgL_exprz00_27604;
																																											BgL_bindingsz00_1790
																																												=
																																												BgL_bindingsz00_27603;
																																											goto
																																												BgL_tagzd2381zd2_1792;
																																										}
																																										BgL_auxz00_25162
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_27602);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd248266zd2_7937;
																																									BgL_carzd248266zd2_7937
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if (PAIRP(BgL_carzd248266zd2_7937))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd248269zd2_7939;
																																											obj_t
																																												BgL_cdrzd248270zd2_7940;
																																											BgL_carzd248269zd2_7939
																																												=
																																												CAR
																																												(BgL_carzd248266zd2_7937);
																																											BgL_cdrzd248270zd2_7940
																																												=
																																												CDR
																																												(BgL_carzd248266zd2_7937);
																																											{

																																												if ((BgL_carzd248269zd2_7939 == CNST_TABLE_REF(((long) 18))))
																																													{	/* Ast/sexp.scm 119 */
																																													BgL_kapzd248271zd2_7941:
																																														if (PAIRP(BgL_cdrzd248270zd2_7940))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd248274zd2_8063;
																																																BgL_cdrzd248274zd2_8063
																																																	=
																																																	CDR
																																																	(BgL_cdrzd248270zd2_7940);
																																																if (PAIRP(BgL_cdrzd248274zd2_8063))
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (NULLP(CDR(BgL_cdrzd248274zd2_8063)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6312z00_8067;
																																																				obj_t
																																																					BgL_arg6313z00_8068;
																																																				BgL_arg6312z00_8067
																																																					=
																																																					CAR
																																																					(BgL_cdrzd248274zd2_8063);
																																																				BgL_arg6313z00_8068
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_27626;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_27628;
																																																						obj_t
																																																							BgL_bodyz00_27627;
																																																						BgL_bodyz00_27627
																																																							=
																																																							BgL_arg6312z00_8067;
																																																						BgL_argsz00_27628
																																																							=
																																																							BgL_arg6313z00_8068;
																																																						BgL_argsz00_1794
																																																							=
																																																							BgL_argsz00_27628;
																																																						BgL_bodyz00_1793
																																																							=
																																																							BgL_bodyz00_27627;
																																																						goto
																																																							BgL_tagzd2382zd2_1795;
																																																					}
																																																					BgL_auxz00_25162
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_27626);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd248298zd2_8069;
																																																				BgL_cdrzd248298zd2_8069
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9953z00_27632;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6382z00_8180;
																																																						BgL_arg6382z00_8180
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9953z00_27632
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg6382z00_8180));
																																																					}
																																																					if (BgL_test9953z00_27632)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg6316z00_8072;
																																																							obj_t
																																																								BgL_arg6317z00_8073;
																																																							BgL_arg6316z00_8072
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd248298zd2_8069));
																																																							BgL_arg6317z00_8073
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd248298zd2_8069));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_27641;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_27643;
																																																									obj_t
																																																										BgL_bindingsz00_27642;
																																																									BgL_bindingsz00_27642
																																																										=
																																																										BgL_arg6316z00_8072;
																																																									BgL_exprz00_27643
																																																										=
																																																										BgL_arg6317z00_8073;
																																																									BgL_exprz00_1797
																																																										=
																																																										BgL_exprz00_27643;
																																																									BgL_bindingsz00_1796
																																																										=
																																																										BgL_bindingsz00_27642;
																																																									goto
																																																										BgL_tagzd2383zd2_1798;
																																																								}
																																																								BgL_auxz00_25162
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_27641);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9954z00_27645;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6381z00_8179;
																																																								BgL_arg6381z00_8179
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9954z00_27645
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg6381z00_8179));
																																																							}
																																																							if (BgL_test9954z00_27645)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_27650;
																																																									goto
																																																										BgL_tagzd2385zd2_1800;
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_27650);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd248365zd2_8076;
																																																									BgL_carzd248365zd2_8076
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd248370zd2_8077;
																																																										BgL_cdrzd248370zd2_8077
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd248365zd2_8076));
																																																										if ((CAR(((obj_t) BgL_carzd248365zd2_8076)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg6322z00_8080;
																																																												obj_t
																																																													BgL_arg6323z00_8081;
																																																												obj_t
																																																													BgL_arg6324z00_8082;
																																																												BgL_arg6322z00_8080
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd248370zd2_8077));
																																																												BgL_arg6323z00_8081
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd248370zd2_8077));
																																																												BgL_arg6324z00_8082
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_27667;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_27670;
																																																														obj_t
																																																															BgL_bodyz00_27669;
																																																														obj_t
																																																															BgL_varsz00_27668;
																																																														BgL_varsz00_27668
																																																															=
																																																															BgL_arg6322z00_8080;
																																																														BgL_bodyz00_27669
																																																															=
																																																															BgL_arg6323z00_8081;
																																																														BgL_argsz00_27670
																																																															=
																																																															BgL_arg6324z00_8082;
																																																														BgL_argsz00_1807
																																																															=
																																																															BgL_argsz00_27670;
																																																														BgL_bodyz00_1806
																																																															=
																																																															BgL_bodyz00_27669;
																																																														BgL_varsz00_1805
																																																															=
																																																															BgL_varsz00_27668;
																																																														goto
																																																															BgL_tagzd2387zd2_1808;
																																																													}
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_27667);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd248393zd2_8084;
																																																												BgL_cdrzd248393zd2_8084
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd248399zd2_8085;
																																																													BgL_cdrzd248399zd2_8085
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd248365zd2_8076));
																																																													if ((CAR(((obj_t) BgL_carzd248365zd2_8076)) == CNST_TABLE_REF(((long) 1))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd248405zd2_8088;
																																																															BgL_cdrzd248405zd2_8088
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd248399zd2_8085));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd248410zd2_8089;
																																																																obj_t
																																																																	BgL_cdrzd248411zd2_8090;
																																																																BgL_carzd248410zd2_8089
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd248405zd2_8088));
																																																																BgL_cdrzd248411zd2_8090
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd248405zd2_8088));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248410zd2_8089))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd248411zd2_8090))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd248418zd2_8093;
																																																																				BgL_carzd248418zd2_8093
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd248411zd2_8090);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248418zd2_8093))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd248411zd2_8090)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test9961z00_27697;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1464z00_8126;
																																																																									BgL_l1464z00_8126
																																																																										=
																																																																										BgL_cdrzd248393zd2_8084;
																																																																								BgL_zc3z04anonymousza36347ze3z87_8127:
																																																																									if (NULLP(BgL_l1464z00_8126))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test9961z00_27697
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test9963z00_27700;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test9964z00_27701;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_tmpz00_27702;
																																																																													BgL_tmpz00_27702
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1464z00_8126));
																																																																													BgL_test9964z00_27701
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_27702);
																																																																												}
																																																																												if (BgL_test9964z00_27701)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test9963z00_27700
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test9963z00_27700
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_test9963z00_27700)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1464z00_27706;
																																																																													BgL_l1464z00_27706
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1464z00_8126));
																																																																													BgL_l1464z00_8126
																																																																														=
																																																																														BgL_l1464z00_27706;
																																																																													goto
																																																																														BgL_zc3z04anonymousza36347ze3z87_8127;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9961z00_27697
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_test9961z00_27697)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg6337z00_8109;
																																																																										BgL_arg6337z00_8109
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd248399zd2_8085));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27711;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_27715;
																																																																												obj_t
																																																																													BgL_proc2z00_27714;
																																																																												obj_t
																																																																													BgL_proc1z00_27713;
																																																																												obj_t
																																																																													BgL_testz00_27712;
																																																																												BgL_testz00_27712
																																																																													=
																																																																													BgL_arg6337z00_8109;
																																																																												BgL_proc1z00_27713
																																																																													=
																																																																													BgL_carzd248410zd2_8089;
																																																																												BgL_proc2z00_27714
																																																																													=
																																																																													BgL_carzd248418zd2_8093;
																																																																												BgL_argsz00_27715
																																																																													=
																																																																													BgL_cdrzd248393zd2_8084;
																																																																												BgL_argsz00_1812
																																																																													=
																																																																													BgL_argsz00_27715;
																																																																												BgL_proc2z00_1811
																																																																													=
																																																																													BgL_proc2z00_27714;
																																																																												BgL_proc1z00_1810
																																																																													=
																																																																													BgL_proc1z00_27713;
																																																																												BgL_testz00_1809
																																																																													=
																																																																													BgL_testz00_27712;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1813;
																																																																											}
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27711);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd248442zd2_8110;
																																																																										BgL_cdrzd248442zd2_8110
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd248449zd2_8111;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_13694;
																																																																												BgL_pairz00_13694
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd248449zd2_8111
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_13694);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd248456zd2_8112;
																																																																												BgL_cdrzd248456zd2_8112
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd248449zd2_8111));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd248462zd2_8113;
																																																																													BgL_carzd248462zd2_8113
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd248456zd2_8112));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248462zd2_8113))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd248469zd2_8115;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_13698;
																																																																																BgL_pairz00_13698
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd248456zd2_8112));
																																																																																BgL_carzd248469zd2_8115
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_13698);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248469zd2_8115))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248442zd2_8110))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg6341z00_8118;
																																																																																			BgL_arg6341z00_8118
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd248449zd2_8111));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_27737;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_27741;
																																																																																					obj_t
																																																																																						BgL_proc2z00_27740;
																																																																																					obj_t
																																																																																						BgL_proc1z00_27739;
																																																																																					obj_t
																																																																																						BgL_testz00_27738;
																																																																																					BgL_testz00_27738
																																																																																						=
																																																																																						BgL_arg6341z00_8118;
																																																																																					BgL_proc1z00_27739
																																																																																						=
																																																																																						BgL_carzd248462zd2_8113;
																																																																																					BgL_proc2z00_27740
																																																																																						=
																																																																																						BgL_carzd248469zd2_8115;
																																																																																					BgL_argsz00_27741
																																																																																						=
																																																																																						BgL_cdrzd248442zd2_8110;
																																																																																					BgL_argsz00_1817
																																																																																						=
																																																																																						BgL_argsz00_27741;
																																																																																					BgL_proc2z00_1816
																																																																																						=
																																																																																						BgL_proc2z00_27740;
																																																																																					BgL_proc1z00_1815
																																																																																						=
																																																																																						BgL_proc1z00_27739;
																																																																																					BgL_testz00_1814
																																																																																						=
																																																																																						BgL_testz00_27738;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1818;
																																																																																				}
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_27737);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_27745;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_27745);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_27749;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_27749);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_27753;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_27753);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_27757;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_25162
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_27757);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd248745zd2_8137;
																																																																						BgL_cdrzd248745zd2_8137
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd248751zd2_8138;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_13702;
																																																																								BgL_pairz00_13702
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd248751zd2_8138
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_13702);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd248757zd2_8139;
																																																																								BgL_cdrzd248757zd2_8139
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd248751zd2_8138));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd248762zd2_8140;
																																																																									obj_t
																																																																										BgL_cdrzd248763zd2_8141;
																																																																									BgL_carzd248762zd2_8140
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd248757zd2_8139));
																																																																									BgL_cdrzd248763zd2_8141
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd248757zd2_8139));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248762zd2_8140))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd248768zd2_8143;
																																																																											BgL_carzd248768zd2_8143
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd248763zd2_8141));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248768zd2_8143))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd248763zd2_8141))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248745zd2_8137))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg6356z00_8148;
																																																																																	BgL_arg6356z00_8148
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd248751zd2_8138));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_27784;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_27788;
																																																																																			obj_t
																																																																																				BgL_proc2z00_27787;
																																																																																			obj_t
																																																																																				BgL_proc1z00_27786;
																																																																																			obj_t
																																																																																				BgL_testz00_27785;
																																																																																			BgL_testz00_27785
																																																																																				=
																																																																																				BgL_arg6356z00_8148;
																																																																																			BgL_proc1z00_27786
																																																																																				=
																																																																																				BgL_carzd248762zd2_8140;
																																																																																			BgL_proc2z00_27787
																																																																																				=
																																																																																				BgL_carzd248768zd2_8143;
																																																																																			BgL_argsz00_27788
																																																																																				=
																																																																																				BgL_cdrzd248745zd2_8137;
																																																																																			BgL_argsz00_1817
																																																																																				=
																																																																																				BgL_argsz00_27788;
																																																																																			BgL_proc2z00_1816
																																																																																				=
																																																																																				BgL_proc2z00_27787;
																																																																																			BgL_proc1z00_1815
																																																																																				=
																																																																																				BgL_proc1z00_27786;
																																																																																			BgL_testz00_1814
																																																																																				=
																																																																																				BgL_testz00_27785;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1818;
																																																																																		}
																																																																																		BgL_auxz00_25162
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_27784);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_27792;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_27792);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_27796;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_27796);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_27800;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_27800);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_27804;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27804);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27808;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_25162
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27808);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd249101zd2_8156;
																																																																		BgL_cdrzd249101zd2_8156
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd249108zd2_8157;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_13711;
																																																																				BgL_pairz00_13711
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd249108zd2_8157
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_13711);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd249115zd2_8158;
																																																																				BgL_cdrzd249115zd2_8158
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd249108zd2_8157));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd249121zd2_8159;
																																																																					obj_t
																																																																						BgL_cdrzd249122zd2_8160;
																																																																					BgL_carzd249121zd2_8159
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd249115zd2_8158));
																																																																					BgL_cdrzd249122zd2_8160
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd249115zd2_8158));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249121zd2_8159))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd249122zd2_8160))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd249129zd2_8163;
																																																																									BgL_carzd249129zd2_8163
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd249122zd2_8160);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249129zd2_8163))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd249122zd2_8160)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd249101zd2_8156))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6370z00_8168;
																																																																															BgL_arg6370z00_8168
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd249108zd2_8157));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_27835;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_27839;
																																																																																	obj_t
																																																																																		BgL_proc2z00_27838;
																																																																																	obj_t
																																																																																		BgL_proc1z00_27837;
																																																																																	obj_t
																																																																																		BgL_testz00_27836;
																																																																																	BgL_testz00_27836
																																																																																		=
																																																																																		BgL_arg6370z00_8168;
																																																																																	BgL_proc1z00_27837
																																																																																		=
																																																																																		BgL_carzd249121zd2_8159;
																																																																																	BgL_proc2z00_27838
																																																																																		=
																																																																																		BgL_carzd249129zd2_8163;
																																																																																	BgL_argsz00_27839
																																																																																		=
																																																																																		BgL_cdrzd249101zd2_8156;
																																																																																	BgL_argsz00_1817
																																																																																		=
																																																																																		BgL_argsz00_27839;
																																																																																	BgL_proc2z00_1816
																																																																																		=
																																																																																		BgL_proc2z00_27838;
																																																																																	BgL_proc1z00_1815
																																																																																		=
																																																																																		BgL_proc1z00_27837;
																																																																																	BgL_testz00_1814
																																																																																		=
																																																																																		BgL_testz00_27836;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1818;
																																																																																}
																																																																																BgL_auxz00_25162
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_27835);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_27843;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_27843);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_27847;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_27847);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_27851;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27851);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27855;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27855);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27859;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27859);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_27863;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																	BgL_auxz00_25162
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_27863);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd249522zd2_8182;
																																																		BgL_cdrzd249522zd2_8182
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test9992z00_27867;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6398z00_8199;
																																																				BgL_arg6398z00_8199
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test9992z00_27867
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg6398z00_8199));
																																																			}
																																																			if (BgL_test9992z00_27867)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg6386z00_8185;
																																																					obj_t
																																																						BgL_arg6387z00_8186;
																																																					BgL_arg6386z00_8185
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd249522zd2_8182));
																																																					BgL_arg6387z00_8186
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd249522zd2_8182));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_27876;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_27878;
																																																							obj_t
																																																								BgL_bindingsz00_27877;
																																																							BgL_bindingsz00_27877
																																																								=
																																																								BgL_arg6386z00_8185;
																																																							BgL_exprz00_27878
																																																								=
																																																								BgL_arg6387z00_8186;
																																																							BgL_exprz00_1797
																																																								=
																																																								BgL_exprz00_27878;
																																																							BgL_bindingsz00_1796
																																																								=
																																																								BgL_bindingsz00_27877;
																																																							goto
																																																								BgL_tagzd2383zd2_1798;
																																																						}
																																																						BgL_auxz00_25162
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_27876);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9993z00_27880;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6397z00_8198;
																																																						BgL_arg6397z00_8198
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9993z00_27880
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg6397z00_8198));
																																																					}
																																																					if (BgL_test9993z00_27880)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_27885;
																																																							goto
																																																								BgL_tagzd2385zd2_1800;
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_27885);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd249588zd2_8189;
																																																							BgL_carzd249588zd2_8189
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd249593zd2_8190;
																																																								BgL_cdrzd249593zd2_8190
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd249588zd2_8189));
																																																								if ((CAR(((obj_t) BgL_carzd249588zd2_8189)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg6392z00_8193;
																																																										obj_t
																																																											BgL_arg6393z00_8194;
																																																										obj_t
																																																											BgL_arg6394z00_8195;
																																																										BgL_arg6392z00_8193
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd249593zd2_8190));
																																																										BgL_arg6393z00_8194
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd249593zd2_8190));
																																																										BgL_arg6394z00_8195
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_27902;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_27905;
																																																												obj_t
																																																													BgL_bodyz00_27904;
																																																												obj_t
																																																													BgL_varsz00_27903;
																																																												BgL_varsz00_27903
																																																													=
																																																													BgL_arg6392z00_8193;
																																																												BgL_bodyz00_27904
																																																													=
																																																													BgL_arg6393z00_8194;
																																																												BgL_argsz00_27905
																																																													=
																																																													BgL_arg6394z00_8195;
																																																												BgL_argsz00_1807
																																																													=
																																																													BgL_argsz00_27905;
																																																												BgL_bodyz00_1806
																																																													=
																																																													BgL_bodyz00_27904;
																																																												BgL_varsz00_1805
																																																													=
																																																													BgL_varsz00_27903;
																																																												goto
																																																													BgL_tagzd2387zd2_1808;
																																																											}
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_27902);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2404zd2_1842;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_27909;
																																																												goto
																																																													BgL_tagzd2405zd2_1843;
																																																												BgL_auxz00_25162
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_27909);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd249704zd2_8200;
																																																BgL_cdrzd249704zd2_8200
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test9996z00_27913;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6407z00_8209;
																																																		BgL_arg6407z00_8209
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test9996z00_27913
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg6407z00_8209));
																																																	}
																																																	if (BgL_test9996z00_27913)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg6401z00_8203;
																																																			obj_t
																																																				BgL_arg6402z00_8204;
																																																			BgL_arg6401z00_8203
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd249704zd2_8200));
																																																			BgL_arg6402z00_8204
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd249704zd2_8200));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_27922;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_27924;
																																																					obj_t
																																																						BgL_bindingsz00_27923;
																																																					BgL_bindingsz00_27923
																																																						=
																																																						BgL_arg6401z00_8203;
																																																					BgL_exprz00_27924
																																																						=
																																																						BgL_arg6402z00_8204;
																																																					BgL_exprz00_1797
																																																						=
																																																						BgL_exprz00_27924;
																																																					BgL_bindingsz00_1796
																																																						=
																																																						BgL_bindingsz00_27923;
																																																					goto
																																																						BgL_tagzd2383zd2_1798;
																																																				}
																																																				BgL_auxz00_25162
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_27922);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test9997z00_27926;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6406z00_8208;
																																																				BgL_arg6406z00_8208
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test9997z00_27926
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg6406z00_8208));
																																																			}
																																																			if (BgL_test9997z00_27926)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_27931;
																																																					goto
																																																						BgL_tagzd2385zd2_1800;
																																																					BgL_auxz00_25162
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_27931);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2404zd2_1842;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_27935;
																																																							goto
																																																								BgL_tagzd2405zd2_1843;
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_27935);
																																																						}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd248269zd2_7939)))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd248271zd2_7941;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((BgL_carzd248269zd2_7939 == CNST_TABLE_REF(((long) 19))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd248271zd2_7941;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((BgL_carzd248269zd2_7939 == CNST_TABLE_REF(((long) 20))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd248271zd2_7941;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd248269zd2_7939)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd248271zd2_7941;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd249876zd2_7944;
																																																						BgL_cdrzd249876zd2_7944
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test10003z00_27951;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6307z00_8061;
																																																								BgL_arg6307z00_8061
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test10003z00_27951
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg6307z00_8061));
																																																							}
																																																							if (BgL_test10003z00_27951)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg6235z00_7947;
																																																									obj_t
																																																										BgL_arg6236z00_7948;
																																																									BgL_arg6235z00_7947
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd249876zd2_7944));
																																																									BgL_arg6236z00_7948
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd249876zd2_7944));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_27960;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_27962;
																																																											obj_t
																																																												BgL_bindingsz00_27961;
																																																											BgL_bindingsz00_27961
																																																												=
																																																												BgL_arg6235z00_7947;
																																																											BgL_exprz00_27962
																																																												=
																																																												BgL_arg6236z00_7948;
																																																											BgL_exprz00_1797
																																																												=
																																																												BgL_exprz00_27962;
																																																											BgL_bindingsz00_1796
																																																												=
																																																												BgL_bindingsz00_27961;
																																																											goto
																																																												BgL_tagzd2383zd2_1798;
																																																										}
																																																										BgL_auxz00_25162
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_27960);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test10004z00_27964;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg6306z00_8060;
																																																										BgL_arg6306z00_8060
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test10004z00_27964
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg6306z00_8060));
																																																									}
																																																									if (BgL_test10004z00_27964)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_27969;
																																																											goto
																																																												BgL_tagzd2385zd2_1800;
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_27969);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd249942zd2_7951;
																																																											BgL_carzd249942zd2_7951
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd249947zd2_7952;
																																																												BgL_cdrzd249947zd2_7952
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd249942zd2_7951));
																																																												if ((CAR(((obj_t) BgL_carzd249942zd2_7951)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd249947zd2_7952))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg6242z00_7956;
																																																																obj_t
																																																																	BgL_arg6243z00_7957;
																																																																obj_t
																																																																	BgL_arg6244z00_7958;
																																																																BgL_arg6242z00_7956
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd249947zd2_7952);
																																																																BgL_arg6243z00_7957
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd249947zd2_7952);
																																																																BgL_arg6244z00_7958
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_27986;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_27989;
																																																																		obj_t
																																																																			BgL_bodyz00_27988;
																																																																		obj_t
																																																																			BgL_varsz00_27987;
																																																																		BgL_varsz00_27987
																																																																			=
																																																																			BgL_arg6242z00_7956;
																																																																		BgL_bodyz00_27988
																																																																			=
																																																																			BgL_arg6243z00_7957;
																																																																		BgL_argsz00_27989
																																																																			=
																																																																			BgL_arg6244z00_7958;
																																																																		BgL_argsz00_1807
																																																																			=
																																																																			BgL_argsz00_27989;
																																																																		BgL_bodyz00_1806
																																																																			=
																																																																			BgL_bodyz00_27988;
																																																																		BgL_varsz00_1805
																																																																			=
																																																																			BgL_varsz00_27987;
																																																																		goto
																																																																			BgL_tagzd2387zd2_1808;
																																																																	}
																																																																	BgL_auxz00_25162
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_27986);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_27993;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_25162
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_27993);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd250054zd2_7961;
																																																														BgL_cdrzd250054zd2_7961
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd250059zd2_7962;
																																																															BgL_cdrzd250059zd2_7962
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd249942zd2_7951));
																																																															if ((CAR(((obj_t) BgL_carzd249942zd2_7951)) == CNST_TABLE_REF(((long) 1))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (PAIRP(BgL_cdrzd250059zd2_7962))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd250064zd2_7966;
																																																																			BgL_cdrzd250064zd2_7966
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd250059zd2_7962);
																																																																			if (PAIRP(BgL_cdrzd250064zd2_7966))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd250068zd2_7968;
																																																																					obj_t
																																																																						BgL_cdrzd250069zd2_7969;
																																																																					BgL_carzd250068zd2_7968
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd250064zd2_7966);
																																																																					BgL_cdrzd250069zd2_7969
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd250064zd2_7966);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250068zd2_7968))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd250069zd2_7969))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd250074zd2_7972;
																																																																									BgL_carzd250074zd2_7972
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd250069zd2_7969);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250074zd2_7972))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd250069zd2_7969)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test10015z00_28021;
																																																																													{
																																																																														obj_t
																																																																															BgL_l1467z00_8005;
																																																																														BgL_l1467z00_8005
																																																																															=
																																																																															BgL_cdrzd250054zd2_7961;
																																																																													BgL_zc3z04anonymousza36270ze3z87_8006:
																																																																														if (NULLP(BgL_l1467z00_8005))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test10015z00_28021
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test10017z00_28024;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test10018z00_28025;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_tmpz00_28026;
																																																																																		BgL_tmpz00_28026
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_l1467z00_8005));
																																																																																		BgL_test10018z00_28025
																																																																																			=
																																																																																			PAIRP
																																																																																			(BgL_tmpz00_28026);
																																																																																	}
																																																																																	if (BgL_test10018z00_28025)
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test10017z00_28024
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test10017z00_28024
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																}
																																																																																if (BgL_test10017z00_28024)
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1467z00_28030;
																																																																																		BgL_l1467z00_28030
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_l1467z00_8005));
																																																																																		BgL_l1467z00_8005
																																																																																			=
																																																																																			BgL_l1467z00_28030;
																																																																																		goto
																																																																																			BgL_zc3z04anonymousza36270ze3z87_8006;
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test10015z00_28021
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																															}
																																																																													}
																																																																													if (BgL_test10015z00_28021)
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6260z00_7988;
																																																																															BgL_arg6260z00_7988
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd250059zd2_7962);
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_28034;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_28038;
																																																																																	obj_t
																																																																																		BgL_proc2z00_28037;
																																																																																	obj_t
																																																																																		BgL_proc1z00_28036;
																																																																																	obj_t
																																																																																		BgL_testz00_28035;
																																																																																	BgL_testz00_28035
																																																																																		=
																																																																																		BgL_arg6260z00_7988;
																																																																																	BgL_proc1z00_28036
																																																																																		=
																																																																																		BgL_carzd250068zd2_7968;
																																																																																	BgL_proc2z00_28037
																																																																																		=
																																																																																		BgL_carzd250074zd2_7972;
																																																																																	BgL_argsz00_28038
																																																																																		=
																																																																																		BgL_cdrzd250054zd2_7961;
																																																																																	BgL_argsz00_1812
																																																																																		=
																																																																																		BgL_argsz00_28038;
																																																																																	BgL_proc2z00_1811
																																																																																		=
																																																																																		BgL_proc2z00_28037;
																																																																																	BgL_proc1z00_1810
																																																																																		=
																																																																																		BgL_proc1z00_28036;
																																																																																	BgL_testz00_1809
																																																																																		=
																																																																																		BgL_testz00_28035;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1813;
																																																																																}
																																																																																BgL_auxz00_25162
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_28034);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd250099zd2_7989;
																																																																															BgL_cdrzd250099zd2_7989
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd250107zd2_7990;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_13759;
																																																																																	BgL_pairz00_13759
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd250107zd2_7990
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_13759);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd250115zd2_7991;
																																																																																	BgL_cdrzd250115zd2_7991
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd250107zd2_7990));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd250122zd2_7992;
																																																																																		BgL_carzd250122zd2_7992
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd250115zd2_7991));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250122zd2_7992))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd250131zd2_7994;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_13763;
																																																																																					BgL_pairz00_13763
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd250115zd2_7991));
																																																																																					BgL_carzd250131zd2_7994
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_pairz00_13763);
																																																																																				}
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250131zd2_7994))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250099zd2_7989))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg6264z00_7997;
																																																																																								BgL_arg6264z00_7997
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd250107zd2_7990));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_28060;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_28064;
																																																																																										obj_t
																																																																																											BgL_proc2z00_28063;
																																																																																										obj_t
																																																																																											BgL_proc1z00_28062;
																																																																																										obj_t
																																																																																											BgL_testz00_28061;
																																																																																										BgL_testz00_28061
																																																																																											=
																																																																																											BgL_arg6264z00_7997;
																																																																																										BgL_proc1z00_28062
																																																																																											=
																																																																																											BgL_carzd250122zd2_7992;
																																																																																										BgL_proc2z00_28063
																																																																																											=
																																																																																											BgL_carzd250131zd2_7994;
																																																																																										BgL_argsz00_28064
																																																																																											=
																																																																																											BgL_cdrzd250099zd2_7989;
																																																																																										BgL_argsz00_1817
																																																																																											=
																																																																																											BgL_argsz00_28064;
																																																																																										BgL_proc2z00_1816
																																																																																											=
																																																																																											BgL_proc2z00_28063;
																																																																																										BgL_proc1z00_1815
																																																																																											=
																																																																																											BgL_proc1z00_28062;
																																																																																										BgL_testz00_1814
																																																																																											=
																																																																																											BgL_testz00_28061;
																																																																																										goto
																																																																																											BgL_tagzd2389zd2_1818;
																																																																																									}
																																																																																									BgL_auxz00_25162
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_28060);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1842;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_28068;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1843;
																																																																																										BgL_auxz00_25162
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_28068);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_28072;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_25162
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_28072);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_28076;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_28076);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28080;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28080);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd250409zd2_8016;
																																																																											BgL_cdrzd250409zd2_8016
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd250416zd2_8017;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_13767;
																																																																													BgL_pairz00_13767
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd250416zd2_8017
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_13767);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd250423zd2_8018;
																																																																													BgL_cdrzd250423zd2_8018
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd250416zd2_8017));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd250429zd2_8019;
																																																																														obj_t
																																																																															BgL_cdrzd250430zd2_8020;
																																																																														BgL_carzd250429zd2_8019
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd250423zd2_8018));
																																																																														BgL_cdrzd250430zd2_8020
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd250423zd2_8018));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250429zd2_8019))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd250437zd2_8022;
																																																																																BgL_carzd250437zd2_8022
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd250430zd2_8020));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250437zd2_8022))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd250430zd2_8020))))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250409zd2_8016))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg6279z00_8027;
																																																																																						BgL_arg6279z00_8027
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd250416zd2_8017));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_28107;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_28111;
																																																																																								obj_t
																																																																																									BgL_proc2z00_28110;
																																																																																								obj_t
																																																																																									BgL_proc1z00_28109;
																																																																																								obj_t
																																																																																									BgL_testz00_28108;
																																																																																								BgL_testz00_28108
																																																																																									=
																																																																																									BgL_arg6279z00_8027;
																																																																																								BgL_proc1z00_28109
																																																																																									=
																																																																																									BgL_carzd250429zd2_8019;
																																																																																								BgL_proc2z00_28110
																																																																																									=
																																																																																									BgL_carzd250437zd2_8022;
																																																																																								BgL_argsz00_28111
																																																																																									=
																																																																																									BgL_cdrzd250409zd2_8016;
																																																																																								BgL_argsz00_1817
																																																																																									=
																																																																																									BgL_argsz00_28111;
																																																																																								BgL_proc2z00_1816
																																																																																									=
																																																																																									BgL_proc2z00_28110;
																																																																																								BgL_proc1z00_1815
																																																																																									=
																																																																																									BgL_proc1z00_28109;
																																																																																								BgL_testz00_1814
																																																																																									=
																																																																																									BgL_testz00_28108;
																																																																																								goto
																																																																																									BgL_tagzd2389zd2_1818;
																																																																																							}
																																																																																							BgL_auxz00_25162
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_28107);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_28115;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_25162
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_28115);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_28119;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_28119);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_28123;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_28123);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_28127;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																		BgL_auxz00_25162
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_28127);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28131;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28131);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd250770zd2_8035;
																																																																							BgL_cdrzd250770zd2_8035
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd250776zd2_8036;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_13776;
																																																																									BgL_pairz00_13776
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd250776zd2_8036
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_13776);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd250782zd2_8037;
																																																																									BgL_cdrzd250782zd2_8037
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd250776zd2_8036));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd250787zd2_8038;
																																																																										obj_t
																																																																											BgL_cdrzd250788zd2_8039;
																																																																										BgL_carzd250787zd2_8038
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd250782zd2_8037));
																																																																										BgL_cdrzd250788zd2_8039
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd250782zd2_8037));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250787zd2_8038))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (PAIRP(BgL_cdrzd250788zd2_8039))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd250793zd2_8042;
																																																																														BgL_carzd250793zd2_8042
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd250788zd2_8039);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250793zd2_8042))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (NULLP(CDR(BgL_cdrzd250788zd2_8039)))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250770zd2_8035))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg6293z00_8047;
																																																																																				BgL_arg6293z00_8047
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd250776zd2_8036));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_28158;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_28162;
																																																																																						obj_t
																																																																																							BgL_proc2z00_28161;
																																																																																						obj_t
																																																																																							BgL_proc1z00_28160;
																																																																																						obj_t
																																																																																							BgL_testz00_28159;
																																																																																						BgL_testz00_28159
																																																																																							=
																																																																																							BgL_arg6293z00_8047;
																																																																																						BgL_proc1z00_28160
																																																																																							=
																																																																																							BgL_carzd250787zd2_8038;
																																																																																						BgL_proc2z00_28161
																																																																																							=
																																																																																							BgL_carzd250793zd2_8042;
																																																																																						BgL_argsz00_28162
																																																																																							=
																																																																																							BgL_cdrzd250770zd2_8035;
																																																																																						BgL_argsz00_1817
																																																																																							=
																																																																																							BgL_argsz00_28162;
																																																																																						BgL_proc2z00_1816
																																																																																							=
																																																																																							BgL_proc2z00_28161;
																																																																																						BgL_proc1z00_1815
																																																																																							=
																																																																																							BgL_proc1z00_28160;
																																																																																						BgL_testz00_1814
																																																																																							=
																																																																																							BgL_testz00_28159;
																																																																																						goto
																																																																																							BgL_tagzd2389zd2_1818;
																																																																																					}
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_28158);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_28166;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_28166);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_28170;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_28170);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_28174;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																		BgL_auxz00_25162
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_28174);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_28178;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																																BgL_auxz00_25162
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_28178);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_28182;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_25162
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_28182);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_28186;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_28186);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_28190;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_28190);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_28194;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																			BgL_auxz00_25162
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_28194);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd251331zd2_8211;
																																											BgL_cdrzd251331zd2_8211
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if ((BgL_carzd248266zd2_7937 == CNST_TABLE_REF(((long) 18))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg6408z00_8212;
																																													obj_t
																																														BgL_arg6409z00_8213;
																																													BgL_arg6408z00_8212
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd251331zd2_8211));
																																													BgL_arg6409z00_8213
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd251331zd2_8211));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_28205;
																																														{
																																															obj_t
																																																BgL_exprz00_28207;
																																															obj_t
																																																BgL_bindingsz00_28206;
																																															BgL_bindingsz00_28206
																																																=
																																																BgL_arg6408z00_8212;
																																															BgL_exprz00_28207
																																																=
																																																BgL_arg6409z00_8213;
																																															BgL_exprz00_1797
																																																=
																																																BgL_exprz00_28207;
																																															BgL_bindingsz00_1796
																																																=
																																																BgL_bindingsz00_28206;
																																															goto
																																																BgL_tagzd2383zd2_1798;
																																														}
																																														BgL_auxz00_25162
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_28205);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd248266zd2_7937)))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg6411z00_8215;
																																															obj_t
																																																BgL_arg6412z00_8216;
																																															BgL_arg6411z00_8215
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd251331zd2_8211));
																																															BgL_arg6412z00_8216
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd251331zd2_8211));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_28216;
																																																{
																																																	obj_t
																																																		BgL_exprz00_28218;
																																																	obj_t
																																																		BgL_bindingsz00_28217;
																																																	BgL_bindingsz00_28217
																																																		=
																																																		BgL_arg6411z00_8215;
																																																	BgL_exprz00_28218
																																																		=
																																																		BgL_arg6412z00_8216;
																																																	BgL_exprz00_1797
																																																		=
																																																		BgL_exprz00_28218;
																																																	BgL_bindingsz00_1796
																																																		=
																																																		BgL_bindingsz00_28217;
																																																	goto
																																																		BgL_tagzd2383zd2_1798;
																																																}
																																																BgL_auxz00_25162
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_28216);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((BgL_carzd248266zd2_7937 == CNST_TABLE_REF(((long) 19))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg6413z00_8217;
																																																	obj_t
																																																		BgL_arg6414z00_8218;
																																																	BgL_arg6413z00_8217
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd251331zd2_8211));
																																																	BgL_arg6414z00_8218
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd251331zd2_8211));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_28227;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_28229;
																																																			obj_t
																																																				BgL_bindingsz00_28228;
																																																			BgL_bindingsz00_28228
																																																				=
																																																				BgL_arg6413z00_8217;
																																																			BgL_exprz00_28229
																																																				=
																																																				BgL_arg6414z00_8218;
																																																			BgL_exprz00_1797
																																																				=
																																																				BgL_exprz00_28229;
																																																			BgL_bindingsz00_1796
																																																				=
																																																				BgL_bindingsz00_28228;
																																																			goto
																																																				BgL_tagzd2383zd2_1798;
																																																		}
																																																		BgL_auxz00_25162
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_28227);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_28236;
																																																			goto
																																																				BgL_tagzd2384zd2_1799;
																																																			BgL_auxz00_25162
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_28236);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd251368zd2_8221;
																																																			BgL_carzd251368zd2_8221
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			if ((BgL_carzd251368zd2_8221 == CNST_TABLE_REF(((long) 20))))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_28243;
																																																					goto
																																																						BgL_tagzd2385zd2_1800;
																																																					BgL_auxz00_25162
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_28243);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd251368zd2_8221)))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_28248;
																																																							goto
																																																								BgL_tagzd2385zd2_1800;
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_28248);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_28255;
																																																									goto
																																																										BgL_tagzd2390zd2_1819;
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_28255);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_28262;
																																																											goto
																																																												BgL_tagzd2391zd2_1820;
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_28262);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd251448zd2_8227;
																																																											BgL_cdrzd251448zd2_8227
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg6424z00_8230;
																																																													obj_t
																																																														BgL_arg6425z00_8231;
																																																													BgL_arg6424z00_8230
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd251448zd2_8227));
																																																													BgL_arg6425z00_8231
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd251448zd2_8227));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_28275;
																																																														{
																																																															obj_t
																																																																BgL_restz00_28277;
																																																															obj_t
																																																																BgL_effectz00_28276;
																																																															BgL_effectz00_28276
																																																																=
																																																																BgL_arg6424z00_8230;
																																																															BgL_restz00_28277
																																																																=
																																																																BgL_arg6425z00_8231;
																																																															BgL_restz00_1822
																																																																=
																																																																BgL_restz00_28277;
																																																															BgL_effectz00_1821
																																																																=
																																																																BgL_effectz00_28276;
																																																															goto
																																																																BgL_tagzd2392zd2_1823;
																																																														}
																																																														BgL_auxz00_25162
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_28275);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_28284;
																																																															goto
																																																																BgL_tagzd2393zd2_1824;
																																																															BgL_auxz00_25162
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_28284);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_28291;
																																																																	goto
																																																																		BgL_tagzd2394zd2_1825;
																																																																	BgL_auxz00_25162
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_28291);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg6432z00_8239;
																																																																			obj_t
																																																																				BgL_arg6433z00_8240;
																																																																			BgL_arg6432z00_8239
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd251448zd2_8227));
																																																																			BgL_arg6433z00_8240
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd251448zd2_8227));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_28302;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_28304;
																																																																					obj_t
																																																																						BgL_effectz00_28303;
																																																																					BgL_effectz00_28303
																																																																						=
																																																																						BgL_arg6432z00_8239;
																																																																					BgL_restz00_28304
																																																																						=
																																																																						BgL_arg6433z00_8240;
																																																																					BgL_restz00_1827
																																																																						=
																																																																						BgL_restz00_28304;
																																																																					BgL_effectz00_1826
																																																																						=
																																																																						BgL_effectz00_28303;
																																																																					goto
																																																																						BgL_tagzd2395zd2_1828;
																																																																				}
																																																																				BgL_auxz00_25162
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_28302);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_28311;
																																																																					goto
																																																																						BgL_tagzd2396zd2_1829;
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_28311);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_28318;
																																																																							goto
																																																																								BgL_tagzd2397zd2_1830;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_28318);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																								{
																																																																									BgL_letzd2funzd2_bglt
																																																																										BgL_auxz00_28325;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1831;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28325);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																										{
																																																																											BgL_jumpzd2exzd2itz00_bglt
																																																																												BgL_auxz00_28332;
																																																																											goto
																																																																												BgL_tagzd2399zd2_1832;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28332);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 31))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test10065z00_28339;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_tmpz00_28340;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_13812;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_13811;
																																																																																BgL_pairz00_13811
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_pairz00_13812
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_13811);
																																																																															}
																																																																															BgL_tmpz00_28340
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_13812);
																																																																														}
																																																																														BgL_test10065z00_28339
																																																																															=
																																																																															NULLP
																																																																															(BgL_tmpz00_28340);
																																																																													}
																																																																													if (BgL_test10065z00_28339)
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28346;
																																																																															goto
																																																																																BgL_tagzd2400zd2_1833;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28346);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_28350;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_28350);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd251541zd2_8259;
																																																																													BgL_cdrzd251541zd2_8259
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6454z00_8262;
																																																																															obj_t
																																																																																BgL_arg6455z00_8263;
																																																																															BgL_arg6454z00_8262
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd251541zd2_8259));
																																																																															BgL_arg6455z00_8263
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd251541zd2_8259));
																																																																															{	/* Ast/sexp.scm 564 */
																																																																																obj_t
																																																																																	BgL_arg7616z00_13817;
																																																																																BgL_arg7616z00_13817
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_25162
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg6454z00_8262,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg6455z00_8263, BgL_stackz00_22, BgL_arg7616z00_13817, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_28369;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_28369);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													obj_t
																														BgL_carzd251566zd2_8281;
																													BgL_carzd251566zd2_8281
																														=
																														CAR(((obj_t)
																															BgL_expz00_21));
																													if (
																														(BgL_carzd251566zd2_8281
																															==
																															CNST_TABLE_REF((
																																	(long) 1))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_28376;
																															goto
																																BgL_tagzd2377zd2_1784;
																															BgL_auxz00_25162 =
																																((obj_t)
																																BgL_auxz00_28376);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(BgL_carzd251566zd2_8281
																																	==
																																	BGl_za2ifza2z00zzast_sexpz00))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_28380;
																																	goto
																																		BgL_tagzd2377zd2_1784;
																																	BgL_auxz00_25162
																																		=
																																		((obj_t)
																																		BgL_auxz00_28380);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_cdrzd251588zd2_8283;
																																	BgL_cdrzd251588zd2_8283
																																		=
																																		CDR(((obj_t)
																																			BgL_expz00_21));
																																	if ((CAR((
																																					(obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					7))))
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd251591zd2_8286;
																																			obj_t
																																				BgL_cdrzd251592zd2_8287;
																																			BgL_carzd251591zd2_8286
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd251588zd2_8283));
																																			BgL_cdrzd251592zd2_8287
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_cdrzd251588zd2_8283));
																																			if (PAIRP
																																				(BgL_carzd251591zd2_8286))
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(BgL_carzd251591zd2_8286)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 14))))
																																						{	/* Ast/sexp.scm 119 */
																																							if (NULLP(CDR(((obj_t) BgL_cdrzd251592zd2_8287))))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg6481z00_8293;
																																									obj_t
																																										BgL_arg6482z00_8294;
																																									BgL_arg6481z00_8293
																																										=
																																										CDR
																																										(BgL_carzd251591zd2_8286);
																																									BgL_arg6482z00_8294
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd251592zd2_8287));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_28406;
																																										{
																																											obj_t
																																												BgL_valz00_28408;
																																											obj_t
																																												BgL_lz00_28407;
																																											BgL_lz00_28407
																																												=
																																												BgL_arg6481z00_8293;
																																											BgL_valz00_28408
																																												=
																																												BgL_arg6482z00_8294;
																																											BgL_valz00_1786
																																												=
																																												BgL_valz00_28408;
																																											BgL_lz00_1785
																																												=
																																												BgL_lz00_28407;
																																											goto
																																												BgL_tagzd2378zd2_1787;
																																										}
																																										BgL_auxz00_25162
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_28406);
																																									}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_28410;
																																									goto
																																										BgL_tagzd2379zd2_1788;
																																									BgL_auxz00_25162
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_28410);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_28412;
																																							goto
																																								BgL_tagzd2379zd2_1788;
																																							BgL_auxz00_25162
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_28412);
																																						}
																																				}
																																			else
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_28414;
																																					goto
																																						BgL_tagzd2379zd2_1788;
																																					BgL_auxz00_25162
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_28414);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(CAR(
																																						((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_28421;
																																					goto
																																						BgL_tagzd2380zd2_1789;
																																					BgL_auxz00_25162
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_28421);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_arg6489z00_8302;
																																							obj_t
																																								BgL_arg6490z00_8303;
																																							BgL_arg6489z00_8302
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd251588zd2_8283));
																																							BgL_arg6490z00_8303
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd251588zd2_8283));
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_28432;
																																								{
																																									obj_t
																																										BgL_exprz00_28434;
																																									obj_t
																																										BgL_bindingsz00_28433;
																																									BgL_bindingsz00_28433
																																										=
																																										BgL_arg6489z00_8302;
																																									BgL_exprz00_28434
																																										=
																																										BgL_arg6490z00_8303;
																																									BgL_exprz00_1791
																																										=
																																										BgL_exprz00_28434;
																																									BgL_bindingsz00_1790
																																										=
																																										BgL_bindingsz00_28433;
																																									goto
																																										BgL_tagzd2381zd2_1792;
																																								}
																																								BgL_auxz00_25162
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_28432);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd251716zd2_8304;
																																							BgL_carzd251716zd2_8304
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if (PAIRP(BgL_carzd251716zd2_8304))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd251719zd2_8306;
																																									obj_t
																																										BgL_cdrzd251720zd2_8307;
																																									BgL_carzd251719zd2_8306
																																										=
																																										CAR
																																										(BgL_carzd251716zd2_8304);
																																									BgL_cdrzd251720zd2_8307
																																										=
																																										CDR
																																										(BgL_carzd251716zd2_8304);
																																									{

																																										if ((BgL_carzd251719zd2_8306 == CNST_TABLE_REF(((long) 18))))
																																											{	/* Ast/sexp.scm 119 */
																																											BgL_kapzd251721zd2_8308:
																																												if (PAIRP(BgL_cdrzd251720zd2_8307))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd251724zd2_8430;
																																														BgL_cdrzd251724zd2_8430
																																															=
																																															CDR
																																															(BgL_cdrzd251720zd2_8307);
																																														if (PAIRP(BgL_cdrzd251724zd2_8430))
																																															{	/* Ast/sexp.scm 119 */
																																																if (NULLP(CDR(BgL_cdrzd251724zd2_8430)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6573z00_8434;
																																																		obj_t
																																																			BgL_arg6574z00_8435;
																																																		BgL_arg6573z00_8434
																																																			=
																																																			CAR
																																																			(BgL_cdrzd251724zd2_8430);
																																																		BgL_arg6574z00_8435
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_28456;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_28458;
																																																				obj_t
																																																					BgL_bodyz00_28457;
																																																				BgL_bodyz00_28457
																																																					=
																																																					BgL_arg6573z00_8434;
																																																				BgL_argsz00_28458
																																																					=
																																																					BgL_arg6574z00_8435;
																																																				BgL_argsz00_1794
																																																					=
																																																					BgL_argsz00_28458;
																																																				BgL_bodyz00_1793
																																																					=
																																																					BgL_bodyz00_28457;
																																																				goto
																																																					BgL_tagzd2382zd2_1795;
																																																			}
																																																			BgL_auxz00_25162
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_28456);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd251748zd2_8436;
																																																		BgL_cdrzd251748zd2_8436
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test10082z00_28462;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6643z00_8547;
																																																				BgL_arg6643z00_8547
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test10082z00_28462
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg6643z00_8547));
																																																			}
																																																			if (BgL_test10082z00_28462)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg6577z00_8439;
																																																					obj_t
																																																						BgL_arg6578z00_8440;
																																																					BgL_arg6577z00_8439
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd251748zd2_8436));
																																																					BgL_arg6578z00_8440
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd251748zd2_8436));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_28471;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_28473;
																																																							obj_t
																																																								BgL_bindingsz00_28472;
																																																							BgL_bindingsz00_28472
																																																								=
																																																								BgL_arg6577z00_8439;
																																																							BgL_exprz00_28473
																																																								=
																																																								BgL_arg6578z00_8440;
																																																							BgL_exprz00_1797
																																																								=
																																																								BgL_exprz00_28473;
																																																							BgL_bindingsz00_1796
																																																								=
																																																								BgL_bindingsz00_28472;
																																																							goto
																																																								BgL_tagzd2383zd2_1798;
																																																						}
																																																						BgL_auxz00_25162
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_28471);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test10083z00_28475;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6642z00_8546;
																																																						BgL_arg6642z00_8546
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test10083z00_28475
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg6642z00_8546));
																																																					}
																																																					if (BgL_test10083z00_28475)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_28480;
																																																							goto
																																																								BgL_tagzd2385zd2_1800;
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_28480);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd251815zd2_8443;
																																																							BgL_carzd251815zd2_8443
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd251820zd2_8444;
																																																								BgL_cdrzd251820zd2_8444
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd251815zd2_8443));
																																																								if ((CAR(((obj_t) BgL_carzd251815zd2_8443)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg6583z00_8447;
																																																										obj_t
																																																											BgL_arg6584z00_8448;
																																																										obj_t
																																																											BgL_arg6585z00_8449;
																																																										BgL_arg6583z00_8447
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd251820zd2_8444));
																																																										BgL_arg6584z00_8448
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd251820zd2_8444));
																																																										BgL_arg6585z00_8449
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_28497;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_28500;
																																																												obj_t
																																																													BgL_bodyz00_28499;
																																																												obj_t
																																																													BgL_varsz00_28498;
																																																												BgL_varsz00_28498
																																																													=
																																																													BgL_arg6583z00_8447;
																																																												BgL_bodyz00_28499
																																																													=
																																																													BgL_arg6584z00_8448;
																																																												BgL_argsz00_28500
																																																													=
																																																													BgL_arg6585z00_8449;
																																																												BgL_argsz00_1807
																																																													=
																																																													BgL_argsz00_28500;
																																																												BgL_bodyz00_1806
																																																													=
																																																													BgL_bodyz00_28499;
																																																												BgL_varsz00_1805
																																																													=
																																																													BgL_varsz00_28498;
																																																												goto
																																																													BgL_tagzd2387zd2_1808;
																																																											}
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_28497);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd251843zd2_8451;
																																																										BgL_cdrzd251843zd2_8451
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd251849zd2_8452;
																																																											BgL_cdrzd251849zd2_8452
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd251815zd2_8443));
																																																											if ((CAR(((obj_t) BgL_carzd251815zd2_8443)) == CNST_TABLE_REF(((long) 1))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd251855zd2_8455;
																																																													BgL_cdrzd251855zd2_8455
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd251849zd2_8452));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd251860zd2_8456;
																																																														obj_t
																																																															BgL_cdrzd251861zd2_8457;
																																																														BgL_carzd251860zd2_8456
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd251855zd2_8455));
																																																														BgL_cdrzd251861zd2_8457
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd251855zd2_8455));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251860zd2_8456))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd251861zd2_8457))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd251868zd2_8460;
																																																																		BgL_carzd251868zd2_8460
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd251861zd2_8457);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251868zd2_8460))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd251861zd2_8457)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test10090z00_28527;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1470z00_8493;
																																																																							BgL_l1470z00_8493
																																																																								=
																																																																								BgL_cdrzd251843zd2_8451;
																																																																						BgL_zc3z04anonymousza36608ze3z87_8494:
																																																																							if (NULLP(BgL_l1470z00_8493))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test10090z00_28527
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test10092z00_28530;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test10093z00_28531;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_tmpz00_28532;
																																																																											BgL_tmpz00_28532
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1470z00_8493));
																																																																											BgL_test10093z00_28531
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_28532);
																																																																										}
																																																																										if (BgL_test10093z00_28531)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test10092z00_28530
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test10092z00_28530
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_test10092z00_28530)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1470z00_28536;
																																																																											BgL_l1470z00_28536
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1470z00_8493));
																																																																											BgL_l1470z00_8493
																																																																												=
																																																																												BgL_l1470z00_28536;
																																																																											goto
																																																																												BgL_zc3z04anonymousza36608ze3z87_8494;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test10090z00_28527
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_test10090z00_28527)
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg6598z00_8476;
																																																																								BgL_arg6598z00_8476
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd251849zd2_8452));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_28541;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_28545;
																																																																										obj_t
																																																																											BgL_proc2z00_28544;
																																																																										obj_t
																																																																											BgL_proc1z00_28543;
																																																																										obj_t
																																																																											BgL_testz00_28542;
																																																																										BgL_testz00_28542
																																																																											=
																																																																											BgL_arg6598z00_8476;
																																																																										BgL_proc1z00_28543
																																																																											=
																																																																											BgL_carzd251860zd2_8456;
																																																																										BgL_proc2z00_28544
																																																																											=
																																																																											BgL_carzd251868zd2_8460;
																																																																										BgL_argsz00_28545
																																																																											=
																																																																											BgL_cdrzd251843zd2_8451;
																																																																										BgL_argsz00_1812
																																																																											=
																																																																											BgL_argsz00_28545;
																																																																										BgL_proc2z00_1811
																																																																											=
																																																																											BgL_proc2z00_28544;
																																																																										BgL_proc1z00_1810
																																																																											=
																																																																											BgL_proc1z00_28543;
																																																																										BgL_testz00_1809
																																																																											=
																																																																											BgL_testz00_28542;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1813;
																																																																									}
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28541);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd251892zd2_8477;
																																																																								BgL_cdrzd251892zd2_8477
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd251899zd2_8478;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_13864;
																																																																										BgL_pairz00_13864
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd251899zd2_8478
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_13864);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd251906zd2_8479;
																																																																										BgL_cdrzd251906zd2_8479
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd251899zd2_8478));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd251912zd2_8480;
																																																																											BgL_carzd251912zd2_8480
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd251906zd2_8479));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251912zd2_8480))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd251919zd2_8482;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_13868;
																																																																														BgL_pairz00_13868
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd251906zd2_8479));
																																																																														BgL_carzd251919zd2_8482
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_13868);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251919zd2_8482))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd251892zd2_8477))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg6602z00_8485;
																																																																																	BgL_arg6602z00_8485
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd251899zd2_8478));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_28567;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_28571;
																																																																																			obj_t
																																																																																				BgL_proc2z00_28570;
																																																																																			obj_t
																																																																																				BgL_proc1z00_28569;
																																																																																			obj_t
																																																																																				BgL_testz00_28568;
																																																																																			BgL_testz00_28568
																																																																																				=
																																																																																				BgL_arg6602z00_8485;
																																																																																			BgL_proc1z00_28569
																																																																																				=
																																																																																				BgL_carzd251912zd2_8480;
																																																																																			BgL_proc2z00_28570
																																																																																				=
																																																																																				BgL_carzd251919zd2_8482;
																																																																																			BgL_argsz00_28571
																																																																																				=
																																																																																				BgL_cdrzd251892zd2_8477;
																																																																																			BgL_argsz00_1817
																																																																																				=
																																																																																				BgL_argsz00_28571;
																																																																																			BgL_proc2z00_1816
																																																																																				=
																																																																																				BgL_proc2z00_28570;
																																																																																			BgL_proc1z00_1815
																																																																																				=
																																																																																				BgL_proc1z00_28569;
																																																																																			BgL_testz00_1814
																																																																																				=
																																																																																				BgL_testz00_28568;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1818;
																																																																																		}
																																																																																		BgL_auxz00_25162
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_28567);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_28575;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_28575);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_28579;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_28579);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28583;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28583);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_28587;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_25162
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_28587);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd252195zd2_8504;
																																																																				BgL_cdrzd252195zd2_8504
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd252201zd2_8505;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_13872;
																																																																						BgL_pairz00_13872
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd252201zd2_8505
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_13872);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd252207zd2_8506;
																																																																						BgL_cdrzd252207zd2_8506
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd252201zd2_8505));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd252212zd2_8507;
																																																																							obj_t
																																																																								BgL_cdrzd252213zd2_8508;
																																																																							BgL_carzd252212zd2_8507
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd252207zd2_8506));
																																																																							BgL_cdrzd252213zd2_8508
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd252207zd2_8506));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252212zd2_8507))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd252218zd2_8510;
																																																																									BgL_carzd252218zd2_8510
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd252213zd2_8508));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252218zd2_8510))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd252213zd2_8508))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd252195zd2_8504))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6617z00_8515;
																																																																															BgL_arg6617z00_8515
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd252201zd2_8505));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_28614;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_28618;
																																																																																	obj_t
																																																																																		BgL_proc2z00_28617;
																																																																																	obj_t
																																																																																		BgL_proc1z00_28616;
																																																																																	obj_t
																																																																																		BgL_testz00_28615;
																																																																																	BgL_testz00_28615
																																																																																		=
																																																																																		BgL_arg6617z00_8515;
																																																																																	BgL_proc1z00_28616
																																																																																		=
																																																																																		BgL_carzd252212zd2_8507;
																																																																																	BgL_proc2z00_28617
																																																																																		=
																																																																																		BgL_carzd252218zd2_8510;
																																																																																	BgL_argsz00_28618
																																																																																		=
																																																																																		BgL_cdrzd252195zd2_8504;
																																																																																	BgL_argsz00_1817
																																																																																		=
																																																																																		BgL_argsz00_28618;
																																																																																	BgL_proc2z00_1816
																																																																																		=
																																																																																		BgL_proc2z00_28617;
																																																																																	BgL_proc1z00_1815
																																																																																		=
																																																																																		BgL_proc1z00_28616;
																																																																																	BgL_testz00_1814
																																																																																		=
																																																																																		BgL_testz00_28615;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1818;
																																																																																}
																																																																																BgL_auxz00_25162
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_28614);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_28622;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_28622);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28626;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28626);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_28630;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_28630);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28634;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28634);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_28638;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_25162
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_28638);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd252551zd2_8523;
																																																																BgL_cdrzd252551zd2_8523
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd252558zd2_8524;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_13881;
																																																																		BgL_pairz00_13881
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd252558zd2_8524
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_13881);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd252565zd2_8525;
																																																																		BgL_cdrzd252565zd2_8525
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd252558zd2_8524));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd252571zd2_8526;
																																																																			obj_t
																																																																				BgL_cdrzd252572zd2_8527;
																																																																			BgL_carzd252571zd2_8526
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd252565zd2_8525));
																																																																			BgL_cdrzd252572zd2_8527
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd252565zd2_8525));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252571zd2_8526))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd252572zd2_8527))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd252579zd2_8530;
																																																																							BgL_carzd252579zd2_8530
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd252572zd2_8527);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252579zd2_8530))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd252572zd2_8527)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd252551zd2_8523))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg6631z00_8535;
																																																																													BgL_arg6631z00_8535
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd252558zd2_8524));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_28665;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_28669;
																																																																															obj_t
																																																																																BgL_proc2z00_28668;
																																																																															obj_t
																																																																																BgL_proc1z00_28667;
																																																																															obj_t
																																																																																BgL_testz00_28666;
																																																																															BgL_testz00_28666
																																																																																=
																																																																																BgL_arg6631z00_8535;
																																																																															BgL_proc1z00_28667
																																																																																=
																																																																																BgL_carzd252571zd2_8526;
																																																																															BgL_proc2z00_28668
																																																																																=
																																																																																BgL_carzd252579zd2_8530;
																																																																															BgL_argsz00_28669
																																																																																=
																																																																																BgL_cdrzd252551zd2_8523;
																																																																															BgL_argsz00_1817
																																																																																=
																																																																																BgL_argsz00_28669;
																																																																															BgL_proc2z00_1816
																																																																																=
																																																																																BgL_proc2z00_28668;
																																																																															BgL_proc1z00_1815
																																																																																=
																																																																																BgL_proc1z00_28667;
																																																																															BgL_testz00_1814
																																																																																=
																																																																																BgL_testz00_28666;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1818;
																																																																														}
																																																																														BgL_auxz00_25162
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_28665);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28673;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28673);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_28677;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_28677);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28681;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28681);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_28685;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28685);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_28689;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_28689);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_28693;
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																															BgL_auxz00_25162
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_28693);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd252972zd2_8549;
																																																BgL_cdrzd252972zd2_8549
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test10121z00_28697;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6659z00_8566;
																																																		BgL_arg6659z00_8566
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test10121z00_28697
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg6659z00_8566));
																																																	}
																																																	if (BgL_test10121z00_28697)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg6647z00_8552;
																																																			obj_t
																																																				BgL_arg6648z00_8553;
																																																			BgL_arg6647z00_8552
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd252972zd2_8549));
																																																			BgL_arg6648z00_8553
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd252972zd2_8549));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_28706;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_28708;
																																																					obj_t
																																																						BgL_bindingsz00_28707;
																																																					BgL_bindingsz00_28707
																																																						=
																																																						BgL_arg6647z00_8552;
																																																					BgL_exprz00_28708
																																																						=
																																																						BgL_arg6648z00_8553;
																																																					BgL_exprz00_1797
																																																						=
																																																						BgL_exprz00_28708;
																																																					BgL_bindingsz00_1796
																																																						=
																																																						BgL_bindingsz00_28707;
																																																					goto
																																																						BgL_tagzd2383zd2_1798;
																																																				}
																																																				BgL_auxz00_25162
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_28706);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test10122z00_28710;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6658z00_8565;
																																																				BgL_arg6658z00_8565
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test10122z00_28710
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg6658z00_8565));
																																																			}
																																																			if (BgL_test10122z00_28710)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_28715;
																																																					goto
																																																						BgL_tagzd2385zd2_1800;
																																																					BgL_auxz00_25162
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_28715);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd253038zd2_8556;
																																																					BgL_carzd253038zd2_8556
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd253043zd2_8557;
																																																						BgL_cdrzd253043zd2_8557
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd253038zd2_8556));
																																																						if ((CAR(((obj_t) BgL_carzd253038zd2_8556)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6653z00_8560;
																																																								obj_t
																																																									BgL_arg6654z00_8561;
																																																								obj_t
																																																									BgL_arg6655z00_8562;
																																																								BgL_arg6653z00_8560
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd253043zd2_8557));
																																																								BgL_arg6654z00_8561
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd253043zd2_8557));
																																																								BgL_arg6655z00_8562
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_28732;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_28735;
																																																										obj_t
																																																											BgL_bodyz00_28734;
																																																										obj_t
																																																											BgL_varsz00_28733;
																																																										BgL_varsz00_28733
																																																											=
																																																											BgL_arg6653z00_8560;
																																																										BgL_bodyz00_28734
																																																											=
																																																											BgL_arg6654z00_8561;
																																																										BgL_argsz00_28735
																																																											=
																																																											BgL_arg6655z00_8562;
																																																										BgL_argsz00_1807
																																																											=
																																																											BgL_argsz00_28735;
																																																										BgL_bodyz00_1806
																																																											=
																																																											BgL_bodyz00_28734;
																																																										BgL_varsz00_1805
																																																											=
																																																											BgL_varsz00_28733;
																																																										goto
																																																											BgL_tagzd2387zd2_1808;
																																																									}
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_28732);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2404zd2_1842;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_28739;
																																																										goto
																																																											BgL_tagzd2405zd2_1843;
																																																										BgL_auxz00_25162
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_28739);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd253154zd2_8567;
																																														BgL_cdrzd253154zd2_8567
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test10125z00_28743;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg6668z00_8576;
																																																BgL_arg6668z00_8576
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test10125z00_28743
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg6668z00_8576));
																																															}
																																															if (BgL_test10125z00_28743)
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg6662z00_8570;
																																																	obj_t
																																																		BgL_arg6663z00_8571;
																																																	BgL_arg6662z00_8570
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd253154zd2_8567));
																																																	BgL_arg6663z00_8571
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd253154zd2_8567));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_28752;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_28754;
																																																			obj_t
																																																				BgL_bindingsz00_28753;
																																																			BgL_bindingsz00_28753
																																																				=
																																																				BgL_arg6662z00_8570;
																																																			BgL_exprz00_28754
																																																				=
																																																				BgL_arg6663z00_8571;
																																																			BgL_exprz00_1797
																																																				=
																																																				BgL_exprz00_28754;
																																																			BgL_bindingsz00_1796
																																																				=
																																																				BgL_bindingsz00_28753;
																																																			goto
																																																				BgL_tagzd2383zd2_1798;
																																																		}
																																																		BgL_auxz00_25162
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_28752);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test10126z00_28756;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6667z00_8575;
																																																		BgL_arg6667z00_8575
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test10126z00_28756
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg6667z00_8575));
																																																	}
																																																	if (BgL_test10126z00_28756)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_28761;
																																																			goto
																																																				BgL_tagzd2385zd2_1800;
																																																			BgL_auxz00_25162
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_28761);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2404zd2_1842;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_28765;
																																																					goto
																																																						BgL_tagzd2405zd2_1843;
																																																					BgL_auxz00_25162
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_28765);
																																																				}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd251719zd2_8306)))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd251721zd2_8308;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((BgL_carzd251719zd2_8306 == CNST_TABLE_REF(((long) 19))))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd251721zd2_8308;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((BgL_carzd251719zd2_8306 == CNST_TABLE_REF(((long) 20))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd251721zd2_8308;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd251719zd2_8306)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd251721zd2_8308;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd253326zd2_8311;
																																																				BgL_cdrzd253326zd2_8311
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test10132z00_28781;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6568z00_8428;
																																																						BgL_arg6568z00_8428
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test10132z00_28781
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg6568z00_8428));
																																																					}
																																																					if (BgL_test10132z00_28781)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg6496z00_8314;
																																																							obj_t
																																																								BgL_arg6497z00_8315;
																																																							BgL_arg6496z00_8314
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd253326zd2_8311));
																																																							BgL_arg6497z00_8315
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd253326zd2_8311));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_28790;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_28792;
																																																									obj_t
																																																										BgL_bindingsz00_28791;
																																																									BgL_bindingsz00_28791
																																																										=
																																																										BgL_arg6496z00_8314;
																																																									BgL_exprz00_28792
																																																										=
																																																										BgL_arg6497z00_8315;
																																																									BgL_exprz00_1797
																																																										=
																																																										BgL_exprz00_28792;
																																																									BgL_bindingsz00_1796
																																																										=
																																																										BgL_bindingsz00_28791;
																																																									goto
																																																										BgL_tagzd2383zd2_1798;
																																																								}
																																																								BgL_auxz00_25162
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_28790);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test10133z00_28794;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6567z00_8427;
																																																								BgL_arg6567z00_8427
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test10133z00_28794
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg6567z00_8427));
																																																							}
																																																							if (BgL_test10133z00_28794)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_28799;
																																																									goto
																																																										BgL_tagzd2385zd2_1800;
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_28799);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd253392zd2_8318;
																																																									BgL_carzd253392zd2_8318
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd253397zd2_8319;
																																																										BgL_cdrzd253397zd2_8319
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd253392zd2_8318));
																																																										if ((CAR(((obj_t) BgL_carzd253392zd2_8318)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd253397zd2_8319))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg6503z00_8323;
																																																														obj_t
																																																															BgL_arg6504z00_8324;
																																																														obj_t
																																																															BgL_arg6505z00_8325;
																																																														BgL_arg6503z00_8323
																																																															=
																																																															CAR
																																																															(BgL_cdrzd253397zd2_8319);
																																																														BgL_arg6504z00_8324
																																																															=
																																																															CDR
																																																															(BgL_cdrzd253397zd2_8319);
																																																														BgL_arg6505z00_8325
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_28816;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_28819;
																																																																obj_t
																																																																	BgL_bodyz00_28818;
																																																																obj_t
																																																																	BgL_varsz00_28817;
																																																																BgL_varsz00_28817
																																																																	=
																																																																	BgL_arg6503z00_8323;
																																																																BgL_bodyz00_28818
																																																																	=
																																																																	BgL_arg6504z00_8324;
																																																																BgL_argsz00_28819
																																																																	=
																																																																	BgL_arg6505z00_8325;
																																																																BgL_argsz00_1807
																																																																	=
																																																																	BgL_argsz00_28819;
																																																																BgL_bodyz00_1806
																																																																	=
																																																																	BgL_bodyz00_28818;
																																																																BgL_varsz00_1805
																																																																	=
																																																																	BgL_varsz00_28817;
																																																																goto
																																																																	BgL_tagzd2387zd2_1808;
																																																															}
																																																															BgL_auxz00_25162
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_28816);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_28823;
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																																BgL_auxz00_25162
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_28823);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd253504zd2_8328;
																																																												BgL_cdrzd253504zd2_8328
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd253509zd2_8329;
																																																													BgL_cdrzd253509zd2_8329
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd253392zd2_8318));
																																																													if ((CAR(((obj_t) BgL_carzd253392zd2_8318)) == CNST_TABLE_REF(((long) 1))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (PAIRP(BgL_cdrzd253509zd2_8329))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd253514zd2_8333;
																																																																	BgL_cdrzd253514zd2_8333
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd253509zd2_8329);
																																																																	if (PAIRP(BgL_cdrzd253514zd2_8333))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd253518zd2_8335;
																																																																			obj_t
																																																																				BgL_cdrzd253519zd2_8336;
																																																																			BgL_carzd253518zd2_8335
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd253514zd2_8333);
																																																																			BgL_cdrzd253519zd2_8336
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd253514zd2_8333);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253518zd2_8335))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd253519zd2_8336))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd253524zd2_8339;
																																																																							BgL_carzd253524zd2_8339
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd253519zd2_8336);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253524zd2_8339))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd253519zd2_8336)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test10144z00_28851;
																																																																											{
																																																																												obj_t
																																																																													BgL_l1473z00_8372;
																																																																												BgL_l1473z00_8372
																																																																													=
																																																																													BgL_cdrzd253504zd2_8328;
																																																																											BgL_zc3z04anonymousza36531ze3z87_8373:
																																																																												if (NULLP(BgL_l1473z00_8372))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test10144z00_28851
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test10146z00_28854;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test10147z00_28855;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_tmpz00_28856;
																																																																																BgL_tmpz00_28856
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_l1473z00_8372));
																																																																																BgL_test10147z00_28855
																																																																																	=
																																																																																	PAIRP
																																																																																	(BgL_tmpz00_28856);
																																																																															}
																																																																															if (BgL_test10147z00_28855)
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test10146z00_28854
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test10146z00_28854
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																														}
																																																																														if (BgL_test10146z00_28854)
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1473z00_28860;
																																																																																BgL_l1473z00_28860
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_l1473z00_8372));
																																																																																BgL_l1473z00_8372
																																																																																	=
																																																																																	BgL_l1473z00_28860;
																																																																																goto
																																																																																	BgL_zc3z04anonymousza36531ze3z87_8373;
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test10144z00_28851
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																													}
																																																																											}
																																																																											if (BgL_test10144z00_28851)
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg6521z00_8355;
																																																																													BgL_arg6521z00_8355
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd253509zd2_8329);
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_28864;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_28868;
																																																																															obj_t
																																																																																BgL_proc2z00_28867;
																																																																															obj_t
																																																																																BgL_proc1z00_28866;
																																																																															obj_t
																																																																																BgL_testz00_28865;
																																																																															BgL_testz00_28865
																																																																																=
																																																																																BgL_arg6521z00_8355;
																																																																															BgL_proc1z00_28866
																																																																																=
																																																																																BgL_carzd253518zd2_8335;
																																																																															BgL_proc2z00_28867
																																																																																=
																																																																																BgL_carzd253524zd2_8339;
																																																																															BgL_argsz00_28868
																																																																																=
																																																																																BgL_cdrzd253504zd2_8328;
																																																																															BgL_argsz00_1812
																																																																																=
																																																																																BgL_argsz00_28868;
																																																																															BgL_proc2z00_1811
																																																																																=
																																																																																BgL_proc2z00_28867;
																																																																															BgL_proc1z00_1810
																																																																																=
																																																																																BgL_proc1z00_28866;
																																																																															BgL_testz00_1809
																																																																																=
																																																																																BgL_testz00_28865;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1813;
																																																																														}
																																																																														BgL_auxz00_25162
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_28864);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd253549zd2_8356;
																																																																													BgL_cdrzd253549zd2_8356
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd253557zd2_8357;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_13929;
																																																																															BgL_pairz00_13929
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd253557zd2_8357
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_13929);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd253565zd2_8358;
																																																																															BgL_cdrzd253565zd2_8358
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd253557zd2_8357));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd253572zd2_8359;
																																																																																BgL_carzd253572zd2_8359
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd253565zd2_8358));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253572zd2_8359))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd253581zd2_8361;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_13933;
																																																																																			BgL_pairz00_13933
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd253565zd2_8358));
																																																																																			BgL_carzd253581zd2_8361
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_pairz00_13933);
																																																																																		}
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253581zd2_8361))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd253549zd2_8356))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg6525z00_8364;
																																																																																						BgL_arg6525z00_8364
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd253557zd2_8357));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_28890;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_28894;
																																																																																								obj_t
																																																																																									BgL_proc2z00_28893;
																																																																																								obj_t
																																																																																									BgL_proc1z00_28892;
																																																																																								obj_t
																																																																																									BgL_testz00_28891;
																																																																																								BgL_testz00_28891
																																																																																									=
																																																																																									BgL_arg6525z00_8364;
																																																																																								BgL_proc1z00_28892
																																																																																									=
																																																																																									BgL_carzd253572zd2_8359;
																																																																																								BgL_proc2z00_28893
																																																																																									=
																																																																																									BgL_carzd253581zd2_8361;
																																																																																								BgL_argsz00_28894
																																																																																									=
																																																																																									BgL_cdrzd253549zd2_8356;
																																																																																								BgL_argsz00_1817
																																																																																									=
																																																																																									BgL_argsz00_28894;
																																																																																								BgL_proc2z00_1816
																																																																																									=
																																																																																									BgL_proc2z00_28893;
																																																																																								BgL_proc1z00_1815
																																																																																									=
																																																																																									BgL_proc1z00_28892;
																																																																																								BgL_testz00_1814
																																																																																									=
																																																																																									BgL_testz00_28891;
																																																																																								goto
																																																																																									BgL_tagzd2389zd2_1818;
																																																																																							}
																																																																																							BgL_auxz00_25162
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_28890);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1842;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_28898;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1843;
																																																																																								BgL_auxz00_25162
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_28898);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_28902;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_28902);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_28906;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_28906);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_28910;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_28910);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd253859zd2_8383;
																																																																									BgL_cdrzd253859zd2_8383
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd253866zd2_8384;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_13937;
																																																																											BgL_pairz00_13937
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd253866zd2_8384
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_13937);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd253873zd2_8385;
																																																																											BgL_cdrzd253873zd2_8385
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd253866zd2_8384));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd253879zd2_8386;
																																																																												obj_t
																																																																													BgL_cdrzd253880zd2_8387;
																																																																												BgL_carzd253879zd2_8386
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd253873zd2_8385));
																																																																												BgL_cdrzd253880zd2_8387
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd253873zd2_8385));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253879zd2_8386))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd253887zd2_8389;
																																																																														BgL_carzd253887zd2_8389
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd253880zd2_8387));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253887zd2_8389))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (NULLP(CDR(((obj_t) BgL_cdrzd253880zd2_8387))))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd253859zd2_8383))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg6540z00_8394;
																																																																																				BgL_arg6540z00_8394
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd253866zd2_8384));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_28937;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_28941;
																																																																																						obj_t
																																																																																							BgL_proc2z00_28940;
																																																																																						obj_t
																																																																																							BgL_proc1z00_28939;
																																																																																						obj_t
																																																																																							BgL_testz00_28938;
																																																																																						BgL_testz00_28938
																																																																																							=
																																																																																							BgL_arg6540z00_8394;
																																																																																						BgL_proc1z00_28939
																																																																																							=
																																																																																							BgL_carzd253879zd2_8386;
																																																																																						BgL_proc2z00_28940
																																																																																							=
																																																																																							BgL_carzd253887zd2_8389;
																																																																																						BgL_argsz00_28941
																																																																																							=
																																																																																							BgL_cdrzd253859zd2_8383;
																																																																																						BgL_argsz00_1817
																																																																																							=
																																																																																							BgL_argsz00_28941;
																																																																																						BgL_proc2z00_1816
																																																																																							=
																																																																																							BgL_proc2z00_28940;
																																																																																						BgL_proc1z00_1815
																																																																																							=
																																																																																							BgL_proc1z00_28939;
																																																																																						BgL_testz00_1814
																																																																																							=
																																																																																							BgL_testz00_28938;
																																																																																						goto
																																																																																							BgL_tagzd2389zd2_1818;
																																																																																					}
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_28937);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1842;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_28945;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1843;
																																																																																						BgL_auxz00_25162
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_28945);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_28949;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_28949);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_28953;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																		BgL_auxz00_25162
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_28953);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_28957;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																																BgL_auxz00_25162
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_28957);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_28961;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28961);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd254220zd2_8402;
																																																																					BgL_cdrzd254220zd2_8402
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd254226zd2_8403;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_13946;
																																																																							BgL_pairz00_13946
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd254226zd2_8403
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_13946);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd254232zd2_8404;
																																																																							BgL_cdrzd254232zd2_8404
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd254226zd2_8403));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd254237zd2_8405;
																																																																								obj_t
																																																																									BgL_cdrzd254238zd2_8406;
																																																																								BgL_carzd254237zd2_8405
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd254232zd2_8404));
																																																																								BgL_cdrzd254238zd2_8406
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd254232zd2_8404));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254237zd2_8405))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (PAIRP(BgL_cdrzd254238zd2_8406))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd254243zd2_8409;
																																																																												BgL_carzd254243zd2_8409
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd254238zd2_8406);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254243zd2_8409))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (NULLP(CDR(BgL_cdrzd254238zd2_8406)))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd254220zd2_8402))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg6554z00_8414;
																																																																																		BgL_arg6554z00_8414
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd254226zd2_8403));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_28988;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_28992;
																																																																																				obj_t
																																																																																					BgL_proc2z00_28991;
																																																																																				obj_t
																																																																																					BgL_proc1z00_28990;
																																																																																				obj_t
																																																																																					BgL_testz00_28989;
																																																																																				BgL_testz00_28989
																																																																																					=
																																																																																					BgL_arg6554z00_8414;
																																																																																				BgL_proc1z00_28990
																																																																																					=
																																																																																					BgL_carzd254237zd2_8405;
																																																																																				BgL_proc2z00_28991
																																																																																					=
																																																																																					BgL_carzd254243zd2_8409;
																																																																																				BgL_argsz00_28992
																																																																																					=
																																																																																					BgL_cdrzd254220zd2_8402;
																																																																																				BgL_argsz00_1817
																																																																																					=
																																																																																					BgL_argsz00_28992;
																																																																																				BgL_proc2z00_1816
																																																																																					=
																																																																																					BgL_proc2z00_28991;
																																																																																				BgL_proc1z00_1815
																																																																																					=
																																																																																					BgL_proc1z00_28990;
																																																																																				BgL_testz00_1814
																																																																																					=
																																																																																					BgL_testz00_28989;
																																																																																				goto
																																																																																					BgL_tagzd2389zd2_1818;
																																																																																			}
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_28988);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1842;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_28996;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1843;
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_28996);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_29000;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																		BgL_auxz00_25162
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_29000);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_29004;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																																BgL_auxz00_25162
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_29004);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_29008;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_25162
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_29008);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_29012;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_25162
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_29012);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_29016;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_29016);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_29020;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																			BgL_auxz00_25162
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_29020);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_29024;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																	BgL_auxz00_25162
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_29024);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_cdrzd254781zd2_8578;
																																									BgL_cdrzd254781zd2_8578
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if ((BgL_carzd251716zd2_8304 == CNST_TABLE_REF(((long) 18))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg6669z00_8579;
																																											obj_t
																																												BgL_arg6670z00_8580;
																																											BgL_arg6669z00_8579
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd254781zd2_8578));
																																											BgL_arg6670z00_8580
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd254781zd2_8578));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_29035;
																																												{
																																													obj_t
																																														BgL_exprz00_29037;
																																													obj_t
																																														BgL_bindingsz00_29036;
																																													BgL_bindingsz00_29036
																																														=
																																														BgL_arg6669z00_8579;
																																													BgL_exprz00_29037
																																														=
																																														BgL_arg6670z00_8580;
																																													BgL_exprz00_1797
																																														=
																																														BgL_exprz00_29037;
																																													BgL_bindingsz00_1796
																																														=
																																														BgL_bindingsz00_29036;
																																													goto
																																														BgL_tagzd2383zd2_1798;
																																												}
																																												BgL_auxz00_25162
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_29035);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd251716zd2_8304)))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg6672z00_8582;
																																													obj_t
																																														BgL_arg6673z00_8583;
																																													BgL_arg6672z00_8582
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd254781zd2_8578));
																																													BgL_arg6673z00_8583
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd254781zd2_8578));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_29046;
																																														{
																																															obj_t
																																																BgL_exprz00_29048;
																																															obj_t
																																																BgL_bindingsz00_29047;
																																															BgL_bindingsz00_29047
																																																=
																																																BgL_arg6672z00_8582;
																																															BgL_exprz00_29048
																																																=
																																																BgL_arg6673z00_8583;
																																															BgL_exprz00_1797
																																																=
																																																BgL_exprz00_29048;
																																															BgL_bindingsz00_1796
																																																=
																																																BgL_bindingsz00_29047;
																																															goto
																																																BgL_tagzd2383zd2_1798;
																																														}
																																														BgL_auxz00_25162
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_29046);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((BgL_carzd251716zd2_8304 == CNST_TABLE_REF(((long) 19))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg6674z00_8584;
																																															obj_t
																																																BgL_arg6675z00_8585;
																																															BgL_arg6674z00_8584
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd254781zd2_8578));
																																															BgL_arg6675z00_8585
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd254781zd2_8578));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_29057;
																																																{
																																																	obj_t
																																																		BgL_exprz00_29059;
																																																	obj_t
																																																		BgL_bindingsz00_29058;
																																																	BgL_bindingsz00_29058
																																																		=
																																																		BgL_arg6674z00_8584;
																																																	BgL_exprz00_29059
																																																		=
																																																		BgL_arg6675z00_8585;
																																																	BgL_exprz00_1797
																																																		=
																																																		BgL_exprz00_29059;
																																																	BgL_bindingsz00_1796
																																																		=
																																																		BgL_bindingsz00_29058;
																																																	goto
																																																		BgL_tagzd2383zd2_1798;
																																																}
																																																BgL_auxz00_25162
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_29057);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_29066;
																																																	goto
																																																		BgL_tagzd2384zd2_1799;
																																																	BgL_auxz00_25162
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_29066);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd254818zd2_8588;
																																																	BgL_carzd254818zd2_8588
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if ((BgL_carzd254818zd2_8588 == CNST_TABLE_REF(((long) 20))))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_29073;
																																																			goto
																																																				BgL_tagzd2385zd2_1800;
																																																			BgL_auxz00_25162
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_29073);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd254818zd2_8588)))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_29078;
																																																					goto
																																																						BgL_tagzd2385zd2_1800;
																																																					BgL_auxz00_25162
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_29078);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_29085;
																																																							goto
																																																								BgL_tagzd2390zd2_1819;
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_29085);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_29092;
																																																									goto
																																																										BgL_tagzd2391zd2_1820;
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_29092);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd254898zd2_8594;
																																																									BgL_cdrzd254898zd2_8594
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg6685z00_8597;
																																																											obj_t
																																																												BgL_arg6686z00_8598;
																																																											BgL_arg6685z00_8597
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd254898zd2_8594));
																																																											BgL_arg6686z00_8598
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd254898zd2_8594));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_29105;
																																																												{
																																																													obj_t
																																																														BgL_restz00_29107;
																																																													obj_t
																																																														BgL_effectz00_29106;
																																																													BgL_effectz00_29106
																																																														=
																																																														BgL_arg6685z00_8597;
																																																													BgL_restz00_29107
																																																														=
																																																														BgL_arg6686z00_8598;
																																																													BgL_restz00_1822
																																																														=
																																																														BgL_restz00_29107;
																																																													BgL_effectz00_1821
																																																														=
																																																														BgL_effectz00_29106;
																																																													goto
																																																														BgL_tagzd2392zd2_1823;
																																																												}
																																																												BgL_auxz00_25162
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_29105);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_29114;
																																																													goto
																																																														BgL_tagzd2393zd2_1824;
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_29114);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_29121;
																																																															goto
																																																																BgL_tagzd2394zd2_1825;
																																																															BgL_auxz00_25162
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_29121);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg6693z00_8606;
																																																																	obj_t
																																																																		BgL_arg6694z00_8607;
																																																																	BgL_arg6693z00_8606
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd254898zd2_8594));
																																																																	BgL_arg6694z00_8607
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd254898zd2_8594));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_29132;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_29134;
																																																																			obj_t
																																																																				BgL_effectz00_29133;
																																																																			BgL_effectz00_29133
																																																																				=
																																																																				BgL_arg6693z00_8606;
																																																																			BgL_restz00_29134
																																																																				=
																																																																				BgL_arg6694z00_8607;
																																																																			BgL_restz00_1827
																																																																				=
																																																																				BgL_restz00_29134;
																																																																			BgL_effectz00_1826
																																																																				=
																																																																				BgL_effectz00_29133;
																																																																			goto
																																																																				BgL_tagzd2395zd2_1828;
																																																																		}
																																																																		BgL_auxz00_25162
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_29132);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_29141;
																																																																			goto
																																																																				BgL_tagzd2396zd2_1829;
																																																																			BgL_auxz00_25162
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_29141);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_29148;
																																																																					goto
																																																																						BgL_tagzd2397zd2_1830;
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_29148);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																						{
																																																																							BgL_letzd2funzd2_bglt
																																																																								BgL_auxz00_29155;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1831;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_29155);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																								{
																																																																									BgL_jumpzd2exzd2itz00_bglt
																																																																										BgL_auxz00_29162;
																																																																									goto
																																																																										BgL_tagzd2399zd2_1832;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_29162);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 31))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test10194z00_29169;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_tmpz00_29170;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_13982;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_13981;
																																																																														BgL_pairz00_13981
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_pairz00_13982
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_13981);
																																																																													}
																																																																													BgL_tmpz00_29170
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_13982);
																																																																												}
																																																																												BgL_test10194z00_29169
																																																																													=
																																																																													NULLP
																																																																													(BgL_tmpz00_29170);
																																																																											}
																																																																											if (BgL_test10194z00_29169)
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29176;
																																																																													goto
																																																																														BgL_tagzd2400zd2_1833;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29176);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29180;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29180);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd254986zd2_8626;
																																																																											BgL_cdrzd254986zd2_8626
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd254992zd2_8629;
																																																																													BgL_cdrzd254992zd2_8629
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd254986zd2_8626));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd254998zd2_8630;
																																																																														BgL_cdrzd254998zd2_8630
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd254992zd2_8629));
																																																																														if ((CAR(((obj_t) BgL_cdrzd254992zd2_8629)) == CNST_TABLE_REF(((long) 32))))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (PAIRP(BgL_cdrzd254998zd2_8630))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg6718z00_8634;
																																																																																		obj_t
																																																																																			BgL_arg6719z00_8635;
																																																																																		obj_t
																																																																																			BgL_arg6720z00_8636;
																																																																																		BgL_arg6718z00_8634
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd254986zd2_8626));
																																																																																		BgL_arg6719z00_8635
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd254998zd2_8630);
																																																																																		BgL_arg6720z00_8636
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd254998zd2_8630);
																																																																																		{	/* Ast/sexp.scm 562 */
																																																																																			obj_t
																																																																																				BgL_arg7615z00_13991;
																																																																																			BgL_arg7615z00_13991
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg6718z00_8634,
																																																																																					BgL_arg6719z00_8635,
																																																																																					BgL_arg6720z00_8636,
																																																																																					BgL_stackz00_22,
																																																																																					BgL_arg7615z00_13991,
																																																																																					BgL_sitez00_24));
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg6721z00_8638;
																																																																																		obj_t
																																																																																			BgL_arg6722z00_8639;
																																																																																		BgL_arg6721z00_8638
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd254986zd2_8626));
																																																																																		BgL_arg6722z00_8639
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd254986zd2_8626));
																																																																																		{	/* Ast/sexp.scm 564 */
																																																																																			obj_t
																																																																																				BgL_arg7616z00_13995;
																																																																																			BgL_arg7616z00_13995
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg6721z00_8638,
																																																																																					CNST_TABLE_REF
																																																																																					(((long) 4)), BgL_arg6722z00_8639, BgL_stackz00_22, BgL_arg7616z00_13995, BgL_sitez00_24));
																																																																															}}}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg6723z00_8641;
																																																																																obj_t
																																																																																	BgL_arg6724z00_8642;
																																																																																BgL_arg6723z00_8641
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd254986zd2_8626));
																																																																																BgL_arg6724z00_8642
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd254986zd2_8626));
																																																																																{	/* Ast/sexp.scm 564 */
																																																																																	obj_t
																																																																																		BgL_arg7616z00_13999;
																																																																																	BgL_arg7616z00_13999
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg6723z00_8641,
																																																																																			CNST_TABLE_REF
																																																																																			(((long) 4)), BgL_arg6724z00_8642, BgL_stackz00_22, BgL_arg7616z00_13999, BgL_sitez00_24));
																																																																												}}}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29225;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29225);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_carzd255049zd2_8662;
																											BgL_carzd255049zd2_8662 =
																												CAR(((obj_t)
																													BgL_expz00_21));
																											if (
																												(BgL_carzd255049zd2_8662
																													==
																													CNST_TABLE_REF(((long)
																															1))))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_29232;
																													goto
																														BgL_tagzd2377zd2_1784;
																													BgL_auxz00_25162 =
																														((obj_t)
																														BgL_auxz00_29232);
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													if (
																														(BgL_carzd255049zd2_8662
																															==
																															BGl_za2ifza2z00zzast_sexpz00))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_29236;
																															goto
																																BgL_tagzd2377zd2_1784;
																															BgL_auxz00_25162 =
																																((obj_t)
																																BgL_auxz00_29236);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long) 7))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_29243;
																																	goto
																																		BgL_tagzd2379zd2_1788;
																																	BgL_auxz00_25162
																																		=
																																		((obj_t)
																																		BgL_auxz00_29243);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					16))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_29250;
																																			goto
																																				BgL_tagzd2380zd2_1789;
																																			BgL_auxz00_25162
																																				=
																																				((obj_t)
																																				BgL_auxz00_29250);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_cdrzd255120zd2_8668;
																																			BgL_cdrzd255120zd2_8668
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_expz00_21))
																																					==
																																					CNST_TABLE_REF
																																					(((long) 17))))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_arg6751z00_8671;
																																					obj_t
																																						BgL_arg6752z00_8672;
																																					BgL_arg6751z00_8671
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd255120zd2_8668));
																																					BgL_arg6752z00_8672
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd255120zd2_8668));
																																					{
																																						BgL_nodez00_bglt
																																							BgL_auxz00_29263;
																																						{
																																							obj_t
																																								BgL_exprz00_29265;
																																							obj_t
																																								BgL_bindingsz00_29264;
																																							BgL_bindingsz00_29264
																																								=
																																								BgL_arg6751z00_8671;
																																							BgL_exprz00_29265
																																								=
																																								BgL_arg6752z00_8672;
																																							BgL_exprz00_1791
																																								=
																																								BgL_exprz00_29265;
																																							BgL_bindingsz00_1790
																																								=
																																								BgL_bindingsz00_29264;
																																							goto
																																								BgL_tagzd2381zd2_1792;
																																						}
																																						BgL_auxz00_25162
																																							=
																																							(
																																							(obj_t)
																																							BgL_auxz00_29263);
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd255145zd2_8673;
																																					BgL_carzd255145zd2_8673
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (PAIRP(BgL_carzd255145zd2_8673))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd255148zd2_8675;
																																							obj_t
																																								BgL_cdrzd255149zd2_8676;
																																							BgL_carzd255148zd2_8675
																																								=
																																								CAR
																																								(BgL_carzd255145zd2_8673);
																																							BgL_cdrzd255149zd2_8676
																																								=
																																								CDR
																																								(BgL_carzd255145zd2_8673);
																																							{

																																								if ((BgL_carzd255148zd2_8675 == CNST_TABLE_REF(((long) 18))))
																																									{	/* Ast/sexp.scm 119 */
																																									BgL_kapzd255150zd2_8677:
																																										if (PAIRP(BgL_cdrzd255149zd2_8676))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd255153zd2_8856;
																																												BgL_cdrzd255153zd2_8856
																																													=
																																													CDR
																																													(BgL_cdrzd255149zd2_8676);
																																												if (PAIRP(BgL_cdrzd255153zd2_8856))
																																													{	/* Ast/sexp.scm 119 */
																																														if (NULLP(CDR(BgL_cdrzd255153zd2_8856)))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg6879z00_8860;
																																																obj_t
																																																	BgL_arg6880z00_8861;
																																																BgL_arg6879z00_8860
																																																	=
																																																	CAR
																																																	(BgL_cdrzd255153zd2_8856);
																																																BgL_arg6880z00_8861
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_29287;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_29289;
																																																		obj_t
																																																			BgL_bodyz00_29288;
																																																		BgL_bodyz00_29288
																																																			=
																																																			BgL_arg6879z00_8860;
																																																		BgL_argsz00_29289
																																																			=
																																																			BgL_arg6880z00_8861;
																																																		BgL_argsz00_1794
																																																			=
																																																			BgL_argsz00_29289;
																																																		BgL_bodyz00_1793
																																																			=
																																																			BgL_bodyz00_29288;
																																																		goto
																																																			BgL_tagzd2382zd2_1795;
																																																	}
																																																	BgL_auxz00_25162
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_29287);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd255177zd2_8862;
																																																BgL_cdrzd255177zd2_8862
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test10210z00_29293;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6949z00_8973;
																																																		BgL_arg6949z00_8973
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test10210z00_29293
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg6949z00_8973));
																																																	}
																																																	if (BgL_test10210z00_29293)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg6883z00_8865;
																																																			obj_t
																																																				BgL_arg6884z00_8866;
																																																			BgL_arg6883z00_8865
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd255177zd2_8862));
																																																			BgL_arg6884z00_8866
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd255177zd2_8862));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_29302;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_29304;
																																																					obj_t
																																																						BgL_bindingsz00_29303;
																																																					BgL_bindingsz00_29303
																																																						=
																																																						BgL_arg6883z00_8865;
																																																					BgL_exprz00_29304
																																																						=
																																																						BgL_arg6884z00_8866;
																																																					BgL_exprz00_1797
																																																						=
																																																						BgL_exprz00_29304;
																																																					BgL_bindingsz00_1796
																																																						=
																																																						BgL_bindingsz00_29303;
																																																					goto
																																																						BgL_tagzd2383zd2_1798;
																																																				}
																																																				BgL_auxz00_25162
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_29302);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test10211z00_29306;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6948z00_8972;
																																																				BgL_arg6948z00_8972
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test10211z00_29306
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg6948z00_8972));
																																																			}
																																																			if (BgL_test10211z00_29306)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_29311;
																																																					goto
																																																						BgL_tagzd2385zd2_1800;
																																																					BgL_auxz00_25162
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_29311);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd255244zd2_8869;
																																																					BgL_carzd255244zd2_8869
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd255249zd2_8870;
																																																						BgL_cdrzd255249zd2_8870
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd255244zd2_8869));
																																																						if ((CAR(((obj_t) BgL_carzd255244zd2_8869)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6889z00_8873;
																																																								obj_t
																																																									BgL_arg6890z00_8874;
																																																								obj_t
																																																									BgL_arg6891z00_8875;
																																																								BgL_arg6889z00_8873
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd255249zd2_8870));
																																																								BgL_arg6890z00_8874
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd255249zd2_8870));
																																																								BgL_arg6891z00_8875
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_29328;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_29331;
																																																										obj_t
																																																											BgL_bodyz00_29330;
																																																										obj_t
																																																											BgL_varsz00_29329;
																																																										BgL_varsz00_29329
																																																											=
																																																											BgL_arg6889z00_8873;
																																																										BgL_bodyz00_29330
																																																											=
																																																											BgL_arg6890z00_8874;
																																																										BgL_argsz00_29331
																																																											=
																																																											BgL_arg6891z00_8875;
																																																										BgL_argsz00_1807
																																																											=
																																																											BgL_argsz00_29331;
																																																										BgL_bodyz00_1806
																																																											=
																																																											BgL_bodyz00_29330;
																																																										BgL_varsz00_1805
																																																											=
																																																											BgL_varsz00_29329;
																																																										goto
																																																											BgL_tagzd2387zd2_1808;
																																																									}
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_29328);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd255272zd2_8877;
																																																								BgL_cdrzd255272zd2_8877
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd255278zd2_8878;
																																																									BgL_cdrzd255278zd2_8878
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd255244zd2_8869));
																																																									if ((CAR(((obj_t) BgL_carzd255244zd2_8869)) == CNST_TABLE_REF(((long) 1))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd255284zd2_8881;
																																																											BgL_cdrzd255284zd2_8881
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd255278zd2_8878));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd255289zd2_8882;
																																																												obj_t
																																																													BgL_cdrzd255290zd2_8883;
																																																												BgL_carzd255289zd2_8882
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd255284zd2_8881));
																																																												BgL_cdrzd255290zd2_8883
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd255284zd2_8881));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255289zd2_8882))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd255290zd2_8883))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd255297zd2_8886;
																																																																BgL_carzd255297zd2_8886
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd255290zd2_8883);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255297zd2_8886))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd255290zd2_8883)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test10218z00_29358;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1476z00_8919;
																																																																					BgL_l1476z00_8919
																																																																						=
																																																																						BgL_cdrzd255272zd2_8877;
																																																																				BgL_zc3z04anonymousza36914ze3z87_8920:
																																																																					if (NULLP(BgL_l1476z00_8919))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test10218z00_29358
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test10220z00_29361;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test10221z00_29362;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_tmpz00_29363;
																																																																									BgL_tmpz00_29363
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1476z00_8919));
																																																																									BgL_test10221z00_29362
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_29363);
																																																																								}
																																																																								if (BgL_test10221z00_29362)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test10220z00_29361
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test10220z00_29361
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_test10220z00_29361)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1476z00_29367;
																																																																									BgL_l1476z00_29367
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1476z00_8919));
																																																																									BgL_l1476z00_8919
																																																																										=
																																																																										BgL_l1476z00_29367;
																																																																									goto
																																																																										BgL_zc3z04anonymousza36914ze3z87_8920;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test10218z00_29358
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_test10218z00_29358)
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg6904z00_8902;
																																																																						BgL_arg6904z00_8902
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd255278zd2_8878));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_29372;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_29376;
																																																																								obj_t
																																																																									BgL_proc2z00_29375;
																																																																								obj_t
																																																																									BgL_proc1z00_29374;
																																																																								obj_t
																																																																									BgL_testz00_29373;
																																																																								BgL_testz00_29373
																																																																									=
																																																																									BgL_arg6904z00_8902;
																																																																								BgL_proc1z00_29374
																																																																									=
																																																																									BgL_carzd255289zd2_8882;
																																																																								BgL_proc2z00_29375
																																																																									=
																																																																									BgL_carzd255297zd2_8886;
																																																																								BgL_argsz00_29376
																																																																									=
																																																																									BgL_cdrzd255272zd2_8877;
																																																																								BgL_argsz00_1812
																																																																									=
																																																																									BgL_argsz00_29376;
																																																																								BgL_proc2z00_1811
																																																																									=
																																																																									BgL_proc2z00_29375;
																																																																								BgL_proc1z00_1810
																																																																									=
																																																																									BgL_proc1z00_29374;
																																																																								BgL_testz00_1809
																																																																									=
																																																																									BgL_testz00_29373;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1813;
																																																																							}
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_29372);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd255321zd2_8903;
																																																																						BgL_cdrzd255321zd2_8903
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd255328zd2_8904;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_14039;
																																																																								BgL_pairz00_14039
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd255328zd2_8904
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_14039);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd255335zd2_8905;
																																																																								BgL_cdrzd255335zd2_8905
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd255328zd2_8904));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd255341zd2_8906;
																																																																									BgL_carzd255341zd2_8906
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd255335zd2_8905));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255341zd2_8906))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd255348zd2_8908;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_14043;
																																																																												BgL_pairz00_14043
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd255335zd2_8905));
																																																																												BgL_carzd255348zd2_8908
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_14043);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255348zd2_8908))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd255321zd2_8903))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6908z00_8911;
																																																																															BgL_arg6908z00_8911
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd255328zd2_8904));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_29398;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_29402;
																																																																																	obj_t
																																																																																		BgL_proc2z00_29401;
																																																																																	obj_t
																																																																																		BgL_proc1z00_29400;
																																																																																	obj_t
																																																																																		BgL_testz00_29399;
																																																																																	BgL_testz00_29399
																																																																																		=
																																																																																		BgL_arg6908z00_8911;
																																																																																	BgL_proc1z00_29400
																																																																																		=
																																																																																		BgL_carzd255341zd2_8906;
																																																																																	BgL_proc2z00_29401
																																																																																		=
																																																																																		BgL_carzd255348zd2_8908;
																																																																																	BgL_argsz00_29402
																																																																																		=
																																																																																		BgL_cdrzd255321zd2_8903;
																																																																																	BgL_argsz00_1817
																																																																																		=
																																																																																		BgL_argsz00_29402;
																																																																																	BgL_proc2z00_1816
																																																																																		=
																																																																																		BgL_proc2z00_29401;
																																																																																	BgL_proc1z00_1815
																																																																																		=
																																																																																		BgL_proc1z00_29400;
																																																																																	BgL_testz00_1814
																																																																																		=
																																																																																		BgL_testz00_29399;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1818;
																																																																																}
																																																																																BgL_auxz00_25162
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_29398);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_29406;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_29406);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29410;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29410);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29414;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29414);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_29418;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_25162
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_29418);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd255624zd2_8930;
																																																																		BgL_cdrzd255624zd2_8930
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd255630zd2_8931;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_14047;
																																																																				BgL_pairz00_14047
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd255630zd2_8931
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_14047);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd255636zd2_8932;
																																																																				BgL_cdrzd255636zd2_8932
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd255630zd2_8931));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd255641zd2_8933;
																																																																					obj_t
																																																																						BgL_cdrzd255642zd2_8934;
																																																																					BgL_carzd255641zd2_8933
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd255636zd2_8932));
																																																																					BgL_cdrzd255642zd2_8934
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd255636zd2_8932));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255641zd2_8933))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd255647zd2_8936;
																																																																							BgL_carzd255647zd2_8936
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd255642zd2_8934));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255647zd2_8936))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd255642zd2_8934))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd255624zd2_8930))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg6923z00_8941;
																																																																													BgL_arg6923z00_8941
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd255630zd2_8931));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_29445;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_29449;
																																																																															obj_t
																																																																																BgL_proc2z00_29448;
																																																																															obj_t
																																																																																BgL_proc1z00_29447;
																																																																															obj_t
																																																																																BgL_testz00_29446;
																																																																															BgL_testz00_29446
																																																																																=
																																																																																BgL_arg6923z00_8941;
																																																																															BgL_proc1z00_29447
																																																																																=
																																																																																BgL_carzd255641zd2_8933;
																																																																															BgL_proc2z00_29448
																																																																																=
																																																																																BgL_carzd255647zd2_8936;
																																																																															BgL_argsz00_29449
																																																																																=
																																																																																BgL_cdrzd255624zd2_8930;
																																																																															BgL_argsz00_1817
																																																																																=
																																																																																BgL_argsz00_29449;
																																																																															BgL_proc2z00_1816
																																																																																=
																																																																																BgL_proc2z00_29448;
																																																																															BgL_proc1z00_1815
																																																																																=
																																																																																BgL_proc1z00_29447;
																																																																															BgL_testz00_1814
																																																																																=
																																																																																BgL_testz00_29446;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1818;
																																																																														}
																																																																														BgL_auxz00_25162
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_29445);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29453;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29453);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29457;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29457);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_29461;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_29461);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_29465;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_29465);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_29469;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_25162
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_29469);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd255980zd2_8949;
																																																														BgL_cdrzd255980zd2_8949
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd255987zd2_8950;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_pairz00_14056;
																																																																BgL_pairz00_14056
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd255987zd2_8950
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_14056);
																																																															}
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd255994zd2_8951;
																																																																BgL_cdrzd255994zd2_8951
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd255987zd2_8950));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd256000zd2_8952;
																																																																	obj_t
																																																																		BgL_cdrzd256001zd2_8953;
																																																																	BgL_carzd256000zd2_8952
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd255994zd2_8951));
																																																																	BgL_cdrzd256001zd2_8953
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd255994zd2_8951));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256000zd2_8952))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd256001zd2_8953))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd256008zd2_8956;
																																																																					BgL_carzd256008zd2_8956
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd256001zd2_8953);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256008zd2_8956))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_cdrzd256001zd2_8953)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd255980zd2_8949))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg6937z00_8961;
																																																																											BgL_arg6937z00_8961
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd255987zd2_8950));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_29496;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_29500;
																																																																													obj_t
																																																																														BgL_proc2z00_29499;
																																																																													obj_t
																																																																														BgL_proc1z00_29498;
																																																																													obj_t
																																																																														BgL_testz00_29497;
																																																																													BgL_testz00_29497
																																																																														=
																																																																														BgL_arg6937z00_8961;
																																																																													BgL_proc1z00_29498
																																																																														=
																																																																														BgL_carzd256000zd2_8952;
																																																																													BgL_proc2z00_29499
																																																																														=
																																																																														BgL_carzd256008zd2_8956;
																																																																													BgL_argsz00_29500
																																																																														=
																																																																														BgL_cdrzd255980zd2_8949;
																																																																													BgL_argsz00_1817
																																																																														=
																																																																														BgL_argsz00_29500;
																																																																													BgL_proc2z00_1816
																																																																														=
																																																																														BgL_proc2z00_29499;
																																																																													BgL_proc1z00_1815
																																																																														=
																																																																														BgL_proc1z00_29498;
																																																																													BgL_testz00_1814
																																																																														=
																																																																														BgL_testz00_29497;
																																																																													goto
																																																																														BgL_tagzd2389zd2_1818;
																																																																												}
																																																																												BgL_auxz00_25162
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_29496);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29504;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29504);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_29508;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_29508);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_29512;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_29512);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_29516;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_29516);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_29520;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_29520);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1842;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_29524;
																																																													goto
																																																														BgL_tagzd2405zd2_1843;
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_29524);
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd256401zd2_8975;
																																														BgL_cdrzd256401zd2_8975
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test10249z00_29528;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg6965z00_8992;
																																																BgL_arg6965z00_8992
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test10249z00_29528
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg6965z00_8992));
																																															}
																																															if (BgL_test10249z00_29528)
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg6953z00_8978;
																																																	obj_t
																																																		BgL_arg6954z00_8979;
																																																	BgL_arg6953z00_8978
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd256401zd2_8975));
																																																	BgL_arg6954z00_8979
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd256401zd2_8975));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_29537;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_29539;
																																																			obj_t
																																																				BgL_bindingsz00_29538;
																																																			BgL_bindingsz00_29538
																																																				=
																																																				BgL_arg6953z00_8978;
																																																			BgL_exprz00_29539
																																																				=
																																																				BgL_arg6954z00_8979;
																																																			BgL_exprz00_1797
																																																				=
																																																				BgL_exprz00_29539;
																																																			BgL_bindingsz00_1796
																																																				=
																																																				BgL_bindingsz00_29538;
																																																			goto
																																																				BgL_tagzd2383zd2_1798;
																																																		}
																																																		BgL_auxz00_25162
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_29537);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test10250z00_29541;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6964z00_8991;
																																																		BgL_arg6964z00_8991
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test10250z00_29541
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg6964z00_8991));
																																																	}
																																																	if (BgL_test10250z00_29541)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_29546;
																																																			goto
																																																				BgL_tagzd2385zd2_1800;
																																																			BgL_auxz00_25162
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_29546);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd256467zd2_8982;
																																																			BgL_carzd256467zd2_8982
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd256472zd2_8983;
																																																				BgL_cdrzd256472zd2_8983
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd256467zd2_8982));
																																																				if ((CAR(((obj_t) BgL_carzd256467zd2_8982)) == CNST_TABLE_REF(((long) 3))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6959z00_8986;
																																																						obj_t
																																																							BgL_arg6960z00_8987;
																																																						obj_t
																																																							BgL_arg6961z00_8988;
																																																						BgL_arg6959z00_8986
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd256472zd2_8983));
																																																						BgL_arg6960z00_8987
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd256472zd2_8983));
																																																						BgL_arg6961z00_8988
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_29563;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_29566;
																																																								obj_t
																																																									BgL_bodyz00_29565;
																																																								obj_t
																																																									BgL_varsz00_29564;
																																																								BgL_varsz00_29564
																																																									=
																																																									BgL_arg6959z00_8986;
																																																								BgL_bodyz00_29565
																																																									=
																																																									BgL_arg6960z00_8987;
																																																								BgL_argsz00_29566
																																																									=
																																																									BgL_arg6961z00_8988;
																																																								BgL_argsz00_1807
																																																									=
																																																									BgL_argsz00_29566;
																																																								BgL_bodyz00_1806
																																																									=
																																																									BgL_bodyz00_29565;
																																																								BgL_varsz00_1805
																																																									=
																																																									BgL_varsz00_29564;
																																																								goto
																																																									BgL_tagzd2387zd2_1808;
																																																							}
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_29563);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2404zd2_1842;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_29570;
																																																								goto
																																																									BgL_tagzd2405zd2_1843;
																																																								BgL_auxz00_25162
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_29570);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd256583zd2_8993;
																																												BgL_cdrzd256583zd2_8993
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 119 */
																																													bool_t
																																														BgL_test10253z00_29574;
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg6974z00_9002;
																																														BgL_arg6974z00_9002
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														BgL_test10253z00_29574
																																															=
																																															CBOOL
																																															(BGl_letzd2symzf3z21zzast_letz00
																																															(BgL_arg6974z00_9002));
																																													}
																																													if (BgL_test10253z00_29574)
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg6968z00_8996;
																																															obj_t
																																																BgL_arg6969z00_8997;
																																															BgL_arg6968z00_8996
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd256583zd2_8993));
																																															BgL_arg6969z00_8997
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd256583zd2_8993));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_29583;
																																																{
																																																	obj_t
																																																		BgL_exprz00_29585;
																																																	obj_t
																																																		BgL_bindingsz00_29584;
																																																	BgL_bindingsz00_29584
																																																		=
																																																		BgL_arg6968z00_8996;
																																																	BgL_exprz00_29585
																																																		=
																																																		BgL_arg6969z00_8997;
																																																	BgL_exprz00_1797
																																																		=
																																																		BgL_exprz00_29585;
																																																	BgL_bindingsz00_1796
																																																		=
																																																		BgL_bindingsz00_29584;
																																																	goto
																																																		BgL_tagzd2383zd2_1798;
																																																}
																																																BgL_auxz00_25162
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_29583);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test10254z00_29587;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg6973z00_9001;
																																																BgL_arg6973z00_9001
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test10254z00_29587
																																																	=
																																																	CBOOL
																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																	(BgL_arg6973z00_9001));
																																															}
																																															if (BgL_test10254z00_29587)
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_29592;
																																																	goto
																																																		BgL_tagzd2385zd2_1800;
																																																	BgL_auxz00_25162
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_29592);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 119 */
																																																			goto
																																																				BgL_tagzd2404zd2_1842;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_29596;
																																																			goto
																																																				BgL_tagzd2405zd2_1843;
																																																			BgL_auxz00_25162
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_29596);
																																																		}
																																																}
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd255148zd2_8675)))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_kapzd255150zd2_8677;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd255148zd2_8675 == CNST_TABLE_REF(((long) 19))))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd255150zd2_8677;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((BgL_carzd255148zd2_8675 == CNST_TABLE_REF(((long) 20))))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd255150zd2_8677;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd255148zd2_8675)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd255150zd2_8677;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd256755zd2_8680;
																																																		BgL_cdrzd256755zd2_8680
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test10260z00_29612;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6874z00_8854;
																																																				BgL_arg6874z00_8854
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test10260z00_29612
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg6874z00_8854));
																																																			}
																																																			if (BgL_test10260z00_29612)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg6758z00_8683;
																																																					obj_t
																																																						BgL_arg6759z00_8684;
																																																					BgL_arg6758z00_8683
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd256755zd2_8680));
																																																					BgL_arg6759z00_8684
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd256755zd2_8680));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_29621;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_29623;
																																																							obj_t
																																																								BgL_bindingsz00_29622;
																																																							BgL_bindingsz00_29622
																																																								=
																																																								BgL_arg6758z00_8683;
																																																							BgL_exprz00_29623
																																																								=
																																																								BgL_arg6759z00_8684;
																																																							BgL_exprz00_1797
																																																								=
																																																								BgL_exprz00_29623;
																																																							BgL_bindingsz00_1796
																																																								=
																																																								BgL_bindingsz00_29622;
																																																							goto
																																																								BgL_tagzd2383zd2_1798;
																																																						}
																																																						BgL_auxz00_25162
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_29621);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test10261z00_29625;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6873z00_8853;
																																																						BgL_arg6873z00_8853
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test10261z00_29625
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg6873z00_8853));
																																																					}
																																																					if (BgL_test10261z00_29625)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_29630;
																																																							goto
																																																								BgL_tagzd2385zd2_1800;
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_29630);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd256808zd2_8687;
																																																							obj_t
																																																								BgL_cdrzd256809zd2_8688;
																																																							BgL_carzd256808zd2_8687
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_cdrzd256809zd2_8688
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd256813zd2_8689;
																																																								BgL_cdrzd256813zd2_8689
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd256808zd2_8687));
																																																								if ((CAR(((obj_t) BgL_carzd256808zd2_8687)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (PAIRP(BgL_cdrzd256813zd2_8689))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd256816zd2_8693;
																																																												obj_t
																																																													BgL_cdrzd256817zd2_8694;
																																																												BgL_carzd256816zd2_8693
																																																													=
																																																													CAR
																																																													(BgL_cdrzd256813zd2_8689);
																																																												BgL_cdrzd256817zd2_8694
																																																													=
																																																													CDR
																																																													(BgL_cdrzd256813zd2_8689);
																																																												if (PAIRP(BgL_carzd256816zd2_8693))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (NULLP(CDR(BgL_carzd256816zd2_8693)))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd256817zd2_8694))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd256823zd2_8699;
																																																																		BgL_carzd256823zd2_8699
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd256817zd2_8694);
																																																																		if (PAIRP(BgL_carzd256823zd2_8699))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd256823zd2_8699))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd256817zd2_8694)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd256830zd2_8704;
																																																																								BgL_carzd256830zd2_8704
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd256809zd2_8688));
																																																																								if (PAIRP(BgL_carzd256830zd2_8704))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd256855zd2_8706;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_14095;
																																																																											BgL_pairz00_14095
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd256855zd2_8706
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_14095);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg6774z00_8707;
																																																																											obj_t
																																																																												BgL_arg6775z00_8708;
																																																																											obj_t
																																																																												BgL_arg6776z00_8709;
																																																																											BgL_arg6774z00_8707
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd256855zd2_8706));
																																																																											BgL_arg6775z00_8708
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd256855zd2_8706));
																																																																											BgL_arg6776z00_8709
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_29675;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_29678;
																																																																													obj_t
																																																																														BgL_bodyz00_29677;
																																																																													obj_t
																																																																														BgL_varsz00_29676;
																																																																													BgL_varsz00_29676
																																																																														=
																																																																														BgL_arg6774z00_8707;
																																																																													BgL_bodyz00_29677
																																																																														=
																																																																														BgL_arg6775z00_8708;
																																																																													BgL_argsz00_29678
																																																																														=
																																																																														BgL_arg6776z00_8709;
																																																																													BgL_argsz00_1807
																																																																														=
																																																																														BgL_argsz00_29678;
																																																																													BgL_bodyz00_1806
																																																																														=
																																																																														BgL_bodyz00_29677;
																																																																													BgL_varsz00_1805
																																																																														=
																																																																														BgL_varsz00_29676;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1808;
																																																																												}
																																																																												BgL_auxz00_25162
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_29675);
																																																																											}
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd256809zd2_8688))))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg6780z00_8713;
																																																																												BgL_arg6780z00_8713
																																																																													=
																																																																													CAR
																																																																													(BgL_carzd256816zd2_8693);
																																																																												{
																																																																													BgL_castz00_bglt
																																																																														BgL_auxz00_29685;
																																																																													{
																																																																														obj_t
																																																																															BgL_argz00_29688;
																																																																														obj_t
																																																																															BgL_bodyz00_29687;
																																																																														obj_t
																																																																															BgL_varz00_29686;
																																																																														BgL_varz00_29686
																																																																															=
																																																																															BgL_arg6780z00_8713;
																																																																														BgL_bodyz00_29687
																																																																															=
																																																																															BgL_carzd256823zd2_8699;
																																																																														BgL_argz00_29688
																																																																															=
																																																																															BgL_carzd256830zd2_8704;
																																																																														BgL_argz00_1803
																																																																															=
																																																																															BgL_argz00_29688;
																																																																														BgL_bodyz00_1802
																																																																															=
																																																																															BgL_bodyz00_29687;
																																																																														BgL_varz00_1801
																																																																															=
																																																																															BgL_varz00_29686;
																																																																														goto
																																																																															BgL_tagzd2386zd2_1804;
																																																																													}
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29685);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd256883zd2_8714;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_14102;
																																																																													BgL_pairz00_14102
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd256883zd2_8714
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_14102);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg6781z00_8715;
																																																																													obj_t
																																																																														BgL_arg6782z00_8716;
																																																																													obj_t
																																																																														BgL_arg6783z00_8717;
																																																																													BgL_arg6781z00_8715
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd256883zd2_8714));
																																																																													BgL_arg6782z00_8716
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd256883zd2_8714));
																																																																													BgL_arg6783z00_8717
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_29699;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_29702;
																																																																															obj_t
																																																																																BgL_bodyz00_29701;
																																																																															obj_t
																																																																																BgL_varsz00_29700;
																																																																															BgL_varsz00_29700
																																																																																=
																																																																																BgL_arg6781z00_8715;
																																																																															BgL_bodyz00_29701
																																																																																=
																																																																																BgL_arg6782z00_8716;
																																																																															BgL_argsz00_29702
																																																																																=
																																																																																BgL_arg6783z00_8717;
																																																																															BgL_argsz00_1807
																																																																																=
																																																																																BgL_argsz00_29702;
																																																																															BgL_bodyz00_1806
																																																																																=
																																																																																BgL_bodyz00_29701;
																																																																															BgL_varsz00_1805
																																																																																=
																																																																																BgL_varsz00_29700;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1808;
																																																																														}
																																																																														BgL_auxz00_25162
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_29699);
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd256909zd2_8720;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_14107;
																																																																									BgL_pairz00_14107
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd256909zd2_8720
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_14107);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg6786z00_8721;
																																																																									obj_t
																																																																										BgL_arg6787z00_8722;
																																																																									obj_t
																																																																										BgL_arg6788z00_8723;
																																																																									BgL_arg6786z00_8721
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd256909zd2_8720));
																																																																									BgL_arg6787z00_8722
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd256909zd2_8720));
																																																																									BgL_arg6788z00_8723
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_29713;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_29716;
																																																																											obj_t
																																																																												BgL_bodyz00_29715;
																																																																											obj_t
																																																																												BgL_varsz00_29714;
																																																																											BgL_varsz00_29714
																																																																												=
																																																																												BgL_arg6786z00_8721;
																																																																											BgL_bodyz00_29715
																																																																												=
																																																																												BgL_arg6787z00_8722;
																																																																											BgL_argsz00_29716
																																																																												=
																																																																												BgL_arg6788z00_8723;
																																																																											BgL_argsz00_1807
																																																																												=
																																																																												BgL_argsz00_29716;
																																																																											BgL_bodyz00_1806
																																																																												=
																																																																												BgL_bodyz00_29715;
																																																																											BgL_varsz00_1805
																																																																												=
																																																																												BgL_varsz00_29714;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1808;
																																																																										}
																																																																										BgL_auxz00_25162
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_29713);
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd256935zd2_8726;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_14112;
																																																																							BgL_pairz00_14112
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd256935zd2_8726
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_14112);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg6791z00_8727;
																																																																							obj_t
																																																																								BgL_arg6792z00_8728;
																																																																							obj_t
																																																																								BgL_arg6793z00_8729;
																																																																							BgL_arg6791z00_8727
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd256935zd2_8726));
																																																																							BgL_arg6792z00_8728
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd256935zd2_8726));
																																																																							BgL_arg6793z00_8729
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_29727;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_29730;
																																																																									obj_t
																																																																										BgL_bodyz00_29729;
																																																																									obj_t
																																																																										BgL_varsz00_29728;
																																																																									BgL_varsz00_29728
																																																																										=
																																																																										BgL_arg6791z00_8727;
																																																																									BgL_bodyz00_29729
																																																																										=
																																																																										BgL_arg6792z00_8728;
																																																																									BgL_argsz00_29730
																																																																										=
																																																																										BgL_arg6793z00_8729;
																																																																									BgL_argsz00_1807
																																																																										=
																																																																										BgL_argsz00_29730;
																																																																									BgL_bodyz00_1806
																																																																										=
																																																																										BgL_bodyz00_29729;
																																																																									BgL_varsz00_1805
																																																																										=
																																																																										BgL_varsz00_29728;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1808;
																																																																								}
																																																																								BgL_auxz00_25162
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_29727);
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd256961zd2_8731;
																																																																				BgL_cdrzd256961zd2_8731
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_carzd256808zd2_8687));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg6795z00_8732;
																																																																					obj_t
																																																																						BgL_arg6796z00_8733;
																																																																					obj_t
																																																																						BgL_arg6797z00_8734;
																																																																					BgL_arg6795z00_8732
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd256961zd2_8731));
																																																																					BgL_arg6796z00_8733
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd256961zd2_8731));
																																																																					BgL_arg6797z00_8734
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_29740;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_29743;
																																																																							obj_t
																																																																								BgL_bodyz00_29742;
																																																																							obj_t
																																																																								BgL_varsz00_29741;
																																																																							BgL_varsz00_29741
																																																																								=
																																																																								BgL_arg6795z00_8732;
																																																																							BgL_bodyz00_29742
																																																																								=
																																																																								BgL_arg6796z00_8733;
																																																																							BgL_argsz00_29743
																																																																								=
																																																																								BgL_arg6797z00_8734;
																																																																							BgL_argsz00_1807
																																																																								=
																																																																								BgL_argsz00_29743;
																																																																							BgL_bodyz00_1806
																																																																								=
																																																																								BgL_bodyz00_29742;
																																																																							BgL_varsz00_1805
																																																																								=
																																																																								BgL_varsz00_29741;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1808;
																																																																						}
																																																																						BgL_auxz00_25162
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_29740);
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd256987zd2_8736;
																																																																		BgL_cdrzd256987zd2_8736
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd256808zd2_8687));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg6799z00_8737;
																																																																			obj_t
																																																																				BgL_arg6800z00_8738;
																																																																			obj_t
																																																																				BgL_arg6801z00_8739;
																																																																			BgL_arg6799z00_8737
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd256987zd2_8736));
																																																																			BgL_arg6800z00_8738
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd256987zd2_8736));
																																																																			BgL_arg6801z00_8739
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_29753;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_29756;
																																																																					obj_t
																																																																						BgL_bodyz00_29755;
																																																																					obj_t
																																																																						BgL_varsz00_29754;
																																																																					BgL_varsz00_29754
																																																																						=
																																																																						BgL_arg6799z00_8737;
																																																																					BgL_bodyz00_29755
																																																																						=
																																																																						BgL_arg6800z00_8738;
																																																																					BgL_argsz00_29756
																																																																						=
																																																																						BgL_arg6801z00_8739;
																																																																					BgL_argsz00_1807
																																																																						=
																																																																						BgL_argsz00_29756;
																																																																					BgL_bodyz00_1806
																																																																						=
																																																																						BgL_bodyz00_29755;
																																																																					BgL_varsz00_1805
																																																																						=
																																																																						BgL_varsz00_29754;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1808;
																																																																				}
																																																																				BgL_auxz00_25162
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_29753);
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd257013zd2_8741;
																																																																BgL_cdrzd257013zd2_8741
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd256808zd2_8687));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg6803z00_8742;
																																																																	obj_t
																																																																		BgL_arg6804z00_8743;
																																																																	obj_t
																																																																		BgL_arg6805z00_8744;
																																																																	BgL_arg6803z00_8742
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd257013zd2_8741));
																																																																	BgL_arg6804z00_8743
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd257013zd2_8741));
																																																																	BgL_arg6805z00_8744
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_29766;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_29769;
																																																																			obj_t
																																																																				BgL_bodyz00_29768;
																																																																			obj_t
																																																																				BgL_varsz00_29767;
																																																																			BgL_varsz00_29767
																																																																				=
																																																																				BgL_arg6803z00_8742;
																																																																			BgL_bodyz00_29768
																																																																				=
																																																																				BgL_arg6804z00_8743;
																																																																			BgL_argsz00_29769
																																																																				=
																																																																				BgL_arg6805z00_8744;
																																																																			BgL_argsz00_1807
																																																																				=
																																																																				BgL_argsz00_29769;
																																																																			BgL_bodyz00_1806
																																																																				=
																																																																				BgL_bodyz00_29768;
																																																																			BgL_varsz00_1805
																																																																				=
																																																																				BgL_varsz00_29767;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1808;
																																																																		}
																																																																		BgL_auxz00_25162
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_29766);
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd257039zd2_8747;
																																																														BgL_cdrzd257039zd2_8747
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd256808zd2_8687));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg6808z00_8748;
																																																															obj_t
																																																																BgL_arg6809z00_8749;
																																																															obj_t
																																																																BgL_arg6810z00_8750;
																																																															BgL_arg6808z00_8748
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd257039zd2_8747));
																																																															BgL_arg6809z00_8749
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd257039zd2_8747));
																																																															BgL_arg6810z00_8750
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_29779;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_29782;
																																																																	obj_t
																																																																		BgL_bodyz00_29781;
																																																																	obj_t
																																																																		BgL_varsz00_29780;
																																																																	BgL_varsz00_29780
																																																																		=
																																																																		BgL_arg6808z00_8748;
																																																																	BgL_bodyz00_29781
																																																																		=
																																																																		BgL_arg6809z00_8749;
																																																																	BgL_argsz00_29782
																																																																		=
																																																																		BgL_arg6810z00_8750;
																																																																	BgL_argsz00_1807
																																																																		=
																																																																		BgL_argsz00_29782;
																																																																	BgL_bodyz00_1806
																																																																		=
																																																																		BgL_bodyz00_29781;
																																																																	BgL_varsz00_1805
																																																																		=
																																																																		BgL_varsz00_29780;
																																																																	goto
																																																																		BgL_tagzd2387zd2_1808;
																																																																}
																																																																BgL_auxz00_25162
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_29779);
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1842;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_29786;
																																																														goto
																																																															BgL_tagzd2405zd2_1843;
																																																														BgL_auxz00_25162
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_29786);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd257177zd2_8755;
																																																										BgL_cdrzd257177zd2_8755
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd256808zd2_8687));
																																																										if ((CAR(((obj_t) BgL_carzd256808zd2_8687)) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd257177zd2_8755))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd257182zd2_8759;
																																																														BgL_cdrzd257182zd2_8759
																																																															=
																																																															CDR
																																																															(BgL_cdrzd257177zd2_8755);
																																																														if (PAIRP(BgL_cdrzd257182zd2_8759))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd257186zd2_8761;
																																																																obj_t
																																																																	BgL_cdrzd257187zd2_8762;
																																																																BgL_carzd257186zd2_8761
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd257182zd2_8759);
																																																																BgL_cdrzd257187zd2_8762
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd257182zd2_8759);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257186zd2_8761))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd257187zd2_8762))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd257192zd2_8765;
																																																																				BgL_carzd257192zd2_8765
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd257187zd2_8762);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257192zd2_8765))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd257187zd2_8762)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test10280z00_29812;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1479z00_8798;
																																																																									BgL_l1479z00_8798
																																																																										=
																																																																										BgL_cdrzd256809zd2_8688;
																																																																								BgL_zc3z04anonymousza36837ze3z87_8799:
																																																																									if (NULLP(BgL_l1479z00_8798))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test10280z00_29812
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test10282z00_29815;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test10283z00_29816;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_tmpz00_29817;
																																																																													BgL_tmpz00_29817
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1479z00_8798));
																																																																													BgL_test10283z00_29816
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_29817);
																																																																												}
																																																																												if (BgL_test10283z00_29816)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test10282z00_29815
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test10282z00_29815
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_test10282z00_29815)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1479z00_29821;
																																																																													BgL_l1479z00_29821
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1479z00_8798));
																																																																													BgL_l1479z00_8798
																																																																														=
																																																																														BgL_l1479z00_29821;
																																																																													goto
																																																																														BgL_zc3z04anonymousza36837ze3z87_8799;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test10280z00_29812
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_test10280z00_29812)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg6827z00_8781;
																																																																										BgL_arg6827z00_8781
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd257177zd2_8755);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_29825;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_29829;
																																																																												obj_t
																																																																													BgL_proc2z00_29828;
																																																																												obj_t
																																																																													BgL_proc1z00_29827;
																																																																												obj_t
																																																																													BgL_testz00_29826;
																																																																												BgL_testz00_29826
																																																																													=
																																																																													BgL_arg6827z00_8781;
																																																																												BgL_proc1z00_29827
																																																																													=
																																																																													BgL_carzd257186zd2_8761;
																																																																												BgL_proc2z00_29828
																																																																													=
																																																																													BgL_carzd257192zd2_8765;
																																																																												BgL_argsz00_29829
																																																																													=
																																																																													BgL_cdrzd256809zd2_8688;
																																																																												BgL_argsz00_1812
																																																																													=
																																																																													BgL_argsz00_29829;
																																																																												BgL_proc2z00_1811
																																																																													=
																																																																													BgL_proc2z00_29828;
																																																																												BgL_proc1z00_1810
																																																																													=
																																																																													BgL_proc1z00_29827;
																																																																												BgL_testz00_1809
																																																																													=
																																																																													BgL_testz00_29826;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1813;
																																																																											}
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_29825);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd257217zd2_8782;
																																																																										BgL_cdrzd257217zd2_8782
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd257225zd2_8783;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_14150;
																																																																												BgL_pairz00_14150
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd257225zd2_8783
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_14150);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd257233zd2_8784;
																																																																												BgL_cdrzd257233zd2_8784
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd257225zd2_8783));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd257240zd2_8785;
																																																																													BgL_carzd257240zd2_8785
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd257233zd2_8784));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257240zd2_8785))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd257249zd2_8787;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_14154;
																																																																																BgL_pairz00_14154
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd257233zd2_8784));
																																																																																BgL_carzd257249zd2_8787
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_14154);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257249zd2_8787))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd257217zd2_8782))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg6831z00_8790;
																																																																																			BgL_arg6831z00_8790
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd257225zd2_8783));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_29851;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_29855;
																																																																																					obj_t
																																																																																						BgL_proc2z00_29854;
																																																																																					obj_t
																																																																																						BgL_proc1z00_29853;
																																																																																					obj_t
																																																																																						BgL_testz00_29852;
																																																																																					BgL_testz00_29852
																																																																																						=
																																																																																						BgL_arg6831z00_8790;
																																																																																					BgL_proc1z00_29853
																																																																																						=
																																																																																						BgL_carzd257240zd2_8785;
																																																																																					BgL_proc2z00_29854
																																																																																						=
																																																																																						BgL_carzd257249zd2_8787;
																																																																																					BgL_argsz00_29855
																																																																																						=
																																																																																						BgL_cdrzd257217zd2_8782;
																																																																																					BgL_argsz00_1817
																																																																																						=
																																																																																						BgL_argsz00_29855;
																																																																																					BgL_proc2z00_1816
																																																																																						=
																																																																																						BgL_proc2z00_29854;
																																																																																					BgL_proc1z00_1815
																																																																																						=
																																																																																						BgL_proc1z00_29853;
																																																																																					BgL_testz00_1814
																																																																																						=
																																																																																						BgL_testz00_29852;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1818;
																																																																																				}
																																																																																				BgL_auxz00_25162
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_29851);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_29859;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_25162
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_29859);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_29863;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_29863);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_29867;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_29867);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_29871;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_25162
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_29871);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd257527zd2_8809;
																																																																						BgL_cdrzd257527zd2_8809
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd257534zd2_8810;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_14158;
																																																																								BgL_pairz00_14158
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd257534zd2_8810
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_14158);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd257541zd2_8811;
																																																																								BgL_cdrzd257541zd2_8811
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd257534zd2_8810));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd257547zd2_8812;
																																																																									obj_t
																																																																										BgL_cdrzd257548zd2_8813;
																																																																									BgL_carzd257547zd2_8812
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd257541zd2_8811));
																																																																									BgL_cdrzd257548zd2_8813
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd257541zd2_8811));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257547zd2_8812))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd257555zd2_8815;
																																																																											BgL_carzd257555zd2_8815
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd257548zd2_8813));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257555zd2_8815))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd257548zd2_8813))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd257527zd2_8809))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg6846z00_8820;
																																																																																	BgL_arg6846z00_8820
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd257534zd2_8810));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_29898;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_29902;
																																																																																			obj_t
																																																																																				BgL_proc2z00_29901;
																																																																																			obj_t
																																																																																				BgL_proc1z00_29900;
																																																																																			obj_t
																																																																																				BgL_testz00_29899;
																																																																																			BgL_testz00_29899
																																																																																				=
																																																																																				BgL_arg6846z00_8820;
																																																																																			BgL_proc1z00_29900
																																																																																				=
																																																																																				BgL_carzd257547zd2_8812;
																																																																																			BgL_proc2z00_29901
																																																																																				=
																																																																																				BgL_carzd257555zd2_8815;
																																																																																			BgL_argsz00_29902
																																																																																				=
																																																																																				BgL_cdrzd257527zd2_8809;
																																																																																			BgL_argsz00_1817
																																																																																				=
																																																																																				BgL_argsz00_29902;
																																																																																			BgL_proc2z00_1816
																																																																																				=
																																																																																				BgL_proc2z00_29901;
																																																																																			BgL_proc1z00_1815
																																																																																				=
																																																																																				BgL_proc1z00_29900;
																																																																																			BgL_testz00_1814
																																																																																				=
																																																																																				BgL_testz00_29899;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1818;
																																																																																		}
																																																																																		BgL_auxz00_25162
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_29898);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_29906;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_25162
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_29906);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_29910;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_29910);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29914;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29914);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29918;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29918);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_29922;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_25162
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_29922);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd257888zd2_8828;
																																																																		BgL_cdrzd257888zd2_8828
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd257894zd2_8829;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_14167;
																																																																				BgL_pairz00_14167
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd257894zd2_8829
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_14167);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd257900zd2_8830;
																																																																				BgL_cdrzd257900zd2_8830
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd257894zd2_8829));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd257905zd2_8831;
																																																																					obj_t
																																																																						BgL_cdrzd257906zd2_8832;
																																																																					BgL_carzd257905zd2_8831
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd257900zd2_8830));
																																																																					BgL_cdrzd257906zd2_8832
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd257900zd2_8830));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257905zd2_8831))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd257906zd2_8832))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd257911zd2_8835;
																																																																									BgL_carzd257911zd2_8835
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd257906zd2_8832);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257911zd2_8835))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd257906zd2_8832)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd257888zd2_8828))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6860z00_8840;
																																																																															BgL_arg6860z00_8840
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd257894zd2_8829));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_29949;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_29953;
																																																																																	obj_t
																																																																																		BgL_proc2z00_29952;
																																																																																	obj_t
																																																																																		BgL_proc1z00_29951;
																																																																																	obj_t
																																																																																		BgL_testz00_29950;
																																																																																	BgL_testz00_29950
																																																																																		=
																																																																																		BgL_arg6860z00_8840;
																																																																																	BgL_proc1z00_29951
																																																																																		=
																																																																																		BgL_carzd257905zd2_8831;
																																																																																	BgL_proc2z00_29952
																																																																																		=
																																																																																		BgL_carzd257911zd2_8835;
																																																																																	BgL_argsz00_29953
																																																																																		=
																																																																																		BgL_cdrzd257888zd2_8828;
																																																																																	BgL_argsz00_1817
																																																																																		=
																																																																																		BgL_argsz00_29953;
																																																																																	BgL_proc2z00_1816
																																																																																		=
																																																																																		BgL_proc2z00_29952;
																																																																																	BgL_proc1z00_1815
																																																																																		=
																																																																																		BgL_proc1z00_29951;
																																																																																	BgL_testz00_1814
																																																																																		=
																																																																																		BgL_testz00_29950;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1818;
																																																																																}
																																																																																BgL_auxz00_25162
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_29949);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_29957;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_25162
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_29957);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29961;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29961);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29965;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29965);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_29969;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_29969);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_29973;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_29973);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_29977;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_25162
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_29977);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_29981;
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																																BgL_auxz00_25162
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_29981);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1842;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_29985;
																																																														goto
																																																															BgL_tagzd2405zd2_1843;
																																																														BgL_auxz00_25162
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_29985);
																																																													}
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((BgL_carzd255145zd2_8673 == CNST_TABLE_REF(((long) 18))))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg6975z00_9005;
																																									obj_t
																																										BgL_arg6976z00_9006;
																																									BgL_arg6975z00_9005
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd255120zd2_8668));
																																									BgL_arg6976z00_9006
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd255120zd2_8668));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_29994;
																																										{
																																											obj_t
																																												BgL_exprz00_29996;
																																											obj_t
																																												BgL_bindingsz00_29995;
																																											BgL_bindingsz00_29995
																																												=
																																												BgL_arg6975z00_9005;
																																											BgL_exprz00_29996
																																												=
																																												BgL_arg6976z00_9006;
																																											BgL_exprz00_1797
																																												=
																																												BgL_exprz00_29996;
																																											BgL_bindingsz00_1796
																																												=
																																												BgL_bindingsz00_29995;
																																											goto
																																												BgL_tagzd2383zd2_1798;
																																										}
																																										BgL_auxz00_25162
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_29994);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd255145zd2_8673)))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg6978z00_9008;
																																											obj_t
																																												BgL_arg6979z00_9009;
																																											BgL_arg6978z00_9008
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd255120zd2_8668));
																																											BgL_arg6979z00_9009
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd255120zd2_8668));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_30005;
																																												{
																																													obj_t
																																														BgL_exprz00_30007;
																																													obj_t
																																														BgL_bindingsz00_30006;
																																													BgL_bindingsz00_30006
																																														=
																																														BgL_arg6978z00_9008;
																																													BgL_exprz00_30007
																																														=
																																														BgL_arg6979z00_9009;
																																													BgL_exprz00_1797
																																														=
																																														BgL_exprz00_30007;
																																													BgL_bindingsz00_1796
																																														=
																																														BgL_bindingsz00_30006;
																																													goto
																																														BgL_tagzd2383zd2_1798;
																																												}
																																												BgL_auxz00_25162
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_30005);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((BgL_carzd255145zd2_8673 == CNST_TABLE_REF(((long) 19))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg6980z00_9010;
																																													obj_t
																																														BgL_arg6981z00_9011;
																																													BgL_arg6980z00_9010
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd255120zd2_8668));
																																													BgL_arg6981z00_9011
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd255120zd2_8668));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_30016;
																																														{
																																															obj_t
																																																BgL_exprz00_30018;
																																															obj_t
																																																BgL_bindingsz00_30017;
																																															BgL_bindingsz00_30017
																																																=
																																																BgL_arg6980z00_9010;
																																															BgL_exprz00_30018
																																																=
																																																BgL_arg6981z00_9011;
																																															BgL_exprz00_1797
																																																=
																																																BgL_exprz00_30018;
																																															BgL_bindingsz00_1796
																																																=
																																																BgL_bindingsz00_30017;
																																															goto
																																																BgL_tagzd2383zd2_1798;
																																														}
																																														BgL_auxz00_25162
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_30016);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_30025;
																																															goto
																																																BgL_tagzd2384zd2_1799;
																																															BgL_auxz00_25162
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_30025);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd258486zd2_9014;
																																															BgL_carzd258486zd2_9014
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((BgL_carzd258486zd2_9014 == CNST_TABLE_REF(((long) 20))))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_30032;
																																																	goto
																																																		BgL_tagzd2385zd2_1800;
																																																	BgL_auxz00_25162
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_30032);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd258486zd2_9014)))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_30037;
																																																			goto
																																																				BgL_tagzd2385zd2_1800;
																																																			BgL_auxz00_25162
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_30037);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_30044;
																																																					goto
																																																						BgL_tagzd2390zd2_1819;
																																																					BgL_auxz00_25162
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_30044);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_30051;
																																																							goto
																																																								BgL_tagzd2391zd2_1820;
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_30051);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd258566zd2_9020;
																																																							BgL_cdrzd258566zd2_9020
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg6991z00_9023;
																																																									obj_t
																																																										BgL_arg6992z00_9024;
																																																									BgL_arg6991z00_9023
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd258566zd2_9020));
																																																									BgL_arg6992z00_9024
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd258566zd2_9020));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_30064;
																																																										{
																																																											obj_t
																																																												BgL_restz00_30066;
																																																											obj_t
																																																												BgL_effectz00_30065;
																																																											BgL_effectz00_30065
																																																												=
																																																												BgL_arg6991z00_9023;
																																																											BgL_restz00_30066
																																																												=
																																																												BgL_arg6992z00_9024;
																																																											BgL_restz00_1822
																																																												=
																																																												BgL_restz00_30066;
																																																											BgL_effectz00_1821
																																																												=
																																																												BgL_effectz00_30065;
																																																											goto
																																																												BgL_tagzd2392zd2_1823;
																																																										}
																																																										BgL_auxz00_25162
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_30064);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_30073;
																																																											goto
																																																												BgL_tagzd2393zd2_1824;
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_30073);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_30080;
																																																													goto
																																																														BgL_tagzd2394zd2_1825;
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_30080);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg6999z00_9032;
																																																															obj_t
																																																																BgL_arg7000z00_9033;
																																																															BgL_arg6999z00_9032
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd258566zd2_9020));
																																																															BgL_arg7000z00_9033
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd258566zd2_9020));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_30091;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_30093;
																																																																	obj_t
																																																																		BgL_effectz00_30092;
																																																																	BgL_effectz00_30092
																																																																		=
																																																																		BgL_arg6999z00_9032;
																																																																	BgL_restz00_30093
																																																																		=
																																																																		BgL_arg7000z00_9033;
																																																																	BgL_restz00_1827
																																																																		=
																																																																		BgL_restz00_30093;
																																																																	BgL_effectz00_1826
																																																																		=
																																																																		BgL_effectz00_30092;
																																																																	goto
																																																																		BgL_tagzd2395zd2_1828;
																																																																}
																																																																BgL_auxz00_25162
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_30091);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_30100;
																																																																	goto
																																																																		BgL_tagzd2396zd2_1829;
																																																																	BgL_auxz00_25162
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_30100);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_30107;
																																																																			goto
																																																																				BgL_tagzd2397zd2_1830;
																																																																			BgL_auxz00_25162
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_30107);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																				{
																																																																					BgL_letzd2funzd2_bglt
																																																																						BgL_auxz00_30114;
																																																																					goto
																																																																						BgL_tagzd2398zd2_1831;
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_30114);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																						{
																																																																							BgL_jumpzd2exzd2itz00_bglt
																																																																								BgL_auxz00_30121;
																																																																							goto
																																																																								BgL_tagzd2399zd2_1832;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_30121);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd258643zd2_9042;
																																																																							BgL_cdrzd258643zd2_9042
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg7011z00_9045;
																																																																									obj_t
																																																																										BgL_arg7012z00_9046;
																																																																									BgL_arg7011z00_9045
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd258643zd2_9042));
																																																																									BgL_arg7012z00_9046
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd258643zd2_9042));
																																																																									{	/* Ast/sexp.scm 564 */
																																																																										obj_t
																																																																											BgL_arg7616z00_14204;
																																																																										BgL_arg7616z00_14204
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_expz00_21,
																																																																											BgL_locz00_23);
																																																																										BgL_auxz00_25162
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																											(BgL_expz00_21,
																																																																												BgL_arg7011z00_9045,
																																																																												CNST_TABLE_REF
																																																																												(((long) 4)), BgL_arg7012z00_9046, BgL_stackz00_22, BgL_arg7616z00_14204, BgL_sitez00_24));
																																																																								}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_30140;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_30140);
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 119 */
																									obj_t BgL_carzd258668zd2_9063;

																									BgL_carzd258668zd2_9063 =
																										CAR(
																										((obj_t) BgL_expz00_21));
																									if (
																										(BgL_carzd258668zd2_9063 ==
																											CNST_TABLE_REF(((long)
																													1))))
																										{
																											BgL_nodez00_bglt
																												BgL_auxz00_30147;
																											goto
																												BgL_tagzd2377zd2_1784;
																											BgL_auxz00_25162 =
																												((obj_t)
																												BgL_auxz00_30147);
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											if (
																												(BgL_carzd258668zd2_9063
																													==
																													BGl_za2ifza2z00zzast_sexpz00))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_30151;
																													goto
																														BgL_tagzd2377zd2_1784;
																													BgL_auxz00_25162 =
																														((obj_t)
																														BgL_auxz00_30151);
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													if (
																														(CAR(
																																((obj_t)
																																	BgL_expz00_21))
																															==
																															CNST_TABLE_REF((
																																	(long) 7))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_30158;
																															goto
																																BgL_tagzd2379zd2_1788;
																															BgL_auxz00_25162 =
																																((obj_t)
																																BgL_auxz00_30158);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			16))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_30165;
																																	goto
																																		BgL_tagzd2380zd2_1789;
																																	BgL_auxz00_25162
																																		=
																																		((obj_t)
																																		BgL_auxz00_30165);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd258753zd2_9069;
																																	BgL_carzd258753zd2_9069
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (PAIRP
																																		(BgL_carzd258753zd2_9069))
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd258756zd2_9071;
																																			obj_t
																																				BgL_cdrzd258757zd2_9072;
																																			BgL_carzd258756zd2_9071
																																				=
																																				CAR
																																				(BgL_carzd258753zd2_9069);
																																			BgL_cdrzd258757zd2_9072
																																				=
																																				CDR
																																				(BgL_carzd258753zd2_9069);
																																			{

																																				if (
																																					(BgL_carzd258756zd2_9071
																																						==
																																						CNST_TABLE_REF
																																						(((long) 18))))
																																					{	/* Ast/sexp.scm 119 */
																																					BgL_kapzd258758zd2_9073:
																																						if (PAIRP(BgL_cdrzd258757zd2_9072))
																																							{	/* Ast/sexp.scm 119 */
																																								obj_t
																																									BgL_cdrzd258761zd2_9189;
																																								BgL_cdrzd258761zd2_9189
																																									=
																																									CDR
																																									(BgL_cdrzd258757zd2_9072);
																																								if (PAIRP(BgL_cdrzd258761zd2_9189))
																																									{	/* Ast/sexp.scm 119 */
																																										if (NULLP(CDR(BgL_cdrzd258761zd2_9189)))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_arg7111z00_9193;
																																												obj_t
																																													BgL_arg7112z00_9194;
																																												BgL_arg7111z00_9193
																																													=
																																													CAR
																																													(BgL_cdrzd258761zd2_9189);
																																												BgL_arg7112z00_9194
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_30187;
																																													{
																																														obj_t
																																															BgL_argsz00_30189;
																																														obj_t
																																															BgL_bodyz00_30188;
																																														BgL_bodyz00_30188
																																															=
																																															BgL_arg7111z00_9193;
																																														BgL_argsz00_30189
																																															=
																																															BgL_arg7112z00_9194;
																																														BgL_argsz00_1794
																																															=
																																															BgL_argsz00_30189;
																																														BgL_bodyz00_1793
																																															=
																																															BgL_bodyz00_30188;
																																														goto
																																															BgL_tagzd2382zd2_1795;
																																													}
																																													BgL_auxz00_25162
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_30187);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test10340z00_30191;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg7176z00_9300;
																																													BgL_arg7176z00_9300
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test10340z00_30191
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg7176z00_9300));
																																												}
																																												if (BgL_test10340z00_30191)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_30196;
																																														goto
																																															BgL_tagzd2385zd2_1800;
																																														BgL_auxz00_25162
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_30196);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_carzd258839zd2_9197;
																																														BgL_carzd258839zd2_9197
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd258844zd2_9198;
																																															BgL_cdrzd258844zd2_9198
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd258839zd2_9197));
																																															if ((CAR(((obj_t) BgL_carzd258839zd2_9197)) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg7117z00_9201;
																																																	obj_t
																																																		BgL_arg7118z00_9202;
																																																	obj_t
																																																		BgL_arg7119z00_9203;
																																																	BgL_arg7117z00_9201
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd258844zd2_9198));
																																																	BgL_arg7118z00_9202
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd258844zd2_9198));
																																																	BgL_arg7119z00_9203
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_30213;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_30216;
																																																			obj_t
																																																				BgL_bodyz00_30215;
																																																			obj_t
																																																				BgL_varsz00_30214;
																																																			BgL_varsz00_30214
																																																				=
																																																				BgL_arg7117z00_9201;
																																																			BgL_bodyz00_30215
																																																				=
																																																				BgL_arg7118z00_9202;
																																																			BgL_argsz00_30216
																																																				=
																																																				BgL_arg7119z00_9203;
																																																			BgL_argsz00_1807
																																																				=
																																																				BgL_argsz00_30216;
																																																			BgL_bodyz00_1806
																																																				=
																																																				BgL_bodyz00_30215;
																																																			BgL_varsz00_1805
																																																				=
																																																				BgL_varsz00_30214;
																																																			goto
																																																				BgL_tagzd2387zd2_1808;
																																																		}
																																																		BgL_auxz00_25162
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_30213);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd258867zd2_9205;
																																																	BgL_cdrzd258867zd2_9205
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd258873zd2_9206;
																																																		BgL_cdrzd258873zd2_9206
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_carzd258839zd2_9197));
																																																		if ((CAR(((obj_t) BgL_carzd258839zd2_9197)) == CNST_TABLE_REF(((long) 1))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd258879zd2_9209;
																																																				BgL_cdrzd258879zd2_9209
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd258873zd2_9206));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd258884zd2_9210;
																																																					obj_t
																																																						BgL_cdrzd258885zd2_9211;
																																																					BgL_carzd258884zd2_9210
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd258879zd2_9209));
																																																					BgL_cdrzd258885zd2_9211
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd258879zd2_9209));
																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258884zd2_9210))
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (PAIRP(BgL_cdrzd258885zd2_9211))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd258892zd2_9214;
																																																									BgL_carzd258892zd2_9214
																																																										=
																																																										CAR
																																																										(BgL_cdrzd258885zd2_9211);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258892zd2_9214))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (NULLP(CDR(BgL_cdrzd258885zd2_9211)))
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test10347z00_30243;
																																																													{
																																																														obj_t
																																																															BgL_l1482z00_9247;
																																																														BgL_l1482z00_9247
																																																															=
																																																															BgL_cdrzd258867zd2_9205;
																																																													BgL_zc3z04anonymousza37142ze3z87_9248:
																																																														if (NULLP(BgL_l1482z00_9247))
																																																															{	/* Ast/sexp.scm 119 */
																																																																BgL_test10347z00_30243
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	1);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																bool_t
																																																																	BgL_test10349z00_30246;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	bool_t
																																																																		BgL_test10350z00_30247;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_tmpz00_30248;
																																																																		BgL_tmpz00_30248
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_l1482z00_9247));
																																																																		BgL_test10350z00_30247
																																																																			=
																																																																			PAIRP
																																																																			(BgL_tmpz00_30248);
																																																																	}
																																																																	if (BgL_test10350z00_30247)
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			BgL_test10349z00_30246
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			BgL_test10349z00_30246
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				1);
																																																																		}
																																																																}
																																																																if (BgL_test10349z00_30246)
																																																																	{
																																																																		obj_t
																																																																			BgL_l1482z00_30252;
																																																																		BgL_l1482z00_30252
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_l1482z00_9247));
																																																																		BgL_l1482z00_9247
																																																																			=
																																																																			BgL_l1482z00_30252;
																																																																		goto
																																																																			BgL_zc3z04anonymousza37142ze3z87_9248;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test10347z00_30243
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			0);
																																																																	}
																																																															}
																																																													}
																																																													if (BgL_test10347z00_30243)
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg7132z00_9230;
																																																															BgL_arg7132z00_9230
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd258873zd2_9206));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_30257;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_30261;
																																																																	obj_t
																																																																		BgL_proc2z00_30260;
																																																																	obj_t
																																																																		BgL_proc1z00_30259;
																																																																	obj_t
																																																																		BgL_testz00_30258;
																																																																	BgL_testz00_30258
																																																																		=
																																																																		BgL_arg7132z00_9230;
																																																																	BgL_proc1z00_30259
																																																																		=
																																																																		BgL_carzd258884zd2_9210;
																																																																	BgL_proc2z00_30260
																																																																		=
																																																																		BgL_carzd258892zd2_9214;
																																																																	BgL_argsz00_30261
																																																																		=
																																																																		BgL_cdrzd258867zd2_9205;
																																																																	BgL_argsz00_1812
																																																																		=
																																																																		BgL_argsz00_30261;
																																																																	BgL_proc2z00_1811
																																																																		=
																																																																		BgL_proc2z00_30260;
																																																																	BgL_proc1z00_1810
																																																																		=
																																																																		BgL_proc1z00_30259;
																																																																	BgL_testz00_1809
																																																																		=
																																																																		BgL_testz00_30258;
																																																																	goto
																																																																		BgL_tagzd2388zd2_1813;
																																																																}
																																																																BgL_auxz00_25162
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_30257);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd258916zd2_9231;
																																																															BgL_cdrzd258916zd2_9231
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd258923zd2_9232;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_14236;
																																																																	BgL_pairz00_14236
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd258923zd2_9232
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_14236);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd258930zd2_9233;
																																																																	BgL_cdrzd258930zd2_9233
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd258923zd2_9232));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd258936zd2_9234;
																																																																		BgL_carzd258936zd2_9234
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd258930zd2_9233));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258936zd2_9234))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd258943zd2_9236;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_14240;
																																																																					BgL_pairz00_14240
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd258930zd2_9233));
																																																																					BgL_carzd258943zd2_9236
																																																																						=
																																																																						CAR
																																																																						(BgL_pairz00_14240);
																																																																				}
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258943zd2_9236))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd258916zd2_9231))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg7136z00_9239;
																																																																								BgL_arg7136z00_9239
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd258923zd2_9232));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_30283;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_30287;
																																																																										obj_t
																																																																											BgL_proc2z00_30286;
																																																																										obj_t
																																																																											BgL_proc1z00_30285;
																																																																										obj_t
																																																																											BgL_testz00_30284;
																																																																										BgL_testz00_30284
																																																																											=
																																																																											BgL_arg7136z00_9239;
																																																																										BgL_proc1z00_30285
																																																																											=
																																																																											BgL_carzd258936zd2_9234;
																																																																										BgL_proc2z00_30286
																																																																											=
																																																																											BgL_carzd258943zd2_9236;
																																																																										BgL_argsz00_30287
																																																																											=
																																																																											BgL_cdrzd258916zd2_9231;
																																																																										BgL_argsz00_1817
																																																																											=
																																																																											BgL_argsz00_30287;
																																																																										BgL_proc2z00_1816
																																																																											=
																																																																											BgL_proc2z00_30286;
																																																																										BgL_proc1z00_1815
																																																																											=
																																																																											BgL_proc1z00_30285;
																																																																										BgL_testz00_1814
																																																																											=
																																																																											BgL_testz00_30284;
																																																																										goto
																																																																											BgL_tagzd2389zd2_1818;
																																																																									}
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_30283);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_30291;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_25162
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_30291);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_30295;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_25162
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_30295);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_30299;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_25162
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_30299);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_30303;
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																															BgL_auxz00_25162
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_30303);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd259219zd2_9258;
																																																											BgL_cdrzd259219zd2_9258
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd259225zd2_9259;
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_pairz00_14244;
																																																													BgL_pairz00_14244
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd259225zd2_9259
																																																														=
																																																														CDR
																																																														(BgL_pairz00_14244);
																																																												}
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd259231zd2_9260;
																																																													BgL_cdrzd259231zd2_9260
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd259225zd2_9259));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd259236zd2_9261;
																																																														obj_t
																																																															BgL_cdrzd259237zd2_9262;
																																																														BgL_carzd259236zd2_9261
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd259231zd2_9260));
																																																														BgL_cdrzd259237zd2_9262
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd259231zd2_9260));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259236zd2_9261))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd259242zd2_9264;
																																																																BgL_carzd259242zd2_9264
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd259237zd2_9262));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259242zd2_9264))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd259237zd2_9262))))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd259219zd2_9258))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg7151z00_9269;
																																																																						BgL_arg7151z00_9269
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd259225zd2_9259));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_30330;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_30334;
																																																																								obj_t
																																																																									BgL_proc2z00_30333;
																																																																								obj_t
																																																																									BgL_proc1z00_30332;
																																																																								obj_t
																																																																									BgL_testz00_30331;
																																																																								BgL_testz00_30331
																																																																									=
																																																																									BgL_arg7151z00_9269;
																																																																								BgL_proc1z00_30332
																																																																									=
																																																																									BgL_carzd259236zd2_9261;
																																																																								BgL_proc2z00_30333
																																																																									=
																																																																									BgL_carzd259242zd2_9264;
																																																																								BgL_argsz00_30334
																																																																									=
																																																																									BgL_cdrzd259219zd2_9258;
																																																																								BgL_argsz00_1817
																																																																									=
																																																																									BgL_argsz00_30334;
																																																																								BgL_proc2z00_1816
																																																																									=
																																																																									BgL_proc2z00_30333;
																																																																								BgL_proc1z00_1815
																																																																									=
																																																																									BgL_proc1z00_30332;
																																																																								BgL_testz00_1814
																																																																									=
																																																																									BgL_testz00_30331;
																																																																								goto
																																																																									BgL_tagzd2389zd2_1818;
																																																																							}
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_30330);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_30338;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_25162
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_30338);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_30342;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_25162
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_30342);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_30346;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_25162
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_30346);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_30350;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_25162
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_30350);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2404zd2_1842;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_30354;
																																																											goto
																																																												BgL_tagzd2405zd2_1843;
																																																											BgL_auxz00_25162
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_30354);
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd259575zd2_9277;
																																																							BgL_cdrzd259575zd2_9277
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd259582zd2_9278;
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_pairz00_14253;
																																																									BgL_pairz00_14253
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdrzd259582zd2_9278
																																																										=
																																																										CDR
																																																										(BgL_pairz00_14253);
																																																								}
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd259589zd2_9279;
																																																									BgL_cdrzd259589zd2_9279
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd259582zd2_9278));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_carzd259595zd2_9280;
																																																										obj_t
																																																											BgL_cdrzd259596zd2_9281;
																																																										BgL_carzd259595zd2_9280
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd259589zd2_9279));
																																																										BgL_cdrzd259596zd2_9281
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd259589zd2_9279));
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259595zd2_9280))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd259596zd2_9281))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd259603zd2_9284;
																																																														BgL_carzd259603zd2_9284
																																																															=
																																																															CAR
																																																															(BgL_cdrzd259596zd2_9281);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259603zd2_9284))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (NULLP(CDR(BgL_cdrzd259596zd2_9281)))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd259575zd2_9277))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg7165z00_9289;
																																																																				BgL_arg7165z00_9289
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd259582zd2_9278));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_30381;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_30385;
																																																																						obj_t
																																																																							BgL_proc2z00_30384;
																																																																						obj_t
																																																																							BgL_proc1z00_30383;
																																																																						obj_t
																																																																							BgL_testz00_30382;
																																																																						BgL_testz00_30382
																																																																							=
																																																																							BgL_arg7165z00_9289;
																																																																						BgL_proc1z00_30383
																																																																							=
																																																																							BgL_carzd259595zd2_9280;
																																																																						BgL_proc2z00_30384
																																																																							=
																																																																							BgL_carzd259603zd2_9284;
																																																																						BgL_argsz00_30385
																																																																							=
																																																																							BgL_cdrzd259575zd2_9277;
																																																																						BgL_argsz00_1817
																																																																							=
																																																																							BgL_argsz00_30385;
																																																																						BgL_proc2z00_1816
																																																																							=
																																																																							BgL_proc2z00_30384;
																																																																						BgL_proc1z00_1815
																																																																							=
																																																																							BgL_proc1z00_30383;
																																																																						BgL_testz00_1814
																																																																							=
																																																																							BgL_testz00_30382;
																																																																						goto
																																																																							BgL_tagzd2389zd2_1818;
																																																																					}
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_30381);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_30389;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_25162
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_30389);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_30393;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_25162
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_30393);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_30397;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_25162
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_30397);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_30401;
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																																BgL_auxz00_25162
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_30401);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1842;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_30405;
																																																														goto
																																																															BgL_tagzd2405zd2_1843;
																																																														BgL_auxz00_25162
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_30405);
																																																													}
																																																											}
																																																									}
																																																								}
																																																							}
																																																						}
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_tagzd2404zd2_1842;
																																																					}
																																																				else
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_30409;
																																																						goto
																																																							BgL_tagzd2405zd2_1843;
																																																						BgL_auxz00_25162
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_30409);
																																																					}
																																																			}
																																																	}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test10378z00_30411;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg7187z00_9313;
																																											BgL_arg7187z00_9313
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test10378z00_30411
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg7187z00_9313));
																																										}
																																										if (BgL_test10378z00_30411)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_30416;
																																												goto
																																													BgL_tagzd2385zd2_1800;
																																												BgL_auxz00_25162
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_30416);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_carzd260049zd2_9304;
																																												BgL_carzd260049zd2_9304
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd260054zd2_9305;
																																													BgL_cdrzd260054zd2_9305
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_carzd260049zd2_9304));
																																													if ((CAR(((obj_t) BgL_carzd260049zd2_9304)) == CNST_TABLE_REF(((long) 3))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg7182z00_9308;
																																															obj_t
																																																BgL_arg7183z00_9309;
																																															obj_t
																																																BgL_arg7184z00_9310;
																																															BgL_arg7182z00_9308
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd260054zd2_9305));
																																															BgL_arg7183z00_9309
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd260054zd2_9305));
																																															BgL_arg7184z00_9310
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_30433;
																																																{
																																																	obj_t
																																																		BgL_argsz00_30436;
																																																	obj_t
																																																		BgL_bodyz00_30435;
																																																	obj_t
																																																		BgL_varsz00_30434;
																																																	BgL_varsz00_30434
																																																		=
																																																		BgL_arg7182z00_9308;
																																																	BgL_bodyz00_30435
																																																		=
																																																		BgL_arg7183z00_9309;
																																																	BgL_argsz00_30436
																																																		=
																																																		BgL_arg7184z00_9310;
																																																	BgL_argsz00_1807
																																																		=
																																																		BgL_argsz00_30436;
																																																	BgL_bodyz00_1806
																																																		=
																																																		BgL_bodyz00_30435;
																																																	BgL_varsz00_1805
																																																		=
																																																		BgL_varsz00_30434;
																																																	goto
																																																		BgL_tagzd2387zd2_1808;
																																																}
																																																BgL_auxz00_25162
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_30433);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																{	/* Ast/sexp.scm 119 */
																																																	goto
																																																		BgL_tagzd2404zd2_1842;
																																																}
																																															else
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_30440;
																																																	goto
																																																		BgL_tagzd2405zd2_1843;
																																																	BgL_auxz00_25162
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_30440);
																																																}
																																														}
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								bool_t
																																									BgL_test10381z00_30442;
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg7191z00_9317;
																																									BgL_arg7191z00_9317
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									BgL_test10381z00_30442
																																										=
																																										CBOOL
																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																										(BgL_arg7191z00_9317));
																																								}
																																								if (BgL_test10381z00_30442)
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_30447;
																																										goto
																																											BgL_tagzd2385zd2_1800;
																																										BgL_auxz00_25162
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_30447);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_tagzd2404zd2_1842;
																																											}
																																										else
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_30451;
																																												goto
																																													BgL_tagzd2405zd2_1843;
																																												BgL_auxz00_25162
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_30451);
																																											}
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 119 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd258756zd2_9071)))
																																							{	/* Ast/sexp.scm 119 */
																																								goto
																																									BgL_kapzd258758zd2_9073;
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if ((BgL_carzd258756zd2_9071 == CNST_TABLE_REF(((long) 19))))
																																									{	/* Ast/sexp.scm 119 */
																																										goto
																																											BgL_kapzd258758zd2_9073;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd258756zd2_9071 == CNST_TABLE_REF(((long) 20))))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_kapzd258758zd2_9073;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd258756zd2_9071)))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd258758zd2_9073;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test10387z00_30465;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg7106z00_9187;
																																															BgL_arg7106z00_9187
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test10387z00_30465
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg7106z00_9187));
																																														}
																																														if (BgL_test10387z00_30465)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_30470;
																																																goto
																																																	BgL_tagzd2385zd2_1800;
																																																BgL_auxz00_25162
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_30470);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd260377zd2_9078;
																																																BgL_carzd260377zd2_9078
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd260382zd2_9079;
																																																	BgL_cdrzd260382zd2_9079
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd260377zd2_9078));
																																																	if ((CAR(((obj_t) BgL_carzd260377zd2_9078)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (PAIRP(BgL_cdrzd260382zd2_9079))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg7042z00_9083;
																																																					obj_t
																																																						BgL_arg7043z00_9084;
																																																					obj_t
																																																						BgL_arg7044z00_9085;
																																																					BgL_arg7042z00_9083
																																																						=
																																																						CAR
																																																						(BgL_cdrzd260382zd2_9079);
																																																					BgL_arg7043z00_9084
																																																						=
																																																						CDR
																																																						(BgL_cdrzd260382zd2_9079);
																																																					BgL_arg7044z00_9085
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_30487;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_30490;
																																																							obj_t
																																																								BgL_bodyz00_30489;
																																																							obj_t
																																																								BgL_varsz00_30488;
																																																							BgL_varsz00_30488
																																																								=
																																																								BgL_arg7042z00_9083;
																																																							BgL_bodyz00_30489
																																																								=
																																																								BgL_arg7043z00_9084;
																																																							BgL_argsz00_30490
																																																								=
																																																								BgL_arg7044z00_9085;
																																																							BgL_argsz00_1807
																																																								=
																																																								BgL_argsz00_30490;
																																																							BgL_bodyz00_1806
																																																								=
																																																								BgL_bodyz00_30489;
																																																							BgL_varsz00_1805
																																																								=
																																																								BgL_varsz00_30488;
																																																							goto
																																																								BgL_tagzd2387zd2_1808;
																																																						}
																																																						BgL_auxz00_25162
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_30487);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2404zd2_1842;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_30494;
																																																							goto
																																																								BgL_tagzd2405zd2_1843;
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_30494);
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd260489zd2_9088;
																																																			BgL_cdrzd260489zd2_9088
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd260494zd2_9089;
																																																				BgL_cdrzd260494zd2_9089
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd260377zd2_9078));
																																																				if ((CAR(((obj_t) BgL_carzd260377zd2_9078)) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (PAIRP(BgL_cdrzd260494zd2_9089))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd260499zd2_9093;
																																																								BgL_cdrzd260499zd2_9093
																																																									=
																																																									CDR
																																																									(BgL_cdrzd260494zd2_9089);
																																																								if (PAIRP(BgL_cdrzd260499zd2_9093))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_carzd260503zd2_9095;
																																																										obj_t
																																																											BgL_cdrzd260504zd2_9096;
																																																										BgL_carzd260503zd2_9095
																																																											=
																																																											CAR
																																																											(BgL_cdrzd260499zd2_9093);
																																																										BgL_cdrzd260504zd2_9096
																																																											=
																																																											CDR
																																																											(BgL_cdrzd260499zd2_9093);
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260503zd2_9095))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd260504zd2_9096))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd260509zd2_9099;
																																																														BgL_carzd260509zd2_9099
																																																															=
																																																															CAR
																																																															(BgL_cdrzd260504zd2_9096);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260509zd2_9099))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (NULLP(CDR(BgL_cdrzd260504zd2_9096)))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		bool_t
																																																																			BgL_test10398z00_30522;
																																																																		{
																																																																			obj_t
																																																																				BgL_l1485z00_9132;
																																																																			BgL_l1485z00_9132
																																																																				=
																																																																				BgL_cdrzd260489zd2_9088;
																																																																		BgL_zc3z04anonymousza37070ze3z87_9133:
																																																																			if (NULLP(BgL_l1485z00_9132))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test10398z00_30522
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test10400z00_30525;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test10401z00_30526;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_tmpz00_30527;
																																																																							BgL_tmpz00_30527
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_l1485z00_9132));
																																																																							BgL_test10401z00_30526
																																																																								=
																																																																								PAIRP
																																																																								(BgL_tmpz00_30527);
																																																																						}
																																																																						if (BgL_test10401z00_30526)
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test10400z00_30525
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test10400z00_30525
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																					}
																																																																					if (BgL_test10400z00_30525)
																																																																						{
																																																																							obj_t
																																																																								BgL_l1485z00_30531;
																																																																							BgL_l1485z00_30531
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_l1485z00_9132));
																																																																							BgL_l1485z00_9132
																																																																								=
																																																																								BgL_l1485z00_30531;
																																																																							goto
																																																																								BgL_zc3z04anonymousza37070ze3z87_9133;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test10398z00_30522
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																				}
																																																																		}
																																																																		if (BgL_test10398z00_30522)
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg7060z00_9115;
																																																																				BgL_arg7060z00_9115
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd260494zd2_9089);
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_30535;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_30539;
																																																																						obj_t
																																																																							BgL_proc2z00_30538;
																																																																						obj_t
																																																																							BgL_proc1z00_30537;
																																																																						obj_t
																																																																							BgL_testz00_30536;
																																																																						BgL_testz00_30536
																																																																							=
																																																																							BgL_arg7060z00_9115;
																																																																						BgL_proc1z00_30537
																																																																							=
																																																																							BgL_carzd260503zd2_9095;
																																																																						BgL_proc2z00_30538
																																																																							=
																																																																							BgL_carzd260509zd2_9099;
																																																																						BgL_argsz00_30539
																																																																							=
																																																																							BgL_cdrzd260489zd2_9088;
																																																																						BgL_argsz00_1812
																																																																							=
																																																																							BgL_argsz00_30539;
																																																																						BgL_proc2z00_1811
																																																																							=
																																																																							BgL_proc2z00_30538;
																																																																						BgL_proc1z00_1810
																																																																							=
																																																																							BgL_proc1z00_30537;
																																																																						BgL_testz00_1809
																																																																							=
																																																																							BgL_testz00_30536;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1813;
																																																																					}
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_30535);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd260534zd2_9116;
																																																																				BgL_cdrzd260534zd2_9116
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd260542zd2_9117;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_14289;
																																																																						BgL_pairz00_14289
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd260542zd2_9117
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_14289);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd260550zd2_9118;
																																																																						BgL_cdrzd260550zd2_9118
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd260542zd2_9117));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd260557zd2_9119;
																																																																							BgL_carzd260557zd2_9119
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd260550zd2_9118));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260557zd2_9119))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd260566zd2_9121;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_14293;
																																																																										BgL_pairz00_14293
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd260550zd2_9118));
																																																																										BgL_carzd260566zd2_9121
																																																																											=
																																																																											CAR
																																																																											(BgL_pairz00_14293);
																																																																									}
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260566zd2_9121))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd260534zd2_9116))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg7064z00_9124;
																																																																													BgL_arg7064z00_9124
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd260542zd2_9117));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_30561;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_30565;
																																																																															obj_t
																																																																																BgL_proc2z00_30564;
																																																																															obj_t
																																																																																BgL_proc1z00_30563;
																																																																															obj_t
																																																																																BgL_testz00_30562;
																																																																															BgL_testz00_30562
																																																																																=
																																																																																BgL_arg7064z00_9124;
																																																																															BgL_proc1z00_30563
																																																																																=
																																																																																BgL_carzd260557zd2_9119;
																																																																															BgL_proc2z00_30564
																																																																																=
																																																																																BgL_carzd260566zd2_9121;
																																																																															BgL_argsz00_30565
																																																																																=
																																																																																BgL_cdrzd260534zd2_9116;
																																																																															BgL_argsz00_1817
																																																																																=
																																																																																BgL_argsz00_30565;
																																																																															BgL_proc2z00_1816
																																																																																=
																																																																																BgL_proc2z00_30564;
																																																																															BgL_proc1z00_1815
																																																																																=
																																																																																BgL_proc1z00_30563;
																																																																															BgL_testz00_1814
																																																																																=
																																																																																BgL_testz00_30562;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1818;
																																																																														}
																																																																														BgL_auxz00_25162
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_30561);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_30569;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_25162
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_30569);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_30573;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_30573);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_30577;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_30577);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_30581;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_25162
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_30581);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd260844zd2_9143;
																																																																BgL_cdrzd260844zd2_9143
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd260851zd2_9144;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_14297;
																																																																		BgL_pairz00_14297
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd260851zd2_9144
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_14297);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd260858zd2_9145;
																																																																		BgL_cdrzd260858zd2_9145
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd260851zd2_9144));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd260864zd2_9146;
																																																																			obj_t
																																																																				BgL_cdrzd260865zd2_9147;
																																																																			BgL_carzd260864zd2_9146
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd260858zd2_9145));
																																																																			BgL_cdrzd260865zd2_9147
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd260858zd2_9145));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260864zd2_9146))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd260872zd2_9149;
																																																																					BgL_carzd260872zd2_9149
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd260865zd2_9147));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260872zd2_9149))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(((obj_t) BgL_cdrzd260865zd2_9147))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd260844zd2_9143))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg7079z00_9154;
																																																																											BgL_arg7079z00_9154
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd260851zd2_9144));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_30608;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_30612;
																																																																													obj_t
																																																																														BgL_proc2z00_30611;
																																																																													obj_t
																																																																														BgL_proc1z00_30610;
																																																																													obj_t
																																																																														BgL_testz00_30609;
																																																																													BgL_testz00_30609
																																																																														=
																																																																														BgL_arg7079z00_9154;
																																																																													BgL_proc1z00_30610
																																																																														=
																																																																														BgL_carzd260864zd2_9146;
																																																																													BgL_proc2z00_30611
																																																																														=
																																																																														BgL_carzd260872zd2_9149;
																																																																													BgL_argsz00_30612
																																																																														=
																																																																														BgL_cdrzd260844zd2_9143;
																																																																													BgL_argsz00_1817
																																																																														=
																																																																														BgL_argsz00_30612;
																																																																													BgL_proc2z00_1816
																																																																														=
																																																																														BgL_proc2z00_30611;
																																																																													BgL_proc1z00_1815
																																																																														=
																																																																														BgL_proc1z00_30610;
																																																																													BgL_testz00_1814
																																																																														=
																																																																														BgL_testz00_30609;
																																																																													goto
																																																																														BgL_tagzd2389zd2_1818;
																																																																												}
																																																																												BgL_auxz00_25162
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_30608);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_30616;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_25162
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_30616);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_30620;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_30620);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_30624;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_30624);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_30628;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_30628);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_30632;
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																																BgL_auxz00_25162
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_30632);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd261205zd2_9162;
																																																												BgL_cdrzd261205zd2_9162
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd261211zd2_9163;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_pairz00_14306;
																																																														BgL_pairz00_14306
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_cdrzd261211zd2_9163
																																																															=
																																																															CDR
																																																															(BgL_pairz00_14306);
																																																													}
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd261217zd2_9164;
																																																														BgL_cdrzd261217zd2_9164
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd261211zd2_9163));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd261222zd2_9165;
																																																															obj_t
																																																																BgL_cdrzd261223zd2_9166;
																																																															BgL_carzd261222zd2_9165
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd261217zd2_9164));
																																																															BgL_cdrzd261223zd2_9166
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd261217zd2_9164));
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd261222zd2_9165))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (PAIRP(BgL_cdrzd261223zd2_9166))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd261228zd2_9169;
																																																																			BgL_carzd261228zd2_9169
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd261223zd2_9166);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd261228zd2_9169))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (NULLP(CDR(BgL_cdrzd261223zd2_9166)))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd261205zd2_9162))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg7093z00_9174;
																																																																									BgL_arg7093z00_9174
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd261211zd2_9163));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_30659;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_30663;
																																																																											obj_t
																																																																												BgL_proc2z00_30662;
																																																																											obj_t
																																																																												BgL_proc1z00_30661;
																																																																											obj_t
																																																																												BgL_testz00_30660;
																																																																											BgL_testz00_30660
																																																																												=
																																																																												BgL_arg7093z00_9174;
																																																																											BgL_proc1z00_30661
																																																																												=
																																																																												BgL_carzd261222zd2_9165;
																																																																											BgL_proc2z00_30662
																																																																												=
																																																																												BgL_carzd261228zd2_9169;
																																																																											BgL_argsz00_30663
																																																																												=
																																																																												BgL_cdrzd261205zd2_9162;
																																																																											BgL_argsz00_1817
																																																																												=
																																																																												BgL_argsz00_30663;
																																																																											BgL_proc2z00_1816
																																																																												=
																																																																												BgL_proc2z00_30662;
																																																																											BgL_proc1z00_1815
																																																																												=
																																																																												BgL_proc1z00_30661;
																																																																											BgL_testz00_1814
																																																																												=
																																																																												BgL_testz00_30660;
																																																																											goto
																																																																												BgL_tagzd2389zd2_1818;
																																																																										}
																																																																										BgL_auxz00_25162
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_30659);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_30667;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_25162
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_30667);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_30671;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_25162
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_30671);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_30675;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																							BgL_auxz00_25162
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_30675);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_30679;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																					BgL_auxz00_25162
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_30679);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_30683;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																			BgL_auxz00_25162
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_30683);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2404zd2_1842;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_30687;
																																																												goto
																																																													BgL_tagzd2405zd2_1843;
																																																												BgL_auxz00_25162
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_30687);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2404zd2_1842;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_30691;
																																																										goto
																																																											BgL_tagzd2405zd2_1843;
																																																										BgL_auxz00_25162
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_30691);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2404zd2_1842;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_30695;
																																																								goto
																																																									BgL_tagzd2405zd2_1843;
																																																								BgL_auxz00_25162
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_30695);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(BgL_carzd258753zd2_9069
																																					==
																																					CNST_TABLE_REF
																																					(((long) 21))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_30700;
																																					goto
																																						BgL_tagzd2384zd2_1799;
																																					BgL_auxz00_25162
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_30700);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd261790zd2_9320;
																																					BgL_carzd261790zd2_9320
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd261790zd2_9320
																																							==
																																							CNST_TABLE_REF
																																							(((long) 20))))
																																						{
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_30707;
																																							goto
																																								BgL_tagzd2385zd2_1800;
																																							BgL_auxz00_25162
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_30707);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd261790zd2_9320)))
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_30712;
																																									goto
																																										BgL_tagzd2385zd2_1800;
																																									BgL_auxz00_25162
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_30712);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_30719;
																																											goto
																																												BgL_tagzd2390zd2_1819;
																																											BgL_auxz00_25162
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_30719);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_30726;
																																													goto
																																														BgL_tagzd2391zd2_1820;
																																													BgL_auxz00_25162
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_30726);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_30733;
																																															goto
																																																BgL_tagzd2393zd2_1824;
																																															BgL_auxz00_25162
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_30733);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_30740;
																																																	goto
																																																		BgL_tagzd2394zd2_1825;
																																																	BgL_auxz00_25162
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_30740);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_30747;
																																																			goto
																																																				BgL_tagzd2396zd2_1829;
																																																			BgL_auxz00_25162
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_30747);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_30754;
																																																					goto
																																																						BgL_tagzd2397zd2_1830;
																																																					BgL_auxz00_25162
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_30754);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_30761;
																																																							goto
																																																								BgL_tagzd2398zd2_1831;
																																																							BgL_auxz00_25162
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_30761);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																								{
																																																									BgL_jumpzd2exzd2itz00_bglt
																																																										BgL_auxz00_30768;
																																																									goto
																																																										BgL_tagzd2399zd2_1832;
																																																									BgL_auxz00_25162
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_30768);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_30778;
																																																													goto
																																																														BgL_tagzd2403zd2_1841;
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_30778);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_30782;
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																															BgL_auxz00_25162
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_30782);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1842;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_30786;
																																																													goto
																																																														BgL_tagzd2405zd2_1843;
																																																													BgL_auxz00_25162
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_30786);
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_25162);
																						}
																					else
																						{	/* Ast/sexp.scm 119 */
																							if (
																								(BgL_carzd237949zd2_5626 ==
																									BGl_za2ifza2z00zzast_sexpz00))
																								{
																									obj_t BgL_auxz00_30791;

																									goto BgL_kapzd237951zd2_5628;
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_30791);
																								}
																							else
																								{	/* Ast/sexp.scm 119 */
																									bool_t BgL_test10447z00_30793;

																									{	/* Ast/sexp.scm 119 */
																										obj_t BgL_arg5475z00_6864;

																										BgL_arg5475z00_6864 =
																											CAR(
																											((obj_t) BgL_expz00_21));
																										BgL_test10447z00_30793 =
																											(BgL_arg5475z00_6864 ==
																											BGl_za2ifza2z00zzast_sexpz00);
																									}
																									if (BgL_test10447z00_30793)
																										{	/* Ast/sexp.scm 119 */
																											goto
																												BgL_tagzd2377zd2_1784;
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_cdrzd261962zd2_5632;
																											BgL_cdrzd261962zd2_5632 =
																												CDR(((obj_t)
																													BgL_expz00_21));
																											if ((CAR(((obj_t)
																															BgL_expz00_21)) ==
																													CNST_TABLE_REF(((long)
																															7))))
																												{	/* Ast/sexp.scm 119 */
																													if (PAIRP
																														(BgL_cdrzd261962zd2_5632))
																														{	/* Ast/sexp.scm 119 */
																															obj_t
																																BgL_carzd261965zd2_5636;
																															obj_t
																																BgL_cdrzd261966zd2_5637;
																															BgL_carzd261965zd2_5636
																																=
																																CAR
																																(BgL_cdrzd261962zd2_5632);
																															BgL_cdrzd261966zd2_5637
																																=
																																CDR
																																(BgL_cdrzd261962zd2_5632);
																															if (PAIRP
																																(BgL_carzd261965zd2_5636))
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR
																																			(BgL_carzd261965zd2_5636)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					14))))
																																		{	/* Ast/sexp.scm 119 */
																																			if (PAIRP
																																				(BgL_cdrzd261966zd2_5637))
																																				{	/* Ast/sexp.scm 119 */
																																					if (NULLP(CDR(BgL_cdrzd261966zd2_5637)))
																																						{
																																							obj_t
																																								BgL_valz00_30821;
																																							obj_t
																																								BgL_lz00_30819;
																																							BgL_lz00_30819
																																								=
																																								CDR
																																								(BgL_carzd261965zd2_5636);
																																							BgL_valz00_30821
																																								=
																																								CAR
																																								(BgL_cdrzd261966zd2_5637);
																																							BgL_valz00_1786
																																								=
																																								BgL_valz00_30821;
																																							BgL_lz00_1785
																																								=
																																								BgL_lz00_30819;
																																							goto
																																								BgL_tagzd2378zd2_1787;
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							goto
																																								BgL_tagzd2379zd2_1788;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					goto
																																						BgL_tagzd2379zd2_1788;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			goto
																																				BgL_tagzd2379zd2_1788;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	goto
																																		BgL_tagzd2379zd2_1788;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															goto
																																BgL_tagzd2379zd2_1788;
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													if (
																														(CAR(
																																((obj_t)
																																	BgL_expz00_21))
																															==
																															CNST_TABLE_REF((
																																	(long) 16))))
																														{	/* Ast/sexp.scm 119 */
																															goto
																																BgL_tagzd2380zd2_1789;
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			17))))
																																{	/* Ast/sexp.scm 119 */
																																	if (PAIRP
																																		(BgL_cdrzd261962zd2_5632))
																																		{
																																			obj_t
																																				BgL_exprz00_30837;
																																			obj_t
																																				BgL_bindingsz00_30835;
																																			BgL_bindingsz00_30835
																																				=
																																				CAR
																																				(BgL_cdrzd261962zd2_5632);
																																			BgL_exprz00_30837
																																				=
																																				CDR
																																				(BgL_cdrzd261962zd2_5632);
																																			BgL_exprz00_1791
																																				=
																																				BgL_exprz00_30837;
																																			BgL_bindingsz00_1790
																																				=
																																				BgL_bindingsz00_30835;
																																			goto
																																				BgL_tagzd2381zd2_1792;
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd262115zd2_5656;
																																			BgL_carzd262115zd2_5656
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (PAIRP
																																				(BgL_carzd262115zd2_5656))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd262118zd2_5658;
																																					obj_t
																																						BgL_cdrzd262119zd2_5659;
																																					BgL_carzd262118zd2_5658
																																						=
																																						CAR
																																						(BgL_carzd262115zd2_5656);
																																					BgL_cdrzd262119zd2_5659
																																						=
																																						CDR
																																						(BgL_carzd262115zd2_5656);
																																					{

																																						if (
																																							(BgL_carzd262118zd2_5658
																																								==
																																								CNST_TABLE_REF
																																								(((long) 18))))
																																							{
																																								obj_t
																																									BgL_auxz00_30848;
																																							BgL_kapzd262120zd2_5660:
																																								if (PAIRP(BgL_cdrzd262119zd2_5659))
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd262123zd2_5776;
																																										BgL_cdrzd262123zd2_5776
																																											=
																																											CDR
																																											(BgL_cdrzd262119zd2_5659);
																																										if (PAIRP(BgL_cdrzd262123zd2_5776))
																																											{	/* Ast/sexp.scm 119 */
																																												if (NULLP(CDR(BgL_cdrzd262123zd2_5776)))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg4738z00_5780;
																																														obj_t
																																															BgL_arg4739z00_5781;
																																														BgL_arg4738z00_5780
																																															=
																																															CAR
																																															(BgL_cdrzd262123zd2_5776);
																																														BgL_arg4739z00_5781
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_30860;
																																															{
																																																obj_t
																																																	BgL_argsz00_30862;
																																																obj_t
																																																	BgL_bodyz00_30861;
																																																BgL_bodyz00_30861
																																																	=
																																																	BgL_arg4738z00_5780;
																																																BgL_argsz00_30862
																																																	=
																																																	BgL_arg4739z00_5781;
																																																BgL_argsz00_1794
																																																	=
																																																	BgL_argsz00_30862;
																																																BgL_bodyz00_1793
																																																	=
																																																	BgL_bodyz00_30861;
																																																goto
																																																	BgL_tagzd2382zd2_1795;
																																															}
																																															BgL_auxz00_30848
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_30860);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test10462z00_30864;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4803z00_5887;
																																															BgL_arg4803z00_5887
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test10462z00_30864
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg4803z00_5887));
																																														}
																																														if (BgL_test10462z00_30864)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_30869;
																																																goto
																																																	BgL_tagzd2385zd2_1800;
																																																BgL_auxz00_30848
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_30869);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd262201zd2_5784;
																																																BgL_carzd262201zd2_5784
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd262206zd2_5785;
																																																	BgL_cdrzd262206zd2_5785
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd262201zd2_5784));
																																																	if ((CAR(((obj_t) BgL_carzd262201zd2_5784)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4744z00_5788;
																																																			obj_t
																																																				BgL_arg4745z00_5789;
																																																			obj_t
																																																				BgL_arg4746z00_5790;
																																																			BgL_arg4744z00_5788
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd262206zd2_5785));
																																																			BgL_arg4745z00_5789
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd262206zd2_5785));
																																																			BgL_arg4746z00_5790
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_30886;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_30889;
																																																					obj_t
																																																						BgL_bodyz00_30888;
																																																					obj_t
																																																						BgL_varsz00_30887;
																																																					BgL_varsz00_30887
																																																						=
																																																						BgL_arg4744z00_5788;
																																																					BgL_bodyz00_30888
																																																						=
																																																						BgL_arg4745z00_5789;
																																																					BgL_argsz00_30889
																																																						=
																																																						BgL_arg4746z00_5790;
																																																					BgL_argsz00_1807
																																																						=
																																																						BgL_argsz00_30889;
																																																					BgL_bodyz00_1806
																																																						=
																																																						BgL_bodyz00_30888;
																																																					BgL_varsz00_1805
																																																						=
																																																						BgL_varsz00_30887;
																																																					goto
																																																						BgL_tagzd2387zd2_1808;
																																																				}
																																																				BgL_auxz00_30848
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_30886);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd262229zd2_5792;
																																																			BgL_cdrzd262229zd2_5792
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd262235zd2_5793;
																																																				BgL_cdrzd262235zd2_5793
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd262201zd2_5784));
																																																				if ((CAR(((obj_t) BgL_carzd262201zd2_5784)) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd262241zd2_5796;
																																																						BgL_cdrzd262241zd2_5796
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd262235zd2_5793));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd262246zd2_5797;
																																																							obj_t
																																																								BgL_cdrzd262247zd2_5798;
																																																							BgL_carzd262246zd2_5797
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd262241zd2_5796));
																																																							BgL_cdrzd262247zd2_5798
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd262241zd2_5796));
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262246zd2_5797))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd262247zd2_5798))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd262254zd2_5801;
																																																											BgL_carzd262254zd2_5801
																																																												=
																																																												CAR
																																																												(BgL_cdrzd262247zd2_5798);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262254zd2_5801))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(BgL_cdrzd262247zd2_5798)))
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test10469z00_30916;
																																																															{
																																																																obj_t
																																																																	BgL_l1488z00_5834;
																																																																BgL_l1488z00_5834
																																																																	=
																																																																	BgL_cdrzd262229zd2_5792;
																																																															BgL_zc3z04anonymousza34769ze3z87_5835:
																																																																if (NULLP(BgL_l1488z00_5834))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test10469z00_30916
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		bool_t
																																																																			BgL_test10471z00_30919;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			bool_t
																																																																				BgL_test10472z00_30920;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_tmpz00_30921;
																																																																				BgL_tmpz00_30921
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_l1488z00_5834));
																																																																				BgL_test10472z00_30920
																																																																					=
																																																																					PAIRP
																																																																					(BgL_tmpz00_30921);
																																																																			}
																																																																			if (BgL_test10472z00_30920)
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test10471z00_30919
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test10471z00_30919
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																		}
																																																																		if (BgL_test10471z00_30919)
																																																																			{
																																																																				obj_t
																																																																					BgL_l1488z00_30925;
																																																																				BgL_l1488z00_30925
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_l1488z00_5834));
																																																																				BgL_l1488z00_5834
																																																																					=
																																																																					BgL_l1488z00_30925;
																																																																				goto
																																																																					BgL_zc3z04anonymousza34769ze3z87_5835;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				BgL_test10469z00_30916
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																	}
																																																															}
																																																															if (BgL_test10469z00_30916)
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg4759z00_5817;
																																																																	BgL_arg4759z00_5817
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd262235zd2_5793));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_30930;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_30934;
																																																																			obj_t
																																																																				BgL_proc2z00_30933;
																																																																			obj_t
																																																																				BgL_proc1z00_30932;
																																																																			obj_t
																																																																				BgL_testz00_30931;
																																																																			BgL_testz00_30931
																																																																				=
																																																																				BgL_arg4759z00_5817;
																																																																			BgL_proc1z00_30932
																																																																				=
																																																																				BgL_carzd262246zd2_5797;
																																																																			BgL_proc2z00_30933
																																																																				=
																																																																				BgL_carzd262254zd2_5801;
																																																																			BgL_argsz00_30934
																																																																				=
																																																																				BgL_cdrzd262229zd2_5792;
																																																																			BgL_argsz00_1812
																																																																				=
																																																																				BgL_argsz00_30934;
																																																																			BgL_proc2z00_1811
																																																																				=
																																																																				BgL_proc2z00_30933;
																																																																			BgL_proc1z00_1810
																																																																				=
																																																																				BgL_proc1z00_30932;
																																																																			BgL_testz00_1809
																																																																				=
																																																																				BgL_testz00_30931;
																																																																			goto
																																																																				BgL_tagzd2388zd2_1813;
																																																																		}
																																																																		BgL_auxz00_30848
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_30930);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd262278zd2_5818;
																																																																	BgL_cdrzd262278zd2_5818
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd262285zd2_5819;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_14367;
																																																																			BgL_pairz00_14367
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd262285zd2_5819
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_14367);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd262292zd2_5820;
																																																																			BgL_cdrzd262292zd2_5820
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd262285zd2_5819));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd262298zd2_5821;
																																																																				BgL_carzd262298zd2_5821
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd262292zd2_5820));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262298zd2_5821))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd262305zd2_5823;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_14371;
																																																																							BgL_pairz00_14371
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd262292zd2_5820));
																																																																							BgL_carzd262305zd2_5823
																																																																								=
																																																																								CAR
																																																																								(BgL_pairz00_14371);
																																																																						}
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262305zd2_5823))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd262278zd2_5818))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg4763z00_5826;
																																																																										BgL_arg4763z00_5826
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd262285zd2_5819));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_30956;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_30960;
																																																																												obj_t
																																																																													BgL_proc2z00_30959;
																																																																												obj_t
																																																																													BgL_proc1z00_30958;
																																																																												obj_t
																																																																													BgL_testz00_30957;
																																																																												BgL_testz00_30957
																																																																													=
																																																																													BgL_arg4763z00_5826;
																																																																												BgL_proc1z00_30958
																																																																													=
																																																																													BgL_carzd262298zd2_5821;
																																																																												BgL_proc2z00_30959
																																																																													=
																																																																													BgL_carzd262305zd2_5823;
																																																																												BgL_argsz00_30960
																																																																													=
																																																																													BgL_cdrzd262278zd2_5818;
																																																																												BgL_argsz00_1817
																																																																													=
																																																																													BgL_argsz00_30960;
																																																																												BgL_proc2z00_1816
																																																																													=
																																																																													BgL_proc2z00_30959;
																																																																												BgL_proc1z00_1815
																																																																													=
																																																																													BgL_proc1z00_30958;
																																																																												BgL_testz00_1814
																																																																													=
																																																																													BgL_testz00_30957;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1818;
																																																																											}
																																																																											BgL_auxz00_30848
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_30956);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_30964;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_30848
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_30964);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_30968;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_30848
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_30968);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_30972;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_30848
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_30972);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_30976;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																	BgL_auxz00_30848
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_30976);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd262581zd2_5845;
																																																													BgL_cdrzd262581zd2_5845
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd262587zd2_5846;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_pairz00_14375;
																																																															BgL_pairz00_14375
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd262587zd2_5846
																																																																=
																																																																CDR
																																																																(BgL_pairz00_14375);
																																																														}
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd262593zd2_5847;
																																																															BgL_cdrzd262593zd2_5847
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd262587zd2_5846));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd262598zd2_5848;
																																																																obj_t
																																																																	BgL_cdrzd262599zd2_5849;
																																																																BgL_carzd262598zd2_5848
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd262593zd2_5847));
																																																																BgL_cdrzd262599zd2_5849
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd262593zd2_5847));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262598zd2_5848))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd262604zd2_5851;
																																																																		BgL_carzd262604zd2_5851
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd262599zd2_5849));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262604zd2_5851))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd262599zd2_5849))))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd262581zd2_5845))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg4778z00_5856;
																																																																								BgL_arg4778z00_5856
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd262587zd2_5846));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_31003;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_31007;
																																																																										obj_t
																																																																											BgL_proc2z00_31006;
																																																																										obj_t
																																																																											BgL_proc1z00_31005;
																																																																										obj_t
																																																																											BgL_testz00_31004;
																																																																										BgL_testz00_31004
																																																																											=
																																																																											BgL_arg4778z00_5856;
																																																																										BgL_proc1z00_31005
																																																																											=
																																																																											BgL_carzd262598zd2_5848;
																																																																										BgL_proc2z00_31006
																																																																											=
																																																																											BgL_carzd262604zd2_5851;
																																																																										BgL_argsz00_31007
																																																																											=
																																																																											BgL_cdrzd262581zd2_5845;
																																																																										BgL_argsz00_1817
																																																																											=
																																																																											BgL_argsz00_31007;
																																																																										BgL_proc2z00_1816
																																																																											=
																																																																											BgL_proc2z00_31006;
																																																																										BgL_proc1z00_1815
																																																																											=
																																																																											BgL_proc1z00_31005;
																																																																										BgL_testz00_1814
																																																																											=
																																																																											BgL_testz00_31004;
																																																																										goto
																																																																											BgL_tagzd2389zd2_1818;
																																																																									}
																																																																									BgL_auxz00_30848
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_31003);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_31011;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_30848
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_31011);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_31015;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_30848
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_31015);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_31019;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_30848
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_31019);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_31023;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_30848
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_31023);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1842;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_31027;
																																																													goto
																																																														BgL_tagzd2405zd2_1843;
																																																													BgL_auxz00_30848
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_31027);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd262937zd2_5864;
																																																									BgL_cdrzd262937zd2_5864
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd262944zd2_5865;
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_pairz00_14384;
																																																											BgL_pairz00_14384
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdrzd262944zd2_5865
																																																												=
																																																												CDR
																																																												(BgL_pairz00_14384);
																																																										}
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd262951zd2_5866;
																																																											BgL_cdrzd262951zd2_5866
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd262944zd2_5865));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd262957zd2_5867;
																																																												obj_t
																																																													BgL_cdrzd262958zd2_5868;
																																																												BgL_carzd262957zd2_5867
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd262951zd2_5866));
																																																												BgL_cdrzd262958zd2_5868
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd262951zd2_5866));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262957zd2_5867))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd262958zd2_5868))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd262965zd2_5871;
																																																																BgL_carzd262965zd2_5871
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd262958zd2_5868);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262965zd2_5871))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd262958zd2_5868)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd262937zd2_5864))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg4792z00_5876;
																																																																						BgL_arg4792z00_5876
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd262944zd2_5865));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_31054;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_31058;
																																																																								obj_t
																																																																									BgL_proc2z00_31057;
																																																																								obj_t
																																																																									BgL_proc1z00_31056;
																																																																								obj_t
																																																																									BgL_testz00_31055;
																																																																								BgL_testz00_31055
																																																																									=
																																																																									BgL_arg4792z00_5876;
																																																																								BgL_proc1z00_31056
																																																																									=
																																																																									BgL_carzd262957zd2_5867;
																																																																								BgL_proc2z00_31057
																																																																									=
																																																																									BgL_carzd262965zd2_5871;
																																																																								BgL_argsz00_31058
																																																																									=
																																																																									BgL_cdrzd262937zd2_5864;
																																																																								BgL_argsz00_1817
																																																																									=
																																																																									BgL_argsz00_31058;
																																																																								BgL_proc2z00_1816
																																																																									=
																																																																									BgL_proc2z00_31057;
																																																																								BgL_proc1z00_1815
																																																																									=
																																																																									BgL_proc1z00_31056;
																																																																								BgL_testz00_1814
																																																																									=
																																																																									BgL_testz00_31055;
																																																																								goto
																																																																									BgL_tagzd2389zd2_1818;
																																																																							}
																																																																							BgL_auxz00_30848
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_31054);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_31062;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_30848
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_31062);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_31066;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_30848
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_31066);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_31070;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_30848
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_31070);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_31074;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_30848
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_31074);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_31078;
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																																BgL_auxz00_30848
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_31078);
																																																															}
																																																													}
																																																											}
																																																										}
																																																									}
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2404zd2_1842;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_31082;
																																																								goto
																																																									BgL_tagzd2405zd2_1843;
																																																								BgL_auxz00_30848
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_31082);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test10500z00_31084;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4814z00_5900;
																																													BgL_arg4814z00_5900
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test10500z00_31084
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg4814z00_5900));
																																												}
																																												if (BgL_test10500z00_31084)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_31089;
																																														goto
																																															BgL_tagzd2385zd2_1800;
																																														BgL_auxz00_30848
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_31089);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_carzd263411zd2_5891;
																																														BgL_carzd263411zd2_5891
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd263416zd2_5892;
																																															BgL_cdrzd263416zd2_5892
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd263411zd2_5891));
																																															if ((CAR(((obj_t) BgL_carzd263411zd2_5891)) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4809z00_5895;
																																																	obj_t
																																																		BgL_arg4810z00_5896;
																																																	obj_t
																																																		BgL_arg4811z00_5897;
																																																	BgL_arg4809z00_5895
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd263416zd2_5892));
																																																	BgL_arg4810z00_5896
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd263416zd2_5892));
																																																	BgL_arg4811z00_5897
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_31106;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_31109;
																																																			obj_t
																																																				BgL_bodyz00_31108;
																																																			obj_t
																																																				BgL_varsz00_31107;
																																																			BgL_varsz00_31107
																																																				=
																																																				BgL_arg4809z00_5895;
																																																			BgL_bodyz00_31108
																																																				=
																																																				BgL_arg4810z00_5896;
																																																			BgL_argsz00_31109
																																																				=
																																																				BgL_arg4811z00_5897;
																																																			BgL_argsz00_1807
																																																				=
																																																				BgL_argsz00_31109;
																																																			BgL_bodyz00_1806
																																																				=
																																																				BgL_bodyz00_31108;
																																																			BgL_varsz00_1805
																																																				=
																																																				BgL_varsz00_31107;
																																																			goto
																																																				BgL_tagzd2387zd2_1808;
																																																		}
																																																		BgL_auxz00_30848
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_31106);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 119 */
																																																			goto
																																																				BgL_tagzd2404zd2_1842;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_31113;
																																																			goto
																																																				BgL_tagzd2405zd2_1843;
																																																			BgL_auxz00_30848
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_31113);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test10503z00_31115;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg4818z00_5904;
																																											BgL_arg4818z00_5904
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test10503z00_31115
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg4818z00_5904));
																																										}
																																										if (BgL_test10503z00_31115)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_31120;
																																												goto
																																													BgL_tagzd2385zd2_1800;
																																												BgL_auxz00_30848
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_31120);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_tagzd2404zd2_1842;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_31124;
																																														goto
																																															BgL_tagzd2405zd2_1843;
																																														BgL_auxz00_30848
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_31124);
																																													}
																																											}
																																									}
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_30848);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd262118zd2_5658)))
																																									{
																																										obj_t
																																											BgL_auxz00_31130;
																																										goto
																																											BgL_kapzd262120zd2_5660;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_31130);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd262118zd2_5658 == CNST_TABLE_REF(((long) 19))))
																																											{
																																												obj_t
																																													BgL_auxz00_31135;
																																												goto
																																													BgL_kapzd262120zd2_5660;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_31135);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd262118zd2_5658 == CNST_TABLE_REF(((long) 20))))
																																													{
																																														obj_t
																																															BgL_auxz00_31140;
																																														goto
																																															BgL_kapzd262120zd2_5660;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_31140);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd262118zd2_5658)))
																																															{
																																																obj_t
																																																	BgL_auxz00_31145;
																																																goto
																																																	BgL_kapzd262120zd2_5660;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_31145);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test10509z00_31147;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4733z00_5774;
																																																	BgL_arg4733z00_5774
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test10509z00_31147
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg4733z00_5774));
																																																}
																																																if (BgL_test10509z00_31147)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_31152;
																																																		goto
																																																			BgL_tagzd2385zd2_1800;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_31152);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd263739zd2_5665;
																																																		BgL_carzd263739zd2_5665
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd263744zd2_5666;
																																																			BgL_cdrzd263744zd2_5666
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd263739zd2_5665));
																																																			if ((CAR(((obj_t) BgL_carzd263739zd2_5665)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (PAIRP(BgL_cdrzd263744zd2_5666))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg4669z00_5670;
																																																							obj_t
																																																								BgL_arg4670z00_5671;
																																																							obj_t
																																																								BgL_arg4671z00_5672;
																																																							BgL_arg4669z00_5670
																																																								=
																																																								CAR
																																																								(BgL_cdrzd263744zd2_5666);
																																																							BgL_arg4670z00_5671
																																																								=
																																																								CDR
																																																								(BgL_cdrzd263744zd2_5666);
																																																							BgL_arg4671z00_5672
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								obj_t
																																																									BgL_argsz00_31171;
																																																								obj_t
																																																									BgL_bodyz00_31170;
																																																								obj_t
																																																									BgL_varsz00_31169;
																																																								BgL_varsz00_31169
																																																									=
																																																									BgL_arg4669z00_5670;
																																																								BgL_bodyz00_31170
																																																									=
																																																									BgL_arg4670z00_5671;
																																																								BgL_argsz00_31171
																																																									=
																																																									BgL_arg4671z00_5672;
																																																								BgL_argsz00_1807
																																																									=
																																																									BgL_argsz00_31171;
																																																								BgL_bodyz00_1806
																																																									=
																																																									BgL_bodyz00_31170;
																																																								BgL_varsz00_1805
																																																									=
																																																									BgL_varsz00_31169;
																																																								goto
																																																									BgL_tagzd2387zd2_1808;
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_31174;
																																																									goto
																																																										BgL_tagzd2404zd2_1842;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_31174);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2405zd2_1843;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd263851zd2_5675;
																																																					BgL_cdrzd263851zd2_5675
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd263856zd2_5676;
																																																						BgL_cdrzd263856zd2_5676
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd263739zd2_5665));
																																																						if ((CAR(((obj_t) BgL_carzd263739zd2_5665)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (PAIRP(BgL_cdrzd263856zd2_5676))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd263861zd2_5680;
																																																										BgL_cdrzd263861zd2_5680
																																																											=
																																																											CDR
																																																											(BgL_cdrzd263856zd2_5676);
																																																										if (PAIRP(BgL_cdrzd263861zd2_5680))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd263865zd2_5682;
																																																												obj_t
																																																													BgL_cdrzd263866zd2_5683;
																																																												BgL_carzd263865zd2_5682
																																																													=
																																																													CAR
																																																													(BgL_cdrzd263861zd2_5680);
																																																												BgL_cdrzd263866zd2_5683
																																																													=
																																																													CDR
																																																													(BgL_cdrzd263861zd2_5680);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd263865zd2_5682))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd263866zd2_5683))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd263871zd2_5686;
																																																																BgL_carzd263871zd2_5686
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd263866zd2_5683);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd263871zd2_5686))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd263866zd2_5683)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test10520z00_31202;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1491z00_5719;
																																																																					BgL_l1491z00_5719
																																																																						=
																																																																						BgL_cdrzd263851zd2_5675;
																																																																				BgL_zc3z04anonymousza34697ze3z87_5720:
																																																																					if (NULLP(BgL_l1491z00_5719))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test10520z00_31202
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test10522z00_31205;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test10523z00_31206;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_tmpz00_31207;
																																																																									BgL_tmpz00_31207
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1491z00_5719));
																																																																									BgL_test10523z00_31206
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_31207);
																																																																								}
																																																																								if (BgL_test10523z00_31206)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test10522z00_31205
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test10522z00_31205
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_test10522z00_31205)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1491z00_31211;
																																																																									BgL_l1491z00_31211
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1491z00_5719));
																																																																									BgL_l1491z00_5719
																																																																										=
																																																																										BgL_l1491z00_31211;
																																																																									goto
																																																																										BgL_zc3z04anonymousza34697ze3z87_5720;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test10520z00_31202
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_test10520z00_31202)
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_31218;
																																																																						obj_t
																																																																							BgL_proc2z00_31217;
																																																																						obj_t
																																																																							BgL_proc1z00_31216;
																																																																						obj_t
																																																																							BgL_testz00_31214;
																																																																						BgL_testz00_31214
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd263856zd2_5676);
																																																																						BgL_proc1z00_31216
																																																																							=
																																																																							BgL_carzd263865zd2_5682;
																																																																						BgL_proc2z00_31217
																																																																							=
																																																																							BgL_carzd263871zd2_5686;
																																																																						BgL_argsz00_31218
																																																																							=
																																																																							BgL_cdrzd263851zd2_5675;
																																																																						BgL_argsz00_1812
																																																																							=
																																																																							BgL_argsz00_31218;
																																																																						BgL_proc2z00_1811
																																																																							=
																																																																							BgL_proc2z00_31217;
																																																																						BgL_proc1z00_1810
																																																																							=
																																																																							BgL_proc1z00_31216;
																																																																						BgL_testz00_1809
																																																																							=
																																																																							BgL_testz00_31214;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1813;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd263896zd2_5703;
																																																																						BgL_cdrzd263896zd2_5703
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd263904zd2_5704;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_14420;
																																																																								BgL_pairz00_14420
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd263904zd2_5704
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_14420);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd263912zd2_5705;
																																																																								BgL_cdrzd263912zd2_5705
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd263904zd2_5704));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd263919zd2_5706;
																																																																									BgL_carzd263919zd2_5706
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd263912zd2_5705));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd263919zd2_5706))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd263928zd2_5708;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_14424;
																																																																												BgL_pairz00_14424
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd263912zd2_5705));
																																																																												BgL_carzd263928zd2_5708
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_14424);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd263928zd2_5708))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd263896zd2_5703))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4691z00_5711;
																																																																															BgL_arg4691z00_5711
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd263904zd2_5704));
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_31242;
																																																																																obj_t
																																																																																	BgL_proc2z00_31241;
																																																																																obj_t
																																																																																	BgL_proc1z00_31240;
																																																																																obj_t
																																																																																	BgL_testz00_31239;
																																																																																BgL_testz00_31239
																																																																																	=
																																																																																	BgL_arg4691z00_5711;
																																																																																BgL_proc1z00_31240
																																																																																	=
																																																																																	BgL_carzd263919zd2_5706;
																																																																																BgL_proc2z00_31241
																																																																																	=
																																																																																	BgL_carzd263928zd2_5708;
																																																																																BgL_argsz00_31242
																																																																																	=
																																																																																	BgL_cdrzd263896zd2_5703;
																																																																																BgL_argsz00_1817
																																																																																	=
																																																																																	BgL_argsz00_31242;
																																																																																BgL_proc2z00_1816
																																																																																	=
																																																																																	BgL_proc2z00_31241;
																																																																																BgL_proc1z00_1815
																																																																																	=
																																																																																	BgL_proc1z00_31240;
																																																																																BgL_testz00_1814
																																																																																	=
																																																																																	BgL_testz00_31239;
																																																																																goto
																																																																																	BgL_tagzd2389zd2_1818;
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{
																																																																																	obj_t
																																																																																		BgL_auxz00_31245;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																	return
																																																																																		(
																																																																																		(BgL_nodez00_bglt)
																																																																																		BgL_auxz00_31245);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{
																																																																															obj_t
																																																																																BgL_auxz00_31249;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																															return
																																																																																(
																																																																																(BgL_nodez00_bglt)
																																																																																BgL_auxz00_31249);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_31253;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_31253);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_31257;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_31257);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd264206zd2_5730;
																																																																		BgL_cdrzd264206zd2_5730
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd264213zd2_5731;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_14428;
																																																																				BgL_pairz00_14428
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd264213zd2_5731
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_14428);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd264220zd2_5732;
																																																																				BgL_cdrzd264220zd2_5732
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd264213zd2_5731));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd264226zd2_5733;
																																																																					obj_t
																																																																						BgL_cdrzd264227zd2_5734;
																																																																					BgL_carzd264226zd2_5733
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd264220zd2_5732));
																																																																					BgL_cdrzd264227zd2_5734
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd264220zd2_5732));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd264226zd2_5733))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd264234zd2_5736;
																																																																							BgL_carzd264234zd2_5736
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd264227zd2_5734));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd264234zd2_5736))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd264227zd2_5734))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd264206zd2_5730))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg4706z00_5741;
																																																																													BgL_arg4706z00_5741
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd264213zd2_5731));
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_31287;
																																																																														obj_t
																																																																															BgL_proc2z00_31286;
																																																																														obj_t
																																																																															BgL_proc1z00_31285;
																																																																														obj_t
																																																																															BgL_testz00_31284;
																																																																														BgL_testz00_31284
																																																																															=
																																																																															BgL_arg4706z00_5741;
																																																																														BgL_proc1z00_31285
																																																																															=
																																																																															BgL_carzd264226zd2_5733;
																																																																														BgL_proc2z00_31286
																																																																															=
																																																																															BgL_carzd264234zd2_5736;
																																																																														BgL_argsz00_31287
																																																																															=
																																																																															BgL_cdrzd264206zd2_5730;
																																																																														BgL_argsz00_1817
																																																																															=
																																																																															BgL_argsz00_31287;
																																																																														BgL_proc2z00_1816
																																																																															=
																																																																															BgL_proc2z00_31286;
																																																																														BgL_proc1z00_1815
																																																																															=
																																																																															BgL_proc1z00_31285;
																																																																														BgL_testz00_1814
																																																																															=
																																																																															BgL_testz00_31284;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1818;
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{
																																																																															obj_t
																																																																																BgL_auxz00_31290;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																															return
																																																																																(
																																																																																(BgL_nodez00_bglt)
																																																																																BgL_auxz00_31290);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_31294;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_31294);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_31298;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_31298);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_31302;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_31302);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_31306;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_31306);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd264567zd2_5749;
																																																														BgL_cdrzd264567zd2_5749
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd264573zd2_5750;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_pairz00_14437;
																																																																BgL_pairz00_14437
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd264573zd2_5750
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_14437);
																																																															}
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd264579zd2_5751;
																																																																BgL_cdrzd264579zd2_5751
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd264573zd2_5750));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd264584zd2_5752;
																																																																	obj_t
																																																																		BgL_cdrzd264585zd2_5753;
																																																																	BgL_carzd264584zd2_5752
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd264579zd2_5751));
																																																																	BgL_cdrzd264585zd2_5753
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd264579zd2_5751));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd264584zd2_5752))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd264585zd2_5753))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd264590zd2_5756;
																																																																					BgL_carzd264590zd2_5756
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd264585zd2_5753);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd264590zd2_5756))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_cdrzd264585zd2_5753)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd264567zd2_5749))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg4720z00_5761;
																																																																											BgL_arg4720z00_5761
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd264573zd2_5750));
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_31336;
																																																																												obj_t
																																																																													BgL_proc2z00_31335;
																																																																												obj_t
																																																																													BgL_proc1z00_31334;
																																																																												obj_t
																																																																													BgL_testz00_31333;
																																																																												BgL_testz00_31333
																																																																													=
																																																																													BgL_arg4720z00_5761;
																																																																												BgL_proc1z00_31334
																																																																													=
																																																																													BgL_carzd264584zd2_5752;
																																																																												BgL_proc2z00_31335
																																																																													=
																																																																													BgL_carzd264590zd2_5756;
																																																																												BgL_argsz00_31336
																																																																													=
																																																																													BgL_cdrzd264567zd2_5749;
																																																																												BgL_argsz00_1817
																																																																													=
																																																																													BgL_argsz00_31336;
																																																																												BgL_proc2z00_1816
																																																																													=
																																																																													BgL_proc2z00_31335;
																																																																												BgL_proc1z00_1815
																																																																													=
																																																																													BgL_proc1z00_31334;
																																																																												BgL_testz00_1814
																																																																													=
																																																																													BgL_testz00_31333;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1818;
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_31339;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_31339);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_31343;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_31343);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_31347;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_31347);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_31351;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_31351);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_31355;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_31355);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{
																																																														obj_t
																																																															BgL_auxz00_31359;
																																																														goto
																																																															BgL_tagzd2404zd2_1842;
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_31359);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2405zd2_1843;
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{
																																																												obj_t
																																																													BgL_auxz00_31363;
																																																												goto
																																																													BgL_tagzd2404zd2_1842;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_31363);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2405zd2_1843;
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_31367;
																																																										goto
																																																											BgL_tagzd2404zd2_1842;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_31367);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2405zd2_1843;
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd262115zd2_5656)))
																																						{
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_31372;
																																							goto
																																								BgL_tagzd2385zd2_1800;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_31372);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd265181zd2_5907;
																																							BgL_carzd265181zd2_5907
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if (PAIRP(BgL_carzd265181zd2_5907))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_cdrzd265186zd2_5909;
																																									BgL_cdrzd265186zd2_5909
																																										=
																																										CDR
																																										(BgL_carzd265181zd2_5907);
																																									if ((CAR(BgL_carzd265181zd2_5907) == CNST_TABLE_REF(((long) 3))))
																																										{	/* Ast/sexp.scm 119 */
																																											if (PAIRP(BgL_cdrzd265186zd2_5909))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4825z00_5913;
																																													obj_t
																																														BgL_arg4826z00_5914;
																																													obj_t
																																														BgL_arg4827z00_5915;
																																													BgL_arg4825z00_5913
																																														=
																																														CAR
																																														(BgL_cdrzd265186zd2_5909);
																																													BgL_arg4826z00_5914
																																														=
																																														CDR
																																														(BgL_cdrzd265186zd2_5909);
																																													BgL_arg4827z00_5915
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													{
																																														obj_t
																																															BgL_argsz00_31391;
																																														obj_t
																																															BgL_bodyz00_31390;
																																														obj_t
																																															BgL_varsz00_31389;
																																														BgL_varsz00_31389
																																															=
																																															BgL_arg4825z00_5913;
																																														BgL_bodyz00_31390
																																															=
																																															BgL_arg4826z00_5914;
																																														BgL_argsz00_31391
																																															=
																																															BgL_arg4827z00_5915;
																																														BgL_argsz00_1807
																																															=
																																															BgL_argsz00_31391;
																																														BgL_bodyz00_1806
																																															=
																																															BgL_bodyz00_31390;
																																														BgL_varsz00_1805
																																															=
																																															BgL_varsz00_31389;
																																														goto
																																															BgL_tagzd2387zd2_1808;
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																														{
																																															obj_t
																																																BgL_auxz00_31394;
																																															goto
																																																BgL_tagzd2404zd2_1842;
																																															return
																																																(
																																																(BgL_nodez00_bglt)
																																																BgL_auxz00_31394);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															goto
																																																BgL_tagzd2405zd2_1843;
																																														}
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd265293zd2_5918;
																																											BgL_cdrzd265293zd2_5918
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd265298zd2_5919;
																																												BgL_cdrzd265298zd2_5919
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_carzd265181zd2_5907));
																																												if ((CAR(((obj_t) BgL_carzd265181zd2_5907)) == CNST_TABLE_REF(((long) 1))))
																																													{	/* Ast/sexp.scm 119 */
																																														if (PAIRP(BgL_cdrzd265298zd2_5919))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd265303zd2_5923;
																																																BgL_cdrzd265303zd2_5923
																																																	=
																																																	CDR
																																																	(BgL_cdrzd265298zd2_5919);
																																																if (PAIRP(BgL_cdrzd265303zd2_5923))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd265307zd2_5925;
																																																		obj_t
																																																			BgL_cdrzd265308zd2_5926;
																																																		BgL_carzd265307zd2_5925
																																																			=
																																																			CAR
																																																			(BgL_cdrzd265303zd2_5923);
																																																		BgL_cdrzd265308zd2_5926
																																																			=
																																																			CDR
																																																			(BgL_cdrzd265303zd2_5923);
																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd265307zd2_5925))
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (PAIRP(BgL_cdrzd265308zd2_5926))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_carzd265313zd2_5929;
																																																						BgL_carzd265313zd2_5929
																																																							=
																																																							CAR
																																																							(BgL_cdrzd265308zd2_5926);
																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd265313zd2_5929))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (NULLP(CDR(BgL_cdrzd265308zd2_5926)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										bool_t
																																																											BgL_test10565z00_31422;
																																																										{
																																																											obj_t
																																																												BgL_l1494z00_5962;
																																																											BgL_l1494z00_5962
																																																												=
																																																												BgL_cdrzd265293zd2_5918;
																																																										BgL_zc3z04anonymousza34853ze3z87_5963:
																																																											if (NULLP(BgL_l1494z00_5962))
																																																												{	/* Ast/sexp.scm 119 */
																																																													BgL_test10565z00_31422
																																																														=
																																																														(
																																																														(bool_t)
																																																														1);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test10567z00_31425;
																																																													{	/* Ast/sexp.scm 119 */
																																																														bool_t
																																																															BgL_test10568z00_31426;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_tmpz00_31427;
																																																															BgL_tmpz00_31427
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_l1494z00_5962));
																																																															BgL_test10568z00_31426
																																																																=
																																																																PAIRP
																																																																(BgL_tmpz00_31427);
																																																														}
																																																														if (BgL_test10568z00_31426)
																																																															{	/* Ast/sexp.scm 119 */
																																																																BgL_test10567z00_31425
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	0);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																BgL_test10567z00_31425
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	1);
																																																															}
																																																													}
																																																													if (BgL_test10567z00_31425)
																																																														{
																																																															obj_t
																																																																BgL_l1494z00_31431;
																																																															BgL_l1494z00_31431
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_l1494z00_5962));
																																																															BgL_l1494z00_5962
																																																																=
																																																																BgL_l1494z00_31431;
																																																															goto
																																																																BgL_zc3z04anonymousza34853ze3z87_5963;
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															BgL_test10565z00_31422
																																																																=
																																																																(
																																																																(bool_t)
																																																																0);
																																																														}
																																																												}
																																																										}
																																																										if (BgL_test10565z00_31422)
																																																											{
																																																												obj_t
																																																													BgL_argsz00_31438;
																																																												obj_t
																																																													BgL_proc2z00_31437;
																																																												obj_t
																																																													BgL_proc1z00_31436;
																																																												obj_t
																																																													BgL_testz00_31434;
																																																												BgL_testz00_31434
																																																													=
																																																													CAR
																																																													(BgL_cdrzd265298zd2_5919);
																																																												BgL_proc1z00_31436
																																																													=
																																																													BgL_carzd265307zd2_5925;
																																																												BgL_proc2z00_31437
																																																													=
																																																													BgL_carzd265313zd2_5929;
																																																												BgL_argsz00_31438
																																																													=
																																																													BgL_cdrzd265293zd2_5918;
																																																												BgL_argsz00_1812
																																																													=
																																																													BgL_argsz00_31438;
																																																												BgL_proc2z00_1811
																																																													=
																																																													BgL_proc2z00_31437;
																																																												BgL_proc1z00_1810
																																																													=
																																																													BgL_proc1z00_31436;
																																																												BgL_testz00_1809
																																																													=
																																																													BgL_testz00_31434;
																																																												goto
																																																													BgL_tagzd2388zd2_1813;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd265338zd2_5946;
																																																												BgL_cdrzd265338zd2_5946
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd265346zd2_5947;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_pairz00_14465;
																																																														BgL_pairz00_14465
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_cdrzd265346zd2_5947
																																																															=
																																																															CDR
																																																															(BgL_pairz00_14465);
																																																													}
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd265354zd2_5948;
																																																														BgL_cdrzd265354zd2_5948
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd265346zd2_5947));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd265361zd2_5949;
																																																															BgL_carzd265361zd2_5949
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd265354zd2_5948));
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd265361zd2_5949))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd265370zd2_5951;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_14469;
																																																																		BgL_pairz00_14469
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd265354zd2_5948));
																																																																		BgL_carzd265370zd2_5951
																																																																			=
																																																																			CAR
																																																																			(BgL_pairz00_14469);
																																																																	}
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd265370zd2_5951))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd265338zd2_5946))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg4847z00_5954;
																																																																					BgL_arg4847z00_5954
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd265346zd2_5947));
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_31462;
																																																																						obj_t
																																																																							BgL_proc2z00_31461;
																																																																						obj_t
																																																																							BgL_proc1z00_31460;
																																																																						obj_t
																																																																							BgL_testz00_31459;
																																																																						BgL_testz00_31459
																																																																							=
																																																																							BgL_arg4847z00_5954;
																																																																						BgL_proc1z00_31460
																																																																							=
																																																																							BgL_carzd265361zd2_5949;
																																																																						BgL_proc2z00_31461
																																																																							=
																																																																							BgL_carzd265370zd2_5951;
																																																																						BgL_argsz00_31462
																																																																							=
																																																																							BgL_cdrzd265338zd2_5946;
																																																																						BgL_argsz00_1817
																																																																							=
																																																																							BgL_argsz00_31462;
																																																																						BgL_proc2z00_1816
																																																																							=
																																																																							BgL_proc2z00_31461;
																																																																						BgL_proc1z00_1815
																																																																							=
																																																																							BgL_proc1z00_31460;
																																																																						BgL_testz00_1814
																																																																							=
																																																																							BgL_testz00_31459;
																																																																						goto
																																																																							BgL_tagzd2389zd2_1818;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_31465;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_31465);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_31469;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_31469);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_31473;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_31473);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{
																																																												obj_t
																																																													BgL_auxz00_31477;
																																																												goto
																																																													BgL_tagzd2404zd2_1842;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_31477);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2405zd2_1843;
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd265648zd2_5973;
																																																								BgL_cdrzd265648zd2_5973
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd265655zd2_5974;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_pairz00_14473;
																																																										BgL_pairz00_14473
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_cdrzd265655zd2_5974
																																																											=
																																																											CDR
																																																											(BgL_pairz00_14473);
																																																									}
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd265662zd2_5975;
																																																										BgL_cdrzd265662zd2_5975
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd265655zd2_5974));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd265668zd2_5976;
																																																											obj_t
																																																												BgL_cdrzd265669zd2_5977;
																																																											BgL_carzd265668zd2_5976
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd265662zd2_5975));
																																																											BgL_cdrzd265669zd2_5977
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd265662zd2_5975));
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd265668zd2_5976))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd265676zd2_5979;
																																																													BgL_carzd265676zd2_5979
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd265669zd2_5977));
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd265676zd2_5979))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd265669zd2_5977))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd265648zd2_5973))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg4862z00_5984;
																																																																			BgL_arg4862z00_5984
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd265655zd2_5974));
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_31507;
																																																																				obj_t
																																																																					BgL_proc2z00_31506;
																																																																				obj_t
																																																																					BgL_proc1z00_31505;
																																																																				obj_t
																																																																					BgL_testz00_31504;
																																																																				BgL_testz00_31504
																																																																					=
																																																																					BgL_arg4862z00_5984;
																																																																				BgL_proc1z00_31505
																																																																					=
																																																																					BgL_carzd265668zd2_5976;
																																																																				BgL_proc2z00_31506
																																																																					=
																																																																					BgL_carzd265676zd2_5979;
																																																																				BgL_argsz00_31507
																																																																					=
																																																																					BgL_cdrzd265648zd2_5973;
																																																																				BgL_argsz00_1817
																																																																					=
																																																																					BgL_argsz00_31507;
																																																																				BgL_proc2z00_1816
																																																																					=
																																																																					BgL_proc2z00_31506;
																																																																				BgL_proc1z00_1815
																																																																					=
																																																																					BgL_proc1z00_31505;
																																																																				BgL_testz00_1814
																																																																					=
																																																																					BgL_testz00_31504;
																																																																				goto
																																																																					BgL_tagzd2389zd2_1818;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_31510;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_31510);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_31514;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_31514);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_31518;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_31518);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_31522;
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_31522);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																														}
																																																												}
																																																										}
																																																									}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_31526;
																																																								goto
																																																									BgL_tagzd2404zd2_1842;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_31526);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2405zd2_1843;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd266009zd2_5992;
																																																				BgL_cdrzd266009zd2_5992
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd266015zd2_5993;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_pairz00_14482;
																																																						BgL_pairz00_14482
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_cdrzd266015zd2_5993
																																																							=
																																																							CDR
																																																							(BgL_pairz00_14482);
																																																					}
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd266021zd2_5994;
																																																						BgL_cdrzd266021zd2_5994
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd266015zd2_5993));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd266026zd2_5995;
																																																							obj_t
																																																								BgL_cdrzd266027zd2_5996;
																																																							BgL_carzd266026zd2_5995
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd266021zd2_5994));
																																																							BgL_cdrzd266027zd2_5996
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd266021zd2_5994));
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd266026zd2_5995))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd266027zd2_5996))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd266032zd2_5999;
																																																											BgL_carzd266032zd2_5999
																																																												=
																																																												CAR
																																																												(BgL_cdrzd266027zd2_5996);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd266032zd2_5999))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(BgL_cdrzd266027zd2_5996)))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd266009zd2_5992))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg4876z00_6004;
																																																																	BgL_arg4876z00_6004
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd266015zd2_5993));
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_31556;
																																																																		obj_t
																																																																			BgL_proc2z00_31555;
																																																																		obj_t
																																																																			BgL_proc1z00_31554;
																																																																		obj_t
																																																																			BgL_testz00_31553;
																																																																		BgL_testz00_31553
																																																																			=
																																																																			BgL_arg4876z00_6004;
																																																																		BgL_proc1z00_31554
																																																																			=
																																																																			BgL_carzd266026zd2_5995;
																																																																		BgL_proc2z00_31555
																																																																			=
																																																																			BgL_carzd266032zd2_5999;
																																																																		BgL_argsz00_31556
																																																																			=
																																																																			BgL_cdrzd266009zd2_5992;
																																																																		BgL_argsz00_1817
																																																																			=
																																																																			BgL_argsz00_31556;
																																																																		BgL_proc2z00_1816
																																																																			=
																																																																			BgL_proc2z00_31555;
																																																																		BgL_proc1z00_1815
																																																																			=
																																																																			BgL_proc1z00_31554;
																																																																		BgL_testz00_1814
																																																																			=
																																																																			BgL_testz00_31553;
																																																																		goto
																																																																			BgL_tagzd2389zd2_1818;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_31559;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_31559);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_31563;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_31563);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_31567;
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_31567);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_31571;
																																																													goto
																																																														BgL_tagzd2404zd2_1842;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_31571);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2405zd2_1843;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_31575;
																																																											goto
																																																												BgL_tagzd2404zd2_1842;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_31575);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2405zd2_1843;
																																																										}
																																																								}
																																																						}
																																																					}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_31579;
																																																				goto
																																																					BgL_tagzd2404zd2_1842;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_31579);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd2405zd2_1843;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{
																																																		obj_t
																																																			BgL_auxz00_31583;
																																																		goto
																																																			BgL_tagzd2404zd2_1842;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_31583);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd2405zd2_1843;
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{
																																																obj_t
																																																	BgL_auxz00_31587;
																																																goto
																																																	BgL_tagzd2404zd2_1842;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_31587);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd2405zd2_1843;
																																															}
																																													}
																																											}
																																										}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																										{
																																											obj_t
																																												BgL_auxz00_31591;
																																											goto
																																												BgL_tagzd2404zd2_1842;
																																											return
																																												(
																																												(BgL_nodez00_bglt)
																																												BgL_auxz00_31591);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											goto
																																												BgL_tagzd2405zd2_1843;
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd268414zd2_6148;
																																	BgL_carzd268414zd2_6148
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (PAIRP
																																		(BgL_carzd268414zd2_6148))
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd268417zd2_6150;
																																			obj_t
																																				BgL_cdrzd268418zd2_6151;
																																			BgL_carzd268417zd2_6150
																																				=
																																				CAR
																																				(BgL_carzd268414zd2_6148);
																																			BgL_cdrzd268418zd2_6151
																																				=
																																				CDR
																																				(BgL_carzd268414zd2_6148);
																																			{

																																				if (
																																					(BgL_carzd268417zd2_6150
																																						==
																																						CNST_TABLE_REF
																																						(((long) 18))))
																																					{
																																						obj_t
																																							BgL_auxz00_31602;
																																					BgL_kapzd268419zd2_6152:
																																						if (PAIRP(BgL_cdrzd268418zd2_6151))
																																							{	/* Ast/sexp.scm 119 */
																																								obj_t
																																									BgL_cdrzd268422zd2_6451;
																																								BgL_cdrzd268422zd2_6451
																																									=
																																									CDR
																																									(BgL_cdrzd268418zd2_6151);
																																								if (PAIRP(BgL_cdrzd268422zd2_6451))
																																									{	/* Ast/sexp.scm 119 */
																																										if (NULLP(CDR(BgL_cdrzd268422zd2_6451)))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_arg5175z00_6455;
																																												obj_t
																																													BgL_arg5176z00_6456;
																																												BgL_arg5175z00_6455
																																													=
																																													CAR
																																													(BgL_cdrzd268422zd2_6451);
																																												BgL_arg5176z00_6456
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_31614;
																																													{
																																														obj_t
																																															BgL_argsz00_31616;
																																														obj_t
																																															BgL_bodyz00_31615;
																																														BgL_bodyz00_31615
																																															=
																																															BgL_arg5175z00_6455;
																																														BgL_argsz00_31616
																																															=
																																															BgL_arg5176z00_6456;
																																														BgL_argsz00_1794
																																															=
																																															BgL_argsz00_31616;
																																														BgL_bodyz00_1793
																																															=
																																															BgL_bodyz00_31615;
																																														goto
																																															BgL_tagzd2382zd2_1795;
																																													}
																																													BgL_auxz00_31602
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_31614);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd268445zd2_6457;
																																												BgL_cdrzd268445zd2_6457
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{

																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test10604z00_31620;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg5243z00_6567;
																																															BgL_arg5243z00_6567
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test10604z00_31620
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg5243z00_6567));
																																														}
																																														if (BgL_test10604z00_31620)
																																															{	/* Ast/sexp.scm 119 */
																																																if (PAIRP(BgL_cdrzd268445zd2_6457))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg5245z00_6569;
																																																		obj_t
																																																			BgL_arg5246z00_6570;
																																																		BgL_arg5245z00_6569
																																																			=
																																																			CAR
																																																			(BgL_cdrzd268445zd2_6457);
																																																		BgL_arg5246z00_6570
																																																			=
																																																			CDR
																																																			(BgL_cdrzd268445zd2_6457);
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_31629;
																																																			{
																																																				obj_t
																																																					BgL_exprz00_31631;
																																																				obj_t
																																																					BgL_bindingsz00_31630;
																																																				BgL_bindingsz00_31630
																																																					=
																																																					BgL_arg5245z00_6569;
																																																				BgL_exprz00_31631
																																																					=
																																																					BgL_arg5246z00_6570;
																																																				BgL_exprz00_1797
																																																					=
																																																					BgL_exprz00_31631;
																																																				BgL_bindingsz00_1796
																																																					=
																																																					BgL_bindingsz00_31630;
																																																				goto
																																																					BgL_tagzd2383zd2_1798;
																																																			}
																																																			BgL_auxz00_31602
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_31629);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test10606z00_31633;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5310z00_6676;
																																																			BgL_arg5310z00_6676
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test10606z00_31633
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg5310z00_6676));
																																																		}
																																																		if (BgL_test10606z00_31633)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_31638;
																																																				goto
																																																					BgL_tagzd2385zd2_1800;
																																																				BgL_auxz00_31602
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_31638);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd268509zd2_6573;
																																																				BgL_carzd268509zd2_6573
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd268514zd2_6574;
																																																					BgL_cdrzd268514zd2_6574
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd268509zd2_6573));
																																																					if ((CAR(((obj_t) BgL_carzd268509zd2_6573)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg5251z00_6577;
																																																							obj_t
																																																								BgL_arg5252z00_6578;
																																																							obj_t
																																																								BgL_arg5253z00_6579;
																																																							BgL_arg5251z00_6577
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd268514zd2_6574));
																																																							BgL_arg5252z00_6578
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd268514zd2_6574));
																																																							BgL_arg5253z00_6579
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_31655;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_31658;
																																																									obj_t
																																																										BgL_bodyz00_31657;
																																																									obj_t
																																																										BgL_varsz00_31656;
																																																									BgL_varsz00_31656
																																																										=
																																																										BgL_arg5251z00_6577;
																																																									BgL_bodyz00_31657
																																																										=
																																																										BgL_arg5252z00_6578;
																																																									BgL_argsz00_31658
																																																										=
																																																										BgL_arg5253z00_6579;
																																																									BgL_argsz00_1807
																																																										=
																																																										BgL_argsz00_31658;
																																																									BgL_bodyz00_1806
																																																										=
																																																										BgL_bodyz00_31657;
																																																									BgL_varsz00_1805
																																																										=
																																																										BgL_varsz00_31656;
																																																									goto
																																																										BgL_tagzd2387zd2_1808;
																																																								}
																																																								BgL_auxz00_31602
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_31655);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd268537zd2_6581;
																																																							BgL_cdrzd268537zd2_6581
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd268543zd2_6582;
																																																								BgL_cdrzd268543zd2_6582
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd268509zd2_6573));
																																																								if ((CAR(((obj_t) BgL_carzd268509zd2_6573)) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd268549zd2_6585;
																																																										BgL_cdrzd268549zd2_6585
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd268543zd2_6582));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd268554zd2_6586;
																																																											obj_t
																																																												BgL_cdrzd268555zd2_6587;
																																																											BgL_carzd268554zd2_6586
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd268549zd2_6585));
																																																											BgL_cdrzd268555zd2_6587
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd268549zd2_6585));
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd268554zd2_6586))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (PAIRP(BgL_cdrzd268555zd2_6587))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd268562zd2_6590;
																																																															BgL_carzd268562zd2_6590
																																																																=
																																																																CAR
																																																																(BgL_cdrzd268555zd2_6587);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd268562zd2_6590))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (NULLP(CDR(BgL_cdrzd268555zd2_6587)))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			bool_t
																																																																				BgL_test10613z00_31685;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1500z00_6623;
																																																																				BgL_l1500z00_6623
																																																																					=
																																																																					BgL_cdrzd268537zd2_6581;
																																																																			BgL_zc3z04anonymousza35276ze3z87_6624:
																																																																				if (NULLP(BgL_l1500z00_6623))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						BgL_test10613z00_31685
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test10615z00_31688;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test10616z00_31689;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_tmpz00_31690;
																																																																								BgL_tmpz00_31690
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_l1500z00_6623));
																																																																								BgL_test10616z00_31689
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_31690);
																																																																							}
																																																																							if (BgL_test10616z00_31689)
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test10615z00_31688
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test10615z00_31688
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_test10615z00_31688)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1500z00_31694;
																																																																								BgL_l1500z00_31694
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_l1500z00_6623));
																																																																								BgL_l1500z00_6623
																																																																									=
																																																																									BgL_l1500z00_31694;
																																																																								goto
																																																																									BgL_zc3z04anonymousza35276ze3z87_6624;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test10613z00_31685
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_test10613z00_31685)
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg5266z00_6606;
																																																																					BgL_arg5266z00_6606
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd268543zd2_6582));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_31699;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_31703;
																																																																							obj_t
																																																																								BgL_proc2z00_31702;
																																																																							obj_t
																																																																								BgL_proc1z00_31701;
																																																																							obj_t
																																																																								BgL_testz00_31700;
																																																																							BgL_testz00_31700
																																																																								=
																																																																								BgL_arg5266z00_6606;
																																																																							BgL_proc1z00_31701
																																																																								=
																																																																								BgL_carzd268554zd2_6586;
																																																																							BgL_proc2z00_31702
																																																																								=
																																																																								BgL_carzd268562zd2_6590;
																																																																							BgL_argsz00_31703
																																																																								=
																																																																								BgL_cdrzd268537zd2_6581;
																																																																							BgL_argsz00_1812
																																																																								=
																																																																								BgL_argsz00_31703;
																																																																							BgL_proc2z00_1811
																																																																								=
																																																																								BgL_proc2z00_31702;
																																																																							BgL_proc1z00_1810
																																																																								=
																																																																								BgL_proc1z00_31701;
																																																																							BgL_testz00_1809
																																																																								=
																																																																								BgL_testz00_31700;
																																																																							goto
																																																																								BgL_tagzd2388zd2_1813;
																																																																						}
																																																																						BgL_auxz00_31602
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_31699);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd268586zd2_6607;
																																																																					BgL_cdrzd268586zd2_6607
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd268593zd2_6608;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_14568;
																																																																							BgL_pairz00_14568
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd268593zd2_6608
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_14568);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd268600zd2_6609;
																																																																							BgL_cdrzd268600zd2_6609
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd268593zd2_6608));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd268606zd2_6610;
																																																																								BgL_carzd268606zd2_6610
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd268600zd2_6609));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd268606zd2_6610))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd268613zd2_6612;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_14572;
																																																																											BgL_pairz00_14572
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd268600zd2_6609));
																																																																											BgL_carzd268613zd2_6612
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_14572);
																																																																										}
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd268613zd2_6612))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd268586zd2_6607))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg5270z00_6615;
																																																																														BgL_arg5270z00_6615
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd268593zd2_6608));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_31725;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_31729;
																																																																																obj_t
																																																																																	BgL_proc2z00_31728;
																																																																																obj_t
																																																																																	BgL_proc1z00_31727;
																																																																																obj_t
																																																																																	BgL_testz00_31726;
																																																																																BgL_testz00_31726
																																																																																	=
																																																																																	BgL_arg5270z00_6615;
																																																																																BgL_proc1z00_31727
																																																																																	=
																																																																																	BgL_carzd268606zd2_6610;
																																																																																BgL_proc2z00_31728
																																																																																	=
																																																																																	BgL_carzd268613zd2_6612;
																																																																																BgL_argsz00_31729
																																																																																	=
																																																																																	BgL_cdrzd268586zd2_6607;
																																																																																BgL_argsz00_1817
																																																																																	=
																																																																																	BgL_argsz00_31729;
																																																																																BgL_proc2z00_1816
																																																																																	=
																																																																																	BgL_proc2z00_31728;
																																																																																BgL_proc1z00_1815
																																																																																	=
																																																																																	BgL_proc1z00_31727;
																																																																																BgL_testz00_1814
																																																																																	=
																																																																																	BgL_testz00_31726;
																																																																																goto
																																																																																	BgL_tagzd2389zd2_1818;
																																																																															}
																																																																															BgL_auxz00_31602
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_31725);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_31733;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																																BgL_auxz00_31602
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_31733);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_31737;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_31602
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_31737);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_31741;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_31602
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_31741);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1842;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_31745;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1843;
																																																																					BgL_auxz00_31602
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_31745);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd268889zd2_6634;
																																																																	BgL_cdrzd268889zd2_6634
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd268895zd2_6635;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_14576;
																																																																			BgL_pairz00_14576
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd268895zd2_6635
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_14576);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd268901zd2_6636;
																																																																			BgL_cdrzd268901zd2_6636
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd268895zd2_6635));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd268906zd2_6637;
																																																																				obj_t
																																																																					BgL_cdrzd268907zd2_6638;
																																																																				BgL_carzd268906zd2_6637
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd268901zd2_6636));
																																																																				BgL_cdrzd268907zd2_6638
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd268901zd2_6636));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd268906zd2_6637))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd268912zd2_6640;
																																																																						BgL_carzd268912zd2_6640
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd268907zd2_6638));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd268912zd2_6640))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd268907zd2_6638))))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd268889zd2_6634))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg5285z00_6645;
																																																																												BgL_arg5285z00_6645
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd268895zd2_6635));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_31772;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_31776;
																																																																														obj_t
																																																																															BgL_proc2z00_31775;
																																																																														obj_t
																																																																															BgL_proc1z00_31774;
																																																																														obj_t
																																																																															BgL_testz00_31773;
																																																																														BgL_testz00_31773
																																																																															=
																																																																															BgL_arg5285z00_6645;
																																																																														BgL_proc1z00_31774
																																																																															=
																																																																															BgL_carzd268906zd2_6637;
																																																																														BgL_proc2z00_31775
																																																																															=
																																																																															BgL_carzd268912zd2_6640;
																																																																														BgL_argsz00_31776
																																																																															=
																																																																															BgL_cdrzd268889zd2_6634;
																																																																														BgL_argsz00_1817
																																																																															=
																																																																															BgL_argsz00_31776;
																																																																														BgL_proc2z00_1816
																																																																															=
																																																																															BgL_proc2z00_31775;
																																																																														BgL_proc1z00_1815
																																																																															=
																																																																															BgL_proc1z00_31774;
																																																																														BgL_testz00_1814
																																																																															=
																																																																															BgL_testz00_31773;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1818;
																																																																													}
																																																																													BgL_auxz00_31602
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_31772);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_31780;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_31602
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_31780);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_31784;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_31602
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_31784);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_31788;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_31602
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_31788);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_31792;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_31602
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_31792);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1842;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_31796;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1843;
																																																																	BgL_auxz00_31602
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_31796);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd269245zd2_6653;
																																																													BgL_cdrzd269245zd2_6653
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd269252zd2_6654;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_pairz00_14585;
																																																															BgL_pairz00_14585
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd269252zd2_6654
																																																																=
																																																																CDR
																																																																(BgL_pairz00_14585);
																																																														}
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd269259zd2_6655;
																																																															BgL_cdrzd269259zd2_6655
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd269252zd2_6654));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd269265zd2_6656;
																																																																obj_t
																																																																	BgL_cdrzd269266zd2_6657;
																																																																BgL_carzd269265zd2_6656
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd269259zd2_6655));
																																																																BgL_cdrzd269266zd2_6657
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd269259zd2_6655));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd269265zd2_6656))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd269266zd2_6657))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd269273zd2_6660;
																																																																				BgL_carzd269273zd2_6660
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd269266zd2_6657);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd269273zd2_6660))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd269266zd2_6657)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd269245zd2_6653))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg5299z00_6665;
																																																																										BgL_arg5299z00_6665
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd269252zd2_6654));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_31823;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_31827;
																																																																												obj_t
																																																																													BgL_proc2z00_31826;
																																																																												obj_t
																																																																													BgL_proc1z00_31825;
																																																																												obj_t
																																																																													BgL_testz00_31824;
																																																																												BgL_testz00_31824
																																																																													=
																																																																													BgL_arg5299z00_6665;
																																																																												BgL_proc1z00_31825
																																																																													=
																																																																													BgL_carzd269265zd2_6656;
																																																																												BgL_proc2z00_31826
																																																																													=
																																																																													BgL_carzd269273zd2_6660;
																																																																												BgL_argsz00_31827
																																																																													=
																																																																													BgL_cdrzd269245zd2_6653;
																																																																												BgL_argsz00_1817
																																																																													=
																																																																													BgL_argsz00_31827;
																																																																												BgL_proc2z00_1816
																																																																													=
																																																																													BgL_proc2z00_31826;
																																																																												BgL_proc1z00_1815
																																																																													=
																																																																													BgL_proc1z00_31825;
																																																																												BgL_testz00_1814
																																																																													=
																																																																													BgL_testz00_31824;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1818;
																																																																											}
																																																																											BgL_auxz00_31602
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_31823);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_31831;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_31602
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_31831);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_31835;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_31602
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_31835);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_31839;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_31602
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_31839);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_31843;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_31602
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_31843);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_31847;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_31602
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_31847);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2404zd2_1842;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_31851;
																																																												goto
																																																													BgL_tagzd2405zd2_1843;
																																																												BgL_auxz00_31602
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_31851);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test10644z00_31853;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg5242z00_6566;
																																																	BgL_arg5242z00_6566
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test10644z00_31853
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg5242z00_6566));
																																																}
																																																if (BgL_test10644z00_31853)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_31858;
																																																		goto
																																																			BgL_tagzd2385zd2_1800;
																																																		BgL_auxz00_31602
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_31858);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd269705zd2_6463;
																																																		BgL_carzd269705zd2_6463
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd269710zd2_6464;
																																																			BgL_cdrzd269710zd2_6464
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd269705zd2_6463));
																																																			if ((CAR(((obj_t) BgL_carzd269705zd2_6463)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5183z00_6467;
																																																					obj_t
																																																						BgL_arg5184z00_6468;
																																																					obj_t
																																																						BgL_arg5185z00_6469;
																																																					BgL_arg5183z00_6467
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd269710zd2_6464));
																																																					BgL_arg5184z00_6468
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd269710zd2_6464));
																																																					BgL_arg5185z00_6469
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_31875;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_31878;
																																																							obj_t
																																																								BgL_bodyz00_31877;
																																																							obj_t
																																																								BgL_varsz00_31876;
																																																							BgL_varsz00_31876
																																																								=
																																																								BgL_arg5183z00_6467;
																																																							BgL_bodyz00_31877
																																																								=
																																																								BgL_arg5184z00_6468;
																																																							BgL_argsz00_31878
																																																								=
																																																								BgL_arg5185z00_6469;
																																																							BgL_argsz00_1807
																																																								=
																																																								BgL_argsz00_31878;
																																																							BgL_bodyz00_1806
																																																								=
																																																								BgL_bodyz00_31877;
																																																							BgL_varsz00_1805
																																																								=
																																																								BgL_varsz00_31876;
																																																							goto
																																																								BgL_tagzd2387zd2_1808;
																																																						}
																																																						BgL_auxz00_31602
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_31875);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd269733zd2_6471;
																																																					BgL_cdrzd269733zd2_6471
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd269739zd2_6472;
																																																						BgL_cdrzd269739zd2_6472
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd269705zd2_6463));
																																																						if ((CAR(((obj_t) BgL_carzd269705zd2_6463)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd269745zd2_6475;
																																																								BgL_cdrzd269745zd2_6475
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd269739zd2_6472));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd269750zd2_6476;
																																																									obj_t
																																																										BgL_cdrzd269751zd2_6477;
																																																									BgL_carzd269750zd2_6476
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd269745zd2_6475));
																																																									BgL_cdrzd269751zd2_6477
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd269745zd2_6475));
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd269750zd2_6476))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd269751zd2_6477))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd269758zd2_6480;
																																																													BgL_carzd269758zd2_6480
																																																														=
																																																														CAR
																																																														(BgL_cdrzd269751zd2_6477);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd269758zd2_6480))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (NULLP(CDR(BgL_cdrzd269751zd2_6477)))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	bool_t
																																																																		BgL_test10651z00_31905;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1503z00_6513;
																																																																		BgL_l1503z00_6513
																																																																			=
																																																																			BgL_cdrzd269733zd2_6471;
																																																																	BgL_zc3z04anonymousza35208ze3z87_6514:
																																																																		if (NULLP(BgL_l1503z00_6513))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				BgL_test10651z00_31905
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test10653z00_31908;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test10654z00_31909;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_tmpz00_31910;
																																																																						BgL_tmpz00_31910
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_l1503z00_6513));
																																																																						BgL_test10654z00_31909
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_31910);
																																																																					}
																																																																					if (BgL_test10654z00_31909)
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test10653z00_31908
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test10653z00_31908
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_test10653z00_31908)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1503z00_31914;
																																																																						BgL_l1503z00_31914
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_l1503z00_6513));
																																																																						BgL_l1503z00_6513
																																																																							=
																																																																							BgL_l1503z00_31914;
																																																																						goto
																																																																							BgL_zc3z04anonymousza35208ze3z87_6514;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						BgL_test10651z00_31905
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_test10651z00_31905)
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg5198z00_6496;
																																																																			BgL_arg5198z00_6496
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd269739zd2_6472));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_31919;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_31923;
																																																																					obj_t
																																																																						BgL_proc2z00_31922;
																																																																					obj_t
																																																																						BgL_proc1z00_31921;
																																																																					obj_t
																																																																						BgL_testz00_31920;
																																																																					BgL_testz00_31920
																																																																						=
																																																																						BgL_arg5198z00_6496;
																																																																					BgL_proc1z00_31921
																																																																						=
																																																																						BgL_carzd269750zd2_6476;
																																																																					BgL_proc2z00_31922
																																																																						=
																																																																						BgL_carzd269758zd2_6480;
																																																																					BgL_argsz00_31923
																																																																						=
																																																																						BgL_cdrzd269733zd2_6471;
																																																																					BgL_argsz00_1812
																																																																						=
																																																																						BgL_argsz00_31923;
																																																																					BgL_proc2z00_1811
																																																																						=
																																																																						BgL_proc2z00_31922;
																																																																					BgL_proc1z00_1810
																																																																						=
																																																																						BgL_proc1z00_31921;
																																																																					BgL_testz00_1809
																																																																						=
																																																																						BgL_testz00_31920;
																																																																					goto
																																																																						BgL_tagzd2388zd2_1813;
																																																																				}
																																																																				BgL_auxz00_31602
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_31919);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd269782zd2_6497;
																																																																			BgL_cdrzd269782zd2_6497
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd269789zd2_6498;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_14614;
																																																																					BgL_pairz00_14614
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd269789zd2_6498
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_14614);
																																																																				}
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd269796zd2_6499;
																																																																					BgL_cdrzd269796zd2_6499
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd269789zd2_6498));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd269802zd2_6500;
																																																																						BgL_carzd269802zd2_6500
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd269796zd2_6499));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd269802zd2_6500))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd269809zd2_6502;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_14618;
																																																																									BgL_pairz00_14618
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd269796zd2_6499));
																																																																									BgL_carzd269809zd2_6502
																																																																										=
																																																																										CAR
																																																																										(BgL_pairz00_14618);
																																																																								}
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd269809zd2_6502))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd269782zd2_6497))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg5202z00_6505;
																																																																												BgL_arg5202z00_6505
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd269789zd2_6498));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_31945;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_31949;
																																																																														obj_t
																																																																															BgL_proc2z00_31948;
																																																																														obj_t
																																																																															BgL_proc1z00_31947;
																																																																														obj_t
																																																																															BgL_testz00_31946;
																																																																														BgL_testz00_31946
																																																																															=
																																																																															BgL_arg5202z00_6505;
																																																																														BgL_proc1z00_31947
																																																																															=
																																																																															BgL_carzd269802zd2_6500;
																																																																														BgL_proc2z00_31948
																																																																															=
																																																																															BgL_carzd269809zd2_6502;
																																																																														BgL_argsz00_31949
																																																																															=
																																																																															BgL_cdrzd269782zd2_6497;
																																																																														BgL_argsz00_1817
																																																																															=
																																																																															BgL_argsz00_31949;
																																																																														BgL_proc2z00_1816
																																																																															=
																																																																															BgL_proc2z00_31948;
																																																																														BgL_proc1z00_1815
																																																																															=
																																																																															BgL_proc1z00_31947;
																																																																														BgL_testz00_1814
																																																																															=
																																																																															BgL_testz00_31946;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1818;
																																																																													}
																																																																													BgL_auxz00_31602
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_31945);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_31953;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																														BgL_auxz00_31602
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_31953);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_31957;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_31602
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_31957);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_31961;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_31602
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_31961);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_31965;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																			BgL_auxz00_31602
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_31965);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd270085zd2_6524;
																																																															BgL_cdrzd270085zd2_6524
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd270091zd2_6525;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_14622;
																																																																	BgL_pairz00_14622
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd270091zd2_6525
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_14622);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd270097zd2_6526;
																																																																	BgL_cdrzd270097zd2_6526
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd270091zd2_6525));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd270102zd2_6527;
																																																																		obj_t
																																																																			BgL_cdrzd270103zd2_6528;
																																																																		BgL_carzd270102zd2_6527
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd270097zd2_6526));
																																																																		BgL_cdrzd270103zd2_6528
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd270097zd2_6526));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd270102zd2_6527))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd270108zd2_6530;
																																																																				BgL_carzd270108zd2_6530
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd270103zd2_6528));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd270108zd2_6530))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd270103zd2_6528))))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd270085zd2_6524))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg5217z00_6535;
																																																																										BgL_arg5217z00_6535
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd270091zd2_6525));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_31992;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_31996;
																																																																												obj_t
																																																																													BgL_proc2z00_31995;
																																																																												obj_t
																																																																													BgL_proc1z00_31994;
																																																																												obj_t
																																																																													BgL_testz00_31993;
																																																																												BgL_testz00_31993
																																																																													=
																																																																													BgL_arg5217z00_6535;
																																																																												BgL_proc1z00_31994
																																																																													=
																																																																													BgL_carzd270102zd2_6527;
																																																																												BgL_proc2z00_31995
																																																																													=
																																																																													BgL_carzd270108zd2_6530;
																																																																												BgL_argsz00_31996
																																																																													=
																																																																													BgL_cdrzd270085zd2_6524;
																																																																												BgL_argsz00_1817
																																																																													=
																																																																													BgL_argsz00_31996;
																																																																												BgL_proc2z00_1816
																																																																													=
																																																																													BgL_proc2z00_31995;
																																																																												BgL_proc1z00_1815
																																																																													=
																																																																													BgL_proc1z00_31994;
																																																																												BgL_testz00_1814
																																																																													=
																																																																													BgL_testz00_31993;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1818;
																																																																											}
																																																																											BgL_auxz00_31602
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_31992);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_32000;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																												BgL_auxz00_31602
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_32000);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_32004;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_31602
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_32004);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_32008;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_31602
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_32008);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_32012;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_31602
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_32012);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_32016;
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																															BgL_auxz00_31602
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_32016);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd270441zd2_6543;
																																																											BgL_cdrzd270441zd2_6543
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd270448zd2_6544;
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_pairz00_14631;
																																																													BgL_pairz00_14631
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd270448zd2_6544
																																																														=
																																																														CDR
																																																														(BgL_pairz00_14631);
																																																												}
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd270455zd2_6545;
																																																													BgL_cdrzd270455zd2_6545
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd270448zd2_6544));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd270461zd2_6546;
																																																														obj_t
																																																															BgL_cdrzd270462zd2_6547;
																																																														BgL_carzd270461zd2_6546
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd270455zd2_6545));
																																																														BgL_cdrzd270462zd2_6547
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd270455zd2_6545));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd270461zd2_6546))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd270462zd2_6547))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd270469zd2_6550;
																																																																		BgL_carzd270469zd2_6550
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd270462zd2_6547);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd270469zd2_6550))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd270462zd2_6547)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd270441zd2_6543))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg5231z00_6555;
																																																																								BgL_arg5231z00_6555
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd270448zd2_6544));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_32043;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_32047;
																																																																										obj_t
																																																																											BgL_proc2z00_32046;
																																																																										obj_t
																																																																											BgL_proc1z00_32045;
																																																																										obj_t
																																																																											BgL_testz00_32044;
																																																																										BgL_testz00_32044
																																																																											=
																																																																											BgL_arg5231z00_6555;
																																																																										BgL_proc1z00_32045
																																																																											=
																																																																											BgL_carzd270461zd2_6546;
																																																																										BgL_proc2z00_32046
																																																																											=
																																																																											BgL_carzd270469zd2_6550;
																																																																										BgL_argsz00_32047
																																																																											=
																																																																											BgL_cdrzd270441zd2_6543;
																																																																										BgL_argsz00_1817
																																																																											=
																																																																											BgL_argsz00_32047;
																																																																										BgL_proc2z00_1816
																																																																											=
																																																																											BgL_proc2z00_32046;
																																																																										BgL_proc1z00_1815
																																																																											=
																																																																											BgL_proc1z00_32045;
																																																																										BgL_testz00_1814
																																																																											=
																																																																											BgL_testz00_32044;
																																																																										goto
																																																																											BgL_tagzd2389zd2_1818;
																																																																									}
																																																																									BgL_auxz00_31602
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_32043);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_32051;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_31602
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_32051);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_32055;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																								BgL_auxz00_31602
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_32055);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_32059;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_31602
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_32059);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_32063;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_31602
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_32063);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_32067;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_31602
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_32067);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2404zd2_1842;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_32071;
																																																										goto
																																																											BgL_tagzd2405zd2_1843;
																																																										BgL_auxz00_31602
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_32071);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd270861zd2_6678;
																																										BgL_cdrzd270861zd2_6678
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{

																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test10682z00_32075;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg5324z00_6694;
																																													BgL_arg5324z00_6694
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test10682z00_32075
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg5324z00_6694));
																																												}
																																												if (BgL_test10682z00_32075)
																																													{	/* Ast/sexp.scm 119 */
																																														if (PAIRP(BgL_cdrzd270861zd2_6678))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg5326z00_6696;
																																																obj_t
																																																	BgL_arg5327z00_6697;
																																																BgL_arg5326z00_6696
																																																	=
																																																	CAR
																																																	(BgL_cdrzd270861zd2_6678);
																																																BgL_arg5327z00_6697
																																																	=
																																																	CDR
																																																	(BgL_cdrzd270861zd2_6678);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_32084;
																																																	{
																																																		obj_t
																																																			BgL_exprz00_32086;
																																																		obj_t
																																																			BgL_bindingsz00_32085;
																																																		BgL_bindingsz00_32085
																																																			=
																																																			BgL_arg5326z00_6696;
																																																		BgL_exprz00_32086
																																																			=
																																																			BgL_arg5327z00_6697;
																																																		BgL_exprz00_1797
																																																			=
																																																			BgL_exprz00_32086;
																																																		BgL_bindingsz00_1796
																																																			=
																																																			BgL_bindingsz00_32085;
																																																		goto
																																																			BgL_tagzd2383zd2_1798;
																																																	}
																																																	BgL_auxz00_31602
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_32084);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test10684z00_32088;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg5337z00_6709;
																																																	BgL_arg5337z00_6709
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test10684z00_32088
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg5337z00_6709));
																																																}
																																																if (BgL_test10684z00_32088)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_32093;
																																																		goto
																																																			BgL_tagzd2385zd2_1800;
																																																		BgL_auxz00_31602
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_32093);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd270924zd2_6700;
																																																		BgL_carzd270924zd2_6700
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd270929zd2_6701;
																																																			BgL_cdrzd270929zd2_6701
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd270924zd2_6700));
																																																			if ((CAR(((obj_t) BgL_carzd270924zd2_6700)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5332z00_6704;
																																																					obj_t
																																																						BgL_arg5333z00_6705;
																																																					obj_t
																																																						BgL_arg5334z00_6706;
																																																					BgL_arg5332z00_6704
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd270929zd2_6701));
																																																					BgL_arg5333z00_6705
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd270929zd2_6701));
																																																					BgL_arg5334z00_6706
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_32110;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_32113;
																																																							obj_t
																																																								BgL_bodyz00_32112;
																																																							obj_t
																																																								BgL_varsz00_32111;
																																																							BgL_varsz00_32111
																																																								=
																																																								BgL_arg5332z00_6704;
																																																							BgL_bodyz00_32112
																																																								=
																																																								BgL_arg5333z00_6705;
																																																							BgL_argsz00_32113
																																																								=
																																																								BgL_arg5334z00_6706;
																																																							BgL_argsz00_1807
																																																								=
																																																								BgL_argsz00_32113;
																																																							BgL_bodyz00_1806
																																																								=
																																																								BgL_bodyz00_32112;
																																																							BgL_varsz00_1805
																																																								=
																																																								BgL_varsz00_32111;
																																																							goto
																																																								BgL_tagzd2387zd2_1808;
																																																						}
																																																						BgL_auxz00_31602
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_32110);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2404zd2_1842;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_32117;
																																																							goto
																																																								BgL_tagzd2405zd2_1843;
																																																							BgL_auxz00_31602
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_32117);
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test10687z00_32119;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg5323z00_6693;
																																															BgL_arg5323z00_6693
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test10687z00_32119
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg5323z00_6693));
																																														}
																																														if (BgL_test10687z00_32119)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_32124;
																																																goto
																																																	BgL_tagzd2385zd2_1800;
																																																BgL_auxz00_31602
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_32124);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd271078zd2_6684;
																																																BgL_carzd271078zd2_6684
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd271083zd2_6685;
																																																	BgL_cdrzd271083zd2_6685
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd271078zd2_6684));
																																																	if ((CAR(((obj_t) BgL_carzd271078zd2_6684)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5318z00_6688;
																																																			obj_t
																																																				BgL_arg5319z00_6689;
																																																			obj_t
																																																				BgL_arg5320z00_6690;
																																																			BgL_arg5318z00_6688
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd271083zd2_6685));
																																																			BgL_arg5319z00_6689
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd271083zd2_6685));
																																																			BgL_arg5320z00_6690
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_32141;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_32144;
																																																					obj_t
																																																						BgL_bodyz00_32143;
																																																					obj_t
																																																						BgL_varsz00_32142;
																																																					BgL_varsz00_32142
																																																						=
																																																						BgL_arg5318z00_6688;
																																																					BgL_bodyz00_32143
																																																						=
																																																						BgL_arg5319z00_6689;
																																																					BgL_argsz00_32144
																																																						=
																																																						BgL_arg5320z00_6690;
																																																					BgL_argsz00_1807
																																																						=
																																																						BgL_argsz00_32144;
																																																					BgL_bodyz00_1806
																																																						=
																																																						BgL_bodyz00_32143;
																																																					BgL_varsz00_1805
																																																						=
																																																						BgL_varsz00_32142;
																																																					goto
																																																						BgL_tagzd2387zd2_1808;
																																																				}
																																																				BgL_auxz00_31602
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_32141);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2404zd2_1842;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_32148;
																																																					goto
																																																						BgL_tagzd2405zd2_1843;
																																																					BgL_auxz00_31602
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_32148);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								obj_t
																																									BgL_cdrzd271193zd2_6710;
																																								BgL_cdrzd271193zd2_6710
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_expz00_21));
																																								{

																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test10690z00_32152;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg5344z00_6718;
																																											BgL_arg5344z00_6718
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test10690z00_32152
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg5344z00_6718));
																																										}
																																										if (BgL_test10690z00_32152)
																																											{	/* Ast/sexp.scm 119 */
																																												if (PAIRP(BgL_cdrzd271193zd2_6710))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg5346z00_6720;
																																														obj_t
																																															BgL_arg5347z00_6721;
																																														BgL_arg5346z00_6720
																																															=
																																															CAR
																																															(BgL_cdrzd271193zd2_6710);
																																														BgL_arg5347z00_6721
																																															=
																																															CDR
																																															(BgL_cdrzd271193zd2_6710);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_32161;
																																															{
																																																obj_t
																																																	BgL_exprz00_32163;
																																																obj_t
																																																	BgL_bindingsz00_32162;
																																																BgL_bindingsz00_32162
																																																	=
																																																	BgL_arg5346z00_6720;
																																																BgL_exprz00_32163
																																																	=
																																																	BgL_arg5347z00_6721;
																																																BgL_exprz00_1797
																																																	=
																																																	BgL_exprz00_32163;
																																																BgL_bindingsz00_1796
																																																	=
																																																	BgL_bindingsz00_32162;
																																																goto
																																																	BgL_tagzd2383zd2_1798;
																																															}
																																															BgL_auxz00_31602
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_32161);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test10692z00_32165;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg5351z00_6725;
																																															BgL_arg5351z00_6725
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test10692z00_32165
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg5351z00_6725));
																																														}
																																														if (BgL_test10692z00_32165)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_32170;
																																																goto
																																																	BgL_tagzd2385zd2_1800;
																																																BgL_auxz00_31602
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_32170);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd2404zd2_1842;
																																																	}
																																																else
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_32174;
																																																		goto
																																																			BgL_tagzd2405zd2_1843;
																																																		BgL_auxz00_31602
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_32174);
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test10694z00_32176;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg5343z00_6717;
																																													BgL_arg5343z00_6717
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test10694z00_32176
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg5343z00_6717));
																																												}
																																												if (BgL_test10694z00_32176)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_32181;
																																														goto
																																															BgL_tagzd2385zd2_1800;
																																														BgL_auxz00_31602
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_32181);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd2404zd2_1842;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_32185;
																																																goto
																																																	BgL_tagzd2405zd2_1843;
																																																BgL_auxz00_31602
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_32185);
																																															}
																																													}
																																											}
																																									}
																																								}
																																							}
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_auxz00_31602);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 119 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd268417zd2_6150)))
																																							{
																																								obj_t
																																									BgL_auxz00_32191;
																																								goto
																																									BgL_kapzd268419zd2_6152;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_32191);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if ((BgL_carzd268417zd2_6150 == CNST_TABLE_REF(((long) 19))))
																																									{
																																										obj_t
																																											BgL_auxz00_32196;
																																										goto
																																											BgL_kapzd268419zd2_6152;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_32196);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd268417zd2_6150 == CNST_TABLE_REF(((long) 20))))
																																											{
																																												obj_t
																																													BgL_auxz00_32201;
																																												goto
																																													BgL_kapzd268419zd2_6152;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_32201);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd268417zd2_6150)))
																																													{
																																														obj_t
																																															BgL_auxz00_32206;
																																														goto
																																															BgL_kapzd268419zd2_6152;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_32206);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd271502zd2_6155;
																																														BgL_cdrzd271502zd2_6155
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{

																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test10700z00_32210;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg5097z00_6334;
																																																	BgL_arg5097z00_6334
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test10700z00_32210
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg5097z00_6334));
																																																}
																																																if (BgL_test10700z00_32210)
																																																	{
																																																		obj_t
																																																			BgL_auxz00_32215;
																																																		if (PAIRP(BgL_cdrzd271502zd2_6155))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg5099z00_6336;
																																																				obj_t
																																																					BgL_arg5100z00_6337;
																																																				BgL_arg5099z00_6336
																																																					=
																																																					CAR
																																																					(BgL_cdrzd271502zd2_6155);
																																																				BgL_arg5100z00_6337
																																																					=
																																																					CDR
																																																					(BgL_cdrzd271502zd2_6155);
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_32220;
																																																					{
																																																						obj_t
																																																							BgL_exprz00_32222;
																																																						obj_t
																																																							BgL_bindingsz00_32221;
																																																						BgL_bindingsz00_32221
																																																							=
																																																							BgL_arg5099z00_6336;
																																																						BgL_exprz00_32222
																																																							=
																																																							BgL_arg5100z00_6337;
																																																						BgL_exprz00_1797
																																																							=
																																																							BgL_exprz00_32222;
																																																						BgL_bindingsz00_1796
																																																							=
																																																							BgL_bindingsz00_32221;
																																																						goto
																																																							BgL_tagzd2383zd2_1798;
																																																					}
																																																					BgL_auxz00_32215
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_32220);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				bool_t
																																																					BgL_test10702z00_32224;
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5170z00_6449;
																																																					BgL_arg5170z00_6449
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_test10702z00_32224
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg5170z00_6449));
																																																				}
																																																				if (BgL_test10702z00_32224)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_32229;
																																																						goto
																																																							BgL_tagzd2385zd2_1800;
																																																						BgL_auxz00_32215
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_32229);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_carzd271565zd2_6340;
																																																						BgL_carzd271565zd2_6340
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd271570zd2_6341;
																																																							BgL_cdrzd271570zd2_6341
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd271565zd2_6340));
																																																							if ((CAR(((obj_t) BgL_carzd271565zd2_6340)) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd271570zd2_6341))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg5106z00_6345;
																																																											obj_t
																																																												BgL_arg5107z00_6346;
																																																											obj_t
																																																												BgL_arg5108z00_6347;
																																																											BgL_arg5106z00_6345
																																																												=
																																																												CAR
																																																												(BgL_cdrzd271570zd2_6341);
																																																											BgL_arg5107z00_6346
																																																												=
																																																												CDR
																																																												(BgL_cdrzd271570zd2_6341);
																																																											BgL_arg5108z00_6347
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_32246;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_32249;
																																																													obj_t
																																																														BgL_bodyz00_32248;
																																																													obj_t
																																																														BgL_varsz00_32247;
																																																													BgL_varsz00_32247
																																																														=
																																																														BgL_arg5106z00_6345;
																																																													BgL_bodyz00_32248
																																																														=
																																																														BgL_arg5107z00_6346;
																																																													BgL_argsz00_32249
																																																														=
																																																														BgL_arg5108z00_6347;
																																																													BgL_argsz00_1807
																																																														=
																																																														BgL_argsz00_32249;
																																																													BgL_bodyz00_1806
																																																														=
																																																														BgL_bodyz00_32248;
																																																													BgL_varsz00_1805
																																																														=
																																																														BgL_varsz00_32247;
																																																													goto
																																																														BgL_tagzd2387zd2_1808;
																																																												}
																																																												BgL_auxz00_32215
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_32246);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1842;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_32253;
																																																													goto
																																																														BgL_tagzd2405zd2_1843;
																																																													BgL_auxz00_32215
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_32253);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd271677zd2_6350;
																																																									BgL_cdrzd271677zd2_6350
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd271682zd2_6351;
																																																										BgL_cdrzd271682zd2_6351
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd271565zd2_6340));
																																																										if ((CAR(((obj_t) BgL_carzd271565zd2_6340)) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd271682zd2_6351))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd271687zd2_6355;
																																																														BgL_cdrzd271687zd2_6355
																																																															=
																																																															CDR
																																																															(BgL_cdrzd271682zd2_6351);
																																																														if (PAIRP(BgL_cdrzd271687zd2_6355))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd271691zd2_6357;
																																																																obj_t
																																																																	BgL_cdrzd271692zd2_6358;
																																																																BgL_carzd271691zd2_6357
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd271687zd2_6355);
																																																																BgL_cdrzd271692zd2_6358
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd271687zd2_6355);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd271691zd2_6357))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd271692zd2_6358))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd271697zd2_6361;
																																																																				BgL_carzd271697zd2_6361
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd271692zd2_6358);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd271697zd2_6361))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd271692zd2_6358)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test10713z00_32281;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1506z00_6394;
																																																																									BgL_l1506z00_6394
																																																																										=
																																																																										BgL_cdrzd271677zd2_6350;
																																																																								BgL_zc3z04anonymousza35134ze3z87_6395:
																																																																									if (NULLP(BgL_l1506z00_6394))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test10713z00_32281
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test10715z00_32284;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test10716z00_32285;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_tmpz00_32286;
																																																																													BgL_tmpz00_32286
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1506z00_6394));
																																																																													BgL_test10716z00_32285
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_32286);
																																																																												}
																																																																												if (BgL_test10716z00_32285)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test10715z00_32284
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test10715z00_32284
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_test10715z00_32284)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1506z00_32290;
																																																																													BgL_l1506z00_32290
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1506z00_6394));
																																																																													BgL_l1506z00_6394
																																																																														=
																																																																														BgL_l1506z00_32290;
																																																																													goto
																																																																														BgL_zc3z04anonymousza35134ze3z87_6395;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test10713z00_32281
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_test10713z00_32281)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg5124z00_6377;
																																																																										BgL_arg5124z00_6377
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd271682zd2_6351);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_32294;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_32298;
																																																																												obj_t
																																																																													BgL_proc2z00_32297;
																																																																												obj_t
																																																																													BgL_proc1z00_32296;
																																																																												obj_t
																																																																													BgL_testz00_32295;
																																																																												BgL_testz00_32295
																																																																													=
																																																																													BgL_arg5124z00_6377;
																																																																												BgL_proc1z00_32296
																																																																													=
																																																																													BgL_carzd271691zd2_6357;
																																																																												BgL_proc2z00_32297
																																																																													=
																																																																													BgL_carzd271697zd2_6361;
																																																																												BgL_argsz00_32298
																																																																													=
																																																																													BgL_cdrzd271677zd2_6350;
																																																																												BgL_argsz00_1812
																																																																													=
																																																																													BgL_argsz00_32298;
																																																																												BgL_proc2z00_1811
																																																																													=
																																																																													BgL_proc2z00_32297;
																																																																												BgL_proc1z00_1810
																																																																													=
																																																																													BgL_proc1z00_32296;
																																																																												BgL_testz00_1809
																																																																													=
																																																																													BgL_testz00_32295;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1813;
																																																																											}
																																																																											BgL_auxz00_32215
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_32294);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd271722zd2_6378;
																																																																										BgL_cdrzd271722zd2_6378
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd271730zd2_6379;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_14686;
																																																																												BgL_pairz00_14686
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd271730zd2_6379
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_14686);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd271738zd2_6380;
																																																																												BgL_cdrzd271738zd2_6380
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd271730zd2_6379));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd271745zd2_6381;
																																																																													BgL_carzd271745zd2_6381
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd271738zd2_6380));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd271745zd2_6381))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd271754zd2_6383;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_14690;
																																																																																BgL_pairz00_14690
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd271738zd2_6380));
																																																																																BgL_carzd271754zd2_6383
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_14690);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd271754zd2_6383))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd271722zd2_6378))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg5128z00_6386;
																																																																																			BgL_arg5128z00_6386
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd271730zd2_6379));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_32320;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_32324;
																																																																																					obj_t
																																																																																						BgL_proc2z00_32323;
																																																																																					obj_t
																																																																																						BgL_proc1z00_32322;
																																																																																					obj_t
																																																																																						BgL_testz00_32321;
																																																																																					BgL_testz00_32321
																																																																																						=
																																																																																						BgL_arg5128z00_6386;
																																																																																					BgL_proc1z00_32322
																																																																																						=
																																																																																						BgL_carzd271745zd2_6381;
																																																																																					BgL_proc2z00_32323
																																																																																						=
																																																																																						BgL_carzd271754zd2_6383;
																																																																																					BgL_argsz00_32324
																																																																																						=
																																																																																						BgL_cdrzd271722zd2_6378;
																																																																																					BgL_argsz00_1817
																																																																																						=
																																																																																						BgL_argsz00_32324;
																																																																																					BgL_proc2z00_1816
																																																																																						=
																																																																																						BgL_proc2z00_32323;
																																																																																					BgL_proc1z00_1815
																																																																																						=
																																																																																						BgL_proc1z00_32322;
																																																																																					BgL_testz00_1814
																																																																																						=
																																																																																						BgL_testz00_32321;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1818;
																																																																																				}
																																																																																				BgL_auxz00_32215
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_32320);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1842;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_32328;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1843;
																																																																																					BgL_auxz00_32215
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_32328);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_32332;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_32215
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_32332);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_32336;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_32215
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_32336);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_32340;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																										BgL_auxz00_32215
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_32340);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd272032zd2_6405;
																																																																						BgL_cdrzd272032zd2_6405
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd272039zd2_6406;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_14694;
																																																																								BgL_pairz00_14694
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd272039zd2_6406
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_14694);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd272046zd2_6407;
																																																																								BgL_cdrzd272046zd2_6407
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd272039zd2_6406));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd272052zd2_6408;
																																																																									obj_t
																																																																										BgL_cdrzd272053zd2_6409;
																																																																									BgL_carzd272052zd2_6408
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd272046zd2_6407));
																																																																									BgL_cdrzd272053zd2_6409
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd272046zd2_6407));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd272052zd2_6408))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd272060zd2_6411;
																																																																											BgL_carzd272060zd2_6411
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd272053zd2_6409));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd272060zd2_6411))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd272053zd2_6409))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd272032zd2_6405))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg5143z00_6416;
																																																																																	BgL_arg5143z00_6416
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd272039zd2_6406));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_32367;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_32371;
																																																																																			obj_t
																																																																																				BgL_proc2z00_32370;
																																																																																			obj_t
																																																																																				BgL_proc1z00_32369;
																																																																																			obj_t
																																																																																				BgL_testz00_32368;
																																																																																			BgL_testz00_32368
																																																																																				=
																																																																																				BgL_arg5143z00_6416;
																																																																																			BgL_proc1z00_32369
																																																																																				=
																																																																																				BgL_carzd272052zd2_6408;
																																																																																			BgL_proc2z00_32370
																																																																																				=
																																																																																				BgL_carzd272060zd2_6411;
																																																																																			BgL_argsz00_32371
																																																																																				=
																																																																																				BgL_cdrzd272032zd2_6405;
																																																																																			BgL_argsz00_1817
																																																																																				=
																																																																																				BgL_argsz00_32371;
																																																																																			BgL_proc2z00_1816
																																																																																				=
																																																																																				BgL_proc2z00_32370;
																																																																																			BgL_proc1z00_1815
																																																																																				=
																																																																																				BgL_proc1z00_32369;
																																																																																			BgL_testz00_1814
																																																																																				=
																																																																																				BgL_testz00_32368;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1818;
																																																																																		}
																																																																																		BgL_auxz00_32215
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_32367);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1842;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_32375;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1843;
																																																																																			BgL_auxz00_32215
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_32375);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_32379;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_32215
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_32379);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_32383;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_32215
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_32383);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_32387;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_32215
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_32387);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_32391;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																						BgL_auxz00_32215
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_32391);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd272393zd2_6424;
																																																																		BgL_cdrzd272393zd2_6424
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd272399zd2_6425;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_14703;
																																																																				BgL_pairz00_14703
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd272399zd2_6425
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_14703);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd272405zd2_6426;
																																																																				BgL_cdrzd272405zd2_6426
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd272399zd2_6425));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd272410zd2_6427;
																																																																					obj_t
																																																																						BgL_cdrzd272411zd2_6428;
																																																																					BgL_carzd272410zd2_6427
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd272405zd2_6426));
																																																																					BgL_cdrzd272411zd2_6428
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd272405zd2_6426));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd272410zd2_6427))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd272411zd2_6428))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd272416zd2_6431;
																																																																									BgL_carzd272416zd2_6431
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd272411zd2_6428);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd272416zd2_6431))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd272411zd2_6428)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd272393zd2_6424))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg5157z00_6436;
																																																																															BgL_arg5157z00_6436
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd272399zd2_6425));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_32418;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_32422;
																																																																																	obj_t
																																																																																		BgL_proc2z00_32421;
																																																																																	obj_t
																																																																																		BgL_proc1z00_32420;
																																																																																	obj_t
																																																																																		BgL_testz00_32419;
																																																																																	BgL_testz00_32419
																																																																																		=
																																																																																		BgL_arg5157z00_6436;
																																																																																	BgL_proc1z00_32420
																																																																																		=
																																																																																		BgL_carzd272410zd2_6427;
																																																																																	BgL_proc2z00_32421
																																																																																		=
																																																																																		BgL_carzd272416zd2_6431;
																																																																																	BgL_argsz00_32422
																																																																																		=
																																																																																		BgL_cdrzd272393zd2_6424;
																																																																																	BgL_argsz00_1817
																																																																																		=
																																																																																		BgL_argsz00_32422;
																																																																																	BgL_proc2z00_1816
																																																																																		=
																																																																																		BgL_proc2z00_32421;
																																																																																	BgL_proc1z00_1815
																																																																																		=
																																																																																		BgL_proc1z00_32420;
																																																																																	BgL_testz00_1814
																																																																																		=
																																																																																		BgL_testz00_32419;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1818;
																																																																																}
																																																																																BgL_auxz00_32215
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_32418);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1842;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_32426;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1843;
																																																																																	BgL_auxz00_32215
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_32426);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1842;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_32430;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1843;
																																																																															BgL_auxz00_32215
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_32430);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1842;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_32434;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1843;
																																																																													BgL_auxz00_32215
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_32434);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1842;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_32438;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1843;
																																																																											BgL_auxz00_32215
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_32438);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1842;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_32442;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1843;
																																																																									BgL_auxz00_32215
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_32442);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_32446;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_32215
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_32446);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_32450;
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																																BgL_auxz00_32215
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_32450);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1842;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_32454;
																																																														goto
																																																															BgL_tagzd2405zd2_1843;
																																																														BgL_auxz00_32215
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_32454);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_32215);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test10746z00_32457;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5096z00_6333;
																																																			BgL_arg5096z00_6333
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test10746z00_32457
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg5096z00_6333));
																																																		}
																																																		if (BgL_test10746z00_32457)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_32462;
																																																				goto
																																																					BgL_tagzd2385zd2_1800;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_32462);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd272979zd2_6161;
																																																				obj_t
																																																					BgL_cdrzd272980zd2_6162;
																																																				BgL_carzd272979zd2_6161
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_cdrzd272980zd2_6162
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd272984zd2_6163;
																																																					BgL_cdrzd272984zd2_6163
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd272979zd2_6161));
																																																					if ((CAR(((obj_t) BgL_carzd272979zd2_6161)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (PAIRP(BgL_cdrzd272984zd2_6163))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd272987zd2_6167;
																																																									obj_t
																																																										BgL_cdrzd272988zd2_6168;
																																																									BgL_carzd272987zd2_6167
																																																										=
																																																										CAR
																																																										(BgL_cdrzd272984zd2_6163);
																																																									BgL_cdrzd272988zd2_6168
																																																										=
																																																										CDR
																																																										(BgL_cdrzd272984zd2_6163);
																																																									if (PAIRP(BgL_carzd272987zd2_6167))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (NULLP(CDR(BgL_carzd272987zd2_6167)))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (PAIRP(BgL_cdrzd272988zd2_6168))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd272994zd2_6173;
																																																															BgL_carzd272994zd2_6173
																																																																=
																																																																CAR
																																																																(BgL_cdrzd272988zd2_6168);
																																																															if (PAIRP(BgL_carzd272994zd2_6173))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd272994zd2_6173))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (NULLP(CDR(BgL_cdrzd272988zd2_6168)))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd272980zd2_6162))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd273001zd2_6179;
																																																																							BgL_carzd273001zd2_6179
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd272980zd2_6162);
																																																																							if (PAIRP(BgL_carzd273001zd2_6179))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd273025zd2_6181;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_14723;
																																																																										BgL_pairz00_14723
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd273025zd2_6181
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_14723);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg4993z00_6182;
																																																																										obj_t
																																																																											BgL_arg4994z00_6183;
																																																																										obj_t
																																																																											BgL_arg4995z00_6184;
																																																																										BgL_arg4993z00_6182
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd273025zd2_6181));
																																																																										BgL_arg4994z00_6183
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd273025zd2_6181));
																																																																										BgL_arg4995z00_6184
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_32510;
																																																																											obj_t
																																																																												BgL_bodyz00_32509;
																																																																											obj_t
																																																																												BgL_varsz00_32508;
																																																																											BgL_varsz00_32508
																																																																												=
																																																																												BgL_arg4993z00_6182;
																																																																											BgL_bodyz00_32509
																																																																												=
																																																																												BgL_arg4994z00_6183;
																																																																											BgL_argsz00_32510
																																																																												=
																																																																												BgL_arg4995z00_6184;
																																																																											BgL_argsz00_1807
																																																																												=
																																																																												BgL_argsz00_32510;
																																																																											BgL_bodyz00_1806
																																																																												=
																																																																												BgL_bodyz00_32509;
																																																																											BgL_varsz00_1805
																																																																												=
																																																																												BgL_varsz00_32508;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1808;
																																																																										}
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd272980zd2_6162)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg4999z00_6188;
																																																																											BgL_arg4999z00_6188
																																																																												=
																																																																												CAR
																																																																												(BgL_carzd272987zd2_6167);
																																																																											{
																																																																												BgL_castz00_bglt
																																																																													BgL_auxz00_32515;
																																																																												{
																																																																													obj_t
																																																																														BgL_argz00_32518;
																																																																													obj_t
																																																																														BgL_bodyz00_32517;
																																																																													obj_t
																																																																														BgL_varz00_32516;
																																																																													BgL_varz00_32516
																																																																														=
																																																																														BgL_arg4999z00_6188;
																																																																													BgL_bodyz00_32517
																																																																														=
																																																																														BgL_carzd272994zd2_6173;
																																																																													BgL_argz00_32518
																																																																														=
																																																																														BgL_carzd273001zd2_6179;
																																																																													BgL_argz00_1803
																																																																														=
																																																																														BgL_argz00_32518;
																																																																													BgL_bodyz00_1802
																																																																														=
																																																																														BgL_bodyz00_32517;
																																																																													BgL_varz00_1801
																																																																														=
																																																																														BgL_varz00_32516;
																																																																													goto
																																																																														BgL_tagzd2386zd2_1804;
																																																																												}
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_32515);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd273052zd2_6189;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_14730;
																																																																												BgL_pairz00_14730
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd273052zd2_6189
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_14730);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg5000z00_6190;
																																																																												obj_t
																																																																													BgL_arg5001z00_6191;
																																																																												obj_t
																																																																													BgL_arg5002z00_6192;
																																																																												BgL_arg5000z00_6190
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd273052zd2_6189));
																																																																												BgL_arg5001z00_6191
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd273052zd2_6189));
																																																																												BgL_arg5002z00_6192
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_32531;
																																																																													obj_t
																																																																														BgL_bodyz00_32530;
																																																																													obj_t
																																																																														BgL_varsz00_32529;
																																																																													BgL_varsz00_32529
																																																																														=
																																																																														BgL_arg5000z00_6190;
																																																																													BgL_bodyz00_32530
																																																																														=
																																																																														BgL_arg5001z00_6191;
																																																																													BgL_argsz00_32531
																																																																														=
																																																																														BgL_arg5002z00_6192;
																																																																													BgL_argsz00_1807
																																																																														=
																																																																														BgL_argsz00_32531;
																																																																													BgL_bodyz00_1806
																																																																														=
																																																																														BgL_bodyz00_32530;
																																																																													BgL_varsz00_1805
																																																																														=
																																																																														BgL_varsz00_32529;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1808;
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd273078zd2_6195;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_14735;
																																																																								BgL_pairz00_14735
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd273078zd2_6195
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_14735);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg5005z00_6196;
																																																																								obj_t
																																																																									BgL_arg5006z00_6197;
																																																																								obj_t
																																																																									BgL_arg5007z00_6198;
																																																																								BgL_arg5005z00_6196
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd273078zd2_6195));
																																																																								BgL_arg5006z00_6197
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd273078zd2_6195));
																																																																								BgL_arg5007z00_6198
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_32543;
																																																																									obj_t
																																																																										BgL_bodyz00_32542;
																																																																									obj_t
																																																																										BgL_varsz00_32541;
																																																																									BgL_varsz00_32541
																																																																										=
																																																																										BgL_arg5005z00_6196;
																																																																									BgL_bodyz00_32542
																																																																										=
																																																																										BgL_arg5006z00_6197;
																																																																									BgL_argsz00_32543
																																																																										=
																																																																										BgL_arg5007z00_6198;
																																																																									BgL_argsz00_1807
																																																																										=
																																																																										BgL_argsz00_32543;
																																																																									BgL_bodyz00_1806
																																																																										=
																																																																										BgL_bodyz00_32542;
																																																																									BgL_varsz00_1805
																																																																										=
																																																																										BgL_varsz00_32541;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1808;
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd273104zd2_6200;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_14740;
																																																																						BgL_pairz00_14740
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd273104zd2_6200
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_14740);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg5009z00_6201;
																																																																						obj_t
																																																																							BgL_arg5010z00_6202;
																																																																						obj_t
																																																																							BgL_arg5011z00_6203;
																																																																						BgL_arg5009z00_6201
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd273104zd2_6200));
																																																																						BgL_arg5010z00_6202
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd273104zd2_6200));
																																																																						BgL_arg5011z00_6203
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_32555;
																																																																							obj_t
																																																																								BgL_bodyz00_32554;
																																																																							obj_t
																																																																								BgL_varsz00_32553;
																																																																							BgL_varsz00_32553
																																																																								=
																																																																								BgL_arg5009z00_6201;
																																																																							BgL_bodyz00_32554
																																																																								=
																																																																								BgL_arg5010z00_6202;
																																																																							BgL_argsz00_32555
																																																																								=
																																																																								BgL_arg5011z00_6203;
																																																																							BgL_argsz00_1807
																																																																								=
																																																																								BgL_argsz00_32555;
																																																																							BgL_bodyz00_1806
																																																																								=
																																																																								BgL_bodyz00_32554;
																																																																							BgL_varsz00_1805
																																																																								=
																																																																								BgL_varsz00_32553;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1808;
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd273130zd2_6206;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_14745;
																																																																				BgL_pairz00_14745
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd273130zd2_6206
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_14745);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg5014z00_6207;
																																																																				obj_t
																																																																					BgL_arg5015z00_6208;
																																																																				obj_t
																																																																					BgL_arg5016z00_6209;
																																																																				BgL_arg5014z00_6207
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd273130zd2_6206));
																																																																				BgL_arg5015z00_6208
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd273130zd2_6206));
																																																																				BgL_arg5016z00_6209
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_32567;
																																																																					obj_t
																																																																						BgL_bodyz00_32566;
																																																																					obj_t
																																																																						BgL_varsz00_32565;
																																																																					BgL_varsz00_32565
																																																																						=
																																																																						BgL_arg5014z00_6207;
																																																																					BgL_bodyz00_32566
																																																																						=
																																																																						BgL_arg5015z00_6208;
																																																																					BgL_argsz00_32567
																																																																						=
																																																																						BgL_arg5016z00_6209;
																																																																					BgL_argsz00_1807
																																																																						=
																																																																						BgL_argsz00_32567;
																																																																					BgL_bodyz00_1806
																																																																						=
																																																																						BgL_bodyz00_32566;
																																																																					BgL_varsz00_1805
																																																																						=
																																																																						BgL_varsz00_32565;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1808;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd273156zd2_6211;
																																																																	BgL_cdrzd273156zd2_6211
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd272979zd2_6161));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg5018z00_6212;
																																																																		obj_t
																																																																			BgL_arg5019z00_6213;
																																																																		obj_t
																																																																			BgL_arg5020z00_6214;
																																																																		BgL_arg5018z00_6212
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd273156zd2_6211));
																																																																		BgL_arg5019z00_6213
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd273156zd2_6211));
																																																																		BgL_arg5020z00_6214
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_32578;
																																																																			obj_t
																																																																				BgL_bodyz00_32577;
																																																																			obj_t
																																																																				BgL_varsz00_32576;
																																																																			BgL_varsz00_32576
																																																																				=
																																																																				BgL_arg5018z00_6212;
																																																																			BgL_bodyz00_32577
																																																																				=
																																																																				BgL_arg5019z00_6213;
																																																																			BgL_argsz00_32578
																																																																				=
																																																																				BgL_arg5020z00_6214;
																																																																			BgL_argsz00_1807
																																																																				=
																																																																				BgL_argsz00_32578;
																																																																			BgL_bodyz00_1806
																																																																				=
																																																																				BgL_bodyz00_32577;
																																																																			BgL_varsz00_1805
																																																																				=
																																																																				BgL_varsz00_32576;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1808;
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd273182zd2_6216;
																																																															BgL_cdrzd273182zd2_6216
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd272979zd2_6161));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg5022z00_6217;
																																																																obj_t
																																																																	BgL_arg5023z00_6218;
																																																																obj_t
																																																																	BgL_arg5024z00_6219;
																																																																BgL_arg5022z00_6217
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd273182zd2_6216));
																																																																BgL_arg5023z00_6218
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd273182zd2_6216));
																																																																BgL_arg5024z00_6219
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_32589;
																																																																	obj_t
																																																																		BgL_bodyz00_32588;
																																																																	obj_t
																																																																		BgL_varsz00_32587;
																																																																	BgL_varsz00_32587
																																																																		=
																																																																		BgL_arg5022z00_6217;
																																																																	BgL_bodyz00_32588
																																																																		=
																																																																		BgL_arg5023z00_6218;
																																																																	BgL_argsz00_32589
																																																																		=
																																																																		BgL_arg5024z00_6219;
																																																																	BgL_argsz00_1807
																																																																		=
																																																																		BgL_argsz00_32589;
																																																																	BgL_bodyz00_1806
																																																																		=
																																																																		BgL_bodyz00_32588;
																																																																	BgL_varsz00_1805
																																																																		=
																																																																		BgL_varsz00_32587;
																																																																	goto
																																																																		BgL_tagzd2387zd2_1808;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd273208zd2_6221;
																																																													BgL_cdrzd273208zd2_6221
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd272979zd2_6161));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5026z00_6222;
																																																														obj_t
																																																															BgL_arg5027z00_6223;
																																																														obj_t
																																																															BgL_arg5028z00_6224;
																																																														BgL_arg5026z00_6222
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd273208zd2_6221));
																																																														BgL_arg5027z00_6223
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd273208zd2_6221));
																																																														BgL_arg5028z00_6224
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_32600;
																																																															obj_t
																																																																BgL_bodyz00_32599;
																																																															obj_t
																																																																BgL_varsz00_32598;
																																																															BgL_varsz00_32598
																																																																=
																																																																BgL_arg5026z00_6222;
																																																															BgL_bodyz00_32599
																																																																=
																																																																BgL_arg5027z00_6223;
																																																															BgL_argsz00_32600
																																																																=
																																																																BgL_arg5028z00_6224;
																																																															BgL_argsz00_1807
																																																																=
																																																																BgL_argsz00_32600;
																																																															BgL_bodyz00_1806
																																																																=
																																																																BgL_bodyz00_32599;
																																																															BgL_varsz00_1805
																																																																=
																																																																BgL_varsz00_32598;
																																																															goto
																																																																BgL_tagzd2387zd2_1808;
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd273234zd2_6227;
																																																											BgL_cdrzd273234zd2_6227
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd272979zd2_6161));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5031z00_6228;
																																																												obj_t
																																																													BgL_arg5032z00_6229;
																																																												obj_t
																																																													BgL_arg5033z00_6230;
																																																												BgL_arg5031z00_6228
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd273234zd2_6227));
																																																												BgL_arg5032z00_6229
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd273234zd2_6227));
																																																												BgL_arg5033z00_6230
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													obj_t
																																																														BgL_argsz00_32611;
																																																													obj_t
																																																														BgL_bodyz00_32610;
																																																													obj_t
																																																														BgL_varsz00_32609;
																																																													BgL_varsz00_32609
																																																														=
																																																														BgL_arg5031z00_6228;
																																																													BgL_bodyz00_32610
																																																														=
																																																														BgL_arg5032z00_6229;
																																																													BgL_argsz00_32611
																																																														=
																																																														BgL_arg5033z00_6230;
																																																													BgL_argsz00_1807
																																																														=
																																																														BgL_argsz00_32611;
																																																													BgL_bodyz00_1806
																																																														=
																																																														BgL_bodyz00_32610;
																																																													BgL_varsz00_1805
																																																														=
																																																														BgL_varsz00_32609;
																																																													goto
																																																														BgL_tagzd2387zd2_1808;
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_32614;
																																																											goto
																																																												BgL_tagzd2404zd2_1842;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_32614);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2405zd2_1843;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd273372zd2_6235;
																																																							BgL_cdrzd273372zd2_6235
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd272979zd2_6161));
																																																							if ((CAR(((obj_t) BgL_carzd272979zd2_6161)) == CNST_TABLE_REF(((long) 1))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd273372zd2_6235))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd273377zd2_6239;
																																																											BgL_cdrzd273377zd2_6239
																																																												=
																																																												CDR
																																																												(BgL_cdrzd273372zd2_6235);
																																																											if (PAIRP(BgL_cdrzd273377zd2_6239))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd273381zd2_6241;
																																																													obj_t
																																																														BgL_cdrzd273382zd2_6242;
																																																													BgL_carzd273381zd2_6241
																																																														=
																																																														CAR
																																																														(BgL_cdrzd273377zd2_6239);
																																																													BgL_cdrzd273382zd2_6242
																																																														=
																																																														CDR
																																																														(BgL_cdrzd273377zd2_6239);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd273381zd2_6241))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (PAIRP(BgL_cdrzd273382zd2_6242))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd273387zd2_6245;
																																																																	BgL_carzd273387zd2_6245
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd273382zd2_6242);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd273387zd2_6245))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (NULLP(CDR(BgL_cdrzd273382zd2_6242)))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test10766z00_32640;
																																																																					{
																																																																						obj_t
																																																																							BgL_l1509z00_6278;
																																																																						BgL_l1509z00_6278
																																																																							=
																																																																							BgL_cdrzd272980zd2_6162;
																																																																					BgL_zc3z04anonymousza35060ze3z87_6279:
																																																																						if (NULLP(BgL_l1509z00_6278))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test10766z00_32640
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test10768z00_32643;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test10769z00_32644;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_tmpz00_32645;
																																																																										BgL_tmpz00_32645
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_l1509z00_6278));
																																																																										BgL_test10769z00_32644
																																																																											=
																																																																											PAIRP
																																																																											(BgL_tmpz00_32645);
																																																																									}
																																																																									if (BgL_test10769z00_32644)
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test10768z00_32643
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test10768z00_32643
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																								if (BgL_test10768z00_32643)
																																																																									{
																																																																										obj_t
																																																																											BgL_l1509z00_32649;
																																																																										BgL_l1509z00_32649
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_l1509z00_6278));
																																																																										BgL_l1509z00_6278
																																																																											=
																																																																											BgL_l1509z00_32649;
																																																																										goto
																																																																											BgL_zc3z04anonymousza35060ze3z87_6279;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test10766z00_32640
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																					if (BgL_test10766z00_32640)
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_32656;
																																																																							obj_t
																																																																								BgL_proc2z00_32655;
																																																																							obj_t
																																																																								BgL_proc1z00_32654;
																																																																							obj_t
																																																																								BgL_testz00_32652;
																																																																							BgL_testz00_32652
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd273372zd2_6235);
																																																																							BgL_proc1z00_32654
																																																																								=
																																																																								BgL_carzd273381zd2_6241;
																																																																							BgL_proc2z00_32655
																																																																								=
																																																																								BgL_carzd273387zd2_6245;
																																																																							BgL_argsz00_32656
																																																																								=
																																																																								BgL_cdrzd272980zd2_6162;
																																																																							BgL_argsz00_1812
																																																																								=
																																																																								BgL_argsz00_32656;
																																																																							BgL_proc2z00_1811
																																																																								=
																																																																								BgL_proc2z00_32655;
																																																																							BgL_proc1z00_1810
																																																																								=
																																																																								BgL_proc1z00_32654;
																																																																							BgL_testz00_1809
																																																																								=
																																																																								BgL_testz00_32652;
																																																																							goto
																																																																								BgL_tagzd2388zd2_1813;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd273412zd2_6262;
																																																																							BgL_cdrzd273412zd2_6262
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd273420zd2_6263;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_14783;
																																																																									BgL_pairz00_14783
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd273420zd2_6263
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_14783);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd273428zd2_6264;
																																																																									BgL_cdrzd273428zd2_6264
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd273420zd2_6263));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd273435zd2_6265;
																																																																										BgL_carzd273435zd2_6265
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd273428zd2_6264));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd273435zd2_6265))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd273444zd2_6267;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_14787;
																																																																													BgL_pairz00_14787
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd273428zd2_6264));
																																																																													BgL_carzd273444zd2_6267
																																																																														=
																																																																														CAR
																																																																														(BgL_pairz00_14787);
																																																																												}
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd273444zd2_6267))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd273412zd2_6262))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg5054z00_6270;
																																																																																BgL_arg5054z00_6270
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd273420zd2_6263));
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_32680;
																																																																																	obj_t
																																																																																		BgL_proc2z00_32679;
																																																																																	obj_t
																																																																																		BgL_proc1z00_32678;
																																																																																	obj_t
																																																																																		BgL_testz00_32677;
																																																																																	BgL_testz00_32677
																																																																																		=
																																																																																		BgL_arg5054z00_6270;
																																																																																	BgL_proc1z00_32678
																																																																																		=
																																																																																		BgL_carzd273435zd2_6265;
																																																																																	BgL_proc2z00_32679
																																																																																		=
																																																																																		BgL_carzd273444zd2_6267;
																																																																																	BgL_argsz00_32680
																																																																																		=
																																																																																		BgL_cdrzd273412zd2_6262;
																																																																																	BgL_argsz00_1817
																																																																																		=
																																																																																		BgL_argsz00_32680;
																																																																																	BgL_proc2z00_1816
																																																																																		=
																																																																																		BgL_proc2z00_32679;
																																																																																	BgL_proc1z00_1815
																																																																																		=
																																																																																		BgL_proc1z00_32678;
																																																																																	BgL_testz00_1814
																																																																																		=
																																																																																		BgL_testz00_32677;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1818;
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_auxz00_32683;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1842;
																																																																																		return
																																																																																			(
																																																																																			(BgL_nodez00_bglt)
																																																																																			BgL_auxz00_32683);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1843;
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_32687;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_32687);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_32691;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_32691);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_32695;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1842;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_32695);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2405zd2_1843;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd273722zd2_6289;
																																																																			BgL_cdrzd273722zd2_6289
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd273729zd2_6290;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_14791;
																																																																					BgL_pairz00_14791
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd273729zd2_6290
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_14791);
																																																																				}
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd273736zd2_6291;
																																																																					BgL_cdrzd273736zd2_6291
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd273729zd2_6290));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd273742zd2_6292;
																																																																						obj_t
																																																																							BgL_cdrzd273743zd2_6293;
																																																																						BgL_carzd273742zd2_6292
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd273736zd2_6291));
																																																																						BgL_cdrzd273743zd2_6293
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd273736zd2_6291));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd273742zd2_6292))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd273750zd2_6295;
																																																																								BgL_carzd273750zd2_6295
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd273743zd2_6293));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd273750zd2_6295))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd273743zd2_6293))))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd273722zd2_6289))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg5069z00_6300;
																																																																														BgL_arg5069z00_6300
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd273729zd2_6290));
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_32725;
																																																																															obj_t
																																																																																BgL_proc2z00_32724;
																																																																															obj_t
																																																																																BgL_proc1z00_32723;
																																																																															obj_t
																																																																																BgL_testz00_32722;
																																																																															BgL_testz00_32722
																																																																																=
																																																																																BgL_arg5069z00_6300;
																																																																															BgL_proc1z00_32723
																																																																																=
																																																																																BgL_carzd273742zd2_6292;
																																																																															BgL_proc2z00_32724
																																																																																=
																																																																																BgL_carzd273750zd2_6295;
																																																																															BgL_argsz00_32725
																																																																																=
																																																																																BgL_cdrzd273722zd2_6289;
																																																																															BgL_argsz00_1817
																																																																																=
																																																																																BgL_argsz00_32725;
																																																																															BgL_proc2z00_1816
																																																																																=
																																																																																BgL_proc2z00_32724;
																																																																															BgL_proc1z00_1815
																																																																																=
																																																																																BgL_proc1z00_32723;
																																																																															BgL_testz00_1814
																																																																																=
																																																																																BgL_testz00_32722;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1818;
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_32728;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1842;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_32728);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1843;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_32732;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_32732);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_32736;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_32736);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_32740;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_32740);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_32744;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1842;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_32744);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2405zd2_1843;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd274083zd2_6308;
																																																															BgL_cdrzd274083zd2_6308
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd274089zd2_6309;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_14800;
																																																																	BgL_pairz00_14800
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd274089zd2_6309
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_14800);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd274095zd2_6310;
																																																																	BgL_cdrzd274095zd2_6310
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd274089zd2_6309));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd274100zd2_6311;
																																																																		obj_t
																																																																			BgL_cdrzd274101zd2_6312;
																																																																		BgL_carzd274100zd2_6311
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd274095zd2_6310));
																																																																		BgL_cdrzd274101zd2_6312
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd274095zd2_6310));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd274100zd2_6311))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd274101zd2_6312))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd274106zd2_6315;
																																																																						BgL_carzd274106zd2_6315
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd274101zd2_6312);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd274106zd2_6315))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd274101zd2_6312)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd274083zd2_6308))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg5083z00_6320;
																																																																												BgL_arg5083z00_6320
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd274089zd2_6309));
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_32774;
																																																																													obj_t
																																																																														BgL_proc2z00_32773;
																																																																													obj_t
																																																																														BgL_proc1z00_32772;
																																																																													obj_t
																																																																														BgL_testz00_32771;
																																																																													BgL_testz00_32771
																																																																														=
																																																																														BgL_arg5083z00_6320;
																																																																													BgL_proc1z00_32772
																																																																														=
																																																																														BgL_carzd274100zd2_6311;
																																																																													BgL_proc2z00_32773
																																																																														=
																																																																														BgL_carzd274106zd2_6315;
																																																																													BgL_argsz00_32774
																																																																														=
																																																																														BgL_cdrzd274083zd2_6308;
																																																																													BgL_argsz00_1817
																																																																														=
																																																																														BgL_argsz00_32774;
																																																																													BgL_proc2z00_1816
																																																																														=
																																																																														BgL_proc2z00_32773;
																																																																													BgL_proc1z00_1815
																																																																														=
																																																																														BgL_proc1z00_32772;
																																																																													BgL_testz00_1814
																																																																														=
																																																																														BgL_testz00_32771;
																																																																													goto
																																																																														BgL_tagzd2389zd2_1818;
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_32777;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_32777);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_32781;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_32781);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_32785;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_32785);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_32789;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1842;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_32789);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2405zd2_1843;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_32793;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1842;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_32793);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2405zd2_1843;
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_32797;
																																																															goto
																																																																BgL_tagzd2404zd2_1842;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_32797);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2405zd2_1843;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_32801;
																																																													goto
																																																														BgL_tagzd2404zd2_1842;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_32801);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2405zd2_1843;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_32805;
																																																											goto
																																																												BgL_tagzd2404zd2_1842;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_32805);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2405zd2_1843;
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_cdrzd274643zd2_6727;
																																			BgL_cdrzd274643zd2_6727
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			{

																																				if (
																																					(BgL_carzd268414zd2_6148
																																						==
																																						CNST_TABLE_REF
																																						(((long) 18))))
																																					{
																																						obj_t
																																							BgL_auxz00_32812;
																																					BgL_kapzd274644zd2_6728:
																																						if (PAIRP(BgL_cdrzd274643zd2_6727))
																																							{	/* Ast/sexp.scm 119 */
																																								obj_t
																																									BgL_arg5434z00_6822;
																																								obj_t
																																									BgL_arg5435z00_6823;
																																								BgL_arg5434z00_6822
																																									=
																																									CAR
																																									(BgL_cdrzd274643zd2_6727);
																																								BgL_arg5435z00_6823
																																									=
																																									CDR
																																									(BgL_cdrzd274643zd2_6727);
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_32817;
																																									{
																																										obj_t
																																											BgL_exprz00_32819;
																																										obj_t
																																											BgL_bindingsz00_32818;
																																										BgL_bindingsz00_32818
																																											=
																																											BgL_arg5434z00_6822;
																																										BgL_exprz00_32819
																																											=
																																											BgL_arg5435z00_6823;
																																										BgL_exprz00_1797
																																											=
																																											BgL_exprz00_32819;
																																										BgL_bindingsz00_1796
																																											=
																																											BgL_bindingsz00_32818;
																																										goto
																																											BgL_tagzd2383zd2_1798;
																																									}
																																									BgL_auxz00_32812
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_32817);
																																								}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_32826;
																																										goto
																																											BgL_tagzd2384zd2_1799;
																																										BgL_auxz00_32812
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_32826);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_carzd274677zd2_6826;
																																										BgL_carzd274677zd2_6826
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										if ((BgL_carzd274677zd2_6826 == CNST_TABLE_REF(((long) 20))))
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_32833;
																																												goto
																																													BgL_tagzd2385zd2_1800;
																																												BgL_auxz00_32812
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_32833);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd274677zd2_6826)))
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_32838;
																																														goto
																																															BgL_tagzd2385zd2_1800;
																																														BgL_auxz00_32812
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_32838);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_32845;
																																																goto
																																																	BgL_tagzd2390zd2_1819;
																																																BgL_auxz00_32812
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_32845);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_32852;
																																																		goto
																																																			BgL_tagzd2391zd2_1820;
																																																		BgL_auxz00_32812
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_32852);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_32859;
																																																				goto
																																																					BgL_tagzd2393zd2_1824;
																																																				BgL_auxz00_32812
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_32859);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_32866;
																																																						goto
																																																							BgL_tagzd2394zd2_1825;
																																																						BgL_auxz00_32812
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_32866);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_32873;
																																																								goto
																																																									BgL_tagzd2396zd2_1829;
																																																								BgL_auxz00_32812
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_32873);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_32880;
																																																										goto
																																																											BgL_tagzd2397zd2_1830;
																																																										BgL_auxz00_32812
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_32880);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_32887;
																																																												goto
																																																													BgL_tagzd2398zd2_1831;
																																																												BgL_auxz00_32812
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_32887);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																													{
																																																														BgL_jumpzd2exzd2itz00_bglt
																																																															BgL_auxz00_32894;
																																																														goto
																																																															BgL_tagzd2399zd2_1832;
																																																														BgL_auxz00_32812
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_32894);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_32904;
																																																																		goto
																																																																			BgL_tagzd2403zd2_1841;
																																																																		BgL_auxz00_32812
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_32904);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1842;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_32908;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1843;
																																																																				BgL_auxz00_32812
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_32908);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1842;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_32912;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1843;
																																																																		BgL_auxz00_32812
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_32912);
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_auxz00_32812);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 119 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd268414zd2_6148)))
																																							{
																																								obj_t
																																									BgL_auxz00_32918;
																																								goto
																																									BgL_kapzd274644zd2_6728;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_32918);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if ((BgL_carzd268414zd2_6148 == CNST_TABLE_REF(((long) 19))))
																																									{
																																										obj_t
																																											BgL_auxz00_32923;
																																										goto
																																											BgL_kapzd274644zd2_6728;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_32923);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_tagzd2384zd2_1799;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_carzd274838zd2_6732;
																																												BgL_carzd274838zd2_6732
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												if ((BgL_carzd274838zd2_6732 == CNST_TABLE_REF(((long) 20))))
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_32935;
																																														goto
																																															BgL_tagzd2385zd2_1800;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_32935);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd274838zd2_6732)))
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_32940;
																																																goto
																																																	BgL_tagzd2385zd2_1800;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_32940);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd2390zd2_1819;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd2391zd2_1820;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd274917zd2_6738;
																																																				BgL_cdrzd274917zd2_6738
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (PAIRP(BgL_cdrzd274917zd2_6738))
																																																							{
																																																								obj_t
																																																									BgL_restz00_32963;
																																																								obj_t
																																																									BgL_effectz00_32961;
																																																								BgL_effectz00_32961
																																																									=
																																																									CAR
																																																									(BgL_cdrzd274917zd2_6738);
																																																								BgL_restz00_32963
																																																									=
																																																									CDR
																																																									(BgL_cdrzd274917zd2_6738);
																																																								BgL_restz00_1822
																																																									=
																																																									BgL_restz00_32963;
																																																								BgL_effectz00_1821
																																																									=
																																																									BgL_effectz00_32961;
																																																								goto
																																																									BgL_tagzd2392zd2_1823;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_32967;
																																																										goto
																																																											BgL_tagzd2404zd2_1842;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_32967);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2405zd2_1843;
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2393zd2_1824;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2394zd2_1825;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd274917zd2_6738))
																																																													{
																																																														obj_t
																																																															BgL_restz00_32988;
																																																														obj_t
																																																															BgL_effectz00_32986;
																																																														BgL_effectz00_32986
																																																															=
																																																															CAR
																																																															(BgL_cdrzd274917zd2_6738);
																																																														BgL_restz00_32988
																																																															=
																																																															CDR
																																																															(BgL_cdrzd274917zd2_6738);
																																																														BgL_restz00_1827
																																																															=
																																																															BgL_restz00_32988;
																																																														BgL_effectz00_1826
																																																															=
																																																															BgL_effectz00_32986;
																																																														goto
																																																															BgL_tagzd2395zd2_1828;
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{
																																																																obj_t
																																																																	BgL_auxz00_32992;
																																																																goto
																																																																	BgL_tagzd2404zd2_1842;
																																																																return
																																																																	(
																																																																	(BgL_nodez00_bglt)
																																																																	BgL_auxz00_32992);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2405zd2_1843;
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2396zd2_1829;
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2397zd2_1830;
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																	{
																																																																		BgL_letzd2funzd2_bglt
																																																																			BgL_auxz00_33009;
																																																																		goto
																																																																			BgL_tagzd2398zd2_1831;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_33009);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																			{
																																																																				BgL_jumpzd2exzd2itz00_bglt
																																																																					BgL_auxz00_33016;
																																																																				goto
																																																																					BgL_tagzd2399zd2_1832;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_33016);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd275044zd2_6764;
																																																																				BgL_cdrzd275044zd2_6764
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 31))))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (PAIRP(BgL_cdrzd275044zd2_6764))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd275046zd2_6768;
																																																																								BgL_cdrzd275046zd2_6768
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd275044zd2_6764);
																																																																								if (PAIRP(BgL_cdrzd275046zd2_6768))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(BgL_cdrzd275046zd2_6768)))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2400zd2_1833;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_33035;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_33035);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_33039;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_33039);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_33043;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1842;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_33043);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2405zd2_1843;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (PAIRP(BgL_cdrzd275044zd2_6764))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd275091zd2_6780;
																																																																										BgL_cdrzd275091zd2_6780
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd275044zd2_6764);
																																																																										if (PAIRP(BgL_cdrzd275091zd2_6780))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd275096zd2_6782;
																																																																												BgL_cdrzd275096zd2_6782
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd275091zd2_6780);
																																																																												if ((CAR(BgL_cdrzd275091zd2_6780) == CNST_TABLE_REF(((long) 32))))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (PAIRP(BgL_cdrzd275096zd2_6782))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg5401z00_6786;
																																																																																obj_t
																																																																																	BgL_arg5402z00_6787;
																																																																																obj_t
																																																																																	BgL_arg5403z00_6788;
																																																																																BgL_arg5401z00_6786
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd275044zd2_6764);
																																																																																BgL_arg5402z00_6787
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd275096zd2_6782);
																																																																																BgL_arg5403z00_6788
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd275096zd2_6782);
																																																																																return
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_arg5401z00_6786,
																																																																																	BgL_arg5402z00_6787,
																																																																																	BgL_arg5403z00_6788,
																																																																																	BgL_stackz00_22,
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_locz00_23),
																																																																																	BgL_sitez00_24);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd275109zd2_6789;
																																																																																BgL_cdrzd275109zd2_6789
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg5404z00_6790;
																																																																																	obj_t
																																																																																		BgL_arg5405z00_6791;
																																																																																	BgL_arg5404z00_6790
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd275109zd2_6789));
																																																																																	BgL_arg5405z00_6791
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd275109zd2_6789));
																																																																																	{	/* Ast/sexp.scm 564 */
																																																																																		obj_t
																																																																																			BgL_arg7616z00_14857;
																																																																																		BgL_arg7616z00_14857
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		return
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_arg5404z00_6790,
																																																																																			CNST_TABLE_REF
																																																																																			(((long) 4)), BgL_arg5405z00_6791, BgL_stackz00_22, BgL_arg7616z00_14857, BgL_sitez00_24);
																																																																													}}}}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd275124zd2_6792;
																																																																														BgL_cdrzd275124zd2_6792
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg5406z00_6793;
																																																																															obj_t
																																																																																BgL_arg5407z00_6794;
																																																																															BgL_arg5406z00_6793
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd275124zd2_6792));
																																																																															BgL_arg5407z00_6794
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd275124zd2_6792));
																																																																															{	/* Ast/sexp.scm 564 */
																																																																																obj_t
																																																																																	BgL_arg7616z00_14861;
																																																																																BgL_arg7616z00_14861
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																return
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_arg5406z00_6793,
																																																																																	CNST_TABLE_REF
																																																																																	(((long) 4)), BgL_arg5407z00_6794, BgL_stackz00_22, BgL_arg7616z00_14861, BgL_sitez00_24);
																																																																											}}}}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd275139zd2_6796;
																																																																												BgL_cdrzd275139zd2_6796
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg5409z00_6797;
																																																																													obj_t
																																																																														BgL_arg5410z00_6798;
																																																																													BgL_arg5409z00_6797
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd275139zd2_6796));
																																																																													BgL_arg5410z00_6798
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd275139zd2_6796));
																																																																													{	/* Ast/sexp.scm 564 */
																																																																														obj_t
																																																																															BgL_arg7616z00_14865;
																																																																														BgL_arg7616z00_14865
																																																																															=
																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																															(BgL_expz00_21,
																																																																															BgL_locz00_23);
																																																																														return
																																																																															BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																															(BgL_expz00_21,
																																																																															BgL_arg5409z00_6797,
																																																																															CNST_TABLE_REF
																																																																															(((long) 4)), BgL_arg5410z00_6798, BgL_stackz00_22, BgL_arg7616z00_14865, BgL_sitez00_24);
																																																																									}}}}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_33096;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_33096);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1841;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_33108;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1842;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_33108);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1843;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_33112;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1842;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_33112);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1843;
																																																																											}
																																																																									}
																																																																							}
																																																																					}
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 119 */
										BgL_atomz00_1771 = BgL_expz00_21;
										{	/* Ast/sexp.scm 135 */
											bool_t BgL_test10852z00_33114;

											{	/* Ast/sexp.scm 135 */
												bool_t BgL_test10853z00_33115;

												{	/* Ast/sexp.scm 135 */
													obj_t BgL_classz00_10713;

													BgL_classz00_10713 = BGl_localz00zzast_varz00;
													if (BGL_OBJECTP(BgL_atomz00_1771))
														{	/* Ast/sexp.scm 135 */
															BgL_objectz00_bglt BgL_arg1820z00_10715;

															BgL_arg1820z00_10715 =
																(BgL_objectz00_bglt) (BgL_atomz00_1771);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Ast/sexp.scm 135 */
																	long BgL_idxz00_10721;

																	BgL_idxz00_10721 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_10715);
																	BgL_test10853z00_33115 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_10721 + ((long) 2))) ==
																		BgL_classz00_10713);
																}
															else
																{	/* Ast/sexp.scm 135 */
																	bool_t BgL_res7952z00_10743;

																	{	/* Ast/sexp.scm 135 */
																		obj_t BgL_oclassz00_10729;

																		{	/* Ast/sexp.scm 135 */
																			long BgL_arg1828z00_10735;

																			{	/* Ast/sexp.scm 135 */
																				long BgL_arg1829z00_10736;

																				BgL_arg1829z00_10736 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_10715);
																				BgL_arg1828z00_10735 =
																					(BgL_arg1829z00_10736 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_10729 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_10735);
																		}
																		{	/* Ast/sexp.scm 135 */
																			bool_t BgL__ortest_1111z00_10730;

																			BgL__ortest_1111z00_10730 =
																				(BgL_classz00_10713 ==
																				BgL_oclassz00_10729);
																			if (BgL__ortest_1111z00_10730)
																				{	/* Ast/sexp.scm 135 */
																					BgL_res7952z00_10743 =
																						BgL__ortest_1111z00_10730;
																				}
																			else
																				{	/* Ast/sexp.scm 135 */
																					long BgL_odepthz00_10731;

																					BgL_odepthz00_10731 =
																						BGL_CLASS_DEPTH
																						(BgL_oclassz00_10729);
																					if ((((long) 2) <
																							BgL_odepthz00_10731))
																						{	/* Ast/sexp.scm 135 */
																							obj_t BgL_arg1816z00_10733;

																							BgL_arg1816z00_10733 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_10729,
																								((long) 2));
																							BgL_res7952z00_10743 =
																								(BgL_arg1816z00_10733 ==
																								BgL_classz00_10713);
																						}
																					else
																						{	/* Ast/sexp.scm 135 */
																							BgL_res7952z00_10743 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test10853z00_33115 = BgL_res7952z00_10743;
																}
														}
													else
														{	/* Ast/sexp.scm 135 */
															BgL_test10853z00_33115 = ((bool_t) 0);
														}
												}
												if (BgL_test10853z00_33115)
													{	/* Ast/sexp.scm 135 */
														BgL_test10852z00_33114 = ((bool_t) 1);
													}
												else
													{	/* Ast/sexp.scm 135 */
														obj_t BgL_classz00_10744;

														BgL_classz00_10744 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_atomz00_1771))
															{	/* Ast/sexp.scm 135 */
																BgL_objectz00_bglt BgL_arg1820z00_10746;

																BgL_arg1820z00_10746 =
																	(BgL_objectz00_bglt) (BgL_atomz00_1771);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Ast/sexp.scm 135 */
																		long BgL_idxz00_10752;

																		BgL_idxz00_10752 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_10746);
																		BgL_test10852z00_33114 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_10752 + ((long) 2))) ==
																			BgL_classz00_10744);
																	}
																else
																	{	/* Ast/sexp.scm 135 */
																		bool_t BgL_res7953z00_10774;

																		{	/* Ast/sexp.scm 135 */
																			obj_t BgL_oclassz00_10760;

																			{	/* Ast/sexp.scm 135 */
																				long BgL_arg1828z00_10766;

																				{	/* Ast/sexp.scm 135 */
																					long BgL_arg1829z00_10767;

																					BgL_arg1829z00_10767 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_10746);
																					BgL_arg1828z00_10766 =
																						(BgL_arg1829z00_10767 -
																						OBJECT_TYPE);
																				}
																				BgL_oclassz00_10760 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_10766);
																			}
																			{	/* Ast/sexp.scm 135 */
																				bool_t BgL__ortest_1111z00_10761;

																				BgL__ortest_1111z00_10761 =
																					(BgL_classz00_10744 ==
																					BgL_oclassz00_10760);
																				if (BgL__ortest_1111z00_10761)
																					{	/* Ast/sexp.scm 135 */
																						BgL_res7953z00_10774 =
																							BgL__ortest_1111z00_10761;
																					}
																				else
																					{	/* Ast/sexp.scm 135 */
																						long BgL_odepthz00_10762;

																						BgL_odepthz00_10762 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_10760);
																						if ((((long) 2) <
																								BgL_odepthz00_10762))
																							{	/* Ast/sexp.scm 135 */
																								obj_t BgL_arg1816z00_10764;

																								BgL_arg1816z00_10764 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_10760,
																									((long) 2));
																								BgL_res7953z00_10774 =
																									(BgL_arg1816z00_10764 ==
																									BgL_classz00_10744);
																							}
																						else
																							{	/* Ast/sexp.scm 135 */
																								BgL_res7953z00_10774 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test10852z00_33114 =
																			BgL_res7953z00_10774;
																	}
															}
														else
															{	/* Ast/sexp.scm 135 */
																BgL_test10852z00_33114 = ((bool_t) 0);
															}
													}
											}
											if (BgL_test10852z00_33114)
												{	/* Ast/sexp.scm 135 */
													return
														BGl_variablezd2ze3nodez31zzast_sexpz00
														(BgL_atomz00_1771, BgL_locz00_23, BgL_sitez00_24);
												}
											else
												{	/* Ast/sexp.scm 137 */
													bool_t BgL_test10862z00_33155;

													if (STRUCTP(BgL_atomz00_1771))
														{	/* Ast/sexp.scm 137 */
															BgL_test10862z00_33155 = ((bool_t) 1);
														}
													else
														{	/* Ast/sexp.scm 137 */
															if (VECTORP(BgL_atomz00_1771))
																{	/* Ast/sexp.scm 138 */
																	BgL_test10862z00_33155 = ((bool_t) 1);
																}
															else
																{	/* Ast/sexp.scm 138 */
																	if (BGL_HVECTORP(BgL_atomz00_1771))
																		{	/* Ast/sexp.scm 138 */
																			BgL_test10862z00_33155 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/sexp.scm 138 */
																			if (BGL_OBJECTP(BgL_atomz00_1771))
																				{	/* Ast/sexp.scm 139 */
																					BgL_test10862z00_33155 = ((bool_t) 1);
																				}
																			else
																				{	/* Ast/sexp.scm 139 */
																					BgL_test10862z00_33155 =
																						PROCEDUREP(BgL_atomz00_1771);
																				}
																		}
																}
														}
													if (BgL_test10862z00_33155)
														{	/* Ast/sexp.scm 141 */
															BgL_nodez00_bglt BgL_res7954z00_10780;

															{	/* Ast/sexp.scm 735 */
																obj_t BgL_arg7725z00_10776;
																BgL_nodez00_bglt BgL_arg7726z00_10777;

																BgL_arg7725z00_10776 =
																	BGl_shapez00zztools_shapez00
																	(BGl_currentzd2functionzd2zztools_errorz00());
																BgL_arg7726z00_10777 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(CNST_TABLE_REF(((long) 4)), BNIL,
																	BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																{	/* Ast/sexp.scm 734 */
																	obj_t BgL_list7727z00_10779;

																	BgL_list7727z00_10779 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg7726z00_10777), BNIL);
																	BgL_res7954z00_10780 =
																		((BgL_nodez00_bglt)
																		BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_locz00_23, BgL_arg7725z00_10776,
																			BGl_string8039z00zzast_sexpz00,
																			BgL_expz00_21, BgL_list7727z00_10779));
															}}
															return BgL_res7954z00_10780;
														}
													else
														{	/* Ast/sexp.scm 137 */
															if (SYMBOLP(BgL_atomz00_1771))
																{	/* Ast/sexp.scm 147 */
																	obj_t BgL_g1120z00_9393;

																	BgL_g1120z00_9393 =
																		BGl_findzd2localzd2zzast_sexpz00
																		(BgL_atomz00_1771, BgL_stackz00_22);
																	if (CBOOL(BgL_g1120z00_9393))
																		{	/* Ast/sexp.scm 147 */
																			return
																				BGl_variablezd2ze3nodez31zzast_sexpz00
																				(BgL_g1120z00_9393, BgL_locz00_23,
																				BgL_sitez00_24);
																		}
																	else
																		{	/* Ast/sexp.scm 151 */
																			obj_t BgL_globalz00_9396;
																			obj_t BgL_locz00_9397;

																			BgL_globalz00_9396 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_atomz00_1771, BNIL);
																			BgL_locz00_9397 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_atomz00_1771, BgL_locz00_23);
																			{	/* Ast/sexp.scm 154 */
																				bool_t BgL_test10869z00_33182;

																				{	/* Ast/sexp.scm 154 */
																					obj_t BgL_classz00_10781;

																					BgL_classz00_10781 =
																						BGl_globalz00zzast_varz00;
																					if (BGL_OBJECTP(BgL_globalz00_9396))
																						{	/* Ast/sexp.scm 154 */
																							BgL_objectz00_bglt
																								BgL_arg1820z00_10783;
																							BgL_arg1820z00_10783 =
																								(BgL_objectz00_bglt)
																								(BgL_globalz00_9396);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Ast/sexp.scm 154 */
																									long BgL_idxz00_10789;

																									BgL_idxz00_10789 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1820z00_10783);
																									BgL_test10869z00_33182 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_10789 +
																												((long) 2))) ==
																										BgL_classz00_10781);
																								}
																							else
																								{	/* Ast/sexp.scm 154 */
																									bool_t BgL_res7955z00_10811;

																									{	/* Ast/sexp.scm 154 */
																										obj_t BgL_oclassz00_10797;

																										{	/* Ast/sexp.scm 154 */
																											long BgL_arg1828z00_10803;

																											{	/* Ast/sexp.scm 154 */
																												long
																													BgL_arg1829z00_10804;
																												BgL_arg1829z00_10804 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1820z00_10783);
																												BgL_arg1828z00_10803 =
																													(BgL_arg1829z00_10804
																													- OBJECT_TYPE);
																											}
																											BgL_oclassz00_10797 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1828z00_10803);
																										}
																										{	/* Ast/sexp.scm 154 */
																											bool_t
																												BgL__ortest_1111z00_10798;
																											BgL__ortest_1111z00_10798
																												=
																												(BgL_classz00_10781 ==
																												BgL_oclassz00_10797);
																											if (BgL__ortest_1111z00_10798)
																												{	/* Ast/sexp.scm 154 */
																													BgL_res7955z00_10811 =
																														BgL__ortest_1111z00_10798;
																												}
																											else
																												{	/* Ast/sexp.scm 154 */
																													long
																														BgL_odepthz00_10799;
																													BgL_odepthz00_10799 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_10797);
																													if ((((long) 2) <
																															BgL_odepthz00_10799))
																														{	/* Ast/sexp.scm 154 */
																															obj_t
																																BgL_arg1816z00_10801;
																															BgL_arg1816z00_10801
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_10797,
																																((long) 2));
																															BgL_res7955z00_10811
																																=
																																(BgL_arg1816z00_10801
																																==
																																BgL_classz00_10781);
																														}
																													else
																														{	/* Ast/sexp.scm 154 */
																															BgL_res7955z00_10811
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test10869z00_33182 =
																										BgL_res7955z00_10811;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 154 */
																							BgL_test10869z00_33182 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test10869z00_33182)
																					{	/* Ast/sexp.scm 154 */
																						if (
																							((((BgL_globalz00_bglt) COBJECT(
																											((BgL_globalz00_bglt)
																												BgL_globalz00_9396)))->
																									BgL_importz00) ==
																								CNST_TABLE_REF(((long) 10))))
																							{	/* Ast/sexp.scm 157 */
																								obj_t BgL_arg7257z00_9401;

																								{	/* Ast/sexp.scm 157 */
																									obj_t BgL_arg7258z00_9402;

																									{	/* Ast/sexp.scm 157 */
																										obj_t BgL_arg7259z00_9403;

																										{	/* Ast/sexp.scm 157 */
																											obj_t BgL_arg7260z00_9404;

																											BgL_arg7260z00_9404 =
																												MAKE_YOUNG_PAIR
																												(BgL_atomz00_1771,
																												BNIL);
																											BgL_arg7259z00_9403 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														12)),
																												BgL_arg7260z00_9404);
																										}
																										BgL_arg7258z00_9402 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg7259z00_9403,
																											BNIL);
																									}
																									BgL_arg7257z00_9401 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												10)),
																										BgL_arg7258z00_9402);
																								}
																								{
																									obj_t BgL_locz00_33214;
																									obj_t BgL_expz00_33213;

																									BgL_expz00_33213 =
																										BgL_arg7257z00_9401;
																									BgL_locz00_33214 =
																										BgL_locz00_9397;
																									BgL_locz00_23 =
																										BgL_locz00_33214;
																									BgL_expz00_21 =
																										BgL_expz00_33213;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 156 */
																								return
																									BGl_variablezd2ze3nodez31zzast_sexpz00
																									(BgL_globalz00_9396,
																									BgL_locz00_9397,
																									BgL_sitez00_24);
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 155 */
																						BgL_nodez00_bglt
																							BgL_res7956z00_10818;
																						{	/* Ast/sexp.scm 735 */
																							obj_t BgL_arg7725z00_10814;
																							BgL_nodez00_bglt
																								BgL_arg7726z00_10815;
																							BgL_arg7725z00_10814 =
																								BGl_shapez00zztools_shapez00
																								(BGl_currentzd2functionzd2zztools_errorz00
																								());
																							BgL_arg7726z00_10815 =
																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																								(CNST_TABLE_REF(((long) 4)),
																								BNIL, BgL_locz00_9397,
																								CNST_TABLE_REF(((long) 2)));
																							{	/* Ast/sexp.scm 734 */
																								obj_t BgL_list7727z00_10817;

																								BgL_list7727z00_10817 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										BgL_arg7726z00_10815),
																									BNIL);
																								BgL_res7956z00_10818 =
																									((BgL_nodez00_bglt)
																									BGl_userzd2errorzf2locationz20zztools_errorz00
																									(BgL_locz00_9397,
																										BgL_arg7725z00_10814,
																										BGl_string8038z00zzast_sexpz00,
																										BgL_expz00_21,
																										BgL_list7727z00_10817));
																						}}
																						return BgL_res7956z00_10818;
																					}
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 143 */
																	BgL_literalz00_bglt BgL_new1119z00_9407;

																	{	/* Ast/sexp.scm 144 */
																		BgL_literalz00_bglt BgL_new1118z00_9408;

																		BgL_new1118z00_9408 =
																			((BgL_literalz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_literalz00_bgl))));
																		{	/* Ast/sexp.scm 144 */
																			long BgL_arg7263z00_9409;

																			BgL_arg7263z00_9409 =
																				BGL_CLASS_NUM
																				(BGl_literalz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1118z00_9408),
																				BgL_arg7263z00_9409);
																		}
																		{	/* Ast/sexp.scm 144 */
																			BgL_objectz00_bglt BgL_tmpz00_33229;

																			BgL_tmpz00_33229 =
																				((BgL_objectz00_bglt)
																				BgL_new1118z00_9408);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_33229,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1118z00_9408);
																		BgL_new1119z00_9407 = BgL_new1118z00_9408;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1119z00_9407)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_23), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1119z00_9407)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BgL_atomz00_1771)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				COBJECT(((BgL_atomz00_bglt)
																						BgL_new1119z00_9407)))->
																			BgL_valuez00) =
																		((obj_t) BgL_atomz00_1771), BUNSPEC);
																	return ((BgL_nodez00_bglt)
																		BgL_new1119z00_9407);
																}
														}
												}
										}
									}
							}
					}
			}
		}

	}



/* liip~0 */
	obj_t BGl_liipze70ze7zzast_sexpz00(obj_t BgL_argsz00_9823)
	{
		{	/* Ast/sexp.scm 408 */
			if (NULLP(BgL_argsz00_9823))
				{	/* Ast/sexp.scm 409 */
					return CNST_TABLE_REF(((long) 4));
				}
			else
				{	/* Ast/sexp.scm 411 */
					obj_t BgL_arg7507z00_9826;

					{	/* Ast/sexp.scm 411 */
						obj_t BgL_arg7508z00_9827;
						obj_t BgL_arg7509z00_9828;

						BgL_arg7508z00_9827 = CAR(((obj_t) BgL_argsz00_9823));
						{	/* Ast/sexp.scm 412 */
							obj_t BgL_arg7510z00_9829;

							{	/* Ast/sexp.scm 412 */
								obj_t BgL_arg7511z00_9830;

								BgL_arg7511z00_9830 = CDR(((obj_t) BgL_argsz00_9823));
								BgL_arg7510z00_9829 =
									BGl_liipze70ze7zzast_sexpz00(BgL_arg7511z00_9830);
							}
							BgL_arg7509z00_9828 = MAKE_YOUNG_PAIR(BgL_arg7510z00_9829, BNIL);
						}
						BgL_arg7507z00_9826 =
							MAKE_YOUNG_PAIR(BgL_arg7508z00_9827, BgL_arg7509z00_9828);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 33)), BgL_arg7507z00_9826);
		}}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzast_sexpz00(obj_t BgL_expz00_15771,
		obj_t BgL_locz00_15770, obj_t BgL_varsz00_9785, obj_t BgL_argsz00_9786)
	{
		{	/* Ast/sexp.scm 393 */
		BGl_loopze70ze7zzast_sexpz00:
			if (NULLP(BgL_varsz00_9785))
				{	/* Ast/sexp.scm 396 */
					if (NULLP(BgL_argsz00_9786))
						{	/* Ast/sexp.scm 397 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 397 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_15770,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string8041z00zzast_sexpz00, BgL_expz00_15771, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 396 */
					if (PAIRP(BgL_varsz00_9785))
						{	/* Ast/sexp.scm 404 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
									(BgL_varsz00_9785)))
								{	/* Ast/sexp.scm 414 */
									obj_t BgL_argz00_9796;

									BgL_argz00_9796 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_9785));
									if (CBOOL(BgL_argz00_9796))
										{
											obj_t BgL_varsz00_33269;

											BgL_varsz00_33269 = BgL_argz00_9796;
											BgL_varsz00_9785 = BgL_varsz00_33269;
											goto BGl_loopze70ze7zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_33270;

											BgL_varsz00_33270 = BNIL;
											BgL_varsz00_9785 = BgL_varsz00_33270;
											goto BGl_loopze70ze7zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 419 */
									bool_t BgL_test10881z00_33271;

									{	/* Ast/sexp.scm 419 */
										obj_t BgL_tmpz00_33272;

										BgL_tmpz00_33272 = CAR(BgL_varsz00_9785);
										BgL_test10881z00_33271 = SYMBOLP(BgL_tmpz00_33272);
									}
									if (BgL_test10881z00_33271)
										{	/* Ast/sexp.scm 419 */
											if (NULLP(BgL_argsz00_9786))
												{	/* Ast/sexp.scm 425 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_15770,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string8041z00zzast_sexpz00, BgL_expz00_15771,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 432 */
													obj_t BgL_arg7487z00_9804;
													obj_t BgL_arg7488z00_9805;

													{	/* Ast/sexp.scm 432 */
														obj_t BgL_arg7489z00_9806;
														obj_t BgL_arg7490z00_9807;

														BgL_arg7489z00_9806 = CAR(BgL_varsz00_9785);
														BgL_arg7490z00_9807 =
															CAR(((obj_t) BgL_argsz00_9786));
														{	/* Ast/sexp.scm 432 */
															obj_t BgL_list7491z00_9808;

															{	/* Ast/sexp.scm 432 */
																obj_t BgL_arg7492z00_9809;

																BgL_arg7492z00_9809 =
																	MAKE_YOUNG_PAIR(BgL_arg7490z00_9807, BNIL);
																BgL_list7491z00_9808 =
																	MAKE_YOUNG_PAIR(BgL_arg7489z00_9806,
																	BgL_arg7492z00_9809);
															}
															BgL_arg7487z00_9804 = BgL_list7491z00_9808;
														}
													}
													{	/* Ast/sexp.scm 433 */
														obj_t BgL_arg7493z00_9810;
														obj_t BgL_arg7494z00_9811;

														BgL_arg7493z00_9810 = CDR(BgL_varsz00_9785);
														BgL_arg7494z00_9811 =
															CDR(((obj_t) BgL_argsz00_9786));
														BgL_arg7488z00_9805 =
															BGl_loopze70ze7zzast_sexpz00(BgL_expz00_15771,
															BgL_locz00_15770, BgL_arg7493z00_9810,
															BgL_arg7494z00_9811);
													}
													return
														MAKE_YOUNG_PAIR(BgL_arg7487z00_9804,
														BgL_arg7488z00_9805);
												}
										}
									else
										{	/* Ast/sexp.scm 419 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_15770,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string8042z00zzast_sexpz00, BgL_expz00_15771, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 409 */
							obj_t BgL_arg7500z00_9817;

							{	/* Ast/sexp.scm 409 */
								obj_t BgL_arg7502z00_9819;

								BgL_arg7502z00_9819 =
									BGl_liipze70ze7zzast_sexpz00(BgL_argsz00_9786);
								{	/* Ast/sexp.scm 406 */
									obj_t BgL_list7503z00_9820;

									{	/* Ast/sexp.scm 406 */
										obj_t BgL_arg7504z00_9821;

										BgL_arg7504z00_9821 =
											MAKE_YOUNG_PAIR(BgL_arg7502z00_9819, BNIL);
										BgL_list7503z00_9820 =
											MAKE_YOUNG_PAIR(BgL_varsz00_9785, BgL_arg7504z00_9821);
									}
									BgL_arg7500z00_9817 = BgL_list7503z00_9820;
								}
							}
							{	/* Ast/sexp.scm 405 */
								obj_t BgL_list7501z00_9818;

								BgL_list7501z00_9818 =
									MAKE_YOUNG_PAIR(BgL_arg7500z00_9817, BNIL);
								return BgL_list7501z00_9818;
							}
						}
				}
		}

	}



/* &sexp->node */
	BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t BgL_envz00_15728,
		obj_t BgL_expz00_15729, obj_t BgL_stackz00_15730, obj_t BgL_locz00_15731,
		obj_t BgL_sitez00_15732)
	{
		{	/* Ast/sexp.scm 114 */
			return
				BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_15729, BgL_stackz00_15730,
				BgL_locz00_15731, BgL_sitez00_15732);
		}

	}



/* &<@anonymous:7517> */
	obj_t BGl_z62zc3z04anonymousza37517ze3ze5zzast_sexpz00(obj_t BgL_envz00_15733,
		obj_t BgL_objz00_15735, obj_t BgL_procz00_15736, obj_t BgL_msgz00_15737)
	{
		{	/* Ast/sexp.scm 438 */
			return
				BGl_userzd2errorzf2locationz20zztools_errorz00(PROCEDURE_REF
				(BgL_envz00_15733, (int) (((long) 0))), BgL_objz00_15735,
				BgL_procz00_15736, BgL_msgz00_15737, BNIL);
		}

	}



/* lambda->node */
	BgL_nodez00_bglt BGl_lambdazd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_25,
		obj_t BgL_stackz00_26, obj_t BgL_locz00_27, obj_t BgL_sitez00_28,
		obj_t BgL_prefnamez00_29)
	{
		{	/* Ast/sexp.scm 583 */
			{
				obj_t BgL_argsz00_10011;
				obj_t BgL_bodyz00_10012;

				if (PAIRP(BgL_expz00_25))
					{	/* Ast/sexp.scm 584 */
						obj_t BgL_cdrzd275411zd2_10017;

						BgL_cdrzd275411zd2_10017 = CDR(((obj_t) BgL_expz00_25));
						if (PAIRP(BgL_cdrzd275411zd2_10017))
							{	/* Ast/sexp.scm 584 */
								BgL_argsz00_10011 = CAR(BgL_cdrzd275411zd2_10017);
								BgL_bodyz00_10012 = CDR(BgL_cdrzd275411zd2_10017);
								{	/* Ast/sexp.scm 586 */
									obj_t BgL_locz00_10021;
									obj_t BgL_funz00_10022;

									BgL_locz00_10021 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expz00_25, BgL_locz00_27);
									{	/* Ast/sexp.scm 587 */
										obj_t BgL_list7631z00_10032;

										BgL_list7631z00_10032 =
											MAKE_YOUNG_PAIR(BgL_prefnamez00_29, BNIL);
										BgL_funz00_10022 =
											BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_27,
											BgL_list7631z00_10032);
									}
									{	/* Ast/sexp.scm 588 */
										obj_t BgL_arg7622z00_10023;

										{	/* Ast/sexp.scm 588 */
											obj_t BgL_arg7623z00_10024;
											obj_t BgL_arg7624z00_10025;

											BgL_arg7623z00_10024 =
												BGl_labelszd2symzd2zzast_labelsz00();
											{	/* Ast/sexp.scm 588 */
												obj_t BgL_arg7625z00_10026;
												obj_t BgL_arg7626z00_10027;

												{	/* Ast/sexp.scm 588 */
													obj_t BgL_arg7627z00_10028;

													{	/* Ast/sexp.scm 588 */
														obj_t BgL_arg7628z00_10029;

														{	/* Ast/sexp.scm 588 */
															obj_t BgL_arg7629z00_10030;

															BgL_arg7629z00_10030 =
																MAKE_YOUNG_PAIR
																(BGl_normaliza7ezd2prognz75zztools_prognz00
																(BgL_bodyz00_10012), BNIL);
															BgL_arg7628z00_10029 =
																MAKE_YOUNG_PAIR(BgL_argsz00_10011,
																BgL_arg7629z00_10030);
														}
														BgL_arg7627z00_10028 =
															MAKE_YOUNG_PAIR(BgL_funz00_10022,
															BgL_arg7628z00_10029);
													}
													BgL_arg7625z00_10026 =
														MAKE_YOUNG_PAIR(BgL_arg7627z00_10028, BNIL);
												}
												BgL_arg7626z00_10027 =
													MAKE_YOUNG_PAIR(BgL_funz00_10022, BNIL);
												BgL_arg7624z00_10025 =
													MAKE_YOUNG_PAIR(BgL_arg7625z00_10026,
													BgL_arg7626z00_10027);
											}
											BgL_arg7622z00_10023 =
												MAKE_YOUNG_PAIR(BgL_arg7623z00_10024,
												BgL_arg7624z00_10025);
										}
										return
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7622z00_10023,
											BgL_stackz00_26, BgL_locz00_10021, BgL_sitez00_28);
									}
								}
							}
						else
							{	/* Ast/sexp.scm 584 */
							BgL_tagzd275404zd2_10014:
								{	/* Ast/sexp.scm 595 */
									obj_t BgL_arg7632z00_10033;

									BgL_arg7632z00_10033 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expz00_25, BgL_locz00_27);
									{	/* Ast/sexp.scm 593 */
										BgL_nodez00_bglt BgL_res7990z00_14873;

										{	/* Ast/sexp.scm 735 */
											obj_t BgL_arg7725z00_14869;
											BgL_nodez00_bglt BgL_arg7726z00_14870;

											BgL_arg7725z00_14869 =
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00());
											BgL_arg7726z00_14870 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF((
														(long) 4)), BNIL, BgL_arg7632z00_10033,
												CNST_TABLE_REF(((long) 2)));
											{	/* Ast/sexp.scm 734 */
												obj_t BgL_list7727z00_14872;

												BgL_list7727z00_14872 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg7726z00_14870), BNIL);
												BgL_res7990z00_14873 =
													((BgL_nodez00_bglt)
													BGl_userzd2errorzf2locationz20zztools_errorz00
													(BgL_arg7632z00_10033, BgL_arg7725z00_14869,
														BGl_string8043z00zzast_sexpz00, BgL_expz00_25,
														BgL_list7727z00_14872));
										}}
										return BgL_res7990z00_14873;
									}
								}
							}
					}
				else
					{	/* Ast/sexp.scm 584 */
						goto BgL_tagzd275404zd2_10014;
					}
			}
		}

	}



/* variable->node */
	BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t BgL_vz00_30,
		obj_t BgL_locz00_31, obj_t BgL_sitez00_32)
	{
		{	/* Ast/sexp.scm 600 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_vz00_30), BgL_locz00_31, BgL_sitez00_32);
			{	/* Ast/sexp.scm 602 */
				bool_t BgL_test10885z00_33334;

				if ((BgL_sitez00_32 == CNST_TABLE_REF(((long) 34))))
					{	/* Ast/sexp.scm 602 */
						BgL_test10885z00_33334 = ((bool_t) 0);
					}
				else
					{	/* Ast/sexp.scm 602 */
						BgL_valuez00_bglt BgL_arg7653z00_10061;

						BgL_arg7653z00_10061 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_vz00_30)))->BgL_valuez00);
						{	/* Ast/sexp.scm 602 */
							obj_t BgL_classz00_14878;

							BgL_classz00_14878 = BGl_funz00zzast_varz00;
							{	/* Ast/sexp.scm 602 */
								BgL_objectz00_bglt BgL_arg1820z00_14880;

								{	/* Ast/sexp.scm 602 */
									obj_t BgL_tmpz00_33340;

									BgL_tmpz00_33340 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg7653z00_10061));
									BgL_arg1820z00_14880 =
										(BgL_objectz00_bglt) (BgL_tmpz00_33340);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/sexp.scm 602 */
										long BgL_idxz00_14886;

										BgL_idxz00_14886 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_14880);
										BgL_test10885z00_33334 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_14886 + ((long) 2))) == BgL_classz00_14878);
									}
								else
									{	/* Ast/sexp.scm 602 */
										bool_t BgL_res7991z00_14908;

										{	/* Ast/sexp.scm 602 */
											obj_t BgL_oclassz00_14894;

											{	/* Ast/sexp.scm 602 */
												long BgL_arg1828z00_14900;

												{	/* Ast/sexp.scm 602 */
													long BgL_arg1829z00_14901;

													BgL_arg1829z00_14901 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_14880);
													BgL_arg1828z00_14900 =
														(BgL_arg1829z00_14901 - OBJECT_TYPE);
												}
												BgL_oclassz00_14894 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_14900);
											}
											{	/* Ast/sexp.scm 602 */
												bool_t BgL__ortest_1111z00_14895;

												BgL__ortest_1111z00_14895 =
													(BgL_classz00_14878 == BgL_oclassz00_14894);
												if (BgL__ortest_1111z00_14895)
													{	/* Ast/sexp.scm 602 */
														BgL_res7991z00_14908 = BgL__ortest_1111z00_14895;
													}
												else
													{	/* Ast/sexp.scm 602 */
														long BgL_odepthz00_14896;

														BgL_odepthz00_14896 =
															BGL_CLASS_DEPTH(BgL_oclassz00_14894);
														if ((((long) 2) < BgL_odepthz00_14896))
															{	/* Ast/sexp.scm 602 */
																obj_t BgL_arg1816z00_14898;

																BgL_arg1816z00_14898 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_14894,
																	((long) 2));
																BgL_res7991z00_14908 =
																	(BgL_arg1816z00_14898 == BgL_classz00_14878);
															}
														else
															{	/* Ast/sexp.scm 602 */
																BgL_res7991z00_14908 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test10885z00_33334 = BgL_res7991z00_14908;
									}
							}
						}
					}
				if (BgL_test10885z00_33334)
					{	/* Ast/sexp.scm 603 */
						bool_t BgL_test10890z00_33360;

						{	/* Ast/sexp.scm 603 */
							bool_t BgL_test10891z00_33361;

							{	/* Ast/sexp.scm 603 */
								obj_t BgL_classz00_14909;

								BgL_classz00_14909 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_vz00_30))
									{	/* Ast/sexp.scm 603 */
										BgL_objectz00_bglt BgL_arg1820z00_14911;

										BgL_arg1820z00_14911 = (BgL_objectz00_bglt) (BgL_vz00_30);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Ast/sexp.scm 603 */
												long BgL_idxz00_14917;

												BgL_idxz00_14917 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_14911);
												BgL_test10891z00_33361 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_14917 + ((long) 2))) ==
													BgL_classz00_14909);
											}
										else
											{	/* Ast/sexp.scm 603 */
												bool_t BgL_res7992z00_14939;

												{	/* Ast/sexp.scm 603 */
													obj_t BgL_oclassz00_14925;

													{	/* Ast/sexp.scm 603 */
														long BgL_arg1828z00_14931;

														{	/* Ast/sexp.scm 603 */
															long BgL_arg1829z00_14932;

															BgL_arg1829z00_14932 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_14911);
															BgL_arg1828z00_14931 =
																(BgL_arg1829z00_14932 - OBJECT_TYPE);
														}
														BgL_oclassz00_14925 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_14931);
													}
													{	/* Ast/sexp.scm 603 */
														bool_t BgL__ortest_1111z00_14926;

														BgL__ortest_1111z00_14926 =
															(BgL_classz00_14909 == BgL_oclassz00_14925);
														if (BgL__ortest_1111z00_14926)
															{	/* Ast/sexp.scm 603 */
																BgL_res7992z00_14939 =
																	BgL__ortest_1111z00_14926;
															}
														else
															{	/* Ast/sexp.scm 603 */
																long BgL_odepthz00_14927;

																BgL_odepthz00_14927 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_14925);
																if ((((long) 2) < BgL_odepthz00_14927))
																	{	/* Ast/sexp.scm 603 */
																		obj_t BgL_arg1816z00_14929;

																		BgL_arg1816z00_14929 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_14925, ((long) 2));
																		BgL_res7992z00_14939 =
																			(BgL_arg1816z00_14929 ==
																			BgL_classz00_14909);
																	}
																else
																	{	/* Ast/sexp.scm 603 */
																		BgL_res7992z00_14939 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test10891z00_33361 = BgL_res7992z00_14939;
											}
									}
								else
									{	/* Ast/sexp.scm 603 */
										BgL_test10891z00_33361 = ((bool_t) 0);
									}
							}
							if (BgL_test10891z00_33361)
								{	/* Ast/sexp.scm 604 */
									bool_t BgL_test10896z00_33381;

									{	/* Ast/sexp.scm 604 */
										BgL_valuez00_bglt BgL_arg7650z00_10056;

										BgL_arg7650z00_10056 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_30))))->
											BgL_valuez00);
										{	/* Ast/sexp.scm 604 */
											obj_t BgL_classz00_14941;

											BgL_classz00_14941 = BGl_cfunz00zzast_varz00;
											{	/* Ast/sexp.scm 604 */
												BgL_objectz00_bglt BgL_arg1820z00_14943;

												{	/* Ast/sexp.scm 604 */
													obj_t BgL_tmpz00_33385;

													BgL_tmpz00_33385 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg7650z00_10056));
													BgL_arg1820z00_14943 =
														(BgL_objectz00_bglt) (BgL_tmpz00_33385);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/sexp.scm 604 */
														long BgL_idxz00_14949;

														BgL_idxz00_14949 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_14943);
														BgL_test10896z00_33381 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_14949 + ((long) 3))) ==
															BgL_classz00_14941);
													}
												else
													{	/* Ast/sexp.scm 604 */
														bool_t BgL_res7993z00_14971;

														{	/* Ast/sexp.scm 604 */
															obj_t BgL_oclassz00_14957;

															{	/* Ast/sexp.scm 604 */
																long BgL_arg1828z00_14963;

																{	/* Ast/sexp.scm 604 */
																	long BgL_arg1829z00_14964;

																	BgL_arg1829z00_14964 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_14943);
																	BgL_arg1828z00_14963 =
																		(BgL_arg1829z00_14964 - OBJECT_TYPE);
																}
																BgL_oclassz00_14957 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_14963);
															}
															{	/* Ast/sexp.scm 604 */
																bool_t BgL__ortest_1111z00_14958;

																BgL__ortest_1111z00_14958 =
																	(BgL_classz00_14941 == BgL_oclassz00_14957);
																if (BgL__ortest_1111z00_14958)
																	{	/* Ast/sexp.scm 604 */
																		BgL_res7993z00_14971 =
																			BgL__ortest_1111z00_14958;
																	}
																else
																	{	/* Ast/sexp.scm 604 */
																		long BgL_odepthz00_14959;

																		BgL_odepthz00_14959 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_14957);
																		if ((((long) 3) < BgL_odepthz00_14959))
																			{	/* Ast/sexp.scm 604 */
																				obj_t BgL_arg1816z00_14961;

																				BgL_arg1816z00_14961 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_14957, ((long) 3));
																				BgL_res7993z00_14971 =
																					(BgL_arg1816z00_14961 ==
																					BgL_classz00_14941);
																			}
																		else
																			{	/* Ast/sexp.scm 604 */
																				BgL_res7993z00_14971 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test10896z00_33381 = BgL_res7993z00_14971;
													}
											}
										}
									}
									if (BgL_test10896z00_33381)
										{	/* Ast/sexp.scm 605 */
											bool_t BgL_test10900z00_33405;

											{	/* Ast/sexp.scm 605 */
												obj_t BgL_arg7649z00_10055;

												BgL_arg7649z00_10055 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_test10900z00_33405 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg7649z00_10055)))->
													BgL_foreignzd2closurezd2);
											}
											if (BgL_test10900z00_33405)
												{	/* Ast/sexp.scm 605 */
													BgL_test10890z00_33360 = ((bool_t) 0);
												}
											else
												{	/* Ast/sexp.scm 605 */
													if ((BgL_sitez00_32 == CNST_TABLE_REF(((long) 31))))
														{	/* Ast/sexp.scm 606 */
															BgL_test10890z00_33360 = ((bool_t) 0);
														}
													else
														{	/* Ast/sexp.scm 606 */
															BgL_test10890z00_33360 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Ast/sexp.scm 604 */
											BgL_test10890z00_33360 = ((bool_t) 0);
										}
								}
							else
								{	/* Ast/sexp.scm 603 */
									BgL_test10890z00_33360 = ((bool_t) 0);
								}
						}
						if (BgL_test10890z00_33360)
							{	/* Ast/sexp.scm 608 */
								obj_t BgL_arg7643z00_10044;

								{	/* Ast/sexp.scm 608 */
									obj_t BgL_arg7644z00_10045;

									{	/* Ast/sexp.scm 608 */
										obj_t BgL_arg7646z00_10047;

										BgL_arg7646z00_10047 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg7644z00_10045 =
											(((BgL_backendz00_bglt) COBJECT(
													((BgL_backendz00_bglt) BgL_arg7646z00_10047)))->
											BgL_namez00);
									}
									{	/* Ast/sexp.scm 608 */
										obj_t BgL_list7645z00_10046;

										BgL_list7645z00_10046 =
											MAKE_YOUNG_PAIR(BgL_arg7644z00_10045, BNIL);
										BgL_arg7643z00_10044 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string8044z00zzast_sexpz00, BgL_list7645z00_10046);
									}
								}
								return
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BgL_arg7643z00_10044, BGl_expzd2envzd2zz__r4_numbers_6_5z00,
									BgL_locz00_31);
							}
						else
							{	/* Ast/sexp.scm 609 */
								BgL_closurez00_bglt BgL_new1149z00_10048;

								{	/* Ast/sexp.scm 610 */
									BgL_closurez00_bglt BgL_new1148z00_10050;

									BgL_new1148z00_10050 =
										((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_closurez00_bgl))));
									{	/* Ast/sexp.scm 610 */
										long BgL_arg7648z00_10051;

										BgL_arg7648z00_10051 =
											BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1148z00_10050),
											BgL_arg7648z00_10051);
									}
									{	/* Ast/sexp.scm 610 */
										BgL_objectz00_bglt BgL_tmpz00_33422;

										BgL_tmpz00_33422 =
											((BgL_objectz00_bglt) BgL_new1148z00_10050);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_33422, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1148z00_10050);
									BgL_new1149z00_10048 = BgL_new1148z00_10050;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1149z00_10048)))->
										BgL_locz00) = ((obj_t) BgL_locz00_31), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_33428;

									{	/* Ast/sexp.scm 611 */
										BgL_typez00_bglt BgL_arg7647z00_10049;

										BgL_arg7647z00_10049 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_30)))->BgL_typez00);
										BgL_auxz00_33428 =
											BGl_strictzd2nodezd2typez00zzast_nodez00(
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00),
											BgL_arg7647z00_10049);
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1149z00_10048)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_33428), BUNSPEC);
								}
								((((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_new1149z00_10048)))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_30)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1149z00_10048);
							}
					}
				else
					{	/* Ast/sexp.scm 613 */
						BgL_refz00_bglt BgL_new1151z00_10057;

						{	/* Ast/sexp.scm 614 */
							BgL_refz00_bglt BgL_new1150z00_10059;

							BgL_new1150z00_10059 =
								((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_refz00_bgl))));
							{	/* Ast/sexp.scm 614 */
								long BgL_arg7652z00_10060;

								BgL_arg7652z00_10060 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1150z00_10059),
									BgL_arg7652z00_10060);
							}
							{	/* Ast/sexp.scm 614 */
								BgL_objectz00_bglt BgL_tmpz00_33443;

								BgL_tmpz00_33443 = ((BgL_objectz00_bglt) BgL_new1150z00_10059);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_33443, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1150z00_10059);
							BgL_new1151z00_10057 = BgL_new1150z00_10059;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1151z00_10057)))->BgL_locz00) =
							((obj_t) BgL_locz00_31), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_33449;

							{	/* Ast/sexp.scm 615 */
								BgL_typez00_bglt BgL_arg7651z00_10058;

								BgL_arg7651z00_10058 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_30)))->BgL_typez00);
								BgL_auxz00_33449 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
									BgL_arg7651z00_10058);
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1151z00_10057)))->
									BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_33449), BUNSPEC);
						}
						((((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_new1151z00_10057)))->
								BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_30)),
							BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1151z00_10057);
					}
			}
		}

	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_33,
		obj_t BgL_stackz00_34, obj_t BgL_locz00_35, obj_t BgL_sitez00_36)
	{
		{	/* Ast/sexp.scm 621 */
			{	/* Ast/sexp.scm 622 */
				obj_t BgL_callerz00_10062;
				obj_t BgL_locz00_10063;

				BgL_callerz00_10062 = CAR(((obj_t) BgL_expz00_33));
				BgL_locz00_10063 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_33,
					BgL_locz00_35);
				if (SYMBOLP(BgL_callerz00_10062))
					{	/* Ast/sexp.scm 626 */
						obj_t BgL_pidz00_10065;

						BgL_pidz00_10065 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_10062,
							BgL_locz00_10063);
						{	/* Ast/sexp.scm 626 */
							obj_t BgL_idz00_10066;

							BgL_idz00_10066 = CAR(BgL_pidz00_10065);
							{	/* Ast/sexp.scm 627 */
								obj_t BgL_typez00_10067;

								BgL_typez00_10067 = CDR(BgL_pidz00_10065);
								{	/* Ast/sexp.scm 628 */

									if ((BgL_idz00_10066 == CNST_TABLE_REF(((long) 6))))
										{	/* Ast/sexp.scm 629 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, ((BgL_typez00_bglt) BgL_typez00_10067),
												BgL_expz00_33, BgL_stackz00_34, BgL_locz00_10063,
												BgL_sitez00_36);
										}
									else
										{	/* Ast/sexp.scm 629 */
											if ((BgL_idz00_10066 == CNST_TABLE_REF(((long) 22))))
												{	/* Ast/sexp.scm 633 */
													bool_t BgL_test10905z00_33476;

													{	/* Ast/sexp.scm 633 */
														obj_t BgL_tmpz00_33477;

														BgL_tmpz00_33477 = CDR(((obj_t) BgL_expz00_33));
														BgL_test10905z00_33476 = PAIRP(BgL_tmpz00_33477);
													}
													if (BgL_test10905z00_33476)
														{	/* Ast/sexp.scm 637 */
															BgL_feffectz00_bglt BgL_arg7659z00_10073;
															obj_t BgL_arg7660z00_10074;

															{	/* Ast/sexp.scm 637 */
																obj_t BgL_arg7661z00_10075;

																{	/* Ast/sexp.scm 637 */
																	obj_t BgL_pairz00_14995;

																	BgL_pairz00_14995 =
																		CDR(((obj_t) BgL_expz00_33));
																	BgL_arg7661z00_10075 = CAR(BgL_pairz00_14995);
																}
																BgL_arg7659z00_10073 =
																	BGl_parsezd2effectzd2zzeffect_feffectz00
																	(BgL_arg7661z00_10075);
															}
															{	/* Ast/sexp.scm 638 */
																obj_t BgL_arg7662z00_10076;
																obj_t BgL_arg7663z00_10077;

																{	/* Ast/sexp.scm 638 */
																	obj_t BgL_arg7664z00_10078;

																	BgL_arg7664z00_10078 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
																		BNIL);
																	BgL_arg7662z00_10076 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 36)),
																		BgL_arg7664z00_10078);
																}
																{	/* Ast/sexp.scm 638 */
																	obj_t BgL_auxz00_33489;

																	{	/* Ast/sexp.scm 638 */
																		obj_t BgL_pairz00_14999;

																		BgL_pairz00_14999 =
																			CDR(((obj_t) BgL_expz00_33));
																		BgL_auxz00_33489 = CDR(BgL_pairz00_14999);
																	}
																	BgL_arg7663z00_10077 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_33489, BNIL);
																}
																BgL_arg7660z00_10074 =
																	MAKE_YOUNG_PAIR(BgL_arg7662z00_10076,
																	BgL_arg7663z00_10077);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), ((obj_t) BgL_arg7659z00_10073),
																((BgL_typez00_bglt) BgL_typez00_10067),
																BgL_arg7660z00_10074, BgL_stackz00_34,
																BgL_locz00_10063, BgL_sitez00_36);
														}
													else
														{	/* Ast/sexp.scm 636 */
															obj_t BgL_arg7666z00_10080;

															BgL_arg7666z00_10080 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_33, BgL_locz00_10063);
															{	/* Ast/sexp.scm 634 */
																BgL_nodez00_bglt BgL_res7994z00_15005;

																{	/* Ast/sexp.scm 735 */
																	obj_t BgL_arg7725z00_15001;
																	BgL_nodez00_bglt BgL_arg7726z00_15002;

																	BgL_arg7725z00_15001 =
																		BGl_shapez00zztools_shapez00
																		(BGl_currentzd2functionzd2zztools_errorz00
																		());
																	BgL_arg7726z00_15002 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(CNST_TABLE_REF(((long) 4)), BNIL,
																		BgL_arg7666z00_10080,
																		CNST_TABLE_REF(((long) 2)));
																	{	/* Ast/sexp.scm 734 */
																		obj_t BgL_list7727z00_15004;

																		BgL_list7727z00_15004 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg7726z00_15002), BNIL);
																		BgL_res7994z00_15005 =
																			((BgL_nodez00_bglt)
																			BGl_userzd2errorzf2locationz20zztools_errorz00
																			(BgL_arg7666z00_10080,
																				BgL_arg7725z00_15001,
																				BGl_string8045z00zzast_sexpz00,
																				BgL_expz00_33, BgL_list7727z00_15004));
																}}
																return BgL_res7994z00_15005;
															}
														}
												}
											else
												{	/* Ast/sexp.scm 629 */
													if ((BgL_idz00_10066 == CNST_TABLE_REF(((long) 23))))
														{	/* Ast/sexp.scm 629 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																((BgL_typez00_bglt) BgL_typez00_10067),
																BgL_expz00_33, BgL_stackz00_34,
																BgL_locz00_10063, BgL_sitez00_36);
														}
													else
														{	/* Ast/sexp.scm 629 */
															if (
																(BgL_idz00_10066 ==
																	CNST_TABLE_REF(((long) 25))))
																{	/* Ast/sexp.scm 643 */
																	bool_t BgL_test10908z00_33516;

																	{	/* Ast/sexp.scm 643 */
																		obj_t BgL_tmpz00_33517;

																		BgL_tmpz00_33517 =
																			CDR(((obj_t) BgL_expz00_33));
																		BgL_test10908z00_33516 =
																			PAIRP(BgL_tmpz00_33517);
																	}
																	if (BgL_test10908z00_33516)
																		{	/* Ast/sexp.scm 647 */
																			BgL_feffectz00_bglt BgL_arg7672z00_10086;
																			obj_t BgL_arg7673z00_10087;

																			{	/* Ast/sexp.scm 647 */
																				obj_t BgL_arg7674z00_10088;

																				{	/* Ast/sexp.scm 647 */
																					obj_t BgL_pairz00_15012;

																					BgL_pairz00_15012 =
																						CDR(((obj_t) BgL_expz00_33));
																					BgL_arg7674z00_10088 =
																						CAR(BgL_pairz00_15012);
																				}
																				BgL_arg7672z00_10086 =
																					BGl_parsezd2effectzd2zzeffect_feffectz00
																					(BgL_arg7674z00_10088);
																			}
																			{	/* Ast/sexp.scm 648 */
																				obj_t BgL_arg7675z00_10089;
																				obj_t BgL_arg7676z00_10090;

																				{	/* Ast/sexp.scm 648 */
																					obj_t BgL_arg7677z00_10091;

																					BgL_arg7677z00_10091 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 35)), BNIL);
																					BgL_arg7675z00_10089 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 36)),
																						BgL_arg7677z00_10091);
																				}
																				{	/* Ast/sexp.scm 648 */
																					obj_t BgL_auxz00_33529;

																					{	/* Ast/sexp.scm 648 */
																						obj_t BgL_pairz00_15016;

																						BgL_pairz00_15016 =
																							CDR(((obj_t) BgL_expz00_33));
																						BgL_auxz00_33529 =
																							CDR(BgL_pairz00_15016);
																					}
																					BgL_arg7676z00_10090 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_auxz00_33529, BNIL);
																				}
																				BgL_arg7673z00_10087 =
																					MAKE_YOUNG_PAIR(BgL_arg7675z00_10089,
																					BgL_arg7676z00_10090);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				((obj_t) BgL_arg7672z00_10086),
																				((BgL_typez00_bglt) BgL_typez00_10067),
																				BgL_arg7673z00_10087, BgL_stackz00_34,
																				BgL_locz00_10063, BgL_sitez00_36);
																		}
																	else
																		{	/* Ast/sexp.scm 646 */
																			obj_t BgL_arg7679z00_10093;

																			BgL_arg7679z00_10093 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_33, BgL_locz00_10063);
																			{	/* Ast/sexp.scm 644 */
																				BgL_nodez00_bglt BgL_res7995z00_15022;

																				{	/* Ast/sexp.scm 735 */
																					obj_t BgL_arg7725z00_15018;
																					BgL_nodez00_bglt BgL_arg7726z00_15019;

																					BgL_arg7725z00_15018 =
																						BGl_shapez00zztools_shapez00
																						(BGl_currentzd2functionzd2zztools_errorz00
																						());
																					BgL_arg7726z00_15019 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(CNST_TABLE_REF(((long) 4)), BNIL,
																						BgL_arg7679z00_10093,
																						CNST_TABLE_REF(((long) 2)));
																					{	/* Ast/sexp.scm 734 */
																						obj_t BgL_list7727z00_15021;

																						BgL_list7727z00_15021 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg7726z00_15019),
																							BNIL);
																						BgL_res7995z00_15022 =
																							((BgL_nodez00_bglt)
																							BGl_userzd2errorzf2locationz20zztools_errorz00
																							(BgL_arg7679z00_10093,
																								BgL_arg7725z00_15018,
																								BGl_string8046z00zzast_sexpz00,
																								BgL_expz00_33,
																								BgL_list7727z00_15021));
																				}}
																				return BgL_res7995z00_15022;
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 629 */
																	if (
																		(BgL_idz00_10066 ==
																			CNST_TABLE_REF(((long) 3))))
																		{
																			obj_t BgL_argsz00_10096;
																			obj_t BgL_bodyz00_10097;

																			if (PAIRP(BgL_expz00_33))
																				{	/* Ast/sexp.scm 651 */
																					obj_t BgL_cdrzd275426zd2_10102;

																					BgL_cdrzd275426zd2_10102 =
																						CDR(((obj_t) BgL_expz00_33));
																					if (PAIRP(BgL_cdrzd275426zd2_10102))
																						{	/* Ast/sexp.scm 651 */
																							BgL_argsz00_10096 =
																								CAR(BgL_cdrzd275426zd2_10102);
																							BgL_bodyz00_10097 =
																								CDR(BgL_cdrzd275426zd2_10102);
																							{	/* Ast/sexp.scm 653 */
																								obj_t BgL_locz00_10106;

																								BgL_locz00_10106 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_33,
																									BgL_locz00_10063);
																								{	/* Ast/sexp.scm 653 */
																									obj_t BgL_funz00_10107;

																									BgL_funz00_10107 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(CNST_TABLE_REF(((long)
																													3))));
																									{	/* Ast/sexp.scm 654 */
																										obj_t BgL_tfunz00_10108;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typez00_10067)))
																											{	/* Ast/sexp.scm 656 */
																												obj_t
																													BgL_arg7696z00_10119;
																												BgL_arg7696z00_10119 =
																													(((BgL_typez00_bglt)
																														COBJECT((
																																(BgL_typez00_bglt)
																																BgL_typez00_10067)))->
																													BgL_idz00);
																												BgL_tfunz00_10108 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_funz00_10107,
																													BgL_arg7696z00_10119);
																											}
																										else
																											{	/* Ast/sexp.scm 655 */
																												BgL_tfunz00_10108 =
																													BgL_funz00_10107;
																											}
																										{	/* Ast/sexp.scm 655 */

																											{	/* Ast/sexp.scm 659 */
																												obj_t
																													BgL_arg7686z00_10109;
																												{	/* Ast/sexp.scm 659 */
																													obj_t
																														BgL_arg7687z00_10110;
																													obj_t
																														BgL_arg7688z00_10111;
																													BgL_arg7687z00_10110 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 659 */
																														obj_t
																															BgL_arg7689z00_10112;
																														obj_t
																															BgL_arg7690z00_10113;
																														{	/* Ast/sexp.scm 659 */
																															obj_t
																																BgL_arg7691z00_10114;
																															{	/* Ast/sexp.scm 659 */
																																obj_t
																																	BgL_arg7692z00_10115;
																																{	/* Ast/sexp.scm 659 */
																																	obj_t
																																		BgL_arg7693z00_10116;
																																	BgL_arg7693z00_10116
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_10097),
																																		BNIL);
																																	BgL_arg7692z00_10115
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_argsz00_10096,
																																		BgL_arg7693z00_10116);
																																}
																																BgL_arg7691z00_10114
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tfunz00_10108,
																																	BgL_arg7692z00_10115);
																															}
																															BgL_arg7689z00_10112
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg7691z00_10114,
																																BNIL);
																														}
																														BgL_arg7690z00_10113
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_funz00_10107,
																															BNIL);
																														BgL_arg7688z00_10111
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg7689z00_10112,
																															BgL_arg7690z00_10113);
																													}
																													BgL_arg7686z00_10109 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg7687z00_10110,
																														BgL_arg7688z00_10111);
																												}
																												BGL_TAIL return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg7686z00_10109,
																													BgL_stackz00_34,
																													BgL_locz00_10106,
																													BgL_sitez00_36);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 651 */
																						BgL_tagzd275419zd2_10099:
																							{	/* Ast/sexp.scm 665 */
																								BgL_nodez00_bglt
																									BgL_res7996z00_15030;
																								{	/* Ast/sexp.scm 735 */
																									obj_t BgL_arg7725z00_15026;
																									BgL_nodez00_bglt
																										BgL_arg7726z00_15027;
																									BgL_arg7725z00_15026 =
																										BGl_shapez00zztools_shapez00
																										(BGl_currentzd2functionzd2zztools_errorz00
																										());
																									BgL_arg7726z00_15027 =
																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																										(CNST_TABLE_REF(((long) 4)),
																										BNIL, BgL_locz00_10063,
																										CNST_TABLE_REF(((long) 2)));
																									{	/* Ast/sexp.scm 734 */
																										obj_t BgL_list7727z00_15029;

																										BgL_list7727z00_15029 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												BgL_arg7726z00_15027),
																											BNIL);
																										BgL_res7996z00_15030 =
																											((BgL_nodez00_bglt)
																											BGl_userzd2errorzf2locationz20zztools_errorz00
																											(BgL_locz00_10063,
																												BgL_arg7725z00_15026,
																												BGl_string8047z00zzast_sexpz00,
																												BgL_expz00_33,
																												BgL_list7727z00_15029));
																								}}
																								return BgL_res7996z00_15030;
																							}
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 651 */
																					goto BgL_tagzd275419zd2_10099;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 629 */
																			BGL_TAIL return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_33, BgL_stackz00_34,
																				BgL_locz00_10063, BgL_sitez00_36);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 624 */
						BGL_TAIL return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_33,
							BgL_stackz00_34, BgL_locz00_10063, BgL_sitez00_36);
					}
			}
		}

	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_37, obj_t BgL_stackz00_38, obj_t BgL_locz00_39,
		obj_t BgL_sitez00_40)
	{
		{	/* Ast/sexp.scm 673 */
			{
				obj_t BgL_expsz00_10123;
				obj_t BgL_resz00_10124;
				obj_t BgL_locz00_10125;

				BgL_expsz00_10123 = BgL_expza2za2_37;
				BgL_resz00_10124 = BNIL;
				BgL_locz00_10125 = BgL_locz00_39;
			BgL_zc3z04anonymousza37698ze3z87_10126:
				if (NULLP(BgL_expsz00_10123))
					{	/* Ast/sexp.scm 679 */
						BgL_nodez00_bglt BgL_res7997z00_15039;

						{	/* Ast/sexp.scm 735 */
							obj_t BgL_arg7725z00_15035;
							BgL_nodez00_bglt BgL_arg7726z00_15036;

							BgL_arg7725z00_15035 =
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00());
							BgL_arg7726z00_15036 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
								BNIL, BgL_locz00_10125, CNST_TABLE_REF(((long) 2)));
							{	/* Ast/sexp.scm 734 */
								obj_t BgL_list7727z00_15038;

								BgL_list7727z00_15038 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg7726z00_15036), BNIL);
								BgL_res7997z00_15039 =
									((BgL_nodez00_bglt)
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_locz00_10125, BgL_arg7725z00_15035,
										BGl_string8048z00zzast_sexpz00, BgL_expsz00_10123,
										BgL_list7727z00_15038));
						}}
						return ((obj_t) BgL_res7997z00_15039);
					}
				else
					{	/* Ast/sexp.scm 678 */
						if (NULLP(CDR(((obj_t) BgL_expsz00_10123))))
							{	/* Ast/sexp.scm 681 */
								obj_t BgL_locz00_10130;
								obj_t BgL_nsitez00_10131;

								{	/* Ast/sexp.scm 681 */
									obj_t BgL_arg7705z00_10135;
									obj_t BgL_arg7706z00_10136;

									BgL_arg7705z00_10135 = CAR(((obj_t) BgL_expsz00_10123));
									BgL_arg7706z00_10136 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expsz00_10123, BgL_locz00_10125);
									BgL_locz00_10130 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_arg7705z00_10135, BgL_arg7706z00_10136);
								}
								if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 34))))
									{	/* Ast/sexp.scm 683 */
										BgL_nsitez00_10131 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/sexp.scm 683 */
										BgL_nsitez00_10131 = BgL_sitez00_40;
									}
								{	/* Ast/sexp.scm 684 */
									obj_t BgL_arg7702z00_10132;

									{	/* Ast/sexp.scm 684 */
										BgL_nodez00_bglt BgL_arg7703z00_10133;

										{	/* Ast/sexp.scm 684 */
											obj_t BgL_arg7704z00_10134;

											BgL_arg7704z00_10134 = CAR(((obj_t) BgL_expsz00_10123));
											BgL_arg7703z00_10133 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7704z00_10134,
												BgL_stackz00_38, BgL_locz00_10130, BgL_nsitez00_10131);
										}
										BgL_arg7702z00_10132 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg7703z00_10133), BgL_resz00_10124);
									}
									return bgl_reverse_bang(BgL_arg7702z00_10132);
								}
							}
						else
							{	/* Ast/sexp.scm 686 */
								obj_t BgL_locz00_10137;

								{	/* Ast/sexp.scm 686 */
									obj_t BgL_arg7711z00_10142;
									obj_t BgL_arg7712z00_10143;

									BgL_arg7711z00_10142 = CAR(((obj_t) BgL_expsz00_10123));
									BgL_arg7712z00_10143 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expsz00_10123, BgL_locz00_10125);
									BgL_locz00_10137 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_arg7711z00_10142, BgL_arg7712z00_10143);
								}
								{	/* Ast/sexp.scm 688 */
									obj_t BgL_arg7707z00_10138;
									obj_t BgL_arg7708z00_10139;

									BgL_arg7707z00_10138 = CDR(((obj_t) BgL_expsz00_10123));
									{	/* Ast/sexp.scm 689 */
										BgL_nodez00_bglt BgL_arg7709z00_10140;

										{	/* Ast/sexp.scm 689 */
											obj_t BgL_arg7710z00_10141;

											BgL_arg7710z00_10141 = CAR(((obj_t) BgL_expsz00_10123));
											BgL_arg7709z00_10140 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7710z00_10141,
												BgL_stackz00_38, BgL_locz00_10137,
												CNST_TABLE_REF(((long) 2)));
										}
										BgL_arg7708z00_10139 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg7709z00_10140), BgL_resz00_10124);
									}
									{
										obj_t BgL_locz00_33634;
										obj_t BgL_resz00_33633;
										obj_t BgL_expsz00_33632;

										BgL_expsz00_33632 = BgL_arg7707z00_10138;
										BgL_resz00_33633 = BgL_arg7708z00_10139;
										BgL_locz00_33634 = BgL_locz00_10137;
										BgL_locz00_10125 = BgL_locz00_33634;
										BgL_resz00_10124 = BgL_resz00_33633;
										BgL_expsz00_10123 = BgL_expsz00_33632;
										goto BgL_zc3z04anonymousza37698ze3z87_10126;
									}
								}
							}
					}
			}
		}

	}



/* &sexp*->node */
	obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t BgL_envz00_15740,
		obj_t BgL_expza2za2_15741, obj_t BgL_stackz00_15742, obj_t BgL_locz00_15743,
		obj_t BgL_sitez00_15744)
	{
		{	/* Ast/sexp.scm 673 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_15741,
				BgL_stackz00_15742, BgL_locz00_15743, BgL_sitez00_15744);
		}

	}



/* find-local */
	BGL_EXPORTED_DEF obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t BgL_namez00_41,
		obj_t BgL_stackz00_42)
	{
		{	/* Ast/sexp.scm 702 */
			{	/* Ast/sexp.scm 703 */
				bool_t BgL_test10916z00_33636;

				if ((BgL_namez00_41 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 703 */
						BgL_test10916z00_33636 =
							(BgL_stackz00_42 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 703 */
						BgL_test10916z00_33636 = ((bool_t) 0);
					}
				if (BgL_test10916z00_33636)
					{	/* Ast/sexp.scm 703 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 703 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_41;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_42;
						{
							obj_t BgL_stackz00_10148;

							BgL_stackz00_10148 = BgL_stackz00_42;
						BgL_zc3z04anonymousza37715ze3z87_10149:
							if (NULLP(BgL_stackz00_10148))
								{	/* Ast/sexp.scm 710 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 710 */
									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_stackz00_10148))))))->
												BgL_idz00) == BgL_namez00_41))
										{	/* Ast/sexp.scm 713 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(((obj_t) BgL_stackz00_10148));
											return CAR(((obj_t) BgL_stackz00_10148));
										}
									else
										{	/* Ast/sexp.scm 717 */
											obj_t BgL_arg7720z00_10154;

											BgL_arg7720z00_10154 = CDR(((obj_t) BgL_stackz00_10148));
											{
												obj_t BgL_stackz00_33655;

												BgL_stackz00_33655 = BgL_arg7720z00_10154;
												BgL_stackz00_10148 = BgL_stackz00_33655;
												goto BgL_zc3z04anonymousza37715ze3z87_10149;
											}
										}
								}
						}
					}
			}
		}

	}



/* &find-local */
	obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t BgL_envz00_15745,
		obj_t BgL_namez00_15746, obj_t BgL_stackz00_15747)
	{
		{	/* Ast/sexp.scm 702 */
			return
				BGl_findzd2localzd2zzast_sexpz00(BgL_namez00_15746, BgL_stackz00_15747);
		}

	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_43,
		obj_t BgL_locz00_44, obj_t BgL_sitez00_45)
	{
		{	/* Ast/sexp.scm 722 */
			if ((BgL_sitez00_45 == CNST_TABLE_REF(((long) 7))))
				{	/* Ast/sexp.scm 725 */
					obj_t BgL_vz00_15052;

					BgL_vz00_15052 = CNST_TABLE_REF(((long) 37));
					((((BgL_variablez00_bglt) COBJECT(BgL_varz00_43))->BgL_accessz00) =
						((obj_t) BgL_vz00_15052), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 724 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 726 */
				BgL_valuez00_bglt BgL_valz00_10158;

				BgL_valz00_10158 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_43))->BgL_valuez00);
				{	/* Ast/sexp.scm 727 */
					bool_t BgL_test10921z00_33663;

					if ((BgL_sitez00_45 == CNST_TABLE_REF(((long) 7))))
						{	/* Ast/sexp.scm 727 */
							obj_t BgL_classz00_15054;

							BgL_classz00_15054 = BGl_funz00zzast_varz00;
							{	/* Ast/sexp.scm 727 */
								BgL_objectz00_bglt BgL_arg1820z00_15056;

								{	/* Ast/sexp.scm 727 */
									obj_t BgL_tmpz00_33667;

									BgL_tmpz00_33667 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_10158));
									BgL_arg1820z00_15056 =
										(BgL_objectz00_bglt) (BgL_tmpz00_33667);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/sexp.scm 727 */
										long BgL_idxz00_15062;

										BgL_idxz00_15062 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_15056);
										BgL_test10921z00_33663 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_15062 + ((long) 2))) == BgL_classz00_15054);
									}
								else
									{	/* Ast/sexp.scm 727 */
										bool_t BgL_res7998z00_15084;

										{	/* Ast/sexp.scm 727 */
											obj_t BgL_oclassz00_15070;

											{	/* Ast/sexp.scm 727 */
												long BgL_arg1828z00_15076;

												{	/* Ast/sexp.scm 727 */
													long BgL_arg1829z00_15077;

													BgL_arg1829z00_15077 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_15056);
													BgL_arg1828z00_15076 =
														(BgL_arg1829z00_15077 - OBJECT_TYPE);
												}
												BgL_oclassz00_15070 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_15076);
											}
											{	/* Ast/sexp.scm 727 */
												bool_t BgL__ortest_1111z00_15071;

												BgL__ortest_1111z00_15071 =
													(BgL_classz00_15054 == BgL_oclassz00_15070);
												if (BgL__ortest_1111z00_15071)
													{	/* Ast/sexp.scm 727 */
														BgL_res7998z00_15084 = BgL__ortest_1111z00_15071;
													}
												else
													{	/* Ast/sexp.scm 727 */
														long BgL_odepthz00_15072;

														BgL_odepthz00_15072 =
															BGL_CLASS_DEPTH(BgL_oclassz00_15070);
														if ((((long) 2) < BgL_odepthz00_15072))
															{	/* Ast/sexp.scm 727 */
																obj_t BgL_arg1816z00_15074;

																BgL_arg1816z00_15074 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_15070,
																	((long) 2));
																BgL_res7998z00_15084 =
																	(BgL_arg1816z00_15074 == BgL_classz00_15054);
															}
														else
															{	/* Ast/sexp.scm 727 */
																BgL_res7998z00_15084 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test10921z00_33663 = BgL_res7998z00_15084;
									}
							}
						}
					else
						{	/* Ast/sexp.scm 727 */
							BgL_test10921z00_33663 = ((bool_t) 0);
						}
					if (BgL_test10921z00_33663)
						{	/* Ast/sexp.scm 728 */
							obj_t BgL_arg7724z00_10160;

							BgL_arg7724z00_10160 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_43));
							{	/* Ast/sexp.scm 728 */
								BgL_nodez00_bglt BgL_res7999z00_15090;

								{	/* Ast/sexp.scm 735 */
									obj_t BgL_arg7725z00_15086;
									BgL_nodez00_bglt BgL_arg7726z00_15087;

									BgL_arg7725z00_15086 =
										BGl_shapez00zztools_shapez00
										(BGl_currentzd2functionzd2zztools_errorz00());
									BgL_arg7726z00_15087 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
												4)), BNIL, BgL_locz00_44, CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 734 */
										obj_t BgL_list7727z00_15089;

										BgL_list7727z00_15089 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg7726z00_15087), BNIL);
										BgL_res7999z00_15090 =
											((BgL_nodez00_bglt)
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_locz00_44, BgL_arg7725z00_15086,
												BGl_string8049z00zzast_sexpz00, BgL_arg7724z00_10160,
												BgL_list7727z00_15089));
								}}
								return ((obj_t) BgL_res7999z00_15090);
							}
						}
					else
						{	/* Ast/sexp.scm 727 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &use-variable! */
	obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t BgL_envz00_15748,
		obj_t BgL_varz00_15749, obj_t BgL_locz00_15750, obj_t BgL_sitez00_15751)
	{
		{	/* Ast/sexp.scm 722 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_varz00_15749), BgL_locz00_15750,
				BgL_sitez00_15751);
		}

	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_46,
		obj_t BgL_expz00_47, obj_t BgL_locz00_48)
	{
		{	/* Ast/sexp.scm 733 */
			{	/* Ast/sexp.scm 735 */
				obj_t BgL_arg7725z00_10161;
				BgL_nodez00_bglt BgL_arg7726z00_10162;

				BgL_arg7725z00_10161 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg7726z00_10162 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)), BNIL,
					BgL_locz00_48, CNST_TABLE_REF(((long) 2)));
				{	/* Ast/sexp.scm 734 */
					obj_t BgL_list7727z00_10163;

					BgL_list7727z00_10163 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg7726z00_10162), BNIL);
					return
						((BgL_nodez00_bglt)
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_48,
							BgL_arg7725z00_10161, BgL_msgz00_46, BgL_expz00_47,
							BgL_list7727z00_10163));
				}
			}
		}

	}



/* &error-sexp->node */
	BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_15752, obj_t BgL_msgz00_15753, obj_t BgL_expz00_15754,
		obj_t BgL_locz00_15755)
	{
		{	/* Ast/sexp.scm 733 */
			return
				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_15753,
				BgL_expz00_15754, BgL_locz00_15755);
		}

	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_49, BgL_nodez00_bglt BgL_refz00_50)
	{
		{	/* Ast/sexp.scm 743 */
			{	/* Ast/sexp.scm 744 */
				BgL_nodez00_bglt BgL_funz00_10165;

				BgL_funz00_10165 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 38)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 34)));
				{	/* Ast/sexp.scm 745 */
					bool_t BgL_test10926z00_33714;

					{	/* Ast/sexp.scm 745 */
						obj_t BgL_classz00_15091;

						BgL_classz00_15091 = BGl_varz00zzast_nodez00;
						{	/* Ast/sexp.scm 745 */
							BgL_objectz00_bglt BgL_arg1820z00_15093;

							{	/* Ast/sexp.scm 745 */
								obj_t BgL_tmpz00_33715;

								BgL_tmpz00_33715 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_10165));
								BgL_arg1820z00_15093 = (BgL_objectz00_bglt) (BgL_tmpz00_33715);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/sexp.scm 745 */
									long BgL_idxz00_15099;

									BgL_idxz00_15099 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_15093);
									BgL_test10926z00_33714 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_15099 + ((long) 2))) == BgL_classz00_15091);
								}
							else
								{	/* Ast/sexp.scm 745 */
									bool_t BgL_res8000z00_15121;

									{	/* Ast/sexp.scm 745 */
										obj_t BgL_oclassz00_15107;

										{	/* Ast/sexp.scm 745 */
											long BgL_arg1828z00_15113;

											{	/* Ast/sexp.scm 745 */
												long BgL_arg1829z00_15114;

												BgL_arg1829z00_15114 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_15093);
												BgL_arg1828z00_15113 =
													(BgL_arg1829z00_15114 - OBJECT_TYPE);
											}
											BgL_oclassz00_15107 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_15113);
										}
										{	/* Ast/sexp.scm 745 */
											bool_t BgL__ortest_1111z00_15108;

											BgL__ortest_1111z00_15108 =
												(BgL_classz00_15091 == BgL_oclassz00_15107);
											if (BgL__ortest_1111z00_15108)
												{	/* Ast/sexp.scm 745 */
													BgL_res8000z00_15121 = BgL__ortest_1111z00_15108;
												}
											else
												{	/* Ast/sexp.scm 745 */
													long BgL_odepthz00_15109;

													BgL_odepthz00_15109 =
														BGL_CLASS_DEPTH(BgL_oclassz00_15107);
													if ((((long) 2) < BgL_odepthz00_15109))
														{	/* Ast/sexp.scm 745 */
															obj_t BgL_arg1816z00_15111;

															BgL_arg1816z00_15111 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_15107,
																((long) 2));
															BgL_res8000z00_15121 =
																(BgL_arg1816z00_15111 == BgL_classz00_15091);
														}
													else
														{	/* Ast/sexp.scm 745 */
															BgL_res8000z00_15121 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test10926z00_33714 = BgL_res8000z00_15121;
								}
						}
					}
					if (BgL_test10926z00_33714)
						{	/* Ast/sexp.scm 746 */
							BgL_appz00_bglt BgL_new1158z00_10167;

							{	/* Ast/sexp.scm 746 */
								BgL_appz00_bglt BgL_new1156z00_10174;

								BgL_new1156z00_10174 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 746 */
									long BgL_arg7736z00_10175;

									BgL_arg7736z00_10175 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1156z00_10174),
										BgL_arg7736z00_10175);
								}
								{	/* Ast/sexp.scm 746 */
									BgL_objectz00_bglt BgL_tmpz00_33739;

									BgL_tmpz00_33739 =
										((BgL_objectz00_bglt) BgL_new1156z00_10174);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_33739, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1156z00_10174);
								BgL_new1158z00_10167 = BgL_new1156z00_10174;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1158z00_10167)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1158z00_10167)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1158z00_10167)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1158z00_10167)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) COBJECT(BgL_new1158z00_10167))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_10165)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_33755;

								{	/* Ast/sexp.scm 749 */
									BgL_nodez00_bglt BgL_arg7730z00_10168;

									{	/* Ast/sexp.scm 749 */
										obj_t BgL_arg7733z00_10171;

										{	/* Ast/sexp.scm 749 */
											obj_t BgL_arg7734z00_10172;

											{	/* Ast/sexp.scm 749 */
												obj_t BgL_arg7735z00_10173;

												BgL_arg7735z00_10173 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_49)))->
													BgL_idz00);
												BgL_arg7734z00_10172 =
													MAKE_YOUNG_PAIR(BgL_arg7735z00_10173, BNIL);
											}
											BgL_arg7733z00_10171 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
												BgL_arg7734z00_10172);
										}
										BgL_arg7730z00_10168 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7733z00_10171,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									{	/* Ast/sexp.scm 749 */
										obj_t BgL_list7731z00_10169;

										{	/* Ast/sexp.scm 749 */
											obj_t BgL_arg7732z00_10170;

											BgL_arg7732z00_10170 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_refz00_50), BNIL);
											BgL_list7731z00_10169 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg7730z00_10168), BgL_arg7732z00_10170);
										}
										BgL_auxz00_33755 = BgL_list7731z00_10169;
								}}
								((((BgL_appz00_bglt) COBJECT(BgL_new1158z00_10167))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_33755), BUNSPEC);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1158z00_10167))->
									BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1158z00_10167);
						}
					else
						{	/* Ast/sexp.scm 745 */
							return BgL_funz00_10165;
						}
				}
			}
		}

	}



/* &define-primop-ref->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_15756, obj_t BgL_globalz00_15757, obj_t BgL_refz00_15758)
	{
		{	/* Ast/sexp.scm 743 */
			return
				BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_15757),
				((BgL_nodez00_bglt) BgL_refz00_15758));
		}

	}



/* define-primop-ref/src->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_51, BgL_nodez00_bglt BgL_refz00_52, obj_t BgL_srcz00_53)
	{
		{	/* Ast/sexp.scm 755 */
			if (EPAIRP(BgL_srcz00_53))
				{
					obj_t BgL_fnamez00_10177;
					obj_t BgL_locz00_10178;

					{	/* Ast/sexp.scm 758 */
						obj_t BgL_ezd275435zd2_10181;

						BgL_ezd275435zd2_10181 = CER(((obj_t) BgL_srcz00_53));
						if (PAIRP(BgL_ezd275435zd2_10181))
							{	/* Ast/sexp.scm 758 */
								obj_t BgL_cdrzd275441zd2_10183;

								BgL_cdrzd275441zd2_10183 = CDR(BgL_ezd275435zd2_10181);
								if (
									(CAR(BgL_ezd275435zd2_10181) == CNST_TABLE_REF(((long) 40))))
									{	/* Ast/sexp.scm 758 */
										if (PAIRP(BgL_cdrzd275441zd2_10183))
											{	/* Ast/sexp.scm 758 */
												obj_t BgL_cdrzd275445zd2_10187;

												BgL_cdrzd275445zd2_10187 =
													CDR(BgL_cdrzd275441zd2_10183);
												if (PAIRP(BgL_cdrzd275445zd2_10187))
													{	/* Ast/sexp.scm 758 */
														if (NULLP(CDR(BgL_cdrzd275445zd2_10187)))
															{	/* Ast/sexp.scm 758 */
																BgL_fnamez00_10177 =
																	CAR(BgL_cdrzd275441zd2_10183);
																BgL_locz00_10178 =
																	CAR(BgL_cdrzd275445zd2_10187);
																{	/* Ast/sexp.scm 760 */
																	BgL_nodez00_bglt BgL_funz00_10195;

																	BgL_funz00_10195 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(CNST_TABLE_REF(((long) 39)), BNIL, BFALSE,
																		CNST_TABLE_REF(((long) 34)));
																	{	/* Ast/sexp.scm 761 */
																		bool_t BgL_test10936z00_33795;

																		{	/* Ast/sexp.scm 761 */
																			obj_t BgL_classz00_15128;

																			BgL_classz00_15128 =
																				BGl_varz00zzast_nodez00;
																			{	/* Ast/sexp.scm 761 */
																				BgL_objectz00_bglt BgL_arg1820z00_15130;

																				{	/* Ast/sexp.scm 761 */
																					obj_t BgL_tmpz00_33796;

																					BgL_tmpz00_33796 =
																						((obj_t)
																						((BgL_objectz00_bglt)
																							BgL_funz00_10195));
																					BgL_arg1820z00_15130 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_33796);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Ast/sexp.scm 761 */
																						long BgL_idxz00_15136;

																						BgL_idxz00_15136 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1820z00_15130);
																						BgL_test10936z00_33795 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_15136 +
																									((long) 2))) ==
																							BgL_classz00_15128);
																					}
																				else
																					{	/* Ast/sexp.scm 761 */
																						bool_t BgL_res8002z00_15158;

																						{	/* Ast/sexp.scm 761 */
																							obj_t BgL_oclassz00_15144;

																							{	/* Ast/sexp.scm 761 */
																								long BgL_arg1828z00_15150;

																								{	/* Ast/sexp.scm 761 */
																									long BgL_arg1829z00_15151;

																									BgL_arg1829z00_15151 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1820z00_15130);
																									BgL_arg1828z00_15150 =
																										(BgL_arg1829z00_15151 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_15144 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1828z00_15150);
																							}
																							{	/* Ast/sexp.scm 761 */
																								bool_t
																									BgL__ortest_1111z00_15145;
																								BgL__ortest_1111z00_15145 =
																									(BgL_classz00_15128 ==
																									BgL_oclassz00_15144);
																								if (BgL__ortest_1111z00_15145)
																									{	/* Ast/sexp.scm 761 */
																										BgL_res8002z00_15158 =
																											BgL__ortest_1111z00_15145;
																									}
																								else
																									{	/* Ast/sexp.scm 761 */
																										long BgL_odepthz00_15146;

																										BgL_odepthz00_15146 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_15144);
																										if ((((long) 2) <
																												BgL_odepthz00_15146))
																											{	/* Ast/sexp.scm 761 */
																												obj_t
																													BgL_arg1816z00_15148;
																												BgL_arg1816z00_15148 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_15144,
																													((long) 2));
																												BgL_res8002z00_15158 =
																													(BgL_arg1816z00_15148
																													==
																													BgL_classz00_15128);
																											}
																										else
																											{	/* Ast/sexp.scm 761 */
																												BgL_res8002z00_15158 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test10936z00_33795 =
																							BgL_res8002z00_15158;
																					}
																			}
																		}
																		if (BgL_test10936z00_33795)
																			{	/* Ast/sexp.scm 762 */
																				BgL_appz00_bglt BgL_new1160z00_10197;

																				{	/* Ast/sexp.scm 762 */
																					BgL_appz00_bglt BgL_new1159z00_10208;

																					BgL_new1159z00_10208 =
																						((BgL_appz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_appz00_bgl))));
																					{	/* Ast/sexp.scm 762 */
																						long BgL_arg7760z00_10209;

																						BgL_arg7760z00_10209 =
																							BGL_CLASS_NUM
																							(BGl_appz00zzast_nodez00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1159z00_10208),
																							BgL_arg7760z00_10209);
																					}
																					{	/* Ast/sexp.scm 762 */
																						BgL_objectz00_bglt BgL_tmpz00_33820;

																						BgL_tmpz00_33820 =
																							((BgL_objectz00_bglt)
																							BgL_new1159z00_10208);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_33820, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1159z00_10208);
																					BgL_new1160z00_10197 =
																						BgL_new1159z00_10208;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1160z00_10197)))->
																						BgL_locz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1160z00_10197)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) (
																							(BgL_typez00_bglt)
																							BGl_za2_za2z00zztype_cachez00)),
																					BUNSPEC);
																				((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt)
																									BgL_new1160z00_10197)))->
																						BgL_sidezd2effectzd2) =
																					((obj_t) BUNSPEC), BUNSPEC);
																				((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt)
																									BgL_new1160z00_10197)))->
																						BgL_keyz00) =
																					((obj_t) BINT(((long) -1))), BUNSPEC);
																				((((BgL_appz00_bglt)
																							COBJECT(BgL_new1160z00_10197))->
																						BgL_funz00) =
																					((BgL_varz00_bglt) ((BgL_varz00_bglt)
																							BgL_funz00_10195)), BUNSPEC);
																				{
																					obj_t BgL_auxz00_33836;

																					{	/* Ast/sexp.scm 766 */
																						BgL_nodez00_bglt
																							BgL_arg7750z00_10198;
																						BgL_nodez00_bglt
																							BgL_arg7751z00_10199;
																						BgL_nodez00_bglt
																							BgL_arg7752z00_10200;
																						{	/* Ast/sexp.scm 766 */
																							obj_t BgL_arg7757z00_10205;

																							{	/* Ast/sexp.scm 766 */
																								obj_t BgL_arg7758z00_10206;

																								{	/* Ast/sexp.scm 766 */
																									obj_t BgL_arg7759z00_10207;

																									BgL_arg7759z00_10207 =
																										(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													BgL_globalz00_51)))->
																										BgL_idz00);
																									BgL_arg7758z00_10206 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg7759z00_10207,
																										BNIL);
																								}
																								BgL_arg7757z00_10205 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 12)),
																									BgL_arg7758z00_10206);
																							}
																							BgL_arg7750z00_10198 =
																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																								(BgL_arg7757z00_10205, BNIL,
																								BFALSE,
																								CNST_TABLE_REF(((long) 2)));
																						}
																						BgL_arg7751z00_10199 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(BgL_fnamez00_10177, BNIL, BFALSE,
																							CNST_TABLE_REF(((long) 2)));
																						BgL_arg7752z00_10200 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(BgL_locz00_10178, BNIL, BFALSE,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 765 */
																							obj_t BgL_list7753z00_10201;

																							{	/* Ast/sexp.scm 765 */
																								obj_t BgL_arg7754z00_10202;

																								{	/* Ast/sexp.scm 765 */
																									obj_t BgL_arg7755z00_10203;

																									{	/* Ast/sexp.scm 765 */
																										obj_t BgL_arg7756z00_10204;

																										BgL_arg7756z00_10204 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												BgL_arg7752z00_10200),
																											BNIL);
																										BgL_arg7755z00_10203 =
																											MAKE_YOUNG_PAIR(((obj_t)
																												BgL_arg7751z00_10199),
																											BgL_arg7756z00_10204);
																									}
																									BgL_arg7754z00_10202 =
																										MAKE_YOUNG_PAIR(
																										((obj_t) BgL_refz00_52),
																										BgL_arg7755z00_10203);
																								}
																								BgL_list7753z00_10201 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										BgL_arg7750z00_10198),
																									BgL_arg7754z00_10202);
																							}
																							BgL_auxz00_33836 =
																								BgL_list7753z00_10201;
																					}}
																					((((BgL_appz00_bglt)
																								COBJECT(BgL_new1160z00_10197))->
																							BgL_argsz00) =
																						((obj_t) BgL_auxz00_33836),
																						BUNSPEC);
																				}
																				((((BgL_appz00_bglt)
																							COBJECT(BgL_new1160z00_10197))->
																						BgL_stackablez00) =
																					((obj_t) BFALSE), BUNSPEC);
																				return ((BgL_nodez00_bglt)
																					BgL_new1160z00_10197);
																			}
																		else
																			{	/* Ast/sexp.scm 761 */
																				return BgL_funz00_10195;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 758 */
																return
																	BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
																	(BgL_globalz00_51, BgL_refz00_52);
															}
													}
												else
													{	/* Ast/sexp.scm 758 */
														return
															BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
															(BgL_globalz00_51, BgL_refz00_52);
													}
											}
										else
											{	/* Ast/sexp.scm 758 */
												return
													BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
													(BgL_globalz00_51, BgL_refz00_52);
											}
									}
								else
									{	/* Ast/sexp.scm 758 */
										return
											BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
											(BgL_globalz00_51, BgL_refz00_52);
									}
							}
						else
							{	/* Ast/sexp.scm 758 */
								return
									BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
									(BgL_globalz00_51, BgL_refz00_52);
							}
					}
				}
			else
				{	/* Ast/sexp.scm 756 */
					return
						BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
						(BgL_globalz00_51, BgL_refz00_52);
				}
		}

	}



/* &define-primop-ref/src->node */
	BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzf2srczd2ze3nodeza1zzast_sexpz00(obj_t
		BgL_envz00_15759, obj_t BgL_globalz00_15760, obj_t BgL_refz00_15761,
		obj_t BgL_srcz00_15762)
	{
		{	/* Ast/sexp.scm 755 */
			return
				BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_15760),
				((BgL_nodez00_bglt) BgL_refz00_15761), BgL_srcz00_15762);
		}

	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_54)
	{
		{	/* Ast/sexp.scm 777 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_54), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 779 */
				BgL_nodez00_bglt BgL_funz00_10210;

				BgL_funz00_10210 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 41)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 34)));
				{	/* Ast/sexp.scm 780 */
					bool_t BgL_test10940z00_33876;

					{	/* Ast/sexp.scm 780 */
						obj_t BgL_classz00_15172;

						BgL_classz00_15172 = BGl_varz00zzast_nodez00;
						{	/* Ast/sexp.scm 780 */
							BgL_objectz00_bglt BgL_arg1820z00_15174;

							{	/* Ast/sexp.scm 780 */
								obj_t BgL_tmpz00_33877;

								BgL_tmpz00_33877 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_10210));
								BgL_arg1820z00_15174 = (BgL_objectz00_bglt) (BgL_tmpz00_33877);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/sexp.scm 780 */
									long BgL_idxz00_15180;

									BgL_idxz00_15180 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_15174);
									BgL_test10940z00_33876 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_15180 + ((long) 2))) == BgL_classz00_15172);
								}
							else
								{	/* Ast/sexp.scm 780 */
									bool_t BgL_res8004z00_15202;

									{	/* Ast/sexp.scm 780 */
										obj_t BgL_oclassz00_15188;

										{	/* Ast/sexp.scm 780 */
											long BgL_arg1828z00_15194;

											{	/* Ast/sexp.scm 780 */
												long BgL_arg1829z00_15195;

												BgL_arg1829z00_15195 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_15174);
												BgL_arg1828z00_15194 =
													(BgL_arg1829z00_15195 - OBJECT_TYPE);
											}
											BgL_oclassz00_15188 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_15194);
										}
										{	/* Ast/sexp.scm 780 */
											bool_t BgL__ortest_1111z00_15189;

											BgL__ortest_1111z00_15189 =
												(BgL_classz00_15172 == BgL_oclassz00_15188);
											if (BgL__ortest_1111z00_15189)
												{	/* Ast/sexp.scm 780 */
													BgL_res8004z00_15202 = BgL__ortest_1111z00_15189;
												}
											else
												{	/* Ast/sexp.scm 780 */
													long BgL_odepthz00_15190;

													BgL_odepthz00_15190 =
														BGL_CLASS_DEPTH(BgL_oclassz00_15188);
													if ((((long) 2) < BgL_odepthz00_15190))
														{	/* Ast/sexp.scm 780 */
															obj_t BgL_arg1816z00_15192;

															BgL_arg1816z00_15192 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_15188,
																((long) 2));
															BgL_res8004z00_15202 =
																(BgL_arg1816z00_15192 == BgL_classz00_15172);
														}
													else
														{	/* Ast/sexp.scm 780 */
															BgL_res8004z00_15202 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test10940z00_33876 = BgL_res8004z00_15202;
								}
						}
					}
					if (BgL_test10940z00_33876)
						{	/* Ast/sexp.scm 781 */
							BgL_appz00_bglt BgL_new1162z00_10212;

							{	/* Ast/sexp.scm 781 */
								BgL_appz00_bglt BgL_new1161z00_10220;

								BgL_new1161z00_10220 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 781 */
									long BgL_arg7769z00_10221;

									BgL_arg7769z00_10221 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1161z00_10220),
										BgL_arg7769z00_10221);
								}
								{	/* Ast/sexp.scm 781 */
									BgL_objectz00_bglt BgL_tmpz00_33901;

									BgL_tmpz00_33901 =
										((BgL_objectz00_bglt) BgL_new1161z00_10220);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_33901, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1161z00_10220);
								BgL_new1162z00_10212 = BgL_new1161z00_10220;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1162z00_10212)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1162z00_10212)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1162z00_10212)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1162z00_10212)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) COBJECT(BgL_new1162z00_10212))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_10210)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_33917;

								{	/* Ast/sexp.scm 784 */
									BgL_nodez00_bglt BgL_arg7762z00_10213;
									BgL_nodez00_bglt BgL_arg7763z00_10214;

									{	/* Ast/sexp.scm 784 */
										obj_t BgL_arg7766z00_10217;

										{	/* Ast/sexp.scm 784 */
											obj_t BgL_arg7767z00_10218;

											{	/* Ast/sexp.scm 784 */
												obj_t BgL_arg7768z00_10219;

												BgL_arg7768z00_10219 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_54)))->
													BgL_idz00);
												BgL_arg7767z00_10218 =
													MAKE_YOUNG_PAIR(BgL_arg7768z00_10219, BNIL);
											}
											BgL_arg7766z00_10217 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
												BgL_arg7767z00_10218);
										}
										BgL_arg7762z00_10213 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7766z00_10217,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									BgL_arg7763z00_10214 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
										((obj_t) BgL_globalz00_54), BNIL, BFALSE,
										CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 784 */
										obj_t BgL_list7764z00_10215;

										{	/* Ast/sexp.scm 784 */
											obj_t BgL_arg7765z00_10216;

											BgL_arg7765z00_10216 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg7763z00_10214), BNIL);
											BgL_list7764z00_10215 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg7762z00_10213), BgL_arg7765z00_10216);
										}
										BgL_auxz00_33917 = BgL_list7764z00_10215;
								}}
								((((BgL_appz00_bglt) COBJECT(BgL_new1162z00_10212))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_33917), BUNSPEC);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1162z00_10212))->
									BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1162z00_10212);
						}
					else
						{	/* Ast/sexp.scm 780 */
							return BgL_funz00_10210;
						}
				}
			}
		}

	}



/* &define-primop->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_15763, obj_t BgL_globalz00_15764)
	{
		{	/* Ast/sexp.scm 777 */
			return
				BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_15764));
		}

	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_55)
	{
		{	/* Ast/sexp.scm 791 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_55), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 793 */
				BgL_nodez00_bglt BgL_funz00_10222;

				BgL_funz00_10222 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 42)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 34)));
				{	/* Ast/sexp.scm 794 */
					bool_t BgL_test10944z00_33943;

					{	/* Ast/sexp.scm 794 */
						obj_t BgL_classz00_15209;

						BgL_classz00_15209 = BGl_varz00zzast_nodez00;
						{	/* Ast/sexp.scm 794 */
							BgL_objectz00_bglt BgL_arg1820z00_15211;

							{	/* Ast/sexp.scm 794 */
								obj_t BgL_tmpz00_33944;

								BgL_tmpz00_33944 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_10222));
								BgL_arg1820z00_15211 = (BgL_objectz00_bglt) (BgL_tmpz00_33944);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/sexp.scm 794 */
									long BgL_idxz00_15217;

									BgL_idxz00_15217 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_15211);
									BgL_test10944z00_33943 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_15217 + ((long) 2))) == BgL_classz00_15209);
								}
							else
								{	/* Ast/sexp.scm 794 */
									bool_t BgL_res8006z00_15239;

									{	/* Ast/sexp.scm 794 */
										obj_t BgL_oclassz00_15225;

										{	/* Ast/sexp.scm 794 */
											long BgL_arg1828z00_15231;

											{	/* Ast/sexp.scm 794 */
												long BgL_arg1829z00_15232;

												BgL_arg1829z00_15232 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_15211);
												BgL_arg1828z00_15231 =
													(BgL_arg1829z00_15232 - OBJECT_TYPE);
											}
											BgL_oclassz00_15225 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_15231);
										}
										{	/* Ast/sexp.scm 794 */
											bool_t BgL__ortest_1111z00_15226;

											BgL__ortest_1111z00_15226 =
												(BgL_classz00_15209 == BgL_oclassz00_15225);
											if (BgL__ortest_1111z00_15226)
												{	/* Ast/sexp.scm 794 */
													BgL_res8006z00_15239 = BgL__ortest_1111z00_15226;
												}
											else
												{	/* Ast/sexp.scm 794 */
													long BgL_odepthz00_15227;

													BgL_odepthz00_15227 =
														BGL_CLASS_DEPTH(BgL_oclassz00_15225);
													if ((((long) 2) < BgL_odepthz00_15227))
														{	/* Ast/sexp.scm 794 */
															obj_t BgL_arg1816z00_15229;

															BgL_arg1816z00_15229 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_15225,
																((long) 2));
															BgL_res8006z00_15239 =
																(BgL_arg1816z00_15229 == BgL_classz00_15209);
														}
													else
														{	/* Ast/sexp.scm 794 */
															BgL_res8006z00_15239 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test10944z00_33943 = BgL_res8006z00_15239;
								}
						}
					}
					if (BgL_test10944z00_33943)
						{	/* Ast/sexp.scm 795 */
							obj_t BgL_exprz00_10224;

							{	/* Ast/sexp.scm 795 */
								bool_t BgL_test10948z00_33964;

								{	/* Ast/sexp.scm 795 */
									obj_t BgL_arg7778z00_10234;

									BgL_arg7778z00_10234 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_test10948z00_33964 =
										(((BgL_backendz00_bglt) COBJECT(
												((BgL_backendz00_bglt) BgL_arg7778z00_10234)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_test10948z00_33964)
									{	/* Ast/sexp.scm 796 */
										obj_t BgL_arg7776z00_10232;

										{	/* Ast/sexp.scm 796 */
											obj_t BgL_arg7777z00_10233;

											BgL_arg7777z00_10233 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_55), BNIL);
											BgL_arg7776z00_10232 =
												MAKE_YOUNG_PAIR(BGl_string8050z00zzast_sexpz00,
												BgL_arg7777z00_10233);
										}
										BgL_exprz00_10224 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 43)),
											BgL_arg7776z00_10232);
									}
								else
									{	/* Ast/sexp.scm 795 */
										BgL_exprz00_10224 = ((obj_t) BgL_globalz00_55);
									}
							}
							{	/* Ast/sexp.scm 798 */
								BgL_appz00_bglt BgL_new1164z00_10225;

								{	/* Ast/sexp.scm 798 */
									BgL_appz00_bglt BgL_new1163z00_10228;

									BgL_new1163z00_10228 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Ast/sexp.scm 798 */
										long BgL_arg7773z00_10229;

										BgL_arg7773z00_10229 =
											BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1163z00_10228),
											BgL_arg7773z00_10229);
									}
									{	/* Ast/sexp.scm 798 */
										BgL_objectz00_bglt BgL_tmpz00_33978;

										BgL_tmpz00_33978 =
											((BgL_objectz00_bglt) BgL_new1163z00_10228);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_33978, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1163z00_10228);
									BgL_new1164z00_10225 = BgL_new1163z00_10228;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1164z00_10225)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1164z00_10225)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00),
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00))),
									BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1164z00_10225)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1164z00_10225)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								((((BgL_appz00_bglt) COBJECT(BgL_new1164z00_10225))->
										BgL_funz00) =
									((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_10222)),
									BUNSPEC);
								{
									obj_t BgL_auxz00_33996;

									{	/* Ast/sexp.scm 801 */
										BgL_nodez00_bglt BgL_arg7771z00_10226;

										BgL_arg7771z00_10226 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_10224,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
										{	/* Ast/sexp.scm 801 */
											obj_t BgL_list7772z00_10227;

											BgL_list7772z00_10227 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg7771z00_10226), BNIL);
											BgL_auxz00_33996 = BgL_list7772z00_10227;
									}}
									((((BgL_appz00_bglt) COBJECT(BgL_new1164z00_10225))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_33996), BUNSPEC);
								}
								((((BgL_appz00_bglt) COBJECT(BgL_new1164z00_10225))->
										BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1164z00_10225);
							}
						}
					else
						{	/* Ast/sexp.scm 794 */
							return BgL_funz00_10222;
						}
				}
			}
		}

	}



/* &location->node */
	BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_15765, obj_t BgL_globalz00_15766)
	{
		{	/* Ast/sexp.scm 791 */
			return
				BGl_locationzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_15766));
		}

	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_56, obj_t BgL_prefz00_57)
	{
		{	/* Ast/sexp.scm 807 */
			{	/* Ast/sexp.scm 808 */
				obj_t BgL_prefz00_10235;

				{	/* Ast/sexp.scm 808 */
					bool_t BgL_test10949z00_34006;

					if (PAIRP(BgL_prefz00_57))
						{	/* Ast/sexp.scm 808 */
							obj_t BgL_tmpz00_34009;

							BgL_tmpz00_34009 = CAR(BgL_prefz00_57);
							BgL_test10949z00_34006 = STRINGP(BgL_tmpz00_34009);
						}
					else
						{	/* Ast/sexp.scm 808 */
							BgL_test10949z00_34006 = ((bool_t) 0);
						}
					if (BgL_test10949z00_34006)
						{	/* Ast/sexp.scm 808 */
							BgL_prefz00_10235 = CAR(BgL_prefz00_57);
						}
					else
						{	/* Ast/sexp.scm 808 */
							BgL_prefz00_10235 = BGl_string8027z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 811 */
					bool_t BgL_test10951z00_34013;

					if (STRUCTP(BgL_locz00_56))
						{	/* Ast/sexp.scm 811 */
							BgL_test10951z00_34013 =
								(STRUCT_KEY(BgL_locz00_56) == CNST_TABLE_REF(((long) 44)));
						}
					else
						{	/* Ast/sexp.scm 811 */
							BgL_test10951z00_34013 = ((bool_t) 0);
						}
					if (BgL_test10951z00_34013)
						{	/* Ast/sexp.scm 812 */
							obj_t BgL_filez00_10237;
							obj_t BgL_linez00_10238;
							obj_t BgL_basez00_10239;

							BgL_filez00_10237 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_56);
							BgL_linez00_10238 = STRUCT_REF(BgL_locz00_56, (int) (((long) 2)));
							{	/* Ast/sexp.scm 814 */
								obj_t BgL_arg7808z00_10280;

								BgL_arg7808z00_10280 =
									BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
									(BGl_string8051z00zzast_sexpz00, BgL_prefz00_10235,
										BGl_string8052z00zzast_sexpz00));
								{	/* Ast/sexp.scm 814 */
									obj_t BgL_arg1469z00_15255;

									BgL_arg1469z00_15255 = SYMBOL_TO_STRING(BgL_arg7808z00_10280);
									BgL_basez00_10239 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1469z00_15255);
							}}
							{	/* Ast/sexp.scm 816 */
								bool_t BgL_test10953z00_34026;

								{	/* Ast/sexp.scm 816 */

									BgL_test10953z00_34026 =
										CBOOL(BGl_stringzd2containszd2zz__r4_strings_6_7z00
										(BgL_prefz00_10235, BGl_string8051z00zzast_sexpz00,
											(int) (((long) 0))));
								}
								if (BgL_test10953z00_34026)
									{	/* Ast/sexp.scm 817 */
										obj_t BgL_arg7781z00_10244;

										{	/* Ast/sexp.scm 817 */
											obj_t BgL_arg7782z00_10245;
											obj_t BgL_arg7783z00_10246;

											{	/* Ast/sexp.scm 817 */
												obj_t BgL_arg7784z00_10247;

												BgL_arg7784z00_10247 =
													bstring_to_symbol(((obj_t) BgL_prefz00_10235));
												{	/* Ast/sexp.scm 817 */
													obj_t BgL_arg1469z00_15258;

													BgL_arg1469z00_15258 =
														SYMBOL_TO_STRING(BgL_arg7784z00_10247);
													BgL_arg7782z00_10245 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1469z00_15258);
												}
											}
											{	/* Ast/sexp.scm 817 */
												obj_t BgL_arg7785z00_10248;

												BgL_arg7785z00_10248 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 45)));
												{	/* Ast/sexp.scm 817 */
													obj_t BgL_arg1469z00_15260;

													BgL_arg1469z00_15260 =
														SYMBOL_TO_STRING(BgL_arg7785z00_10248);
													BgL_arg7783z00_10246 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1469z00_15260);
											}}
											BgL_arg7781z00_10244 =
												string_append(BgL_arg7782z00_10245,
												BgL_arg7783z00_10246);
										}
										return bstring_to_symbol(BgL_arg7781z00_10244);
									}
								else
									{	/* Ast/sexp.scm 818 */
										bool_t BgL_test10954z00_34040;

										{	/* Ast/sexp.scm 818 */
											bool_t BgL_test10955z00_34041;

											if (
												((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
													>= ((long) 1)))
												{	/* Ast/sexp.scm 819 */
													obj_t BgL_arg7806z00_10275;

													{	/* Ast/sexp.scm 819 */
														obj_t BgL_arg7807z00_10276;

														BgL_arg7807z00_10276 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														BgL_arg7806z00_10275 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_arg7807z00_10276)))->
															BgL_debugzd2supportzd2);
													}
													BgL_test10955z00_34041 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 46)),
															BgL_arg7806z00_10275));
												}
											else
												{	/* Ast/sexp.scm 818 */
													BgL_test10955z00_34041 = ((bool_t) 0);
												}
											if (BgL_test10955z00_34041)
												{	/* Ast/sexp.scm 818 */
													BgL_test10954z00_34040 = ((bool_t) 1);
												}
											else
												{	/* Ast/sexp.scm 818 */
													BgL_test10954z00_34040 =
														(
														(long)
														CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00)
														>= ((long) 1));
										}}
										if (BgL_test10954z00_34040)
											{	/* Ast/sexp.scm 821 */
												obj_t BgL_filez00_10257;

												if (bigloo_strncmp(BgL_filez00_10237,
														BGl_string8053z00zzast_sexpz00, ((long) 2)))
													{	/* Ast/sexp.scm 821 */
														BgL_filez00_10257 =
															c_substring(BgL_filez00_10237, ((long) 2),
															STRING_LENGTH(BgL_filez00_10237));
													}
												else
													{	/* Ast/sexp.scm 821 */
														BgL_filez00_10257 = BgL_filez00_10237;
													}
												{	/* Ast/sexp.scm 826 */
													obj_t BgL_arg7793z00_10258;

													{	/* Ast/sexp.scm 826 */
														obj_t BgL_arg7794z00_10259;
														obj_t BgL_arg7795z00_10260;

														BgL_arg7794z00_10259 =
															BGl_stringzd2replacezd2zz__r4_strings_6_7z00
															(BgL_filez00_10257,
															(char) (((unsigned char) '.')),
															(char) (((unsigned char) ',')));
														{	/* Ast/sexp.scm 827 */

															BgL_arg7795z00_10260 =
																BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																(BgL_linez00_10238, BINT(((long) 10)));
														}
														{	/* Ast/sexp.scm 825 */
															obj_t BgL_list7796z00_10261;

															{	/* Ast/sexp.scm 825 */
																obj_t BgL_arg7797z00_10262;

																{	/* Ast/sexp.scm 825 */
																	obj_t BgL_arg7798z00_10263;

																	{	/* Ast/sexp.scm 825 */
																		obj_t BgL_arg7799z00_10264;

																		{	/* Ast/sexp.scm 825 */
																			obj_t BgL_arg7800z00_10265;

																			{	/* Ast/sexp.scm 825 */
																				obj_t BgL_arg7801z00_10266;

																				BgL_arg7801z00_10266 =
																					MAKE_YOUNG_PAIR
																					(BGl_string8054z00zzast_sexpz00,
																					BNIL);
																				BgL_arg7800z00_10265 =
																					MAKE_YOUNG_PAIR(BgL_arg7795z00_10260,
																					BgL_arg7801z00_10266);
																			}
																			BgL_arg7799z00_10264 =
																				MAKE_YOUNG_PAIR
																				(BGl_string8052z00zzast_sexpz00,
																				BgL_arg7800z00_10265);
																		}
																		BgL_arg7798z00_10263 =
																			MAKE_YOUNG_PAIR(BgL_arg7794z00_10259,
																			BgL_arg7799z00_10264);
																	}
																	BgL_arg7797z00_10262 =
																		MAKE_YOUNG_PAIR
																		(BGl_string8052z00zzast_sexpz00,
																		BgL_arg7798z00_10263);
																}
																BgL_list7796z00_10261 =
																	MAKE_YOUNG_PAIR(BgL_basez00_10239,
																	BgL_arg7797z00_10262);
															}
															BgL_arg7793z00_10258 =
																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																(BgL_list7796z00_10261);
													}}
													return bstring_to_symbol(BgL_arg7793z00_10258);
												}
											}
										else
											{	/* Ast/sexp.scm 830 */
												obj_t BgL_arg7804z00_10271;

												BgL_arg7804z00_10271 =
													BGl_stringzd2replacezd2zz__r4_strings_6_7z00
													(string_append(BgL_basez00_10239,
														BGl_string8055z00zzast_sexpz00),
													(char) (((unsigned char) '.')),
													(char) (((unsigned char) ',')));
												return bstring_to_symbol(((obj_t)
														BgL_arg7804z00_10271));
											}
									}
							}
						}
					else
						{	/* Ast/sexp.scm 831 */
							obj_t BgL_arg7810z00_10282;

							{	/* Ast/sexp.scm 831 */
								obj_t BgL_arg7811z00_10283;
								obj_t BgL_arg7812z00_10284;

								{	/* Ast/sexp.scm 831 */
									obj_t BgL_arg7813z00_10285;

									BgL_arg7813z00_10285 =
										BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
										(BGl_string8051z00zzast_sexpz00, BgL_prefz00_10235,
											BGl_string8056z00zzast_sexpz00));
									{	/* Ast/sexp.scm 831 */
										obj_t BgL_arg1469z00_15274;

										BgL_arg1469z00_15274 =
											SYMBOL_TO_STRING(BgL_arg7813z00_10285);
										BgL_arg7811z00_10283 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1469z00_15274);
									}
								}
								{	/* Ast/sexp.scm 831 */
									obj_t BgL_symbolz00_15275;

									BgL_symbolz00_15275 = CNST_TABLE_REF(((long) 47));
									{	/* Ast/sexp.scm 831 */
										obj_t BgL_arg1469z00_15276;

										BgL_arg1469z00_15276 =
											SYMBOL_TO_STRING(BgL_symbolz00_15275);
										BgL_arg7812z00_10284 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1469z00_15276);
								}}
								BgL_arg7810z00_10282 =
									string_append(BgL_arg7811z00_10283, BgL_arg7812z00_10284);
							}
							return bstring_to_symbol(BgL_arg7810z00_10282);
						}
				}
			}
		}

	}



/* &make-anonymous-name */
	obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t BgL_envz00_15767,
		obj_t BgL_locz00_15768, obj_t BgL_prefz00_15769)
	{
		{	/* Ast/sexp.scm 807 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_15768,
				BgL_prefz00_15769);
		}

	}



/* synchronize->node */
	BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t
		BgL_expz00_58, obj_t BgL_mutexz00_59, obj_t BgL_prelockz00_60,
		obj_t BgL_bodyz00_61, obj_t BgL_stackz00_62, obj_t BgL_locz00_63,
		obj_t BgL_sitez00_64)
	{
		{	/* Ast/sexp.scm 836 */
			if (SYMBOLP(BgL_mutexz00_59))
				{	/* Ast/sexp.scm 838 */
					BgL_syncz00_bglt BgL_new1166z00_10293;

					{	/* Ast/sexp.scm 839 */
						BgL_syncz00_bglt BgL_new1165z00_10295;

						BgL_new1165z00_10295 =
							((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_syncz00_bgl))));
						{	/* Ast/sexp.scm 839 */
							long BgL_arg7821z00_10296;

							BgL_arg7821z00_10296 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1165z00_10295),
								BgL_arg7821z00_10296);
						}
						{	/* Ast/sexp.scm 839 */
							BgL_objectz00_bglt BgL_tmpz00_34092;

							BgL_tmpz00_34092 = ((BgL_objectz00_bglt) BgL_new1165z00_10295);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_34092, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1165z00_10295);
						BgL_new1166z00_10293 = BgL_new1165z00_10295;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1166z00_10293)))->BgL_locz00) =
						((obj_t) BgL_locz00_63), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1166z00_10293)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(BgL_new1166z00_10293))->BgL_mutexz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_mutexz00_59,
								BgL_stackz00_62, BgL_locz00_63, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(BgL_new1166z00_10293))->
							BgL_prelockz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_prelockz00_60,
								BgL_stackz00_62, BgL_locz00_63, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					{
						BgL_nodez00_bglt BgL_auxz00_34107;

						{	/* Ast/sexp.scm 843 */
							obj_t BgL_arg7820z00_10294;

							BgL_arg7820z00_10294 =
								BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_61);
							BgL_auxz00_34107 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7820z00_10294,
								BgL_stackz00_62, BgL_locz00_63, BgL_sitez00_64);
						}
						((((BgL_syncz00_bglt) COBJECT(BgL_new1166z00_10293))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_auxz00_34107), BUNSPEC);
					}
					return ((BgL_nodez00_bglt) BgL_new1166z00_10293);
				}
			else
				{	/* Ast/sexp.scm 844 */
					obj_t BgL_vz00_10297;

					BgL_vz00_10297 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 48))));
					{	/* Ast/sexp.scm 844 */
						obj_t BgL_varz00_10298;

						BgL_varz00_10298 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_10297,
							CNST_TABLE_REF(((long) 48)));
						{	/* Ast/sexp.scm 845 */
							obj_t BgL_nexpz00_10299;

							{	/* Ast/sexp.scm 846 */
								obj_t BgL_arg7829z00_10307;

								{	/* Ast/sexp.scm 846 */
									obj_t BgL_arg7830z00_10308;

									BgL_arg7830z00_10308 =
										MAKE_YOUNG_PAIR(BgL_vz00_10297,
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_bodyz00_61, BNIL));
									BgL_arg7829z00_10307 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 30)),
										BgL_arg7830z00_10308);
								}
								BgL_nexpz00_10299 =
									BGl_epairifyzd2reczd2zztools_miscz00(BgL_arg7829z00_10307,
									BgL_expz00_58);
							}
							{	/* Ast/sexp.scm 846 */

								{	/* Ast/sexp.scm 847 */
									obj_t BgL_arg7822z00_10300;

									{	/* Ast/sexp.scm 847 */
										obj_t BgL_arg7823z00_10301;
										obj_t BgL_arg7824z00_10302;

										BgL_arg7823z00_10301 = BGl_letzd2symzd2zzast_letz00();
										{	/* Ast/sexp.scm 847 */
											obj_t BgL_arg7825z00_10303;
											obj_t BgL_arg7826z00_10304;

											{	/* Ast/sexp.scm 847 */
												obj_t BgL_arg7827z00_10305;

												{	/* Ast/sexp.scm 847 */
													obj_t BgL_arg7828z00_10306;

													BgL_arg7828z00_10306 =
														MAKE_YOUNG_PAIR(BgL_mutexz00_59, BNIL);
													BgL_arg7827z00_10305 =
														MAKE_YOUNG_PAIR(BgL_varz00_10298,
														BgL_arg7828z00_10306);
												}
												BgL_arg7825z00_10303 =
													MAKE_YOUNG_PAIR(BgL_arg7827z00_10305, BNIL);
											}
											BgL_arg7826z00_10304 =
												MAKE_YOUNG_PAIR(BgL_nexpz00_10299, BNIL);
											BgL_arg7824z00_10302 =
												MAKE_YOUNG_PAIR(BgL_arg7825z00_10303,
												BgL_arg7826z00_10304);
										}
										BgL_arg7822z00_10300 =
											MAKE_YOUNG_PAIR(BgL_arg7823z00_10301,
											BgL_arg7824z00_10302);
									}
									BGl_replacez12z12zztools_miscz00(BgL_expz00_58,
										BgL_arg7822z00_10300);
								}
								return
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_58,
									BgL_stackz00_62, BgL_locz00_63, BgL_sitez00_64);
							}
						}
					}
				}
		}

	}



/* not-test */
	obj_t BGl_notzd2testzd2zzast_sexpz00(obj_t BgL_testz00_65)
	{
		{	/* Ast/sexp.scm 856 */
			{
				obj_t BgL_bindingsz00_10315;
				obj_t BgL_exprz00_10316;

				if (PAIRP(BgL_testz00_65))
					{	/* Ast/sexp.scm 857 */
						obj_t BgL_cdrzd275461zd2_10321;

						BgL_cdrzd275461zd2_10321 = CDR(((obj_t) BgL_testz00_65));
						if ((CAR(((obj_t) BgL_testz00_65)) == CNST_TABLE_REF(((long) 1))))
							{	/* Ast/sexp.scm 857 */
								if (PAIRP(BgL_cdrzd275461zd2_10321))
									{	/* Ast/sexp.scm 857 */
										obj_t BgL_cdrzd275464zd2_10325;

										BgL_cdrzd275464zd2_10325 = CDR(BgL_cdrzd275461zd2_10321);
										if (PAIRP(BgL_cdrzd275464zd2_10325))
											{	/* Ast/sexp.scm 857 */
												obj_t BgL_cdrzd275467zd2_10327;

												BgL_cdrzd275467zd2_10327 =
													CDR(BgL_cdrzd275464zd2_10325);
												if ((CAR(BgL_cdrzd275464zd2_10325) == BFALSE))
													{	/* Ast/sexp.scm 857 */
														if (PAIRP(BgL_cdrzd275467zd2_10327))
															{	/* Ast/sexp.scm 857 */
																if ((CAR(BgL_cdrzd275467zd2_10327) == BTRUE))
																	{	/* Ast/sexp.scm 857 */
																		if (NULLP(CDR(BgL_cdrzd275467zd2_10327)))
																			{	/* Ast/sexp.scm 857 */
																				return CAR(BgL_cdrzd275461zd2_10321);
																			}
																		else
																			{	/* Ast/sexp.scm 857 */
																				return BFALSE;
																			}
																	}
																else
																	{	/* Ast/sexp.scm 857 */
																		return BFALSE;
																	}
															}
														else
															{	/* Ast/sexp.scm 857 */
																return BFALSE;
															}
													}
												else
													{	/* Ast/sexp.scm 857 */
														return BFALSE;
													}
											}
										else
											{	/* Ast/sexp.scm 857 */
												return BFALSE;
											}
									}
								else
									{	/* Ast/sexp.scm 857 */
										return BFALSE;
									}
							}
						else
							{	/* Ast/sexp.scm 857 */
								if (
									(CAR(
											((obj_t) BgL_testz00_65)) == CNST_TABLE_REF(((long) 49))))
									{	/* Ast/sexp.scm 857 */
										if (PAIRP(BgL_cdrzd275461zd2_10321))
											{	/* Ast/sexp.scm 857 */
												if (NULLP(CDR(BgL_cdrzd275461zd2_10321)))
													{	/* Ast/sexp.scm 857 */
														return CAR(BgL_cdrzd275461zd2_10321);
													}
												else
													{	/* Ast/sexp.scm 857 */
														return BFALSE;
													}
											}
										else
											{	/* Ast/sexp.scm 857 */
												return BFALSE;
											}
									}
								else
									{	/* Ast/sexp.scm 857 */
										obj_t BgL_cdrzd275541zd2_10347;

										BgL_cdrzd275541zd2_10347 = CDR(((obj_t) BgL_testz00_65));
										if (
											(CAR(
													((obj_t) BgL_testz00_65)) ==
												CNST_TABLE_REF(((long) 18))))
											{	/* Ast/sexp.scm 857 */
												if (PAIRP(BgL_cdrzd275541zd2_10347))
													{	/* Ast/sexp.scm 857 */
														obj_t BgL_cdrzd275545zd2_10351;

														BgL_cdrzd275545zd2_10351 =
															CDR(BgL_cdrzd275541zd2_10347);
														if (PAIRP(BgL_cdrzd275545zd2_10351))
															{	/* Ast/sexp.scm 857 */
																if (NULLP(CDR(BgL_cdrzd275545zd2_10351)))
																	{	/* Ast/sexp.scm 857 */
																		BgL_bindingsz00_10315 =
																			CAR(BgL_cdrzd275541zd2_10347);
																		BgL_exprz00_10316 =
																			CAR(BgL_cdrzd275545zd2_10351);
																		{	/* Ast/sexp.scm 863 */
																			obj_t BgL_ntz00_10361;

																			BgL_ntz00_10361 =
																				BGl_notzd2testzd2zzast_sexpz00
																				(BgL_exprz00_10316);
																			if (CBOOL(BgL_ntz00_10361))
																				{	/* Ast/sexp.scm 865 */
																					obj_t BgL_arg7868z00_10362;

																					{	/* Ast/sexp.scm 865 */
																						obj_t BgL_arg7869z00_10363;

																						{	/* Ast/sexp.scm 865 */
																							obj_t BgL_arg7870z00_10364;

																							BgL_arg7870z00_10364 =
																								MAKE_YOUNG_PAIR(BgL_ntz00_10361,
																								BNIL);
																							BgL_arg7869z00_10363 =
																								MAKE_YOUNG_PAIR
																								(BgL_bindingsz00_10315,
																								BgL_arg7870z00_10364);
																						}
																						BgL_arg7868z00_10362 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 18)),
																							BgL_arg7869z00_10363);
																					}
																					return
																						BGl_epairifyzd2reczd2zztools_miscz00
																						(BgL_arg7868z00_10362,
																						BgL_testz00_65);
																				}
																			else
																				{	/* Ast/sexp.scm 864 */
																					return BFALSE;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 857 */
																		return BFALSE;
																	}
															}
														else
															{	/* Ast/sexp.scm 857 */
																return BFALSE;
															}
													}
												else
													{	/* Ast/sexp.scm 857 */
														return BFALSE;
													}
											}
										else
											{	/* Ast/sexp.scm 857 */
												return BFALSE;
											}
									}
							}
					}
				else
					{	/* Ast/sexp.scm 857 */
						return BFALSE;
					}
			}
		}

	}



/* used-in? */
	bool_t BGl_usedzd2inzf3z21zzast_sexpz00(obj_t BgL_idz00_66,
		obj_t BgL_exprz00_67)
	{
		{	/* Ast/sexp.scm 874 */
			if ((BgL_idz00_66 == BgL_exprz00_67))
				{	/* Ast/sexp.scm 876 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 876 */
					if (PAIRP(BgL_exprz00_67))
						{	/* Ast/sexp.scm 877 */
							if ((CAR(BgL_exprz00_67) == CNST_TABLE_REF(((long) 12))))
								{	/* Ast/sexp.scm 878 */
									return ((bool_t) 0);
								}
							else
								{	/* Ast/sexp.scm 878 */
									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
										(BgL_exprz00_67))
										{
											obj_t BgL_list1513z00_10380;

											{	/* Ast/sexp.scm 880 */
												obj_t BgL_tmpz00_34204;

												BgL_list1513z00_10380 = BgL_exprz00_67;
											BgL_zc3z04anonymousza37880ze3z87_10381:
												if (PAIRP(BgL_list1513z00_10380))
													{	/* Ast/sexp.scm 880 */
														if (BGl_usedzd2inzf3z21zzast_sexpz00(BgL_idz00_66,
																CAR(BgL_list1513z00_10380)))
															{	/* Ast/sexp.scm 880 */
																BgL_tmpz00_34204 = CAR(BgL_list1513z00_10380);
															}
														else
															{
																obj_t BgL_list1513z00_34211;

																BgL_list1513z00_34211 =
																	CDR(BgL_list1513z00_10380);
																BgL_list1513z00_10380 = BgL_list1513z00_34211;
																goto BgL_zc3z04anonymousza37880ze3z87_10381;
															}
													}
												else
													{	/* Ast/sexp.scm 880 */
														BgL_tmpz00_34204 = BFALSE;
													}
												return CBOOL(BgL_tmpz00_34204);
											}
										}
									else
										{	/* Ast/sexp.scm 879 */
											return ((bool_t) 0);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 877 */
							return ((bool_t) 0);
						}
				}
		}

	}



/* test-nestable? */
	obj_t BGl_testzd2nestablezf3z21zzast_sexpz00(BgL_nodez00_bglt BgL_exprz00_68)
	{
		{	/* Ast/sexp.scm 889 */
			{	/* Ast/sexp.scm 890 */
				bool_t BgL__ortest_1167z00_10388;

				{	/* Ast/sexp.scm 890 */
					obj_t BgL_classz00_15304;

					BgL_classz00_15304 = BGl_varz00zzast_nodez00;
					{	/* Ast/sexp.scm 890 */
						BgL_objectz00_bglt BgL_arg1820z00_15306;

						{	/* Ast/sexp.scm 890 */
							obj_t BgL_tmpz00_34214;

							BgL_tmpz00_34214 =
								((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_68));
							BgL_arg1820z00_15306 = (BgL_objectz00_bglt) (BgL_tmpz00_34214);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/sexp.scm 890 */
								long BgL_idxz00_15312;

								BgL_idxz00_15312 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_15306);
								BgL__ortest_1167z00_10388 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_15312 + ((long) 2))) == BgL_classz00_15304);
							}
						else
							{	/* Ast/sexp.scm 890 */
								bool_t BgL_res8009z00_15334;

								{	/* Ast/sexp.scm 890 */
									obj_t BgL_oclassz00_15320;

									{	/* Ast/sexp.scm 890 */
										long BgL_arg1828z00_15326;

										{	/* Ast/sexp.scm 890 */
											long BgL_arg1829z00_15327;

											BgL_arg1829z00_15327 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_15306);
											BgL_arg1828z00_15326 =
												(BgL_arg1829z00_15327 - OBJECT_TYPE);
										}
										BgL_oclassz00_15320 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_15326);
									}
									{	/* Ast/sexp.scm 890 */
										bool_t BgL__ortest_1111z00_15321;

										BgL__ortest_1111z00_15321 =
											(BgL_classz00_15304 == BgL_oclassz00_15320);
										if (BgL__ortest_1111z00_15321)
											{	/* Ast/sexp.scm 890 */
												BgL_res8009z00_15334 = BgL__ortest_1111z00_15321;
											}
										else
											{	/* Ast/sexp.scm 890 */
												long BgL_odepthz00_15322;

												BgL_odepthz00_15322 =
													BGL_CLASS_DEPTH(BgL_oclassz00_15320);
												if ((((long) 2) < BgL_odepthz00_15322))
													{	/* Ast/sexp.scm 890 */
														obj_t BgL_arg1816z00_15324;

														BgL_arg1816z00_15324 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_15320,
															((long) 2));
														BgL_res8009z00_15334 =
															(BgL_arg1816z00_15324 == BgL_classz00_15304);
													}
												else
													{	/* Ast/sexp.scm 890 */
														BgL_res8009z00_15334 = ((bool_t) 0);
													}
											}
									}
								}
								BgL__ortest_1167z00_10388 = BgL_res8009z00_15334;
							}
					}
				}
				if (BgL__ortest_1167z00_10388)
					{	/* Ast/sexp.scm 890 */
						return BBOOL(BgL__ortest_1167z00_10388);
					}
				else
					{	/* Ast/sexp.scm 891 */
						bool_t BgL_test10985z00_34236;

						{	/* Ast/sexp.scm 891 */
							obj_t BgL_classz00_15335;

							BgL_classz00_15335 = BGl_appz00zzast_nodez00;
							{	/* Ast/sexp.scm 891 */
								BgL_objectz00_bglt BgL_arg1820z00_15337;

								{	/* Ast/sexp.scm 891 */
									obj_t BgL_tmpz00_34237;

									BgL_tmpz00_34237 =
										((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_68));
									BgL_arg1820z00_15337 =
										(BgL_objectz00_bglt) (BgL_tmpz00_34237);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/sexp.scm 891 */
										long BgL_idxz00_15343;

										BgL_idxz00_15343 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_15337);
										BgL_test10985z00_34236 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_15343 + ((long) 3))) == BgL_classz00_15335);
									}
								else
									{	/* Ast/sexp.scm 891 */
										bool_t BgL_res8010z00_15365;

										{	/* Ast/sexp.scm 891 */
											obj_t BgL_oclassz00_15351;

											{	/* Ast/sexp.scm 891 */
												long BgL_arg1828z00_15357;

												{	/* Ast/sexp.scm 891 */
													long BgL_arg1829z00_15358;

													BgL_arg1829z00_15358 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_15337);
													BgL_arg1828z00_15357 =
														(BgL_arg1829z00_15358 - OBJECT_TYPE);
												}
												BgL_oclassz00_15351 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_15357);
											}
											{	/* Ast/sexp.scm 891 */
												bool_t BgL__ortest_1111z00_15352;

												BgL__ortest_1111z00_15352 =
													(BgL_classz00_15335 == BgL_oclassz00_15351);
												if (BgL__ortest_1111z00_15352)
													{	/* Ast/sexp.scm 891 */
														BgL_res8010z00_15365 = BgL__ortest_1111z00_15352;
													}
												else
													{	/* Ast/sexp.scm 891 */
														long BgL_odepthz00_15353;

														BgL_odepthz00_15353 =
															BGL_CLASS_DEPTH(BgL_oclassz00_15351);
														if ((((long) 3) < BgL_odepthz00_15353))
															{	/* Ast/sexp.scm 891 */
																obj_t BgL_arg1816z00_15355;

																BgL_arg1816z00_15355 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_15351,
																	((long) 3));
																BgL_res8010z00_15365 =
																	(BgL_arg1816z00_15355 == BgL_classz00_15335);
															}
														else
															{	/* Ast/sexp.scm 891 */
																BgL_res8010z00_15365 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test10985z00_34236 = BgL_res8010z00_15365;
									}
							}
						}
						if (BgL_test10985z00_34236)
							{	/* Ast/sexp.scm 892 */
								BgL_variablez00_bglt BgL_varz00_10390;

								BgL_varz00_10390 =
									(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_exprz00_68)))->
												BgL_funz00)))->BgL_variablez00);
								{	/* Ast/sexp.scm 893 */
									bool_t BgL_test10989z00_34260;

									{	/* Ast/sexp.scm 893 */
										obj_t BgL_classz00_15368;

										BgL_classz00_15368 = BGl_globalz00zzast_varz00;
										{	/* Ast/sexp.scm 893 */
											BgL_objectz00_bglt BgL_arg1820z00_15370;

											{	/* Ast/sexp.scm 893 */
												obj_t BgL_tmpz00_34261;

												BgL_tmpz00_34261 =
													((obj_t) ((BgL_objectz00_bglt) BgL_varz00_10390));
												BgL_arg1820z00_15370 =
													(BgL_objectz00_bglt) (BgL_tmpz00_34261);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Ast/sexp.scm 893 */
													long BgL_idxz00_15376;

													BgL_idxz00_15376 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_15370);
													BgL_test10989z00_34260 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_15376 + ((long) 2))) ==
														BgL_classz00_15368);
												}
											else
												{	/* Ast/sexp.scm 893 */
													bool_t BgL_res8011z00_15398;

													{	/* Ast/sexp.scm 893 */
														obj_t BgL_oclassz00_15384;

														{	/* Ast/sexp.scm 893 */
															long BgL_arg1828z00_15390;

															{	/* Ast/sexp.scm 893 */
																long BgL_arg1829z00_15391;

																BgL_arg1829z00_15391 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_15370);
																BgL_arg1828z00_15390 =
																	(BgL_arg1829z00_15391 - OBJECT_TYPE);
															}
															BgL_oclassz00_15384 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_15390);
														}
														{	/* Ast/sexp.scm 893 */
															bool_t BgL__ortest_1111z00_15385;

															BgL__ortest_1111z00_15385 =
																(BgL_classz00_15368 == BgL_oclassz00_15384);
															if (BgL__ortest_1111z00_15385)
																{	/* Ast/sexp.scm 893 */
																	BgL_res8011z00_15398 =
																		BgL__ortest_1111z00_15385;
																}
															else
																{	/* Ast/sexp.scm 893 */
																	long BgL_odepthz00_15386;

																	BgL_odepthz00_15386 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_15384);
																	if ((((long) 2) < BgL_odepthz00_15386))
																		{	/* Ast/sexp.scm 893 */
																			obj_t BgL_arg1816z00_15388;

																			BgL_arg1816z00_15388 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_15384, ((long) 2));
																			BgL_res8011z00_15398 =
																				(BgL_arg1816z00_15388 ==
																				BgL_classz00_15368);
																		}
																	else
																		{	/* Ast/sexp.scm 893 */
																			BgL_res8011z00_15398 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test10989z00_34260 = BgL_res8011z00_15398;
												}
										}
									}
									if (BgL_test10989z00_34260)
										{	/* Ast/sexp.scm 893 */
											if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 50)),
														(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
																		BgL_varz00_10390)))->BgL_pragmaz00))))
												{	/* Ast/sexp.scm 894 */
													return
														BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 51)),
														(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
																		BgL_varz00_10390)))->BgL_pragmaz00));
												}
											else
												{	/* Ast/sexp.scm 894 */
													return BFALSE;
												}
										}
									else
										{	/* Ast/sexp.scm 893 */
											return BFALSE;
										}
								}
							}
						else
							{	/* Ast/sexp.scm 891 */
								return BFALSE;
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 156774043),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 520121776),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string8057z00zzast_sexpz00));
		}

	}

#ifdef __cplusplus
}
#endif
