/*===========================================================================*/
/*   (Ast/var.scm)                                                           */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/var.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	static obj_t BGl_z62lambda1766z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1847z62zzast_varz00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1928z62zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1767z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1848z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2modulezd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2propertyzd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62globalzd2initzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2removablezd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31919ze3ze5zzast_varz00(obj_t);
	static BgL_variablez00_bglt BGl_z62makezd2variablezb0zzast_varz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1935z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_localzd2namezd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62lambda1693z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1936z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1694z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2removablezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1857z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1858z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_cvarz00_bglt BGl_z62makezd2cvarzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1778z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2argszd2noescapez00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62lambda1779z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1699z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzd2loczd2setz12z12zzast_varz00(BgL_svarz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2srczd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2loczd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62funzd2topzf3zd2setz12z83zzast_varz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62cvarzd2macrozf3z43zzast_varz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_varz00 = BUNSPEC;
	static BgL_svarz00_bglt BGl_z62svarzd2nilzb0zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2stackablezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62lambda1941z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1942z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2sidezd2effectz00zzast_varz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62variablezd2namezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1865z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1946z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2valuezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2removablezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2occurrencezd2setz12z12zzast_varz00(BgL_localz00_bglt, long);
	static obj_t BGl_z62lambda1866z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1947z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2occurrencewzb0zzast_varz00(obj_t, obj_t);
	static BgL_funz00_bglt BGl_z62funzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2classzd2zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2evalzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt, bool_t);
	static obj_t BGl_z62funzd2stackzd2allocatorz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62makezd2globalzb0zzast_varz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62sexitzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2accesszd2setz12z12zzast_varz00(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2accesszd2zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32020ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_funz00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt,
		obj_t);
	static obj_t BGl_z62variablezd2accesszb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2predicatezd2ofz00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_sfunzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2namezd2setz12z12zzast_varz00(BgL_variablez00_bglt, obj_t);
	static obj_t BGl_z62sfunzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2fastzd2alphaz00zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62sfunzd2effectzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2pragmazd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1790z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1952z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1791z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1953z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1874z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1875z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2predicatezd2ofz00zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1958z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2failsafezd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda1959z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2namezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_localzd2keyzd2zzast_varz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62globalzd2srczb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62svarzd2loczb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2occurrencezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2failsafezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31792ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31954ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62localzd2valzd2noescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31695ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2strengthzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62globalzd2libraryzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1883z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1964z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1884z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1965z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sfunz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62funzd2thezd2closurezd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2optionalszd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzd2classzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzd2detachedzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2failsafezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62funzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_cvarz00_bglt BGl_makezd2cvarzd2zzast_varz00(bool_t);
	static obj_t BGl_z62lambda1890z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1971z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1891z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1972z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2dssslzd2keywordsz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1978z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2typezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1979z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_cfunz00_bglt BGl_z62cfunzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2thezd2closurez00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzd2classzd2setz12z12zzast_varz00(BgL_scnstz00_bglt, obj_t);
	static obj_t BGl_z62cfunzd2effectzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62makezd2sfunzb0zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2accesszd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2removablezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62feffectzd2writezb0zzast_varz00(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzd2thezd2closurezd2globalzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31980ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t,
		obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, long, obj_t);
	static obj_t BGl_z62feffectzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31867ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62localzd2fastzd2alphazd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31859ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2removablezd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62sfunzd2effectzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2pragmazb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt BGl_sexitzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62lambda1985z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_varz00(void);
	static obj_t BGl_z62lambda1986z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62cfunzd2methodzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2occurrencezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62funzd2arityzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzd2detachedzf3zd2setz12ze1zzast_varz00(BgL_sexitz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2evaluablezf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt,
		bool_t);
	static obj_t BGl_z62zc3z04anonymousza32040ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32121ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2idzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2evalzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cfunzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32008ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sexitz00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2retescapez00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2accesszb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2removablezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_scnstz00_bglt BGl_makezd2scnstzd2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31892ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31973ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2dssslzd2keywordszd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_varz00(void);
	static obj_t BGl_z62zc3z04anonymousza31876ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzd2typezd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62sfunzd2topzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sfunzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1992z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2valzd2noescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2userzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1993z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzd2occurrencewzd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2retescapez00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2idzd2zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62lambda1999z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32106ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2idzb0zzast_varz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31966ze3ze5zzast_varz00(obj_t);
	static BgL_typez00_bglt BGl_z62variablezd2typezb0zzast_varz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62makezd2localzb0zzast_varz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cfunzd2sidezd2effectz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2namezd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62valuezf3z91zzast_varz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_variablezf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_scnstzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2argszd2retescapez00zzast_varz00(BgL_funz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzd2handlerzd2setz12z12zzast_varz00(BgL_sexitz00_bglt, obj_t);
	static obj_t BGl_z62scnstzd2loczd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2occurrencewzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2strengthzd2zzast_varz00(BgL_sfunz00_bglt);
	static BgL_scnstz00_bglt BGl_z62makezd2scnstzb0zzast_varz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfunzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62localzd2typezb0zzast_varz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62localzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2aliaszd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62cfunzd2stackzd2allocatorz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2loczd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t,
		obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2stackablezd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62sfunzd2propertyzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2libraryzd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2stackzd2allocatorz00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62sfunzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL long BGl_funzd2arityzd2zzast_varz00(BgL_funz00_bglt);
	static BgL_scnstz00_bglt BGl_z62scnstzd2nilzb0zzast_varz00(obj_t);
	static BgL_feffectz00_bglt BGl_z62makezd2feffectzb0zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2accesszd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt BGl_makezd2valuezd2zzast_varz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2predicatezd2ofz00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62funzd2topzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2valuezd2setz12z12zzast_varz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62cfunzf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2keyzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2stackzd2allocatorz00zzast_varz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62sfunzf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2occurrencezd2setz12z12zzast_varz00(BgL_globalz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_varz00(void);
	static obj_t BGl_z62globalzd2fastzd2alphaz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2thezd2closurez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62feffectzd2writezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2idzd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_svarz00_bglt BGl_svarzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62zc3z04anonymousza32134ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62scnstzd2classzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2occurrencewzd2setz12z70zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2importzd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62funzd2optionalzd2arityz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31994ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62cfunzd2argszd2typez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62scnstzd2loczb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2accesszd2setz12z12zzast_varz00(BgL_variablez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2effectzd2setz12z12zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static BgL_valuez00_bglt BGl_z62globalzd2valuezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2removablezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzd2occurrencezd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzd2userzf3z43zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzd2keyszb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32151ze3ze5zzast_varz00(obj_t);
	static BgL_valuez00_bglt BGl_z62makezd2valuezb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2infixzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2noescapez00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_makezd2variablezd2zzast_varz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2thezd2closurezd2globalzd2zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2topzf3zd2setz12ze1zzast_varz00(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2sidezd2effectz00zzast_varz00(BgL_funz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2dssslzd2keywordsz00zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62funzd2sidezd2effectz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt BGl_localzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62zc3z04anonymousza31987ze3ze5zzast_varz00(obj_t);
	static BgL_variablez00_bglt BGl_z62variablezd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL long BGl_cfunzd2arityzd2zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2topzf3zd2setz12ze1zzast_varz00(BgL_funz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_feffectz00_bglt BGl_feffectzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62funzd2argszd2noescapez62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_svarzd2loczd2zzast_varz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cfunzd2macrozf3z21zzast_varz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32144ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2typezd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32047ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62localzd2accesszb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2fastzd2alphazd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2namezd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_feffectzd2readzd2setz12z12zzast_varz00(BgL_feffectz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cfunzd2infixzf3z21zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2occurrencewzd2setz12z12zzast_varz00(BgL_globalz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2classzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_scnstz00_bglt BGl_scnstzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62variablezd2occurrencezd2setz12z70zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2classzd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzd2typezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt BGl_globalzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62cfunzd2thezd2closurezd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2evalzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cfunzd2argszd2noescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2000z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2accesszd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_scnstzd2classzd2zzast_varz00(BgL_scnstz00_bglt);
	static obj_t BGl_z62lambda2006z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2007z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzd2loczd2setz12z12zzast_varz00(BgL_scnstz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sfunzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_z62cfunzd2predicatezd2ofz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2namezd2setz12z12zzast_varz00(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62sfunzd2thezd2closurezd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2argszd2safezf3zf3zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62cfunzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzd2namezd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cfunz00_bglt BGl_cfunzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62sfunzd2predicatezd2ofz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	static obj_t BGl_z62variablezd2idzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62cfunzd2arityzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2modulezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2occurrencewzd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		long);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2evaluablezf3z21zzast_varz00(BgL_globalz00_bglt);
	static BgL_cfunz00_bglt BGl_z62lambda2015z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32065ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2userzf3zd2setz12ze1zzast_varz00(BgL_localz00_bglt, bool_t);
	static BgL_cfunz00_bglt BGl_z62lambda2018z62zzast_varz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_feffectzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2initzd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_scnstzd2loczd2zzast_varz00(BgL_scnstz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_svarz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62sfunzd2bodyzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2srczd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2thezd2closurez00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62globalzd2namezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2keyszd2zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_localzd2idzd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzd2srczd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62funzd2thezd2closurez62zzast_varz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62globalzd2nilzb0zzast_varz00(obj_t);
	static obj_t BGl_z62globalzd2jvmzd2typezd2namezd2setz12z70zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2aliaszd2zzast_varz00(BgL_globalz00_bglt);
	static BgL_cvarz00_bglt BGl_z62lambda2102z62zzast_varz00(obj_t, obj_t);
	static BgL_cvarz00_bglt BGl_z62lambda2104z62zzast_varz00(obj_t);
	static obj_t BGl_z62funzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2evaluablezf3zd2setz12z83zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2024z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2predicatezd2ofz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2025z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2pragmazd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62cfunzd2topzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32058ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2methodzd2setz12z12zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62localzd2valuezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzd2valuezd2zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_localzd2userzf3z21zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_feffectzd2readzd2zzast_varz00(BgL_feffectz00_bglt);
	static obj_t BGl_z62sfunzd2topzf3z43zzast_varz00(obj_t, obj_t);
	static BgL_cvarz00_bglt BGl_z62cvarzd2nilzb0zzast_varz00(obj_t);
	static obj_t BGl_z62lambda2110z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_feffectzd2writezd2zzast_varz00(BgL_feffectz00_bglt);
	static obj_t BGl_z62lambda2030z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2111z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2031z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62makezd2svarzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_funzd2failsafezd2zzast_varz00(BgL_funz00_bglt);
	static BgL_sexitz00_bglt BGl_z62lambda2117z62zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2strengthzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62globalzd2libraryzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2038z62zzast_varz00(obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda2119z62zzast_varz00(obj_t);
	static obj_t BGl_z62lambda2039z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2typez00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2pragmazd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62sfunzd2bodyzd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_funz00_bglt BGl_funzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62cfunzd2failsafezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62funzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzd2importzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2modulezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cfunzd2effectzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_z62localzd2occurrencezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2sidezd2effectz00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_funzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2failsafezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cvarzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2failsafezd2setz12z12zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31525ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62scnstzf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2accesszd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda2125z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31347ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31509ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda2045z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2126z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2046z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62cfunzd2infixzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzd2argszd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_valuez00_bglt BGl_z62variablezd2valuezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2userzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62funzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_funz00_bglt BGl_z62makezd2funzb0zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_svarzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62variablezd2occurrencezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2accesszd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_cfunz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62lambda2132z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31615ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2133z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2valzd2noescapezd2setz12zc0zzast_varz00(BgL_localz00_bglt,
		obj_t);
	static BgL_svarz00_bglt BGl_z62lambda2054z62zzast_varz00(obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda2056z62zzast_varz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_variablezd2typezd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2bodyzd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzd2stackablezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2fastzd2alphaz00zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2namezd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62sexitzd2handlerzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2jvmzd2typezd2namezd2setz12z12zzast_varz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_funzd2topzf3z21zzast_varz00(BgL_funz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_cfunzd2topzf3z21zzast_varz00(BgL_cfunz00_bglt);
	static BgL_feffectz00_bglt BGl_z62lambda2140z62zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31470ze3ze5zzast_varz00(obj_t);
	static BgL_feffectz00_bglt BGl_z62lambda2142z62zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2removablezd2zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31365ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2063z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2064z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32078ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32159ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2propertyzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2namezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2valzd2noescapez00zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62lambda2149z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sfunzd2topzf3z21zzast_varz00(BgL_sfunz00_bglt);
	static BgL_cfunz00_bglt BGl_z62makezd2cfunzb0zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_scnstzd2nodezd2zzast_varz00(BgL_scnstz00_bglt);
	static obj_t BGl_z62globalzd2fastzd2alphazd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2loczd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62sfunzd2failsafezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	static obj_t BGl_z62svarzd2loczd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2occurrencezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t);
	static obj_t BGl_z62globalzd2aliaszd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2optionalzf3z43zzast_varz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_z62feffectzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2removablezd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62lambda2150z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31390ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62cfunzd2macrozf3z43zzast_varz00(obj_t, obj_t);
	static BgL_valuez00_bglt BGl_z62lambda1342z62zzast_varz00(obj_t);
	static BgL_valuez00_bglt BGl_z62lambda1423z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1424z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31536ze3ze5zzast_varz00(obj_t);
	static BgL_scnstz00_bglt BGl_z62lambda2072z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_sfunz00_bglt BGl_z62sfunzd2nilzb0zzast_varz00(obj_t);
	static BgL_valuez00_bglt BGl_z62lambda1344z62zzast_varz00(obj_t);
	static BgL_valuez00_bglt BGl_z62valuezd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_feffectz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62lambda1507z62zzast_varz00(obj_t, obj_t);
	static BgL_scnstz00_bglt BGl_z62lambda2074z62zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2thezd2closurez00zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1508z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2valuezd2setz12z12zzast_varz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62lambda2157z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2userzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2158z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzd2occurrencewzd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzast_varz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_varz00(void);
	static obj_t BGl_z62cfunzd2infixzf3z43zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszb0zzast_varz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62globalzd2typezb0zzast_varz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszd2namez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2topzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_scnstz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_varz00(void);
	static obj_t BGl_z62zc3z04anonymousza31731ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_varz00(void);
	BGL_EXPORTED_DECL bool_t BGl_globalzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62cvarzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2userzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2082z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2083z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32096ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62scnstzd2classzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2087z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt BGl_makezd2sexitzd2zzast_varz00(obj_t,
		bool_t);
	static obj_t BGl_z62lambda2088z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62cfunzd2methodzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2effectzd2setz12z12zzast_varz00(BgL_funz00_bglt, obj_t);
	static obj_t BGl_z62svarzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2effectzd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_funzd2effectzd2zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62scnstzd2nodezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzd2occurrencezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2propertyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2failsafezd2setz12z12zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2thezd2closurezd2globalzd2setz12z12zzast_varz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62sfunzd2loczb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_variablez00_bglt,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1601z62zzast_varz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_variablez00_bglt BGl_z62lambda1360z62zzast_varz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2bodyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda1523z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1524z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_variablez00_bglt BGl_z62lambda1362z62zzast_varz00(obj_t);
	static obj_t BGl_z62lambda2094z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2occurrencezd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		long);
	static obj_t BGl_z62lambda2095z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62globalzd2initzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2evalzf3z21zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62sfunzd2sidezd2effectz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31911ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62cfunzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1611z62zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_variablezd2valuezd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_variablezd2userzf3z21zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62lambda1534z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1535z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2removablezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_cfunz00_bglt BGl_makezd2cfunzd2zzast_varz00(long, obj_t,
		obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t,
		bool_t, obj_t);
	static obj_t BGl_z62lambda1376z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1377z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_valuez00_bglt BGl_z62localzd2valuezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2userzf3z43zzast_varz00(obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62makezd2sexitzb0zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2occurrencewzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_feffectzd2writezd2setz12z12zzast_varz00(BgL_feffectz00_bglt, obj_t);
	static obj_t BGl_z62funzd2effectzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cvarzd2macrozf3z21zzast_varz00(BgL_cvarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2valuezd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62cfunzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2libraryzd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62globalzd2jvmzd2typezd2namezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1700z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31831ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_funzd2optionalzd2arityz00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62sfunzd2stackzd2allocatorz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2stackablezd2zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2typezd2setz12z12zzast_varz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2argszd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1468z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2typezd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1388z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1469z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1389z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62feffectzd2readzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t,
		obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_valuez00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62localzd2fastzd2alphaz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2namezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2keyzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sexitzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2initzd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2removablezd2setz12z12zzast_varz00(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62lambda1630z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1631z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62funzd2argszd2retescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1713z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1714z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2userzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt, bool_t);
	static BgL_typez00_bglt BGl_z62lambda1394z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1637z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzd2handlerzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1395z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1638z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62variablezd2fastzd2alphaz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2argszd2safezf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cvarz00_bglt BGl_cvarzd2nilzd2zzast_varz00(void);
	BGL_EXPORTED_DECL long
		BGl_variablezd2occurrencezd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2modulezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_variablez00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2jvmzd2typezd2namezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2stackzd2allocatorz00zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31930ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31744ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62globalzd2evaluablezf3z43zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1566z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1647z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1567z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1648z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1729z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2thezd2closurez62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_feffectz00_bglt BGl_makezd2feffectzd2zzast_varz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2noescapez00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2namez00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2topzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2effectzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31680ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1730z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31664ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2optionalzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_funz00_bglt BGl_makezd2funzd2zzast_varz00(long, obj_t,
		obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2thezd2closurezd2globalzb0zzast_varz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzd2strengthzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cfunzd2effectzd2zzast_varz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62lambda1901z62zzast_varz00(obj_t, obj_t);
	static BgL_funz00_bglt BGl_z62lambda1820z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_sfunzd2arityzd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1902z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_funz00_bglt BGl_z62lambda1822z62zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cfunzd2failsafezd2zzast_varz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31584ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1742z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2removablezd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62lambda1662z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1743z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2effectzd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31568ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1582z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31649ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1663z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1583z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2importzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2occurrencewzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2importzd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda1909z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cfunzd2methodzd2zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzd2valuezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2userzf3z21zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_valuezf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62globalzd2occurrencewzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2failsafezd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzd2optionalszb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzd2detachedzf3z21zzast_varz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2userzf3zd2setz12ze1zzast_varz00(BgL_variablez00_bglt,
		bool_t);
	static obj_t BGl_z62globalzd2aliaszb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzd2detachedzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62lambda1910z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2occurrencewzd2setz12z12zzast_varz00(BgL_localz00_bglt, long);
	static obj_t BGl_z62cfunzd2argszd2retescapez62zzast_varz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1752z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_variablezd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62sfunzd2argszd2noescapez62zzast_varz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1754z62zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1917z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1837z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1918z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2typezd2setz12z12zzast_varz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda1838z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1678z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1679z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2fastzd2alphaz00zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62feffectzd2readzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszd2retescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32001ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62localzd2keyzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2setzd2readzd2onlyz12za2zzast_varz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_localzd2accesszd2zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_cvarz00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_sfunzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62globalzd2readzd2onlyzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31780ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL long
		BGl_variablezd2occurrencewzd2zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62variablezd2typezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62funzd2failsafezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2arityzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexitzd2handlerzd2zzast_varz00(BgL_sexitz00_bglt);
	static BgL_sfunz00_bglt BGl_z62lambda1926z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t __cnst[77];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzd2macrozf3zd2envzf3zzast_varz00,
		BgL_bgl_za762cvarza7d2macroza72375za7,
		BGl_z62cvarzd2macrozf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2valuezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2va2376z00,
		BGl_z62variablezd2valuezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2optionalzd2arityzd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2optiona2377z00,
		BGl_z62funzd2optionalzd2arityz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2sidezd2effectzd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2sideza7d2378za7,
		BGl_z62cfunzd2sidezd2effectz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2importzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2impo2379z00, BGl_z62globalzd2importzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2thezd2closurezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2theza7d22380za7,
		BGl_z62cfunzd2thezd2closurezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2381za7,
		BGl_z62zc3z04anonymousza31536ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzast_varz00,
		BgL_bgl_za762lambda1535za7622382z00, BGl_z62lambda1535z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzast_varz00,
		BgL_bgl_za762lambda1534za7622383z00, BGl_z62lambda1534z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2384za7,
		BGl_z62zc3z04anonymousza31568ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzast_varz00,
		BgL_bgl_za762lambda1567za7622385z00, BGl_z62lambda1567z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzast_varz00,
		BgL_bgl_za762lambda1566za7622386z00, BGl_z62lambda1566z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2387za7,
		BGl_z62zc3z04anonymousza31584ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzast_varz00,
		BgL_bgl_za762lambda1583za7622388z00, BGl_z62lambda1583z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzast_varz00,
		BgL_bgl_za762lambda1582za7622389z00, BGl_z62lambda1582z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2390za7,
		BGl_z62zc3z04anonymousza31365ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2thezd2closurezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2theza7d22391za7,
		BGl_z62sfunzd2thezd2closurezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2argszd2retescapezd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2392za7,
		BGl_z62cfunzd2argszd2retescapez62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2sidezd2effectzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2sideza7d22393za7,
		BGl_z62funzd2sidezd2effectzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2argszd2retescapezd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2394za7,
		BGl_z62sfunzd2argszd2retescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzast_varz00,
		BgL_bgl_za762lambda1362za7622395z00, BGl_z62lambda1362z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2effectzd2envz00zzast_varz00,
		BgL_bgl_za762funza7d2effectza72396za7, BGl_z62funzd2effectzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzast_varz00,
		BgL_bgl_za762lambda1360za7622397z00, BGl_z62lambda1360z62zzast_varz00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzast_varz00,
		BgL_bgl_za762lambda1631za7622398z00, BGl_z62lambda1631z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzast_varz00,
		BgL_bgl_za762lambda1630za7622399z00, BGl_z62lambda1630z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzast_varz00,
		BgL_bgl_za762lambda1638za7622400z00, BGl_z62lambda1638z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzast_varz00,
		BgL_bgl_za762lambda1637za7622401z00, BGl_z62lambda1637z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2402za7,
		BGl_z62zc3z04anonymousza31649ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzast_varz00,
		BgL_bgl_za762lambda1648za7622403z00, BGl_z62lambda1648z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzast_varz00,
		BgL_bgl_za762lambda1647za7622404z00, BGl_z62lambda1647z62zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2failsafezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762funza7d2failsaf2405z00,
		BGl_z62funzd2failsafezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2406za7,
		BGl_z62zc3z04anonymousza31664ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2occurrencewzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2oc2407z00,
		BGl_z62variablezd2occurrencewzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2namezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2name2408z00, BGl_z62globalzd2namezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2300z00zzast_varz00,
		BgL_bgl_za762lambda1972za7622409z00, BGl_z62lambda1972z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2301z00zzast_varz00,
		BgL_bgl_za762lambda1971za7622410z00, BGl_z62lambda1971z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzast_varz00,
		BgL_bgl_za762lambda1663za7622411z00, BGl_z62lambda1663z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2302z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2412za7,
		BGl_z62zc3z04anonymousza31980ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzast_varz00,
		BgL_bgl_za762lambda1662za7622413z00, BGl_z62lambda1662z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2keyszd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2keysza7b2414za7, BGl_z62sfunzd2keyszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2idzd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2idza7b02415za7, BGl_z62localzd2idzb0zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzast_varz00,
		BgL_bgl_za762lambda1979za7622416z00, BGl_z62lambda1979z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2417za7,
		BGl_z62zc3z04anonymousza31680ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2304z00zzast_varz00,
		BgL_bgl_za762lambda1978za7622418z00, BGl_z62lambda1978z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzast_varz00,
		BgL_bgl_za762lambda1679za7622419z00, BGl_z62lambda1679z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2305z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2420za7,
		BGl_z62zc3z04anonymousza31987ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzast_varz00,
		BgL_bgl_za762lambda1678za7622421z00, BGl_z62lambda1678z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2306z00zzast_varz00,
		BgL_bgl_za762lambda1986za7622422z00, BGl_z62lambda1986z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2423za7,
		BGl_z62zc3z04anonymousza31695ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2307z00zzast_varz00,
		BgL_bgl_za762lambda1985za7622424z00, BGl_z62lambda1985z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzast_varz00,
		BgL_bgl_za762lambda1694za7622425z00, BGl_z62lambda1694z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2308z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2426za7,
		BGl_z62zc3z04anonymousza31994ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzast_varz00,
		BgL_bgl_za762lambda1693za7622427z00, BGl_z62lambda1693z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2309z00zzast_varz00,
		BgL_bgl_za762lambda1993za7622428z00, BGl_z62lambda1993z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzast_varz00,
		BgL_bgl_za762lambda1700za7622429z00, BGl_z62lambda1700z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzast_varz00,
		BgL_bgl_za762lambda1699za7622430z00, BGl_z62lambda1699z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2valuezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2value2431z00, BGl_z62localzd2valuezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2namezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2nameza72432za7, BGl_z62localzd2namezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzd2loczd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762svarza7d2locza7d22433za7,
		BGl_z62svarzd2loczd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2310z00zzast_varz00,
		BgL_bgl_za762lambda1992za7622434z00, BGl_z62lambda1992z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2311z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2435za7,
		BGl_z62zc3z04anonymousza32001ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzast_varz00,
		BgL_bgl_za762lambda1714za7622436z00, BGl_z62lambda1714z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2312z00zzast_varz00,
		BgL_bgl_za762lambda2000za7622437z00, BGl_z62lambda2000z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzast_varz00,
		BgL_bgl_za762lambda1713za7622438z00, BGl_z62lambda1713z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2313z00zzast_varz00,
		BgL_bgl_za762lambda1999za7622439z00, BGl_z62lambda1999z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2440za7,
		BGl_z62zc3z04anonymousza31731ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sfunzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2sfunza7b2441za7, BGl_z62makezd2sfunzb0zzast_varz00,
		0L, BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2314z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2442za7,
		BGl_z62zc3z04anonymousza32008ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzast_varz00,
		BgL_bgl_za762lambda1730za7622443z00, BGl_z62lambda1730z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2classzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762scnstza7d2class2444z00,
		BGl_z62scnstzd2classzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2315z00zzast_varz00,
		BgL_bgl_za762lambda2007za7622445z00, BGl_z62lambda2007z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzast_varz00,
		BgL_bgl_za762lambda1729za7622446z00, BGl_z62lambda1729z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2316z00zzast_varz00,
		BgL_bgl_za762lambda2006za7622447z00, BGl_z62lambda2006z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2448za7,
		BGl_z62zc3z04anonymousza31744ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2317z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2449za7,
		BGl_z62zc3z04anonymousza31930ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzast_varz00,
		BgL_bgl_za762lambda1743za7622450z00, BGl_z62lambda1743z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzast_varz00,
		BgL_bgl_za762lambda1928za7622451z00, BGl_z62lambda1928z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzast_varz00,
		BgL_bgl_za762lambda1742za7622452z00, BGl_z62lambda1742z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzast_varz00,
		BgL_bgl_za762lambda1926za7622453z00, BGl_z62lambda1926z62zzast_varz00, 0L,
		BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2454za7,
		BGl_z62zc3z04anonymousza31615ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzast_varz00,
		BgL_bgl_za762lambda1611za7622455z00, BGl_z62lambda1611z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2arityzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2arityza72456za7, BGl_z62sfunzd2arityzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2stackablezd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2stacka2457z00, BGl_z62sfunzd2stackablezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2thezd2closurezd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2theza7d22458za7,
		BGl_z62sfunzd2thezd2closurez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2argszd2typezd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2459za7,
		BGl_z62cfunzd2argszd2typez62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_feffectzd2readzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762feffectza7d2rea2460z00,
		BGl_z62feffectzd2readzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2infixzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762cfunza7d2infixza72461za7,
		BGl_z62cfunzd2infixzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2methodzd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2method2462z00, BGl_z62cfunzd2methodzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2arityzd2envz00zzast_varz00,
		BgL_bgl_za762funza7d2arityza7b2463za7, BGl_z62funzd2arityzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzast_varz00,
		BgL_bgl_za762lambda2025za7622464z00, BGl_z62lambda2025z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzast_varz00,
		BgL_bgl_za762lambda2024za7622465z00, BGl_z62lambda2024z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzast_varz00,
		BgL_bgl_za762lambda1601za7622466z00, BGl_z62lambda1601z62zzast_varz00, 0L,
		BUNSPEC, 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzast_varz00,
		BgL_bgl_za762lambda2031za7622467z00, BGl_z62lambda2031z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzast_varz00,
		BgL_bgl_za762lambda1767za7622468z00, BGl_z62lambda1767z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzast_varz00,
		BgL_bgl_za762lambda2030za7622469z00, BGl_z62lambda2030z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzast_varz00,
		BgL_bgl_za762lambda1766za7622470z00, BGl_z62lambda1766z62zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2evaluablezf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762globalza7d2eval2471z00,
		BGl_z62globalzd2evaluablezf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2472za7,
		BGl_z62zc3z04anonymousza32040ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2473za7,
		BGl_z62zc3z04anonymousza31780ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2argszd2retescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2474za7,
		BGl_z62cfunzd2argszd2retescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzast_varz00,
		BgL_bgl_za762lambda2039za7622475z00, BGl_z62lambda2039z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzast_varz00,
		BgL_bgl_za762lambda1779za7622476z00, BGl_z62lambda1779z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzast_varz00,
		BgL_bgl_za762lambda2038za7622477z00, BGl_z62lambda2038z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzast_varz00,
		BgL_bgl_za762lambda1778za7622478z00, BGl_z62lambda1778z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2479za7,
		BGl_z62zc3z04anonymousza32047ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2480za7,
		BGl_z62zc3z04anonymousza31792ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzast_varz00,
		BgL_bgl_za762lambda2046za7622481z00, BGl_z62lambda2046z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzast_varz00,
		BgL_bgl_za762lambda1791za7622482z00, BGl_z62lambda1791z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzast_varz00,
		BgL_bgl_za762lambda2045za7622483z00, BGl_z62lambda2045z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzast_varz00,
		BgL_bgl_za762lambda1790za7622484z00, BGl_z62lambda1790z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2classzd2envz00zzast_varz00,
		BgL_bgl_za762scnstza7d2class2485z00, BGl_z62scnstzd2classzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2486za7,
		BGl_z62zc3z04anonymousza31756ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2valuezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2value2487z00,
		BGl_z62localzd2valuezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2occurrencewzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2occur2488z00,
		BGl_z62localzd2occurrencewzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2argszd2safezf3zd2envz21zzast_varz00,
		BgL_bgl_za762globalza7d2args2489z00,
		BGl_z62globalzd2argszd2safezf3z91zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2typezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2type2490z00,
		BGl_z62globalzd2typezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2idzd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2id2491z00, BGl_z62variablezd2idzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2keyzd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2keyza7b2492za7, BGl_z62localzd2keyzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2setzd2readzd2onlyz12zd2envz12zzast_varz00,
		BgL_bgl_za762globalza7d2setza72493za7,
		BGl_z62globalzd2setzd2readzd2onlyz12za2zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2494za7,
		BGl_z62zc3z04anonymousza32020ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2predicatezd2ofzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2predic2495z00,
		BGl_z62cfunzd2predicatezd2ofzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzast_varz00,
		BgL_bgl_za762lambda2018za7622496z00, BGl_z62lambda2018z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzast_varz00,
		BgL_bgl_za762lambda1754za7622497z00, BGl_z62lambda1754z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzast_varz00,
		BgL_bgl_za762lambda2015za7622498z00, BGl_z62lambda2015z62zzast_varz00, 0L,
		BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzast_varz00,
		BgL_bgl_za762lambda1752za7622499z00, BGl_z62lambda1752z62zzast_varz00, 0L,
		BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2500za7,
		BGl_z62zc3z04anonymousza32065ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzast_varz00,
		BgL_bgl_za762lambda1838za7622501z00, BGl_z62lambda1838z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzast_varz00,
		BgL_bgl_za762lambda2064za7622502z00, BGl_z62lambda2064z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzast_varz00,
		BgL_bgl_za762lambda1837za7622503z00, BGl_z62lambda1837z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2accesszd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2acces2504z00, BGl_z62localzd2accesszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzast_varz00,
		BgL_bgl_za762lambda2063za7622505z00, BGl_z62lambda2063z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2506za7,
		BGl_z62zc3z04anonymousza31849ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2507za7,
		BGl_z62zc3z04anonymousza32058ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzast_varz00,
		BgL_bgl_za762lambda1848za7622508z00, BGl_z62lambda1848z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2thezd2closurezd2globalzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2theza7d22509za7,
		BGl_z62sfunzd2thezd2closurezd2globalzd2setz12z70zzast_varz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzast_varz00,
		BgL_bgl_za762lambda2056za7622510z00, BGl_z62lambda2056z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzast_varz00,
		BgL_bgl_za762lambda1847za7622511z00, BGl_z62lambda1847z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzast_varz00,
		BgL_bgl_za762lambda2054za7622512z00, BGl_z62lambda2054z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2513za7,
		BGl_z62zc3z04anonymousza31859ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2evaluablezf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2eval2514z00,
		BGl_z62globalzd2evaluablezf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzast_varz00,
		BgL_bgl_za762lambda2083za7622515z00, BGl_z62lambda2083z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzast_varz00,
		BgL_bgl_za762lambda1858za7622516z00, BGl_z62lambda1858z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzast_varz00,
		BgL_bgl_za762lambda1857za7622517z00, BGl_z62lambda1857z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2518za7,
		BGl_z62zc3z04anonymousza31347ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2typezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2ty2519z00, BGl_z62variablezd2typezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2loczd2envz00zzast_varz00,
		BgL_bgl_za762scnstza7d2locza7b2520za7, BGl_z62scnstzd2loczb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2argszd2noescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2argsza7d22521za7,
		BGl_z62funzd2argszd2noescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2accesszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2ac2522z00,
		BGl_z62variablezd2accesszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzast_varz00,
		BgL_bgl_za762lambda2082za7622523z00, BGl_z62lambda2082z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzast_varz00,
		BgL_bgl_za762lambda2088za7622524z00, BGl_z62lambda2088z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2525za7,
		BGl_z62zc3z04anonymousza31867ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzast_varz00,
		BgL_bgl_za762lambda2087za7622526z00, BGl_z62lambda2087z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzast_varz00,
		BgL_bgl_za762lambda1866za7622527z00, BGl_z62lambda1866z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzast_varz00,
		BgL_bgl_za762lambda1344za7622528z00, BGl_z62lambda1344z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2529za7,
		BGl_z62zc3z04anonymousza32096ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzast_varz00,
		BgL_bgl_za762lambda1865za7622530z00, BGl_z62lambda1865z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzast_varz00,
		BgL_bgl_za762lambda1342za7622531z00, BGl_z62lambda1342z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zzast_varz00,
		BgL_bgl_za762lambda2095za7622532z00, BGl_z62lambda2095z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2533za7,
		BGl_z62zc3z04anonymousza31876ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzast_varz00,
		BgL_bgl_za762lambda1377za7622534z00, BGl_z62lambda1377z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzast_varz00,
		BgL_bgl_za762lambda2094za7622535z00, BGl_z62lambda2094z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzast_varz00,
		BgL_bgl_za762lambda1875za7622536z00, BGl_z62lambda1875z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzast_varz00,
		BgL_bgl_za762lambda1376za7622537z00, BGl_z62lambda1376z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2538za7,
		BGl_z62zc3z04anonymousza32078ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzast_varz00,
		BgL_bgl_za762lambda1874za7622539z00, BGl_z62lambda1874z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2540za7,
		BGl_z62zc3z04anonymousza31390ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zzast_varz00,
		BgL_bgl_za762lambda2074za7622541z00, BGl_z62lambda2074z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2542za7,
		BGl_z62zc3z04anonymousza31885ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzast_varz00,
		BgL_bgl_za762lambda1389za7622543z00, BGl_z62lambda1389z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zzast_varz00,
		BgL_bgl_za762lambda2072za7622544z00, BGl_z62lambda2072z62zzast_varz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzast_varz00,
		BgL_bgl_za762lambda1884za7622545z00, BGl_z62lambda1884z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzast_varz00,
		BgL_bgl_za762lambda1388za7622546z00, BGl_z62lambda1388z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zzast_varz00,
		BgL_bgl_za762lambda2111za7622547z00, BGl_z62lambda2111z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2268z00zzast_varz00,
		BgL_bgl_za762lambda1883za7622548z00, BGl_z62lambda1883z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzast_varz00,
		BgL_bgl_za762lambda1395za7622549z00, BGl_z62lambda1395z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2550za7,
		BGl_z62zc3z04anonymousza31892ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzast_varz00,
		BgL_bgl_za762lambda1394za7622551z00, BGl_z62lambda1394z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzast_varz00,
		BgL_bgl_za762lambda1424za7622552z00, BGl_z62lambda1424z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2userzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762localza7d2userza72553za7,
		BGl_z62localzd2userzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2stackzd2allocatorzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2stackza72554za7,
		BGl_z62cfunzd2stackzd2allocatorzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2dssslzd2keywordszd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2dssslza72555za7,
		BGl_z62sfunzd2dssslzd2keywordsz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2strengthzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2streng2556z00, BGl_z62sfunzd2strengthzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzd2loczd2envz00zzast_varz00,
		BgL_bgl_za762svarza7d2locza7b02557za7, BGl_z62svarzd2loczb0zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2stackzd2allocatorzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2stackza72558za7,
		BGl_z62sfunzd2stackzd2allocatorzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2350z00zzast_varz00,
		BgL_bgl_za762lambda2110za7622559z00, BGl_z62lambda2110z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2351z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2560za7,
		BGl_z62zc3z04anonymousza32106ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzast_varz00,
		BgL_bgl_za762lambda1891za7622561z00, BGl_z62lambda1891z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2352z00zzast_varz00,
		BgL_bgl_za762lambda2104za7622562z00, BGl_z62lambda2104z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzast_varz00,
		BgL_bgl_za762lambda1890za7622563z00, BGl_z62lambda1890z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzast_varz00,
		BgL_bgl_za762lambda1423za7622564z00, BGl_z62lambda1423z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2353z00zzast_varz00,
		BgL_bgl_za762lambda2102za7622565z00, BGl_z62lambda2102z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2566za7,
		BGl_z62zc3z04anonymousza31903ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2567za7,
		BGl_z62zc3z04anonymousza31470ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zzast_varz00,
		BgL_bgl_za762lambda2126za7622568z00, BGl_z62lambda2126z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzast_varz00,
		BgL_bgl_za762lambda1902za7622569z00, BGl_z62lambda1902z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzast_varz00,
		BgL_bgl_za762lambda1469za7622570z00, BGl_z62lambda1469z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zzast_varz00,
		BgL_bgl_za762lambda2125za7622571z00, BGl_z62lambda2125z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzast_varz00,
		BgL_bgl_za762lambda1901za7622572z00, BGl_z62lambda1901z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzast_varz00,
		BgL_bgl_za762lambda1468za7622573z00, BGl_z62lambda1468z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2574za7,
		BGl_z62zc3z04anonymousza32134ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2575za7,
		BGl_z62zc3z04anonymousza31911ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2576za7,
		BGl_z62zc3z04anonymousza31509ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zzast_varz00,
		BgL_bgl_za762lambda2133za7622577z00, BGl_z62lambda2133z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2276z00zzast_varz00,
		BgL_bgl_za762lambda1910za7622578z00, BGl_z62lambda1910z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzast_varz00,
		BgL_bgl_za762lambda1508za7622579z00, BGl_z62lambda1508z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2typezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2ty2580z00,
		BGl_z62variablezd2typezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2358z00zzast_varz00,
		BgL_bgl_za762lambda2132za7622581z00, BGl_z62lambda2132z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzast_varz00,
		BgL_bgl_za762lambda1909za7622582z00, BGl_z62lambda1909z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzast_varz00,
		BgL_bgl_za762lambda1507za7622583z00, BGl_z62lambda1507z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2584za7,
		BGl_z62zc3z04anonymousza32121ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2585za7,
		BGl_z62zc3z04anonymousza31919ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2586za7,
		BGl_z62zc3z04anonymousza31525ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzast_varz00,
		BgL_bgl_za762lambda1918za7622587z00, BGl_z62lambda1918z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzast_varz00,
		BgL_bgl_za762lambda1524za7622588z00, BGl_z62lambda1524z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzast_varz00,
		BgL_bgl_za762lambda1523za7622589z00, BGl_z62lambda1523z62zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2typezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2typeza72590za7,
		BGl_z62localzd2typezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2valuezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2valu2591z00,
		BGl_z62globalzd2valuezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2pragmazd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2prag2592z00, BGl_z62globalzd2pragmazb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2valuezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2valu2593z00, BGl_z62globalzd2valuezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2globalzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2global2594z00, BGl_z62makezd2globalzb0zzast_varz00,
		0L, BUNSPEC, 20);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2keyzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2keyza72595za7,
		BGl_z62globalzd2keyzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2valuezd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2valueza72596za7, BGl_z62makezd2valuezb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2360z00zzast_varz00,
		BgL_bgl_za762lambda2119za7622597z00, BGl_z62lambda2119z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2361z00zzast_varz00,
		BgL_bgl_za762lambda2117za7622598z00, BGl_z62lambda2117z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzast_varz00,
		BgL_bgl_za762lambda1917za7622599z00, BGl_z62lambda1917z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2600za7,
		BGl_z62zc3z04anonymousza32151ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2281z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2601za7,
		BGl_z62zc3z04anonymousza31831ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzd2detachedzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762sexitza7d2detac2602z00,
		BGl_z62sexitzd2detachedzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2userzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762variableza7d2us2603z00,
		BGl_z62variablezd2userzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2363z00zzast_varz00,
		BgL_bgl_za762lambda2150za7622604z00, BGl_z62lambda2150z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2282z00zzast_varz00,
		BgL_bgl_za762lambda1822za7622605z00, BGl_z62lambda1822z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzf3zd2envz21zzast_varz00,
		BgL_bgl_za762sexitza7f3za791za7za72606za7, BGl_z62sexitzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2initzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2init2607z00,
		BGl_z62globalzd2initzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2364z00zzast_varz00,
		BgL_bgl_za762lambda2149za7622608z00, BGl_z62lambda2149z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2283z00zzast_varz00,
		BgL_bgl_za762lambda1820za7622609z00, BGl_z62lambda1820z62zzast_varz00, 0L,
		BUNSPEC, 10);
	      DEFINE_STRING(BGl_string2371z00zzast_varz00,
		BgL_bgl_string2371za700za7za7a2610za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2365z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2611za7,
		BGl_z62zc3z04anonymousza32159ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2284z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2612za7,
		BGl_z62zc3z04anonymousza31937ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2failsafezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762cfunza7d2failsa2613z00,
		BGl_z62cfunzd2failsafezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2372z00zzast_varz00,
		BgL_bgl_string2372za700za7za7a2614za7, "ast_var", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2366z00zzast_varz00,
		BgL_bgl_za762lambda2158za7622615z00, BGl_z62lambda2158z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2285z00zzast_varz00,
		BgL_bgl_za762lambda1936za7622616z00, BGl_z62lambda1936z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2373z00zzast_varz00,
		BgL_bgl_string2373za700za7za7a2617za7,
		"now \077\077? _ feffect write read sexit detached? handler cvar scnst node svar cfun pair-nil method infix? macro? args-type sfun stackable strength the-closure-global keys optionals loc dsssl-keywords class body args-name args property fun args-retescape args-noescape failsafe effect the-closure top? stack-allocator predicate-of side-effect arity local volatile val-noescape key global alias init bstring jvm-type-name src pragma library eval? evaluable? import module variable bool user? occurrencew long occurrence removable fast-alpha access type obj name symbol id ast_var value args-safe read-only ",
		600);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zzast_varz00,
		BgL_bgl_za762lambda2157za7622618z00, BGl_z62lambda2157z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2286z00zzast_varz00,
		BgL_bgl_za762lambda1935za7622619z00, BGl_z62lambda1935z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2620za7,
		BGl_z62zc3z04anonymousza32144ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2287z00zzast_varz00,
		BgL_bgl_za762lambda1942za7622621z00, BGl_z62lambda1942z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zzast_varz00,
		BgL_bgl_za762lambda2142za7622622z00, BGl_z62lambda2142z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2288z00zzast_varz00,
		BgL_bgl_za762lambda1941za7622623z00, BGl_z62lambda1941z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2289z00zzast_varz00,
		BgL_bgl_za762lambda1947za7622624z00, BGl_z62lambda1947z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762cvarza7d2nilza7b02625za7, BGl_z62cvarzd2nilzb0zzast_varz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2occurrencezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2oc2626z00,
		BGl_z62variablezd2occurrencezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2effectzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762funza7d2effectza72627za7,
		BGl_z62funzd2effectzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2modulezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2modu2628z00, BGl_z62globalzd2modulezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2370z00zzast_varz00,
		BgL_bgl_za762lambda2140za7622629z00, BGl_z62lambda2140z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2290z00zzast_varz00,
		BgL_bgl_za762lambda1946za7622630z00, BGl_z62lambda1946z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2291z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2631za7,
		BGl_z62zc3z04anonymousza31954ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2292z00zzast_varz00,
		BgL_bgl_za762lambda1953za7622632z00, BGl_z62lambda1953z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2293z00zzast_varz00,
		BgL_bgl_za762lambda1952za7622633z00, BGl_z62lambda1952z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2294z00zzast_varz00,
		BgL_bgl_za762lambda1959za7622634z00, BGl_z62lambda1959z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2295z00zzast_varz00,
		BgL_bgl_za762lambda1958za7622635z00, BGl_z62lambda1958z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2296z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2636za7,
		BGl_z62zc3z04anonymousza31966ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2297z00zzast_varz00,
		BgL_bgl_za762lambda1965za7622637z00, BGl_z62lambda1965z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2298z00zzast_varz00,
		BgL_bgl_za762lambda1964za7622638z00, BGl_z62lambda1964z62zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2occurrencewzd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2oc2639z00,
		BGl_z62variablezd2occurrencewzb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2299z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2640za7,
		BGl_z62zc3z04anonymousza31973ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2effectzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762cfunza7d2effect2641z00,
		BGl_z62cfunzd2effectzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2optionalszd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2option2642z00, BGl_z62sfunzd2optionalszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2argszd2namezd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2643za7,
		BGl_z62sfunzd2argszd2namez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2evalzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2eval2644z00, BGl_z62globalzd2evalzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2infixzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762cfunza7d2infixza72645za7,
		BGl_z62cfunzd2infixzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2stackzd2allocatorzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2stackza7d2646za7,
		BGl_z62funzd2stackzd2allocatorzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2funzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2funza7b02647za7, BGl_z62makezd2funzb0zzast_varz00, 0L,
		BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2valzd2noescapezd2envzd2zzast_varz00,
		BgL_bgl_za762localza7d2valza7d2648za7,
		BGl_z62localzd2valzd2noescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2nodezd2envz00zzast_varz00,
		BgL_bgl_za762scnstza7d2nodeza72649za7, BGl_z62scnstzd2nodezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_feffectzd2writezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762feffectza7d2wri2650z00,
		BGl_z62feffectzd2writezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2argszd2retescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2argsza7d22651za7,
		BGl_z62funzd2argszd2retescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2libraryzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2libr2652z00,
		BGl_z62globalzd2libraryzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valuezd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762valueza7d2nilza7b2653za7, BGl_z62valuezd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2fastzd2alphazd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762localza7d2fastza72654za7,
		BGl_z62localzd2fastzd2alphazd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2failsafezd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2failsa2655z00, BGl_z62cfunzd2failsafezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2occurrencewzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2occu2656z00,
		BGl_z62globalzd2occurrencewzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2occurrencezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2occur2657z00,
		BGl_z62localzd2occurrencezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2userzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2user2658z00, BGl_z62globalzd2userzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valuezf3zd2envz21zzast_varz00,
		BgL_bgl_za762valueza7f3za791za7za72659za7, BGl_z62valuezf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2typezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2type2660z00, BGl_z62globalzd2typezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2failsafezd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2failsa2661z00, BGl_z62sfunzd2failsafezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2predicatezd2ofzd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2predica2662z00,
		BGl_z62funzd2predicatezd2ofz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2loczd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762scnstza7d2locza7d2663za7,
		BGl_z62scnstzd2loczd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2fastzd2alphazd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762globalza7d2fast2664z00,
		BGl_z62globalzd2fastzd2alphazd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2typezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2typeza72665za7, BGl_z62localzd2typezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2occurrencezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2occu2666z00,
		BGl_z62globalzd2occurrencezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf3zd2envz21zzast_varz00,
		BgL_bgl_za762localza7f3za791za7za72667za7, BGl_z62localzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2nilza7b02668za7, BGl_z62sfunzd2nilzb0zzast_varz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2stackzd2allocatorzd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2stackza72669za7,
		BGl_z62sfunzd2stackzd2allocatorz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2fastzd2alphazd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762variableza7d2fa2670z00,
		BGl_z62variablezd2fastzd2alphazd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2userzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762localza7d2userza72671za7,
		BGl_z62localzd2userzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2occurrencezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2oc2672z00,
		BGl_z62variablezd2occurrencezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2bodyzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2bodyza7b2673za7, BGl_z62sfunzd2bodyzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2srczd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2srcza72674za7,
		BGl_z62globalzd2srczd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2occurrencezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2occur2675z00,
		BGl_z62localzd2occurrencezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2topzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762cfunza7d2topza7f32676za7,
		BGl_z62cfunzd2topzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2aliaszd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2alia2677z00, BGl_z62globalzd2aliaszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf3zd2envz21zzast_varz00,
		BgL_bgl_za762scnstza7f3za791za7za72678za7, BGl_z62scnstzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2pragmazd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2prag2679z00,
		BGl_z62globalzd2pragmazd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2argszd2noescapezd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2680za7,
		BGl_z62sfunzd2argszd2noescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2variablezd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2variab2681z00, BGl_z62makezd2variablezb0zzast_varz00,
		0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzd2handlerzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sexitza7d2handl2682z00,
		BGl_z62sexitzd2handlerzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2aliaszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2alia2683z00,
		BGl_z62globalzd2aliaszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2svarzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2svarza7b2684za7, BGl_z62makezd2svarzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2removablezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2remo2685z00,
		BGl_z62globalzd2removablezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2argszd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7b2686za7, BGl_z62sfunzd2argszb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2classzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2classza72687za7,
		BGl_z62sfunzd2classzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2stackzd2allocatorzd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2stackza7d2688za7,
		BGl_z62funzd2stackzd2allocatorz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2thezd2closurezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2theza7d2c2689za7,
		BGl_z62funzd2thezd2closurezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2removablezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2remo2690z00,
		BGl_z62globalzd2removablezb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2nilza72691za7, BGl_z62globalzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2accesszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2acces2692z00,
		BGl_z62localzd2accesszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2sidezd2effectzd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2sideza7d2693za7,
		BGl_z62sfunzd2sidezd2effectz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzf3zd2envz21zzast_varz00,
		BgL_bgl_za762funza7f3za791za7za7as2694za7, BGl_z62funzf3z91zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf3zd2envz21zzast_varz00,
		BgL_bgl_za762cfunza7f3za791za7za7a2695za7, BGl_z62cfunzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2predicatezd2ofzd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2predic2696z00,
		BGl_z62cfunzd2predicatezd2ofz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2accesszd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2acce2697z00, BGl_z62globalzd2accesszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2keyzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762sfunza7d2keyza7f32698za7, BGl_z62sfunzd2keyzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2sidezd2effectzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2sideza7d2699za7,
		BGl_z62cfunzd2sidezd2effectzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2fastzd2alphazd2envzd2zzast_varz00,
		BgL_bgl_za762variableza7d2fa2700z00,
		BGl_z62variablezd2fastzd2alphaz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2userzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762globalza7d2user2701z00,
		BGl_z62globalzd2userzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzf3zd2envz21zzast_varz00,
		BgL_bgl_za762sfunza7f3za791za7za7a2702za7, BGl_z62sfunzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2predicatezd2ofzd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2predic2703z00,
		BGl_z62sfunzd2predicatezd2ofz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2sidezd2effectzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2sideza7d2704za7,
		BGl_z62sfunzd2sidezd2effectzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2occurrencezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2occu2705z00,
		BGl_z62globalzd2occurrencezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2readzd2onlyzf3zd2envz21zzast_varz00,
		BgL_bgl_za762globalza7d2read2706z00,
		BGl_z62globalzd2readzd2onlyzf3z91zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2valzd2noescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762localza7d2valza7d2707za7,
		BGl_z62localzd2valzd2noescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2feffectzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2feffec2708z00, BGl_z62makezd2feffectzb0zzast_varz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2thezd2closurezd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2theza7d2c2709za7,
		BGl_z62funzd2thezd2closurez62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2predicatezd2ofzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2predica2710z00,
		BGl_z62funzd2predicatezd2ofzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2topzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762funza7d2topza7f3za72711z00, BGl_z62funzd2topzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2removablezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2re2712z00,
		BGl_z62variablezd2removablezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2dssslzd2keywordszd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2dssslza72713za7,
		BGl_z62sfunzd2dssslzd2keywordszd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2thezd2closurezd2globalzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2theza7d22714za7,
		BGl_z62sfunzd2thezd2closurezd2globalzb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2removablezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2remov2715z00,
		BGl_z62localzd2removablezb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cfunzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2cfunza7b2716za7, BGl_z62makezd2cfunzb0zzast_varz00,
		0L, BUNSPEC, 14);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2arityzd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2arityza72717za7, BGl_z62cfunzd2arityzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2topzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762funza7d2topza7f3za72718z00,
		BGl_z62funzd2topzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2thezd2closurezd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2theza7d22719za7,
		BGl_z62cfunzd2thezd2closurez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2effectzd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2effect2720z00, BGl_z62cfunzd2effectzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2macrozf3zd2envzf3zzast_varz00,
		BgL_bgl_za762cfunza7d2macroza72721za7,
		BGl_z62cfunzd2macrozf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2failsafezd2envz00zzast_varz00,
		BgL_bgl_za762funza7d2failsaf2722z00, BGl_z62funzd2failsafezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2libraryzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2libr2723z00, BGl_z62globalzd2libraryzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2effectzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2effect2724z00, BGl_z62sfunzd2effectzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2occurrencewzd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2occur2725z00,
		BGl_z62localzd2occurrencewzb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762funza7d2nilza7b0za72726z00, BGl_z62funzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2accesszd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2ac2727z00,
		BGl_z62variablezd2accesszb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2removablezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2remov2728z00,
		BGl_z62localzd2removablezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf3zd2envz21zzast_varz00,
		BgL_bgl_za762globalza7f3za791za72729z00, BGl_z62globalzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2ni2730z00, BGl_z62variablezd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sexitzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2sexitza72731za7, BGl_z62makezd2sexitzb0zzast_varz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2argszd2retescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2732za7,
		BGl_z62sfunzd2argszd2retescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2propertyzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2proper2733z00,
		BGl_z62sfunzd2propertyzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2idzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2idza7b2734za7, BGl_z62globalzd2idzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectzf3zd2envz21zzast_varz00,
		BgL_bgl_za762feffectza7f3za7912735za7, BGl_z62feffectzf3z91zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2initzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2init2736z00, BGl_z62globalzd2initzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2importzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2impo2737z00,
		BGl_z62globalzd2importzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2predicatezd2ofzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2predic2738z00,
		BGl_z62sfunzd2predicatezd2ofzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2fastzd2alphazd2envzd2zzast_varz00,
		BgL_bgl_za762localza7d2fastza72739za7,
		BGl_z62localzd2fastzd2alphaz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2namezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2name2740z00,
		BGl_z62globalzd2namezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2modulezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2modu2741z00,
		BGl_z62globalzd2modulezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2argszd2retescapezd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2argsza7d22742za7,
		BGl_z62funzd2argszd2retescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2propertyzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2proper2743z00, BGl_z62sfunzd2propertyzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2argszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2744za7,
		BGl_z62sfunzd2argszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2valuezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2va2745z00, BGl_z62variablezd2valuezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2nilza7b2746za7, BGl_z62localzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2argszd2noescapezd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2argsza7d22747za7,
		BGl_z62funzd2argszd2noescapez62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2loczd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2locza7d22748za7,
		BGl_z62sfunzd2loczd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762feffectza7d2nil2749z00, BGl_z62feffectzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2srczd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2srcza72750za7, BGl_z62globalzd2srczb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2strengthzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2streng2751z00,
		BGl_z62sfunzd2strengthzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762scnstza7d2nilza7b2752za7, BGl_z62scnstzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762sexitza7d2nilza7b2753za7, BGl_z62sexitzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzd2detachedzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762sexitza7d2detac2754z00,
		BGl_z62sexitzd2detachedzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2optionalzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762sfunza7d2option2755z00,
		BGl_z62sfunzd2optionalzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2namezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2na2756z00,
		BGl_z62variablezd2namezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2namezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2nameza72757za7,
		BGl_z62localzd2namezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2failsafezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2failsa2758z00,
		BGl_z62sfunzd2failsafezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2fastzd2alphazd2envzd2zzast_varz00,
		BgL_bgl_za762globalza7d2fast2759z00,
		BGl_z62globalzd2fastzd2alphaz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2optionalzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2opti2760z00,
		BGl_z62globalzd2optionalzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2jvmzd2typezd2namezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2jvmza72761za7,
		BGl_z62globalzd2jvmzd2typezd2namezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2accesszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2acce2762z00,
		BGl_z62globalzd2accesszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762svarza7d2nilza7b02763za7, BGl_z62svarzd2nilzb0zzast_varz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2bodyzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2bodyza7d2764za7,
		BGl_z62sfunzd2bodyzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2jvmzd2typezd2namezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2jvmza72765za7,
		BGl_z62globalzd2jvmzd2typezd2namezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezf3zd2envz21zzast_varz00,
		BgL_bgl_za762variableza7f3za792766za7, BGl_z62variablezf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2effectzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2effect2767z00,
		BGl_z62sfunzd2effectzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2userzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762variableza7d2us2768z00,
		BGl_z62variablezd2userzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2loczd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2locza7b02769za7, BGl_z62sfunzd2loczb0zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2removablezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2re2770z00,
		BGl_z62variablezd2removablezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectzd2writezd2envz00zzast_varz00,
		BgL_bgl_za762feffectza7d2wri2771z00, BGl_z62feffectzd2writezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2stackablezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2stacka2772z00,
		BGl_z62sfunzd2stackablezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2namezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2na2773z00, BGl_z62variablezd2namezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2localzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2localza72774za7, BGl_z62makezd2localzb0zzast_varz00,
		0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2argszd2noescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2775za7,
		BGl_z62cfunzd2argszd2noescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2classzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2classza72776za7, BGl_z62sfunzd2classzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2evalzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762globalza7d2eval2777z00,
		BGl_z62globalzd2evalzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzf3zd2envz21zzast_varz00,
		BgL_bgl_za762cvarza7f3za791za7za7a2778za7, BGl_z62cvarzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2argszd2noescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2779za7,
		BGl_z62sfunzd2argszd2noescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2scnstzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2scnstza72780za7, BGl_z62makezd2scnstzb0zzast_varz00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf3zd2envz21zzast_varz00,
		BgL_bgl_za762svarza7f3za791za7za7a2781za7, BGl_z62svarzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2nilza7b02782za7, BGl_z62cfunzd2nilzb0zzast_varz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2stackzd2allocatorzd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2stackza72783za7,
		BGl_z62cfunzd2stackzd2allocatorz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2occurrencewzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2occu2784z00,
		BGl_z62globalzd2occurrencewzb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzd2handlerzd2envz00zzast_varz00,
		BgL_bgl_za762sexitza7d2handl2785z00, BGl_z62sexitzd2handlerzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2argszd2noescapezd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2786za7,
		BGl_z62cfunzd2argszd2noescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2topzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762cfunza7d2topza7f32787za7, BGl_z62cfunzd2topzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2methodzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762cfunza7d2method2788z00,
		BGl_z62cfunzd2methodzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2topzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762sfunza7d2topza7f32789za7,
		BGl_z62sfunzd2topzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2sidezd2effectzd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2sideza7d22790za7,
		BGl_z62funzd2sidezd2effectz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cvarzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2cvarza7b2791za7, BGl_z62makezd2cvarzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2topzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762sfunza7d2topza7f32792za7, BGl_z62sfunzd2topzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectzd2readzd2envz00zzast_varz00,
		BgL_bgl_za762feffectza7d2rea2793z00, BGl_z62feffectzd2readzb0zzast_varz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_varz00));
		     ADD_ROOT((void *) (&BGl_funz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_sfunz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_sexitz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_svarz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_cfunz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_localz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_feffectz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_scnstz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_valuez00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_variablez00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_globalz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_cvarz00zzast_varz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long
		BgL_checksumz00_4136, char *BgL_fromz00_4137)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_varz00))
				{
					BGl_requirezd2initializa7ationz75zzast_varz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_varz00();
					BGl_libraryzd2moduleszd2initz00zzast_varz00();
					BGl_cnstzd2initzd2zzast_varz00();
					BGl_importedzd2moduleszd2initz00zzast_varz00();
					BGl_objectzd2initzd2zzast_varz00();
					return BGl_methodzd2initzd2zzast_varz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_var");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_var");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			{	/* Ast/var.scm 14 */
				obj_t BgL_cportz00_3689;

				{	/* Ast/var.scm 14 */
					obj_t BgL_stringz00_3696;

					BgL_stringz00_3696 = BGl_string2373z00zzast_varz00;
					{	/* Ast/var.scm 14 */
						obj_t BgL_startz00_3697;

						BgL_startz00_3697 = BINT(((long) 0));
						{	/* Ast/var.scm 14 */
							obj_t BgL_endz00_3698;

							BgL_endz00_3698 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3696)));
							{	/* Ast/var.scm 14 */

								BgL_cportz00_3689 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3696, BgL_startz00_3697, BgL_endz00_3698);
				}}}}
				{
					long BgL_iz00_3690;

					BgL_iz00_3690 = ((long) 76);
				BgL_loopz00_3691:
					if ((BgL_iz00_3690 == ((long) -1)))
						{	/* Ast/var.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/var.scm 14 */
							{	/* Ast/var.scm 14 */
								obj_t BgL_arg2374z00_3692;

								{	/* Ast/var.scm 14 */

									{	/* Ast/var.scm 14 */
										obj_t BgL_locationz00_3694;

										BgL_locationz00_3694 = BBOOL(((bool_t) 0));
										{	/* Ast/var.scm 14 */

											BgL_arg2374z00_3692 =
												BGl_readz00zz__readerz00(BgL_cportz00_3689,
												BgL_locationz00_3694);
										}
									}
								}
								{	/* Ast/var.scm 14 */
									int BgL_tmpz00_4164;

									BgL_tmpz00_4164 = (int) (BgL_iz00_3690);
									CNST_TABLE_SET(BgL_tmpz00_4164, BgL_arg2374z00_3692);
							}}
							{	/* Ast/var.scm 14 */
								int BgL_auxz00_3695;

								BgL_auxz00_3695 = (int) ((BgL_iz00_3690 - ((long) 1)));
								{
									long BgL_iz00_4169;

									BgL_iz00_4169 = (long) (BgL_auxz00_3695);
									BgL_iz00_3690 = BgL_iz00_4169;
									goto BgL_loopz00_3691;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* make-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt BGl_makezd2valuezd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 278 */
			{	/* Ast/var.sch 278 */
				BgL_valuez00_bglt BgL_new1187z00_3700;

				{	/* Ast/var.sch 278 */
					BgL_valuez00_bglt BgL_new1186z00_3701;

					BgL_new1186z00_3701 =
						((BgL_valuez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_valuez00_bgl))));
					{	/* Ast/var.sch 278 */
						long BgL_arg1283z00_3702;

						BgL_arg1283z00_3702 = BGL_CLASS_NUM(BGl_valuez00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1186z00_3701), BgL_arg1283z00_3702);
					}
					BgL_new1187z00_3700 = BgL_new1186z00_3701;
				}
				return BgL_new1187z00_3700;
			}
		}

	}



/* &make-value */
	BgL_valuez00_bglt BGl_z62makezd2valuezb0zzast_varz00(obj_t BgL_envz00_2417)
	{
		{	/* Ast/var.sch 278 */
			return BGl_makezd2valuezd2zzast_varz00();
		}

	}



/* value? */
	BGL_EXPORTED_DEF bool_t BGl_valuezf3zf3zzast_varz00(obj_t BgL_objz00_3)
	{
		{	/* Ast/var.sch 279 */
			{	/* Ast/var.sch 279 */
				obj_t BgL_classz00_3703;

				BgL_classz00_3703 = BGl_valuez00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_3))
					{	/* Ast/var.sch 279 */
						BgL_objectz00_bglt BgL_arg1820z00_3704;

						BgL_arg1820z00_3704 = (BgL_objectz00_bglt) (BgL_objz00_3);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 279 */
								long BgL_idxz00_3705;

								BgL_idxz00_3705 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3704);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3705 + ((long) 1))) == BgL_classz00_3703);
							}
						else
							{	/* Ast/var.sch 279 */
								bool_t BgL_res2161z00_3708;

								{	/* Ast/var.sch 279 */
									obj_t BgL_oclassz00_3709;

									{	/* Ast/var.sch 279 */
										long BgL_arg1828z00_3710;

										{	/* Ast/var.sch 279 */
											long BgL_arg1829z00_3711;

											BgL_arg1829z00_3711 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3704);
											BgL_arg1828z00_3710 = (BgL_arg1829z00_3711 - OBJECT_TYPE);
										}
										BgL_oclassz00_3709 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3710);
									}
									{	/* Ast/var.sch 279 */
										bool_t BgL__ortest_1111z00_3712;

										BgL__ortest_1111z00_3712 =
											(BgL_classz00_3703 == BgL_oclassz00_3709);
										if (BgL__ortest_1111z00_3712)
											{	/* Ast/var.sch 279 */
												BgL_res2161z00_3708 = BgL__ortest_1111z00_3712;
											}
										else
											{	/* Ast/var.sch 279 */
												long BgL_odepthz00_3713;

												BgL_odepthz00_3713 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3709);
												if ((((long) 1) < BgL_odepthz00_3713))
													{	/* Ast/var.sch 279 */
														obj_t BgL_arg1816z00_3714;

														BgL_arg1816z00_3714 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3709,
															((long) 1));
														BgL_res2161z00_3708 =
															(BgL_arg1816z00_3714 == BgL_classz00_3703);
													}
												else
													{	/* Ast/var.sch 279 */
														BgL_res2161z00_3708 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2161z00_3708;
							}
					}
				else
					{	/* Ast/var.sch 279 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &value? */
	obj_t BGl_z62valuezf3z91zzast_varz00(obj_t BgL_envz00_2418,
		obj_t BgL_objz00_2419)
	{
		{	/* Ast/var.sch 279 */
			return BBOOL(BGl_valuezf3zf3zzast_varz00(BgL_objz00_2419));
		}

	}



/* value-nil */
	BGL_EXPORTED_DEF BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 280 */
			{	/* Ast/var.sch 280 */
				obj_t BgL_classz00_1610;

				BgL_classz00_1610 = BGl_valuez00zzast_varz00;
				{	/* Ast/var.sch 280 */
					obj_t BgL__ortest_1113z00_1611;

					BgL__ortest_1113z00_1611 = BGL_CLASS_NIL(BgL_classz00_1610);
					if (CBOOL(BgL__ortest_1113z00_1611))
						{	/* Ast/var.sch 280 */
							return ((BgL_valuez00_bglt) BgL__ortest_1113z00_1611);
						}
					else
						{	/* Ast/var.sch 280 */
							return
								((BgL_valuez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1610));
						}
				}
			}
		}

	}



/* &value-nil */
	BgL_valuez00_bglt BGl_z62valuezd2nilzb0zzast_varz00(obj_t BgL_envz00_2420)
	{
		{	/* Ast/var.sch 280 */
			return BGl_valuezd2nilzd2zzast_varz00();
		}

	}



/* make-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt BGl_makezd2variablezd2zzast_varz00(obj_t
		BgL_id1282z00_4, obj_t BgL_name1283z00_5,
		BgL_typez00_bglt BgL_type1284z00_6, BgL_valuez00_bglt BgL_value1285z00_7,
		obj_t BgL_access1286z00_8, obj_t BgL_fastzd2alpha1287zd2_9,
		obj_t BgL_removable1288z00_10, long BgL_occurrence1289z00_11,
		long BgL_occurrencew1290z00_12, bool_t BgL_userzf31291zf3_13)
	{
		{	/* Ast/var.sch 283 */
			{	/* Ast/var.sch 283 */
				BgL_variablez00_bglt BgL_new1189z00_3715;

				{	/* Ast/var.sch 283 */
					BgL_variablez00_bglt BgL_new1188z00_3716;

					BgL_new1188z00_3716 =
						((BgL_variablez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_variablez00_bgl))));
					{	/* Ast/var.sch 283 */
						long BgL_arg1286z00_3717;

						BgL_arg1286z00_3717 = BGL_CLASS_NUM(BGl_variablez00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1188z00_3716), BgL_arg1286z00_3717);
					}
					BgL_new1189z00_3715 = BgL_new1188z00_3716;
				}
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3715))->BgL_idz00) =
					((obj_t) BgL_id1282z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3715))->BgL_namez00) =
					((obj_t) BgL_name1283z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3715))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1284z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3715))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1285z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3715))->
						BgL_accessz00) = ((obj_t) BgL_access1286z00_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3715))->
						BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1287zd2_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3715))->
						BgL_removablez00) = ((obj_t) BgL_removable1288z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3715))->
						BgL_occurrencez00) = ((long) BgL_occurrence1289z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3715))->
						BgL_occurrencewz00) = ((long) BgL_occurrencew1290z00_12), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3715))->
						BgL_userzf3zf3) = ((bool_t) BgL_userzf31291zf3_13), BUNSPEC);
				return BgL_new1189z00_3715;
			}
		}

	}



/* &make-variable */
	BgL_variablez00_bglt BGl_z62makezd2variablezb0zzast_varz00(obj_t
		BgL_envz00_2421, obj_t BgL_id1282z00_2422, obj_t BgL_name1283z00_2423,
		obj_t BgL_type1284z00_2424, obj_t BgL_value1285z00_2425,
		obj_t BgL_access1286z00_2426, obj_t BgL_fastzd2alpha1287zd2_2427,
		obj_t BgL_removable1288z00_2428, obj_t BgL_occurrence1289z00_2429,
		obj_t BgL_occurrencew1290z00_2430, obj_t BgL_userzf31291zf3_2431)
	{
		{	/* Ast/var.sch 283 */
			return
				BGl_makezd2variablezd2zzast_varz00(BgL_id1282z00_2422,
				BgL_name1283z00_2423, ((BgL_typez00_bglt) BgL_type1284z00_2424),
				((BgL_valuez00_bglt) BgL_value1285z00_2425), BgL_access1286z00_2426,
				BgL_fastzd2alpha1287zd2_2427, BgL_removable1288z00_2428,
				(long) CINT(BgL_occurrence1289z00_2429),
				(long) CINT(BgL_occurrencew1290z00_2430),
				CBOOL(BgL_userzf31291zf3_2431));
		}

	}



/* variable? */
	BGL_EXPORTED_DEF bool_t BGl_variablezf3zf3zzast_varz00(obj_t BgL_objz00_14)
	{
		{	/* Ast/var.sch 284 */
			{	/* Ast/var.sch 284 */
				obj_t BgL_classz00_3718;

				BgL_classz00_3718 = BGl_variablez00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_14))
					{	/* Ast/var.sch 284 */
						BgL_objectz00_bglt BgL_arg1820z00_3719;

						BgL_arg1820z00_3719 = (BgL_objectz00_bglt) (BgL_objz00_14);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 284 */
								long BgL_idxz00_3720;

								BgL_idxz00_3720 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3719);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3720 + ((long) 1))) == BgL_classz00_3718);
							}
						else
							{	/* Ast/var.sch 284 */
								bool_t BgL_res2162z00_3723;

								{	/* Ast/var.sch 284 */
									obj_t BgL_oclassz00_3724;

									{	/* Ast/var.sch 284 */
										long BgL_arg1828z00_3725;

										{	/* Ast/var.sch 284 */
											long BgL_arg1829z00_3726;

											BgL_arg1829z00_3726 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3719);
											BgL_arg1828z00_3725 = (BgL_arg1829z00_3726 - OBJECT_TYPE);
										}
										BgL_oclassz00_3724 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3725);
									}
									{	/* Ast/var.sch 284 */
										bool_t BgL__ortest_1111z00_3727;

										BgL__ortest_1111z00_3727 =
											(BgL_classz00_3718 == BgL_oclassz00_3724);
										if (BgL__ortest_1111z00_3727)
											{	/* Ast/var.sch 284 */
												BgL_res2162z00_3723 = BgL__ortest_1111z00_3727;
											}
										else
											{	/* Ast/var.sch 284 */
												long BgL_odepthz00_3728;

												BgL_odepthz00_3728 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3724);
												if ((((long) 1) < BgL_odepthz00_3728))
													{	/* Ast/var.sch 284 */
														obj_t BgL_arg1816z00_3729;

														BgL_arg1816z00_3729 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3724,
															((long) 1));
														BgL_res2162z00_3723 =
															(BgL_arg1816z00_3729 == BgL_classz00_3718);
													}
												else
													{	/* Ast/var.sch 284 */
														BgL_res2162z00_3723 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2162z00_3723;
							}
					}
				else
					{	/* Ast/var.sch 284 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &variable? */
	obj_t BGl_z62variablezf3z91zzast_varz00(obj_t BgL_envz00_2432,
		obj_t BgL_objz00_2433)
	{
		{	/* Ast/var.sch 284 */
			return BBOOL(BGl_variablezf3zf3zzast_varz00(BgL_objz00_2433));
		}

	}



/* variable-nil */
	BGL_EXPORTED_DEF BgL_variablez00_bglt BGl_variablezd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 285 */
			{	/* Ast/var.sch 285 */
				obj_t BgL_classz00_1649;

				BgL_classz00_1649 = BGl_variablez00zzast_varz00;
				{	/* Ast/var.sch 285 */
					obj_t BgL__ortest_1113z00_1650;

					BgL__ortest_1113z00_1650 = BGL_CLASS_NIL(BgL_classz00_1649);
					if (CBOOL(BgL__ortest_1113z00_1650))
						{	/* Ast/var.sch 285 */
							return ((BgL_variablez00_bglt) BgL__ortest_1113z00_1650);
						}
					else
						{	/* Ast/var.sch 285 */
							return
								((BgL_variablez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1649));
						}
				}
			}
		}

	}



/* &variable-nil */
	BgL_variablez00_bglt BGl_z62variablezd2nilzb0zzast_varz00(obj_t
		BgL_envz00_2434)
	{
		{	/* Ast/var.sch 285 */
			return BGl_variablezd2nilzd2zzast_varz00();
		}

	}



/* variable-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_variablezd2userzf3z21zzast_varz00(BgL_variablez00_bglt BgL_oz00_15)
	{
		{	/* Ast/var.sch 286 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_15))->BgL_userzf3zf3);
		}

	}



/* &variable-user? */
	obj_t BGl_z62variablezd2userzf3z43zzast_varz00(obj_t BgL_envz00_2435,
		obj_t BgL_oz00_2436)
	{
		{	/* Ast/var.sch 286 */
			return
				BBOOL(BGl_variablezd2userzf3z21zzast_varz00(
					((BgL_variablez00_bglt) BgL_oz00_2436)));
		}

	}



/* variable-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2userzf3zd2setz12ze1zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_16, bool_t BgL_vz00_17)
	{
		{	/* Ast/var.sch 287 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_16))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_17), BUNSPEC);
		}

	}



/* &variable-user?-set! */
	obj_t BGl_z62variablezd2userzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2437,
		obj_t BgL_oz00_2438, obj_t BgL_vz00_2439)
	{
		{	/* Ast/var.sch 287 */
			return
				BGl_variablezd2userzf3zd2setz12ze1zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2438), CBOOL(BgL_vz00_2439));
		}

	}



/* variable-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_variablezd2occurrencewzd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_18)
	{
		{	/* Ast/var.sch 288 */
			return
				(((BgL_variablez00_bglt) COBJECT(BgL_oz00_18))->BgL_occurrencewz00);
		}

	}



/* &variable-occurrencew */
	obj_t BGl_z62variablezd2occurrencewzb0zzast_varz00(obj_t BgL_envz00_2440,
		obj_t BgL_oz00_2441)
	{
		{	/* Ast/var.sch 288 */
			return
				BINT(BGl_variablezd2occurrencewzd2zzast_varz00(
					((BgL_variablez00_bglt) BgL_oz00_2441)));
		}

	}



/* variable-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2occurrencewzd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_19, long BgL_vz00_20)
	{
		{	/* Ast/var.sch 289 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_19))->BgL_occurrencewz00) =
				((long) BgL_vz00_20), BUNSPEC);
		}

	}



/* &variable-occurrencew-set! */
	obj_t BGl_z62variablezd2occurrencewzd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2442, obj_t BgL_oz00_2443, obj_t BgL_vz00_2444)
	{
		{	/* Ast/var.sch 289 */
			return
				BGl_variablezd2occurrencewzd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2443), (long) CINT(BgL_vz00_2444));
		}

	}



/* variable-occurrence */
	BGL_EXPORTED_DEF long
		BGl_variablezd2occurrencezd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_21)
	{
		{	/* Ast/var.sch 290 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_21))->BgL_occurrencez00);
		}

	}



/* &variable-occurrence */
	obj_t BGl_z62variablezd2occurrencezb0zzast_varz00(obj_t BgL_envz00_2445,
		obj_t BgL_oz00_2446)
	{
		{	/* Ast/var.sch 290 */
			return
				BINT(BGl_variablezd2occurrencezd2zzast_varz00(
					((BgL_variablez00_bglt) BgL_oz00_2446)));
		}

	}



/* variable-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2occurrencezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_22, long BgL_vz00_23)
	{
		{	/* Ast/var.sch 291 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_22))->BgL_occurrencez00) =
				((long) BgL_vz00_23), BUNSPEC);
		}

	}



/* &variable-occurrence-set! */
	obj_t BGl_z62variablezd2occurrencezd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2447, obj_t BgL_oz00_2448, obj_t BgL_vz00_2449)
	{
		{	/* Ast/var.sch 291 */
			return
				BGl_variablezd2occurrencezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2448), (long) CINT(BgL_vz00_2449));
		}

	}



/* variable-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2removablezd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_24)
	{
		{	/* Ast/var.sch 292 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_24))->BgL_removablez00);
		}

	}



/* &variable-removable */
	obj_t BGl_z62variablezd2removablezb0zzast_varz00(obj_t BgL_envz00_2450,
		obj_t BgL_oz00_2451)
	{
		{	/* Ast/var.sch 292 */
			return
				BGl_variablezd2removablezd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2451));
		}

	}



/* variable-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2removablezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_25, obj_t BgL_vz00_26)
	{
		{	/* Ast/var.sch 293 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_25))->BgL_removablez00) =
				((obj_t) BgL_vz00_26), BUNSPEC);
		}

	}



/* &variable-removable-set! */
	obj_t BGl_z62variablezd2removablezd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2452, obj_t BgL_oz00_2453, obj_t BgL_vz00_2454)
	{
		{	/* Ast/var.sch 293 */
			return
				BGl_variablezd2removablezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2453), BgL_vz00_2454);
		}

	}



/* variable-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2fastzd2alphaz00zzast_varz00(BgL_variablez00_bglt BgL_oz00_27)
	{
		{	/* Ast/var.sch 294 */
			return
				(((BgL_variablez00_bglt) COBJECT(BgL_oz00_27))->BgL_fastzd2alphazd2);
		}

	}



/* &variable-fast-alpha */
	obj_t BGl_z62variablezd2fastzd2alphaz62zzast_varz00(obj_t BgL_envz00_2455,
		obj_t BgL_oz00_2456)
	{
		{	/* Ast/var.sch 294 */
			return
				BGl_variablezd2fastzd2alphaz00zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2456));
		}

	}



/* variable-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_28, obj_t BgL_vz00_29)
	{
		{	/* Ast/var.sch 295 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_28))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_29), BUNSPEC);
		}

	}



/* &variable-fast-alpha-set! */
	obj_t BGl_z62variablezd2fastzd2alphazd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2457, obj_t BgL_oz00_2458, obj_t BgL_vz00_2459)
	{
		{	/* Ast/var.sch 295 */
			return
				BGl_variablezd2fastzd2alphazd2setz12zc0zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2458), BgL_vz00_2459);
		}

	}



/* variable-access */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2accesszd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_30)
	{
		{	/* Ast/var.sch 296 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_30))->BgL_accessz00);
		}

	}



/* &variable-access */
	obj_t BGl_z62variablezd2accesszb0zzast_varz00(obj_t BgL_envz00_2460,
		obj_t BgL_oz00_2461)
	{
		{	/* Ast/var.sch 296 */
			return
				BGl_variablezd2accesszd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2461));
		}

	}



/* variable-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2accesszd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_31, obj_t BgL_vz00_32)
	{
		{	/* Ast/var.sch 297 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_31))->BgL_accessz00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}

	}



/* &variable-access-set! */
	obj_t BGl_z62variablezd2accesszd2setz12z70zzast_varz00(obj_t BgL_envz00_2462,
		obj_t BgL_oz00_2463, obj_t BgL_vz00_2464)
	{
		{	/* Ast/var.sch 297 */
			return
				BGl_variablezd2accesszd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2463), BgL_vz00_2464);
		}

	}



/* variable-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_variablezd2valuezd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_33)
	{
		{	/* Ast/var.sch 298 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_33))->BgL_valuez00);
		}

	}



/* &variable-value */
	BgL_valuez00_bglt BGl_z62variablezd2valuezb0zzast_varz00(obj_t
		BgL_envz00_2465, obj_t BgL_oz00_2466)
	{
		{	/* Ast/var.sch 298 */
			return
				BGl_variablezd2valuezd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2466));
		}

	}



/* variable-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2valuezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_34, BgL_valuez00_bglt BgL_vz00_35)
	{
		{	/* Ast/var.sch 299 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_34))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_35), BUNSPEC);
		}

	}



/* &variable-value-set! */
	obj_t BGl_z62variablezd2valuezd2setz12z70zzast_varz00(obj_t BgL_envz00_2467,
		obj_t BgL_oz00_2468, obj_t BgL_vz00_2469)
	{
		{	/* Ast/var.sch 299 */
			return
				BGl_variablezd2valuezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2468),
				((BgL_valuez00_bglt) BgL_vz00_2469));
		}

	}



/* variable-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_variablezd2typezd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_36)
	{
		{	/* Ast/var.sch 300 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_36))->BgL_typez00);
		}

	}



/* &variable-type */
	BgL_typez00_bglt BGl_z62variablezd2typezb0zzast_varz00(obj_t BgL_envz00_2470,
		obj_t BgL_oz00_2471)
	{
		{	/* Ast/var.sch 300 */
			return
				BGl_variablezd2typezd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2471));
		}

	}



/* variable-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2typezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_37, BgL_typez00_bglt BgL_vz00_38)
	{
		{	/* Ast/var.sch 301 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_37))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_38), BUNSPEC);
		}

	}



/* &variable-type-set! */
	obj_t BGl_z62variablezd2typezd2setz12z70zzast_varz00(obj_t BgL_envz00_2472,
		obj_t BgL_oz00_2473, obj_t BgL_vz00_2474)
	{
		{	/* Ast/var.sch 301 */
			return
				BGl_variablezd2typezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2473),
				((BgL_typez00_bglt) BgL_vz00_2474));
		}

	}



/* variable-name */
	BGL_EXPORTED_DEF obj_t BGl_variablezd2namezd2zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_39)
	{
		{	/* Ast/var.sch 302 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_39))->BgL_namez00);
		}

	}



/* &variable-name */
	obj_t BGl_z62variablezd2namezb0zzast_varz00(obj_t BgL_envz00_2475,
		obj_t BgL_oz00_2476)
	{
		{	/* Ast/var.sch 302 */
			return
				BGl_variablezd2namezd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2476));
		}

	}



/* variable-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2namezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_40, obj_t BgL_vz00_41)
	{
		{	/* Ast/var.sch 303 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_40))->BgL_namez00) =
				((obj_t) BgL_vz00_41), BUNSPEC);
		}

	}



/* &variable-name-set! */
	obj_t BGl_z62variablezd2namezd2setz12z70zzast_varz00(obj_t BgL_envz00_2477,
		obj_t BgL_oz00_2478, obj_t BgL_vz00_2479)
	{
		{	/* Ast/var.sch 303 */
			return
				BGl_variablezd2namezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2478), BgL_vz00_2479);
		}

	}



/* variable-id */
	BGL_EXPORTED_DEF obj_t BGl_variablezd2idzd2zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_42)
	{
		{	/* Ast/var.sch 304 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_42))->BgL_idz00);
		}

	}



/* &variable-id */
	obj_t BGl_z62variablezd2idzb0zzast_varz00(obj_t BgL_envz00_2480,
		obj_t BgL_oz00_2481)
	{
		{	/* Ast/var.sch 304 */
			return
				BGl_variablezd2idzd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2481));
		}

	}



/* make-global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t
		BgL_id1261z00_45, obj_t BgL_name1262z00_46,
		BgL_typez00_bglt BgL_type1263z00_47, BgL_valuez00_bglt BgL_value1264z00_48,
		obj_t BgL_access1265z00_49, obj_t BgL_fastzd2alpha1266zd2_50,
		obj_t BgL_removable1267z00_51, long BgL_occurrence1268z00_52,
		long BgL_occurrencew1269z00_53, bool_t BgL_userzf31270zf3_54,
		obj_t BgL_module1271z00_55, obj_t BgL_import1272z00_56,
		bool_t BgL_evaluablezf31273zf3_57, bool_t BgL_evalzf31274zf3_58,
		obj_t BgL_library1275z00_59, obj_t BgL_pragma1276z00_60,
		obj_t BgL_src1277z00_61, obj_t BgL_jvmzd2typezd2name1278z00_62,
		obj_t BgL_init1279z00_63, obj_t BgL_alias1280z00_64)
	{
		{	/* Ast/var.sch 308 */
			{	/* Ast/var.sch 308 */
				BgL_globalz00_bglt BgL_new1191z00_3730;

				{	/* Ast/var.sch 308 */
					BgL_globalz00_bglt BgL_new1190z00_3731;

					BgL_new1190z00_3731 =
						((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_globalz00_bgl))));
					{	/* Ast/var.sch 308 */
						long BgL_arg1287z00_3732;

						BgL_arg1287z00_3732 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1190z00_3731), BgL_arg1287z00_3732);
					}
					{	/* Ast/var.sch 308 */
						BgL_objectz00_bglt BgL_tmpz00_4322;

						BgL_tmpz00_4322 = ((BgL_objectz00_bglt) BgL_new1190z00_3731);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4322, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1190z00_3731);
					BgL_new1191z00_3730 = BgL_new1190z00_3731;
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1191z00_3730)))->BgL_idz00) =
					((obj_t) BgL_id1261z00_45), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1191z00_3730)))->BgL_namez00) =
					((obj_t) BgL_name1262z00_46), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1191z00_3730)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1263z00_47), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1191z00_3730)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1264z00_48), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1191z00_3730)))->BgL_accessz00) =
					((obj_t) BgL_access1265z00_49), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1191z00_3730)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1266zd2_50), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1191z00_3730)))->BgL_removablez00) =
					((obj_t) BgL_removable1267z00_51), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1191z00_3730)))->BgL_occurrencez00) =
					((long) BgL_occurrence1268z00_52), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1191z00_3730)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1269z00_53), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1191z00_3730)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31270zf3_54), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1191z00_3730))->BgL_modulez00) =
					((obj_t) BgL_module1271z00_55), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1191z00_3730))->BgL_importz00) =
					((obj_t) BgL_import1272z00_56), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1191z00_3730))->
						BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31273zf3_57), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1191z00_3730))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31274zf3_58), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1191z00_3730))->BgL_libraryz00) =
					((obj_t) BgL_library1275z00_59), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1191z00_3730))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1276z00_60), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1191z00_3730))->BgL_srcz00) =
					((obj_t) BgL_src1277z00_61), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1191z00_3730))->
						BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1278z00_62), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1191z00_3730))->BgL_initz00) =
					((obj_t) BgL_init1279z00_63), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1191z00_3730))->BgL_aliasz00) =
					((obj_t) BgL_alias1280z00_64), BUNSPEC);
				return BgL_new1191z00_3730;
			}
		}

	}



/* &make-global */
	BgL_globalz00_bglt BGl_z62makezd2globalzb0zzast_varz00(obj_t BgL_envz00_2482,
		obj_t BgL_id1261z00_2483, obj_t BgL_name1262z00_2484,
		obj_t BgL_type1263z00_2485, obj_t BgL_value1264z00_2486,
		obj_t BgL_access1265z00_2487, obj_t BgL_fastzd2alpha1266zd2_2488,
		obj_t BgL_removable1267z00_2489, obj_t BgL_occurrence1268z00_2490,
		obj_t BgL_occurrencew1269z00_2491, obj_t BgL_userzf31270zf3_2492,
		obj_t BgL_module1271z00_2493, obj_t BgL_import1272z00_2494,
		obj_t BgL_evaluablezf31273zf3_2495, obj_t BgL_evalzf31274zf3_2496,
		obj_t BgL_library1275z00_2497, obj_t BgL_pragma1276z00_2498,
		obj_t BgL_src1277z00_2499, obj_t BgL_jvmzd2typezd2name1278z00_2500,
		obj_t BgL_init1279z00_2501, obj_t BgL_alias1280z00_2502)
	{
		{	/* Ast/var.sch 308 */
			return
				BGl_makezd2globalzd2zzast_varz00(BgL_id1261z00_2483,
				BgL_name1262z00_2484, ((BgL_typez00_bglt) BgL_type1263z00_2485),
				((BgL_valuez00_bglt) BgL_value1264z00_2486), BgL_access1265z00_2487,
				BgL_fastzd2alpha1266zd2_2488, BgL_removable1267z00_2489,
				(long) CINT(BgL_occurrence1268z00_2490),
				(long) CINT(BgL_occurrencew1269z00_2491),
				CBOOL(BgL_userzf31270zf3_2492), BgL_module1271z00_2493,
				BgL_import1272z00_2494, CBOOL(BgL_evaluablezf31273zf3_2495),
				CBOOL(BgL_evalzf31274zf3_2496), BgL_library1275z00_2497,
				BgL_pragma1276z00_2498, BgL_src1277z00_2499,
				BgL_jvmzd2typezd2name1278z00_2500, BgL_init1279z00_2501,
				BgL_alias1280z00_2502);
		}

	}



/* global? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf3zf3zzast_varz00(obj_t BgL_objz00_65)
	{
		{	/* Ast/var.sch 309 */
			{	/* Ast/var.sch 309 */
				obj_t BgL_classz00_3733;

				BgL_classz00_3733 = BGl_globalz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_65))
					{	/* Ast/var.sch 309 */
						BgL_objectz00_bglt BgL_arg1820z00_3734;

						BgL_arg1820z00_3734 = (BgL_objectz00_bglt) (BgL_objz00_65);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 309 */
								long BgL_idxz00_3735;

								BgL_idxz00_3735 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3734);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3735 + ((long) 2))) == BgL_classz00_3733);
							}
						else
							{	/* Ast/var.sch 309 */
								bool_t BgL_res2163z00_3738;

								{	/* Ast/var.sch 309 */
									obj_t BgL_oclassz00_3739;

									{	/* Ast/var.sch 309 */
										long BgL_arg1828z00_3740;

										{	/* Ast/var.sch 309 */
											long BgL_arg1829z00_3741;

											BgL_arg1829z00_3741 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3734);
											BgL_arg1828z00_3740 = (BgL_arg1829z00_3741 - OBJECT_TYPE);
										}
										BgL_oclassz00_3739 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3740);
									}
									{	/* Ast/var.sch 309 */
										bool_t BgL__ortest_1111z00_3742;

										BgL__ortest_1111z00_3742 =
											(BgL_classz00_3733 == BgL_oclassz00_3739);
										if (BgL__ortest_1111z00_3742)
											{	/* Ast/var.sch 309 */
												BgL_res2163z00_3738 = BgL__ortest_1111z00_3742;
											}
										else
											{	/* Ast/var.sch 309 */
												long BgL_odepthz00_3743;

												BgL_odepthz00_3743 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3739);
												if ((((long) 2) < BgL_odepthz00_3743))
													{	/* Ast/var.sch 309 */
														obj_t BgL_arg1816z00_3744;

														BgL_arg1816z00_3744 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3739,
															((long) 2));
														BgL_res2163z00_3738 =
															(BgL_arg1816z00_3744 == BgL_classz00_3733);
													}
												else
													{	/* Ast/var.sch 309 */
														BgL_res2163z00_3738 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2163z00_3738;
							}
					}
				else
					{	/* Ast/var.sch 309 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global? */
	obj_t BGl_z62globalzf3z91zzast_varz00(obj_t BgL_envz00_2503,
		obj_t BgL_objz00_2504)
	{
		{	/* Ast/var.sch 309 */
			return BBOOL(BGl_globalzf3zf3zzast_varz00(BgL_objz00_2504));
		}

	}



/* global-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_globalzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 310 */
			{	/* Ast/var.sch 310 */
				obj_t BgL_classz00_1689;

				BgL_classz00_1689 = BGl_globalz00zzast_varz00;
				{	/* Ast/var.sch 310 */
					obj_t BgL__ortest_1113z00_1690;

					BgL__ortest_1113z00_1690 = BGL_CLASS_NIL(BgL_classz00_1689);
					if (CBOOL(BgL__ortest_1113z00_1690))
						{	/* Ast/var.sch 310 */
							return ((BgL_globalz00_bglt) BgL__ortest_1113z00_1690);
						}
					else
						{	/* Ast/var.sch 310 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1689));
						}
				}
			}
		}

	}



/* &global-nil */
	BgL_globalz00_bglt BGl_z62globalzd2nilzb0zzast_varz00(obj_t BgL_envz00_2505)
	{
		{	/* Ast/var.sch 310 */
			return BGl_globalzd2nilzd2zzast_varz00();
		}

	}



/* global-alias */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2aliaszd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_66)
	{
		{	/* Ast/var.sch 311 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_66))->BgL_aliasz00);
		}

	}



/* &global-alias */
	obj_t BGl_z62globalzd2aliaszb0zzast_varz00(obj_t BgL_envz00_2506,
		obj_t BgL_oz00_2507)
	{
		{	/* Ast/var.sch 311 */
			return
				BGl_globalzd2aliaszd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2507));
		}

	}



/* global-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2aliaszd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_67,
		obj_t BgL_vz00_68)
	{
		{	/* Ast/var.sch 312 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_67))->BgL_aliasz00) =
				((obj_t) BgL_vz00_68), BUNSPEC);
		}

	}



/* &global-alias-set! */
	obj_t BGl_z62globalzd2aliaszd2setz12z70zzast_varz00(obj_t BgL_envz00_2508,
		obj_t BgL_oz00_2509, obj_t BgL_vz00_2510)
	{
		{	/* Ast/var.sch 312 */
			return
				BGl_globalzd2aliaszd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2509), BgL_vz00_2510);
		}

	}



/* global-init */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2initzd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_69)
	{
		{	/* Ast/var.sch 313 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_69))->BgL_initz00);
		}

	}



/* &global-init */
	obj_t BGl_z62globalzd2initzb0zzast_varz00(obj_t BgL_envz00_2511,
		obj_t BgL_oz00_2512)
	{
		{	/* Ast/var.sch 313 */
			return
				BGl_globalzd2initzd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2512));
		}

	}



/* global-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2initzd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_70,
		obj_t BgL_vz00_71)
	{
		{	/* Ast/var.sch 314 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_70))->BgL_initz00) =
				((obj_t) BgL_vz00_71), BUNSPEC);
		}

	}



/* &global-init-set! */
	obj_t BGl_z62globalzd2initzd2setz12z70zzast_varz00(obj_t BgL_envz00_2513,
		obj_t BgL_oz00_2514, obj_t BgL_vz00_2515)
	{
		{	/* Ast/var.sch 314 */
			return
				BGl_globalzd2initzd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2514), BgL_vz00_2515);
		}

	}



/* global-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2jvmzd2typezd2namezd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_72)
	{
		{	/* Ast/var.sch 315 */
			return
				(((BgL_globalz00_bglt) COBJECT(BgL_oz00_72))->BgL_jvmzd2typezd2namez00);
		}

	}



/* &global-jvm-type-name */
	obj_t BGl_z62globalzd2jvmzd2typezd2namezb0zzast_varz00(obj_t BgL_envz00_2516,
		obj_t BgL_oz00_2517)
	{
		{	/* Ast/var.sch 315 */
			return
				BGl_globalzd2jvmzd2typezd2namezd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2517));
		}

	}



/* global-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2jvmzd2typezd2namezd2setz12z12zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_73, obj_t BgL_vz00_74)
	{
		{	/* Ast/var.sch 316 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_73))->
					BgL_jvmzd2typezd2namez00) = ((obj_t) BgL_vz00_74), BUNSPEC);
		}

	}



/* &global-jvm-type-name-set! */
	obj_t BGl_z62globalzd2jvmzd2typezd2namezd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2518, obj_t BgL_oz00_2519, obj_t BgL_vz00_2520)
	{
		{	/* Ast/var.sch 316 */
			return
				BGl_globalzd2jvmzd2typezd2namezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2519), BgL_vz00_2520);
		}

	}



/* global-src */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2srczd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_75)
	{
		{	/* Ast/var.sch 317 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_75))->BgL_srcz00);
		}

	}



/* &global-src */
	obj_t BGl_z62globalzd2srczb0zzast_varz00(obj_t BgL_envz00_2521,
		obj_t BgL_oz00_2522)
	{
		{	/* Ast/var.sch 317 */
			return
				BGl_globalzd2srczd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2522));
		}

	}



/* global-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2srczd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_76,
		obj_t BgL_vz00_77)
	{
		{	/* Ast/var.sch 318 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_76))->BgL_srcz00) =
				((obj_t) BgL_vz00_77), BUNSPEC);
		}

	}



/* &global-src-set! */
	obj_t BGl_z62globalzd2srczd2setz12z70zzast_varz00(obj_t BgL_envz00_2523,
		obj_t BgL_oz00_2524, obj_t BgL_vz00_2525)
	{
		{	/* Ast/var.sch 318 */
			return
				BGl_globalzd2srczd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2524), BgL_vz00_2525);
		}

	}



/* global-pragma */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2pragmazd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_78)
	{
		{	/* Ast/var.sch 319 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_78))->BgL_pragmaz00);
		}

	}



/* &global-pragma */
	obj_t BGl_z62globalzd2pragmazb0zzast_varz00(obj_t BgL_envz00_2526,
		obj_t BgL_oz00_2527)
	{
		{	/* Ast/var.sch 319 */
			return
				BGl_globalzd2pragmazd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2527));
		}

	}



/* global-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2pragmazd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_79,
		obj_t BgL_vz00_80)
	{
		{	/* Ast/var.sch 320 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_79))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_80), BUNSPEC);
		}

	}



/* &global-pragma-set! */
	obj_t BGl_z62globalzd2pragmazd2setz12z70zzast_varz00(obj_t BgL_envz00_2528,
		obj_t BgL_oz00_2529, obj_t BgL_vz00_2530)
	{
		{	/* Ast/var.sch 320 */
			return
				BGl_globalzd2pragmazd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2529), BgL_vz00_2530);
		}

	}



/* global-library */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2libraryzd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_81)
	{
		{	/* Ast/var.sch 321 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_81))->BgL_libraryz00);
		}

	}



/* &global-library */
	obj_t BGl_z62globalzd2libraryzb0zzast_varz00(obj_t BgL_envz00_2531,
		obj_t BgL_oz00_2532)
	{
		{	/* Ast/var.sch 321 */
			return
				BGl_globalzd2libraryzd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2532));
		}

	}



/* global-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2libraryzd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_82,
		obj_t BgL_vz00_83)
	{
		{	/* Ast/var.sch 322 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_82))->BgL_libraryz00) =
				((obj_t) BgL_vz00_83), BUNSPEC);
		}

	}



/* &global-library-set! */
	obj_t BGl_z62globalzd2libraryzd2setz12z70zzast_varz00(obj_t BgL_envz00_2533,
		obj_t BgL_oz00_2534, obj_t BgL_vz00_2535)
	{
		{	/* Ast/var.sch 322 */
			return
				BGl_globalzd2libraryzd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2534), BgL_vz00_2535);
		}

	}



/* global-eval? */
	BGL_EXPORTED_DEF bool_t BGl_globalzd2evalzf3z21zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_84)
	{
		{	/* Ast/var.sch 323 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_84))->BgL_evalzf3zf3);
		}

	}



/* &global-eval? */
	obj_t BGl_z62globalzd2evalzf3z43zzast_varz00(obj_t BgL_envz00_2536,
		obj_t BgL_oz00_2537)
	{
		{	/* Ast/var.sch 323 */
			return
				BBOOL(BGl_globalzd2evalzf3z21zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2537)));
		}

	}



/* global-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2evalzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt BgL_oz00_85,
		bool_t BgL_vz00_86)
	{
		{	/* Ast/var.sch 324 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_85))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_86), BUNSPEC);
		}

	}



/* &global-eval?-set! */
	obj_t BGl_z62globalzd2evalzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2538,
		obj_t BgL_oz00_2539, obj_t BgL_vz00_2540)
	{
		{	/* Ast/var.sch 324 */
			return
				BGl_globalzd2evalzf3zd2setz12ze1zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2539), CBOOL(BgL_vz00_2540));
		}

	}



/* global-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzd2evaluablezf3z21zzast_varz00(BgL_globalz00_bglt BgL_oz00_87)
	{
		{	/* Ast/var.sch 325 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_87))->BgL_evaluablezf3zf3);
		}

	}



/* &global-evaluable? */
	obj_t BGl_z62globalzd2evaluablezf3z43zzast_varz00(obj_t BgL_envz00_2541,
		obj_t BgL_oz00_2542)
	{
		{	/* Ast/var.sch 325 */
			return
				BBOOL(BGl_globalzd2evaluablezf3z21zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2542)));
		}

	}



/* global-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2evaluablezf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_88, bool_t BgL_vz00_89)
	{
		{	/* Ast/var.sch 326 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_88))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_89), BUNSPEC);
		}

	}



/* &global-evaluable?-set! */
	obj_t BGl_z62globalzd2evaluablezf3zd2setz12z83zzast_varz00(obj_t
		BgL_envz00_2543, obj_t BgL_oz00_2544, obj_t BgL_vz00_2545)
	{
		{	/* Ast/var.sch 326 */
			return
				BGl_globalzd2evaluablezf3zd2setz12ze1zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2544), CBOOL(BgL_vz00_2545));
		}

	}



/* global-import */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2importzd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_90)
	{
		{	/* Ast/var.sch 327 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_90))->BgL_importz00);
		}

	}



/* &global-import */
	obj_t BGl_z62globalzd2importzb0zzast_varz00(obj_t BgL_envz00_2546,
		obj_t BgL_oz00_2547)
	{
		{	/* Ast/var.sch 327 */
			return
				BGl_globalzd2importzd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2547));
		}

	}



/* global-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2importzd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_91,
		obj_t BgL_vz00_92)
	{
		{	/* Ast/var.sch 328 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_91))->BgL_importz00) =
				((obj_t) BgL_vz00_92), BUNSPEC);
		}

	}



/* &global-import-set! */
	obj_t BGl_z62globalzd2importzd2setz12z70zzast_varz00(obj_t BgL_envz00_2548,
		obj_t BgL_oz00_2549, obj_t BgL_vz00_2550)
	{
		{	/* Ast/var.sch 328 */
			return
				BGl_globalzd2importzd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2549), BgL_vz00_2550);
		}

	}



/* global-module */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2modulezd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_93)
	{
		{	/* Ast/var.sch 329 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_93))->BgL_modulez00);
		}

	}



/* &global-module */
	obj_t BGl_z62globalzd2modulezb0zzast_varz00(obj_t BgL_envz00_2551,
		obj_t BgL_oz00_2552)
	{
		{	/* Ast/var.sch 329 */
			return
				BGl_globalzd2modulezd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2552));
		}

	}



/* global-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2modulezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_94,
		obj_t BgL_vz00_95)
	{
		{	/* Ast/var.sch 330 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_94))->BgL_modulez00) =
				((obj_t) BgL_vz00_95), BUNSPEC);
		}

	}



/* &global-module-set! */
	obj_t BGl_z62globalzd2modulezd2setz12z70zzast_varz00(obj_t BgL_envz00_2553,
		obj_t BgL_oz00_2554, obj_t BgL_vz00_2555)
	{
		{	/* Ast/var.sch 330 */
			return
				BGl_globalzd2modulezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2554), BgL_vz00_2555);
		}

	}



/* global-user? */
	BGL_EXPORTED_DEF bool_t BGl_globalzd2userzf3z21zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_96)
	{
		{	/* Ast/var.sch 331 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_96)))->BgL_userzf3zf3);
		}

	}



/* &global-user? */
	obj_t BGl_z62globalzd2userzf3z43zzast_varz00(obj_t BgL_envz00_2556,
		obj_t BgL_oz00_2557)
	{
		{	/* Ast/var.sch 331 */
			return
				BBOOL(BGl_globalzd2userzf3z21zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2557)));
		}

	}



/* global-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2userzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt BgL_oz00_97,
		bool_t BgL_vz00_98)
	{
		{	/* Ast/var.sch 332 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_97)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_98), BUNSPEC);
		}

	}



/* &global-user?-set! */
	obj_t BGl_z62globalzd2userzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2558,
		obj_t BgL_oz00_2559, obj_t BgL_vz00_2560)
	{
		{	/* Ast/var.sch 332 */
			return
				BGl_globalzd2userzf3zd2setz12ze1zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2559), CBOOL(BgL_vz00_2560));
		}

	}



/* global-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzd2occurrencewzd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_99)
	{
		{	/* Ast/var.sch 333 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_99)))->BgL_occurrencewz00);
		}

	}



/* &global-occurrencew */
	obj_t BGl_z62globalzd2occurrencewzb0zzast_varz00(obj_t BgL_envz00_2561,
		obj_t BgL_oz00_2562)
	{
		{	/* Ast/var.sch 333 */
			return
				BINT(BGl_globalzd2occurrencewzd2zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2562)));
		}

	}



/* global-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2occurrencewzd2setz12z12zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_100, long BgL_vz00_101)
	{
		{	/* Ast/var.sch 334 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_100)))->BgL_occurrencewz00) =
				((long) BgL_vz00_101), BUNSPEC);
		}

	}



/* &global-occurrencew-set! */
	obj_t BGl_z62globalzd2occurrencewzd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2563, obj_t BgL_oz00_2564, obj_t BgL_vz00_2565)
	{
		{	/* Ast/var.sch 334 */
			return
				BGl_globalzd2occurrencewzd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2564), (long) CINT(BgL_vz00_2565));
		}

	}



/* global-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzd2occurrencezd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_102)
	{
		{	/* Ast/var.sch 335 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_102)))->BgL_occurrencez00);
		}

	}



/* &global-occurrence */
	obj_t BGl_z62globalzd2occurrencezb0zzast_varz00(obj_t BgL_envz00_2566,
		obj_t BgL_oz00_2567)
	{
		{	/* Ast/var.sch 335 */
			return
				BINT(BGl_globalzd2occurrencezd2zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2567)));
		}

	}



/* global-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2occurrencezd2setz12z12zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_103, long BgL_vz00_104)
	{
		{	/* Ast/var.sch 336 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_103)))->BgL_occurrencez00) =
				((long) BgL_vz00_104), BUNSPEC);
		}

	}



/* &global-occurrence-set! */
	obj_t BGl_z62globalzd2occurrencezd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2568, obj_t BgL_oz00_2569, obj_t BgL_vz00_2570)
	{
		{	/* Ast/var.sch 336 */
			return
				BGl_globalzd2occurrencezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2569), (long) CINT(BgL_vz00_2570));
		}

	}



/* global-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2removablezd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_105)
	{
		{	/* Ast/var.sch 337 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_105)))->BgL_removablez00);
		}

	}



/* &global-removable */
	obj_t BGl_z62globalzd2removablezb0zzast_varz00(obj_t BgL_envz00_2571,
		obj_t BgL_oz00_2572)
	{
		{	/* Ast/var.sch 337 */
			return
				BGl_globalzd2removablezd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2572));
		}

	}



/* global-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2removablezd2setz12z12zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_106, obj_t BgL_vz00_107)
	{
		{	/* Ast/var.sch 338 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_106)))->BgL_removablez00) =
				((obj_t) BgL_vz00_107), BUNSPEC);
		}

	}



/* &global-removable-set! */
	obj_t BGl_z62globalzd2removablezd2setz12z70zzast_varz00(obj_t BgL_envz00_2573,
		obj_t BgL_oz00_2574, obj_t BgL_vz00_2575)
	{
		{	/* Ast/var.sch 338 */
			return
				BGl_globalzd2removablezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2574), BgL_vz00_2575);
		}

	}



/* global-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2fastzd2alphaz00zzast_varz00(BgL_globalz00_bglt BgL_oz00_108)
	{
		{	/* Ast/var.sch 339 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_108)))->BgL_fastzd2alphazd2);
		}

	}



/* &global-fast-alpha */
	obj_t BGl_z62globalzd2fastzd2alphaz62zzast_varz00(obj_t BgL_envz00_2576,
		obj_t BgL_oz00_2577)
	{
		{	/* Ast/var.sch 339 */
			return
				BGl_globalzd2fastzd2alphaz00zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2577));
		}

	}



/* global-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_109, obj_t BgL_vz00_110)
	{
		{	/* Ast/var.sch 340 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_109)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_110), BUNSPEC);
		}

	}



/* &global-fast-alpha-set! */
	obj_t BGl_z62globalzd2fastzd2alphazd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2578, obj_t BgL_oz00_2579, obj_t BgL_vz00_2580)
	{
		{	/* Ast/var.sch 340 */
			return
				BGl_globalzd2fastzd2alphazd2setz12zc0zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2579), BgL_vz00_2580);
		}

	}



/* global-access */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2accesszd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_111)
	{
		{	/* Ast/var.sch 341 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_111)))->BgL_accessz00);
		}

	}



/* &global-access */
	obj_t BGl_z62globalzd2accesszb0zzast_varz00(obj_t BgL_envz00_2581,
		obj_t BgL_oz00_2582)
	{
		{	/* Ast/var.sch 341 */
			return
				BGl_globalzd2accesszd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2582));
		}

	}



/* global-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2accesszd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_112,
		obj_t BgL_vz00_113)
	{
		{	/* Ast/var.sch 342 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_112)))->BgL_accessz00) =
				((obj_t) BgL_vz00_113), BUNSPEC);
		}

	}



/* &global-access-set! */
	obj_t BGl_z62globalzd2accesszd2setz12z70zzast_varz00(obj_t BgL_envz00_2583,
		obj_t BgL_oz00_2584, obj_t BgL_vz00_2585)
	{
		{	/* Ast/var.sch 342 */
			return
				BGl_globalzd2accesszd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2584), BgL_vz00_2585);
		}

	}



/* global-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzd2valuezd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_114)
	{
		{	/* Ast/var.sch 343 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_114)))->BgL_valuez00);
		}

	}



/* &global-value */
	BgL_valuez00_bglt BGl_z62globalzd2valuezb0zzast_varz00(obj_t BgL_envz00_2586,
		obj_t BgL_oz00_2587)
	{
		{	/* Ast/var.sch 343 */
			return
				BGl_globalzd2valuezd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2587));
		}

	}



/* global-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2valuezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_115,
		BgL_valuez00_bglt BgL_vz00_116)
	{
		{	/* Ast/var.sch 344 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_115)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_116), BUNSPEC);
		}

	}



/* &global-value-set! */
	obj_t BGl_z62globalzd2valuezd2setz12z70zzast_varz00(obj_t BgL_envz00_2588,
		obj_t BgL_oz00_2589, obj_t BgL_vz00_2590)
	{
		{	/* Ast/var.sch 344 */
			return
				BGl_globalzd2valuezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2589),
				((BgL_valuez00_bglt) BgL_vz00_2590));
		}

	}



/* global-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzd2typezd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_117)
	{
		{	/* Ast/var.sch 345 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_117)))->BgL_typez00);
		}

	}



/* &global-type */
	BgL_typez00_bglt BGl_z62globalzd2typezb0zzast_varz00(obj_t BgL_envz00_2591,
		obj_t BgL_oz00_2592)
	{
		{	/* Ast/var.sch 345 */
			return
				BGl_globalzd2typezd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2592));
		}

	}



/* global-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2typezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_118,
		BgL_typez00_bglt BgL_vz00_119)
	{
		{	/* Ast/var.sch 346 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_118)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_119), BUNSPEC);
		}

	}



/* &global-type-set! */
	obj_t BGl_z62globalzd2typezd2setz12z70zzast_varz00(obj_t BgL_envz00_2593,
		obj_t BgL_oz00_2594, obj_t BgL_vz00_2595)
	{
		{	/* Ast/var.sch 346 */
			return
				BGl_globalzd2typezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2594),
				((BgL_typez00_bglt) BgL_vz00_2595));
		}

	}



/* global-name */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2namezd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_120)
	{
		{	/* Ast/var.sch 347 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_120)))->BgL_namez00);
		}

	}



/* &global-name */
	obj_t BGl_z62globalzd2namezb0zzast_varz00(obj_t BgL_envz00_2596,
		obj_t BgL_oz00_2597)
	{
		{	/* Ast/var.sch 347 */
			return
				BGl_globalzd2namezd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2597));
		}

	}



/* global-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2namezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_121,
		obj_t BgL_vz00_122)
	{
		{	/* Ast/var.sch 348 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_121)))->BgL_namez00) =
				((obj_t) BgL_vz00_122), BUNSPEC);
		}

	}



/* &global-name-set! */
	obj_t BGl_z62globalzd2namezd2setz12z70zzast_varz00(obj_t BgL_envz00_2598,
		obj_t BgL_oz00_2599, obj_t BgL_vz00_2600)
	{
		{	/* Ast/var.sch 348 */
			return
				BGl_globalzd2namezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2599), BgL_vz00_2600);
		}

	}



/* global-id */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2idzd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_123)
	{
		{	/* Ast/var.sch 349 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_123)))->BgL_idz00);
		}

	}



/* &global-id */
	obj_t BGl_z62globalzd2idzb0zzast_varz00(obj_t BgL_envz00_2601,
		obj_t BgL_oz00_2602)
	{
		{	/* Ast/var.sch 349 */
			return
				BGl_globalzd2idzd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2602));
		}

	}



/* make-local */
	BGL_EXPORTED_DEF BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t
		BgL_id1248z00_126, obj_t BgL_name1249z00_127,
		BgL_typez00_bglt BgL_type1250z00_128,
		BgL_valuez00_bglt BgL_value1251z00_129, obj_t BgL_access1252z00_130,
		obj_t BgL_fastzd2alpha1253zd2_131, obj_t BgL_removable1254z00_132,
		long BgL_occurrence1255z00_133, long BgL_occurrencew1256z00_134,
		bool_t BgL_userzf31257zf3_135, long BgL_key1258z00_136,
		obj_t BgL_valzd2noescape1259zd2_137)
	{
		{	/* Ast/var.sch 353 */
			{	/* Ast/var.sch 353 */
				BgL_localz00_bglt BgL_new1193z00_3745;

				{	/* Ast/var.sch 353 */
					BgL_localz00_bglt BgL_new1192z00_3746;

					BgL_new1192z00_3746 =
						((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localz00_bgl))));
					{	/* Ast/var.sch 353 */
						long BgL_arg1292z00_3747;

						BgL_arg1292z00_3747 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1192z00_3746), BgL_arg1292z00_3747);
					}
					{	/* Ast/var.sch 353 */
						BgL_objectz00_bglt BgL_tmpz00_4544;

						BgL_tmpz00_4544 = ((BgL_objectz00_bglt) BgL_new1192z00_3746);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4544, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1192z00_3746);
					BgL_new1193z00_3745 = BgL_new1192z00_3746;
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1193z00_3745)))->BgL_idz00) =
					((obj_t) BgL_id1248z00_126), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1193z00_3745)))->BgL_namez00) =
					((obj_t) BgL_name1249z00_127), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1193z00_3745)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1250z00_128), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1193z00_3745)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1251z00_129), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1193z00_3745)))->BgL_accessz00) =
					((obj_t) BgL_access1252z00_130), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1193z00_3745)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1253zd2_131), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1193z00_3745)))->BgL_removablez00) =
					((obj_t) BgL_removable1254z00_132), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1193z00_3745)))->BgL_occurrencez00) =
					((long) BgL_occurrence1255z00_133), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1193z00_3745)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1256z00_134), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1193z00_3745)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31257zf3_135), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(BgL_new1193z00_3745))->BgL_keyz00) =
					((long) BgL_key1258z00_136), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(BgL_new1193z00_3745))->
						BgL_valzd2noescapezd2) =
					((obj_t) BgL_valzd2noescape1259zd2_137), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(BgL_new1193z00_3745))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				return BgL_new1193z00_3745;
			}
		}

	}



/* &make-local */
	BgL_localz00_bglt BGl_z62makezd2localzb0zzast_varz00(obj_t BgL_envz00_2603,
		obj_t BgL_id1248z00_2604, obj_t BgL_name1249z00_2605,
		obj_t BgL_type1250z00_2606, obj_t BgL_value1251z00_2607,
		obj_t BgL_access1252z00_2608, obj_t BgL_fastzd2alpha1253zd2_2609,
		obj_t BgL_removable1254z00_2610, obj_t BgL_occurrence1255z00_2611,
		obj_t BgL_occurrencew1256z00_2612, obj_t BgL_userzf31257zf3_2613,
		obj_t BgL_key1258z00_2614, obj_t BgL_valzd2noescape1259zd2_2615)
	{
		{	/* Ast/var.sch 353 */
			return
				BGl_makezd2localzd2zzast_varz00(BgL_id1248z00_2604,
				BgL_name1249z00_2605, ((BgL_typez00_bglt) BgL_type1250z00_2606),
				((BgL_valuez00_bglt) BgL_value1251z00_2607), BgL_access1252z00_2608,
				BgL_fastzd2alpha1253zd2_2609, BgL_removable1254z00_2610,
				(long) CINT(BgL_occurrence1255z00_2611),
				(long) CINT(BgL_occurrencew1256z00_2612),
				CBOOL(BgL_userzf31257zf3_2613), (long) CINT(BgL_key1258z00_2614),
				BgL_valzd2noescape1259zd2_2615);
		}

	}



/* local? */
	BGL_EXPORTED_DEF bool_t BGl_localzf3zf3zzast_varz00(obj_t BgL_objz00_138)
	{
		{	/* Ast/var.sch 354 */
			{	/* Ast/var.sch 354 */
				obj_t BgL_classz00_3748;

				BgL_classz00_3748 = BGl_localz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_138))
					{	/* Ast/var.sch 354 */
						BgL_objectz00_bglt BgL_arg1820z00_3749;

						BgL_arg1820z00_3749 = (BgL_objectz00_bglt) (BgL_objz00_138);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 354 */
								long BgL_idxz00_3750;

								BgL_idxz00_3750 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3749);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3750 + ((long) 2))) == BgL_classz00_3748);
							}
						else
							{	/* Ast/var.sch 354 */
								bool_t BgL_res2164z00_3753;

								{	/* Ast/var.sch 354 */
									obj_t BgL_oclassz00_3754;

									{	/* Ast/var.sch 354 */
										long BgL_arg1828z00_3755;

										{	/* Ast/var.sch 354 */
											long BgL_arg1829z00_3756;

											BgL_arg1829z00_3756 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3749);
											BgL_arg1828z00_3755 = (BgL_arg1829z00_3756 - OBJECT_TYPE);
										}
										BgL_oclassz00_3754 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3755);
									}
									{	/* Ast/var.sch 354 */
										bool_t BgL__ortest_1111z00_3757;

										BgL__ortest_1111z00_3757 =
											(BgL_classz00_3748 == BgL_oclassz00_3754);
										if (BgL__ortest_1111z00_3757)
											{	/* Ast/var.sch 354 */
												BgL_res2164z00_3753 = BgL__ortest_1111z00_3757;
											}
										else
											{	/* Ast/var.sch 354 */
												long BgL_odepthz00_3758;

												BgL_odepthz00_3758 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3754);
												if ((((long) 2) < BgL_odepthz00_3758))
													{	/* Ast/var.sch 354 */
														obj_t BgL_arg1816z00_3759;

														BgL_arg1816z00_3759 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3754,
															((long) 2));
														BgL_res2164z00_3753 =
															(BgL_arg1816z00_3759 == BgL_classz00_3748);
													}
												else
													{	/* Ast/var.sch 354 */
														BgL_res2164z00_3753 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2164z00_3753;
							}
					}
				else
					{	/* Ast/var.sch 354 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &local? */
	obj_t BGl_z62localzf3z91zzast_varz00(obj_t BgL_envz00_2616,
		obj_t BgL_objz00_2617)
	{
		{	/* Ast/var.sch 354 */
			return BBOOL(BGl_localzf3zf3zzast_varz00(BgL_objz00_2617));
		}

	}



/* local-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt BGl_localzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 355 */
			{	/* Ast/var.sch 355 */
				obj_t BgL_classz00_1729;

				BgL_classz00_1729 = BGl_localz00zzast_varz00;
				{	/* Ast/var.sch 355 */
					obj_t BgL__ortest_1113z00_1730;

					BgL__ortest_1113z00_1730 = BGL_CLASS_NIL(BgL_classz00_1729);
					if (CBOOL(BgL__ortest_1113z00_1730))
						{	/* Ast/var.sch 355 */
							return ((BgL_localz00_bglt) BgL__ortest_1113z00_1730);
						}
					else
						{	/* Ast/var.sch 355 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1729));
						}
				}
			}
		}

	}



/* &local-nil */
	BgL_localz00_bglt BGl_z62localzd2nilzb0zzast_varz00(obj_t BgL_envz00_2618)
	{
		{	/* Ast/var.sch 355 */
			return BGl_localzd2nilzd2zzast_varz00();
		}

	}



/* local-val-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2valzd2noescapez00zzast_varz00(BgL_localz00_bglt BgL_oz00_139)
	{
		{	/* Ast/var.sch 356 */
			return
				(((BgL_localz00_bglt) COBJECT(BgL_oz00_139))->BgL_valzd2noescapezd2);
		}

	}



/* &local-val-noescape */
	obj_t BGl_z62localzd2valzd2noescapez62zzast_varz00(obj_t BgL_envz00_2619,
		obj_t BgL_oz00_2620)
	{
		{	/* Ast/var.sch 356 */
			return
				BGl_localzd2valzd2noescapez00zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2620));
		}

	}



/* local-val-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2valzd2noescapezd2setz12zc0zzast_varz00(BgL_localz00_bglt
		BgL_oz00_140, obj_t BgL_vz00_141)
	{
		{	/* Ast/var.sch 357 */
			return
				((((BgL_localz00_bglt) COBJECT(BgL_oz00_140))->BgL_valzd2noescapezd2) =
				((obj_t) BgL_vz00_141), BUNSPEC);
		}

	}



/* &local-val-noescape-set! */
	obj_t BGl_z62localzd2valzd2noescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2621, obj_t BgL_oz00_2622, obj_t BgL_vz00_2623)
	{
		{	/* Ast/var.sch 357 */
			return
				BGl_localzd2valzd2noescapezd2setz12zc0zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2622), BgL_vz00_2623);
		}

	}



/* local-key */
	BGL_EXPORTED_DEF long BGl_localzd2keyzd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_142)
	{
		{	/* Ast/var.sch 358 */
			return (((BgL_localz00_bglt) COBJECT(BgL_oz00_142))->BgL_keyz00);
		}

	}



/* &local-key */
	obj_t BGl_z62localzd2keyzb0zzast_varz00(obj_t BgL_envz00_2624,
		obj_t BgL_oz00_2625)
	{
		{	/* Ast/var.sch 358 */
			return
				BINT(BGl_localzd2keyzd2zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2625)));
		}

	}



/* local-user? */
	BGL_EXPORTED_DEF bool_t BGl_localzd2userzf3z21zzast_varz00(BgL_localz00_bglt
		BgL_oz00_145)
	{
		{	/* Ast/var.sch 360 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_145)))->BgL_userzf3zf3);
		}

	}



/* &local-user? */
	obj_t BGl_z62localzd2userzf3z43zzast_varz00(obj_t BgL_envz00_2626,
		obj_t BgL_oz00_2627)
	{
		{	/* Ast/var.sch 360 */
			return
				BBOOL(BGl_localzd2userzf3z21zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2627)));
		}

	}



/* local-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2userzf3zd2setz12ze1zzast_varz00(BgL_localz00_bglt BgL_oz00_146,
		bool_t BgL_vz00_147)
	{
		{	/* Ast/var.sch 361 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_146)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_147), BUNSPEC);
		}

	}



/* &local-user?-set! */
	obj_t BGl_z62localzd2userzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2628,
		obj_t BgL_oz00_2629, obj_t BgL_vz00_2630)
	{
		{	/* Ast/var.sch 361 */
			return
				BGl_localzd2userzf3zd2setz12ze1zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2629), CBOOL(BgL_vz00_2630));
		}

	}



/* local-occurrencew */
	BGL_EXPORTED_DEF long BGl_localzd2occurrencewzd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_148)
	{
		{	/* Ast/var.sch 362 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_148)))->BgL_occurrencewz00);
		}

	}



/* &local-occurrencew */
	obj_t BGl_z62localzd2occurrencewzb0zzast_varz00(obj_t BgL_envz00_2631,
		obj_t BgL_oz00_2632)
	{
		{	/* Ast/var.sch 362 */
			return
				BINT(BGl_localzd2occurrencewzd2zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2632)));
		}

	}



/* local-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2occurrencewzd2setz12z12zzast_varz00(BgL_localz00_bglt
		BgL_oz00_149, long BgL_vz00_150)
	{
		{	/* Ast/var.sch 363 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_149)))->BgL_occurrencewz00) =
				((long) BgL_vz00_150), BUNSPEC);
		}

	}



/* &local-occurrencew-set! */
	obj_t BGl_z62localzd2occurrencewzd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2633, obj_t BgL_oz00_2634, obj_t BgL_vz00_2635)
	{
		{	/* Ast/var.sch 363 */
			return
				BGl_localzd2occurrencewzd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2634), (long) CINT(BgL_vz00_2635));
		}

	}



/* local-occurrence */
	BGL_EXPORTED_DEF long BGl_localzd2occurrencezd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_151)
	{
		{	/* Ast/var.sch 364 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_151)))->BgL_occurrencez00);
		}

	}



/* &local-occurrence */
	obj_t BGl_z62localzd2occurrencezb0zzast_varz00(obj_t BgL_envz00_2636,
		obj_t BgL_oz00_2637)
	{
		{	/* Ast/var.sch 364 */
			return
				BINT(BGl_localzd2occurrencezd2zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2637)));
		}

	}



/* local-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2occurrencezd2setz12z12zzast_varz00(BgL_localz00_bglt
		BgL_oz00_152, long BgL_vz00_153)
	{
		{	/* Ast/var.sch 365 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_152)))->BgL_occurrencez00) =
				((long) BgL_vz00_153), BUNSPEC);
		}

	}



/* &local-occurrence-set! */
	obj_t BGl_z62localzd2occurrencezd2setz12z70zzast_varz00(obj_t BgL_envz00_2638,
		obj_t BgL_oz00_2639, obj_t BgL_vz00_2640)
	{
		{	/* Ast/var.sch 365 */
			return
				BGl_localzd2occurrencezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2639), (long) CINT(BgL_vz00_2640));
		}

	}



/* local-removable */
	BGL_EXPORTED_DEF obj_t BGl_localzd2removablezd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_154)
	{
		{	/* Ast/var.sch 366 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_154)))->BgL_removablez00);
		}

	}



/* &local-removable */
	obj_t BGl_z62localzd2removablezb0zzast_varz00(obj_t BgL_envz00_2641,
		obj_t BgL_oz00_2642)
	{
		{	/* Ast/var.sch 366 */
			return
				BGl_localzd2removablezd2zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2642));
		}

	}



/* local-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2removablezd2setz12z12zzast_varz00(BgL_localz00_bglt
		BgL_oz00_155, obj_t BgL_vz00_156)
	{
		{	/* Ast/var.sch 367 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_155)))->BgL_removablez00) =
				((obj_t) BgL_vz00_156), BUNSPEC);
		}

	}



/* &local-removable-set! */
	obj_t BGl_z62localzd2removablezd2setz12z70zzast_varz00(obj_t BgL_envz00_2643,
		obj_t BgL_oz00_2644, obj_t BgL_vz00_2645)
	{
		{	/* Ast/var.sch 367 */
			return
				BGl_localzd2removablezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2644), BgL_vz00_2645);
		}

	}



/* local-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2fastzd2alphaz00zzast_varz00(BgL_localz00_bglt BgL_oz00_157)
	{
		{	/* Ast/var.sch 368 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_157)))->BgL_fastzd2alphazd2);
		}

	}



/* &local-fast-alpha */
	obj_t BGl_z62localzd2fastzd2alphaz62zzast_varz00(obj_t BgL_envz00_2646,
		obj_t BgL_oz00_2647)
	{
		{	/* Ast/var.sch 368 */
			return
				BGl_localzd2fastzd2alphaz00zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2647));
		}

	}



/* local-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_localz00_bglt
		BgL_oz00_158, obj_t BgL_vz00_159)
	{
		{	/* Ast/var.sch 369 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_158)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_159), BUNSPEC);
		}

	}



/* &local-fast-alpha-set! */
	obj_t BGl_z62localzd2fastzd2alphazd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2648, obj_t BgL_oz00_2649, obj_t BgL_vz00_2650)
	{
		{	/* Ast/var.sch 369 */
			return
				BGl_localzd2fastzd2alphazd2setz12zc0zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2649), BgL_vz00_2650);
		}

	}



/* local-access */
	BGL_EXPORTED_DEF obj_t BGl_localzd2accesszd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_160)
	{
		{	/* Ast/var.sch 370 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_160)))->BgL_accessz00);
		}

	}



/* &local-access */
	obj_t BGl_z62localzd2accesszb0zzast_varz00(obj_t BgL_envz00_2651,
		obj_t BgL_oz00_2652)
	{
		{	/* Ast/var.sch 370 */
			return
				BGl_localzd2accesszd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2652));
		}

	}



/* local-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2accesszd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_161,
		obj_t BgL_vz00_162)
	{
		{	/* Ast/var.sch 371 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_161)))->BgL_accessz00) =
				((obj_t) BgL_vz00_162), BUNSPEC);
		}

	}



/* &local-access-set! */
	obj_t BGl_z62localzd2accesszd2setz12z70zzast_varz00(obj_t BgL_envz00_2653,
		obj_t BgL_oz00_2654, obj_t BgL_vz00_2655)
	{
		{	/* Ast/var.sch 371 */
			return
				BGl_localzd2accesszd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2654), BgL_vz00_2655);
		}

	}



/* local-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzd2valuezd2zzast_varz00(BgL_localz00_bglt BgL_oz00_163)
	{
		{	/* Ast/var.sch 372 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_163)))->BgL_valuez00);
		}

	}



/* &local-value */
	BgL_valuez00_bglt BGl_z62localzd2valuezb0zzast_varz00(obj_t BgL_envz00_2656,
		obj_t BgL_oz00_2657)
	{
		{	/* Ast/var.sch 372 */
			return
				BGl_localzd2valuezd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2657));
		}

	}



/* local-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2valuezd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_164,
		BgL_valuez00_bglt BgL_vz00_165)
	{
		{	/* Ast/var.sch 373 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_164)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_165), BUNSPEC);
		}

	}



/* &local-value-set! */
	obj_t BGl_z62localzd2valuezd2setz12z70zzast_varz00(obj_t BgL_envz00_2658,
		obj_t BgL_oz00_2659, obj_t BgL_vz00_2660)
	{
		{	/* Ast/var.sch 373 */
			return
				BGl_localzd2valuezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2659),
				((BgL_valuez00_bglt) BgL_vz00_2660));
		}

	}



/* local-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzd2typezd2zzast_varz00(BgL_localz00_bglt BgL_oz00_166)
	{
		{	/* Ast/var.sch 374 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_166)))->BgL_typez00);
		}

	}



/* &local-type */
	BgL_typez00_bglt BGl_z62localzd2typezb0zzast_varz00(obj_t BgL_envz00_2661,
		obj_t BgL_oz00_2662)
	{
		{	/* Ast/var.sch 374 */
			return
				BGl_localzd2typezd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2662));
		}

	}



/* local-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2typezd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_167,
		BgL_typez00_bglt BgL_vz00_168)
	{
		{	/* Ast/var.sch 375 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_167)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_168), BUNSPEC);
		}

	}



/* &local-type-set! */
	obj_t BGl_z62localzd2typezd2setz12z70zzast_varz00(obj_t BgL_envz00_2663,
		obj_t BgL_oz00_2664, obj_t BgL_vz00_2665)
	{
		{	/* Ast/var.sch 375 */
			return
				BGl_localzd2typezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2664),
				((BgL_typez00_bglt) BgL_vz00_2665));
		}

	}



/* local-name */
	BGL_EXPORTED_DEF obj_t BGl_localzd2namezd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_169)
	{
		{	/* Ast/var.sch 376 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_169)))->BgL_namez00);
		}

	}



/* &local-name */
	obj_t BGl_z62localzd2namezb0zzast_varz00(obj_t BgL_envz00_2666,
		obj_t BgL_oz00_2667)
	{
		{	/* Ast/var.sch 376 */
			return
				BGl_localzd2namezd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2667));
		}

	}



/* local-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2namezd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_170,
		obj_t BgL_vz00_171)
	{
		{	/* Ast/var.sch 377 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_170)))->BgL_namez00) =
				((obj_t) BgL_vz00_171), BUNSPEC);
		}

	}



/* &local-name-set! */
	obj_t BGl_z62localzd2namezd2setz12z70zzast_varz00(obj_t BgL_envz00_2668,
		obj_t BgL_oz00_2669, obj_t BgL_vz00_2670)
	{
		{	/* Ast/var.sch 377 */
			return
				BGl_localzd2namezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2669), BgL_vz00_2670);
		}

	}



/* local-id */
	BGL_EXPORTED_DEF obj_t BGl_localzd2idzd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_172)
	{
		{	/* Ast/var.sch 378 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_172)))->BgL_idz00);
		}

	}



/* &local-id */
	obj_t BGl_z62localzd2idzb0zzast_varz00(obj_t BgL_envz00_2671,
		obj_t BgL_oz00_2672)
	{
		{	/* Ast/var.sch 378 */
			return BGl_localzd2idzd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2672));
		}

	}



/* make-fun */
	BGL_EXPORTED_DEF BgL_funz00_bglt BGl_makezd2funzd2zzast_varz00(long
		BgL_arity1237z00_175, obj_t BgL_sidezd2effect1238zd2_176,
		obj_t BgL_predicatezd2of1239zd2_177, obj_t BgL_stackzd2allocator1240zd2_178,
		bool_t BgL_topzf31241zf3_179, obj_t BgL_thezd2closure1242zd2_180,
		obj_t BgL_effect1243z00_181, obj_t BgL_failsafe1244z00_182,
		obj_t BgL_argszd2noescape1245zd2_183, obj_t BgL_argszd2retescape1246zd2_184)
	{
		{	/* Ast/var.sch 382 */
			{	/* Ast/var.sch 382 */
				BgL_funz00_bglt BgL_new1195z00_3760;

				{	/* Ast/var.sch 382 */
					BgL_funz00_bglt BgL_new1194z00_3761;

					BgL_new1194z00_3761 =
						((BgL_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funz00_bgl))));
					{	/* Ast/var.sch 382 */
						long BgL_arg1293z00_3762;

						BgL_arg1293z00_3762 = BGL_CLASS_NUM(BGl_funz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1194z00_3761), BgL_arg1293z00_3762);
					}
					BgL_new1195z00_3760 = BgL_new1194z00_3761;
				}
				((((BgL_funz00_bglt) COBJECT(BgL_new1195z00_3760))->BgL_arityz00) =
					((long) BgL_arity1237z00_175), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1195z00_3760))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1238zd2_176), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1195z00_3760))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1239zd2_177), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1195z00_3760))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1240zd2_178), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1195z00_3760))->BgL_topzf3zf3) =
					((bool_t) BgL_topzf31241zf3_179), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1195z00_3760))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1242zd2_180), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1195z00_3760))->BgL_effectz00) =
					((obj_t) BgL_effect1243z00_181), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1195z00_3760))->BgL_failsafez00) =
					((obj_t) BgL_failsafe1244z00_182), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1195z00_3760))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1245zd2_183), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1195z00_3760))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1246zd2_184), BUNSPEC);
				return BgL_new1195z00_3760;
			}
		}

	}



/* &make-fun */
	BgL_funz00_bglt BGl_z62makezd2funzb0zzast_varz00(obj_t BgL_envz00_2673,
		obj_t BgL_arity1237z00_2674, obj_t BgL_sidezd2effect1238zd2_2675,
		obj_t BgL_predicatezd2of1239zd2_2676,
		obj_t BgL_stackzd2allocator1240zd2_2677, obj_t BgL_topzf31241zf3_2678,
		obj_t BgL_thezd2closure1242zd2_2679, obj_t BgL_effect1243z00_2680,
		obj_t BgL_failsafe1244z00_2681, obj_t BgL_argszd2noescape1245zd2_2682,
		obj_t BgL_argszd2retescape1246zd2_2683)
	{
		{	/* Ast/var.sch 382 */
			return
				BGl_makezd2funzd2zzast_varz00(
				(long) CINT(BgL_arity1237z00_2674), BgL_sidezd2effect1238zd2_2675,
				BgL_predicatezd2of1239zd2_2676, BgL_stackzd2allocator1240zd2_2677,
				CBOOL(BgL_topzf31241zf3_2678), BgL_thezd2closure1242zd2_2679,
				BgL_effect1243z00_2680, BgL_failsafe1244z00_2681,
				BgL_argszd2noescape1245zd2_2682, BgL_argszd2retescape1246zd2_2683);
		}

	}



/* fun? */
	BGL_EXPORTED_DEF bool_t BGl_funzf3zf3zzast_varz00(obj_t BgL_objz00_185)
	{
		{	/* Ast/var.sch 383 */
			{	/* Ast/var.sch 383 */
				obj_t BgL_classz00_3763;

				BgL_classz00_3763 = BGl_funz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_185))
					{	/* Ast/var.sch 383 */
						BgL_objectz00_bglt BgL_arg1820z00_3764;

						BgL_arg1820z00_3764 = (BgL_objectz00_bglt) (BgL_objz00_185);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 383 */
								long BgL_idxz00_3765;

								BgL_idxz00_3765 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3764);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3765 + ((long) 2))) == BgL_classz00_3763);
							}
						else
							{	/* Ast/var.sch 383 */
								bool_t BgL_res2165z00_3768;

								{	/* Ast/var.sch 383 */
									obj_t BgL_oclassz00_3769;

									{	/* Ast/var.sch 383 */
										long BgL_arg1828z00_3770;

										{	/* Ast/var.sch 383 */
											long BgL_arg1829z00_3771;

											BgL_arg1829z00_3771 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3764);
											BgL_arg1828z00_3770 = (BgL_arg1829z00_3771 - OBJECT_TYPE);
										}
										BgL_oclassz00_3769 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3770);
									}
									{	/* Ast/var.sch 383 */
										bool_t BgL__ortest_1111z00_3772;

										BgL__ortest_1111z00_3772 =
											(BgL_classz00_3763 == BgL_oclassz00_3769);
										if (BgL__ortest_1111z00_3772)
											{	/* Ast/var.sch 383 */
												BgL_res2165z00_3768 = BgL__ortest_1111z00_3772;
											}
										else
											{	/* Ast/var.sch 383 */
												long BgL_odepthz00_3773;

												BgL_odepthz00_3773 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3769);
												if ((((long) 2) < BgL_odepthz00_3773))
													{	/* Ast/var.sch 383 */
														obj_t BgL_arg1816z00_3774;

														BgL_arg1816z00_3774 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3769,
															((long) 2));
														BgL_res2165z00_3768 =
															(BgL_arg1816z00_3774 == BgL_classz00_3763);
													}
												else
													{	/* Ast/var.sch 383 */
														BgL_res2165z00_3768 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2165z00_3768;
							}
					}
				else
					{	/* Ast/var.sch 383 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &fun? */
	obj_t BGl_z62funzf3z91zzast_varz00(obj_t BgL_envz00_2684,
		obj_t BgL_objz00_2685)
	{
		{	/* Ast/var.sch 383 */
			return BBOOL(BGl_funzf3zf3zzast_varz00(BgL_objz00_2685));
		}

	}



/* fun-nil */
	BGL_EXPORTED_DEF BgL_funz00_bglt BGl_funzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 384 */
			{	/* Ast/var.sch 384 */
				obj_t BgL_classz00_1768;

				BgL_classz00_1768 = BGl_funz00zzast_varz00;
				{	/* Ast/var.sch 384 */
					obj_t BgL__ortest_1113z00_1769;

					BgL__ortest_1113z00_1769 = BGL_CLASS_NIL(BgL_classz00_1768);
					if (CBOOL(BgL__ortest_1113z00_1769))
						{	/* Ast/var.sch 384 */
							return ((BgL_funz00_bglt) BgL__ortest_1113z00_1769);
						}
					else
						{	/* Ast/var.sch 384 */
							return
								((BgL_funz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1768));
						}
				}
			}
		}

	}



/* &fun-nil */
	BgL_funz00_bglt BGl_z62funzd2nilzb0zzast_varz00(obj_t BgL_envz00_2686)
	{
		{	/* Ast/var.sch 384 */
			return BGl_funzd2nilzd2zzast_varz00();
		}

	}



/* fun-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2argszd2retescapez00zzast_varz00(BgL_funz00_bglt BgL_oz00_186)
	{
		{	/* Ast/var.sch 385 */
			return
				(((BgL_funz00_bglt) COBJECT(BgL_oz00_186))->BgL_argszd2retescapezd2);
		}

	}



/* &fun-args-retescape */
	obj_t BGl_z62funzd2argszd2retescapez62zzast_varz00(obj_t BgL_envz00_2687,
		obj_t BgL_oz00_2688)
	{
		{	/* Ast/var.sch 385 */
			return
				BGl_funzd2argszd2retescapez00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2688));
		}

	}



/* fun-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_187, obj_t BgL_vz00_188)
	{
		{	/* Ast/var.sch 386 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_187))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_188), BUNSPEC);
		}

	}



/* &fun-args-retescape-set! */
	obj_t BGl_z62funzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2689, obj_t BgL_oz00_2690, obj_t BgL_vz00_2691)
	{
		{	/* Ast/var.sch 386 */
			return
				BGl_funzd2argszd2retescapezd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2690), BgL_vz00_2691);
		}

	}



/* fun-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2argszd2noescapez00zzast_varz00(BgL_funz00_bglt BgL_oz00_189)
	{
		{	/* Ast/var.sch 387 */
			return
				(((BgL_funz00_bglt) COBJECT(BgL_oz00_189))->BgL_argszd2noescapezd2);
		}

	}



/* &fun-args-noescape */
	obj_t BGl_z62funzd2argszd2noescapez62zzast_varz00(obj_t BgL_envz00_2692,
		obj_t BgL_oz00_2693)
	{
		{	/* Ast/var.sch 387 */
			return
				BGl_funzd2argszd2noescapez00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2693));
		}

	}



/* fun-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_190, obj_t BgL_vz00_191)
	{
		{	/* Ast/var.sch 388 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_190))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_191), BUNSPEC);
		}

	}



/* &fun-args-noescape-set! */
	obj_t BGl_z62funzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2694, obj_t BgL_oz00_2695, obj_t BgL_vz00_2696)
	{
		{	/* Ast/var.sch 388 */
			return
				BGl_funzd2argszd2noescapezd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2695), BgL_vz00_2696);
		}

	}



/* fun-failsafe */
	BGL_EXPORTED_DEF obj_t BGl_funzd2failsafezd2zzast_varz00(BgL_funz00_bglt
		BgL_oz00_192)
	{
		{	/* Ast/var.sch 389 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_192))->BgL_failsafez00);
		}

	}



/* &fun-failsafe */
	obj_t BGl_z62funzd2failsafezb0zzast_varz00(obj_t BgL_envz00_2697,
		obj_t BgL_oz00_2698)
	{
		{	/* Ast/var.sch 389 */
			return
				BGl_funzd2failsafezd2zzast_varz00(((BgL_funz00_bglt) BgL_oz00_2698));
		}

	}



/* fun-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2failsafezd2setz12z12zzast_varz00(BgL_funz00_bglt BgL_oz00_193,
		obj_t BgL_vz00_194)
	{
		{	/* Ast/var.sch 390 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_193))->BgL_failsafez00) =
				((obj_t) BgL_vz00_194), BUNSPEC);
		}

	}



/* &fun-failsafe-set! */
	obj_t BGl_z62funzd2failsafezd2setz12z70zzast_varz00(obj_t BgL_envz00_2699,
		obj_t BgL_oz00_2700, obj_t BgL_vz00_2701)
	{
		{	/* Ast/var.sch 390 */
			return
				BGl_funzd2failsafezd2setz12z12zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2700), BgL_vz00_2701);
		}

	}



/* fun-effect */
	BGL_EXPORTED_DEF obj_t BGl_funzd2effectzd2zzast_varz00(BgL_funz00_bglt
		BgL_oz00_195)
	{
		{	/* Ast/var.sch 391 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_195))->BgL_effectz00);
		}

	}



/* &fun-effect */
	obj_t BGl_z62funzd2effectzb0zzast_varz00(obj_t BgL_envz00_2702,
		obj_t BgL_oz00_2703)
	{
		{	/* Ast/var.sch 391 */
			return BGl_funzd2effectzd2zzast_varz00(((BgL_funz00_bglt) BgL_oz00_2703));
		}

	}



/* fun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2effectzd2setz12z12zzast_varz00(BgL_funz00_bglt BgL_oz00_196,
		obj_t BgL_vz00_197)
	{
		{	/* Ast/var.sch 392 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_196))->BgL_effectz00) =
				((obj_t) BgL_vz00_197), BUNSPEC);
		}

	}



/* &fun-effect-set! */
	obj_t BGl_z62funzd2effectzd2setz12z70zzast_varz00(obj_t BgL_envz00_2704,
		obj_t BgL_oz00_2705, obj_t BgL_vz00_2706)
	{
		{	/* Ast/var.sch 392 */
			return
				BGl_funzd2effectzd2setz12z12zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2705), BgL_vz00_2706);
		}

	}



/* fun-the-closure */
	BGL_EXPORTED_DEF obj_t BGl_funzd2thezd2closurez00zzast_varz00(BgL_funz00_bglt
		BgL_oz00_198)
	{
		{	/* Ast/var.sch 393 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_198))->BgL_thezd2closurezd2);
		}

	}



/* &fun-the-closure */
	obj_t BGl_z62funzd2thezd2closurez62zzast_varz00(obj_t BgL_envz00_2707,
		obj_t BgL_oz00_2708)
	{
		{	/* Ast/var.sch 393 */
			return
				BGl_funzd2thezd2closurez00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2708));
		}

	}



/* fun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_199, obj_t BgL_vz00_200)
	{
		{	/* Ast/var.sch 394 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_199))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_200), BUNSPEC);
		}

	}



/* &fun-the-closure-set! */
	obj_t BGl_z62funzd2thezd2closurezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2709, obj_t BgL_oz00_2710, obj_t BgL_vz00_2711)
	{
		{	/* Ast/var.sch 394 */
			return
				BGl_funzd2thezd2closurezd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2710), BgL_vz00_2711);
		}

	}



/* fun-top? */
	BGL_EXPORTED_DEF bool_t BGl_funzd2topzf3z21zzast_varz00(BgL_funz00_bglt
		BgL_oz00_201)
	{
		{	/* Ast/var.sch 395 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_201))->BgL_topzf3zf3);
		}

	}



/* &fun-top? */
	obj_t BGl_z62funzd2topzf3z43zzast_varz00(obj_t BgL_envz00_2712,
		obj_t BgL_oz00_2713)
	{
		{	/* Ast/var.sch 395 */
			return
				BBOOL(BGl_funzd2topzf3z21zzast_varz00(
					((BgL_funz00_bglt) BgL_oz00_2713)));
		}

	}



/* fun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2topzf3zd2setz12ze1zzast_varz00(BgL_funz00_bglt BgL_oz00_202,
		bool_t BgL_vz00_203)
	{
		{	/* Ast/var.sch 396 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_202))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_203), BUNSPEC);
		}

	}



/* &fun-top?-set! */
	obj_t BGl_z62funzd2topzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2714,
		obj_t BgL_oz00_2715, obj_t BgL_vz00_2716)
	{
		{	/* Ast/var.sch 396 */
			return
				BGl_funzd2topzf3zd2setz12ze1zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2715), CBOOL(BgL_vz00_2716));
		}

	}



/* fun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2stackzd2allocatorz00zzast_varz00(BgL_funz00_bglt BgL_oz00_204)
	{
		{	/* Ast/var.sch 397 */
			return
				(((BgL_funz00_bglt) COBJECT(BgL_oz00_204))->BgL_stackzd2allocatorzd2);
		}

	}



/* &fun-stack-allocator */
	obj_t BGl_z62funzd2stackzd2allocatorz62zzast_varz00(obj_t BgL_envz00_2717,
		obj_t BgL_oz00_2718)
	{
		{	/* Ast/var.sch 397 */
			return
				BGl_funzd2stackzd2allocatorz00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2718));
		}

	}



/* fun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_205, obj_t BgL_vz00_206)
	{
		{	/* Ast/var.sch 398 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_205))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_206), BUNSPEC);
		}

	}



/* &fun-stack-allocator-set! */
	obj_t BGl_z62funzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2719, obj_t BgL_oz00_2720, obj_t BgL_vz00_2721)
	{
		{	/* Ast/var.sch 398 */
			return
				BGl_funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2720), BgL_vz00_2721);
		}

	}



/* fun-predicate-of */
	BGL_EXPORTED_DEF obj_t BGl_funzd2predicatezd2ofz00zzast_varz00(BgL_funz00_bglt
		BgL_oz00_207)
	{
		{	/* Ast/var.sch 399 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_207))->BgL_predicatezd2ofzd2);
		}

	}



/* &fun-predicate-of */
	obj_t BGl_z62funzd2predicatezd2ofz62zzast_varz00(obj_t BgL_envz00_2722,
		obj_t BgL_oz00_2723)
	{
		{	/* Ast/var.sch 399 */
			return
				BGl_funzd2predicatezd2ofz00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2723));
		}

	}



/* fun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_208, obj_t BgL_vz00_209)
	{
		{	/* Ast/var.sch 400 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_208))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_209), BUNSPEC);
		}

	}



/* &fun-predicate-of-set! */
	obj_t BGl_z62funzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2724, obj_t BgL_oz00_2725, obj_t BgL_vz00_2726)
	{
		{	/* Ast/var.sch 400 */
			return
				BGl_funzd2predicatezd2ofzd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2725), BgL_vz00_2726);
		}

	}



/* fun-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_funzd2sidezd2effectz00zzast_varz00(BgL_funz00_bglt
		BgL_oz00_210)
	{
		{	/* Ast/var.sch 401 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_210))->BgL_sidezd2effectzd2);
		}

	}



/* &fun-side-effect */
	obj_t BGl_z62funzd2sidezd2effectz62zzast_varz00(obj_t BgL_envz00_2727,
		obj_t BgL_oz00_2728)
	{
		{	/* Ast/var.sch 401 */
			return
				BGl_funzd2sidezd2effectz00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2728));
		}

	}



/* fun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_211, obj_t BgL_vz00_212)
	{
		{	/* Ast/var.sch 402 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_211))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_212), BUNSPEC);
		}

	}



/* &fun-side-effect-set! */
	obj_t BGl_z62funzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2729, obj_t BgL_oz00_2730, obj_t BgL_vz00_2731)
	{
		{	/* Ast/var.sch 402 */
			return
				BGl_funzd2sidezd2effectzd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2730), BgL_vz00_2731);
		}

	}



/* fun-arity */
	BGL_EXPORTED_DEF long BGl_funzd2arityzd2zzast_varz00(BgL_funz00_bglt
		BgL_oz00_213)
	{
		{	/* Ast/var.sch 403 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_213))->BgL_arityz00);
		}

	}



/* &fun-arity */
	obj_t BGl_z62funzd2arityzb0zzast_varz00(obj_t BgL_envz00_2732,
		obj_t BgL_oz00_2733)
	{
		{	/* Ast/var.sch 403 */
			return
				BINT(BGl_funzd2arityzd2zzast_varz00(((BgL_funz00_bglt) BgL_oz00_2733)));
		}

	}



/* make-sfun */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long
		BgL_arity1214z00_216, obj_t BgL_sidezd2effect1215zd2_217,
		obj_t BgL_predicatezd2of1216zd2_218, obj_t BgL_stackzd2allocator1217zd2_219,
		bool_t BgL_topzf31218zf3_220, obj_t BgL_thezd2closure1219zd2_221,
		obj_t BgL_effect1220z00_222, obj_t BgL_failsafe1221z00_223,
		obj_t BgL_argszd2noescape1222zd2_224, obj_t BgL_argszd2retescape1223zd2_225,
		obj_t BgL_property1224z00_226, obj_t BgL_args1225z00_227,
		obj_t BgL_argszd2name1226zd2_228, obj_t BgL_body1227z00_229,
		obj_t BgL_class1228z00_230, obj_t BgL_dssslzd2keywords1229zd2_231,
		obj_t BgL_loc1230z00_232, obj_t BgL_optionals1231z00_233,
		obj_t BgL_keys1232z00_234, obj_t BgL_thezd2closurezd2global1233z00_235,
		obj_t BgL_strength1234z00_236, obj_t BgL_stackable1235z00_237)
	{
		{	/* Ast/var.sch 407 */
			{	/* Ast/var.sch 407 */
				BgL_sfunz00_bglt BgL_new1197z00_3775;

				{	/* Ast/var.sch 407 */
					BgL_sfunz00_bglt BgL_new1196z00_3776;

					BgL_new1196z00_3776 =
						((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sfunz00_bgl))));
					{	/* Ast/var.sch 407 */
						long BgL_arg1294z00_3777;

						BgL_arg1294z00_3777 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1196z00_3776), BgL_arg1294z00_3777);
					}
					{	/* Ast/var.sch 407 */
						BgL_objectz00_bglt BgL_tmpz00_4809;

						BgL_tmpz00_4809 = ((BgL_objectz00_bglt) BgL_new1196z00_3776);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4809, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1196z00_3776);
					BgL_new1197z00_3775 = BgL_new1196z00_3776;
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1197z00_3775)))->BgL_arityz00) =
					((long) BgL_arity1214z00_216), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1197z00_3775)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1215zd2_217), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1197z00_3775)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1216zd2_218), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1197z00_3775)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1217zd2_219), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1197z00_3775)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31218zf3_220), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1197z00_3775)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1219zd2_221), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1197z00_3775)))->
						BgL_effectz00) = ((obj_t) BgL_effect1220z00_222), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1197z00_3775)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1221z00_223), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1197z00_3775)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1222zd2_224), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1197z00_3775)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1223zd2_225), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1197z00_3775))->BgL_propertyz00) =
					((obj_t) BgL_property1224z00_226), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1197z00_3775))->BgL_argsz00) =
					((obj_t) BgL_args1225z00_227), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1197z00_3775))->
						BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1226zd2_228), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1197z00_3775))->BgL_bodyz00) =
					((obj_t) BgL_body1227z00_229), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1197z00_3775))->BgL_classz00) =
					((obj_t) BgL_class1228z00_230), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1197z00_3775))->
						BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1229zd2_231), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1197z00_3775))->BgL_locz00) =
					((obj_t) BgL_loc1230z00_232), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1197z00_3775))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1231z00_233), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1197z00_3775))->BgL_keysz00) =
					((obj_t) BgL_keys1232z00_234), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1197z00_3775))->
						BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1233z00_235), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1197z00_3775))->BgL_strengthz00) =
					((obj_t) BgL_strength1234z00_236), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1197z00_3775))->BgL_stackablez00) =
					((obj_t) BgL_stackable1235z00_237), BUNSPEC);
				return BgL_new1197z00_3775;
			}
		}

	}



/* &make-sfun */
	BgL_sfunz00_bglt BGl_z62makezd2sfunzb0zzast_varz00(obj_t BgL_envz00_2734,
		obj_t BgL_arity1214z00_2735, obj_t BgL_sidezd2effect1215zd2_2736,
		obj_t BgL_predicatezd2of1216zd2_2737,
		obj_t BgL_stackzd2allocator1217zd2_2738, obj_t BgL_topzf31218zf3_2739,
		obj_t BgL_thezd2closure1219zd2_2740, obj_t BgL_effect1220z00_2741,
		obj_t BgL_failsafe1221z00_2742, obj_t BgL_argszd2noescape1222zd2_2743,
		obj_t BgL_argszd2retescape1223zd2_2744, obj_t BgL_property1224z00_2745,
		obj_t BgL_args1225z00_2746, obj_t BgL_argszd2name1226zd2_2747,
		obj_t BgL_body1227z00_2748, obj_t BgL_class1228z00_2749,
		obj_t BgL_dssslzd2keywords1229zd2_2750, obj_t BgL_loc1230z00_2751,
		obj_t BgL_optionals1231z00_2752, obj_t BgL_keys1232z00_2753,
		obj_t BgL_thezd2closurezd2global1233z00_2754,
		obj_t BgL_strength1234z00_2755, obj_t BgL_stackable1235z00_2756)
	{
		{	/* Ast/var.sch 407 */
			return
				BGl_makezd2sfunzd2zzast_varz00(
				(long) CINT(BgL_arity1214z00_2735), BgL_sidezd2effect1215zd2_2736,
				BgL_predicatezd2of1216zd2_2737, BgL_stackzd2allocator1217zd2_2738,
				CBOOL(BgL_topzf31218zf3_2739), BgL_thezd2closure1219zd2_2740,
				BgL_effect1220z00_2741, BgL_failsafe1221z00_2742,
				BgL_argszd2noescape1222zd2_2743, BgL_argszd2retescape1223zd2_2744,
				BgL_property1224z00_2745, BgL_args1225z00_2746,
				BgL_argszd2name1226zd2_2747, BgL_body1227z00_2748,
				BgL_class1228z00_2749, BgL_dssslzd2keywords1229zd2_2750,
				BgL_loc1230z00_2751, BgL_optionals1231z00_2752, BgL_keys1232z00_2753,
				BgL_thezd2closurezd2global1233z00_2754, BgL_strength1234z00_2755,
				BgL_stackable1235z00_2756);
		}

	}



/* sfun? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzf3zf3zzast_varz00(obj_t BgL_objz00_238)
	{
		{	/* Ast/var.sch 408 */
			{	/* Ast/var.sch 408 */
				obj_t BgL_classz00_3778;

				BgL_classz00_3778 = BGl_sfunz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_238))
					{	/* Ast/var.sch 408 */
						BgL_objectz00_bglt BgL_arg1820z00_3779;

						BgL_arg1820z00_3779 = (BgL_objectz00_bglt) (BgL_objz00_238);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 408 */
								long BgL_idxz00_3780;

								BgL_idxz00_3780 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3779);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3780 + ((long) 3))) == BgL_classz00_3778);
							}
						else
							{	/* Ast/var.sch 408 */
								bool_t BgL_res2166z00_3783;

								{	/* Ast/var.sch 408 */
									obj_t BgL_oclassz00_3784;

									{	/* Ast/var.sch 408 */
										long BgL_arg1828z00_3785;

										{	/* Ast/var.sch 408 */
											long BgL_arg1829z00_3786;

											BgL_arg1829z00_3786 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3779);
											BgL_arg1828z00_3785 = (BgL_arg1829z00_3786 - OBJECT_TYPE);
										}
										BgL_oclassz00_3784 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3785);
									}
									{	/* Ast/var.sch 408 */
										bool_t BgL__ortest_1111z00_3787;

										BgL__ortest_1111z00_3787 =
											(BgL_classz00_3778 == BgL_oclassz00_3784);
										if (BgL__ortest_1111z00_3787)
											{	/* Ast/var.sch 408 */
												BgL_res2166z00_3783 = BgL__ortest_1111z00_3787;
											}
										else
											{	/* Ast/var.sch 408 */
												long BgL_odepthz00_3788;

												BgL_odepthz00_3788 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3784);
												if ((((long) 3) < BgL_odepthz00_3788))
													{	/* Ast/var.sch 408 */
														obj_t BgL_arg1816z00_3789;

														BgL_arg1816z00_3789 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3784,
															((long) 3));
														BgL_res2166z00_3783 =
															(BgL_arg1816z00_3789 == BgL_classz00_3778);
													}
												else
													{	/* Ast/var.sch 408 */
														BgL_res2166z00_3783 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2166z00_3783;
							}
					}
				else
					{	/* Ast/var.sch 408 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun? */
	obj_t BGl_z62sfunzf3z91zzast_varz00(obj_t BgL_envz00_2757,
		obj_t BgL_objz00_2758)
	{
		{	/* Ast/var.sch 408 */
			return BBOOL(BGl_sfunzf3zf3zzast_varz00(BgL_objz00_2758));
		}

	}



/* sfun-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_sfunzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 409 */
			{	/* Ast/var.sch 409 */
				obj_t BgL_classz00_1808;

				BgL_classz00_1808 = BGl_sfunz00zzast_varz00;
				{	/* Ast/var.sch 409 */
					obj_t BgL__ortest_1113z00_1809;

					BgL__ortest_1113z00_1809 = BGL_CLASS_NIL(BgL_classz00_1808);
					if (CBOOL(BgL__ortest_1113z00_1809))
						{	/* Ast/var.sch 409 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1113z00_1809);
						}
					else
						{	/* Ast/var.sch 409 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1808));
						}
				}
			}
		}

	}



/* &sfun-nil */
	BgL_sfunz00_bglt BGl_z62sfunzd2nilzb0zzast_varz00(obj_t BgL_envz00_2759)
	{
		{	/* Ast/var.sch 409 */
			return BGl_sfunzd2nilzd2zzast_varz00();
		}

	}



/* sfun-stackable */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2stackablezd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_239)
	{
		{	/* Ast/var.sch 410 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_239))->BgL_stackablez00);
		}

	}



/* &sfun-stackable */
	obj_t BGl_z62sfunzd2stackablezb0zzast_varz00(obj_t BgL_envz00_2760,
		obj_t BgL_oz00_2761)
	{
		{	/* Ast/var.sch 410 */
			return
				BGl_sfunzd2stackablezd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2761));
		}

	}



/* sfun-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2stackablezd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_240,
		obj_t BgL_vz00_241)
	{
		{	/* Ast/var.sch 411 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_240))->BgL_stackablez00) =
				((obj_t) BgL_vz00_241), BUNSPEC);
		}

	}



/* &sfun-stackable-set! */
	obj_t BGl_z62sfunzd2stackablezd2setz12z70zzast_varz00(obj_t BgL_envz00_2762,
		obj_t BgL_oz00_2763, obj_t BgL_vz00_2764)
	{
		{	/* Ast/var.sch 411 */
			return
				BGl_sfunzd2stackablezd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2763), BgL_vz00_2764);
		}

	}



/* sfun-strength */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2strengthzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_242)
	{
		{	/* Ast/var.sch 412 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_242))->BgL_strengthz00);
		}

	}



/* &sfun-strength */
	obj_t BGl_z62sfunzd2strengthzb0zzast_varz00(obj_t BgL_envz00_2765,
		obj_t BgL_oz00_2766)
	{
		{	/* Ast/var.sch 412 */
			return
				BGl_sfunzd2strengthzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2766));
		}

	}



/* sfun-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2strengthzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_243,
		obj_t BgL_vz00_244)
	{
		{	/* Ast/var.sch 413 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_243))->BgL_strengthz00) =
				((obj_t) BgL_vz00_244), BUNSPEC);
		}

	}



/* &sfun-strength-set! */
	obj_t BGl_z62sfunzd2strengthzd2setz12z70zzast_varz00(obj_t BgL_envz00_2767,
		obj_t BgL_oz00_2768, obj_t BgL_vz00_2769)
	{
		{	/* Ast/var.sch 413 */
			return
				BGl_sfunzd2strengthzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2768), BgL_vz00_2769);
		}

	}



/* sfun-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2thezd2closurezd2globalzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_245)
	{
		{	/* Ast/var.sch 414 */
			return
				(((BgL_sfunz00_bglt) COBJECT(BgL_oz00_245))->
				BgL_thezd2closurezd2globalz00);
		}

	}



/* &sfun-the-closure-global */
	obj_t BGl_z62sfunzd2thezd2closurezd2globalzb0zzast_varz00(obj_t
		BgL_envz00_2770, obj_t BgL_oz00_2771)
	{
		{	/* Ast/var.sch 414 */
			return
				BGl_sfunzd2thezd2closurezd2globalzd2zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2771));
		}

	}



/* sfun-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2thezd2closurezd2globalzd2setz12z12zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_246, obj_t BgL_vz00_247)
	{
		{	/* Ast/var.sch 415 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_246))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_247), BUNSPEC);
		}

	}



/* &sfun-the-closure-global-set! */
	obj_t BGl_z62sfunzd2thezd2closurezd2globalzd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2772, obj_t BgL_oz00_2773, obj_t BgL_vz00_2774)
	{
		{	/* Ast/var.sch 415 */
			return
				BGl_sfunzd2thezd2closurezd2globalzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2773), BgL_vz00_2774);
		}

	}



/* sfun-keys */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2keyszd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_248)
	{
		{	/* Ast/var.sch 416 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_248))->BgL_keysz00);
		}

	}



/* &sfun-keys */
	obj_t BGl_z62sfunzd2keyszb0zzast_varz00(obj_t BgL_envz00_2775,
		obj_t BgL_oz00_2776)
	{
		{	/* Ast/var.sch 416 */
			return BGl_sfunzd2keyszd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2776));
		}

	}



/* sfun-optionals */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2optionalszd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_251)
	{
		{	/* Ast/var.sch 418 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_251))->BgL_optionalsz00);
		}

	}



/* &sfun-optionals */
	obj_t BGl_z62sfunzd2optionalszb0zzast_varz00(obj_t BgL_envz00_2777,
		obj_t BgL_oz00_2778)
	{
		{	/* Ast/var.sch 418 */
			return
				BGl_sfunzd2optionalszd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2778));
		}

	}



/* sfun-loc */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2loczd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_254)
	{
		{	/* Ast/var.sch 420 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_254))->BgL_locz00);
		}

	}



/* &sfun-loc */
	obj_t BGl_z62sfunzd2loczb0zzast_varz00(obj_t BgL_envz00_2779,
		obj_t BgL_oz00_2780)
	{
		{	/* Ast/var.sch 420 */
			return BGl_sfunzd2loczd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2780));
		}

	}



/* sfun-loc-set! */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2loczd2setz12z12zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_255, obj_t BgL_vz00_256)
	{
		{	/* Ast/var.sch 421 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_255))->BgL_locz00) =
				((obj_t) BgL_vz00_256), BUNSPEC);
		}

	}



/* &sfun-loc-set! */
	obj_t BGl_z62sfunzd2loczd2setz12z70zzast_varz00(obj_t BgL_envz00_2781,
		obj_t BgL_oz00_2782, obj_t BgL_vz00_2783)
	{
		{	/* Ast/var.sch 421 */
			return
				BGl_sfunzd2loczd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2782), BgL_vz00_2783);
		}

	}



/* sfun-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2dssslzd2keywordsz00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_257)
	{
		{	/* Ast/var.sch 422 */
			return
				(((BgL_sfunz00_bglt) COBJECT(BgL_oz00_257))->BgL_dssslzd2keywordszd2);
		}

	}



/* &sfun-dsssl-keywords */
	obj_t BGl_z62sfunzd2dssslzd2keywordsz62zzast_varz00(obj_t BgL_envz00_2784,
		obj_t BgL_oz00_2785)
	{
		{	/* Ast/var.sch 422 */
			return
				BGl_sfunzd2dssslzd2keywordsz00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2785));
		}

	}



/* sfun-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_258, obj_t BgL_vz00_259)
	{
		{	/* Ast/var.sch 423 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_258))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_259), BUNSPEC);
		}

	}



/* &sfun-dsssl-keywords-set! */
	obj_t BGl_z62sfunzd2dssslzd2keywordszd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2786, obj_t BgL_oz00_2787, obj_t BgL_vz00_2788)
	{
		{	/* Ast/var.sch 423 */
			return
				BGl_sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2787), BgL_vz00_2788);
		}

	}



/* sfun-class */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2classzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_260)
	{
		{	/* Ast/var.sch 424 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_260))->BgL_classz00);
		}

	}



/* &sfun-class */
	obj_t BGl_z62sfunzd2classzb0zzast_varz00(obj_t BgL_envz00_2789,
		obj_t BgL_oz00_2790)
	{
		{	/* Ast/var.sch 424 */
			return
				BGl_sfunzd2classzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2790));
		}

	}



/* sfun-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2classzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_261,
		obj_t BgL_vz00_262)
	{
		{	/* Ast/var.sch 425 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_261))->BgL_classz00) =
				((obj_t) BgL_vz00_262), BUNSPEC);
		}

	}



/* &sfun-class-set! */
	obj_t BGl_z62sfunzd2classzd2setz12z70zzast_varz00(obj_t BgL_envz00_2791,
		obj_t BgL_oz00_2792, obj_t BgL_vz00_2793)
	{
		{	/* Ast/var.sch 425 */
			return
				BGl_sfunzd2classzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2792), BgL_vz00_2793);
		}

	}



/* sfun-body */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2bodyzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_263)
	{
		{	/* Ast/var.sch 426 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_263))->BgL_bodyz00);
		}

	}



/* &sfun-body */
	obj_t BGl_z62sfunzd2bodyzb0zzast_varz00(obj_t BgL_envz00_2794,
		obj_t BgL_oz00_2795)
	{
		{	/* Ast/var.sch 426 */
			return BGl_sfunzd2bodyzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2795));
		}

	}



/* sfun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2bodyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_264,
		obj_t BgL_vz00_265)
	{
		{	/* Ast/var.sch 427 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_264))->BgL_bodyz00) =
				((obj_t) BgL_vz00_265), BUNSPEC);
		}

	}



/* &sfun-body-set! */
	obj_t BGl_z62sfunzd2bodyzd2setz12z70zzast_varz00(obj_t BgL_envz00_2796,
		obj_t BgL_oz00_2797, obj_t BgL_vz00_2798)
	{
		{	/* Ast/var.sch 427 */
			return
				BGl_sfunzd2bodyzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2797), BgL_vz00_2798);
		}

	}



/* sfun-args-name */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2argszd2namez00zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_266)
	{
		{	/* Ast/var.sch 428 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_266))->BgL_argszd2namezd2);
		}

	}



/* &sfun-args-name */
	obj_t BGl_z62sfunzd2argszd2namez62zzast_varz00(obj_t BgL_envz00_2799,
		obj_t BgL_oz00_2800)
	{
		{	/* Ast/var.sch 428 */
			return
				BGl_sfunzd2argszd2namez00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2800));
		}

	}



/* sfun-args */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2argszd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_269)
	{
		{	/* Ast/var.sch 430 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_269))->BgL_argsz00);
		}

	}



/* &sfun-args */
	obj_t BGl_z62sfunzd2argszb0zzast_varz00(obj_t BgL_envz00_2801,
		obj_t BgL_oz00_2802)
	{
		{	/* Ast/var.sch 430 */
			return BGl_sfunzd2argszd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2802));
		}

	}



/* sfun-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_270,
		obj_t BgL_vz00_271)
	{
		{	/* Ast/var.sch 431 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_270))->BgL_argsz00) =
				((obj_t) BgL_vz00_271), BUNSPEC);
		}

	}



/* &sfun-args-set! */
	obj_t BGl_z62sfunzd2argszd2setz12z70zzast_varz00(obj_t BgL_envz00_2803,
		obj_t BgL_oz00_2804, obj_t BgL_vz00_2805)
	{
		{	/* Ast/var.sch 431 */
			return
				BGl_sfunzd2argszd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2804), BgL_vz00_2805);
		}

	}



/* sfun-property */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2propertyzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_272)
	{
		{	/* Ast/var.sch 432 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_272))->BgL_propertyz00);
		}

	}



/* &sfun-property */
	obj_t BGl_z62sfunzd2propertyzb0zzast_varz00(obj_t BgL_envz00_2806,
		obj_t BgL_oz00_2807)
	{
		{	/* Ast/var.sch 432 */
			return
				BGl_sfunzd2propertyzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2807));
		}

	}



/* sfun-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2propertyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_273,
		obj_t BgL_vz00_274)
	{
		{	/* Ast/var.sch 433 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_273))->BgL_propertyz00) =
				((obj_t) BgL_vz00_274), BUNSPEC);
		}

	}



/* &sfun-property-set! */
	obj_t BGl_z62sfunzd2propertyzd2setz12z70zzast_varz00(obj_t BgL_envz00_2808,
		obj_t BgL_oz00_2809, obj_t BgL_vz00_2810)
	{
		{	/* Ast/var.sch 433 */
			return
				BGl_sfunzd2propertyzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2809), BgL_vz00_2810);
		}

	}



/* sfun-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2retescapez00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_275)
	{
		{	/* Ast/var.sch 434 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_275)))->BgL_argszd2retescapezd2);
		}

	}



/* &sfun-args-retescape */
	obj_t BGl_z62sfunzd2argszd2retescapez62zzast_varz00(obj_t BgL_envz00_2811,
		obj_t BgL_oz00_2812)
	{
		{	/* Ast/var.sch 434 */
			return
				BGl_sfunzd2argszd2retescapez00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2812));
		}

	}



/* sfun-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_276, obj_t BgL_vz00_277)
	{
		{	/* Ast/var.sch 435 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_276)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_277), BUNSPEC);
		}

	}



/* &sfun-args-retescape-set! */
	obj_t BGl_z62sfunzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2813, obj_t BgL_oz00_2814, obj_t BgL_vz00_2815)
	{
		{	/* Ast/var.sch 435 */
			return
				BGl_sfunzd2argszd2retescapezd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2814), BgL_vz00_2815);
		}

	}



/* sfun-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2noescapez00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_278)
	{
		{	/* Ast/var.sch 436 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_278)))->BgL_argszd2noescapezd2);
		}

	}



/* &sfun-args-noescape */
	obj_t BGl_z62sfunzd2argszd2noescapez62zzast_varz00(obj_t BgL_envz00_2816,
		obj_t BgL_oz00_2817)
	{
		{	/* Ast/var.sch 436 */
			return
				BGl_sfunzd2argszd2noescapez00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2817));
		}

	}



/* sfun-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_279, obj_t BgL_vz00_280)
	{
		{	/* Ast/var.sch 437 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_279)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_280), BUNSPEC);
		}

	}



/* &sfun-args-noescape-set! */
	obj_t BGl_z62sfunzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2818, obj_t BgL_oz00_2819, obj_t BgL_vz00_2820)
	{
		{	/* Ast/var.sch 437 */
			return
				BGl_sfunzd2argszd2noescapezd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2819), BgL_vz00_2820);
		}

	}



/* sfun-failsafe */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2failsafezd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_281)
	{
		{	/* Ast/var.sch 438 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_281)))->BgL_failsafez00);
		}

	}



/* &sfun-failsafe */
	obj_t BGl_z62sfunzd2failsafezb0zzast_varz00(obj_t BgL_envz00_2821,
		obj_t BgL_oz00_2822)
	{
		{	/* Ast/var.sch 438 */
			return
				BGl_sfunzd2failsafezd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2822));
		}

	}



/* sfun-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2failsafezd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_282,
		obj_t BgL_vz00_283)
	{
		{	/* Ast/var.sch 439 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_282)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_283), BUNSPEC);
		}

	}



/* &sfun-failsafe-set! */
	obj_t BGl_z62sfunzd2failsafezd2setz12z70zzast_varz00(obj_t BgL_envz00_2823,
		obj_t BgL_oz00_2824, obj_t BgL_vz00_2825)
	{
		{	/* Ast/var.sch 439 */
			return
				BGl_sfunzd2failsafezd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2824), BgL_vz00_2825);
		}

	}



/* sfun-effect */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2effectzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_284)
	{
		{	/* Ast/var.sch 440 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_284)))->BgL_effectz00);
		}

	}



/* &sfun-effect */
	obj_t BGl_z62sfunzd2effectzb0zzast_varz00(obj_t BgL_envz00_2826,
		obj_t BgL_oz00_2827)
	{
		{	/* Ast/var.sch 440 */
			return
				BGl_sfunzd2effectzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2827));
		}

	}



/* sfun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2effectzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_285,
		obj_t BgL_vz00_286)
	{
		{	/* Ast/var.sch 441 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_285)))->BgL_effectz00) =
				((obj_t) BgL_vz00_286), BUNSPEC);
		}

	}



/* &sfun-effect-set! */
	obj_t BGl_z62sfunzd2effectzd2setz12z70zzast_varz00(obj_t BgL_envz00_2828,
		obj_t BgL_oz00_2829, obj_t BgL_vz00_2830)
	{
		{	/* Ast/var.sch 441 */
			return
				BGl_sfunzd2effectzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2829), BgL_vz00_2830);
		}

	}



/* sfun-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2thezd2closurez00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_287)
	{
		{	/* Ast/var.sch 442 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_287)))->BgL_thezd2closurezd2);
		}

	}



/* &sfun-the-closure */
	obj_t BGl_z62sfunzd2thezd2closurez62zzast_varz00(obj_t BgL_envz00_2831,
		obj_t BgL_oz00_2832)
	{
		{	/* Ast/var.sch 442 */
			return
				BGl_sfunzd2thezd2closurez00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2832));
		}

	}



/* sfun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_288, obj_t BgL_vz00_289)
	{
		{	/* Ast/var.sch 443 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_288)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_289), BUNSPEC);
		}

	}



/* &sfun-the-closure-set! */
	obj_t BGl_z62sfunzd2thezd2closurezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2833, obj_t BgL_oz00_2834, obj_t BgL_vz00_2835)
	{
		{	/* Ast/var.sch 443 */
			return
				BGl_sfunzd2thezd2closurezd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2834), BgL_vz00_2835);
		}

	}



/* sfun-top? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzd2topzf3z21zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_290)
	{
		{	/* Ast/var.sch 444 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_290)))->BgL_topzf3zf3);
		}

	}



/* &sfun-top? */
	obj_t BGl_z62sfunzd2topzf3z43zzast_varz00(obj_t BgL_envz00_2836,
		obj_t BgL_oz00_2837)
	{
		{	/* Ast/var.sch 444 */
			return
				BBOOL(BGl_sfunzd2topzf3z21zzast_varz00(
					((BgL_sfunz00_bglt) BgL_oz00_2837)));
		}

	}



/* sfun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2topzf3zd2setz12ze1zzast_varz00(BgL_sfunz00_bglt BgL_oz00_291,
		bool_t BgL_vz00_292)
	{
		{	/* Ast/var.sch 445 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_291)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_292), BUNSPEC);
		}

	}



/* &sfun-top?-set! */
	obj_t BGl_z62sfunzd2topzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2838,
		obj_t BgL_oz00_2839, obj_t BgL_vz00_2840)
	{
		{	/* Ast/var.sch 445 */
			return
				BGl_sfunzd2topzf3zd2setz12ze1zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2839), CBOOL(BgL_vz00_2840));
		}

	}



/* sfun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2stackzd2allocatorz00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_293)
	{
		{	/* Ast/var.sch 446 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_293)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &sfun-stack-allocator */
	obj_t BGl_z62sfunzd2stackzd2allocatorz62zzast_varz00(obj_t BgL_envz00_2841,
		obj_t BgL_oz00_2842)
	{
		{	/* Ast/var.sch 446 */
			return
				BGl_sfunzd2stackzd2allocatorz00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2842));
		}

	}



/* sfun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_294, obj_t BgL_vz00_295)
	{
		{	/* Ast/var.sch 447 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_294)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_295), BUNSPEC);
		}

	}



/* &sfun-stack-allocator-set! */
	obj_t BGl_z62sfunzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2843, obj_t BgL_oz00_2844, obj_t BgL_vz00_2845)
	{
		{	/* Ast/var.sch 447 */
			return
				BGl_sfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2844), BgL_vz00_2845);
		}

	}



/* sfun-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2predicatezd2ofz00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_296)
	{
		{	/* Ast/var.sch 448 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_296)))->BgL_predicatezd2ofzd2);
		}

	}



/* &sfun-predicate-of */
	obj_t BGl_z62sfunzd2predicatezd2ofz62zzast_varz00(obj_t BgL_envz00_2846,
		obj_t BgL_oz00_2847)
	{
		{	/* Ast/var.sch 448 */
			return
				BGl_sfunzd2predicatezd2ofz00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2847));
		}

	}



/* sfun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_297, obj_t BgL_vz00_298)
	{
		{	/* Ast/var.sch 449 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_297)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_298), BUNSPEC);
		}

	}



/* &sfun-predicate-of-set! */
	obj_t BGl_z62sfunzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2848, obj_t BgL_oz00_2849, obj_t BgL_vz00_2850)
	{
		{	/* Ast/var.sch 449 */
			return
				BGl_sfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2849), BgL_vz00_2850);
		}

	}



/* sfun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2sidezd2effectz00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_299)
	{
		{	/* Ast/var.sch 450 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_299)))->BgL_sidezd2effectzd2);
		}

	}



/* &sfun-side-effect */
	obj_t BGl_z62sfunzd2sidezd2effectz62zzast_varz00(obj_t BgL_envz00_2851,
		obj_t BgL_oz00_2852)
	{
		{	/* Ast/var.sch 450 */
			return
				BGl_sfunzd2sidezd2effectz00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2852));
		}

	}



/* sfun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_300, obj_t BgL_vz00_301)
	{
		{	/* Ast/var.sch 451 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_300)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_301), BUNSPEC);
		}

	}



/* &sfun-side-effect-set! */
	obj_t BGl_z62sfunzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2853, obj_t BgL_oz00_2854, obj_t BgL_vz00_2855)
	{
		{	/* Ast/var.sch 451 */
			return
				BGl_sfunzd2sidezd2effectzd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2854), BgL_vz00_2855);
		}

	}



/* sfun-arity */
	BGL_EXPORTED_DEF long BGl_sfunzd2arityzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_302)
	{
		{	/* Ast/var.sch 452 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_302)))->BgL_arityz00);
		}

	}



/* &sfun-arity */
	obj_t BGl_z62sfunzd2arityzb0zzast_varz00(obj_t BgL_envz00_2856,
		obj_t BgL_oz00_2857)
	{
		{	/* Ast/var.sch 452 */
			return
				BINT(BGl_sfunzd2arityzd2zzast_varz00(
					((BgL_sfunz00_bglt) BgL_oz00_2857)));
		}

	}



/* make-cfun */
	BGL_EXPORTED_DEF BgL_cfunz00_bglt BGl_makezd2cfunzd2zzast_varz00(long
		BgL_arity1199z00_305, obj_t BgL_sidezd2effect1200zd2_306,
		obj_t BgL_predicatezd2of1201zd2_307, obj_t BgL_stackzd2allocator1202zd2_308,
		bool_t BgL_topzf31203zf3_309, obj_t BgL_thezd2closure1204zd2_310,
		obj_t BgL_effect1205z00_311, obj_t BgL_failsafe1206z00_312,
		obj_t BgL_argszd2noescape1207zd2_313, obj_t BgL_argszd2retescape1208zd2_314,
		obj_t BgL_argszd2type1209zd2_315, bool_t BgL_macrozf31210zf3_316,
		bool_t BgL_infixzf31211zf3_317, obj_t BgL_method1212z00_318)
	{
		{	/* Ast/var.sch 456 */
			{	/* Ast/var.sch 456 */
				BgL_cfunz00_bglt BgL_new1199z00_3790;

				{	/* Ast/var.sch 456 */
					BgL_cfunz00_bglt BgL_new1198z00_3791;

					BgL_new1198z00_3791 =
						((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cfunz00_bgl))));
					{	/* Ast/var.sch 456 */
						long BgL_arg1295z00_3792;

						BgL_arg1295z00_3792 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1198z00_3791), BgL_arg1295z00_3792);
					}
					{	/* Ast/var.sch 456 */
						BgL_objectz00_bglt BgL_tmpz00_5022;

						BgL_tmpz00_5022 = ((BgL_objectz00_bglt) BgL_new1198z00_3791);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5022, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1198z00_3791);
					BgL_new1199z00_3790 = BgL_new1198z00_3791;
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1199z00_3790)))->BgL_arityz00) =
					((long) BgL_arity1199z00_305), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1199z00_3790)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1200zd2_306), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1199z00_3790)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1201zd2_307), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1199z00_3790)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1202zd2_308), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1199z00_3790)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31203zf3_309), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1199z00_3790)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1204zd2_310), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1199z00_3790)))->
						BgL_effectz00) = ((obj_t) BgL_effect1205z00_311), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1199z00_3790)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1206z00_312), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1199z00_3790)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1207zd2_313), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1199z00_3790)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1208zd2_314), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(BgL_new1199z00_3790))->
						BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1209zd2_315), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(BgL_new1199z00_3790))->BgL_macrozf3zf3) =
					((bool_t) BgL_macrozf31210zf3_316), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(BgL_new1199z00_3790))->BgL_infixzf3zf3) =
					((bool_t) BgL_infixzf31211zf3_317), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(BgL_new1199z00_3790))->BgL_methodz00) =
					((obj_t) BgL_method1212z00_318), BUNSPEC);
				return BgL_new1199z00_3790;
			}
		}

	}



/* &make-cfun */
	BgL_cfunz00_bglt BGl_z62makezd2cfunzb0zzast_varz00(obj_t BgL_envz00_2858,
		obj_t BgL_arity1199z00_2859, obj_t BgL_sidezd2effect1200zd2_2860,
		obj_t BgL_predicatezd2of1201zd2_2861,
		obj_t BgL_stackzd2allocator1202zd2_2862, obj_t BgL_topzf31203zf3_2863,
		obj_t BgL_thezd2closure1204zd2_2864, obj_t BgL_effect1205z00_2865,
		obj_t BgL_failsafe1206z00_2866, obj_t BgL_argszd2noescape1207zd2_2867,
		obj_t BgL_argszd2retescape1208zd2_2868, obj_t BgL_argszd2type1209zd2_2869,
		obj_t BgL_macrozf31210zf3_2870, obj_t BgL_infixzf31211zf3_2871,
		obj_t BgL_method1212z00_2872)
	{
		{	/* Ast/var.sch 456 */
			return
				BGl_makezd2cfunzd2zzast_varz00(
				(long) CINT(BgL_arity1199z00_2859), BgL_sidezd2effect1200zd2_2860,
				BgL_predicatezd2of1201zd2_2861, BgL_stackzd2allocator1202zd2_2862,
				CBOOL(BgL_topzf31203zf3_2863), BgL_thezd2closure1204zd2_2864,
				BgL_effect1205z00_2865, BgL_failsafe1206z00_2866,
				BgL_argszd2noescape1207zd2_2867, BgL_argszd2retescape1208zd2_2868,
				BgL_argszd2type1209zd2_2869, CBOOL(BgL_macrozf31210zf3_2870),
				CBOOL(BgL_infixzf31211zf3_2871), BgL_method1212z00_2872);
		}

	}



/* cfun? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzf3zf3zzast_varz00(obj_t BgL_objz00_319)
	{
		{	/* Ast/var.sch 457 */
			{	/* Ast/var.sch 457 */
				obj_t BgL_classz00_3793;

				BgL_classz00_3793 = BGl_cfunz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_319))
					{	/* Ast/var.sch 457 */
						BgL_objectz00_bglt BgL_arg1820z00_3794;

						BgL_arg1820z00_3794 = (BgL_objectz00_bglt) (BgL_objz00_319);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 457 */
								long BgL_idxz00_3795;

								BgL_idxz00_3795 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3794);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3795 + ((long) 3))) == BgL_classz00_3793);
							}
						else
							{	/* Ast/var.sch 457 */
								bool_t BgL_res2167z00_3798;

								{	/* Ast/var.sch 457 */
									obj_t BgL_oclassz00_3799;

									{	/* Ast/var.sch 457 */
										long BgL_arg1828z00_3800;

										{	/* Ast/var.sch 457 */
											long BgL_arg1829z00_3801;

											BgL_arg1829z00_3801 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3794);
											BgL_arg1828z00_3800 = (BgL_arg1829z00_3801 - OBJECT_TYPE);
										}
										BgL_oclassz00_3799 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3800);
									}
									{	/* Ast/var.sch 457 */
										bool_t BgL__ortest_1111z00_3802;

										BgL__ortest_1111z00_3802 =
											(BgL_classz00_3793 == BgL_oclassz00_3799);
										if (BgL__ortest_1111z00_3802)
											{	/* Ast/var.sch 457 */
												BgL_res2167z00_3798 = BgL__ortest_1111z00_3802;
											}
										else
											{	/* Ast/var.sch 457 */
												long BgL_odepthz00_3803;

												BgL_odepthz00_3803 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3799);
												if ((((long) 3) < BgL_odepthz00_3803))
													{	/* Ast/var.sch 457 */
														obj_t BgL_arg1816z00_3804;

														BgL_arg1816z00_3804 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3799,
															((long) 3));
														BgL_res2167z00_3798 =
															(BgL_arg1816z00_3804 == BgL_classz00_3793);
													}
												else
													{	/* Ast/var.sch 457 */
														BgL_res2167z00_3798 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2167z00_3798;
							}
					}
				else
					{	/* Ast/var.sch 457 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cfun? */
	obj_t BGl_z62cfunzf3z91zzast_varz00(obj_t BgL_envz00_2873,
		obj_t BgL_objz00_2874)
	{
		{	/* Ast/var.sch 457 */
			return BBOOL(BGl_cfunzf3zf3zzast_varz00(BgL_objz00_2874));
		}

	}



/* cfun-nil */
	BGL_EXPORTED_DEF BgL_cfunz00_bglt BGl_cfunzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 458 */
			{	/* Ast/var.sch 458 */
				obj_t BgL_classz00_1848;

				BgL_classz00_1848 = BGl_cfunz00zzast_varz00;
				{	/* Ast/var.sch 458 */
					obj_t BgL__ortest_1113z00_1849;

					BgL__ortest_1113z00_1849 = BGL_CLASS_NIL(BgL_classz00_1848);
					if (CBOOL(BgL__ortest_1113z00_1849))
						{	/* Ast/var.sch 458 */
							return ((BgL_cfunz00_bglt) BgL__ortest_1113z00_1849);
						}
					else
						{	/* Ast/var.sch 458 */
							return
								((BgL_cfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1848));
						}
				}
			}
		}

	}



/* &cfun-nil */
	BgL_cfunz00_bglt BGl_z62cfunzd2nilzb0zzast_varz00(obj_t BgL_envz00_2875)
	{
		{	/* Ast/var.sch 458 */
			return BGl_cfunzd2nilzd2zzast_varz00();
		}

	}



/* cfun-method */
	BGL_EXPORTED_DEF obj_t BGl_cfunzd2methodzd2zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_320)
	{
		{	/* Ast/var.sch 459 */
			return (((BgL_cfunz00_bglt) COBJECT(BgL_oz00_320))->BgL_methodz00);
		}

	}



/* &cfun-method */
	obj_t BGl_z62cfunzd2methodzb0zzast_varz00(obj_t BgL_envz00_2876,
		obj_t BgL_oz00_2877)
	{
		{	/* Ast/var.sch 459 */
			return
				BGl_cfunzd2methodzd2zzast_varz00(((BgL_cfunz00_bglt) BgL_oz00_2877));
		}

	}



/* cfun-method-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2methodzd2setz12z12zzast_varz00(BgL_cfunz00_bglt BgL_oz00_321,
		obj_t BgL_vz00_322)
	{
		{	/* Ast/var.sch 460 */
			return
				((((BgL_cfunz00_bglt) COBJECT(BgL_oz00_321))->BgL_methodz00) =
				((obj_t) BgL_vz00_322), BUNSPEC);
		}

	}



/* &cfun-method-set! */
	obj_t BGl_z62cfunzd2methodzd2setz12z70zzast_varz00(obj_t BgL_envz00_2878,
		obj_t BgL_oz00_2879, obj_t BgL_vz00_2880)
	{
		{	/* Ast/var.sch 460 */
			return
				BGl_cfunzd2methodzd2setz12z12zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2879), BgL_vz00_2880);
		}

	}



/* cfun-infix? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzd2infixzf3z21zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_323)
	{
		{	/* Ast/var.sch 461 */
			return (((BgL_cfunz00_bglt) COBJECT(BgL_oz00_323))->BgL_infixzf3zf3);
		}

	}



/* &cfun-infix? */
	obj_t BGl_z62cfunzd2infixzf3z43zzast_varz00(obj_t BgL_envz00_2881,
		obj_t BgL_oz00_2882)
	{
		{	/* Ast/var.sch 461 */
			return
				BBOOL(BGl_cfunzd2infixzf3z21zzast_varz00(
					((BgL_cfunz00_bglt) BgL_oz00_2882)));
		}

	}



/* cfun-infix?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2infixzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt BgL_oz00_324,
		bool_t BgL_vz00_325)
	{
		{	/* Ast/var.sch 462 */
			return
				((((BgL_cfunz00_bglt) COBJECT(BgL_oz00_324))->BgL_infixzf3zf3) =
				((bool_t) BgL_vz00_325), BUNSPEC);
		}

	}



/* &cfun-infix?-set! */
	obj_t BGl_z62cfunzd2infixzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2883,
		obj_t BgL_oz00_2884, obj_t BgL_vz00_2885)
	{
		{	/* Ast/var.sch 462 */
			return
				BGl_cfunzd2infixzf3zd2setz12ze1zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2884), CBOOL(BgL_vz00_2885));
		}

	}



/* cfun-macro? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzd2macrozf3z21zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_326)
	{
		{	/* Ast/var.sch 463 */
			return (((BgL_cfunz00_bglt) COBJECT(BgL_oz00_326))->BgL_macrozf3zf3);
		}

	}



/* &cfun-macro? */
	obj_t BGl_z62cfunzd2macrozf3z43zzast_varz00(obj_t BgL_envz00_2886,
		obj_t BgL_oz00_2887)
	{
		{	/* Ast/var.sch 463 */
			return
				BBOOL(BGl_cfunzd2macrozf3z21zzast_varz00(
					((BgL_cfunz00_bglt) BgL_oz00_2887)));
		}

	}



/* cfun-args-type */
	BGL_EXPORTED_DEF obj_t BGl_cfunzd2argszd2typez00zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_329)
	{
		{	/* Ast/var.sch 465 */
			return (((BgL_cfunz00_bglt) COBJECT(BgL_oz00_329))->BgL_argszd2typezd2);
		}

	}



/* &cfun-args-type */
	obj_t BGl_z62cfunzd2argszd2typez62zzast_varz00(obj_t BgL_envz00_2888,
		obj_t BgL_oz00_2889)
	{
		{	/* Ast/var.sch 465 */
			return
				BGl_cfunzd2argszd2typez00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2889));
		}

	}



/* cfun-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2argszd2retescapez00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_332)
	{
		{	/* Ast/var.sch 467 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_332)))->BgL_argszd2retescapezd2);
		}

	}



/* &cfun-args-retescape */
	obj_t BGl_z62cfunzd2argszd2retescapez62zzast_varz00(obj_t BgL_envz00_2890,
		obj_t BgL_oz00_2891)
	{
		{	/* Ast/var.sch 467 */
			return
				BGl_cfunzd2argszd2retescapez00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2891));
		}

	}



/* cfun-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_333, obj_t BgL_vz00_334)
	{
		{	/* Ast/var.sch 468 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_333)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_334), BUNSPEC);
		}

	}



/* &cfun-args-retescape-set! */
	obj_t BGl_z62cfunzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2892, obj_t BgL_oz00_2893, obj_t BgL_vz00_2894)
	{
		{	/* Ast/var.sch 468 */
			return
				BGl_cfunzd2argszd2retescapezd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2893), BgL_vz00_2894);
		}

	}



/* cfun-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2argszd2noescapez00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_335)
	{
		{	/* Ast/var.sch 469 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_335)))->BgL_argszd2noescapezd2);
		}

	}



/* &cfun-args-noescape */
	obj_t BGl_z62cfunzd2argszd2noescapez62zzast_varz00(obj_t BgL_envz00_2895,
		obj_t BgL_oz00_2896)
	{
		{	/* Ast/var.sch 469 */
			return
				BGl_cfunzd2argszd2noescapez00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2896));
		}

	}



/* cfun-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_336, obj_t BgL_vz00_337)
	{
		{	/* Ast/var.sch 470 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_336)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_337), BUNSPEC);
		}

	}



/* &cfun-args-noescape-set! */
	obj_t BGl_z62cfunzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2897, obj_t BgL_oz00_2898, obj_t BgL_vz00_2899)
	{
		{	/* Ast/var.sch 470 */
			return
				BGl_cfunzd2argszd2noescapezd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2898), BgL_vz00_2899);
		}

	}



/* cfun-failsafe */
	BGL_EXPORTED_DEF obj_t BGl_cfunzd2failsafezd2zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_338)
	{
		{	/* Ast/var.sch 471 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_338)))->BgL_failsafez00);
		}

	}



/* &cfun-failsafe */
	obj_t BGl_z62cfunzd2failsafezb0zzast_varz00(obj_t BgL_envz00_2900,
		obj_t BgL_oz00_2901)
	{
		{	/* Ast/var.sch 471 */
			return
				BGl_cfunzd2failsafezd2zzast_varz00(((BgL_cfunz00_bglt) BgL_oz00_2901));
		}

	}



/* cfun-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2failsafezd2setz12z12zzast_varz00(BgL_cfunz00_bglt BgL_oz00_339,
		obj_t BgL_vz00_340)
	{
		{	/* Ast/var.sch 472 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_339)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_340), BUNSPEC);
		}

	}



/* &cfun-failsafe-set! */
	obj_t BGl_z62cfunzd2failsafezd2setz12z70zzast_varz00(obj_t BgL_envz00_2902,
		obj_t BgL_oz00_2903, obj_t BgL_vz00_2904)
	{
		{	/* Ast/var.sch 472 */
			return
				BGl_cfunzd2failsafezd2setz12z12zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2903), BgL_vz00_2904);
		}

	}



/* cfun-effect */
	BGL_EXPORTED_DEF obj_t BGl_cfunzd2effectzd2zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_341)
	{
		{	/* Ast/var.sch 473 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_341)))->BgL_effectz00);
		}

	}



/* &cfun-effect */
	obj_t BGl_z62cfunzd2effectzb0zzast_varz00(obj_t BgL_envz00_2905,
		obj_t BgL_oz00_2906)
	{
		{	/* Ast/var.sch 473 */
			return
				BGl_cfunzd2effectzd2zzast_varz00(((BgL_cfunz00_bglt) BgL_oz00_2906));
		}

	}



/* cfun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2effectzd2setz12z12zzast_varz00(BgL_cfunz00_bglt BgL_oz00_342,
		obj_t BgL_vz00_343)
	{
		{	/* Ast/var.sch 474 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_342)))->BgL_effectz00) =
				((obj_t) BgL_vz00_343), BUNSPEC);
		}

	}



/* &cfun-effect-set! */
	obj_t BGl_z62cfunzd2effectzd2setz12z70zzast_varz00(obj_t BgL_envz00_2907,
		obj_t BgL_oz00_2908, obj_t BgL_vz00_2909)
	{
		{	/* Ast/var.sch 474 */
			return
				BGl_cfunzd2effectzd2setz12z12zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2908), BgL_vz00_2909);
		}

	}



/* cfun-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2thezd2closurez00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_344)
	{
		{	/* Ast/var.sch 475 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_344)))->BgL_thezd2closurezd2);
		}

	}



/* &cfun-the-closure */
	obj_t BGl_z62cfunzd2thezd2closurez62zzast_varz00(obj_t BgL_envz00_2910,
		obj_t BgL_oz00_2911)
	{
		{	/* Ast/var.sch 475 */
			return
				BGl_cfunzd2thezd2closurez00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2911));
		}

	}



/* cfun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_345, obj_t BgL_vz00_346)
	{
		{	/* Ast/var.sch 476 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_345)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_346), BUNSPEC);
		}

	}



/* &cfun-the-closure-set! */
	obj_t BGl_z62cfunzd2thezd2closurezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2912, obj_t BgL_oz00_2913, obj_t BgL_vz00_2914)
	{
		{	/* Ast/var.sch 476 */
			return
				BGl_cfunzd2thezd2closurezd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2913), BgL_vz00_2914);
		}

	}



/* cfun-top? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzd2topzf3z21zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_347)
	{
		{	/* Ast/var.sch 477 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_347)))->BgL_topzf3zf3);
		}

	}



/* &cfun-top? */
	obj_t BGl_z62cfunzd2topzf3z43zzast_varz00(obj_t BgL_envz00_2915,
		obj_t BgL_oz00_2916)
	{
		{	/* Ast/var.sch 477 */
			return
				BBOOL(BGl_cfunzd2topzf3z21zzast_varz00(
					((BgL_cfunz00_bglt) BgL_oz00_2916)));
		}

	}



/* cfun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2topzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt BgL_oz00_348,
		bool_t BgL_vz00_349)
	{
		{	/* Ast/var.sch 478 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_348)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_349), BUNSPEC);
		}

	}



/* &cfun-top?-set! */
	obj_t BGl_z62cfunzd2topzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2917,
		obj_t BgL_oz00_2918, obj_t BgL_vz00_2919)
	{
		{	/* Ast/var.sch 478 */
			return
				BGl_cfunzd2topzf3zd2setz12ze1zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2918), CBOOL(BgL_vz00_2919));
		}

	}



/* cfun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2stackzd2allocatorz00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_350)
	{
		{	/* Ast/var.sch 479 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_350)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &cfun-stack-allocator */
	obj_t BGl_z62cfunzd2stackzd2allocatorz62zzast_varz00(obj_t BgL_envz00_2920,
		obj_t BgL_oz00_2921)
	{
		{	/* Ast/var.sch 479 */
			return
				BGl_cfunzd2stackzd2allocatorz00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2921));
		}

	}



/* cfun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_351, obj_t BgL_vz00_352)
	{
		{	/* Ast/var.sch 480 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_351)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_352), BUNSPEC);
		}

	}



/* &cfun-stack-allocator-set! */
	obj_t BGl_z62cfunzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2922, obj_t BgL_oz00_2923, obj_t BgL_vz00_2924)
	{
		{	/* Ast/var.sch 480 */
			return
				BGl_cfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2923), BgL_vz00_2924);
		}

	}



/* cfun-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2predicatezd2ofz00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_353)
	{
		{	/* Ast/var.sch 481 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_353)))->BgL_predicatezd2ofzd2);
		}

	}



/* &cfun-predicate-of */
	obj_t BGl_z62cfunzd2predicatezd2ofz62zzast_varz00(obj_t BgL_envz00_2925,
		obj_t BgL_oz00_2926)
	{
		{	/* Ast/var.sch 481 */
			return
				BGl_cfunzd2predicatezd2ofz00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2926));
		}

	}



/* cfun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_354, obj_t BgL_vz00_355)
	{
		{	/* Ast/var.sch 482 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_354)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_355), BUNSPEC);
		}

	}



/* &cfun-predicate-of-set! */
	obj_t BGl_z62cfunzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2927, obj_t BgL_oz00_2928, obj_t BgL_vz00_2929)
	{
		{	/* Ast/var.sch 482 */
			return
				BGl_cfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2928), BgL_vz00_2929);
		}

	}



/* cfun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2sidezd2effectz00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_356)
	{
		{	/* Ast/var.sch 483 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_356)))->BgL_sidezd2effectzd2);
		}

	}



/* &cfun-side-effect */
	obj_t BGl_z62cfunzd2sidezd2effectz62zzast_varz00(obj_t BgL_envz00_2930,
		obj_t BgL_oz00_2931)
	{
		{	/* Ast/var.sch 483 */
			return
				BGl_cfunzd2sidezd2effectz00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2931));
		}

	}



/* cfun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_357, obj_t BgL_vz00_358)
	{
		{	/* Ast/var.sch 484 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_357)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_358), BUNSPEC);
		}

	}



/* &cfun-side-effect-set! */
	obj_t BGl_z62cfunzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2932, obj_t BgL_oz00_2933, obj_t BgL_vz00_2934)
	{
		{	/* Ast/var.sch 484 */
			return
				BGl_cfunzd2sidezd2effectzd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2933), BgL_vz00_2934);
		}

	}



/* cfun-arity */
	BGL_EXPORTED_DEF long BGl_cfunzd2arityzd2zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_359)
	{
		{	/* Ast/var.sch 485 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_359)))->BgL_arityz00);
		}

	}



/* &cfun-arity */
	obj_t BGl_z62cfunzd2arityzb0zzast_varz00(obj_t BgL_envz00_2935,
		obj_t BgL_oz00_2936)
	{
		{	/* Ast/var.sch 485 */
			return
				BINT(BGl_cfunzd2arityzd2zzast_varz00(
					((BgL_cfunz00_bglt) BgL_oz00_2936)));
		}

	}



/* make-svar */
	BGL_EXPORTED_DEF BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t
		BgL_loc1197z00_362)
	{
		{	/* Ast/var.sch 489 */
			{	/* Ast/var.sch 489 */
				BgL_svarz00_bglt BgL_new1203z00_3805;

				{	/* Ast/var.sch 489 */
					BgL_svarz00_bglt BgL_new1201z00_3806;

					BgL_new1201z00_3806 =
						((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarz00_bgl))));
					{	/* Ast/var.sch 489 */
						long BgL_arg1296z00_3807;

						BgL_arg1296z00_3807 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1201z00_3806), BgL_arg1296z00_3807);
					}
					{	/* Ast/var.sch 489 */
						BgL_objectz00_bglt BgL_tmpz00_5187;

						BgL_tmpz00_5187 = ((BgL_objectz00_bglt) BgL_new1201z00_3806);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5187, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1201z00_3806);
					BgL_new1203z00_3805 = BgL_new1201z00_3806;
				}
				((((BgL_svarz00_bglt) COBJECT(BgL_new1203z00_3805))->BgL_locz00) =
					((obj_t) BgL_loc1197z00_362), BUNSPEC);
				return BgL_new1203z00_3805;
			}
		}

	}



/* &make-svar */
	BgL_svarz00_bglt BGl_z62makezd2svarzb0zzast_varz00(obj_t BgL_envz00_2937,
		obj_t BgL_loc1197z00_2938)
	{
		{	/* Ast/var.sch 489 */
			return BGl_makezd2svarzd2zzast_varz00(BgL_loc1197z00_2938);
		}

	}



/* svar? */
	BGL_EXPORTED_DEF bool_t BGl_svarzf3zf3zzast_varz00(obj_t BgL_objz00_363)
	{
		{	/* Ast/var.sch 490 */
			{	/* Ast/var.sch 490 */
				obj_t BgL_classz00_3808;

				BgL_classz00_3808 = BGl_svarz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_363))
					{	/* Ast/var.sch 490 */
						BgL_objectz00_bglt BgL_arg1820z00_3809;

						BgL_arg1820z00_3809 = (BgL_objectz00_bglt) (BgL_objz00_363);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 490 */
								long BgL_idxz00_3810;

								BgL_idxz00_3810 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3809);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3810 + ((long) 2))) == BgL_classz00_3808);
							}
						else
							{	/* Ast/var.sch 490 */
								bool_t BgL_res2168z00_3813;

								{	/* Ast/var.sch 490 */
									obj_t BgL_oclassz00_3814;

									{	/* Ast/var.sch 490 */
										long BgL_arg1828z00_3815;

										{	/* Ast/var.sch 490 */
											long BgL_arg1829z00_3816;

											BgL_arg1829z00_3816 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3809);
											BgL_arg1828z00_3815 = (BgL_arg1829z00_3816 - OBJECT_TYPE);
										}
										BgL_oclassz00_3814 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3815);
									}
									{	/* Ast/var.sch 490 */
										bool_t BgL__ortest_1111z00_3817;

										BgL__ortest_1111z00_3817 =
											(BgL_classz00_3808 == BgL_oclassz00_3814);
										if (BgL__ortest_1111z00_3817)
											{	/* Ast/var.sch 490 */
												BgL_res2168z00_3813 = BgL__ortest_1111z00_3817;
											}
										else
											{	/* Ast/var.sch 490 */
												long BgL_odepthz00_3818;

												BgL_odepthz00_3818 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3814);
												if ((((long) 2) < BgL_odepthz00_3818))
													{	/* Ast/var.sch 490 */
														obj_t BgL_arg1816z00_3819;

														BgL_arg1816z00_3819 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3814,
															((long) 2));
														BgL_res2168z00_3813 =
															(BgL_arg1816z00_3819 == BgL_classz00_3808);
													}
												else
													{	/* Ast/var.sch 490 */
														BgL_res2168z00_3813 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2168z00_3813;
							}
					}
				else
					{	/* Ast/var.sch 490 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &svar? */
	obj_t BGl_z62svarzf3z91zzast_varz00(obj_t BgL_envz00_2939,
		obj_t BgL_objz00_2940)
	{
		{	/* Ast/var.sch 490 */
			return BBOOL(BGl_svarzf3zf3zzast_varz00(BgL_objz00_2940));
		}

	}



/* svar-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt BGl_svarzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 491 */
			{	/* Ast/var.sch 491 */
				obj_t BgL_classz00_1888;

				BgL_classz00_1888 = BGl_svarz00zzast_varz00;
				{	/* Ast/var.sch 491 */
					obj_t BgL__ortest_1113z00_1889;

					BgL__ortest_1113z00_1889 = BGL_CLASS_NIL(BgL_classz00_1888);
					if (CBOOL(BgL__ortest_1113z00_1889))
						{	/* Ast/var.sch 491 */
							return ((BgL_svarz00_bglt) BgL__ortest_1113z00_1889);
						}
					else
						{	/* Ast/var.sch 491 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1888));
						}
				}
			}
		}

	}



/* &svar-nil */
	BgL_svarz00_bglt BGl_z62svarzd2nilzb0zzast_varz00(obj_t BgL_envz00_2941)
	{
		{	/* Ast/var.sch 491 */
			return BGl_svarzd2nilzd2zzast_varz00();
		}

	}



/* svar-loc */
	BGL_EXPORTED_DEF obj_t BGl_svarzd2loczd2zzast_varz00(BgL_svarz00_bglt
		BgL_oz00_364)
	{
		{	/* Ast/var.sch 492 */
			return (((BgL_svarz00_bglt) COBJECT(BgL_oz00_364))->BgL_locz00);
		}

	}



/* &svar-loc */
	obj_t BGl_z62svarzd2loczb0zzast_varz00(obj_t BgL_envz00_2942,
		obj_t BgL_oz00_2943)
	{
		{	/* Ast/var.sch 492 */
			return BGl_svarzd2loczd2zzast_varz00(((BgL_svarz00_bglt) BgL_oz00_2943));
		}

	}



/* svar-loc-set! */
	BGL_EXPORTED_DEF obj_t BGl_svarzd2loczd2setz12z12zzast_varz00(BgL_svarz00_bglt
		BgL_oz00_365, obj_t BgL_vz00_366)
	{
		{	/* Ast/var.sch 493 */
			return
				((((BgL_svarz00_bglt) COBJECT(BgL_oz00_365))->BgL_locz00) =
				((obj_t) BgL_vz00_366), BUNSPEC);
		}

	}



/* &svar-loc-set! */
	obj_t BGl_z62svarzd2loczd2setz12z70zzast_varz00(obj_t BgL_envz00_2944,
		obj_t BgL_oz00_2945, obj_t BgL_vz00_2946)
	{
		{	/* Ast/var.sch 493 */
			return
				BGl_svarzd2loczd2setz12z12zzast_varz00(
				((BgL_svarz00_bglt) BgL_oz00_2945), BgL_vz00_2946);
		}

	}



/* make-scnst */
	BGL_EXPORTED_DEF BgL_scnstz00_bglt BGl_makezd2scnstzd2zzast_varz00(obj_t
		BgL_node1193z00_367, obj_t BgL_class1194z00_368, obj_t BgL_loc1195z00_369)
	{
		{	/* Ast/var.sch 496 */
			{	/* Ast/var.sch 496 */
				BgL_scnstz00_bglt BgL_new1205z00_3820;

				{	/* Ast/var.sch 496 */
					BgL_scnstz00_bglt BgL_new1204z00_3821;

					BgL_new1204z00_3821 =
						((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_scnstz00_bgl))));
					{	/* Ast/var.sch 496 */
						long BgL_arg1298z00_3822;

						BgL_arg1298z00_3822 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1204z00_3821), BgL_arg1298z00_3822);
					}
					{	/* Ast/var.sch 496 */
						BgL_objectz00_bglt BgL_tmpz00_5231;

						BgL_tmpz00_5231 = ((BgL_objectz00_bglt) BgL_new1204z00_3821);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5231, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1204z00_3821);
					BgL_new1205z00_3820 = BgL_new1204z00_3821;
				}
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1205z00_3820))->BgL_nodez00) =
					((obj_t) BgL_node1193z00_367), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1205z00_3820))->BgL_classz00) =
					((obj_t) BgL_class1194z00_368), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1205z00_3820))->BgL_locz00) =
					((obj_t) BgL_loc1195z00_369), BUNSPEC);
				return BgL_new1205z00_3820;
			}
		}

	}



/* &make-scnst */
	BgL_scnstz00_bglt BGl_z62makezd2scnstzb0zzast_varz00(obj_t BgL_envz00_2947,
		obj_t BgL_node1193z00_2948, obj_t BgL_class1194z00_2949,
		obj_t BgL_loc1195z00_2950)
	{
		{	/* Ast/var.sch 496 */
			return
				BGl_makezd2scnstzd2zzast_varz00(BgL_node1193z00_2948,
				BgL_class1194z00_2949, BgL_loc1195z00_2950);
		}

	}



/* scnst? */
	BGL_EXPORTED_DEF bool_t BGl_scnstzf3zf3zzast_varz00(obj_t BgL_objz00_370)
	{
		{	/* Ast/var.sch 497 */
			{	/* Ast/var.sch 497 */
				obj_t BgL_classz00_3823;

				BgL_classz00_3823 = BGl_scnstz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_370))
					{	/* Ast/var.sch 497 */
						BgL_objectz00_bglt BgL_arg1820z00_3824;

						BgL_arg1820z00_3824 = (BgL_objectz00_bglt) (BgL_objz00_370);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 497 */
								long BgL_idxz00_3825;

								BgL_idxz00_3825 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3824);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3825 + ((long) 2))) == BgL_classz00_3823);
							}
						else
							{	/* Ast/var.sch 497 */
								bool_t BgL_res2169z00_3828;

								{	/* Ast/var.sch 497 */
									obj_t BgL_oclassz00_3829;

									{	/* Ast/var.sch 497 */
										long BgL_arg1828z00_3830;

										{	/* Ast/var.sch 497 */
											long BgL_arg1829z00_3831;

											BgL_arg1829z00_3831 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3824);
											BgL_arg1828z00_3830 = (BgL_arg1829z00_3831 - OBJECT_TYPE);
										}
										BgL_oclassz00_3829 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3830);
									}
									{	/* Ast/var.sch 497 */
										bool_t BgL__ortest_1111z00_3832;

										BgL__ortest_1111z00_3832 =
											(BgL_classz00_3823 == BgL_oclassz00_3829);
										if (BgL__ortest_1111z00_3832)
											{	/* Ast/var.sch 497 */
												BgL_res2169z00_3828 = BgL__ortest_1111z00_3832;
											}
										else
											{	/* Ast/var.sch 497 */
												long BgL_odepthz00_3833;

												BgL_odepthz00_3833 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3829);
												if ((((long) 2) < BgL_odepthz00_3833))
													{	/* Ast/var.sch 497 */
														obj_t BgL_arg1816z00_3834;

														BgL_arg1816z00_3834 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3829,
															((long) 2));
														BgL_res2169z00_3828 =
															(BgL_arg1816z00_3834 == BgL_classz00_3823);
													}
												else
													{	/* Ast/var.sch 497 */
														BgL_res2169z00_3828 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2169z00_3828;
							}
					}
				else
					{	/* Ast/var.sch 497 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &scnst? */
	obj_t BGl_z62scnstzf3z91zzast_varz00(obj_t BgL_envz00_2951,
		obj_t BgL_objz00_2952)
	{
		{	/* Ast/var.sch 497 */
			return BBOOL(BGl_scnstzf3zf3zzast_varz00(BgL_objz00_2952));
		}

	}



/* scnst-nil */
	BGL_EXPORTED_DEF BgL_scnstz00_bglt BGl_scnstzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 498 */
			{	/* Ast/var.sch 498 */
				obj_t BgL_classz00_1928;

				BgL_classz00_1928 = BGl_scnstz00zzast_varz00;
				{	/* Ast/var.sch 498 */
					obj_t BgL__ortest_1113z00_1929;

					BgL__ortest_1113z00_1929 = BGL_CLASS_NIL(BgL_classz00_1928);
					if (CBOOL(BgL__ortest_1113z00_1929))
						{	/* Ast/var.sch 498 */
							return ((BgL_scnstz00_bglt) BgL__ortest_1113z00_1929);
						}
					else
						{	/* Ast/var.sch 498 */
							return
								((BgL_scnstz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1928));
						}
				}
			}
		}

	}



/* &scnst-nil */
	BgL_scnstz00_bglt BGl_z62scnstzd2nilzb0zzast_varz00(obj_t BgL_envz00_2953)
	{
		{	/* Ast/var.sch 498 */
			return BGl_scnstzd2nilzd2zzast_varz00();
		}

	}



/* scnst-loc */
	BGL_EXPORTED_DEF obj_t BGl_scnstzd2loczd2zzast_varz00(BgL_scnstz00_bglt
		BgL_oz00_371)
	{
		{	/* Ast/var.sch 499 */
			return (((BgL_scnstz00_bglt) COBJECT(BgL_oz00_371))->BgL_locz00);
		}

	}



/* &scnst-loc */
	obj_t BGl_z62scnstzd2loczb0zzast_varz00(obj_t BgL_envz00_2954,
		obj_t BgL_oz00_2955)
	{
		{	/* Ast/var.sch 499 */
			return
				BGl_scnstzd2loczd2zzast_varz00(((BgL_scnstz00_bglt) BgL_oz00_2955));
		}

	}



/* scnst-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzd2loczd2setz12z12zzast_varz00(BgL_scnstz00_bglt BgL_oz00_372,
		obj_t BgL_vz00_373)
	{
		{	/* Ast/var.sch 500 */
			return
				((((BgL_scnstz00_bglt) COBJECT(BgL_oz00_372))->BgL_locz00) =
				((obj_t) BgL_vz00_373), BUNSPEC);
		}

	}



/* &scnst-loc-set! */
	obj_t BGl_z62scnstzd2loczd2setz12z70zzast_varz00(obj_t BgL_envz00_2956,
		obj_t BgL_oz00_2957, obj_t BgL_vz00_2958)
	{
		{	/* Ast/var.sch 500 */
			return
				BGl_scnstzd2loczd2setz12z12zzast_varz00(
				((BgL_scnstz00_bglt) BgL_oz00_2957), BgL_vz00_2958);
		}

	}



/* scnst-class */
	BGL_EXPORTED_DEF obj_t BGl_scnstzd2classzd2zzast_varz00(BgL_scnstz00_bglt
		BgL_oz00_374)
	{
		{	/* Ast/var.sch 501 */
			return (((BgL_scnstz00_bglt) COBJECT(BgL_oz00_374))->BgL_classz00);
		}

	}



/* &scnst-class */
	obj_t BGl_z62scnstzd2classzb0zzast_varz00(obj_t BgL_envz00_2959,
		obj_t BgL_oz00_2960)
	{
		{	/* Ast/var.sch 501 */
			return
				BGl_scnstzd2classzd2zzast_varz00(((BgL_scnstz00_bglt) BgL_oz00_2960));
		}

	}



/* scnst-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzd2classzd2setz12z12zzast_varz00(BgL_scnstz00_bglt BgL_oz00_375,
		obj_t BgL_vz00_376)
	{
		{	/* Ast/var.sch 502 */
			return
				((((BgL_scnstz00_bglt) COBJECT(BgL_oz00_375))->BgL_classz00) =
				((obj_t) BgL_vz00_376), BUNSPEC);
		}

	}



/* &scnst-class-set! */
	obj_t BGl_z62scnstzd2classzd2setz12z70zzast_varz00(obj_t BgL_envz00_2961,
		obj_t BgL_oz00_2962, obj_t BgL_vz00_2963)
	{
		{	/* Ast/var.sch 502 */
			return
				BGl_scnstzd2classzd2setz12z12zzast_varz00(
				((BgL_scnstz00_bglt) BgL_oz00_2962), BgL_vz00_2963);
		}

	}



/* scnst-node */
	BGL_EXPORTED_DEF obj_t BGl_scnstzd2nodezd2zzast_varz00(BgL_scnstz00_bglt
		BgL_oz00_377)
	{
		{	/* Ast/var.sch 503 */
			return (((BgL_scnstz00_bglt) COBJECT(BgL_oz00_377))->BgL_nodez00);
		}

	}



/* &scnst-node */
	obj_t BGl_z62scnstzd2nodezb0zzast_varz00(obj_t BgL_envz00_2964,
		obj_t BgL_oz00_2965)
	{
		{	/* Ast/var.sch 503 */
			return
				BGl_scnstzd2nodezd2zzast_varz00(((BgL_scnstz00_bglt) BgL_oz00_2965));
		}

	}



/* make-cvar */
	BGL_EXPORTED_DEF BgL_cvarz00_bglt BGl_makezd2cvarzd2zzast_varz00(bool_t
		BgL_macrozf31191zf3_380)
	{
		{	/* Ast/var.sch 507 */
			{	/* Ast/var.sch 507 */
				BgL_cvarz00_bglt BgL_new1207z00_3835;

				{	/* Ast/var.sch 507 */
					BgL_cvarz00_bglt BgL_new1206z00_3836;

					BgL_new1206z00_3836 =
						((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cvarz00_bgl))));
					{	/* Ast/var.sch 507 */
						long BgL_arg1299z00_3837;

						BgL_arg1299z00_3837 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1206z00_3836), BgL_arg1299z00_3837);
					}
					{	/* Ast/var.sch 507 */
						BgL_objectz00_bglt BgL_tmpz00_5286;

						BgL_tmpz00_5286 = ((BgL_objectz00_bglt) BgL_new1206z00_3836);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5286, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1206z00_3836);
					BgL_new1207z00_3835 = BgL_new1206z00_3836;
				}
				((((BgL_cvarz00_bglt) COBJECT(BgL_new1207z00_3835))->BgL_macrozf3zf3) =
					((bool_t) BgL_macrozf31191zf3_380), BUNSPEC);
				return BgL_new1207z00_3835;
			}
		}

	}



/* &make-cvar */
	BgL_cvarz00_bglt BGl_z62makezd2cvarzb0zzast_varz00(obj_t BgL_envz00_2966,
		obj_t BgL_macrozf31191zf3_2967)
	{
		{	/* Ast/var.sch 507 */
			return BGl_makezd2cvarzd2zzast_varz00(CBOOL(BgL_macrozf31191zf3_2967));
		}

	}



/* cvar? */
	BGL_EXPORTED_DEF bool_t BGl_cvarzf3zf3zzast_varz00(obj_t BgL_objz00_381)
	{
		{	/* Ast/var.sch 508 */
			{	/* Ast/var.sch 508 */
				obj_t BgL_classz00_3838;

				BgL_classz00_3838 = BGl_cvarz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_381))
					{	/* Ast/var.sch 508 */
						BgL_objectz00_bglt BgL_arg1820z00_3839;

						BgL_arg1820z00_3839 = (BgL_objectz00_bglt) (BgL_objz00_381);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 508 */
								long BgL_idxz00_3840;

								BgL_idxz00_3840 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3839);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3840 + ((long) 2))) == BgL_classz00_3838);
							}
						else
							{	/* Ast/var.sch 508 */
								bool_t BgL_res2170z00_3843;

								{	/* Ast/var.sch 508 */
									obj_t BgL_oclassz00_3844;

									{	/* Ast/var.sch 508 */
										long BgL_arg1828z00_3845;

										{	/* Ast/var.sch 508 */
											long BgL_arg1829z00_3846;

											BgL_arg1829z00_3846 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3839);
											BgL_arg1828z00_3845 = (BgL_arg1829z00_3846 - OBJECT_TYPE);
										}
										BgL_oclassz00_3844 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3845);
									}
									{	/* Ast/var.sch 508 */
										bool_t BgL__ortest_1111z00_3847;

										BgL__ortest_1111z00_3847 =
											(BgL_classz00_3838 == BgL_oclassz00_3844);
										if (BgL__ortest_1111z00_3847)
											{	/* Ast/var.sch 508 */
												BgL_res2170z00_3843 = BgL__ortest_1111z00_3847;
											}
										else
											{	/* Ast/var.sch 508 */
												long BgL_odepthz00_3848;

												BgL_odepthz00_3848 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3844);
												if ((((long) 2) < BgL_odepthz00_3848))
													{	/* Ast/var.sch 508 */
														obj_t BgL_arg1816z00_3849;

														BgL_arg1816z00_3849 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3844,
															((long) 2));
														BgL_res2170z00_3843 =
															(BgL_arg1816z00_3849 == BgL_classz00_3838);
													}
												else
													{	/* Ast/var.sch 508 */
														BgL_res2170z00_3843 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2170z00_3843;
							}
					}
				else
					{	/* Ast/var.sch 508 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cvar? */
	obj_t BGl_z62cvarzf3z91zzast_varz00(obj_t BgL_envz00_2968,
		obj_t BgL_objz00_2969)
	{
		{	/* Ast/var.sch 508 */
			return BBOOL(BGl_cvarzf3zf3zzast_varz00(BgL_objz00_2969));
		}

	}



/* cvar-nil */
	BGL_EXPORTED_DEF BgL_cvarz00_bglt BGl_cvarzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 509 */
			{	/* Ast/var.sch 509 */
				obj_t BgL_classz00_1968;

				BgL_classz00_1968 = BGl_cvarz00zzast_varz00;
				{	/* Ast/var.sch 509 */
					obj_t BgL__ortest_1113z00_1969;

					BgL__ortest_1113z00_1969 = BGL_CLASS_NIL(BgL_classz00_1968);
					if (CBOOL(BgL__ortest_1113z00_1969))
						{	/* Ast/var.sch 509 */
							return ((BgL_cvarz00_bglt) BgL__ortest_1113z00_1969);
						}
					else
						{	/* Ast/var.sch 509 */
							return
								((BgL_cvarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1968));
						}
				}
			}
		}

	}



/* &cvar-nil */
	BgL_cvarz00_bglt BGl_z62cvarzd2nilzb0zzast_varz00(obj_t BgL_envz00_2970)
	{
		{	/* Ast/var.sch 509 */
			return BGl_cvarzd2nilzd2zzast_varz00();
		}

	}



/* cvar-macro? */
	BGL_EXPORTED_DEF bool_t BGl_cvarzd2macrozf3z21zzast_varz00(BgL_cvarz00_bglt
		BgL_oz00_382)
	{
		{	/* Ast/var.sch 510 */
			return (((BgL_cvarz00_bglt) COBJECT(BgL_oz00_382))->BgL_macrozf3zf3);
		}

	}



/* &cvar-macro? */
	obj_t BGl_z62cvarzd2macrozf3z43zzast_varz00(obj_t BgL_envz00_2971,
		obj_t BgL_oz00_2972)
	{
		{	/* Ast/var.sch 510 */
			return
				BBOOL(BGl_cvarzd2macrozf3z21zzast_varz00(
					((BgL_cvarz00_bglt) BgL_oz00_2972)));
		}

	}



/* make-sexit */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt BGl_makezd2sexitzd2zzast_varz00(obj_t
		BgL_handler1188z00_385, bool_t BgL_detachedzf31189zf3_386)
	{
		{	/* Ast/var.sch 514 */
			{	/* Ast/var.sch 514 */
				BgL_sexitz00_bglt BgL_new1209z00_3850;

				{	/* Ast/var.sch 514 */
					BgL_sexitz00_bglt BgL_new1208z00_3851;

					BgL_new1208z00_3851 =
						((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitz00_bgl))));
					{	/* Ast/var.sch 514 */
						long BgL_arg1302z00_3852;

						BgL_arg1302z00_3852 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1208z00_3851), BgL_arg1302z00_3852);
					}
					{	/* Ast/var.sch 514 */
						BgL_objectz00_bglt BgL_tmpz00_5329;

						BgL_tmpz00_5329 = ((BgL_objectz00_bglt) BgL_new1208z00_3851);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5329, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1208z00_3851);
					BgL_new1209z00_3850 = BgL_new1208z00_3851;
				}
				((((BgL_sexitz00_bglt) COBJECT(BgL_new1209z00_3850))->BgL_handlerz00) =
					((obj_t) BgL_handler1188z00_385), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(BgL_new1209z00_3850))->
						BgL_detachedzf3zf3) =
					((bool_t) BgL_detachedzf31189zf3_386), BUNSPEC);
				return BgL_new1209z00_3850;
			}
		}

	}



/* &make-sexit */
	BgL_sexitz00_bglt BGl_z62makezd2sexitzb0zzast_varz00(obj_t BgL_envz00_2973,
		obj_t BgL_handler1188z00_2974, obj_t BgL_detachedzf31189zf3_2975)
	{
		{	/* Ast/var.sch 514 */
			return
				BGl_makezd2sexitzd2zzast_varz00(BgL_handler1188z00_2974,
				CBOOL(BgL_detachedzf31189zf3_2975));
		}

	}



/* sexit? */
	BGL_EXPORTED_DEF bool_t BGl_sexitzf3zf3zzast_varz00(obj_t BgL_objz00_387)
	{
		{	/* Ast/var.sch 515 */
			{	/* Ast/var.sch 515 */
				obj_t BgL_classz00_3853;

				BgL_classz00_3853 = BGl_sexitz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_387))
					{	/* Ast/var.sch 515 */
						BgL_objectz00_bglt BgL_arg1820z00_3854;

						BgL_arg1820z00_3854 = (BgL_objectz00_bglt) (BgL_objz00_387);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 515 */
								long BgL_idxz00_3855;

								BgL_idxz00_3855 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3854);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3855 + ((long) 2))) == BgL_classz00_3853);
							}
						else
							{	/* Ast/var.sch 515 */
								bool_t BgL_res2171z00_3858;

								{	/* Ast/var.sch 515 */
									obj_t BgL_oclassz00_3859;

									{	/* Ast/var.sch 515 */
										long BgL_arg1828z00_3860;

										{	/* Ast/var.sch 515 */
											long BgL_arg1829z00_3861;

											BgL_arg1829z00_3861 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3854);
											BgL_arg1828z00_3860 = (BgL_arg1829z00_3861 - OBJECT_TYPE);
										}
										BgL_oclassz00_3859 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3860);
									}
									{	/* Ast/var.sch 515 */
										bool_t BgL__ortest_1111z00_3862;

										BgL__ortest_1111z00_3862 =
											(BgL_classz00_3853 == BgL_oclassz00_3859);
										if (BgL__ortest_1111z00_3862)
											{	/* Ast/var.sch 515 */
												BgL_res2171z00_3858 = BgL__ortest_1111z00_3862;
											}
										else
											{	/* Ast/var.sch 515 */
												long BgL_odepthz00_3863;

												BgL_odepthz00_3863 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3859);
												if ((((long) 2) < BgL_odepthz00_3863))
													{	/* Ast/var.sch 515 */
														obj_t BgL_arg1816z00_3864;

														BgL_arg1816z00_3864 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3859,
															((long) 2));
														BgL_res2171z00_3858 =
															(BgL_arg1816z00_3864 == BgL_classz00_3853);
													}
												else
													{	/* Ast/var.sch 515 */
														BgL_res2171z00_3858 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2171z00_3858;
							}
					}
				else
					{	/* Ast/var.sch 515 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sexit? */
	obj_t BGl_z62sexitzf3z91zzast_varz00(obj_t BgL_envz00_2976,
		obj_t BgL_objz00_2977)
	{
		{	/* Ast/var.sch 515 */
			return BBOOL(BGl_sexitzf3zf3zzast_varz00(BgL_objz00_2977));
		}

	}



/* sexit-nil */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt BGl_sexitzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 516 */
			{	/* Ast/var.sch 516 */
				obj_t BgL_classz00_2008;

				BgL_classz00_2008 = BGl_sexitz00zzast_varz00;
				{	/* Ast/var.sch 516 */
					obj_t BgL__ortest_1113z00_2009;

					BgL__ortest_1113z00_2009 = BGL_CLASS_NIL(BgL_classz00_2008);
					if (CBOOL(BgL__ortest_1113z00_2009))
						{	/* Ast/var.sch 516 */
							return ((BgL_sexitz00_bglt) BgL__ortest_1113z00_2009);
						}
					else
						{	/* Ast/var.sch 516 */
							return
								((BgL_sexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2008));
						}
				}
			}
		}

	}



/* &sexit-nil */
	BgL_sexitz00_bglt BGl_z62sexitzd2nilzb0zzast_varz00(obj_t BgL_envz00_2978)
	{
		{	/* Ast/var.sch 516 */
			return BGl_sexitzd2nilzd2zzast_varz00();
		}

	}



/* sexit-detached? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzd2detachedzf3z21zzast_varz00(BgL_sexitz00_bglt BgL_oz00_388)
	{
		{	/* Ast/var.sch 517 */
			return (((BgL_sexitz00_bglt) COBJECT(BgL_oz00_388))->BgL_detachedzf3zf3);
		}

	}



/* &sexit-detached? */
	obj_t BGl_z62sexitzd2detachedzf3z43zzast_varz00(obj_t BgL_envz00_2979,
		obj_t BgL_oz00_2980)
	{
		{	/* Ast/var.sch 517 */
			return
				BBOOL(BGl_sexitzd2detachedzf3z21zzast_varz00(
					((BgL_sexitz00_bglt) BgL_oz00_2980)));
		}

	}



/* sexit-detached?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzd2detachedzf3zd2setz12ze1zzast_varz00(BgL_sexitz00_bglt
		BgL_oz00_389, bool_t BgL_vz00_390)
	{
		{	/* Ast/var.sch 518 */
			return
				((((BgL_sexitz00_bglt) COBJECT(BgL_oz00_389))->BgL_detachedzf3zf3) =
				((bool_t) BgL_vz00_390), BUNSPEC);
		}

	}



/* &sexit-detached?-set! */
	obj_t BGl_z62sexitzd2detachedzf3zd2setz12z83zzast_varz00(obj_t
		BgL_envz00_2981, obj_t BgL_oz00_2982, obj_t BgL_vz00_2983)
	{
		{	/* Ast/var.sch 518 */
			return
				BGl_sexitzd2detachedzf3zd2setz12ze1zzast_varz00(
				((BgL_sexitz00_bglt) BgL_oz00_2982), CBOOL(BgL_vz00_2983));
		}

	}



/* sexit-handler */
	BGL_EXPORTED_DEF obj_t BGl_sexitzd2handlerzd2zzast_varz00(BgL_sexitz00_bglt
		BgL_oz00_391)
	{
		{	/* Ast/var.sch 519 */
			return (((BgL_sexitz00_bglt) COBJECT(BgL_oz00_391))->BgL_handlerz00);
		}

	}



/* &sexit-handler */
	obj_t BGl_z62sexitzd2handlerzb0zzast_varz00(obj_t BgL_envz00_2984,
		obj_t BgL_oz00_2985)
	{
		{	/* Ast/var.sch 519 */
			return
				BGl_sexitzd2handlerzd2zzast_varz00(((BgL_sexitz00_bglt) BgL_oz00_2985));
		}

	}



/* sexit-handler-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzd2handlerzd2setz12z12zzast_varz00(BgL_sexitz00_bglt BgL_oz00_392,
		obj_t BgL_vz00_393)
	{
		{	/* Ast/var.sch 520 */
			return
				((((BgL_sexitz00_bglt) COBJECT(BgL_oz00_392))->BgL_handlerz00) =
				((obj_t) BgL_vz00_393), BUNSPEC);
		}

	}



/* &sexit-handler-set! */
	obj_t BGl_z62sexitzd2handlerzd2setz12z70zzast_varz00(obj_t BgL_envz00_2986,
		obj_t BgL_oz00_2987, obj_t BgL_vz00_2988)
	{
		{	/* Ast/var.sch 520 */
			return
				BGl_sexitzd2handlerzd2setz12z12zzast_varz00(
				((BgL_sexitz00_bglt) BgL_oz00_2987), BgL_vz00_2988);
		}

	}



/* make-feffect */
	BGL_EXPORTED_DEF BgL_feffectz00_bglt BGl_makezd2feffectzd2zzast_varz00(obj_t
		BgL_read1185z00_394, obj_t BgL_write1186z00_395)
	{
		{	/* Ast/var.sch 523 */
			{	/* Ast/var.sch 523 */
				BgL_feffectz00_bglt BgL_new1211z00_3865;

				{	/* Ast/var.sch 523 */
					BgL_feffectz00_bglt BgL_new1210z00_3866;

					BgL_new1210z00_3866 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.sch 523 */
						long BgL_arg1303z00_3867;

						BgL_arg1303z00_3867 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1210z00_3866), BgL_arg1303z00_3867);
					}
					BgL_new1211z00_3865 = BgL_new1210z00_3866;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1211z00_3865))->BgL_readz00) =
					((obj_t) BgL_read1185z00_394), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1211z00_3865))->BgL_writez00) =
					((obj_t) BgL_write1186z00_395), BUNSPEC);
				return BgL_new1211z00_3865;
			}
		}

	}



/* &make-feffect */
	BgL_feffectz00_bglt BGl_z62makezd2feffectzb0zzast_varz00(obj_t
		BgL_envz00_2989, obj_t BgL_read1185z00_2990, obj_t BgL_write1186z00_2991)
	{
		{	/* Ast/var.sch 523 */
			return
				BGl_makezd2feffectzd2zzast_varz00(BgL_read1185z00_2990,
				BgL_write1186z00_2991);
		}

	}



/* feffect? */
	BGL_EXPORTED_DEF bool_t BGl_feffectzf3zf3zzast_varz00(obj_t BgL_objz00_396)
	{
		{	/* Ast/var.sch 524 */
			{	/* Ast/var.sch 524 */
				obj_t BgL_classz00_3868;

				BgL_classz00_3868 = BGl_feffectz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_396))
					{	/* Ast/var.sch 524 */
						BgL_objectz00_bglt BgL_arg1820z00_3869;

						BgL_arg1820z00_3869 = (BgL_objectz00_bglt) (BgL_objz00_396);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 524 */
								long BgL_idxz00_3870;

								BgL_idxz00_3870 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3869);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3870 + ((long) 1))) == BgL_classz00_3868);
							}
						else
							{	/* Ast/var.sch 524 */
								bool_t BgL_res2172z00_3873;

								{	/* Ast/var.sch 524 */
									obj_t BgL_oclassz00_3874;

									{	/* Ast/var.sch 524 */
										long BgL_arg1828z00_3875;

										{	/* Ast/var.sch 524 */
											long BgL_arg1829z00_3876;

											BgL_arg1829z00_3876 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3869);
											BgL_arg1828z00_3875 = (BgL_arg1829z00_3876 - OBJECT_TYPE);
										}
										BgL_oclassz00_3874 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3875);
									}
									{	/* Ast/var.sch 524 */
										bool_t BgL__ortest_1111z00_3877;

										BgL__ortest_1111z00_3877 =
											(BgL_classz00_3868 == BgL_oclassz00_3874);
										if (BgL__ortest_1111z00_3877)
											{	/* Ast/var.sch 524 */
												BgL_res2172z00_3873 = BgL__ortest_1111z00_3877;
											}
										else
											{	/* Ast/var.sch 524 */
												long BgL_odepthz00_3878;

												BgL_odepthz00_3878 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3874);
												if ((((long) 1) < BgL_odepthz00_3878))
													{	/* Ast/var.sch 524 */
														obj_t BgL_arg1816z00_3879;

														BgL_arg1816z00_3879 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3874,
															((long) 1));
														BgL_res2172z00_3873 =
															(BgL_arg1816z00_3879 == BgL_classz00_3868);
													}
												else
													{	/* Ast/var.sch 524 */
														BgL_res2172z00_3873 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2172z00_3873;
							}
					}
				else
					{	/* Ast/var.sch 524 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &feffect? */
	obj_t BGl_z62feffectzf3z91zzast_varz00(obj_t BgL_envz00_2992,
		obj_t BgL_objz00_2993)
	{
		{	/* Ast/var.sch 524 */
			return BBOOL(BGl_feffectzf3zf3zzast_varz00(BgL_objz00_2993));
		}

	}



/* feffect-nil */
	BGL_EXPORTED_DEF BgL_feffectz00_bglt BGl_feffectzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 525 */
			{	/* Ast/var.sch 525 */
				obj_t BgL_classz00_2047;

				BgL_classz00_2047 = BGl_feffectz00zzast_varz00;
				{	/* Ast/var.sch 525 */
					obj_t BgL__ortest_1113z00_2048;

					BgL__ortest_1113z00_2048 = BGL_CLASS_NIL(BgL_classz00_2047);
					if (CBOOL(BgL__ortest_1113z00_2048))
						{	/* Ast/var.sch 525 */
							return ((BgL_feffectz00_bglt) BgL__ortest_1113z00_2048);
						}
					else
						{	/* Ast/var.sch 525 */
							return
								((BgL_feffectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2047));
						}
				}
			}
		}

	}



/* &feffect-nil */
	BgL_feffectz00_bglt BGl_z62feffectzd2nilzb0zzast_varz00(obj_t BgL_envz00_2994)
	{
		{	/* Ast/var.sch 525 */
			return BGl_feffectzd2nilzd2zzast_varz00();
		}

	}



/* feffect-write */
	BGL_EXPORTED_DEF obj_t BGl_feffectzd2writezd2zzast_varz00(BgL_feffectz00_bglt
		BgL_oz00_397)
	{
		{	/* Ast/var.sch 526 */
			return (((BgL_feffectz00_bglt) COBJECT(BgL_oz00_397))->BgL_writez00);
		}

	}



/* &feffect-write */
	obj_t BGl_z62feffectzd2writezb0zzast_varz00(obj_t BgL_envz00_2995,
		obj_t BgL_oz00_2996)
	{
		{	/* Ast/var.sch 526 */
			return
				BGl_feffectzd2writezd2zzast_varz00(
				((BgL_feffectz00_bglt) BgL_oz00_2996));
		}

	}



/* feffect-write-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_feffectzd2writezd2setz12z12zzast_varz00(BgL_feffectz00_bglt
		BgL_oz00_398, obj_t BgL_vz00_399)
	{
		{	/* Ast/var.sch 527 */
			return
				((((BgL_feffectz00_bglt) COBJECT(BgL_oz00_398))->BgL_writez00) =
				((obj_t) BgL_vz00_399), BUNSPEC);
		}

	}



/* &feffect-write-set! */
	obj_t BGl_z62feffectzd2writezd2setz12z70zzast_varz00(obj_t BgL_envz00_2997,
		obj_t BgL_oz00_2998, obj_t BgL_vz00_2999)
	{
		{	/* Ast/var.sch 527 */
			return
				BGl_feffectzd2writezd2setz12z12zzast_varz00(
				((BgL_feffectz00_bglt) BgL_oz00_2998), BgL_vz00_2999);
		}

	}



/* feffect-read */
	BGL_EXPORTED_DEF obj_t BGl_feffectzd2readzd2zzast_varz00(BgL_feffectz00_bglt
		BgL_oz00_400)
	{
		{	/* Ast/var.sch 528 */
			return (((BgL_feffectz00_bglt) COBJECT(BgL_oz00_400))->BgL_readz00);
		}

	}



/* &feffect-read */
	obj_t BGl_z62feffectzd2readzb0zzast_varz00(obj_t BgL_envz00_3000,
		obj_t BgL_oz00_3001)
	{
		{	/* Ast/var.sch 528 */
			return
				BGl_feffectzd2readzd2zzast_varz00(
				((BgL_feffectz00_bglt) BgL_oz00_3001));
		}

	}



/* feffect-read-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_feffectzd2readzd2setz12z12zzast_varz00(BgL_feffectz00_bglt BgL_oz00_401,
		obj_t BgL_vz00_402)
	{
		{	/* Ast/var.sch 529 */
			return
				((((BgL_feffectz00_bglt) COBJECT(BgL_oz00_401))->BgL_readz00) =
				((obj_t) BgL_vz00_402), BUNSPEC);
		}

	}



/* &feffect-read-set! */
	obj_t BGl_z62feffectzd2readzd2setz12z70zzast_varz00(obj_t BgL_envz00_3002,
		obj_t BgL_oz00_3003, obj_t BgL_vz00_3004)
	{
		{	/* Ast/var.sch 529 */
			return
				BGl_feffectzd2readzd2setz12z12zzast_varz00(
				((BgL_feffectz00_bglt) BgL_oz00_3003), BgL_vz00_3004);
		}

	}



/* global-read-only? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt
		BgL_globalz00_403)
	{
		{	/* Ast/var.scm 194 */
			{	/* Ast/var.scm 196 */
				obj_t BgL_tmpz00_5426;

				BgL_tmpz00_5426 =
					BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(((long) 0)),
					(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_403))->BgL_pragmaz00));
				return PAIRP(BgL_tmpz00_5426);
			}
		}

	}



/* &global-read-only? */
	obj_t BGl_z62globalzd2readzd2onlyzf3z91zzast_varz00(obj_t BgL_envz00_3005,
		obj_t BgL_globalz00_3006)
	{
		{	/* Ast/var.scm 194 */
			return
				BBOOL(BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(
					((BgL_globalz00_bglt) BgL_globalz00_3006)));
		}

	}



/* global-set-read-only! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(BgL_globalz00_bglt
		BgL_globalz00_404)
	{
		{	/* Ast/var.scm 201 */
			{
				obj_t BgL_auxz00_5434;

				{	/* Ast/var.scm 203 */
					obj_t BgL_arg1306z00_518;

					BgL_arg1306z00_518 =
						(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_404))->BgL_pragmaz00);
					BgL_auxz00_5434 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BgL_arg1306z00_518);
				}
				return
					((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_404))->BgL_pragmaz00) =
					((obj_t) BgL_auxz00_5434), BUNSPEC);
			}
		}

	}



/* &global-set-read-only! */
	obj_t BGl_z62globalzd2setzd2readzd2onlyz12za2zzast_varz00(obj_t
		BgL_envz00_3007, obj_t BgL_globalz00_3008)
	{
		{	/* Ast/var.scm 201 */
			return
				BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(
				((BgL_globalz00_bglt) BgL_globalz00_3008));
		}

	}



/* global-args-safe? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzd2argszd2safezf3zf3zzast_varz00(BgL_globalz00_bglt
		BgL_globalz00_405)
	{
		{	/* Ast/var.scm 208 */
			{	/* Ast/var.scm 210 */
				bool_t BgL__ortest_1215z00_520;

				{	/* Ast/var.scm 210 */
					bool_t BgL_test2856z00_5441;

					{	/* Ast/var.scm 210 */
						BgL_valuez00_bglt BgL_arg1313z00_528;

						BgL_arg1313z00_528 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_globalz00_405)))->BgL_valuez00);
						{	/* Ast/var.scm 210 */
							obj_t BgL_classz00_2049;

							BgL_classz00_2049 = BGl_cfunz00zzast_varz00;
							{	/* Ast/var.scm 210 */
								BgL_objectz00_bglt BgL_arg1820z00_2051;

								{	/* Ast/var.scm 210 */
									obj_t BgL_tmpz00_5444;

									BgL_tmpz00_5444 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1313z00_528));
									BgL_arg1820z00_2051 = (BgL_objectz00_bglt) (BgL_tmpz00_5444);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/var.scm 210 */
										long BgL_idxz00_2057;

										BgL_idxz00_2057 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2051);
										BgL_test2856z00_5441 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2057 + ((long) 3))) == BgL_classz00_2049);
									}
								else
									{	/* Ast/var.scm 210 */
										bool_t BgL_res2173z00_2079;

										{	/* Ast/var.scm 210 */
											obj_t BgL_oclassz00_2065;

											{	/* Ast/var.scm 210 */
												long BgL_arg1828z00_2071;

												{	/* Ast/var.scm 210 */
													long BgL_arg1829z00_2072;

													BgL_arg1829z00_2072 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2051);
													BgL_arg1828z00_2071 =
														(BgL_arg1829z00_2072 - OBJECT_TYPE);
												}
												BgL_oclassz00_2065 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2071);
											}
											{	/* Ast/var.scm 210 */
												bool_t BgL__ortest_1111z00_2066;

												BgL__ortest_1111z00_2066 =
													(BgL_classz00_2049 == BgL_oclassz00_2065);
												if (BgL__ortest_1111z00_2066)
													{	/* Ast/var.scm 210 */
														BgL_res2173z00_2079 = BgL__ortest_1111z00_2066;
													}
												else
													{	/* Ast/var.scm 210 */
														long BgL_odepthz00_2067;

														BgL_odepthz00_2067 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2065);
														if ((((long) 3) < BgL_odepthz00_2067))
															{	/* Ast/var.scm 210 */
																obj_t BgL_arg1816z00_2069;

																BgL_arg1816z00_2069 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2065,
																	((long) 3));
																BgL_res2173z00_2079 =
																	(BgL_arg1816z00_2069 == BgL_classz00_2049);
															}
														else
															{	/* Ast/var.scm 210 */
																BgL_res2173z00_2079 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2856z00_5441 = BgL_res2173z00_2079;
									}
							}
						}
					}
					if (BgL_test2856z00_5441)
						{	/* Ast/var.scm 210 */
							BgL__ortest_1215z00_520 = ((bool_t) 0);
						}
					else
						{	/* Ast/var.scm 210 */
							BgL__ortest_1215z00_520 = ((bool_t) 1);
						}
				}
				if (BgL__ortest_1215z00_520)
					{	/* Ast/var.scm 210 */
						return BgL__ortest_1215z00_520;
					}
				else
					{	/* Ast/var.scm 211 */
						bool_t BgL__ortest_1216z00_521;

						if (
							(((BgL_cfunz00_bglt) COBJECT(
										((BgL_cfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_405)))->
												BgL_valuez00))))->BgL_macrozf3zf3))
							{	/* Ast/var.scm 211 */
								BgL__ortest_1216z00_521 = ((bool_t) 0);
							}
						else
							{	/* Ast/var.scm 211 */
								BgL__ortest_1216z00_521 = ((bool_t) 1);
							}
						if (BgL__ortest_1216z00_521)
							{	/* Ast/var.scm 211 */
								return BgL__ortest_1216z00_521;
							}
						else
							{	/* Ast/var.scm 211 */
								return
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(
											((long) 1)),
										(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_405))->
											BgL_pragmaz00)));
		}}}}

	}



/* &global-args-safe? */
	obj_t BGl_z62globalzd2argszd2safezf3z91zzast_varz00(obj_t BgL_envz00_3009,
		obj_t BgL_globalz00_3010)
	{
		{	/* Ast/var.scm 208 */
			return
				BBOOL(BGl_globalzd2argszd2safezf3zf3zzast_varz00(
					((BgL_globalz00_bglt) BgL_globalz00_3010)));
		}

	}



/* fun-optional-arity */
	BGL_EXPORTED_DEF int BGl_funzd2optionalzd2arityz00zzast_varz00(BgL_funz00_bglt
		BgL_funz00_406)
	{
		{	/* Ast/var.scm 217 */
			{	/* Ast/var.scm 219 */
				bool_t BgL_test2863z00_5478;

				{	/* Ast/var.scm 219 */
					obj_t BgL_classz00_2081;

					BgL_classz00_2081 = BGl_sfunz00zzast_varz00;
					{	/* Ast/var.scm 219 */
						BgL_objectz00_bglt BgL_arg1820z00_2083;

						{	/* Ast/var.scm 219 */
							obj_t BgL_tmpz00_5479;

							BgL_tmpz00_5479 = ((obj_t) BgL_funz00_406);
							BgL_arg1820z00_2083 = (BgL_objectz00_bglt) (BgL_tmpz00_5479);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.scm 219 */
								long BgL_idxz00_2089;

								BgL_idxz00_2089 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2083);
								BgL_test2863z00_5478 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2089 + ((long) 3))) == BgL_classz00_2081);
							}
						else
							{	/* Ast/var.scm 219 */
								bool_t BgL_res2174z00_2111;

								{	/* Ast/var.scm 219 */
									obj_t BgL_oclassz00_2097;

									{	/* Ast/var.scm 219 */
										long BgL_arg1828z00_2103;

										{	/* Ast/var.scm 219 */
											long BgL_arg1829z00_2104;

											BgL_arg1829z00_2104 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2083);
											BgL_arg1828z00_2103 = (BgL_arg1829z00_2104 - OBJECT_TYPE);
										}
										BgL_oclassz00_2097 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2103);
									}
									{	/* Ast/var.scm 219 */
										bool_t BgL__ortest_1111z00_2098;

										BgL__ortest_1111z00_2098 =
											(BgL_classz00_2081 == BgL_oclassz00_2097);
										if (BgL__ortest_1111z00_2098)
											{	/* Ast/var.scm 219 */
												BgL_res2174z00_2111 = BgL__ortest_1111z00_2098;
											}
										else
											{	/* Ast/var.scm 219 */
												long BgL_odepthz00_2099;

												BgL_odepthz00_2099 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2097);
												if ((((long) 3) < BgL_odepthz00_2099))
													{	/* Ast/var.scm 219 */
														obj_t BgL_arg1816z00_2101;

														BgL_arg1816z00_2101 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2097,
															((long) 3));
														BgL_res2174z00_2111 =
															(BgL_arg1816z00_2101 == BgL_classz00_2081);
													}
												else
													{	/* Ast/var.scm 219 */
														BgL_res2174z00_2111 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2863z00_5478 = BgL_res2174z00_2111;
							}
					}
				}
				if (BgL_test2863z00_5478)
					{	/* Ast/var.scm 221 */
						bool_t BgL_test2867z00_5498;

						{	/* Ast/var.scm 221 */
							obj_t BgL_tmpz00_5499;

							BgL_tmpz00_5499 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_funz00_406)))->BgL_optionalsz00);
							BgL_test2867z00_5498 = PAIRP(BgL_tmpz00_5499);
						}
						if (BgL_test2867z00_5498)
							{	/* Ast/var.scm 221 */
								return
									(int) (
									((((BgL_funz00_bglt) COBJECT(BgL_funz00_406))->BgL_arityz00) +
										((long) 1)));
							}
						else
							{	/* Ast/var.scm 221 */
								return
									(int) (
									(((BgL_funz00_bglt) COBJECT(BgL_funz00_406))->BgL_arityz00));
					}}
				else
					{	/* Ast/var.scm 219 */
						return
							(int) (
							(((BgL_funz00_bglt) COBJECT(BgL_funz00_406))->BgL_arityz00));
		}}}

	}



/* &fun-optional-arity */
	obj_t BGl_z62funzd2optionalzd2arityz62zzast_varz00(obj_t BgL_envz00_3011,
		obj_t BgL_funz00_3012)
	{
		{	/* Ast/var.scm 217 */
			return
				BINT(BGl_funzd2optionalzd2arityz00zzast_varz00(
					((BgL_funz00_bglt) BgL_funz00_3012)));
		}

	}



/* global-optional? */
	BGL_EXPORTED_DEF bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t
		BgL_gz00_407)
	{
		{	/* Ast/var.scm 229 */
			{	/* Ast/var.scm 230 */
				bool_t BgL_test2868z00_5513;

				{	/* Ast/var.scm 230 */
					obj_t BgL_classz00_2113;

					BgL_classz00_2113 = BGl_globalz00zzast_varz00;
					if (BGL_OBJECTP(BgL_gz00_407))
						{	/* Ast/var.scm 230 */
							BgL_objectz00_bglt BgL_arg1820z00_2115;

							BgL_arg1820z00_2115 = (BgL_objectz00_bglt) (BgL_gz00_407);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/var.scm 230 */
									long BgL_idxz00_2121;

									BgL_idxz00_2121 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2115);
									BgL_test2868z00_5513 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2121 + ((long) 2))) == BgL_classz00_2113);
								}
							else
								{	/* Ast/var.scm 230 */
									bool_t BgL_res2175z00_2143;

									{	/* Ast/var.scm 230 */
										obj_t BgL_oclassz00_2129;

										{	/* Ast/var.scm 230 */
											long BgL_arg1828z00_2135;

											{	/* Ast/var.scm 230 */
												long BgL_arg1829z00_2136;

												BgL_arg1829z00_2136 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2115);
												BgL_arg1828z00_2135 =
													(BgL_arg1829z00_2136 - OBJECT_TYPE);
											}
											BgL_oclassz00_2129 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2135);
										}
										{	/* Ast/var.scm 230 */
											bool_t BgL__ortest_1111z00_2130;

											BgL__ortest_1111z00_2130 =
												(BgL_classz00_2113 == BgL_oclassz00_2129);
											if (BgL__ortest_1111z00_2130)
												{	/* Ast/var.scm 230 */
													BgL_res2175z00_2143 = BgL__ortest_1111z00_2130;
												}
											else
												{	/* Ast/var.scm 230 */
													long BgL_odepthz00_2131;

													BgL_odepthz00_2131 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2129);
													if ((((long) 2) < BgL_odepthz00_2131))
														{	/* Ast/var.scm 230 */
															obj_t BgL_arg1816z00_2133;

															BgL_arg1816z00_2133 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2129,
																((long) 2));
															BgL_res2175z00_2143 =
																(BgL_arg1816z00_2133 == BgL_classz00_2113);
														}
													else
														{	/* Ast/var.scm 230 */
															BgL_res2175z00_2143 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2868z00_5513 = BgL_res2175z00_2143;
								}
						}
					else
						{	/* Ast/var.scm 230 */
							BgL_test2868z00_5513 = ((bool_t) 0);
						}
				}
				if (BgL_test2868z00_5513)
					{	/* Ast/var.scm 230 */
						BGL_TAIL return
							BGl_sfunzd2optionalzf3z21zzast_varz00(
							((obj_t)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_407))))->BgL_valuez00)));
					}
				else
					{	/* Ast/var.scm 230 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global-optional? */
	obj_t BGl_z62globalzd2optionalzf3z43zzast_varz00(obj_t BgL_envz00_3013,
		obj_t BgL_gz00_3014)
	{
		{	/* Ast/var.scm 229 */
			return BBOOL(BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_3014));
		}

	}



/* sfun-optional? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzd2optionalzf3z21zzast_varz00(obj_t
		BgL_funz00_408)
	{
		{	/* Ast/var.scm 237 */
			{	/* Ast/var.scm 238 */
				bool_t BgL_test2873z00_5540;

				{	/* Ast/var.scm 238 */
					obj_t BgL_classz00_2145;

					BgL_classz00_2145 = BGl_sfunz00zzast_varz00;
					if (BGL_OBJECTP(BgL_funz00_408))
						{	/* Ast/var.scm 238 */
							BgL_objectz00_bglt BgL_arg1820z00_2147;

							BgL_arg1820z00_2147 = (BgL_objectz00_bglt) (BgL_funz00_408);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/var.scm 238 */
									long BgL_idxz00_2153;

									BgL_idxz00_2153 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2147);
									BgL_test2873z00_5540 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2153 + ((long) 3))) == BgL_classz00_2145);
								}
							else
								{	/* Ast/var.scm 238 */
									bool_t BgL_res2176z00_2175;

									{	/* Ast/var.scm 238 */
										obj_t BgL_oclassz00_2161;

										{	/* Ast/var.scm 238 */
											long BgL_arg1828z00_2167;

											{	/* Ast/var.scm 238 */
												long BgL_arg1829z00_2168;

												BgL_arg1829z00_2168 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2147);
												BgL_arg1828z00_2167 =
													(BgL_arg1829z00_2168 - OBJECT_TYPE);
											}
											BgL_oclassz00_2161 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2167);
										}
										{	/* Ast/var.scm 238 */
											bool_t BgL__ortest_1111z00_2162;

											BgL__ortest_1111z00_2162 =
												(BgL_classz00_2145 == BgL_oclassz00_2161);
											if (BgL__ortest_1111z00_2162)
												{	/* Ast/var.scm 238 */
													BgL_res2176z00_2175 = BgL__ortest_1111z00_2162;
												}
											else
												{	/* Ast/var.scm 238 */
													long BgL_odepthz00_2163;

													BgL_odepthz00_2163 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2161);
													if ((((long) 3) < BgL_odepthz00_2163))
														{	/* Ast/var.scm 238 */
															obj_t BgL_arg1816z00_2165;

															BgL_arg1816z00_2165 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2161,
																((long) 3));
															BgL_res2176z00_2175 =
																(BgL_arg1816z00_2165 == BgL_classz00_2145);
														}
													else
														{	/* Ast/var.scm 238 */
															BgL_res2176z00_2175 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2873z00_5540 = BgL_res2176z00_2175;
								}
						}
					else
						{	/* Ast/var.scm 238 */
							BgL_test2873z00_5540 = ((bool_t) 0);
						}
				}
				if (BgL_test2873z00_5540)
					{	/* Ast/var.scm 238 */
						obj_t BgL_tmpz00_5560;

						BgL_tmpz00_5560 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_408)))->BgL_optionalsz00);
						return PAIRP(BgL_tmpz00_5560);
					}
				else
					{	/* Ast/var.scm 238 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun-optional? */
	obj_t BGl_z62sfunzd2optionalzf3z43zzast_varz00(obj_t BgL_envz00_3015,
		obj_t BgL_funz00_3016)
	{
		{	/* Ast/var.scm 237 */
			return BBOOL(BGl_sfunzd2optionalzf3z21zzast_varz00(BgL_funz00_3016));
		}

	}



/* global-key? */
	BGL_EXPORTED_DEF bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t BgL_gz00_409)
	{
		{	/* Ast/var.scm 243 */
			{	/* Ast/var.scm 244 */
				bool_t BgL_test2878z00_5566;

				{	/* Ast/var.scm 244 */
					obj_t BgL_classz00_2177;

					BgL_classz00_2177 = BGl_globalz00zzast_varz00;
					if (BGL_OBJECTP(BgL_gz00_409))
						{	/* Ast/var.scm 244 */
							BgL_objectz00_bglt BgL_arg1820z00_2179;

							BgL_arg1820z00_2179 = (BgL_objectz00_bglt) (BgL_gz00_409);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/var.scm 244 */
									long BgL_idxz00_2185;

									BgL_idxz00_2185 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2179);
									BgL_test2878z00_5566 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2185 + ((long) 2))) == BgL_classz00_2177);
								}
							else
								{	/* Ast/var.scm 244 */
									bool_t BgL_res2177z00_2207;

									{	/* Ast/var.scm 244 */
										obj_t BgL_oclassz00_2193;

										{	/* Ast/var.scm 244 */
											long BgL_arg1828z00_2199;

											{	/* Ast/var.scm 244 */
												long BgL_arg1829z00_2200;

												BgL_arg1829z00_2200 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2179);
												BgL_arg1828z00_2199 =
													(BgL_arg1829z00_2200 - OBJECT_TYPE);
											}
											BgL_oclassz00_2193 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2199);
										}
										{	/* Ast/var.scm 244 */
											bool_t BgL__ortest_1111z00_2194;

											BgL__ortest_1111z00_2194 =
												(BgL_classz00_2177 == BgL_oclassz00_2193);
											if (BgL__ortest_1111z00_2194)
												{	/* Ast/var.scm 244 */
													BgL_res2177z00_2207 = BgL__ortest_1111z00_2194;
												}
											else
												{	/* Ast/var.scm 244 */
													long BgL_odepthz00_2195;

													BgL_odepthz00_2195 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2193);
													if ((((long) 2) < BgL_odepthz00_2195))
														{	/* Ast/var.scm 244 */
															obj_t BgL_arg1816z00_2197;

															BgL_arg1816z00_2197 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2193,
																((long) 2));
															BgL_res2177z00_2207 =
																(BgL_arg1816z00_2197 == BgL_classz00_2177);
														}
													else
														{	/* Ast/var.scm 244 */
															BgL_res2177z00_2207 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2878z00_5566 = BgL_res2177z00_2207;
								}
						}
					else
						{	/* Ast/var.scm 244 */
							BgL_test2878z00_5566 = ((bool_t) 0);
						}
				}
				if (BgL_test2878z00_5566)
					{	/* Ast/var.scm 244 */
						BGL_TAIL return
							BGl_sfunzd2keyzf3z21zzast_varz00(
							((obj_t)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_409))))->BgL_valuez00)));
					}
				else
					{	/* Ast/var.scm 244 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global-key? */
	obj_t BGl_z62globalzd2keyzf3z43zzast_varz00(obj_t BgL_envz00_3017,
		obj_t BgL_gz00_3018)
	{
		{	/* Ast/var.scm 243 */
			return BBOOL(BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_3018));
		}

	}



/* sfun-key? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzd2keyzf3z21zzast_varz00(obj_t BgL_funz00_410)
	{
		{	/* Ast/var.scm 251 */
			{	/* Ast/var.scm 252 */
				bool_t BgL_test2883z00_5593;

				{	/* Ast/var.scm 252 */
					obj_t BgL_classz00_2209;

					BgL_classz00_2209 = BGl_sfunz00zzast_varz00;
					if (BGL_OBJECTP(BgL_funz00_410))
						{	/* Ast/var.scm 252 */
							BgL_objectz00_bglt BgL_arg1820z00_2211;

							BgL_arg1820z00_2211 = (BgL_objectz00_bglt) (BgL_funz00_410);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/var.scm 252 */
									long BgL_idxz00_2217;

									BgL_idxz00_2217 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2211);
									BgL_test2883z00_5593 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2217 + ((long) 3))) == BgL_classz00_2209);
								}
							else
								{	/* Ast/var.scm 252 */
									bool_t BgL_res2178z00_2239;

									{	/* Ast/var.scm 252 */
										obj_t BgL_oclassz00_2225;

										{	/* Ast/var.scm 252 */
											long BgL_arg1828z00_2231;

											{	/* Ast/var.scm 252 */
												long BgL_arg1829z00_2232;

												BgL_arg1829z00_2232 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2211);
												BgL_arg1828z00_2231 =
													(BgL_arg1829z00_2232 - OBJECT_TYPE);
											}
											BgL_oclassz00_2225 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2231);
										}
										{	/* Ast/var.scm 252 */
											bool_t BgL__ortest_1111z00_2226;

											BgL__ortest_1111z00_2226 =
												(BgL_classz00_2209 == BgL_oclassz00_2225);
											if (BgL__ortest_1111z00_2226)
												{	/* Ast/var.scm 252 */
													BgL_res2178z00_2239 = BgL__ortest_1111z00_2226;
												}
											else
												{	/* Ast/var.scm 252 */
													long BgL_odepthz00_2227;

													BgL_odepthz00_2227 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2225);
													if ((((long) 3) < BgL_odepthz00_2227))
														{	/* Ast/var.scm 252 */
															obj_t BgL_arg1816z00_2229;

															BgL_arg1816z00_2229 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2225,
																((long) 3));
															BgL_res2178z00_2239 =
																(BgL_arg1816z00_2229 == BgL_classz00_2209);
														}
													else
														{	/* Ast/var.scm 252 */
															BgL_res2178z00_2239 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2883z00_5593 = BgL_res2178z00_2239;
								}
						}
					else
						{	/* Ast/var.scm 252 */
							BgL_test2883z00_5593 = ((bool_t) 0);
						}
				}
				if (BgL_test2883z00_5593)
					{	/* Ast/var.scm 252 */
						obj_t BgL_tmpz00_5613;

						BgL_tmpz00_5613 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_410)))->BgL_keysz00);
						return PAIRP(BgL_tmpz00_5613);
					}
				else
					{	/* Ast/var.scm 252 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun-key? */
	obj_t BGl_z62sfunzd2keyzf3z43zzast_varz00(obj_t BgL_envz00_3019,
		obj_t BgL_funz00_3020)
	{
		{	/* Ast/var.scm 251 */
			return BBOOL(BGl_sfunzd2keyzf3z21zzast_varz00(BgL_funz00_3020));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			{	/* Ast/var.scm 21 */
				obj_t BgL_arg1340z00_547;
				obj_t BgL_arg1341z00_548;

				{	/* Ast/var.scm 21 */
					obj_t BgL_v1254z00_558;

					BgL_v1254z00_558 = create_vector(((long) 0));
					BgL_arg1340z00_547 = BgL_v1254z00_558;
				}
				{	/* Ast/var.scm 21 */
					obj_t BgL_v1255z00_559;

					BgL_v1255z00_559 = create_vector(((long) 0));
					BgL_arg1341z00_548 = BgL_v1255z00_559;
				}
				BGl_valuez00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
					CNST_TABLE_REF(((long) 3)), BGl_objectz00zz__objectz00, ((long) 3894),
					BGl_proc2181z00zzast_varz00, BGl_proc2180z00zzast_varz00, BFALSE,
					BGl_proc2179z00zzast_varz00, BFALSE, BgL_arg1340z00_547,
					BgL_arg1341z00_548);
			}
			{	/* Ast/var.scm 23 */
				obj_t BgL_arg1358z00_566;
				obj_t BgL_arg1359z00_567;

				{	/* Ast/var.scm 23 */
					obj_t BgL_v1256z00_587;

					BgL_v1256z00_587 = create_vector(((long) 10));
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1366z00_588;

						BgL_arg1366z00_588 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc2183z00zzast_varz00, BGl_proc2182z00zzast_varz00,
							((bool_t) 1), ((bool_t) 0), BFALSE, BFALSE,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1256z00_587, ((long) 0), BgL_arg1366z00_588);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1378z00_598;

						BgL_arg1378z00_598 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc2186z00zzast_varz00, BGl_proc2185z00zzast_varz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc2184z00zzast_varz00,
							CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1256z00_587, ((long) 1), BgL_arg1378z00_598);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1391z00_611;

						BgL_arg1391z00_611 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2188z00zzast_varz00, BGl_proc2187z00zzast_varz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1256z00_587, ((long) 2), BgL_arg1391z00_611);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1400z00_621;

						BgL_arg1400z00_621 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc2190z00zzast_varz00, BGl_proc2189z00zzast_varz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_valuez00zzast_varz00);
						VECTOR_SET(BgL_v1256z00_587, ((long) 3), BgL_arg1400z00_621);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1426z00_631;

						BgL_arg1426z00_631 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									9)), BGl_proc2193z00zzast_varz00, BGl_proc2192z00zzast_varz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc2191z00zzast_varz00,
							CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1256z00_587, ((long) 4), BgL_arg1426z00_631);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1482z00_644;

						BgL_arg1482z00_644 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc2196z00zzast_varz00,
							BGl_proc2195z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2194z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1256z00_587, ((long) 5), BgL_arg1482z00_644);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1510z00_657;

						BgL_arg1510z00_657 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc2199z00zzast_varz00,
							BGl_proc2198z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2197z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1256z00_587, ((long) 6), BgL_arg1510z00_657);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1526z00_670;

						BgL_arg1526z00_670 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc2202z00zzast_varz00,
							BGl_proc2201z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2200z00zzast_varz00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1256z00_587, ((long) 7), BgL_arg1526z00_670);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1558z00_683;

						BgL_arg1558z00_683 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc2205z00zzast_varz00,
							BGl_proc2204z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2203z00zzast_varz00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1256z00_587, ((long) 8), BgL_arg1558z00_683);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1570z00_696;

						BgL_arg1570z00_696 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc2208z00zzast_varz00,
							BGl_proc2207z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2206z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1256z00_587, ((long) 9), BgL_arg1570z00_696);
					}
					BgL_arg1358z00_566 = BgL_v1256z00_587;
				}
				{	/* Ast/var.scm 23 */
					obj_t BgL_v1257z00_709;

					BgL_v1257z00_709 = create_vector(((long) 0));
					BgL_arg1359z00_567 = BgL_v1257z00_709;
				}
				BGl_variablez00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 17)),
					CNST_TABLE_REF(((long) 3)), BGl_objectz00zz__objectz00,
					((long) 41390), BGl_proc2211z00zzast_varz00,
					BGl_proc2210z00zzast_varz00, BFALSE, BGl_proc2209z00zzast_varz00,
					BFALSE, BgL_arg1358z00_566, BgL_arg1359z00_567);
			}
			{	/* Ast/var.scm 46 */
				obj_t BgL_arg1599z00_716;
				obj_t BgL_arg1600z00_717;

				{	/* Ast/var.scm 46 */
					obj_t BgL_v1258z00_747;

					BgL_v1258z00_747 = create_vector(((long) 10));
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1616z00_748;

						BgL_arg1616z00_748 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc2213z00zzast_varz00,
							BGl_proc2212z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1258z00_747, ((long) 0), BgL_arg1616z00_748);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1632z00_758;

						BgL_arg1632z00_758 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc2215z00zzast_varz00,
							BGl_proc2214z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1258z00_747, ((long) 1), BgL_arg1632z00_758);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1639z00_768;

						BgL_arg1639z00_768 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc2218z00zzast_varz00,
							BGl_proc2217z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2216z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1258z00_747, ((long) 2), BgL_arg1639z00_768);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1651z00_781;

						BgL_arg1651z00_781 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc2221z00zzast_varz00,
							BGl_proc2220z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2219z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1258z00_747, ((long) 3), BgL_arg1651z00_781);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1672z00_794;

						BgL_arg1672z00_794 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc2224z00zzast_varz00,
							BGl_proc2223z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2222z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1258z00_747, ((long) 4), BgL_arg1672z00_794);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1682z00_807;

						BgL_arg1682z00_807 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc2227z00zzast_varz00,
							BGl_proc2226z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2225z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1258z00_747, ((long) 5), BgL_arg1682z00_807);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1696z00_820;

						BgL_arg1696z00_820 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									24)), BGl_proc2229z00zzast_varz00,
							BGl_proc2228z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1258z00_747, ((long) 6), BgL_arg1696z00_820);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1705z00_830;

						BgL_arg1705z00_830 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc2231z00zzast_varz00,
							BGl_proc2230z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 26)));
						VECTOR_SET(BgL_v1258z00_747, ((long) 7), BgL_arg1705z00_830);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1720z00_840;

						BgL_arg1720z00_840 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc2234z00zzast_varz00,
							BGl_proc2233z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2232z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1258z00_747, ((long) 8), BgL_arg1720z00_840);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1734z00_853;

						BgL_arg1734z00_853 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc2237z00zzast_varz00,
							BGl_proc2236z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2235z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1258z00_747, ((long) 9), BgL_arg1734z00_853);
					}
					BgL_arg1599z00_716 = BgL_v1258z00_747;
				}
				{	/* Ast/var.scm 46 */
					obj_t BgL_v1259z00_866;

					BgL_v1259z00_866 = create_vector(((long) 0));
					BgL_arg1600z00_717 = BgL_v1259z00_866;
				}
				BGl_globalz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 29)),
					CNST_TABLE_REF(((long) 3)), BGl_variablez00zzast_varz00,
					((long) 49842), BGl_proc2240z00zzast_varz00,
					BGl_proc2239z00zzast_varz00, BFALSE, BGl_proc2238z00zzast_varz00,
					BFALSE, BgL_arg1599z00_716, BgL_arg1600z00_717);
			}
			{	/* Ast/var.scm 75 */
				obj_t BgL_arg1750z00_873;
				obj_t BgL_arg1751z00_874;

				{	/* Ast/var.scm 75 */
					obj_t BgL_v1260z00_897;

					BgL_v1260z00_897 = create_vector(((long) 3));
					{	/* Ast/var.scm 75 */
						obj_t BgL_arg1757z00_898;

						BgL_arg1757z00_898 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc2242z00zzast_varz00,
							BGl_proc2241z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1260z00_897, ((long) 0), BgL_arg1757z00_898);
					}
					{	/* Ast/var.scm 75 */
						obj_t BgL_arg1769z00_908;

						BgL_arg1769z00_908 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									31)), BGl_proc2245z00zzast_varz00,
							BGl_proc2244z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2243z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1260z00_897, ((long) 1), BgL_arg1769z00_908);
					}
					{	/* Ast/var.scm 75 */
						obj_t BgL_arg1781z00_921;

						BgL_arg1781z00_921 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									32)), BGl_proc2248z00zzast_varz00,
							BGl_proc2247z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2246z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1260z00_897, ((long) 2), BgL_arg1781z00_921);
					}
					BgL_arg1750z00_873 = BgL_v1260z00_897;
				}
				{	/* Ast/var.scm 75 */
					obj_t BgL_v1261z00_934;

					BgL_v1261z00_934 = create_vector(((long) 0));
					BgL_arg1751z00_874 = BgL_v1261z00_934;
				}
				BGl_localz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 33)),
					CNST_TABLE_REF(((long) 3)), BGl_variablez00zzast_varz00, ((long) 825),
					BGl_proc2251z00zzast_varz00, BGl_proc2250z00zzast_varz00, BFALSE,
					BGl_proc2249z00zzast_varz00, BFALSE, BgL_arg1750z00_873,
					BgL_arg1751z00_874);
			}
			{	/* Ast/var.scm 84 */
				obj_t BgL_arg1817z00_941;
				obj_t BgL_arg1819z00_942;

				{	/* Ast/var.scm 84 */
					obj_t BgL_v1262z00_962;

					BgL_v1262z00_962 = create_vector(((long) 10));
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1833z00_963;

						BgL_arg1833z00_963 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									34)), BGl_proc2253z00zzast_varz00,
							BGl_proc2252z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1262z00_962, ((long) 0), BgL_arg1833z00_963);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1840z00_973;

						BgL_arg1840z00_973 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									35)), BGl_proc2256z00zzast_varz00,
							BGl_proc2255z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2254z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1262z00_962, ((long) 1), BgL_arg1840z00_973);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1850z00_986;

						BgL_arg1850z00_986 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc2259z00zzast_varz00,
							BGl_proc2258z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2257z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1262z00_962, ((long) 2), BgL_arg1850z00_986);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1860z00_999;

						BgL_arg1860z00_999 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc2262z00zzast_varz00,
							BGl_proc2261z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2260z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1262z00_962, ((long) 3), BgL_arg1860z00_999);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1868z00_1012;

						BgL_arg1868z00_1012 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc2265z00zzast_varz00,
							BGl_proc2264z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2263z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1262z00_962, ((long) 4), BgL_arg1868z00_1012);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1877z00_1025;

						BgL_arg1877z00_1025 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									39)), BGl_proc2268z00zzast_varz00,
							BGl_proc2267z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2266z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1262z00_962, ((long) 5), BgL_arg1877z00_1025);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1886z00_1038;

						BgL_arg1886z00_1038 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									40)), BGl_proc2271z00zzast_varz00,
							BGl_proc2270z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2269z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1262z00_962, ((long) 6), BgL_arg1886z00_1038);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1894z00_1051;

						BgL_arg1894z00_1051 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									41)), BGl_proc2274z00zzast_varz00,
							BGl_proc2273z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2272z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1262z00_962, ((long) 7), BgL_arg1894z00_1051);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1904z00_1064;

						BgL_arg1904z00_1064 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									42)), BGl_proc2277z00zzast_varz00,
							BGl_proc2276z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2275z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1262z00_962, ((long) 8), BgL_arg1904z00_1064);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1912z00_1077;

						BgL_arg1912z00_1077 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									43)), BGl_proc2280z00zzast_varz00,
							BGl_proc2279z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2278z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1262z00_962, ((long) 9), BgL_arg1912z00_1077);
					}
					BgL_arg1817z00_941 = BgL_v1262z00_962;
				}
				{	/* Ast/var.scm 84 */
					obj_t BgL_v1263z00_1090;

					BgL_v1263z00_1090 = create_vector(((long) 0));
					BgL_arg1819z00_942 = BgL_v1263z00_1090;
				}
				BGl_funz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 44)),
					CNST_TABLE_REF(((long) 3)), BGl_valuez00zzast_varz00, ((long) 55727),
					BGl_proc2283z00zzast_varz00, BGl_proc2282z00zzast_varz00, BFALSE,
					BGl_proc2281z00zzast_varz00, BFALSE, BgL_arg1817z00_941,
					BgL_arg1819z00_942);
			}
			{	/* Ast/var.scm 116 */
				obj_t BgL_arg1924z00_1097;
				obj_t BgL_arg1925z00_1098;

				{	/* Ast/var.scm 116 */
					obj_t BgL_v1264z00_1130;

					BgL_v1264z00_1130 = create_vector(((long) 12));
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1931z00_1131;

						BgL_arg1931z00_1131 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc2286z00zzast_varz00,
							BGl_proc2285z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2284z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1264z00_1130, ((long) 0), BgL_arg1931z00_1131);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1938z00_1144;

						BgL_arg1938z00_1144 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									46)), BGl_proc2288z00zzast_varz00,
							BGl_proc2287z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1264z00_1130, ((long) 1), BgL_arg1938z00_1144);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1943z00_1154;

						BgL_arg1943z00_1154 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc2290z00zzast_varz00,
							BGl_proc2289z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1264z00_1130, ((long) 2), BgL_arg1943z00_1154);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1948z00_1164;

						BgL_arg1948z00_1164 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc2293z00zzast_varz00,
							BGl_proc2292z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2291z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1264z00_1130, ((long) 3), BgL_arg1948z00_1164);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1955z00_1177;

						BgL_arg1955z00_1177 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									49)), BGl_proc2295z00zzast_varz00,
							BGl_proc2294z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1264z00_1130, ((long) 4), BgL_arg1955z00_1177);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1960z00_1187;

						BgL_arg1960z00_1187 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									50)), BGl_proc2298z00zzast_varz00,
							BGl_proc2297z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2296z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1264z00_1130, ((long) 5), BgL_arg1960z00_1187);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1967z00_1200;

						BgL_arg1967z00_1200 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									51)), BGl_proc2301z00zzast_varz00,
							BGl_proc2300z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2299z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1264z00_1130, ((long) 6), BgL_arg1967z00_1200);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1974z00_1213;

						BgL_arg1974z00_1213 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									52)), BGl_proc2304z00zzast_varz00,
							BGl_proc2303z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc2302z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1264z00_1130, ((long) 7), BgL_arg1974z00_1213);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1981z00_1226;

						BgL_arg1981z00_1226 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									53)), BGl_proc2307z00zzast_varz00,
							BGl_proc2306z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc2305z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1264z00_1130, ((long) 8), BgL_arg1981z00_1226);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1988z00_1239;

						BgL_arg1988z00_1239 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									54)), BGl_proc2310z00zzast_varz00,
							BGl_proc2309z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2308z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1264z00_1130, ((long) 9), BgL_arg1988z00_1239);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1995z00_1252;

						BgL_arg1995z00_1252 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc2313z00zzast_varz00,
							BGl_proc2312z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2311z00zzast_varz00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1264z00_1130, ((long) 10), BgL_arg1995z00_1252);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg2002z00_1265;

						BgL_arg2002z00_1265 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									56)), BGl_proc2316z00zzast_varz00,
							BGl_proc2315z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2314z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1264z00_1130, ((long) 11), BgL_arg2002z00_1265);
					}
					BgL_arg1924z00_1097 = BgL_v1264z00_1130;
				}
				{	/* Ast/var.scm 116 */
					obj_t BgL_v1265z00_1278;

					BgL_v1265z00_1278 = create_vector(((long) 0));
					BgL_arg1925z00_1098 = BgL_v1265z00_1278;
				}
				BGl_sfunz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 57)),
					CNST_TABLE_REF(((long) 3)), BGl_funz00zzast_varz00, ((long) 64266),
					BGl_proc2319z00zzast_varz00, BGl_proc2318z00zzast_varz00, BFALSE,
					BGl_proc2317z00zzast_varz00, BFALSE, BgL_arg1924z00_1097,
					BgL_arg1925z00_1098);
			}
			{	/* Ast/var.scm 146 */
				obj_t BgL_arg2013z00_1285;
				obj_t BgL_arg2014z00_1286;

				{	/* Ast/var.scm 146 */
					obj_t BgL_v1266z00_1310;

					BgL_v1266z00_1310 = create_vector(((long) 4));
					{	/* Ast/var.scm 146 */
						obj_t BgL_arg2021z00_1311;

						BgL_arg2021z00_1311 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									58)), BGl_proc2321z00zzast_varz00,
							BGl_proc2320z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1266z00_1310, ((long) 0), BgL_arg2021z00_1311);
					}
					{	/* Ast/var.scm 146 */
						obj_t BgL_arg2026z00_1321;

						BgL_arg2026z00_1321 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									59)), BGl_proc2323z00zzast_varz00,
							BGl_proc2322z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1266z00_1310, ((long) 1), BgL_arg2026z00_1321);
					}
					{	/* Ast/var.scm 146 */
						obj_t BgL_arg2033z00_1331;

						BgL_arg2033z00_1331 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									60)), BGl_proc2326z00zzast_varz00,
							BGl_proc2325z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2324z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1266z00_1310, ((long) 2), BgL_arg2033z00_1331);
					}
					{	/* Ast/var.scm 146 */
						obj_t BgL_arg2041z00_1344;

						BgL_arg2041z00_1344 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									61)), BGl_proc2329z00zzast_varz00,
							BGl_proc2328z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2327z00zzast_varz00, CNST_TABLE_REF(((long) 62)));
						VECTOR_SET(BgL_v1266z00_1310, ((long) 3), BgL_arg2041z00_1344);
					}
					BgL_arg2013z00_1285 = BgL_v1266z00_1310;
				}
				{	/* Ast/var.scm 146 */
					obj_t BgL_v1267z00_1357;

					BgL_v1267z00_1357 = create_vector(((long) 0));
					BgL_arg2014z00_1286 = BgL_v1267z00_1357;
				}
				BGl_cfunz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 63)),
					CNST_TABLE_REF(((long) 3)), BGl_funz00zzast_varz00, ((long) 20445),
					BGl_proc2332z00zzast_varz00, BGl_proc2331z00zzast_varz00, BFALSE,
					BGl_proc2330z00zzast_varz00, BFALSE, BgL_arg2013z00_1285,
					BgL_arg2014z00_1286);
			}
			{	/* Ast/var.scm 156 */
				obj_t BgL_arg2052z00_1364;
				obj_t BgL_arg2053z00_1365;

				{	/* Ast/var.scm 156 */
					obj_t BgL_v1268z00_1376;

					BgL_v1268z00_1376 = create_vector(((long) 1));
					{	/* Ast/var.scm 156 */
						obj_t BgL_arg2059z00_1377;

						BgL_arg2059z00_1377 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									51)), BGl_proc2335z00zzast_varz00,
							BGl_proc2334z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2333z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1268z00_1376, ((long) 0), BgL_arg2059z00_1377);
					}
					BgL_arg2052z00_1364 = BgL_v1268z00_1376;
				}
				{	/* Ast/var.scm 156 */
					obj_t BgL_v1269z00_1390;

					BgL_v1269z00_1390 = create_vector(((long) 0));
					BgL_arg2053z00_1365 = BgL_v1269z00_1390;
				}
				BGl_svarz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 64)),
					CNST_TABLE_REF(((long) 3)), BGl_valuez00zzast_varz00, ((long) 12471),
					BGl_proc2338z00zzast_varz00, BGl_proc2337z00zzast_varz00, BFALSE,
					BGl_proc2336z00zzast_varz00, BFALSE, BgL_arg2052z00_1364,
					BgL_arg2053z00_1365);
			}
			{	/* Ast/var.scm 160 */
				obj_t BgL_arg2069z00_1397;
				obj_t BgL_arg2071z00_1398;

				{	/* Ast/var.scm 160 */
					obj_t BgL_v1270z00_1411;

					BgL_v1270z00_1411 = create_vector(((long) 3));
					{	/* Ast/var.scm 160 */
						obj_t BgL_arg2079z00_1412;

						BgL_arg2079z00_1412 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									65)), BGl_proc2340z00zzast_varz00,
							BGl_proc2339z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1270z00_1411, ((long) 0), BgL_arg2079z00_1412);
					}
					{	/* Ast/var.scm 160 */
						obj_t BgL_arg2084z00_1422;

						BgL_arg2084z00_1422 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									49)), BGl_proc2342z00zzast_varz00,
							BGl_proc2341z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1270z00_1411, ((long) 1), BgL_arg2084z00_1422);
					}
					{	/* Ast/var.scm 160 */
						obj_t BgL_arg2089z00_1432;

						BgL_arg2089z00_1432 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									51)), BGl_proc2345z00zzast_varz00,
							BGl_proc2344z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2343z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1270z00_1411, ((long) 2), BgL_arg2089z00_1432);
					}
					BgL_arg2069z00_1397 = BgL_v1270z00_1411;
				}
				{	/* Ast/var.scm 160 */
					obj_t BgL_v1271z00_1445;

					BgL_v1271z00_1445 = create_vector(((long) 0));
					BgL_arg2071z00_1398 = BgL_v1271z00_1445;
				}
				BGl_scnstz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 66)),
					CNST_TABLE_REF(((long) 3)), BGl_valuez00zzast_varz00, ((long) 22055),
					BGl_proc2348z00zzast_varz00, BGl_proc2347z00zzast_varz00, BFALSE,
					BGl_proc2346z00zzast_varz00, BFALSE, BgL_arg2069z00_1397,
					BgL_arg2071z00_1398);
			}
			{	/* Ast/var.scm 168 */
				obj_t BgL_arg2100z00_1452;
				obj_t BgL_arg2101z00_1453;

				{	/* Ast/var.scm 168 */
					obj_t BgL_v1272z00_1464;

					BgL_v1272z00_1464 = create_vector(((long) 1));
					{	/* Ast/var.scm 168 */
						obj_t BgL_arg2107z00_1465;

						BgL_arg2107z00_1465 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									59)), BGl_proc2350z00zzast_varz00,
							BGl_proc2349z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1272z00_1464, ((long) 0), BgL_arg2107z00_1465);
					}
					BgL_arg2100z00_1452 = BgL_v1272z00_1464;
				}
				{	/* Ast/var.scm 168 */
					obj_t BgL_v1273z00_1475;

					BgL_v1273z00_1475 = create_vector(((long) 0));
					BgL_arg2101z00_1453 = BgL_v1273z00_1475;
				}
				BGl_cvarz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 67)),
					CNST_TABLE_REF(((long) 3)), BGl_valuez00zzast_varz00, ((long) 53457),
					BGl_proc2353z00zzast_varz00, BGl_proc2352z00zzast_varz00, BFALSE,
					BGl_proc2351z00zzast_varz00, BFALSE, BgL_arg2100z00_1452,
					BgL_arg2101z00_1453);
			}
			{	/* Ast/var.scm 172 */
				obj_t BgL_arg2115z00_1482;
				obj_t BgL_arg2116z00_1483;

				{	/* Ast/var.scm 172 */
					obj_t BgL_v1274z00_1495;

					BgL_v1274z00_1495 = create_vector(((long) 2));
					{	/* Ast/var.scm 172 */
						obj_t BgL_arg2122z00_1496;

						BgL_arg2122z00_1496 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									68)), BGl_proc2355z00zzast_varz00,
							BGl_proc2354z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1274z00_1495, ((long) 0), BgL_arg2122z00_1496);
					}
					{	/* Ast/var.scm 172 */
						obj_t BgL_arg2127z00_1506;

						BgL_arg2127z00_1506 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									69)), BGl_proc2358z00zzast_varz00,
							BGl_proc2357z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2356z00zzast_varz00, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1274z00_1495, ((long) 1), BgL_arg2127z00_1506);
					}
					BgL_arg2115z00_1482 = BgL_v1274z00_1495;
				}
				{	/* Ast/var.scm 172 */
					obj_t BgL_v1275z00_1519;

					BgL_v1275z00_1519 = create_vector(((long) 0));
					BgL_arg2116z00_1483 = BgL_v1275z00_1519;
				}
				BGl_sexitz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 70)),
					CNST_TABLE_REF(((long) 3)), BGl_valuez00zzast_varz00, ((long) 19916),
					BGl_proc2361z00zzast_varz00, BGl_proc2360z00zzast_varz00, BFALSE,
					BGl_proc2359z00zzast_varz00, BFALSE, BgL_arg2115z00_1482,
					BgL_arg2116z00_1483);
			}
			{	/* Ast/var.scm 178 */
				obj_t BgL_arg2138z00_1526;
				obj_t BgL_arg2139z00_1527;

				{	/* Ast/var.scm 178 */
					obj_t BgL_v1276z00_1539;

					BgL_v1276z00_1539 = create_vector(((long) 2));
					{	/* Ast/var.scm 178 */
						obj_t BgL_arg2145z00_1540;

						BgL_arg2145z00_1540 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									71)), BGl_proc2364z00zzast_varz00,
							BGl_proc2363z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2362z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1276z00_1539, ((long) 0), BgL_arg2145z00_1540);
					}
					{	/* Ast/var.scm 178 */
						obj_t BgL_arg2152z00_1553;

						BgL_arg2152z00_1553 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									72)), BGl_proc2367z00zzast_varz00,
							BGl_proc2366z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2365z00zzast_varz00, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v1276z00_1539, ((long) 1), BgL_arg2152z00_1553);
					}
					BgL_arg2138z00_1526 = BgL_v1276z00_1539;
				}
				{	/* Ast/var.scm 178 */
					obj_t BgL_v1277z00_1566;

					BgL_v1277z00_1566 = create_vector(((long) 0));
					BgL_arg2139z00_1527 = BgL_v1277z00_1566;
				}
				return (BGl_feffectz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 73)),
						CNST_TABLE_REF(((long) 3)), BGl_objectz00zz__objectz00,
						((long) 59103), BGl_proc2370z00zzast_varz00,
						BGl_proc2369z00zzast_varz00, BFALSE, BGl_proc2368z00zzast_varz00,
						BFALSE, BgL_arg2138z00_1526, BgL_arg2139z00_1527), BUNSPEC);
		}}

	}



/* &<@anonymous:2144> */
	obj_t BGl_z62zc3z04anonymousza32144ze3ze5zzast_varz00(obj_t BgL_envz00_3213,
		obj_t BgL_new1185z00_3214)
	{
		{	/* Ast/var.scm 178 */
			{
				BgL_feffectz00_bglt BgL_auxz00_5909;

				((((BgL_feffectz00_bglt) COBJECT(
								((BgL_feffectz00_bglt) BgL_new1185z00_3214)))->BgL_readz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(((BgL_feffectz00_bglt)
									BgL_new1185z00_3214)))->BgL_writez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5909 = ((BgL_feffectz00_bglt) BgL_new1185z00_3214);
				return ((obj_t) BgL_auxz00_5909);
			}
		}

	}



/* &lambda2142 */
	BgL_feffectz00_bglt BGl_z62lambda2142z62zzast_varz00(obj_t BgL_envz00_3215)
	{
		{	/* Ast/var.scm 178 */
			{	/* Ast/var.scm 178 */
				BgL_feffectz00_bglt BgL_new1184z00_3881;

				BgL_new1184z00_3881 =
					((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_feffectz00_bgl))));
				{	/* Ast/var.scm 178 */
					long BgL_arg2143z00_3882;

					BgL_arg2143z00_3882 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1184z00_3881), BgL_arg2143z00_3882);
				}
				return BgL_new1184z00_3881;
			}
		}

	}



/* &lambda2140 */
	BgL_feffectz00_bglt BGl_z62lambda2140z62zzast_varz00(obj_t BgL_envz00_3216,
		obj_t BgL_read1181z00_3217, obj_t BgL_write1182z00_3218)
	{
		{	/* Ast/var.scm 178 */
			{	/* Ast/var.scm 178 */
				BgL_feffectz00_bglt BgL_new1251z00_3883;

				{	/* Ast/var.scm 178 */
					BgL_feffectz00_bglt BgL_new1249z00_3884;

					BgL_new1249z00_3884 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 178 */
						long BgL_arg2141z00_3885;

						BgL_arg2141z00_3885 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1249z00_3884), BgL_arg2141z00_3885);
					}
					BgL_new1251z00_3883 = BgL_new1249z00_3884;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1251z00_3883))->BgL_readz00) =
					((obj_t) BgL_read1181z00_3217), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1251z00_3883))->BgL_writez00) =
					((obj_t) BgL_write1182z00_3218), BUNSPEC);
				return BgL_new1251z00_3883;
			}
		}

	}



/* &<@anonymous:2159> */
	obj_t BGl_z62zc3z04anonymousza32159ze3ze5zzast_varz00(obj_t BgL_envz00_3219)
	{
		{	/* Ast/var.scm 178 */
			return BNIL;
		}

	}



/* &lambda2158 */
	obj_t BGl_z62lambda2158z62zzast_varz00(obj_t BgL_envz00_3220,
		obj_t BgL_oz00_3221, obj_t BgL_vz00_3222)
	{
		{	/* Ast/var.scm 178 */
			return
				((((BgL_feffectz00_bglt) COBJECT(
							((BgL_feffectz00_bglt) BgL_oz00_3221)))->BgL_writez00) =
				((obj_t) BgL_vz00_3222), BUNSPEC);
		}

	}



/* &lambda2157 */
	obj_t BGl_z62lambda2157z62zzast_varz00(obj_t BgL_envz00_3223,
		obj_t BgL_oz00_3224)
	{
		{	/* Ast/var.scm 178 */
			return
				(((BgL_feffectz00_bglt) COBJECT(
						((BgL_feffectz00_bglt) BgL_oz00_3224)))->BgL_writez00);
		}

	}



/* &<@anonymous:2151> */
	obj_t BGl_z62zc3z04anonymousza32151ze3ze5zzast_varz00(obj_t BgL_envz00_3225)
	{
		{	/* Ast/var.scm 178 */
			return BNIL;
		}

	}



/* &lambda2150 */
	obj_t BGl_z62lambda2150z62zzast_varz00(obj_t BgL_envz00_3226,
		obj_t BgL_oz00_3227, obj_t BgL_vz00_3228)
	{
		{	/* Ast/var.scm 178 */
			return
				((((BgL_feffectz00_bglt) COBJECT(
							((BgL_feffectz00_bglt) BgL_oz00_3227)))->BgL_readz00) =
				((obj_t) BgL_vz00_3228), BUNSPEC);
		}

	}



/* &lambda2149 */
	obj_t BGl_z62lambda2149z62zzast_varz00(obj_t BgL_envz00_3229,
		obj_t BgL_oz00_3230)
	{
		{	/* Ast/var.scm 178 */
			return
				(((BgL_feffectz00_bglt) COBJECT(
						((BgL_feffectz00_bglt) BgL_oz00_3230)))->BgL_readz00);
		}

	}



/* &<@anonymous:2121> */
	obj_t BGl_z62zc3z04anonymousza32121ze3ze5zzast_varz00(obj_t BgL_envz00_3231,
		obj_t BgL_new1179z00_3232)
	{
		{	/* Ast/var.scm 172 */
			{
				BgL_sexitz00_bglt BgL_auxz00_5934;

				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_new1179z00_3232)))->BgL_handlerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
									BgL_new1179z00_3232)))->BgL_detachedzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_5934 = ((BgL_sexitz00_bglt) BgL_new1179z00_3232);
				return ((obj_t) BgL_auxz00_5934);
			}
		}

	}



/* &lambda2119 */
	BgL_sexitz00_bglt BGl_z62lambda2119z62zzast_varz00(obj_t BgL_envz00_3233)
	{
		{	/* Ast/var.scm 172 */
			{	/* Ast/var.scm 172 */
				BgL_sexitz00_bglt BgL_new1177z00_3891;

				BgL_new1177z00_3891 =
					((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sexitz00_bgl))));
				{	/* Ast/var.scm 172 */
					long BgL_arg2120z00_3892;

					BgL_arg2120z00_3892 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1177z00_3891), BgL_arg2120z00_3892);
				}
				{	/* Ast/var.scm 172 */
					BgL_objectz00_bglt BgL_tmpz00_5945;

					BgL_tmpz00_5945 = ((BgL_objectz00_bglt) BgL_new1177z00_3891);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5945, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1177z00_3891);
				return BgL_new1177z00_3891;
			}
		}

	}



/* &lambda2117 */
	BgL_sexitz00_bglt BGl_z62lambda2117z62zzast_varz00(obj_t BgL_envz00_3234,
		obj_t BgL_handler1175z00_3235, obj_t BgL_detachedzf31176zf3_3236)
	{
		{	/* Ast/var.scm 172 */
			{	/* Ast/var.scm 172 */
				bool_t BgL_detachedzf31176zf3_3893;

				BgL_detachedzf31176zf3_3893 = CBOOL(BgL_detachedzf31176zf3_3236);
				{	/* Ast/var.scm 172 */
					BgL_sexitz00_bglt BgL_new1248z00_3894;

					{	/* Ast/var.scm 172 */
						BgL_sexitz00_bglt BgL_new1247z00_3895;

						BgL_new1247z00_3895 =
							((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sexitz00_bgl))));
						{	/* Ast/var.scm 172 */
							long BgL_arg2118z00_3896;

							BgL_arg2118z00_3896 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1247z00_3895),
								BgL_arg2118z00_3896);
						}
						{	/* Ast/var.scm 172 */
							BgL_objectz00_bglt BgL_tmpz00_5954;

							BgL_tmpz00_5954 = ((BgL_objectz00_bglt) BgL_new1247z00_3895);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5954, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1247z00_3895);
						BgL_new1248z00_3894 = BgL_new1247z00_3895;
					}
					((((BgL_sexitz00_bglt) COBJECT(BgL_new1248z00_3894))->
							BgL_handlerz00) = ((obj_t) BgL_handler1175z00_3235), BUNSPEC);
					((((BgL_sexitz00_bglt) COBJECT(BgL_new1248z00_3894))->
							BgL_detachedzf3zf3) =
						((bool_t) BgL_detachedzf31176zf3_3893), BUNSPEC);
					return BgL_new1248z00_3894;
				}
			}
		}

	}



/* &<@anonymous:2134> */
	obj_t BGl_z62zc3z04anonymousza32134ze3ze5zzast_varz00(obj_t BgL_envz00_3237)
	{
		{	/* Ast/var.scm 172 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2133 */
	obj_t BGl_z62lambda2133z62zzast_varz00(obj_t BgL_envz00_3238,
		obj_t BgL_oz00_3239, obj_t BgL_vz00_3240)
	{
		{	/* Ast/var.scm 172 */
			{	/* Ast/var.scm 172 */
				bool_t BgL_vz00_3898;

				BgL_vz00_3898 = CBOOL(BgL_vz00_3240);
				return
					((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_oz00_3239)))->BgL_detachedzf3zf3) =
					((bool_t) BgL_vz00_3898), BUNSPEC);
			}
		}

	}



/* &lambda2132 */
	obj_t BGl_z62lambda2132z62zzast_varz00(obj_t BgL_envz00_3241,
		obj_t BgL_oz00_3242)
	{
		{	/* Ast/var.scm 172 */
			return
				BBOOL(
				(((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_3242)))->BgL_detachedzf3zf3));
		}

	}



/* &lambda2126 */
	obj_t BGl_z62lambda2126z62zzast_varz00(obj_t BgL_envz00_3243,
		obj_t BgL_oz00_3244, obj_t BgL_vz00_3245)
	{
		{	/* Ast/var.scm 172 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_3244)))->BgL_handlerz00) =
				((obj_t) BgL_vz00_3245), BUNSPEC);
		}

	}



/* &lambda2125 */
	obj_t BGl_z62lambda2125z62zzast_varz00(obj_t BgL_envz00_3246,
		obj_t BgL_oz00_3247)
	{
		{	/* Ast/var.scm 172 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_3247)))->BgL_handlerz00);
		}

	}



/* &<@anonymous:2106> */
	obj_t BGl_z62zc3z04anonymousza32106ze3ze5zzast_varz00(obj_t BgL_envz00_3248,
		obj_t BgL_new1173z00_3249)
	{
		{	/* Ast/var.scm 168 */
			{
				BgL_cvarz00_bglt BgL_auxz00_5971;

				((((BgL_cvarz00_bglt) COBJECT(
								((BgL_cvarz00_bglt) BgL_new1173z00_3249)))->BgL_macrozf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_5971 = ((BgL_cvarz00_bglt) BgL_new1173z00_3249);
				return ((obj_t) BgL_auxz00_5971);
			}
		}

	}



/* &lambda2104 */
	BgL_cvarz00_bglt BGl_z62lambda2104z62zzast_varz00(obj_t BgL_envz00_3250)
	{
		{	/* Ast/var.scm 168 */
			{	/* Ast/var.scm 168 */
				BgL_cvarz00_bglt BgL_new1172z00_3903;

				BgL_new1172z00_3903 =
					((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cvarz00_bgl))));
				{	/* Ast/var.scm 168 */
					long BgL_arg2105z00_3904;

					BgL_arg2105z00_3904 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1172z00_3903), BgL_arg2105z00_3904);
				}
				{	/* Ast/var.scm 168 */
					BgL_objectz00_bglt BgL_tmpz00_5980;

					BgL_tmpz00_5980 = ((BgL_objectz00_bglt) BgL_new1172z00_3903);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5980, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1172z00_3903);
				return BgL_new1172z00_3903;
			}
		}

	}



/* &lambda2102 */
	BgL_cvarz00_bglt BGl_z62lambda2102z62zzast_varz00(obj_t BgL_envz00_3251,
		obj_t BgL_macrozf31171zf3_3252)
	{
		{	/* Ast/var.scm 168 */
			{	/* Ast/var.scm 168 */
				bool_t BgL_macrozf31171zf3_3905;

				BgL_macrozf31171zf3_3905 = CBOOL(BgL_macrozf31171zf3_3252);
				{	/* Ast/var.scm 168 */
					BgL_cvarz00_bglt BgL_new1246z00_3906;

					{	/* Ast/var.scm 168 */
						BgL_cvarz00_bglt BgL_new1244z00_3907;

						BgL_new1244z00_3907 =
							((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cvarz00_bgl))));
						{	/* Ast/var.scm 168 */
							long BgL_arg2103z00_3908;

							BgL_arg2103z00_3908 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1244z00_3907),
								BgL_arg2103z00_3908);
						}
						{	/* Ast/var.scm 168 */
							BgL_objectz00_bglt BgL_tmpz00_5989;

							BgL_tmpz00_5989 = ((BgL_objectz00_bglt) BgL_new1244z00_3907);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5989, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1244z00_3907);
						BgL_new1246z00_3906 = BgL_new1244z00_3907;
					}
					((((BgL_cvarz00_bglt) COBJECT(BgL_new1246z00_3906))->
							BgL_macrozf3zf3) = ((bool_t) BgL_macrozf31171zf3_3905), BUNSPEC);
					return BgL_new1246z00_3906;
				}
			}
		}

	}



/* &lambda2111 */
	obj_t BGl_z62lambda2111z62zzast_varz00(obj_t BgL_envz00_3253,
		obj_t BgL_oz00_3254, obj_t BgL_vz00_3255)
	{
		{	/* Ast/var.scm 168 */
			{	/* Ast/var.scm 168 */
				bool_t BgL_vz00_3910;

				BgL_vz00_3910 = CBOOL(BgL_vz00_3255);
				return
					((((BgL_cvarz00_bglt) COBJECT(
								((BgL_cvarz00_bglt) BgL_oz00_3254)))->BgL_macrozf3zf3) =
					((bool_t) BgL_vz00_3910), BUNSPEC);
			}
		}

	}



/* &lambda2110 */
	obj_t BGl_z62lambda2110z62zzast_varz00(obj_t BgL_envz00_3256,
		obj_t BgL_oz00_3257)
	{
		{	/* Ast/var.scm 168 */
			return
				BBOOL(
				(((BgL_cvarz00_bglt) COBJECT(
							((BgL_cvarz00_bglt) BgL_oz00_3257)))->BgL_macrozf3zf3));
		}

	}



/* &<@anonymous:2078> */
	obj_t BGl_z62zc3z04anonymousza32078ze3ze5zzast_varz00(obj_t BgL_envz00_3258,
		obj_t BgL_new1169z00_3259)
	{
		{	/* Ast/var.scm 160 */
			{
				BgL_scnstz00_bglt BgL_auxz00_6000;

				((((BgL_scnstz00_bglt) COBJECT(
								((BgL_scnstz00_bglt) BgL_new1169z00_3259)))->BgL_nodez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1169z00_3259)))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1169z00_3259)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6000 = ((BgL_scnstz00_bglt) BgL_new1169z00_3259);
				return ((obj_t) BgL_auxz00_6000);
			}
		}

	}



/* &lambda2074 */
	BgL_scnstz00_bglt BGl_z62lambda2074z62zzast_varz00(obj_t BgL_envz00_3260)
	{
		{	/* Ast/var.scm 160 */
			{	/* Ast/var.scm 160 */
				BgL_scnstz00_bglt BgL_new1168z00_3913;

				BgL_new1168z00_3913 =
					((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_scnstz00_bgl))));
				{	/* Ast/var.scm 160 */
					long BgL_arg2077z00_3914;

					BgL_arg2077z00_3914 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1168z00_3913), BgL_arg2077z00_3914);
				}
				{	/* Ast/var.scm 160 */
					BgL_objectz00_bglt BgL_tmpz00_6013;

					BgL_tmpz00_6013 = ((BgL_objectz00_bglt) BgL_new1168z00_3913);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6013, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1168z00_3913);
				return BgL_new1168z00_3913;
			}
		}

	}



/* &lambda2072 */
	BgL_scnstz00_bglt BGl_z62lambda2072z62zzast_varz00(obj_t BgL_envz00_3261,
		obj_t BgL_node1165z00_3262, obj_t BgL_class1166z00_3263,
		obj_t BgL_loc1167z00_3264)
	{
		{	/* Ast/var.scm 160 */
			{	/* Ast/var.scm 160 */
				BgL_scnstz00_bglt BgL_new1243z00_3915;

				{	/* Ast/var.scm 160 */
					BgL_scnstz00_bglt BgL_new1242z00_3916;

					BgL_new1242z00_3916 =
						((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_scnstz00_bgl))));
					{	/* Ast/var.scm 160 */
						long BgL_arg2073z00_3917;

						BgL_arg2073z00_3917 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1242z00_3916), BgL_arg2073z00_3917);
					}
					{	/* Ast/var.scm 160 */
						BgL_objectz00_bglt BgL_tmpz00_6021;

						BgL_tmpz00_6021 = ((BgL_objectz00_bglt) BgL_new1242z00_3916);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6021, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1242z00_3916);
					BgL_new1243z00_3915 = BgL_new1242z00_3916;
				}
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1243z00_3915))->BgL_nodez00) =
					((obj_t) BgL_node1165z00_3262), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1243z00_3915))->BgL_classz00) =
					((obj_t) BgL_class1166z00_3263), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1243z00_3915))->BgL_locz00) =
					((obj_t) BgL_loc1167z00_3264), BUNSPEC);
				return BgL_new1243z00_3915;
			}
		}

	}



/* &<@anonymous:2096> */
	obj_t BGl_z62zc3z04anonymousza32096ze3ze5zzast_varz00(obj_t BgL_envz00_3265)
	{
		{	/* Ast/var.scm 160 */
			return BUNSPEC;
		}

	}



/* &lambda2095 */
	obj_t BGl_z62lambda2095z62zzast_varz00(obj_t BgL_envz00_3266,
		obj_t BgL_oz00_3267, obj_t BgL_vz00_3268)
	{
		{	/* Ast/var.scm 160 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_3267)))->BgL_locz00) =
				((obj_t) BgL_vz00_3268), BUNSPEC);
		}

	}



/* &lambda2094 */
	obj_t BGl_z62lambda2094z62zzast_varz00(obj_t BgL_envz00_3269,
		obj_t BgL_oz00_3270)
	{
		{	/* Ast/var.scm 160 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_3270)))->BgL_locz00);
		}

	}



/* &lambda2088 */
	obj_t BGl_z62lambda2088z62zzast_varz00(obj_t BgL_envz00_3271,
		obj_t BgL_oz00_3272, obj_t BgL_vz00_3273)
	{
		{	/* Ast/var.scm 160 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_3272)))->BgL_classz00) =
				((obj_t) BgL_vz00_3273), BUNSPEC);
		}

	}



/* &lambda2087 */
	obj_t BGl_z62lambda2087z62zzast_varz00(obj_t BgL_envz00_3274,
		obj_t BgL_oz00_3275)
	{
		{	/* Ast/var.scm 160 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_3275)))->BgL_classz00);
		}

	}



/* &lambda2083 */
	obj_t BGl_z62lambda2083z62zzast_varz00(obj_t BgL_envz00_3276,
		obj_t BgL_oz00_3277, obj_t BgL_vz00_3278)
	{
		{	/* Ast/var.scm 160 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_3277)))->BgL_nodez00) =
				((obj_t) BgL_vz00_3278), BUNSPEC);
		}

	}



/* &lambda2082 */
	obj_t BGl_z62lambda2082z62zzast_varz00(obj_t BgL_envz00_3279,
		obj_t BgL_oz00_3280)
	{
		{	/* Ast/var.scm 160 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_3280)))->BgL_nodez00);
		}

	}



/* &<@anonymous:2058> */
	obj_t BGl_z62zc3z04anonymousza32058ze3ze5zzast_varz00(obj_t BgL_envz00_3281,
		obj_t BgL_new1163z00_3282)
	{
		{	/* Ast/var.scm 156 */
			{
				BgL_svarz00_bglt BgL_auxz00_6040;

				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1163z00_3282)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6040 = ((BgL_svarz00_bglt) BgL_new1163z00_3282);
				return ((obj_t) BgL_auxz00_6040);
			}
		}

	}



/* &lambda2056 */
	BgL_svarz00_bglt BGl_z62lambda2056z62zzast_varz00(obj_t BgL_envz00_3283)
	{
		{	/* Ast/var.scm 156 */
			{	/* Ast/var.scm 156 */
				BgL_svarz00_bglt BgL_new1162z00_3925;

				BgL_new1162z00_3925 =
					((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_svarz00_bgl))));
				{	/* Ast/var.scm 156 */
					long BgL_arg2057z00_3926;

					BgL_arg2057z00_3926 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1162z00_3925), BgL_arg2057z00_3926);
				}
				{	/* Ast/var.scm 156 */
					BgL_objectz00_bglt BgL_tmpz00_6049;

					BgL_tmpz00_6049 = ((BgL_objectz00_bglt) BgL_new1162z00_3925);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6049, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1162z00_3925);
				return BgL_new1162z00_3925;
			}
		}

	}



/* &lambda2054 */
	BgL_svarz00_bglt BGl_z62lambda2054z62zzast_varz00(obj_t BgL_envz00_3284,
		obj_t BgL_loc1161z00_3285)
	{
		{	/* Ast/var.scm 156 */
			{	/* Ast/var.scm 156 */
				BgL_svarz00_bglt BgL_new1241z00_3927;

				{	/* Ast/var.scm 156 */
					BgL_svarz00_bglt BgL_new1240z00_3928;

					BgL_new1240z00_3928 =
						((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarz00_bgl))));
					{	/* Ast/var.scm 156 */
						long BgL_arg2055z00_3929;

						BgL_arg2055z00_3929 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1240z00_3928), BgL_arg2055z00_3929);
					}
					{	/* Ast/var.scm 156 */
						BgL_objectz00_bglt BgL_tmpz00_6057;

						BgL_tmpz00_6057 = ((BgL_objectz00_bglt) BgL_new1240z00_3928);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6057, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1240z00_3928);
					BgL_new1241z00_3927 = BgL_new1240z00_3928;
				}
				((((BgL_svarz00_bglt) COBJECT(BgL_new1241z00_3927))->BgL_locz00) =
					((obj_t) BgL_loc1161z00_3285), BUNSPEC);
				return BgL_new1241z00_3927;
			}
		}

	}



/* &<@anonymous:2065> */
	obj_t BGl_z62zc3z04anonymousza32065ze3ze5zzast_varz00(obj_t BgL_envz00_3286)
	{
		{	/* Ast/var.scm 156 */
			return BUNSPEC;
		}

	}



/* &lambda2064 */
	obj_t BGl_z62lambda2064z62zzast_varz00(obj_t BgL_envz00_3287,
		obj_t BgL_oz00_3288, obj_t BgL_vz00_3289)
	{
		{	/* Ast/var.scm 156 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_3288)))->BgL_locz00) =
				((obj_t) BgL_vz00_3289), BUNSPEC);
		}

	}



/* &lambda2063 */
	obj_t BGl_z62lambda2063z62zzast_varz00(obj_t BgL_envz00_3290,
		obj_t BgL_oz00_3291)
	{
		{	/* Ast/var.scm 156 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_3291)))->BgL_locz00);
		}

	}



/* &<@anonymous:2020> */
	obj_t BGl_z62zc3z04anonymousza32020ze3ze5zzast_varz00(obj_t BgL_envz00_3292,
		obj_t BgL_new1159z00_3293)
	{
		{	/* Ast/var.scm 146 */
			{
				BgL_cfunz00_bglt BgL_auxz00_6066;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_new1159z00_3293))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1159z00_3293))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1159z00_3293))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1159z00_3293))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1159z00_3293))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1159z00_3293))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1159z00_3293))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1159z00_3293))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1159z00_3293))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1159z00_3293))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1159z00_3293)))->BgL_argszd2typezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1159z00_3293)))->BgL_macrozf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1159z00_3293)))->BgL_infixzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1159z00_3293)))->BgL_methodz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_6066 = ((BgL_cfunz00_bglt) BgL_new1159z00_3293);
				return ((obj_t) BgL_auxz00_6066);
			}
		}

	}



/* &lambda2018 */
	BgL_cfunz00_bglt BGl_z62lambda2018z62zzast_varz00(obj_t BgL_envz00_3294)
	{
		{	/* Ast/var.scm 146 */
			{	/* Ast/var.scm 146 */
				BgL_cfunz00_bglt BgL_new1158z00_3933;

				BgL_new1158z00_3933 =
					((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cfunz00_bgl))));
				{	/* Ast/var.scm 146 */
					long BgL_arg2019z00_3934;

					BgL_arg2019z00_3934 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1158z00_3933), BgL_arg2019z00_3934);
				}
				{	/* Ast/var.scm 146 */
					BgL_objectz00_bglt BgL_tmpz00_6111;

					BgL_tmpz00_6111 = ((BgL_objectz00_bglt) BgL_new1158z00_3933);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6111, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1158z00_3933);
				return BgL_new1158z00_3933;
			}
		}

	}



/* &lambda2015 */
	BgL_cfunz00_bglt BGl_z62lambda2015z62zzast_varz00(obj_t BgL_envz00_3295,
		obj_t BgL_arity1143z00_3296, obj_t BgL_sidezd2effect1144zd2_3297,
		obj_t BgL_predicatezd2of1145zd2_3298,
		obj_t BgL_stackzd2allocator1146zd2_3299, obj_t BgL_topzf31147zf3_3300,
		obj_t BgL_thezd2closure1148zd2_3301, obj_t BgL_effect1149z00_3302,
		obj_t BgL_failsafe1150z00_3303, obj_t BgL_argszd2noescape1151zd2_3304,
		obj_t BgL_argszd2retescape1152zd2_3305, obj_t BgL_argszd2type1153zd2_3306,
		obj_t BgL_macrozf31154zf3_3307, obj_t BgL_infixzf31155zf3_3308,
		obj_t BgL_method1156z00_3309)
	{
		{	/* Ast/var.scm 146 */
			{	/* Ast/var.scm 146 */
				long BgL_arity1143z00_3935;
				bool_t BgL_topzf31147zf3_3936;
				bool_t BgL_macrozf31154zf3_3937;
				bool_t BgL_infixzf31155zf3_3938;

				BgL_arity1143z00_3935 = (long) CINT(BgL_arity1143z00_3296);
				BgL_topzf31147zf3_3936 = CBOOL(BgL_topzf31147zf3_3300);
				BgL_macrozf31154zf3_3937 = CBOOL(BgL_macrozf31154zf3_3307);
				BgL_infixzf31155zf3_3938 = CBOOL(BgL_infixzf31155zf3_3308);
				{	/* Ast/var.scm 146 */
					BgL_cfunz00_bglt BgL_new1238z00_3940;

					{	/* Ast/var.scm 146 */
						BgL_cfunz00_bglt BgL_new1237z00_3941;

						BgL_new1237z00_3941 =
							((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cfunz00_bgl))));
						{	/* Ast/var.scm 146 */
							long BgL_arg2017z00_3942;

							BgL_arg2017z00_3942 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1237z00_3941),
								BgL_arg2017z00_3942);
						}
						{	/* Ast/var.scm 146 */
							BgL_objectz00_bglt BgL_tmpz00_6123;

							BgL_tmpz00_6123 = ((BgL_objectz00_bglt) BgL_new1237z00_3941);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6123, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1237z00_3941);
						BgL_new1238z00_3940 = BgL_new1237z00_3941;
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1238z00_3940)))->BgL_arityz00) =
						((long) BgL_arity1143z00_3935), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1238z00_3940)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1144zd2_3297), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1238z00_3940)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1145zd2_3298), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1238z00_3940)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1146zd2_3299), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1238z00_3940)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31147zf3_3936), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1238z00_3940)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1148zd2_3301), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1238z00_3940)))->BgL_effectz00) =
						((obj_t) BgL_effect1149z00_3302), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1238z00_3940)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1150z00_3303), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1238z00_3940)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1151zd2_3304), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1238z00_3940)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1152zd2_3305), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(BgL_new1238z00_3940))->
							BgL_argszd2typezd2) =
						((obj_t) BgL_argszd2type1153zd2_3306), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(BgL_new1238z00_3940))->
							BgL_macrozf3zf3) = ((bool_t) BgL_macrozf31154zf3_3937), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(BgL_new1238z00_3940))->
							BgL_infixzf3zf3) = ((bool_t) BgL_infixzf31155zf3_3938), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(BgL_new1238z00_3940))->BgL_methodz00) =
						((obj_t) ((obj_t) BgL_method1156z00_3309)), BUNSPEC);
					return BgL_new1238z00_3940;
				}
			}
		}

	}



/* &<@anonymous:2047> */
	obj_t BGl_z62zc3z04anonymousza32047ze3ze5zzast_varz00(obj_t BgL_envz00_3310)
	{
		{	/* Ast/var.scm 146 */
			return BNIL;
		}

	}



/* &lambda2046 */
	obj_t BGl_z62lambda2046z62zzast_varz00(obj_t BgL_envz00_3311,
		obj_t BgL_oz00_3312, obj_t BgL_vz00_3313)
	{
		{	/* Ast/var.scm 146 */
			return
				((((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_3312)))->BgL_methodz00) = ((obj_t)
					((obj_t) BgL_vz00_3313)), BUNSPEC);
		}

	}



/* &lambda2045 */
	obj_t BGl_z62lambda2045z62zzast_varz00(obj_t BgL_envz00_3314,
		obj_t BgL_oz00_3315)
	{
		{	/* Ast/var.scm 146 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_3315)))->BgL_methodz00);
		}

	}



/* &<@anonymous:2040> */
	obj_t BGl_z62zc3z04anonymousza32040ze3ze5zzast_varz00(obj_t BgL_envz00_3316)
	{
		{	/* Ast/var.scm 146 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2039 */
	obj_t BGl_z62lambda2039z62zzast_varz00(obj_t BgL_envz00_3317,
		obj_t BgL_oz00_3318, obj_t BgL_vz00_3319)
	{
		{	/* Ast/var.scm 146 */
			{	/* Ast/var.scm 146 */
				bool_t BgL_vz00_3947;

				BgL_vz00_3947 = CBOOL(BgL_vz00_3319);
				return
					((((BgL_cfunz00_bglt) COBJECT(
								((BgL_cfunz00_bglt) BgL_oz00_3318)))->BgL_infixzf3zf3) =
					((bool_t) BgL_vz00_3947), BUNSPEC);
			}
		}

	}



/* &lambda2038 */
	obj_t BGl_z62lambda2038z62zzast_varz00(obj_t BgL_envz00_3320,
		obj_t BgL_oz00_3321)
	{
		{	/* Ast/var.scm 146 */
			return
				BBOOL(
				(((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_3321)))->BgL_infixzf3zf3));
		}

	}



/* &lambda2031 */
	obj_t BGl_z62lambda2031z62zzast_varz00(obj_t BgL_envz00_3322,
		obj_t BgL_oz00_3323, obj_t BgL_vz00_3324)
	{
		{	/* Ast/var.scm 146 */
			{	/* Ast/var.scm 146 */
				bool_t BgL_vz00_3950;

				BgL_vz00_3950 = CBOOL(BgL_vz00_3324);
				return
					((((BgL_cfunz00_bglt) COBJECT(
								((BgL_cfunz00_bglt) BgL_oz00_3323)))->BgL_macrozf3zf3) =
					((bool_t) BgL_vz00_3950), BUNSPEC);
			}
		}

	}



/* &lambda2030 */
	obj_t BGl_z62lambda2030z62zzast_varz00(obj_t BgL_envz00_3325,
		obj_t BgL_oz00_3326)
	{
		{	/* Ast/var.scm 146 */
			return
				BBOOL(
				(((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_3326)))->BgL_macrozf3zf3));
		}

	}



/* &lambda2025 */
	obj_t BGl_z62lambda2025z62zzast_varz00(obj_t BgL_envz00_3327,
		obj_t BgL_oz00_3328, obj_t BgL_vz00_3329)
	{
		{	/* Ast/var.scm 146 */
			return
				((((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_3328)))->BgL_argszd2typezd2) =
				((obj_t) BgL_vz00_3329), BUNSPEC);
		}

	}



/* &lambda2024 */
	obj_t BGl_z62lambda2024z62zzast_varz00(obj_t BgL_envz00_3330,
		obj_t BgL_oz00_3331)
	{
		{	/* Ast/var.scm 146 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_3331)))->BgL_argszd2typezd2);
		}

	}



/* &<@anonymous:1930> */
	obj_t BGl_z62zc3z04anonymousza31930ze3ze5zzast_varz00(obj_t BgL_envz00_3332,
		obj_t BgL_new1141z00_3333)
	{
		{	/* Ast/var.scm 116 */
			{
				BgL_sfunz00_bglt BgL_auxz00_6174;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1141z00_3333))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3333))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3333))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3333))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3333))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3333))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3333))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3333))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3333))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3333))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3333)))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3333)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3333)))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3333)))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3333)))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3333)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3333)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3333)))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3333)))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3333)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3333)))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 74))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3333)))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6174 = ((BgL_sfunz00_bglt) BgL_new1141z00_3333);
				return ((obj_t) BgL_auxz00_6174);
			}
		}

	}



/* &lambda1928 */
	BgL_sfunz00_bglt BGl_z62lambda1928z62zzast_varz00(obj_t BgL_envz00_3334)
	{
		{	/* Ast/var.scm 116 */
			{	/* Ast/var.scm 116 */
				BgL_sfunz00_bglt BgL_new1140z00_3955;

				BgL_new1140z00_3955 =
					((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sfunz00_bgl))));
				{	/* Ast/var.scm 116 */
					long BgL_arg1929z00_3956;

					BgL_arg1929z00_3956 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1140z00_3955), BgL_arg1929z00_3956);
				}
				{	/* Ast/var.scm 116 */
					BgL_objectz00_bglt BgL_tmpz00_6236;

					BgL_tmpz00_6236 = ((BgL_objectz00_bglt) BgL_new1140z00_3955);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6236, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1140z00_3955);
				return BgL_new1140z00_3955;
			}
		}

	}



/* &lambda1926 */
	BgL_sfunz00_bglt BGl_z62lambda1926z62zzast_varz00(obj_t BgL_envz00_3335,
		obj_t BgL_arity1118z00_3336, obj_t BgL_sidezd2effect1119zd2_3337,
		obj_t BgL_predicatezd2of1120zd2_3338,
		obj_t BgL_stackzd2allocator1121zd2_3339, obj_t BgL_topzf31122zf3_3340,
		obj_t BgL_thezd2closure1123zd2_3341, obj_t BgL_effect1124z00_3342,
		obj_t BgL_failsafe1125z00_3343, obj_t BgL_argszd2noescape1126zd2_3344,
		obj_t BgL_argszd2retescape1127zd2_3345, obj_t BgL_property1128z00_3346,
		obj_t BgL_args1129z00_3347, obj_t BgL_argszd2name1130zd2_3348,
		obj_t BgL_body1131z00_3349, obj_t BgL_class1132z00_3350,
		obj_t BgL_dssslzd2keywords1133zd2_3351, obj_t BgL_loc1134z00_3352,
		obj_t BgL_optionals1135z00_3353, obj_t BgL_keys1136z00_3354,
		obj_t BgL_thezd2closurezd2global1137z00_3355,
		obj_t BgL_strength1138z00_3356, obj_t BgL_stackable1139z00_3357)
	{
		{	/* Ast/var.scm 116 */
			{	/* Ast/var.scm 116 */
				long BgL_arity1118z00_3957;
				bool_t BgL_topzf31122zf3_3958;

				BgL_arity1118z00_3957 = (long) CINT(BgL_arity1118z00_3336);
				BgL_topzf31122zf3_3958 = CBOOL(BgL_topzf31122zf3_3340);
				{	/* Ast/var.scm 116 */
					BgL_sfunz00_bglt BgL_new1236z00_3960;

					{	/* Ast/var.scm 116 */
						BgL_sfunz00_bglt BgL_new1235z00_3961;

						BgL_new1235z00_3961 =
							((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sfunz00_bgl))));
						{	/* Ast/var.scm 116 */
							long BgL_arg1927z00_3962;

							BgL_arg1927z00_3962 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1235z00_3961),
								BgL_arg1927z00_3962);
						}
						{	/* Ast/var.scm 116 */
							BgL_objectz00_bglt BgL_tmpz00_6246;

							BgL_tmpz00_6246 = ((BgL_objectz00_bglt) BgL_new1235z00_3961);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6246, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1235z00_3961);
						BgL_new1236z00_3960 = BgL_new1235z00_3961;
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1236z00_3960)))->BgL_arityz00) =
						((long) BgL_arity1118z00_3957), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_3960)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1119zd2_3337), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_3960)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1120zd2_3338), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_3960)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1121zd2_3339), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_3960)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31122zf3_3958), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_3960)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1123zd2_3341), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_3960)))->BgL_effectz00) =
						((obj_t) BgL_effect1124z00_3342), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_3960)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1125z00_3343), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_3960)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1126zd2_3344), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_3960)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1127zd2_3345), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1236z00_3960))->
							BgL_propertyz00) = ((obj_t) BgL_property1128z00_3346), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1236z00_3960))->BgL_argsz00) =
						((obj_t) BgL_args1129z00_3347), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1236z00_3960))->
							BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1130zd2_3348), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1236z00_3960))->BgL_bodyz00) =
						((obj_t) BgL_body1131z00_3349), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1236z00_3960))->BgL_classz00) =
						((obj_t) BgL_class1132z00_3350), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1236z00_3960))->
							BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1133zd2_3351), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1236z00_3960))->BgL_locz00) =
						((obj_t) BgL_loc1134z00_3352), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1236z00_3960))->
							BgL_optionalsz00) = ((obj_t) BgL_optionals1135z00_3353), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1236z00_3960))->BgL_keysz00) =
						((obj_t) BgL_keys1136z00_3354), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1236z00_3960))->
							BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1137z00_3355), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1236z00_3960))->
							BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1138z00_3356)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1236z00_3960))->
							BgL_stackablez00) = ((obj_t) BgL_stackable1139z00_3357), BUNSPEC);
					return BgL_new1236z00_3960;
				}
			}
		}

	}



/* &<@anonymous:2008> */
	obj_t BGl_z62zc3z04anonymousza32008ze3ze5zzast_varz00(obj_t BgL_envz00_3358)
	{
		{	/* Ast/var.scm 116 */
			return BUNSPEC;
		}

	}



/* &lambda2007 */
	obj_t BGl_z62lambda2007z62zzast_varz00(obj_t BgL_envz00_3359,
		obj_t BgL_oz00_3360, obj_t BgL_vz00_3361)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3360)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_3361), BUNSPEC);
		}

	}



/* &lambda2006 */
	obj_t BGl_z62lambda2006z62zzast_varz00(obj_t BgL_envz00_3362,
		obj_t BgL_oz00_3363)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3363)))->BgL_stackablez00);
		}

	}



/* &<@anonymous:2001> */
	obj_t BGl_z62zc3z04anonymousza32001ze3ze5zzast_varz00(obj_t BgL_envz00_3364)
	{
		{	/* Ast/var.scm 116 */
			return CNST_TABLE_REF(((long) 75));
		}

	}



/* &lambda2000 */
	obj_t BGl_z62lambda2000z62zzast_varz00(obj_t BgL_envz00_3365,
		obj_t BgL_oz00_3366, obj_t BgL_vz00_3367)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3366)))->BgL_strengthz00) = ((obj_t)
					((obj_t) BgL_vz00_3367)), BUNSPEC);
		}

	}



/* &lambda1999 */
	obj_t BGl_z62lambda1999z62zzast_varz00(obj_t BgL_envz00_3368,
		obj_t BgL_oz00_3369)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3369)))->BgL_strengthz00);
		}

	}



/* &<@anonymous:1994> */
	obj_t BGl_z62zc3z04anonymousza31994ze3ze5zzast_varz00(obj_t BgL_envz00_3370)
	{
		{	/* Ast/var.scm 116 */
			return BUNSPEC;
		}

	}



/* &lambda1993 */
	obj_t BGl_z62lambda1993z62zzast_varz00(obj_t BgL_envz00_3371,
		obj_t BgL_oz00_3372, obj_t BgL_vz00_3373)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3372)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_3373), BUNSPEC);
		}

	}



/* &lambda1992 */
	obj_t BGl_z62lambda1992z62zzast_varz00(obj_t BgL_envz00_3374,
		obj_t BgL_oz00_3375)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3375)))->
				BgL_thezd2closurezd2globalz00);
		}

	}



/* &<@anonymous:1987> */
	obj_t BGl_z62zc3z04anonymousza31987ze3ze5zzast_varz00(obj_t BgL_envz00_3376)
	{
		{	/* Ast/var.scm 116 */
			return BNIL;
		}

	}



/* &lambda1986 */
	obj_t BGl_z62lambda1986z62zzast_varz00(obj_t BgL_envz00_3377,
		obj_t BgL_oz00_3378, obj_t BgL_vz00_3379)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3378)))->BgL_keysz00) =
				((obj_t) BgL_vz00_3379), BUNSPEC);
		}

	}



/* &lambda1985 */
	obj_t BGl_z62lambda1985z62zzast_varz00(obj_t BgL_envz00_3380,
		obj_t BgL_oz00_3381)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3381)))->BgL_keysz00);
		}

	}



/* &<@anonymous:1980> */
	obj_t BGl_z62zc3z04anonymousza31980ze3ze5zzast_varz00(obj_t BgL_envz00_3382)
	{
		{	/* Ast/var.scm 116 */
			return BNIL;
		}

	}



/* &lambda1979 */
	obj_t BGl_z62lambda1979z62zzast_varz00(obj_t BgL_envz00_3383,
		obj_t BgL_oz00_3384, obj_t BgL_vz00_3385)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3384)))->BgL_optionalsz00) =
				((obj_t) BgL_vz00_3385), BUNSPEC);
		}

	}



/* &lambda1978 */
	obj_t BGl_z62lambda1978z62zzast_varz00(obj_t BgL_envz00_3386,
		obj_t BgL_oz00_3387)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3387)))->BgL_optionalsz00);
		}

	}



/* &<@anonymous:1973> */
	obj_t BGl_z62zc3z04anonymousza31973ze3ze5zzast_varz00(obj_t BgL_envz00_3388)
	{
		{	/* Ast/var.scm 116 */
			return BUNSPEC;
		}

	}



/* &lambda1972 */
	obj_t BGl_z62lambda1972z62zzast_varz00(obj_t BgL_envz00_3389,
		obj_t BgL_oz00_3390, obj_t BgL_vz00_3391)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3390)))->BgL_locz00) =
				((obj_t) BgL_vz00_3391), BUNSPEC);
		}

	}



/* &lambda1971 */
	obj_t BGl_z62lambda1971z62zzast_varz00(obj_t BgL_envz00_3392,
		obj_t BgL_oz00_3393)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3393)))->BgL_locz00);
		}

	}



/* &<@anonymous:1966> */
	obj_t BGl_z62zc3z04anonymousza31966ze3ze5zzast_varz00(obj_t BgL_envz00_3394)
	{
		{	/* Ast/var.scm 116 */
			return BNIL;
		}

	}



/* &lambda1965 */
	obj_t BGl_z62lambda1965z62zzast_varz00(obj_t BgL_envz00_3395,
		obj_t BgL_oz00_3396, obj_t BgL_vz00_3397)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3396)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_3397), BUNSPEC);
		}

	}



/* &lambda1964 */
	obj_t BGl_z62lambda1964z62zzast_varz00(obj_t BgL_envz00_3398,
		obj_t BgL_oz00_3399)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3399)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &lambda1959 */
	obj_t BGl_z62lambda1959z62zzast_varz00(obj_t BgL_envz00_3400,
		obj_t BgL_oz00_3401, obj_t BgL_vz00_3402)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3401)))->BgL_classz00) =
				((obj_t) BgL_vz00_3402), BUNSPEC);
		}

	}



/* &lambda1958 */
	obj_t BGl_z62lambda1958z62zzast_varz00(obj_t BgL_envz00_3403,
		obj_t BgL_oz00_3404)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3404)))->BgL_classz00);
		}

	}



/* &<@anonymous:1954> */
	obj_t BGl_z62zc3z04anonymousza31954ze3ze5zzast_varz00(obj_t BgL_envz00_3405)
	{
		{	/* Ast/var.scm 116 */
			return BUNSPEC;
		}

	}



/* &lambda1953 */
	obj_t BGl_z62lambda1953z62zzast_varz00(obj_t BgL_envz00_3406,
		obj_t BgL_oz00_3407, obj_t BgL_vz00_3408)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3407)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_3408), BUNSPEC);
		}

	}



/* &lambda1952 */
	obj_t BGl_z62lambda1952z62zzast_varz00(obj_t BgL_envz00_3409,
		obj_t BgL_oz00_3410)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3410)))->BgL_bodyz00);
		}

	}



/* &lambda1947 */
	obj_t BGl_z62lambda1947z62zzast_varz00(obj_t BgL_envz00_3411,
		obj_t BgL_oz00_3412, obj_t BgL_vz00_3413)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3412)))->BgL_argszd2namezd2) =
				((obj_t) BgL_vz00_3413), BUNSPEC);
		}

	}



/* &lambda1946 */
	obj_t BGl_z62lambda1946z62zzast_varz00(obj_t BgL_envz00_3414,
		obj_t BgL_oz00_3415)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3415)))->BgL_argszd2namezd2);
		}

	}



/* &lambda1942 */
	obj_t BGl_z62lambda1942z62zzast_varz00(obj_t BgL_envz00_3416,
		obj_t BgL_oz00_3417, obj_t BgL_vz00_3418)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3417)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3418), BUNSPEC);
		}

	}



/* &lambda1941 */
	obj_t BGl_z62lambda1941z62zzast_varz00(obj_t BgL_envz00_3419,
		obj_t BgL_oz00_3420)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3420)))->BgL_argsz00);
		}

	}



/* &<@anonymous:1937> */
	obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzast_varz00(obj_t BgL_envz00_3421)
	{
		{	/* Ast/var.scm 116 */
			return BNIL;
		}

	}



/* &lambda1936 */
	obj_t BGl_z62lambda1936z62zzast_varz00(obj_t BgL_envz00_3422,
		obj_t BgL_oz00_3423, obj_t BgL_vz00_3424)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3423)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_3424), BUNSPEC);
		}

	}



/* &lambda1935 */
	obj_t BGl_z62lambda1935z62zzast_varz00(obj_t BgL_envz00_3425,
		obj_t BgL_oz00_3426)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3426)))->BgL_propertyz00);
		}

	}



/* &<@anonymous:1831> */
	obj_t BGl_z62zc3z04anonymousza31831ze3ze5zzast_varz00(obj_t BgL_envz00_3427,
		obj_t BgL_new1116z00_3428)
	{
		{	/* Ast/var.scm 84 */
			{
				BgL_funz00_bglt BgL_auxz00_6333;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1116z00_3428)))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3428)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3428)))->
						BgL_predicatezd2ofzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3428)))->
						BgL_stackzd2allocatorzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3428)))->
						BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3428)))->
						BgL_thezd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3428)))->
						BgL_effectz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3428)))->
						BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3428)))->
						BgL_argszd2noescapezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3428)))->
						BgL_argszd2retescapezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6333 = ((BgL_funz00_bglt) BgL_new1116z00_3428);
				return ((obj_t) BgL_auxz00_6333);
			}
		}

	}



/* &lambda1822 */
	BgL_funz00_bglt BGl_z62lambda1822z62zzast_varz00(obj_t BgL_envz00_3429)
	{
		{	/* Ast/var.scm 84 */
			{	/* Ast/var.scm 84 */
				BgL_funz00_bglt BgL_new1114z00_3989;

				BgL_new1114z00_3989 =
					((BgL_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_funz00_bgl))));
				{	/* Ast/var.scm 84 */
					long BgL_arg1830z00_3990;

					BgL_arg1830z00_3990 = BGL_CLASS_NUM(BGl_funz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1114z00_3989), BgL_arg1830z00_3990);
				}
				return BgL_new1114z00_3989;
			}
		}

	}



/* &lambda1820 */
	BgL_funz00_bglt BGl_z62lambda1820z62zzast_varz00(obj_t BgL_envz00_3430,
		obj_t BgL_arity1104z00_3431, obj_t BgL_sidezd2effect1105zd2_3432,
		obj_t BgL_predicatezd2of1106zd2_3433,
		obj_t BgL_stackzd2allocator1107zd2_3434, obj_t BgL_topzf31108zf3_3435,
		obj_t BgL_thezd2closure1109zd2_3436, obj_t BgL_effect1110z00_3437,
		obj_t BgL_failsafe1111z00_3438, obj_t BgL_argszd2noescape1112zd2_3439,
		obj_t BgL_argszd2retescape1113zd2_3440)
	{
		{	/* Ast/var.scm 84 */
			{	/* Ast/var.scm 84 */
				long BgL_arity1104z00_3991;
				bool_t BgL_topzf31108zf3_3992;

				BgL_arity1104z00_3991 = (long) CINT(BgL_arity1104z00_3431);
				BgL_topzf31108zf3_3992 = CBOOL(BgL_topzf31108zf3_3435);
				{	/* Ast/var.scm 84 */
					BgL_funz00_bglt BgL_new1234z00_3993;

					{	/* Ast/var.scm 84 */
						BgL_funz00_bglt BgL_new1233z00_3994;

						BgL_new1233z00_3994 =
							((BgL_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_funz00_bgl))));
						{	/* Ast/var.scm 84 */
							long BgL_arg1821z00_3995;

							BgL_arg1821z00_3995 = BGL_CLASS_NUM(BGl_funz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1233z00_3994),
								BgL_arg1821z00_3995);
						}
						BgL_new1234z00_3993 = BgL_new1233z00_3994;
					}
					((((BgL_funz00_bglt) COBJECT(BgL_new1234z00_3993))->BgL_arityz00) =
						((long) BgL_arity1104z00_3991), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1234z00_3993))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1105zd2_3432), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1234z00_3993))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1106zd2_3433), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1234z00_3993))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1107zd2_3434), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1234z00_3993))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31108zf3_3992), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1234z00_3993))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1109zd2_3436), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1234z00_3993))->BgL_effectz00) =
						((obj_t) BgL_effect1110z00_3437), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1234z00_3993))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1111z00_3438), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1234z00_3993))->
							BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1112zd2_3439), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1234z00_3993))->
							BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1113zd2_3440), BUNSPEC);
					return BgL_new1234z00_3993;
				}
			}
		}

	}



/* &<@anonymous:1919> */
	obj_t BGl_z62zc3z04anonymousza31919ze3ze5zzast_varz00(obj_t BgL_envz00_3441)
	{
		{	/* Ast/var.scm 84 */
			return BNIL;
		}

	}



/* &lambda1918 */
	obj_t BGl_z62lambda1918z62zzast_varz00(obj_t BgL_envz00_3442,
		obj_t BgL_oz00_3443, obj_t BgL_vz00_3444)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3443)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_3444), BUNSPEC);
		}

	}



/* &lambda1917 */
	obj_t BGl_z62lambda1917z62zzast_varz00(obj_t BgL_envz00_3445,
		obj_t BgL_oz00_3446)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3446)))->BgL_argszd2retescapezd2);
		}

	}



/* &<@anonymous:1911> */
	obj_t BGl_z62zc3z04anonymousza31911ze3ze5zzast_varz00(obj_t BgL_envz00_3447)
	{
		{	/* Ast/var.scm 84 */
			return BNIL;
		}

	}



/* &lambda1910 */
	obj_t BGl_z62lambda1910z62zzast_varz00(obj_t BgL_envz00_3448,
		obj_t BgL_oz00_3449, obj_t BgL_vz00_3450)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3449)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_3450), BUNSPEC);
		}

	}



/* &lambda1909 */
	obj_t BGl_z62lambda1909z62zzast_varz00(obj_t BgL_envz00_3451,
		obj_t BgL_oz00_3452)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3452)))->BgL_argszd2noescapezd2);
		}

	}



/* &<@anonymous:1903> */
	obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzast_varz00(obj_t BgL_envz00_3453)
	{
		{	/* Ast/var.scm 84 */
			return BUNSPEC;
		}

	}



/* &lambda1902 */
	obj_t BGl_z62lambda1902z62zzast_varz00(obj_t BgL_envz00_3454,
		obj_t BgL_oz00_3455, obj_t BgL_vz00_3456)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3455)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_3456), BUNSPEC);
		}

	}



/* &lambda1901 */
	obj_t BGl_z62lambda1901z62zzast_varz00(obj_t BgL_envz00_3457,
		obj_t BgL_oz00_3458)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3458)))->BgL_failsafez00);
		}

	}



/* &<@anonymous:1892> */
	obj_t BGl_z62zc3z04anonymousza31892ze3ze5zzast_varz00(obj_t BgL_envz00_3459)
	{
		{	/* Ast/var.scm 84 */
			return BUNSPEC;
		}

	}



/* &lambda1891 */
	obj_t BGl_z62lambda1891z62zzast_varz00(obj_t BgL_envz00_3460,
		obj_t BgL_oz00_3461, obj_t BgL_vz00_3462)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3461)))->BgL_effectz00) =
				((obj_t) BgL_vz00_3462), BUNSPEC);
		}

	}



/* &lambda1890 */
	obj_t BGl_z62lambda1890z62zzast_varz00(obj_t BgL_envz00_3463,
		obj_t BgL_oz00_3464)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3464)))->BgL_effectz00);
		}

	}



/* &<@anonymous:1885> */
	obj_t BGl_z62zc3z04anonymousza31885ze3ze5zzast_varz00(obj_t BgL_envz00_3465)
	{
		{	/* Ast/var.scm 84 */
			return BUNSPEC;
		}

	}



/* &lambda1884 */
	obj_t BGl_z62lambda1884z62zzast_varz00(obj_t BgL_envz00_3466,
		obj_t BgL_oz00_3467, obj_t BgL_vz00_3468)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3467)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_3468), BUNSPEC);
		}

	}



/* &lambda1883 */
	obj_t BGl_z62lambda1883z62zzast_varz00(obj_t BgL_envz00_3469,
		obj_t BgL_oz00_3470)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3470)))->BgL_thezd2closurezd2);
		}

	}



/* &<@anonymous:1876> */
	obj_t BGl_z62zc3z04anonymousza31876ze3ze5zzast_varz00(obj_t BgL_envz00_3471)
	{
		{	/* Ast/var.scm 84 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1875 */
	obj_t BGl_z62lambda1875z62zzast_varz00(obj_t BgL_envz00_3472,
		obj_t BgL_oz00_3473, obj_t BgL_vz00_3474)
	{
		{	/* Ast/var.scm 84 */
			{	/* Ast/var.scm 84 */
				bool_t BgL_vz00_4007;

				BgL_vz00_4007 = CBOOL(BgL_vz00_3474);
				return
					((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_oz00_3473)))->BgL_topzf3zf3) =
					((bool_t) BgL_vz00_4007), BUNSPEC);
			}
		}

	}



/* &lambda1874 */
	obj_t BGl_z62lambda1874z62zzast_varz00(obj_t BgL_envz00_3475,
		obj_t BgL_oz00_3476)
	{
		{	/* Ast/var.scm 84 */
			return
				BBOOL(
				(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3476)))->BgL_topzf3zf3));
		}

	}



/* &<@anonymous:1867> */
	obj_t BGl_z62zc3z04anonymousza31867ze3ze5zzast_varz00(obj_t BgL_envz00_3477)
	{
		{	/* Ast/var.scm 84 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1866 */
	obj_t BGl_z62lambda1866z62zzast_varz00(obj_t BgL_envz00_3478,
		obj_t BgL_oz00_3479, obj_t BgL_vz00_3480)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3479)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_3480), BUNSPEC);
		}

	}



/* &lambda1865 */
	obj_t BGl_z62lambda1865z62zzast_varz00(obj_t BgL_envz00_3481,
		obj_t BgL_oz00_3482)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3482)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &<@anonymous:1859> */
	obj_t BGl_z62zc3z04anonymousza31859ze3ze5zzast_varz00(obj_t BgL_envz00_3483)
	{
		{	/* Ast/var.scm 84 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1858 */
	obj_t BGl_z62lambda1858z62zzast_varz00(obj_t BgL_envz00_3484,
		obj_t BgL_oz00_3485, obj_t BgL_vz00_3486)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3485)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_3486), BUNSPEC);
		}

	}



/* &lambda1857 */
	obj_t BGl_z62lambda1857z62zzast_varz00(obj_t BgL_envz00_3487,
		obj_t BgL_oz00_3488)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3488)))->BgL_predicatezd2ofzd2);
		}

	}



/* &<@anonymous:1849> */
	obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzast_varz00(obj_t BgL_envz00_3489)
	{
		{	/* Ast/var.scm 84 */
			return BUNSPEC;
		}

	}



/* &lambda1848 */
	obj_t BGl_z62lambda1848z62zzast_varz00(obj_t BgL_envz00_3490,
		obj_t BgL_oz00_3491, obj_t BgL_vz00_3492)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3491)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_3492), BUNSPEC);
		}

	}



/* &lambda1847 */
	obj_t BGl_z62lambda1847z62zzast_varz00(obj_t BgL_envz00_3493,
		obj_t BgL_oz00_3494)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3494)))->BgL_sidezd2effectzd2);
		}

	}



/* &lambda1838 */
	obj_t BGl_z62lambda1838z62zzast_varz00(obj_t BgL_envz00_3495,
		obj_t BgL_oz00_3496, obj_t BgL_vz00_3497)
	{
		{	/* Ast/var.scm 84 */
			{	/* Ast/var.scm 84 */
				long BgL_vz00_4016;

				BgL_vz00_4016 = (long) CINT(BgL_vz00_3497);
				return
					((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_oz00_3496)))->BgL_arityz00) =
					((long) BgL_vz00_4016), BUNSPEC);
		}}

	}



/* &lambda1837 */
	obj_t BGl_z62lambda1837z62zzast_varz00(obj_t BgL_envz00_3498,
		obj_t BgL_oz00_3499)
	{
		{	/* Ast/var.scm 84 */
			return
				BINT(
				(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3499)))->BgL_arityz00));
		}

	}



/* &<@anonymous:1756> */
	obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzast_varz00(obj_t BgL_envz00_3500,
		obj_t BgL_new1102z00_3501)
	{
		{	/* Ast/var.scm 75 */
			{
				BgL_localz00_bglt BgL_auxz00_6423;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1102z00_3501))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 74))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1102z00_3501))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6431;

					{	/* Ast/var.scm 75 */
						obj_t BgL_classz00_4019;

						BgL_classz00_4019 = BGl_typez00zztype_typez00;
						{	/* Ast/var.scm 75 */
							obj_t BgL__ortest_1113z00_4020;

							BgL__ortest_1113z00_4020 = BGL_CLASS_NIL(BgL_classz00_4019);
							if (CBOOL(BgL__ortest_1113z00_4020))
								{	/* Ast/var.scm 75 */
									BgL_auxz00_6431 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_4020);
								}
							else
								{	/* Ast/var.scm 75 */
									BgL_auxz00_6431 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4019));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1102z00_3501))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6431), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6441;

					{	/* Ast/var.scm 75 */
						obj_t BgL_classz00_4021;

						BgL_classz00_4021 = BGl_valuez00zzast_varz00;
						{	/* Ast/var.scm 75 */
							obj_t BgL__ortest_1113z00_4022;

							BgL__ortest_1113z00_4022 = BGL_CLASS_NIL(BgL_classz00_4021);
							if (CBOOL(BgL__ortest_1113z00_4022))
								{	/* Ast/var.scm 75 */
									BgL_auxz00_6441 =
										((BgL_valuez00_bglt) BgL__ortest_1113z00_4022);
								}
							else
								{	/* Ast/var.scm 75 */
									BgL_auxz00_6441 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4021));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1102z00_3501))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6441), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1102z00_3501))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1102z00_3501))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1102z00_3501))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1102z00_3501))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1102z00_3501))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1102z00_3501))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1102z00_3501)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1102z00_3501)))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1102z00_3501)))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_6423 = ((BgL_localz00_bglt) BgL_new1102z00_3501);
				return ((obj_t) BgL_auxz00_6423);
			}
		}

	}



/* &lambda1754 */
	BgL_localz00_bglt BGl_z62lambda1754z62zzast_varz00(obj_t BgL_envz00_3502)
	{
		{	/* Ast/var.scm 75 */
			{	/* Ast/var.scm 75 */
				BgL_localz00_bglt BgL_new1101z00_4023;

				BgL_new1101z00_4023 =
					((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localz00_bgl))));
				{	/* Ast/var.scm 75 */
					long BgL_arg1755z00_4024;

					BgL_arg1755z00_4024 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1101z00_4023), BgL_arg1755z00_4024);
				}
				{	/* Ast/var.scm 75 */
					BgL_objectz00_bglt BgL_tmpz00_6481;

					BgL_tmpz00_6481 = ((BgL_objectz00_bglt) BgL_new1101z00_4023);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6481, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1101z00_4023);
				return BgL_new1101z00_4023;
			}
		}

	}



/* &lambda1752 */
	BgL_localz00_bglt BGl_z62lambda1752z62zzast_varz00(obj_t BgL_envz00_3503,
		obj_t BgL_id1088z00_3504, obj_t BgL_name1089z00_3505,
		obj_t BgL_type1090z00_3506, obj_t BgL_value1091z00_3507,
		obj_t BgL_access1092z00_3508, obj_t BgL_fastzd2alpha1093zd2_3509,
		obj_t BgL_removable1094z00_3510, obj_t BgL_occurrence1095z00_3511,
		obj_t BgL_occurrencew1096z00_3512, obj_t BgL_userzf31097zf3_3513,
		obj_t BgL_key1098z00_3514, obj_t BgL_valzd2noescape1099zd2_3515,
		obj_t BgL_volatile1100z00_3516)
	{
		{	/* Ast/var.scm 75 */
			{	/* Ast/var.scm 75 */
				long BgL_occurrence1095z00_4028;
				long BgL_occurrencew1096z00_4029;
				bool_t BgL_userzf31097zf3_4030;
				long BgL_key1098z00_4031;
				bool_t BgL_volatile1100z00_4032;

				BgL_occurrence1095z00_4028 = (long) CINT(BgL_occurrence1095z00_3511);
				BgL_occurrencew1096z00_4029 = (long) CINT(BgL_occurrencew1096z00_3512);
				BgL_userzf31097zf3_4030 = CBOOL(BgL_userzf31097zf3_3513);
				BgL_key1098z00_4031 = (long) CINT(BgL_key1098z00_3514);
				BgL_volatile1100z00_4032 = CBOOL(BgL_volatile1100z00_3516);
				{	/* Ast/var.scm 75 */
					BgL_localz00_bglt BgL_new1231z00_4033;

					{	/* Ast/var.scm 75 */
						BgL_localz00_bglt BgL_new1230z00_4034;

						BgL_new1230z00_4034 =
							((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localz00_bgl))));
						{	/* Ast/var.scm 75 */
							long BgL_arg1753z00_4035;

							BgL_arg1753z00_4035 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1230z00_4034),
								BgL_arg1753z00_4035);
						}
						{	/* Ast/var.scm 75 */
							BgL_objectz00_bglt BgL_tmpz00_6494;

							BgL_tmpz00_6494 = ((BgL_objectz00_bglt) BgL_new1230z00_4034);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6494, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1230z00_4034);
						BgL_new1231z00_4033 = BgL_new1230z00_4034;
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1231z00_4033)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1088z00_3504)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1231z00_4033)))->BgL_namez00) =
						((obj_t) BgL_name1089z00_3505), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1231z00_4033)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1090z00_3506)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1231z00_4033)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1091z00_3507)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1231z00_4033)))->BgL_accessz00) =
						((obj_t) BgL_access1092z00_3508), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1231z00_4033)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1093zd2_3509), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1231z00_4033)))->BgL_removablez00) =
						((obj_t) BgL_removable1094z00_3510), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1231z00_4033)))->BgL_occurrencez00) =
						((long) BgL_occurrence1095z00_4028), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1231z00_4033)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1096z00_4029), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1231z00_4033)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31097zf3_4030), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(BgL_new1231z00_4033))->BgL_keyz00) =
						((long) BgL_key1098z00_4031), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(BgL_new1231z00_4033))->
							BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1099zd2_3515), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(BgL_new1231z00_4033))->
							BgL_volatilez00) = ((bool_t) BgL_volatile1100z00_4032), BUNSPEC);
					return BgL_new1231z00_4033;
				}
			}
		}

	}



/* &<@anonymous:1792> */
	obj_t BGl_z62zc3z04anonymousza31792ze3ze5zzast_varz00(obj_t BgL_envz00_3517)
	{
		{	/* Ast/var.scm 75 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1791 */
	obj_t BGl_z62lambda1791z62zzast_varz00(obj_t BgL_envz00_3518,
		obj_t BgL_oz00_3519, obj_t BgL_vz00_3520)
	{
		{	/* Ast/var.scm 75 */
			{	/* Ast/var.scm 75 */
				bool_t BgL_vz00_4037;

				BgL_vz00_4037 = CBOOL(BgL_vz00_3520);
				return
					((((BgL_localz00_bglt) COBJECT(
								((BgL_localz00_bglt) BgL_oz00_3519)))->BgL_volatilez00) =
					((bool_t) BgL_vz00_4037), BUNSPEC);
			}
		}

	}



/* &lambda1790 */
	obj_t BGl_z62lambda1790z62zzast_varz00(obj_t BgL_envz00_3521,
		obj_t BgL_oz00_3522)
	{
		{	/* Ast/var.scm 75 */
			return
				BBOOL(
				(((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_3522)))->BgL_volatilez00));
		}

	}



/* &<@anonymous:1780> */
	obj_t BGl_z62zc3z04anonymousza31780ze3ze5zzast_varz00(obj_t BgL_envz00_3523)
	{
		{	/* Ast/var.scm 75 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1779 */
	obj_t BGl_z62lambda1779z62zzast_varz00(obj_t BgL_envz00_3524,
		obj_t BgL_oz00_3525, obj_t BgL_vz00_3526)
	{
		{	/* Ast/var.scm 75 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_3525)))->BgL_valzd2noescapezd2) =
				((obj_t) BgL_vz00_3526), BUNSPEC);
		}

	}



/* &lambda1778 */
	obj_t BGl_z62lambda1778z62zzast_varz00(obj_t BgL_envz00_3527,
		obj_t BgL_oz00_3528)
	{
		{	/* Ast/var.scm 75 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_3528)))->BgL_valzd2noescapezd2);
		}

	}



/* &lambda1767 */
	obj_t BGl_z62lambda1767z62zzast_varz00(obj_t BgL_envz00_3529,
		obj_t BgL_oz00_3530, obj_t BgL_vz00_3531)
	{
		{	/* Ast/var.scm 75 */
			{	/* Ast/var.scm 75 */
				long BgL_vz00_4042;

				BgL_vz00_4042 = (long) CINT(BgL_vz00_3531);
				return
					((((BgL_localz00_bglt) COBJECT(
								((BgL_localz00_bglt) BgL_oz00_3530)))->BgL_keyz00) =
					((long) BgL_vz00_4042), BUNSPEC);
		}}

	}



/* &lambda1766 */
	obj_t BGl_z62lambda1766z62zzast_varz00(obj_t BgL_envz00_3532,
		obj_t BgL_oz00_3533)
	{
		{	/* Ast/var.scm 75 */
			return
				BINT(
				(((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_3533)))->BgL_keyz00));
		}

	}



/* &<@anonymous:1615> */
	obj_t BGl_z62zc3z04anonymousza31615ze3ze5zzast_varz00(obj_t BgL_envz00_3534,
		obj_t BgL_new1086z00_3535)
	{
		{	/* Ast/var.scm 46 */
			{
				BgL_globalz00_bglt BgL_auxz00_6542;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1086z00_3535))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 74))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1086z00_3535))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6550;

					{	/* Ast/var.scm 46 */
						obj_t BgL_classz00_4045;

						BgL_classz00_4045 = BGl_typez00zztype_typez00;
						{	/* Ast/var.scm 46 */
							obj_t BgL__ortest_1113z00_4046;

							BgL__ortest_1113z00_4046 = BGL_CLASS_NIL(BgL_classz00_4045);
							if (CBOOL(BgL__ortest_1113z00_4046))
								{	/* Ast/var.scm 46 */
									BgL_auxz00_6550 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_4046);
								}
							else
								{	/* Ast/var.scm 46 */
									BgL_auxz00_6550 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4045));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1086z00_3535))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_6550), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6560;

					{	/* Ast/var.scm 46 */
						obj_t BgL_classz00_4047;

						BgL_classz00_4047 = BGl_valuez00zzast_varz00;
						{	/* Ast/var.scm 46 */
							obj_t BgL__ortest_1113z00_4048;

							BgL__ortest_1113z00_4048 = BGL_CLASS_NIL(BgL_classz00_4047);
							if (CBOOL(BgL__ortest_1113z00_4048))
								{	/* Ast/var.scm 46 */
									BgL_auxz00_6560 =
										((BgL_valuez00_bglt) BgL__ortest_1113z00_4048);
								}
							else
								{	/* Ast/var.scm 46 */
									BgL_auxz00_6560 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4047));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1086z00_3535))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6560), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1086z00_3535))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1086z00_3535))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1086z00_3535))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1086z00_3535))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1086z00_3535))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1086z00_3535))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3535)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 74))), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3535)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3535)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3535)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3535)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3535)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3535)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3535)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2371z00zzast_varz00), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3535)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3535)))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6542 = ((BgL_globalz00_bglt) BgL_new1086z00_3535);
				return ((obj_t) BgL_auxz00_6542);
			}
		}

	}



/* &lambda1611 */
	BgL_globalz00_bglt BGl_z62lambda1611z62zzast_varz00(obj_t BgL_envz00_3536)
	{
		{	/* Ast/var.scm 46 */
			{	/* Ast/var.scm 46 */
				BgL_globalz00_bglt BgL_new1085z00_4049;

				BgL_new1085z00_4049 =
					((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_globalz00_bgl))));
				{	/* Ast/var.scm 46 */
					long BgL_arg1614z00_4050;

					BgL_arg1614z00_4050 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1085z00_4049), BgL_arg1614z00_4050);
				}
				{	/* Ast/var.scm 46 */
					BgL_objectz00_bglt BgL_tmpz00_6615;

					BgL_tmpz00_6615 = ((BgL_objectz00_bglt) BgL_new1085z00_4049);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6615, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1085z00_4049);
				return BgL_new1085z00_4049;
			}
		}

	}



/* &lambda1601 */
	BgL_globalz00_bglt BGl_z62lambda1601z62zzast_varz00(obj_t BgL_envz00_3537,
		obj_t BgL_id1065z00_3538, obj_t BgL_name1066z00_3539,
		obj_t BgL_type1067z00_3540, obj_t BgL_value1068z00_3541,
		obj_t BgL_access1069z00_3542, obj_t BgL_fastzd2alpha1070zd2_3543,
		obj_t BgL_removable1071z00_3544, obj_t BgL_occurrence1072z00_3545,
		obj_t BgL_occurrencew1073z00_3546, obj_t BgL_userzf31074zf3_3547,
		obj_t BgL_module1075z00_3548, obj_t BgL_import1076z00_3549,
		obj_t BgL_evaluablezf31077zf3_3550, obj_t BgL_evalzf31078zf3_3551,
		obj_t BgL_library1079z00_3552, obj_t BgL_pragma1080z00_3553,
		obj_t BgL_src1081z00_3554, obj_t BgL_jvmzd2typezd2name1082z00_3555,
		obj_t BgL_init1083z00_3556, obj_t BgL_alias1084z00_3557)
	{
		{	/* Ast/var.scm 46 */
			{	/* Ast/var.scm 46 */
				long BgL_occurrence1072z00_4054;
				long BgL_occurrencew1073z00_4055;
				bool_t BgL_userzf31074zf3_4056;
				bool_t BgL_evaluablezf31077zf3_4058;
				bool_t BgL_evalzf31078zf3_4059;

				BgL_occurrence1072z00_4054 = (long) CINT(BgL_occurrence1072z00_3545);
				BgL_occurrencew1073z00_4055 = (long) CINT(BgL_occurrencew1073z00_3546);
				BgL_userzf31074zf3_4056 = CBOOL(BgL_userzf31074zf3_3547);
				BgL_evaluablezf31077zf3_4058 = CBOOL(BgL_evaluablezf31077zf3_3550);
				BgL_evalzf31078zf3_4059 = CBOOL(BgL_evalzf31078zf3_3551);
				{	/* Ast/var.scm 46 */
					BgL_globalz00_bglt BgL_new1229z00_4061;

					{	/* Ast/var.scm 46 */
						BgL_globalz00_bglt BgL_new1228z00_4062;

						BgL_new1228z00_4062 =
							((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_globalz00_bgl))));
						{	/* Ast/var.scm 46 */
							long BgL_arg1610z00_4063;

							BgL_arg1610z00_4063 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1228z00_4062),
								BgL_arg1610z00_4063);
						}
						{	/* Ast/var.scm 46 */
							BgL_objectz00_bglt BgL_tmpz00_6628;

							BgL_tmpz00_6628 = ((BgL_objectz00_bglt) BgL_new1228z00_4062);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6628, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1228z00_4062);
						BgL_new1229z00_4061 = BgL_new1228z00_4062;
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1229z00_4061)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1065z00_3538)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1229z00_4061)))->BgL_namez00) =
						((obj_t) BgL_name1066z00_3539), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1229z00_4061)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1067z00_3540)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1229z00_4061)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1068z00_3541)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1229z00_4061)))->BgL_accessz00) =
						((obj_t) BgL_access1069z00_3542), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1229z00_4061)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1070zd2_3543), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1229z00_4061)))->BgL_removablez00) =
						((obj_t) BgL_removable1071z00_3544), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1229z00_4061)))->BgL_occurrencez00) =
						((long) BgL_occurrence1072z00_4054), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1229z00_4061)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1073z00_4055), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1229z00_4061)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31074zf3_4056), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1229z00_4061))->
							BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1075z00_3548)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1229z00_4061))->
							BgL_importz00) = ((obj_t) BgL_import1076z00_3549), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1229z00_4061))->
							BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31077zf3_4058), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1229z00_4061))->
							BgL_evalzf3zf3) = ((bool_t) BgL_evalzf31078zf3_4059), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1229z00_4061))->
							BgL_libraryz00) = ((obj_t) BgL_library1079z00_3552), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1229z00_4061))->
							BgL_pragmaz00) = ((obj_t) BgL_pragma1080z00_3553), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1229z00_4061))->BgL_srcz00) =
						((obj_t) BgL_src1081z00_3554), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1229z00_4061))->
							BgL_jvmzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_jvmzd2typezd2name1082z00_3555)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1229z00_4061))->BgL_initz00) =
						((obj_t) BgL_init1083z00_3556), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1229z00_4061))->BgL_aliasz00) =
						((obj_t) BgL_alias1084z00_3557), BUNSPEC);
					return BgL_new1229z00_4061;
				}
			}
		}

	}



/* &<@anonymous:1744> */
	obj_t BGl_z62zc3z04anonymousza31744ze3ze5zzast_varz00(obj_t BgL_envz00_3558)
	{
		{	/* Ast/var.scm 46 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1743 */
	obj_t BGl_z62lambda1743z62zzast_varz00(obj_t BgL_envz00_3559,
		obj_t BgL_oz00_3560, obj_t BgL_vz00_3561)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3560)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_3561), BUNSPEC);
		}

	}



/* &lambda1742 */
	obj_t BGl_z62lambda1742z62zzast_varz00(obj_t BgL_envz00_3562,
		obj_t BgL_oz00_3563)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3563)))->BgL_aliasz00);
		}

	}



/* &<@anonymous:1731> */
	obj_t BGl_z62zc3z04anonymousza31731ze3ze5zzast_varz00(obj_t BgL_envz00_3564)
	{
		{	/* Ast/var.scm 46 */
			return BUNSPEC;
		}

	}



/* &lambda1730 */
	obj_t BGl_z62lambda1730z62zzast_varz00(obj_t BgL_envz00_3565,
		obj_t BgL_oz00_3566, obj_t BgL_vz00_3567)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3566)))->BgL_initz00) =
				((obj_t) BgL_vz00_3567), BUNSPEC);
		}

	}



/* &lambda1729 */
	obj_t BGl_z62lambda1729z62zzast_varz00(obj_t BgL_envz00_3568,
		obj_t BgL_oz00_3569)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3569)))->BgL_initz00);
		}

	}



/* &lambda1714 */
	obj_t BGl_z62lambda1714z62zzast_varz00(obj_t BgL_envz00_3570,
		obj_t BgL_oz00_3571, obj_t BgL_vz00_3572)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3571)))->
					BgL_jvmzd2typezd2namez00) =
				((obj_t) ((obj_t) BgL_vz00_3572)), BUNSPEC);
		}

	}



/* &lambda1713 */
	obj_t BGl_z62lambda1713z62zzast_varz00(obj_t BgL_envz00_3573,
		obj_t BgL_oz00_3574)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3574)))->BgL_jvmzd2typezd2namez00);
		}

	}



/* &lambda1700 */
	obj_t BGl_z62lambda1700z62zzast_varz00(obj_t BgL_envz00_3575,
		obj_t BgL_oz00_3576, obj_t BgL_vz00_3577)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3576)))->BgL_srcz00) =
				((obj_t) BgL_vz00_3577), BUNSPEC);
		}

	}



/* &lambda1699 */
	obj_t BGl_z62lambda1699z62zzast_varz00(obj_t BgL_envz00_3578,
		obj_t BgL_oz00_3579)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3579)))->BgL_srcz00);
		}

	}



/* &<@anonymous:1695> */
	obj_t BGl_z62zc3z04anonymousza31695ze3ze5zzast_varz00(obj_t BgL_envz00_3580)
	{
		{	/* Ast/var.scm 46 */
			return BNIL;
		}

	}



/* &lambda1694 */
	obj_t BGl_z62lambda1694z62zzast_varz00(obj_t BgL_envz00_3581,
		obj_t BgL_oz00_3582, obj_t BgL_vz00_3583)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3582)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_3583), BUNSPEC);
		}

	}



/* &lambda1693 */
	obj_t BGl_z62lambda1693z62zzast_varz00(obj_t BgL_envz00_3584,
		obj_t BgL_oz00_3585)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3585)))->BgL_pragmaz00);
		}

	}



/* &<@anonymous:1680> */
	obj_t BGl_z62zc3z04anonymousza31680ze3ze5zzast_varz00(obj_t BgL_envz00_3586)
	{
		{	/* Ast/var.scm 46 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1679 */
	obj_t BGl_z62lambda1679z62zzast_varz00(obj_t BgL_envz00_3587,
		obj_t BgL_oz00_3588, obj_t BgL_vz00_3589)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3588)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_3589), BUNSPEC);
		}

	}



/* &lambda1678 */
	obj_t BGl_z62lambda1678z62zzast_varz00(obj_t BgL_envz00_3590,
		obj_t BgL_oz00_3591)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3591)))->BgL_libraryz00);
		}

	}



/* &<@anonymous:1664> */
	obj_t BGl_z62zc3z04anonymousza31664ze3ze5zzast_varz00(obj_t BgL_envz00_3592)
	{
		{	/* Ast/var.scm 46 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1663 */
	obj_t BGl_z62lambda1663z62zzast_varz00(obj_t BgL_envz00_3593,
		obj_t BgL_oz00_3594, obj_t BgL_vz00_3595)
	{
		{	/* Ast/var.scm 46 */
			{	/* Ast/var.scm 46 */
				bool_t BgL_vz00_4078;

				BgL_vz00_4078 = CBOOL(BgL_vz00_3595);
				return
					((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_oz00_3594)))->BgL_evalzf3zf3) =
					((bool_t) BgL_vz00_4078), BUNSPEC);
			}
		}

	}



/* &lambda1662 */
	obj_t BGl_z62lambda1662z62zzast_varz00(obj_t BgL_envz00_3596,
		obj_t BgL_oz00_3597)
	{
		{	/* Ast/var.scm 46 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3597)))->BgL_evalzf3zf3));
		}

	}



/* &<@anonymous:1649> */
	obj_t BGl_z62zc3z04anonymousza31649ze3ze5zzast_varz00(obj_t BgL_envz00_3598)
	{
		{	/* Ast/var.scm 46 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1648 */
	obj_t BGl_z62lambda1648z62zzast_varz00(obj_t BgL_envz00_3599,
		obj_t BgL_oz00_3600, obj_t BgL_vz00_3601)
	{
		{	/* Ast/var.scm 46 */
			{	/* Ast/var.scm 46 */
				bool_t BgL_vz00_4081;

				BgL_vz00_4081 = CBOOL(BgL_vz00_3601);
				return
					((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_oz00_3600)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_vz00_4081), BUNSPEC);
			}
		}

	}



/* &lambda1647 */
	obj_t BGl_z62lambda1647z62zzast_varz00(obj_t BgL_envz00_3602,
		obj_t BgL_oz00_3603)
	{
		{	/* Ast/var.scm 46 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3603)))->BgL_evaluablezf3zf3));
		}

	}



/* &lambda1638 */
	obj_t BGl_z62lambda1638z62zzast_varz00(obj_t BgL_envz00_3604,
		obj_t BgL_oz00_3605, obj_t BgL_vz00_3606)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3605)))->BgL_importz00) =
				((obj_t) BgL_vz00_3606), BUNSPEC);
		}

	}



/* &lambda1637 */
	obj_t BGl_z62lambda1637z62zzast_varz00(obj_t BgL_envz00_3607,
		obj_t BgL_oz00_3608)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3608)))->BgL_importz00);
		}

	}



/* &lambda1631 */
	obj_t BGl_z62lambda1631z62zzast_varz00(obj_t BgL_envz00_3609,
		obj_t BgL_oz00_3610, obj_t BgL_vz00_3611)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3610)))->BgL_modulez00) = ((obj_t)
					((obj_t) BgL_vz00_3611)), BUNSPEC);
		}

	}



/* &lambda1630 */
	obj_t BGl_z62lambda1630z62zzast_varz00(obj_t BgL_envz00_3612,
		obj_t BgL_oz00_3613)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3613)))->BgL_modulez00);
		}

	}



/* &<@anonymous:1365> */
	obj_t BGl_z62zc3z04anonymousza31365ze3ze5zzast_varz00(obj_t BgL_envz00_3614,
		obj_t BgL_new1063z00_3615)
	{
		{	/* Ast/var.scm 23 */
			{
				BgL_variablez00_bglt BgL_auxz00_6717;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1063z00_3615)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 74))), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1063z00_3615)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6723;

					{	/* Ast/var.scm 23 */
						obj_t BgL_classz00_4089;

						BgL_classz00_4089 = BGl_typez00zztype_typez00;
						{	/* Ast/var.scm 23 */
							obj_t BgL__ortest_1113z00_4090;

							BgL__ortest_1113z00_4090 = BGL_CLASS_NIL(BgL_classz00_4089);
							if (CBOOL(BgL__ortest_1113z00_4090))
								{	/* Ast/var.scm 23 */
									BgL_auxz00_6723 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_4090);
								}
							else
								{	/* Ast/var.scm 23 */
									BgL_auxz00_6723 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4089));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1063z00_3615)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6723), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6732;

					{	/* Ast/var.scm 23 */
						obj_t BgL_classz00_4091;

						BgL_classz00_4091 = BGl_valuez00zzast_varz00;
						{	/* Ast/var.scm 23 */
							obj_t BgL__ortest_1113z00_4092;

							BgL__ortest_1113z00_4092 = BGL_CLASS_NIL(BgL_classz00_4091);
							if (CBOOL(BgL__ortest_1113z00_4092))
								{	/* Ast/var.scm 23 */
									BgL_auxz00_6732 =
										((BgL_valuez00_bglt) BgL__ortest_1113z00_4092);
								}
							else
								{	/* Ast/var.scm 23 */
									BgL_auxz00_6732 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4091));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1063z00_3615)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6732), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1063z00_3615)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1063z00_3615)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1063z00_3615)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1063z00_3615)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1063z00_3615)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1063z00_3615)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_6717 = ((BgL_variablez00_bglt) BgL_new1063z00_3615);
				return ((obj_t) BgL_auxz00_6717);
			}
		}

	}



/* &lambda1362 */
	BgL_variablez00_bglt BGl_z62lambda1362z62zzast_varz00(obj_t BgL_envz00_3616)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				BgL_variablez00_bglt BgL_new1062z00_4093;

				BgL_new1062z00_4093 =
					((BgL_variablez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_variablez00_bgl))));
				{	/* Ast/var.scm 23 */
					long BgL_arg1364z00_4094;

					BgL_arg1364z00_4094 = BGL_CLASS_NUM(BGl_variablez00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1062z00_4093), BgL_arg1364z00_4094);
				}
				return BgL_new1062z00_4093;
			}
		}

	}



/* &lambda1360 */
	BgL_variablez00_bglt BGl_z62lambda1360z62zzast_varz00(obj_t BgL_envz00_3617,
		obj_t BgL_id1052z00_3618, obj_t BgL_name1053z00_3619,
		obj_t BgL_type1054z00_3620, obj_t BgL_value1055z00_3621,
		obj_t BgL_access1056z00_3622, obj_t BgL_fastzd2alpha1057zd2_3623,
		obj_t BgL_removable1058z00_3624, obj_t BgL_occurrence1059z00_3625,
		obj_t BgL_occurrencew1060z00_3626, obj_t BgL_userzf31061zf3_3627)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				long BgL_occurrence1059z00_4098;
				long BgL_occurrencew1060z00_4099;
				bool_t BgL_userzf31061zf3_4100;

				BgL_occurrence1059z00_4098 = (long) CINT(BgL_occurrence1059z00_3625);
				BgL_occurrencew1060z00_4099 = (long) CINT(BgL_occurrencew1060z00_3626);
				BgL_userzf31061zf3_4100 = CBOOL(BgL_userzf31061zf3_3627);
				{	/* Ast/var.scm 23 */
					BgL_variablez00_bglt BgL_new1227z00_4101;

					{	/* Ast/var.scm 23 */
						BgL_variablez00_bglt BgL_new1226z00_4102;

						BgL_new1226z00_4102 =
							((BgL_variablez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_variablez00_bgl))));
						{	/* Ast/var.scm 23 */
							long BgL_arg1361z00_4103;

							BgL_arg1361z00_4103 = BGL_CLASS_NUM(BGl_variablez00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1226z00_4102),
								BgL_arg1361z00_4103);
						}
						BgL_new1227z00_4101 = BgL_new1226z00_4102;
					}
					((((BgL_variablez00_bglt) COBJECT(BgL_new1227z00_4101))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1052z00_3618)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1227z00_4101))->
							BgL_namez00) = ((obj_t) BgL_name1053z00_3619), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1227z00_4101))->
							BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1054z00_3620)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1227z00_4101))->
							BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1055z00_3621)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1227z00_4101))->
							BgL_accessz00) = ((obj_t) BgL_access1056z00_3622), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1227z00_4101))->
							BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1057zd2_3623), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1227z00_4101))->
							BgL_removablez00) = ((obj_t) BgL_removable1058z00_3624), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1227z00_4101))->
							BgL_occurrencez00) =
						((long) BgL_occurrence1059z00_4098), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1227z00_4101))->
							BgL_occurrencewz00) =
						((long) BgL_occurrencew1060z00_4099), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1227z00_4101))->
							BgL_userzf3zf3) = ((bool_t) BgL_userzf31061zf3_4100), BUNSPEC);
					return BgL_new1227z00_4101;
				}
			}
		}

	}



/* &<@anonymous:1584> */
	obj_t BGl_z62zc3z04anonymousza31584ze3ze5zzast_varz00(obj_t BgL_envz00_3628)
	{
		{	/* Ast/var.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1583 */
	obj_t BGl_z62lambda1583z62zzast_varz00(obj_t BgL_envz00_3629,
		obj_t BgL_oz00_3630, obj_t BgL_vz00_3631)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				bool_t BgL_vz00_4105;

				BgL_vz00_4105 = CBOOL(BgL_vz00_3631);
				return
					((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_oz00_3630)))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_4105), BUNSPEC);
			}
		}

	}



/* &lambda1582 */
	obj_t BGl_z62lambda1582z62zzast_varz00(obj_t BgL_envz00_3632,
		obj_t BgL_oz00_3633)
	{
		{	/* Ast/var.scm 23 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3633)))->BgL_userzf3zf3));
		}

	}



/* &<@anonymous:1568> */
	obj_t BGl_z62zc3z04anonymousza31568ze3ze5zzast_varz00(obj_t BgL_envz00_3634)
	{
		{	/* Ast/var.scm 23 */
			return BINT(((long) 0));
		}

	}



/* &lambda1567 */
	obj_t BGl_z62lambda1567z62zzast_varz00(obj_t BgL_envz00_3635,
		obj_t BgL_oz00_3636, obj_t BgL_vz00_3637)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				long BgL_vz00_4108;

				BgL_vz00_4108 = (long) CINT(BgL_vz00_3637);
				return
					((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_oz00_3636)))->BgL_occurrencewz00) =
					((long) BgL_vz00_4108), BUNSPEC);
		}}

	}



/* &lambda1566 */
	obj_t BGl_z62lambda1566z62zzast_varz00(obj_t BgL_envz00_3638,
		obj_t BgL_oz00_3639)
	{
		{	/* Ast/var.scm 23 */
			return
				BINT(
				(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3639)))->BgL_occurrencewz00));
		}

	}



/* &<@anonymous:1536> */
	obj_t BGl_z62zc3z04anonymousza31536ze3ze5zzast_varz00(obj_t BgL_envz00_3640)
	{
		{	/* Ast/var.scm 23 */
			return BINT(((long) 0));
		}

	}



/* &lambda1535 */
	obj_t BGl_z62lambda1535z62zzast_varz00(obj_t BgL_envz00_3641,
		obj_t BgL_oz00_3642, obj_t BgL_vz00_3643)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				long BgL_vz00_4111;

				BgL_vz00_4111 = (long) CINT(BgL_vz00_3643);
				return
					((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_oz00_3642)))->BgL_occurrencez00) =
					((long) BgL_vz00_4111), BUNSPEC);
		}}

	}



/* &lambda1534 */
	obj_t BGl_z62lambda1534z62zzast_varz00(obj_t BgL_envz00_3644,
		obj_t BgL_oz00_3645)
	{
		{	/* Ast/var.scm 23 */
			return
				BINT(
				(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3645)))->BgL_occurrencez00));
		}

	}



/* &<@anonymous:1525> */
	obj_t BGl_z62zc3z04anonymousza31525ze3ze5zzast_varz00(obj_t BgL_envz00_3646)
	{
		{	/* Ast/var.scm 23 */
			return CNST_TABLE_REF(((long) 76));
		}

	}



/* &lambda1524 */
	obj_t BGl_z62lambda1524z62zzast_varz00(obj_t BgL_envz00_3647,
		obj_t BgL_oz00_3648, obj_t BgL_vz00_3649)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3648)))->BgL_removablez00) =
				((obj_t) BgL_vz00_3649), BUNSPEC);
		}

	}



/* &lambda1523 */
	obj_t BGl_z62lambda1523z62zzast_varz00(obj_t BgL_envz00_3650,
		obj_t BgL_oz00_3651)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3651)))->BgL_removablez00);
		}

	}



/* &<@anonymous:1509> */
	obj_t BGl_z62zc3z04anonymousza31509ze3ze5zzast_varz00(obj_t BgL_envz00_3652)
	{
		{	/* Ast/var.scm 23 */
			return BUNSPEC;
		}

	}



/* &lambda1508 */
	obj_t BGl_z62lambda1508z62zzast_varz00(obj_t BgL_envz00_3653,
		obj_t BgL_oz00_3654, obj_t BgL_vz00_3655)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3654)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_3655), BUNSPEC);
		}

	}



/* &lambda1507 */
	obj_t BGl_z62lambda1507z62zzast_varz00(obj_t BgL_envz00_3656,
		obj_t BgL_oz00_3657)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3657)))->BgL_fastzd2alphazd2);
		}

	}



/* &<@anonymous:1470> */
	obj_t BGl_z62zc3z04anonymousza31470ze3ze5zzast_varz00(obj_t BgL_envz00_3658)
	{
		{	/* Ast/var.scm 23 */
			return CNST_TABLE_REF(((long) 71));
		}

	}



/* &lambda1469 */
	obj_t BGl_z62lambda1469z62zzast_varz00(obj_t BgL_envz00_3659,
		obj_t BgL_oz00_3660, obj_t BgL_vz00_3661)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3660)))->BgL_accessz00) =
				((obj_t) BgL_vz00_3661), BUNSPEC);
		}

	}



/* &lambda1468 */
	obj_t BGl_z62lambda1468z62zzast_varz00(obj_t BgL_envz00_3662,
		obj_t BgL_oz00_3663)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3663)))->BgL_accessz00);
		}

	}



/* &lambda1424 */
	obj_t BGl_z62lambda1424z62zzast_varz00(obj_t BgL_envz00_3664,
		obj_t BgL_oz00_3665, obj_t BgL_vz00_3666)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3665)))->BgL_valuez00) =
				((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_vz00_3666)), BUNSPEC);
		}

	}



/* &lambda1423 */
	BgL_valuez00_bglt BGl_z62lambda1423z62zzast_varz00(obj_t BgL_envz00_3667,
		obj_t BgL_oz00_3668)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3668)))->BgL_valuez00);
		}

	}



/* &lambda1395 */
	obj_t BGl_z62lambda1395z62zzast_varz00(obj_t BgL_envz00_3669,
		obj_t BgL_oz00_3670, obj_t BgL_vz00_3671)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3670)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_3671)), BUNSPEC);
		}

	}



/* &lambda1394 */
	BgL_typez00_bglt BGl_z62lambda1394z62zzast_varz00(obj_t BgL_envz00_3672,
		obj_t BgL_oz00_3673)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3673)))->BgL_typez00);
		}

	}



/* &<@anonymous:1390> */
	obj_t BGl_z62zc3z04anonymousza31390ze3ze5zzast_varz00(obj_t BgL_envz00_3674)
	{
		{	/* Ast/var.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1389 */
	obj_t BGl_z62lambda1389z62zzast_varz00(obj_t BgL_envz00_3675,
		obj_t BgL_oz00_3676, obj_t BgL_vz00_3677)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3676)))->BgL_namez00) =
				((obj_t) BgL_vz00_3677), BUNSPEC);
		}

	}



/* &lambda1388 */
	obj_t BGl_z62lambda1388z62zzast_varz00(obj_t BgL_envz00_3678,
		obj_t BgL_oz00_3679)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3679)))->BgL_namez00);
		}

	}



/* &lambda1377 */
	obj_t BGl_z62lambda1377z62zzast_varz00(obj_t BgL_envz00_3680,
		obj_t BgL_oz00_3681, obj_t BgL_vz00_3682)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3681)))->BgL_idz00) = ((obj_t)
					((obj_t) BgL_vz00_3682)), BUNSPEC);
		}

	}



/* &lambda1376 */
	obj_t BGl_z62lambda1376z62zzast_varz00(obj_t BgL_envz00_3683,
		obj_t BgL_oz00_3684)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3684)))->BgL_idz00);
		}

	}



/* &<@anonymous:1347> */
	obj_t BGl_z62zc3z04anonymousza31347ze3ze5zzast_varz00(obj_t BgL_envz00_3685,
		obj_t BgL_new1050z00_3686)
	{
		{	/* Ast/var.scm 21 */
			return ((obj_t) ((BgL_valuez00_bglt) BgL_new1050z00_3686));
		}

	}



/* &lambda1344 */
	BgL_valuez00_bglt BGl_z62lambda1344z62zzast_varz00(obj_t BgL_envz00_3687)
	{
		{	/* Ast/var.scm 21 */
			{	/* Ast/var.scm 21 */
				BgL_valuez00_bglt BgL_new1049z00_4131;

				BgL_new1049z00_4131 =
					((BgL_valuez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_valuez00_bgl))));
				{	/* Ast/var.scm 21 */
					long BgL_arg1346z00_4132;

					BgL_arg1346z00_4132 = BGL_CLASS_NUM(BGl_valuez00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1049z00_4131), BgL_arg1346z00_4132);
				}
				return BgL_new1049z00_4131;
			}
		}

	}



/* &lambda1342 */
	BgL_valuez00_bglt BGl_z62lambda1342z62zzast_varz00(obj_t BgL_envz00_3688)
	{
		{	/* Ast/var.scm 21 */
			{	/* Ast/var.scm 21 */
				BgL_valuez00_bglt BgL_new1225z00_4133;

				{	/* Ast/var.scm 21 */
					BgL_valuez00_bglt BgL_new1223z00_4134;

					BgL_new1223z00_4134 =
						((BgL_valuez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_valuez00_bgl))));
					{	/* Ast/var.scm 21 */
						long BgL_arg1343z00_4135;

						BgL_arg1343z00_4135 = BGL_CLASS_NUM(BGl_valuez00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1223z00_4134), BgL_arg1343z00_4135);
					}
					BgL_new1225z00_4133 = BgL_new1223z00_4134;
				}
				return BgL_new1225z00_4133;
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2372z00zzast_varz00));
			return
				BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2372z00zzast_varz00));
		}

	}

#ifdef __cplusplus
}
#endif
