/*===========================================================================*/
/*   (BackEnd/backend.scm)                                                   */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/backend.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typezd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typedzd2eqz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2compilezd2func1119z62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2cnstzd2tablezd2n1125zb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2callcczb0zzbackend_backendz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_backendz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2languagezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t
		BGl_z62backendzd2initializa7ez121115z05zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2namezb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2srfi0zb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2compilezd2functionsz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2functionszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2compile1117zb0zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2callcczd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_backendz00_bglt
		BGl_backendzd2nilzd2zzbackend_backendz00(void);
	static obj_t BGl_z62backendzd2typedzd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2foreignzd2closurezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2subtypezf3z43zzbackend_backendz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2suffixz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2cnstzd2tablezd2namezb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_za2thezd2backendza2zd2zzbackend_backendz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzbackend_backendz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2variableszd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typezd2checkz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2foreignzd2closurez00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2variableszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2languagezd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_backendz00(void);
	static obj_t BGl_z62backendzd2linkzd2objectsz62zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2typedzd2eqz62zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_backendzf3zf3zzbackend_backendz00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2callcczd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typedzd2eqzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_objectzd2initzd2zzbackend_backendz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2qualifiedzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62zc3z04anonymousza31320ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2linkzd2objects1127z62zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31223ze3ze5zzbackend_backendz00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_z62backendzd2removezd2emptyzd2letzb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2heapzd2compatiblez62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2debugzd2supportz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31313ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typedzd2funcallz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31208ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2registerszb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2externzd2variablesz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2checkzd2inlinesz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2compatiblezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31403ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31306ze3ze5zzbackend_backendz00(obj_t);
	static obj_t
		BGl_z62backendzd2externzd2typeszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2initializa7ez12z05zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_za2backendsza2z00zzbackend_backendz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2pregisterszd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2callcczd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		bool_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2foreignzd2clausezd2supportzb0zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2typedzd2eqzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static BgL_backendz00_bglt BGl_z62backendzd2nilzb0zzbackend_backendz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_backendz00(void);
	static obj_t
		BGl_z62backendzd2tvectorzd2descrzd2supportzb0zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2functionszd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2removezd2emptyzd2letzd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2pragmazd2supportz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2pregisterszd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2debugzd2supportz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31163ze3ze5zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2functionszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2externzd2variableszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2typedzd2funcallz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2boundzd2checkz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2typedzb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2linkzb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2requirezd2tailcz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2effectzb2z60zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31245ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2typeszb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2effectzb2z02zzbackend_backendz00(obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2instrzd2resetzd21129zb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2srfi0zd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2srfi0zd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2instrzd2resetzd2registerszb0zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_backendz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2registerszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2typeszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31602ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31432ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31238ze3ze5zzbackend_backendz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31514ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31344ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1206z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1207z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2qualifiedzd2typesz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2pragmazd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2externzd2functionsz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2typezd2checkzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31175ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31337ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2variableszb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typedzd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2initializa7ez12z67zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2foreignzd2closurezd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2checkzd2inline1131z62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1221z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1222z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1304z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1305z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2removezd2emptyzd2letzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2requirezd2tailcz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62thezd2backendzb0zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2compilezd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2compilezb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2backendz12za2zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2tracezd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62lambda1311z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2link1121zb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1312z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2namezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31274ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2variablesz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31266ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1236z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1237z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1318z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1319z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_backendz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62lambda1401z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1402z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static BgL_backendz00_bglt BGl_z62lambda1161z62zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00
		(BgL_backendz00_bglt, int);
	static obj_t BGl_z62lambda1243z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2externzd2functionszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1244z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31356ze3ze5zzbackend_backendz00(obj_t);
	static obj_t
		BGl_z62backendzd2heapzd2suffixzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2namezd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2boundzd2checkzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2languagezd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2tracezd2supportzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31365ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31527ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1173z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1335z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1174z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1336z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2boundzd2checkz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2qualifiedzd2typeszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2foreignzd2closurez62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1342z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1343z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31285ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1264z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1265z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1187z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_backendz00(void);
	static obj_t BGl_z62lambda1188z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_backendz00(void);
	static obj_t BGl_z62backendzd2pragmazd2supportz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_backendz00(void);
	static obj_t BGl_z62lambda1430z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_backendz00(void);
	static obj_t BGl_z62lambda1431z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1512z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31391ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1513z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1272z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1273z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1354z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1355z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31189ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1196z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1197z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2heapzd2compatiblezd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2debugzd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2typezd2checkz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_backendz00zzbackend_backendz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2removezd2emptyzd2letzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62lambda1600z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1601z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1363z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1525z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31538ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2functionszb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1283z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1364z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1526z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31198ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1284z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2pragmazd2supportzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2compatiblez00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2variableszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2registerszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2gczd2init1133z62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_backendz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31296ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1536z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1294z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1537z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1295z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1377z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1378z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typedzd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62registerzd2backendz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2debugzd2supportzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typeszd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2functionsz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2externzd2typesz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62lambda1389z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2languagezb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2requirezd2tailczd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typedzd2funcallzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62lambda1390z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31379ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2variableszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2tracezd2supportz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2srfi0zd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31485ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1483z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1484z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1566z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1567z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2heapzd2suffixz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2pregisterszd2setz12z70zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2pregisterszb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typeszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t
		BGl_z62backendzd2requirezd2tailczd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2subtypezf31123z43zzbackend_backendz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2typedzd2funcallzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzf3z91zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2registerszd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2subtypezf3z21zzbackend_backendz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2effectzb2zd2setz12zc2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2suffixzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2boundzd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62zc3z04anonymousza31584ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31568ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1582z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1583z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2gczd2initz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2gczd2initz62zzbackend_backendz00(obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2compilezd2functionsz62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2namezd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2linkzd2zzbackend_backendz00(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2effectzb2zd2setz12za0zzbackend_backendz00(BgL_backendz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2functionszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2qualifiedzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2tracezd2supportz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t __cnst[47];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typeszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1812z00,
		BGl_z62backendzd2typeszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2effectzb2zd2envzb2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2eff1813z00,
		BGl_z62backendzd2effectzb2z02zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_thezd2backendzd2envz00zzbackend_backendz00,
		BgL_bgl_za762theza7d2backend1814z00,
		BGl_z62thezd2backendzb0zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2instrzd2resetzd2registerszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ins1815z00,
		BGl_z62backendzd2instrzd2resetzd2registerszb0zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_backendzf3zd2envz21zzbackend_backendz00,
		BgL_bgl_za762backendza7f3za7911816za7,
		BGl_z62backendzf3z91zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2functionszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2fun1817z00,
		BGl_z62backendzd2functionszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2callcczd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cal1818z00,
		BGl_z62backendzd2callcczb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_backendzd2nilzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2nil1819z00,
		BGl_z62backendzd2nilzb0zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2removezd2emptyzd2letzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2rem1820z00,
		BGl_z62backendzd2removezd2emptyzd2letzd2setz12z70zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2functionszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2fun1821z00,
		BGl_z62backendzd2functionszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2variableszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1822z00,
		BGl_z62backendzd2externzd2variableszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1823z00,
		BGl_z62backendzd2typedzd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1824z00,
		BGl_z62backendzd2typedzb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2boundzd2checkzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2bou1825z00,
		BGl_z62backendzd2boundzd2checkzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2eqzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1826z00,
		BGl_z62backendzd2typedzd2eqzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tvectorzd2descrzd2supportzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tve1827z00,
		BGl_z62backendzd2tvectorzd2descrzd2supportzb0zzbackend_backendz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2srfi0zd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2srf1828z00,
		BGl_z62backendzd2srfi0zd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pragmazd2supportzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pra1829z00,
		BGl_z62backendzd2pragmazd2supportz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pregisterszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pre1830z00,
		BGl_z62backendzd2pregisterszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1700z00zzbackend_backendz00,
		BgL_bgl_za762lambda1207za7621831z00,
		BGl_z62lambda1207z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1701z00zzbackend_backendz00,
		BgL_bgl_za762lambda1206za7621832z00,
		BGl_z62lambda1206z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2typeszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1833z00,
		BGl_z62backendzd2externzd2typeszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1702z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1834za7,
		BGl_z62zc3z04anonymousza31223ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1703z00zzbackend_backendz00,
		BgL_bgl_za762lambda1222za7621835z00,
		BGl_z62lambda1222z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2closurezd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for1836z00,
		BGl_z62backendzd2foreignzd2closurez62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1704z00zzbackend_backendz00,
		BgL_bgl_za762lambda1221za7621837z00,
		BGl_z62lambda1221z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1705z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1838za7,
		BGl_z62zc3z04anonymousza31238ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1706z00zzbackend_backendz00,
		BgL_bgl_za762lambda1237za7621839z00,
		BGl_z62lambda1237z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1707z00zzbackend_backendz00,
		BgL_bgl_za762lambda1236za7621840z00,
		BGl_z62lambda1236z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1708z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1841za7,
		BGl_z62zc3z04anonymousza31245ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1709z00zzbackend_backendz00,
		BgL_bgl_za762lambda1244za7621842z00,
		BGl_z62lambda1244z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1843z00,
		BGl_z62backendzd2compilezb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1710z00zzbackend_backendz00,
		BgL_bgl_za762lambda1243za7621844z00,
		BGl_z62lambda1243z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2registerszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2reg1845z00,
		BGl_z62backendzd2registerszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1711z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1846za7,
		BGl_z62zc3z04anonymousza31266ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1712z00zzbackend_backendz00,
		BgL_bgl_za762lambda1265za7621847z00,
		BGl_z62lambda1265z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1713z00zzbackend_backendz00,
		BgL_bgl_za762lambda1264za7621848z00,
		BGl_z62lambda1264z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1801z00zzbackend_backendz00,
		BgL_bgl_string1801za700za7za7b1849za7, "backend-gc-init1133", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1714z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1850za7,
		BGl_z62zc3z04anonymousza31274ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1802z00zzbackend_backendz00,
		BgL_bgl_string1802za700za7za7b1851za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1715z00zzbackend_backendz00,
		BgL_bgl_za762lambda1273za7621852z00,
		BGl_z62lambda1273z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1803z00zzbackend_backendz00,
		BgL_bgl_string1803za700za7za7b1853za7, "backend_backend", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1716z00zzbackend_backendz00,
		BgL_bgl_za762lambda1272za7621854z00,
		BGl_z62lambda1272z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1804z00zzbackend_backendz00,
		BgL_bgl_string1804za700za7za7b1855za7,
		"backend-compile1117 backend-compile-func1119 backend-link1121 backend-subtype?1123 backend-cnst-table-n1125 backend-link-objects1127 none native (foreign extern) (c bdb module) _ backend_backend backend typed-funcall type-check bound-check pregisters registers require-tailc tvector-descr-support pragma-support debug-support pair-nil foreign-clause-support trace-support typed-eq foreign-closure remove-empty-let effect+ qualified-types callcc heap-compatible heap-suffix bool typed types functions variables extern-types extern-functions obj extern-variables bstring name srfi0 symbol language ",
		596);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1717z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1856za7,
		BGl_z62zc3z04anonymousza31285ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1718z00zzbackend_backendz00,
		BgL_bgl_za762lambda1284za7621857z00,
		BGl_z62lambda1284z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1719z00zzbackend_backendz00,
		BgL_bgl_za762lambda1283za7621858z00,
		BGl_z62lambda1283z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1859z00,
		BGl_z62backendzd2linkzb0zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2gcza71860za7,
		BGl_z62backendzd2gczd2init1133z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1720z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1861za7,
		BGl_z62zc3z04anonymousza31296ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1721z00zzbackend_backendz00,
		BgL_bgl_za762lambda1295za7621862z00,
		BGl_z62lambda1295z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1722z00zzbackend_backendz00,
		BgL_bgl_za762lambda1294za7621863z00,
		BGl_z62lambda1294z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1723z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1864za7,
		BGl_z62zc3z04anonymousza31306ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2functionszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1865z00,
		BGl_z62backendzd2externzd2functionszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2qualifiedzd2typeszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2qua1866z00,
		BGl_z62backendzd2qualifiedzd2typesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1724z00zzbackend_backendz00,
		BgL_bgl_za762lambda1305za7621867z00,
		BGl_z62lambda1305z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1725z00zzbackend_backendz00,
		BgL_bgl_za762lambda1304za7621868z00,
		BGl_z62lambda1304z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1726z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1869za7,
		BGl_z62zc3z04anonymousza31313ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1727z00zzbackend_backendz00,
		BgL_bgl_za762lambda1312za7621870z00,
		BGl_z62lambda1312z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1728z00zzbackend_backendz00,
		BgL_bgl_za762lambda1311za7621871z00,
		BGl_z62lambda1311z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1729z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1872za7,
		BGl_z62zc3z04anonymousza31320ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_backendzd2namezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2nam1873z00,
		BGl_z62backendzd2namezb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2backendz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762setza7d2backend1874z00,
		BGl_z62setzd2backendz12za2zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typeszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1875z00,
		BGl_z62backendzd2typeszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1730z00zzbackend_backendz00,
		BgL_bgl_za762lambda1319za7621876z00,
		BGl_z62lambda1319z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1731z00zzbackend_backendz00,
		BgL_bgl_za762lambda1318za7621877z00,
		BGl_z62lambda1318z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1732z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1878za7,
		BGl_z62zc3z04anonymousza31337ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1733z00zzbackend_backendz00,
		BgL_bgl_za762lambda1336za7621879z00,
		BGl_z62lambda1336z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1734z00zzbackend_backendz00,
		BgL_bgl_za762lambda1335za7621880z00,
		BGl_z62lambda1335z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1735z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1881za7,
		BGl_z62zc3z04anonymousza31344ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1736z00zzbackend_backendz00,
		BgL_bgl_za762lambda1343za7621882z00,
		BGl_z62lambda1343z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1737z00zzbackend_backendz00,
		BgL_bgl_za762lambda1342za7621883z00,
		BGl_z62lambda1342z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1738z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1884za7,
		BGl_z62zc3z04anonymousza31356ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1739z00zzbackend_backendz00,
		BgL_bgl_za762lambda1355za7621885z00,
		BGl_z62lambda1355z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2che1886z00,
		BGl_z62backendzd2checkzd2inlinesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typezd2checkzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1887z00,
		BGl_z62backendzd2typezd2checkz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1740z00zzbackend_backendz00,
		BgL_bgl_za762lambda1354za7621888z00,
		BGl_z62lambda1354z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1741z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1889za7,
		BGl_z62zc3z04anonymousza31365ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1742z00zzbackend_backendz00,
		BgL_bgl_za762lambda1364za7621890z00,
		BGl_z62lambda1364z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1743z00zzbackend_backendz00,
		BgL_bgl_za762lambda1363za7621891z00,
		BGl_z62lambda1363z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1744z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1892za7,
		BGl_z62zc3z04anonymousza31379ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1745z00zzbackend_backendz00,
		BgL_bgl_za762lambda1378za7621893z00,
		BGl_z62lambda1378z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1746z00zzbackend_backendz00,
		BgL_bgl_za762lambda1377za7621894z00,
		BGl_z62lambda1377z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1747z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1895za7,
		BGl_z62zc3z04anonymousza31391ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1748z00zzbackend_backendz00,
		BgL_bgl_za762lambda1390za7621896z00,
		BGl_z62lambda1390z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1749z00zzbackend_backendz00,
		BgL_bgl_za762lambda1389za7621897z00,
		BGl_z62lambda1389z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2languagezd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lan1898z00,
		BGl_z62backendzd2languagezd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1750z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1899za7,
		BGl_z62zc3z04anonymousza31403ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1751z00zzbackend_backendz00,
		BgL_bgl_za762lambda1402za7621900z00,
		BGl_z62lambda1402z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1752z00zzbackend_backendz00,
		BgL_bgl_za762lambda1401za7621901z00,
		BGl_z62lambda1401z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1753z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1902za7,
		BGl_z62zc3z04anonymousza31432ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1754z00zzbackend_backendz00,
		BgL_bgl_za762lambda1431za7621903z00,
		BGl_z62lambda1431z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1755z00zzbackend_backendz00,
		BgL_bgl_za762lambda1430za7621904z00,
		BGl_z62lambda1430z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1756z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1905za7,
		BGl_z62zc3z04anonymousza31485ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2callcczd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cal1906z00,
		BGl_z62backendzd2callcczd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1757z00zzbackend_backendz00,
		BgL_bgl_za762lambda1484za7621907z00,
		BGl_z62lambda1484z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1758z00zzbackend_backendz00,
		BgL_bgl_za762lambda1483za7621908z00,
		BGl_z62lambda1483z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1759z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1909za7,
		BGl_z62zc3z04anonymousza31514ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1688z00zzbackend_backendz00,
		BgL_bgl_string1688za700za7za7b1910za7, "backend", 7);
	      DEFINE_STRING(BGl_string1689z00zzbackend_backendz00,
		BgL_bgl_string1689za700za7za7b1911za7, "Unimplemented target language", 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2closurezd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for1912z00,
		BGl_z62backendzd2foreignzd2closurezd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1760z00zzbackend_backendz00,
		BgL_bgl_za762lambda1513za7621913z00,
		BGl_z62lambda1513z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1761z00zzbackend_backendz00,
		BgL_bgl_za762lambda1512za7621914z00,
		BGl_z62lambda1512z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2typeszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1915z00,
		BGl_z62backendzd2externzd2typesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1762z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1916za7,
		BGl_z62zc3z04anonymousza31527ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1763z00zzbackend_backendz00,
		BgL_bgl_za762lambda1526za7621917z00,
		BGl_z62lambda1526z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1764z00zzbackend_backendz00,
		BgL_bgl_za762lambda1525za7621918z00,
		BGl_z62lambda1525z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1765z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1919za7,
		BGl_z62zc3z04anonymousza31538ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1766z00zzbackend_backendz00,
		BgL_bgl_za762lambda1537za7621920z00,
		BGl_z62lambda1537z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1767z00zzbackend_backendz00,
		BgL_bgl_za762lambda1536za7621921z00,
		BGl_z62lambda1536z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1768z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1922za7,
		BGl_z62zc3z04anonymousza31568ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1769z00zzbackend_backendz00,
		BgL_bgl_za762lambda1567za7621923z00,
		BGl_z62lambda1567z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1779z00zzbackend_backendz00,
		BgL_bgl_string1779za700za7za7b1924za7, "", 0);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1925z00,
		BGl_z62backendzd2linkzd2objectsz62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typezd2checkzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1926z00,
		BGl_z62backendzd2typezd2checkzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1770z00zzbackend_backendz00,
		BgL_bgl_za762lambda1566za7621927z00,
		BGl_z62lambda1566z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2registerszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2reg1928z00,
		BGl_z62backendzd2registerszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1771z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1929za7,
		BGl_z62zc3z04anonymousza31584ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1690z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1930za7,
		BGl_z62zc3z04anonymousza31175ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1772z00zzbackend_backendz00,
		BgL_bgl_za762lambda1583za7621931z00,
		BGl_z62lambda1583z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1691z00zzbackend_backendz00,
		BgL_bgl_za762lambda1174za7621932z00,
		BGl_z62lambda1174z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1773z00zzbackend_backendz00,
		BgL_bgl_za762lambda1582za7621933z00,
		BGl_z62lambda1582z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1692z00zzbackend_backendz00,
		BgL_bgl_za762lambda1173za7621934z00,
		BGl_z62lambda1173z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1780z00zzbackend_backendz00,
		BgL_bgl_string1780za700za7za7b1935za7, "heap", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1774z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1936za7,
		BGl_z62zc3z04anonymousza31602ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1693z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1937za7,
		BGl_z62zc3z04anonymousza31189ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1781z00zzbackend_backendz00,
		BgL_bgl_string1781za700za7za7b1938za7, "dummy", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zzbackend_backendz00,
		BgL_bgl_za762lambda1601za7621939z00,
		BGl_z62lambda1601z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1694z00zzbackend_backendz00,
		BgL_bgl_za762lambda1188za7621940z00,
		BGl_z62lambda1188z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzbackend_backendz00,
		BgL_bgl_za762lambda1600za7621941z00,
		BGl_z62lambda1600z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1695z00zzbackend_backendz00,
		BgL_bgl_za762lambda1187za7621942z00,
		BGl_z62lambda1187z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1783z00zzbackend_backendz00,
		BgL_bgl_string1783za700za7za7b1943za7, "backend-initialize!1115", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1777z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1944za7,
		BGl_z62zc3z04anonymousza31163ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1696z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1945za7,
		BGl_z62zc3z04anonymousza31198ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zzbackend_backendz00,
		BgL_bgl_za762lambda1161za7621946z00,
		BGl_z62lambda1161z62zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1697z00zzbackend_backendz00,
		BgL_bgl_za762lambda1197za7621947z00,
		BGl_z62lambda1197z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1785z00zzbackend_backendz00,
		BgL_bgl_string1785za700za7za7b1948za7, "backend-compile1117", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1698z00zzbackend_backendz00,
		BgL_bgl_za762lambda1196za7621949z00,
		BGl_z62lambda1196z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1699z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1950za7,
		BGl_z62zc3z04anonymousza31208ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1787z00zzbackend_backendz00,
		BgL_bgl_string1787za700za7za7b1951za7, "backend-compile-func1119", 24);
	      DEFINE_STRING(BGl_string1789z00zzbackend_backendz00,
		BgL_bgl_string1789za700za7za7b1952za7, "backend-link1121", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2compatiblezd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea1953z00,
		BGl_z62backendzd2heapzd2compatiblezd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ini1954z00,
		BGl_z62backendzd2initializa7ez12z05zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ini1955z00,
		BGl_z62backendzd2initializa7ez121115z05zzbackend_backendz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1956z00,
		BGl_z62backendzd2compile1117zb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1791z00zzbackend_backendz00,
		BgL_bgl_string1791za700za7za7b1957za7, "backend-subtype?1123", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1958z00,
		BGl_z62backendzd2compilezd2func1119z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1793z00zzbackend_backendz00,
		BgL_bgl_string1793za700za7za7b1959za7, "backend-cnst-table-n1125", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1960z00,
		BGl_z62backendzd2link1121zb0zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1795z00zzbackend_backendz00,
		BgL_bgl_string1795za700za7za7b1961za7, "backend-link-objects1127", 24);
	      DEFINE_STRING(BGl_string1797z00zzbackend_backendz00,
		BgL_bgl_string1797za700za7za7b1962za7, "backend-instr-reset-1129", 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2srfi0zd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2srf1963z00,
		BGl_z62backendzd2srfi0zb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1799z00zzbackend_backendz00,
		BgL_bgl_string1799za700za7za7b1964za7, "backend-check-inline1131", 24);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2compilezd2functionszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1965z00,
		BGl_z62backendzd2compilezd2functionsz62zzbackend_backendz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2requirezd2tailczd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2req1966z00,
		BGl_z62backendzd2requirezd2tailczd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tracezd2supportzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tra1967z00,
		BGl_z62backendzd2tracezd2supportzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2sub1968z00,
		BGl_z62backendzd2subtypezf31123z43zzbackend_backendz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2namezd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2nam1969z00,
		BGl_z62backendzd2namezd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cns1970z00,
		BGl_z62backendzd2cnstzd2tablezd2n1125zb0zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1971z00,
		BGl_z62backendzd2linkzd2objects1127z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ins1972z00,
		BGl_z62backendzd2instrzd2resetzd21129zb0zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2che1973z00,
		BGl_z62backendzd2checkzd2inline1131z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tracezd2supportzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tra1974z00,
		BGl_z62backendzd2tracezd2supportz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cns1975z00,
		BGl_z62backendzd2cnstzd2tablezd2namezb0zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pragmazd2supportzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pra1976z00,
		BGl_z62backendzd2pragmazd2supportzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tvectorzd2descrzd2supportzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tve1977z00,
		BGl_z62backendzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_backendz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2clausezd2supportzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for1978z00,
		BGl_z62backendzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_backendz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2boundzd2checkzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2bou1979z00,
		BGl_z62backendzd2boundzd2checkz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2removezd2emptyzd2letzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2rem1980z00,
		BGl_z62backendzd2removezd2emptyzd2letzb0zzbackend_backendz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2funcallzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1981z00,
		BGl_z62backendzd2typedzd2funcallzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2variableszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1982z00,
		BGl_z62backendzd2externzd2variablesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2debugzd2supportzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2deb1983z00,
		BGl_z62backendzd2debugzd2supportzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2suffixzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea1984z00,
		BGl_z62backendzd2heapzd2suffixz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2languagezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lan1985z00,
		BGl_z62backendzd2languagezb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2eqzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1986z00,
		BGl_z62backendzd2typedzd2eqz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2compatiblezd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea1987z00,
		BGl_z62backendzd2heapzd2compatiblez62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2backendz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762registerza7d2ba1988z00,
		BGl_z62registerzd2backendz12za2zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2suffixzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea1989z00,
		BGl_z62backendzd2heapzd2suffixzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2qualifiedzd2typeszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2qua1990z00,
		BGl_z62backendzd2qualifiedzd2typeszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2effectzb2zd2setz12zd2envz72zzbackend_backendz00,
		BgL_bgl_za762backendza7d2eff1991z00,
		BGl_z62backendzd2effectzb2zd2setz12zc2zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2variableszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2var1992z00,
		BGl_z62backendzd2variableszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2funcallzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1993z00,
		BGl_z62backendzd2typedzd2funcallz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2variableszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2var1994z00,
		BGl_z62backendzd2variableszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2clausezd2supportzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for1995z00,
		BGl_z62backendzd2foreignzd2clausezd2supportzb0zzbackend_backendz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
		BgL_bgl_za762backendza7d2sub1996z00,
		BGl_z62backendzd2subtypezf3z43zzbackend_backendz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2requirezd2tailczd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2req1997z00,
		BGl_z62backendzd2requirezd2tailcz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2functionszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1998z00,
		BGl_z62backendzd2externzd2functionsz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pregisterszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pre1999z00,
		BGl_z62backendzd2pregisterszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2gcza72000za7,
		BGl_z62backendzd2gczd2initz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2debugzd2supportzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2deb2001z00,
		BGl_z62backendzd2debugzd2supportz62zzbackend_backendz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_backendz00));
		     ADD_ROOT((void *) (&BGl_za2thezd2backendza2zd2zzbackend_backendz00));
		     ADD_ROOT((void *) (&BGl_za2backendsza2z00zzbackend_backendz00));
		     ADD_ROOT((void *) (&BGl_backendz00zzbackend_backendz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_backendz00(long
		BgL_checksumz00_1670, char *BgL_fromz00_1671)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_backendz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_backendz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_backendz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_backendz00();
					BGl_cnstzd2initzd2zzbackend_backendz00();
					BGl_importedzd2moduleszd2initz00zzbackend_backendz00();
					BGl_objectzd2initzd2zzbackend_backendz00();
					BGl_genericzd2initzd2zzbackend_backendz00();
					return BGl_toplevelzd2initzd2zzbackend_backendz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "backend_backend");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_backend");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			{	/* BackEnd/backend.scm 15 */
				obj_t BgL_cportz00_1548;

				{	/* BackEnd/backend.scm 15 */
					obj_t BgL_stringz00_1555;

					BgL_stringz00_1555 = BGl_string1804z00zzbackend_backendz00;
					{	/* BackEnd/backend.scm 15 */
						obj_t BgL_startz00_1556;

						BgL_startz00_1556 = BINT(((long) 0));
						{	/* BackEnd/backend.scm 15 */
							obj_t BgL_endz00_1557;

							BgL_endz00_1557 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1555)));
							{	/* BackEnd/backend.scm 15 */

								BgL_cportz00_1548 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1555, BgL_startz00_1556, BgL_endz00_1557);
				}}}}
				{
					long BgL_iz00_1549;

					BgL_iz00_1549 = ((long) 46);
				BgL_loopz00_1550:
					if ((BgL_iz00_1549 == ((long) -1)))
						{	/* BackEnd/backend.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/backend.scm 15 */
							{	/* BackEnd/backend.scm 15 */
								obj_t BgL_arg1811z00_1551;

								{	/* BackEnd/backend.scm 15 */

									{	/* BackEnd/backend.scm 15 */
										obj_t BgL_locationz00_1553;

										BgL_locationz00_1553 = BBOOL(((bool_t) 0));
										{	/* BackEnd/backend.scm 15 */

											BgL_arg1811z00_1551 =
												BGl_readz00zz__readerz00(BgL_cportz00_1548,
												BgL_locationz00_1553);
										}
									}
								}
								{	/* BackEnd/backend.scm 15 */
									int BgL_tmpz00_1702;

									BgL_tmpz00_1702 = (int) (BgL_iz00_1549);
									CNST_TABLE_SET(BgL_tmpz00_1702, BgL_arg1811z00_1551);
							}}
							{	/* BackEnd/backend.scm 15 */
								int BgL_auxz00_1554;

								BgL_auxz00_1554 = (int) ((BgL_iz00_1549 - ((long) 1)));
								{
									long BgL_iz00_1707;

									BgL_iz00_1707 = (long) (BgL_auxz00_1554);
									BgL_iz00_1549 = BgL_iz00_1707;
									goto BgL_loopz00_1550;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			BGl_za2thezd2backendza2zd2zzbackend_backendz00 = BUNSPEC;
			BGl_za2backendsza2z00zzbackend_backendz00 = BNIL;
			return BUNSPEC;
		}

	}



/* backend? */
	BGL_EXPORTED_DEF bool_t BGl_backendzf3zf3zzbackend_backendz00(obj_t
		BgL_objz00_3)
	{
		{	/* BackEnd/backend.sch 78 */
			{	/* BackEnd/backend.sch 78 */
				obj_t BgL_classz00_1559;

				BgL_classz00_1559 = BGl_backendz00zzbackend_backendz00;
				if (BGL_OBJECTP(BgL_objz00_3))
					{	/* BackEnd/backend.sch 78 */
						BgL_objectz00_bglt BgL_arg1820z00_1560;

						BgL_arg1820z00_1560 = (BgL_objectz00_bglt) (BgL_objz00_3);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* BackEnd/backend.sch 78 */
								long BgL_idxz00_1561;

								BgL_idxz00_1561 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1560);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1561 + ((long) 1))) == BgL_classz00_1559);
							}
						else
							{	/* BackEnd/backend.sch 78 */
								bool_t BgL_res1637z00_1564;

								{	/* BackEnd/backend.sch 78 */
									obj_t BgL_oclassz00_1565;

									{	/* BackEnd/backend.sch 78 */
										long BgL_arg1828z00_1566;

										{	/* BackEnd/backend.sch 78 */
											long BgL_arg1829z00_1567;

											BgL_arg1829z00_1567 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1560);
											BgL_arg1828z00_1566 = (BgL_arg1829z00_1567 - OBJECT_TYPE);
										}
										BgL_oclassz00_1565 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_1566);
									}
									{	/* BackEnd/backend.sch 78 */
										bool_t BgL__ortest_1111z00_1568;

										BgL__ortest_1111z00_1568 =
											(BgL_classz00_1559 == BgL_oclassz00_1565);
										if (BgL__ortest_1111z00_1568)
											{	/* BackEnd/backend.sch 78 */
												BgL_res1637z00_1564 = BgL__ortest_1111z00_1568;
											}
										else
											{	/* BackEnd/backend.sch 78 */
												long BgL_odepthz00_1569;

												BgL_odepthz00_1569 =
													BGL_CLASS_DEPTH(BgL_oclassz00_1565);
												if ((((long) 1) < BgL_odepthz00_1569))
													{	/* BackEnd/backend.sch 78 */
														obj_t BgL_arg1816z00_1570;

														BgL_arg1816z00_1570 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1565,
															((long) 1));
														BgL_res1637z00_1564 =
															(BgL_arg1816z00_1570 == BgL_classz00_1559);
													}
												else
													{	/* BackEnd/backend.sch 78 */
														BgL_res1637z00_1564 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1637z00_1564;
							}
					}
				else
					{	/* BackEnd/backend.sch 78 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &backend? */
	obj_t BGl_z62backendzf3z91zzbackend_backendz00(obj_t BgL_envz00_1066,
		obj_t BgL_objz00_1067)
	{
		{	/* BackEnd/backend.sch 78 */
			return BBOOL(BGl_backendzf3zf3zzbackend_backendz00(BgL_objz00_1067));
		}

	}



/* backend-nil */
	BGL_EXPORTED_DEF BgL_backendz00_bglt
		BGl_backendzd2nilzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.sch 79 */
			{	/* BackEnd/backend.sch 79 */
				obj_t BgL_classz00_662;

				BgL_classz00_662 = BGl_backendz00zzbackend_backendz00;
				{	/* BackEnd/backend.sch 79 */
					obj_t BgL__ortest_1113z00_663;

					BgL__ortest_1113z00_663 = BGL_CLASS_NIL(BgL_classz00_662);
					if (CBOOL(BgL__ortest_1113z00_663))
						{	/* BackEnd/backend.sch 79 */
							return ((BgL_backendz00_bglt) BgL__ortest_1113z00_663);
						}
					else
						{	/* BackEnd/backend.sch 79 */
							return
								((BgL_backendz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_662));
						}
				}
			}
		}

	}



/* &backend-nil */
	BgL_backendz00_bglt BGl_z62backendzd2nilzb0zzbackend_backendz00(obj_t
		BgL_envz00_1068)
	{
		{	/* BackEnd/backend.sch 79 */
			return BGl_backendzd2nilzd2zzbackend_backendz00();
		}

	}



/* backend-typed-funcall */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typedzd2funcallz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_4)
	{
		{	/* BackEnd/backend.sch 80 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_4))->BgL_typedzd2funcallzd2);
		}

	}



/* &backend-typed-funcall */
	obj_t BGl_z62backendzd2typedzd2funcallz62zzbackend_backendz00(obj_t
		BgL_envz00_1069, obj_t BgL_oz00_1070)
	{
		{	/* BackEnd/backend.sch 80 */
			return
				BBOOL(BGl_backendzd2typedzd2funcallz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1070)));
		}

	}



/* backend-typed-funcall-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typedzd2funcallzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_5, bool_t BgL_vz00_6)
	{
		{	/* BackEnd/backend.sch 81 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_5))->BgL_typedzd2funcallzd2) =
				((bool_t) BgL_vz00_6), BUNSPEC);
		}

	}



/* &backend-typed-funcall-set! */
	obj_t BGl_z62backendzd2typedzd2funcallzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1071, obj_t BgL_oz00_1072, obj_t BgL_vz00_1073)
	{
		{	/* BackEnd/backend.sch 81 */
			return
				BGl_backendzd2typedzd2funcallzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1072), CBOOL(BgL_vz00_1073));
		}

	}



/* backend-type-check */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typezd2checkz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_7)
	{
		{	/* BackEnd/backend.sch 82 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_7))->BgL_typezd2checkzd2);
		}

	}



/* &backend-type-check */
	obj_t BGl_z62backendzd2typezd2checkz62zzbackend_backendz00(obj_t
		BgL_envz00_1074, obj_t BgL_oz00_1075)
	{
		{	/* BackEnd/backend.sch 82 */
			return
				BBOOL(BGl_backendzd2typezd2checkz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1075)));
		}

	}



/* backend-type-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typezd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_8, bool_t BgL_vz00_9)
	{
		{	/* BackEnd/backend.sch 83 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_8))->BgL_typezd2checkzd2) =
				((bool_t) BgL_vz00_9), BUNSPEC);
		}

	}



/* &backend-type-check-set! */
	obj_t BGl_z62backendzd2typezd2checkzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1076, obj_t BgL_oz00_1077, obj_t BgL_vz00_1078)
	{
		{	/* BackEnd/backend.sch 83 */
			return
				BGl_backendzd2typezd2checkzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1077), CBOOL(BgL_vz00_1078));
		}

	}



/* backend-bound-check */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2boundzd2checkz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_10)
	{
		{	/* BackEnd/backend.sch 84 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_10))->BgL_boundzd2checkzd2);
		}

	}



/* &backend-bound-check */
	obj_t BGl_z62backendzd2boundzd2checkz62zzbackend_backendz00(obj_t
		BgL_envz00_1079, obj_t BgL_oz00_1080)
	{
		{	/* BackEnd/backend.sch 84 */
			return
				BBOOL(BGl_backendzd2boundzd2checkz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1080)));
		}

	}



/* backend-bound-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2boundzd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_11, bool_t BgL_vz00_12)
	{
		{	/* BackEnd/backend.sch 85 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_11))->BgL_boundzd2checkzd2) =
				((bool_t) BgL_vz00_12), BUNSPEC);
		}

	}



/* &backend-bound-check-set! */
	obj_t BGl_z62backendzd2boundzd2checkzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1081, obj_t BgL_oz00_1082, obj_t BgL_vz00_1083)
	{
		{	/* BackEnd/backend.sch 85 */
			return
				BGl_backendzd2boundzd2checkzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1082), CBOOL(BgL_vz00_1083));
		}

	}



/* backend-pregisters */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2pregisterszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_13)
	{
		{	/* BackEnd/backend.sch 86 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_13))->BgL_pregistersz00);
		}

	}



/* &backend-pregisters */
	obj_t BGl_z62backendzd2pregisterszb0zzbackend_backendz00(obj_t
		BgL_envz00_1084, obj_t BgL_oz00_1085)
	{
		{	/* BackEnd/backend.sch 86 */
			return
				BGl_backendzd2pregisterszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1085));
		}

	}



/* backend-pregisters-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2pregisterszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_14, obj_t BgL_vz00_15)
	{
		{	/* BackEnd/backend.sch 87 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_14))->BgL_pregistersz00) =
				((obj_t) BgL_vz00_15), BUNSPEC);
		}

	}



/* &backend-pregisters-set! */
	obj_t BGl_z62backendzd2pregisterszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1086, obj_t BgL_oz00_1087, obj_t BgL_vz00_1088)
	{
		{	/* BackEnd/backend.sch 87 */
			return
				BGl_backendzd2pregisterszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1087), BgL_vz00_1088);
		}

	}



/* backend-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2registerszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_16)
	{
		{	/* BackEnd/backend.sch 88 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_16))->BgL_registersz00);
		}

	}



/* &backend-registers */
	obj_t BGl_z62backendzd2registerszb0zzbackend_backendz00(obj_t BgL_envz00_1089,
		obj_t BgL_oz00_1090)
	{
		{	/* BackEnd/backend.sch 88 */
			return
				BGl_backendzd2registerszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1090));
		}

	}



/* backend-registers-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2registerszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* BackEnd/backend.sch 89 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_17))->BgL_registersz00) =
				((obj_t) BgL_vz00_18), BUNSPEC);
		}

	}



/* &backend-registers-set! */
	obj_t BGl_z62backendzd2registerszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1091, obj_t BgL_oz00_1092, obj_t BgL_vz00_1093)
	{
		{	/* BackEnd/backend.sch 89 */
			return
				BGl_backendzd2registerszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1092), BgL_vz00_1093);
		}

	}



/* backend-require-tailc */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2requirezd2tailcz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_19)
	{
		{	/* BackEnd/backend.sch 90 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_19))->BgL_requirezd2tailczd2);
		}

	}



/* &backend-require-tailc */
	obj_t BGl_z62backendzd2requirezd2tailcz62zzbackend_backendz00(obj_t
		BgL_envz00_1094, obj_t BgL_oz00_1095)
	{
		{	/* BackEnd/backend.sch 90 */
			return
				BBOOL(BGl_backendzd2requirezd2tailcz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1095)));
		}

	}



/* backend-require-tailc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2requirezd2tailczd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_20, bool_t BgL_vz00_21)
	{
		{	/* BackEnd/backend.sch 91 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_20))->
					BgL_requirezd2tailczd2) = ((bool_t) BgL_vz00_21), BUNSPEC);
		}

	}



/* &backend-require-tailc-set! */
	obj_t BGl_z62backendzd2requirezd2tailczd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1096, obj_t BgL_oz00_1097, obj_t BgL_vz00_1098)
	{
		{	/* BackEnd/backend.sch 91 */
			return
				BGl_backendzd2requirezd2tailczd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1097), CBOOL(BgL_vz00_1098));
		}

	}



/* backend-tvector-descr-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_22)
	{
		{	/* BackEnd/backend.sch 92 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_22))->
				BgL_tvectorzd2descrzd2supportz00);
		}

	}



/* &backend-tvector-descr-support */
	obj_t BGl_z62backendzd2tvectorzd2descrzd2supportzb0zzbackend_backendz00(obj_t
		BgL_envz00_1099, obj_t BgL_oz00_1100)
	{
		{	/* BackEnd/backend.sch 92 */
			return
				BBOOL(BGl_backendzd2tvectorzd2descrzd2supportzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1100)));
		}

	}



/* backend-tvector-descr-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_23, bool_t BgL_vz00_24)
	{
		{	/* BackEnd/backend.sch 93 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_23))->
					BgL_tvectorzd2descrzd2supportz00) = ((bool_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &backend-tvector-descr-support-set! */
	obj_t
		BGl_z62backendzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_backendz00
		(obj_t BgL_envz00_1101, obj_t BgL_oz00_1102, obj_t BgL_vz00_1103)
	{
		{	/* BackEnd/backend.sch 93 */
			return
				BGl_backendzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1102), CBOOL(BgL_vz00_1103));
		}

	}



/* backend-pragma-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2pragmazd2supportz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_25)
	{
		{	/* BackEnd/backend.sch 94 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_25))->BgL_pragmazd2supportzd2);
		}

	}



/* &backend-pragma-support */
	obj_t BGl_z62backendzd2pragmazd2supportz62zzbackend_backendz00(obj_t
		BgL_envz00_1104, obj_t BgL_oz00_1105)
	{
		{	/* BackEnd/backend.sch 94 */
			return
				BBOOL(BGl_backendzd2pragmazd2supportz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1105)));
		}

	}



/* backend-pragma-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2pragmazd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_26, bool_t BgL_vz00_27)
	{
		{	/* BackEnd/backend.sch 95 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_26))->
					BgL_pragmazd2supportzd2) = ((bool_t) BgL_vz00_27), BUNSPEC);
		}

	}



/* &backend-pragma-support-set! */
	obj_t BGl_z62backendzd2pragmazd2supportzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1106, obj_t BgL_oz00_1107, obj_t BgL_vz00_1108)
	{
		{	/* BackEnd/backend.sch 95 */
			return
				BGl_backendzd2pragmazd2supportzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1107), CBOOL(BgL_vz00_1108));
		}

	}



/* backend-debug-support */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2debugzd2supportz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_28)
	{
		{	/* BackEnd/backend.sch 96 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_28))->BgL_debugzd2supportzd2);
		}

	}



/* &backend-debug-support */
	obj_t BGl_z62backendzd2debugzd2supportz62zzbackend_backendz00(obj_t
		BgL_envz00_1109, obj_t BgL_oz00_1110)
	{
		{	/* BackEnd/backend.sch 96 */
			return
				BGl_backendzd2debugzd2supportz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1110));
		}

	}



/* backend-debug-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2debugzd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* BackEnd/backend.sch 97 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_29))->
					BgL_debugzd2supportzd2) = ((obj_t) BgL_vz00_30), BUNSPEC);
		}

	}



/* &backend-debug-support-set! */
	obj_t BGl_z62backendzd2debugzd2supportzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1111, obj_t BgL_oz00_1112, obj_t BgL_vz00_1113)
	{
		{	/* BackEnd/backend.sch 97 */
			return
				BGl_backendzd2debugzd2supportzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1112), BgL_vz00_1113);
		}

	}



/* backend-foreign-clause-support */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_31)
	{
		{	/* BackEnd/backend.sch 98 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_31))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &backend-foreign-clause-support */
	obj_t BGl_z62backendzd2foreignzd2clausezd2supportzb0zzbackend_backendz00(obj_t
		BgL_envz00_1114, obj_t BgL_oz00_1115)
	{
		{	/* BackEnd/backend.sch 98 */
			return
				BGl_backendzd2foreignzd2clausezd2supportzd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1115));
		}

	}



/* backend-foreign-clause-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* BackEnd/backend.sch 99 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_32))->
					BgL_foreignzd2clausezd2supportz00) = ((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &backend-foreign-clause-support-set! */
	obj_t
		BGl_z62backendzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_backendz00
		(obj_t BgL_envz00_1116, obj_t BgL_oz00_1117, obj_t BgL_vz00_1118)
	{
		{	/* BackEnd/backend.sch 99 */
			return
				BGl_backendzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_backendz00
				(((BgL_backendz00_bglt) BgL_oz00_1117), BgL_vz00_1118);
		}

	}



/* backend-trace-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2tracezd2supportz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_34)
	{
		{	/* BackEnd/backend.sch 100 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_34))->BgL_tracezd2supportzd2);
		}

	}



/* &backend-trace-support */
	obj_t BGl_z62backendzd2tracezd2supportz62zzbackend_backendz00(obj_t
		BgL_envz00_1119, obj_t BgL_oz00_1120)
	{
		{	/* BackEnd/backend.sch 100 */
			return
				BBOOL(BGl_backendzd2tracezd2supportz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1120)));
		}

	}



/* backend-trace-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2tracezd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_35, bool_t BgL_vz00_36)
	{
		{	/* BackEnd/backend.sch 101 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_35))->
					BgL_tracezd2supportzd2) = ((bool_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &backend-trace-support-set! */
	obj_t BGl_z62backendzd2tracezd2supportzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1121, obj_t BgL_oz00_1122, obj_t BgL_vz00_1123)
	{
		{	/* BackEnd/backend.sch 101 */
			return
				BGl_backendzd2tracezd2supportzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1122), CBOOL(BgL_vz00_1123));
		}

	}



/* backend-typed-eq */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typedzd2eqz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_37)
	{
		{	/* BackEnd/backend.sch 102 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_37))->BgL_typedzd2eqzd2);
		}

	}



/* &backend-typed-eq */
	obj_t BGl_z62backendzd2typedzd2eqz62zzbackend_backendz00(obj_t
		BgL_envz00_1124, obj_t BgL_oz00_1125)
	{
		{	/* BackEnd/backend.sch 102 */
			return
				BBOOL(BGl_backendzd2typedzd2eqz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1125)));
		}

	}



/* backend-typed-eq-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typedzd2eqzd2setz12zc0zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_38, bool_t BgL_vz00_39)
	{
		{	/* BackEnd/backend.sch 103 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_38))->BgL_typedzd2eqzd2) =
				((bool_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &backend-typed-eq-set! */
	obj_t BGl_z62backendzd2typedzd2eqzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1126, obj_t BgL_oz00_1127, obj_t BgL_vz00_1128)
	{
		{	/* BackEnd/backend.sch 103 */
			return
				BGl_backendzd2typedzd2eqzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1127), CBOOL(BgL_vz00_1128));
		}

	}



/* backend-foreign-closure */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2foreignzd2closurez00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_40)
	{
		{	/* BackEnd/backend.sch 104 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_40))->
				BgL_foreignzd2closurezd2);
		}

	}



/* &backend-foreign-closure */
	obj_t BGl_z62backendzd2foreignzd2closurez62zzbackend_backendz00(obj_t
		BgL_envz00_1129, obj_t BgL_oz00_1130)
	{
		{	/* BackEnd/backend.sch 104 */
			return
				BBOOL(BGl_backendzd2foreignzd2closurez00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1130)));
		}

	}



/* backend-foreign-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2foreignzd2closurezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_41, bool_t BgL_vz00_42)
	{
		{	/* BackEnd/backend.sch 105 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_41))->
					BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_42), BUNSPEC);
		}

	}



/* &backend-foreign-closure-set! */
	obj_t BGl_z62backendzd2foreignzd2closurezd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1131, obj_t BgL_oz00_1132, obj_t BgL_vz00_1133)
	{
		{	/* BackEnd/backend.sch 105 */
			return
				BGl_backendzd2foreignzd2closurezd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1132), CBOOL(BgL_vz00_1133));
		}

	}



/* backend-remove-empty-let */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2removezd2emptyzd2letzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_43)
	{
		{	/* BackEnd/backend.sch 106 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_43))->
				BgL_removezd2emptyzd2letz00);
		}

	}



/* &backend-remove-empty-let */
	obj_t BGl_z62backendzd2removezd2emptyzd2letzb0zzbackend_backendz00(obj_t
		BgL_envz00_1134, obj_t BgL_oz00_1135)
	{
		{	/* BackEnd/backend.sch 106 */
			return
				BBOOL(BGl_backendzd2removezd2emptyzd2letzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1135)));
		}

	}



/* backend-remove-empty-let-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2removezd2emptyzd2letzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_44, bool_t BgL_vz00_45)
	{
		{	/* BackEnd/backend.sch 107 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_44))->
					BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &backend-remove-empty-let-set! */
	obj_t
		BGl_z62backendzd2removezd2emptyzd2letzd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1136, obj_t BgL_oz00_1137, obj_t BgL_vz00_1138)
	{
		{	/* BackEnd/backend.sch 107 */
			return
				BGl_backendzd2removezd2emptyzd2letzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1137), CBOOL(BgL_vz00_1138));
		}

	}



/* backend-effect+ */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2effectzb2z60zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_46)
	{
		{	/* BackEnd/backend.sch 108 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_46))->BgL_effectzb2zb2);
		}

	}



/* &backend-effect+ */
	obj_t BGl_z62backendzd2effectzb2z02zzbackend_backendz00(obj_t BgL_envz00_1139,
		obj_t BgL_oz00_1140)
	{
		{	/* BackEnd/backend.sch 108 */
			return
				BBOOL(BGl_backendzd2effectzb2z60zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1140)));
		}

	}



/* backend-effect+-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2effectzb2zd2setz12za0zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_47, bool_t BgL_vz00_48)
	{
		{	/* BackEnd/backend.sch 109 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_47))->BgL_effectzb2zb2) =
				((bool_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &backend-effect+-set! */
	obj_t BGl_z62backendzd2effectzb2zd2setz12zc2zzbackend_backendz00(obj_t
		BgL_envz00_1141, obj_t BgL_oz00_1142, obj_t BgL_vz00_1143)
	{
		{	/* BackEnd/backend.sch 109 */
			return
				BGl_backendzd2effectzb2zd2setz12za0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1142), CBOOL(BgL_vz00_1143));
		}

	}



/* backend-qualified-types */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2qualifiedzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_49)
	{
		{	/* BackEnd/backend.sch 110 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_49))->
				BgL_qualifiedzd2typeszd2);
		}

	}



/* &backend-qualified-types */
	obj_t BGl_z62backendzd2qualifiedzd2typesz62zzbackend_backendz00(obj_t
		BgL_envz00_1144, obj_t BgL_oz00_1145)
	{
		{	/* BackEnd/backend.sch 110 */
			return
				BBOOL(BGl_backendzd2qualifiedzd2typesz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1145)));
		}

	}



/* backend-qualified-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2qualifiedzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_50, bool_t BgL_vz00_51)
	{
		{	/* BackEnd/backend.sch 111 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_50))->
					BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &backend-qualified-types-set! */
	obj_t BGl_z62backendzd2qualifiedzd2typeszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1146, obj_t BgL_oz00_1147, obj_t BgL_vz00_1148)
	{
		{	/* BackEnd/backend.sch 111 */
			return
				BGl_backendzd2qualifiedzd2typeszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1147), CBOOL(BgL_vz00_1148));
		}

	}



/* backend-callcc */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2callcczd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_52)
	{
		{	/* BackEnd/backend.sch 112 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_52))->BgL_callccz00);
		}

	}



/* &backend-callcc */
	obj_t BGl_z62backendzd2callcczb0zzbackend_backendz00(obj_t BgL_envz00_1149,
		obj_t BgL_oz00_1150)
	{
		{	/* BackEnd/backend.sch 112 */
			return
				BBOOL(BGl_backendzd2callcczd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1150)));
		}

	}



/* backend-callcc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2callcczd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_53, bool_t BgL_vz00_54)
	{
		{	/* BackEnd/backend.sch 113 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_53))->BgL_callccz00) =
				((bool_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &backend-callcc-set! */
	obj_t BGl_z62backendzd2callcczd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1151, obj_t BgL_oz00_1152, obj_t BgL_vz00_1153)
	{
		{	/* BackEnd/backend.sch 113 */
			return
				BGl_backendzd2callcczd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1152), CBOOL(BgL_vz00_1153));
		}

	}



/* backend-heap-compatible */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2compatiblez00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_55)
	{
		{	/* BackEnd/backend.sch 114 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_55))->
				BgL_heapzd2compatiblezd2);
		}

	}



/* &backend-heap-compatible */
	obj_t BGl_z62backendzd2heapzd2compatiblez62zzbackend_backendz00(obj_t
		BgL_envz00_1154, obj_t BgL_oz00_1155)
	{
		{	/* BackEnd/backend.sch 114 */
			return
				BGl_backendzd2heapzd2compatiblez00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1155));
		}

	}



/* backend-heap-compatible-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2compatiblezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_56, obj_t BgL_vz00_57)
	{
		{	/* BackEnd/backend.sch 115 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_56))->
					BgL_heapzd2compatiblezd2) = ((obj_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &backend-heap-compatible-set! */
	obj_t BGl_z62backendzd2heapzd2compatiblezd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1156, obj_t BgL_oz00_1157, obj_t BgL_vz00_1158)
	{
		{	/* BackEnd/backend.sch 115 */
			return
				BGl_backendzd2heapzd2compatiblezd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1157), BgL_vz00_1158);
		}

	}



/* backend-heap-suffix */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2suffixz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_58)
	{
		{	/* BackEnd/backend.sch 116 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_58))->BgL_heapzd2suffixzd2);
		}

	}



/* &backend-heap-suffix */
	obj_t BGl_z62backendzd2heapzd2suffixz62zzbackend_backendz00(obj_t
		BgL_envz00_1159, obj_t BgL_oz00_1160)
	{
		{	/* BackEnd/backend.sch 116 */
			return
				BGl_backendzd2heapzd2suffixz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1160));
		}

	}



/* backend-heap-suffix-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2suffixzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* BackEnd/backend.sch 117 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_59))->BgL_heapzd2suffixzd2) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &backend-heap-suffix-set! */
	obj_t BGl_z62backendzd2heapzd2suffixzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1161, obj_t BgL_oz00_1162, obj_t BgL_vz00_1163)
	{
		{	/* BackEnd/backend.sch 117 */
			return
				BGl_backendzd2heapzd2suffixzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1162), BgL_vz00_1163);
		}

	}



/* backend-typed */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typedzd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_61)
	{
		{	/* BackEnd/backend.sch 118 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_61))->BgL_typedz00);
		}

	}



/* &backend-typed */
	obj_t BGl_z62backendzd2typedzb0zzbackend_backendz00(obj_t BgL_envz00_1164,
		obj_t BgL_oz00_1165)
	{
		{	/* BackEnd/backend.sch 118 */
			return
				BBOOL(BGl_backendzd2typedzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1165)));
		}

	}



/* backend-typed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typedzd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_62, bool_t BgL_vz00_63)
	{
		{	/* BackEnd/backend.sch 119 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_62))->BgL_typedz00) =
				((bool_t) BgL_vz00_63), BUNSPEC);
		}

	}



/* &backend-typed-set! */
	obj_t BGl_z62backendzd2typedzd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1166, obj_t BgL_oz00_1167, obj_t BgL_vz00_1168)
	{
		{	/* BackEnd/backend.sch 119 */
			return
				BGl_backendzd2typedzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1167), CBOOL(BgL_vz00_1168));
		}

	}



/* backend-types */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typeszd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_64)
	{
		{	/* BackEnd/backend.sch 120 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_64))->BgL_typesz00);
		}

	}



/* &backend-types */
	obj_t BGl_z62backendzd2typeszb0zzbackend_backendz00(obj_t BgL_envz00_1169,
		obj_t BgL_oz00_1170)
	{
		{	/* BackEnd/backend.sch 120 */
			return
				BGl_backendzd2typeszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1170));
		}

	}



/* backend-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typeszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_65, obj_t BgL_vz00_66)
	{
		{	/* BackEnd/backend.sch 121 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_65))->BgL_typesz00) =
				((obj_t) BgL_vz00_66), BUNSPEC);
		}

	}



/* &backend-types-set! */
	obj_t BGl_z62backendzd2typeszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1171, obj_t BgL_oz00_1172, obj_t BgL_vz00_1173)
	{
		{	/* BackEnd/backend.sch 121 */
			return
				BGl_backendzd2typeszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1172), BgL_vz00_1173);
		}

	}



/* backend-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2functionszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_67)
	{
		{	/* BackEnd/backend.sch 122 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_67))->BgL_functionsz00);
		}

	}



/* &backend-functions */
	obj_t BGl_z62backendzd2functionszb0zzbackend_backendz00(obj_t BgL_envz00_1174,
		obj_t BgL_oz00_1175)
	{
		{	/* BackEnd/backend.sch 122 */
			return
				BGl_backendzd2functionszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1175));
		}

	}



/* backend-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2functionszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_68, obj_t BgL_vz00_69)
	{
		{	/* BackEnd/backend.sch 123 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_68))->BgL_functionsz00) =
				((obj_t) BgL_vz00_69), BUNSPEC);
		}

	}



/* &backend-functions-set! */
	obj_t BGl_z62backendzd2functionszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1176, obj_t BgL_oz00_1177, obj_t BgL_vz00_1178)
	{
		{	/* BackEnd/backend.sch 123 */
			return
				BGl_backendzd2functionszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1177), BgL_vz00_1178);
		}

	}



/* backend-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2variableszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_70)
	{
		{	/* BackEnd/backend.sch 124 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_70))->BgL_variablesz00);
		}

	}



/* &backend-variables */
	obj_t BGl_z62backendzd2variableszb0zzbackend_backendz00(obj_t BgL_envz00_1179,
		obj_t BgL_oz00_1180)
	{
		{	/* BackEnd/backend.sch 124 */
			return
				BGl_backendzd2variableszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1180));
		}

	}



/* backend-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2variableszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_71, obj_t BgL_vz00_72)
	{
		{	/* BackEnd/backend.sch 125 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_71))->BgL_variablesz00) =
				((obj_t) BgL_vz00_72), BUNSPEC);
		}

	}



/* &backend-variables-set! */
	obj_t BGl_z62backendzd2variableszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1181, obj_t BgL_oz00_1182, obj_t BgL_vz00_1183)
	{
		{	/* BackEnd/backend.sch 125 */
			return
				BGl_backendzd2variableszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1182), BgL_vz00_1183);
		}

	}



/* backend-extern-types */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_73)
	{
		{	/* BackEnd/backend.sch 126 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_73))->BgL_externzd2typeszd2);
		}

	}



/* &backend-extern-types */
	obj_t BGl_z62backendzd2externzd2typesz62zzbackend_backendz00(obj_t
		BgL_envz00_1184, obj_t BgL_oz00_1185)
	{
		{	/* BackEnd/backend.sch 126 */
			return
				BGl_backendzd2externzd2typesz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1185));
		}

	}



/* backend-extern-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_74, obj_t BgL_vz00_75)
	{
		{	/* BackEnd/backend.sch 127 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_74))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &backend-extern-types-set! */
	obj_t BGl_z62backendzd2externzd2typeszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1186, obj_t BgL_oz00_1187, obj_t BgL_vz00_1188)
	{
		{	/* BackEnd/backend.sch 127 */
			return
				BGl_backendzd2externzd2typeszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1187), BgL_vz00_1188);
		}

	}



/* backend-extern-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2functionsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_76)
	{
		{	/* BackEnd/backend.sch 128 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_76))->
				BgL_externzd2functionszd2);
		}

	}



/* &backend-extern-functions */
	obj_t BGl_z62backendzd2externzd2functionsz62zzbackend_backendz00(obj_t
		BgL_envz00_1189, obj_t BgL_oz00_1190)
	{
		{	/* BackEnd/backend.sch 128 */
			return
				BGl_backendzd2externzd2functionsz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1190));
		}

	}



/* backend-extern-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2functionszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_77, obj_t BgL_vz00_78)
	{
		{	/* BackEnd/backend.sch 129 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_77))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_78), BUNSPEC);
		}

	}



/* &backend-extern-functions-set! */
	obj_t
		BGl_z62backendzd2externzd2functionszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1191, obj_t BgL_oz00_1192, obj_t BgL_vz00_1193)
	{
		{	/* BackEnd/backend.sch 129 */
			return
				BGl_backendzd2externzd2functionszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1192), BgL_vz00_1193);
		}

	}



/* backend-extern-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2variablesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_79)
	{
		{	/* BackEnd/backend.sch 130 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_79))->
				BgL_externzd2variableszd2);
		}

	}



/* &backend-extern-variables */
	obj_t BGl_z62backendzd2externzd2variablesz62zzbackend_backendz00(obj_t
		BgL_envz00_1194, obj_t BgL_oz00_1195)
	{
		{	/* BackEnd/backend.sch 130 */
			return
				BGl_backendzd2externzd2variablesz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1195));
		}

	}



/* backend-extern-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2variableszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_80, obj_t BgL_vz00_81)
	{
		{	/* BackEnd/backend.sch 131 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_80))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_81), BUNSPEC);
		}

	}



/* &backend-extern-variables-set! */
	obj_t
		BGl_z62backendzd2externzd2variableszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1196, obj_t BgL_oz00_1197, obj_t BgL_vz00_1198)
	{
		{	/* BackEnd/backend.sch 131 */
			return
				BGl_backendzd2externzd2variableszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1197), BgL_vz00_1198);
		}

	}



/* backend-name */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2namezd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_82)
	{
		{	/* BackEnd/backend.sch 132 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_82))->BgL_namez00);
		}

	}



/* &backend-name */
	obj_t BGl_z62backendzd2namezb0zzbackend_backendz00(obj_t BgL_envz00_1199,
		obj_t BgL_oz00_1200)
	{
		{	/* BackEnd/backend.sch 132 */
			return
				BGl_backendzd2namezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1200));
		}

	}



/* backend-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2namezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		{	/* BackEnd/backend.sch 133 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_83))->BgL_namez00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &backend-name-set! */
	obj_t BGl_z62backendzd2namezd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1201, obj_t BgL_oz00_1202, obj_t BgL_vz00_1203)
	{
		{	/* BackEnd/backend.sch 133 */
			return
				BGl_backendzd2namezd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1202), BgL_vz00_1203);
		}

	}



/* backend-srfi0 */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2srfi0zd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_85)
	{
		{	/* BackEnd/backend.sch 134 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_85))->BgL_srfi0z00);
		}

	}



/* &backend-srfi0 */
	obj_t BGl_z62backendzd2srfi0zb0zzbackend_backendz00(obj_t BgL_envz00_1204,
		obj_t BgL_oz00_1205)
	{
		{	/* BackEnd/backend.sch 134 */
			return
				BGl_backendzd2srfi0zd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1205));
		}

	}



/* backend-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2srfi0zd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		{	/* BackEnd/backend.sch 135 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_86))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}

	}



/* &backend-srfi0-set! */
	obj_t BGl_z62backendzd2srfi0zd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1206, obj_t BgL_oz00_1207, obj_t BgL_vz00_1208)
	{
		{	/* BackEnd/backend.sch 135 */
			return
				BGl_backendzd2srfi0zd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1207), BgL_vz00_1208);
		}

	}



/* backend-language */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2languagezd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_88)
	{
		{	/* BackEnd/backend.sch 136 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_88))->BgL_languagez00);
		}

	}



/* &backend-language */
	obj_t BGl_z62backendzd2languagezb0zzbackend_backendz00(obj_t BgL_envz00_1209,
		obj_t BgL_oz00_1210)
	{
		{	/* BackEnd/backend.sch 136 */
			return
				BGl_backendzd2languagezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1210));
		}

	}



/* backend-language-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2languagezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_89, obj_t BgL_vz00_90)
	{
		{	/* BackEnd/backend.sch 137 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_89))->BgL_languagez00) =
				((obj_t) BgL_vz00_90), BUNSPEC);
		}

	}



/* &backend-language-set! */
	obj_t BGl_z62backendzd2languagezd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1211, obj_t BgL_oz00_1212, obj_t BgL_vz00_1213)
	{
		{	/* BackEnd/backend.sch 137 */
			return
				BGl_backendzd2languagezd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1212), BgL_vz00_1213);
		}

	}



/* set-backend! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t
		BgL_languagez00_91)
	{
		{	/* BackEnd/backend.scm 76 */
			{	/* BackEnd/backend.scm 77 */
				obj_t BgL_cz00_176;

				BgL_cz00_176 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_languagez00_91,
					BGl_za2backendsza2z00zzbackend_backendz00);
				if (PAIRP(BgL_cz00_176))
					{	/* BackEnd/backend.scm 80 */
						obj_t BgL_fun1142z00_178;

						BgL_fun1142z00_178 = CDR(BgL_cz00_176);
						return (BGl_za2thezd2backendza2zd2zzbackend_backendz00 =
							((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_fun1142z00_178)) (BgL_fun1142z00_178, BEOA),
							BUNSPEC);
					}
				else
					{	/* BackEnd/backend.scm 78 */
						return
							BGl_errorz00zz__errorz00(BGl_string1688z00zzbackend_backendz00,
							BGl_string1689z00zzbackend_backendz00, BgL_languagez00_91);
					}
			}
		}

	}



/* &set-backend! */
	obj_t BGl_z62setzd2backendz12za2zzbackend_backendz00(obj_t BgL_envz00_1214,
		obj_t BgL_languagez00_1215)
	{
		{	/* BackEnd/backend.scm 76 */
			return BGl_setzd2backendz12zc0zzbackend_backendz00(BgL_languagez00_1215);
		}

	}



/* the-backend */
	BGL_EXPORTED_DEF obj_t BGl_thezd2backendzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 85 */
			return BGl_za2thezd2backendza2zd2zzbackend_backendz00;
		}

	}



/* &the-backend */
	obj_t BGl_z62thezd2backendzb0zzbackend_backendz00(obj_t BgL_envz00_1216)
	{
		{	/* BackEnd/backend.scm 85 */
			return BGl_thezd2backendzd2zzbackend_backendz00();
		}

	}



/* register-backend! */
	BGL_EXPORTED_DEF obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t
		BgL_idz00_92, obj_t BgL_builderz00_93)
	{
		{	/* BackEnd/backend.scm 96 */
			{	/* BackEnd/backend.scm 97 */
				obj_t BgL_arg1148z00_723;

				BgL_arg1148z00_723 = MAKE_YOUNG_PAIR(BgL_idz00_92, BgL_builderz00_93);
				return (BGl_za2backendsza2z00zzbackend_backendz00 =
					MAKE_YOUNG_PAIR(BgL_arg1148z00_723,
						BGl_za2backendsza2z00zzbackend_backendz00), BUNSPEC);
			}
		}

	}



/* &register-backend! */
	obj_t BGl_z62registerzd2backendz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1217, obj_t BgL_idz00_1218, obj_t BgL_builderz00_1219)
	{
		{	/* BackEnd/backend.scm 96 */
			return
				BGl_registerzd2backendz12zc0zzbackend_backendz00(BgL_idz00_1218,
				BgL_builderz00_1219);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			{	/* BackEnd/backend.scm 21 */
				obj_t BgL_arg1158z00_182;
				obj_t BgL_arg1160z00_183;

				{	/* BackEnd/backend.scm 21 */
					obj_t BgL_v1113z00_189;

					BgL_v1113z00_189 = create_vector(((long) 29));
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1164z00_190;

						BgL_arg1164z00_190 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc1692z00zzbackend_backendz00,
							BGl_proc1691z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1690z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 0), BgL_arg1164z00_190);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1176z00_203;

						BgL_arg1176z00_203 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc1695z00zzbackend_backendz00,
							BGl_proc1694z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1693z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 1), BgL_arg1176z00_203);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1191z00_216;

						BgL_arg1191z00_216 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc1698z00zzbackend_backendz00,
							BGl_proc1697z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1696z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 2), BgL_arg1191z00_216);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1200z00_229;

						BgL_arg1200z00_229 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc1701z00zzbackend_backendz00,
							BGl_proc1700z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1699z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 3), BgL_arg1200z00_229);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1209z00_242;

						BgL_arg1209z00_242 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc1704z00zzbackend_backendz00,
							BGl_proc1703z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1702z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 4), BgL_arg1209z00_242);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1224z00_255;

						BgL_arg1224z00_255 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc1707z00zzbackend_backendz00,
							BGl_proc1706z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1705z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 5), BgL_arg1224z00_255);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1239z00_268;

						BgL_arg1239z00_268 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									9)), BGl_proc1710z00zzbackend_backendz00,
							BGl_proc1709z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1708z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 6), BgL_arg1239z00_268);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1260z00_281;

						BgL_arg1260z00_281 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc1713z00zzbackend_backendz00,
							BGl_proc1712z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1711z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 7), BgL_arg1260z00_281);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1267z00_294;

						BgL_arg1267z00_294 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc1716z00zzbackend_backendz00,
							BGl_proc1715z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1714z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 8), BgL_arg1267z00_294);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1276z00_307;

						BgL_arg1276z00_307 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc1719z00zzbackend_backendz00,
							BGl_proc1718z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1717z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 9), BgL_arg1276z00_307);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1286z00_320;

						BgL_arg1286z00_320 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc1722z00zzbackend_backendz00,
							BGl_proc1721z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1720z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 10), BgL_arg1286z00_320);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1298z00_333;

						BgL_arg1298z00_333 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc1725z00zzbackend_backendz00,
							BGl_proc1724z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1723z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 11), BgL_arg1298z00_333);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1307z00_346;

						BgL_arg1307z00_346 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									16)), BGl_proc1728z00zzbackend_backendz00,
							BGl_proc1727z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1726z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 12), BgL_arg1307z00_346);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1314z00_359;

						BgL_arg1314z00_359 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc1731z00zzbackend_backendz00,
							BGl_proc1730z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1729z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 13), BgL_arg1314z00_359);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1331z00_372;

						BgL_arg1331z00_372 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc1734z00zzbackend_backendz00,
							BGl_proc1733z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1732z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 14), BgL_arg1331z00_372);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1338z00_385;

						BgL_arg1338z00_385 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc1737z00zzbackend_backendz00,
							BGl_proc1736z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1735z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 15), BgL_arg1338z00_385);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1346z00_398;

						BgL_arg1346z00_398 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc1740z00zzbackend_backendz00,
							BGl_proc1739z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1738z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 16), BgL_arg1346z00_398);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1358z00_411;

						BgL_arg1358z00_411 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc1743z00zzbackend_backendz00,
							BGl_proc1742z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1741z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 17), BgL_arg1358z00_411);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1366z00_424;

						BgL_arg1366z00_424 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc1746z00zzbackend_backendz00,
							BGl_proc1745z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1744z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 18), BgL_arg1366z00_424);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1381z00_437;

						BgL_arg1381z00_437 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc1749z00zzbackend_backendz00,
							BGl_proc1748z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1747z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 24)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 19), BgL_arg1381z00_437);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1392z00_450;

						BgL_arg1392z00_450 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc1752z00zzbackend_backendz00,
							BGl_proc1751z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1750z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 24)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 20), BgL_arg1392z00_450);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1421z00_463;

						BgL_arg1421z00_463 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc1755z00zzbackend_backendz00,
							BGl_proc1754z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1753z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 21), BgL_arg1421z00_463);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1458z00_476;

						BgL_arg1458z00_476 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc1758z00zzbackend_backendz00,
							BGl_proc1757z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1756z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 22), BgL_arg1458z00_476);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1496z00_489;

						BgL_arg1496z00_489 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc1761z00zzbackend_backendz00,
							BGl_proc1760z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1759z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 23), BgL_arg1496z00_489);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1521z00_502;

						BgL_arg1521z00_502 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									29)), BGl_proc1764z00zzbackend_backendz00,
							BGl_proc1763z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1762z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 24)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 24), BgL_arg1521z00_502);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1529z00_515;

						BgL_arg1529z00_515 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc1767z00zzbackend_backendz00,
							BGl_proc1766z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1765z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 24)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 25), BgL_arg1529z00_515);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1558z00_528;

						BgL_arg1558z00_528 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									31)), BGl_proc1770z00zzbackend_backendz00,
							BGl_proc1769z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1768z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 26), BgL_arg1558z00_528);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1570z00_541;

						BgL_arg1570z00_541 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									32)), BGl_proc1773z00zzbackend_backendz00,
							BGl_proc1772z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1771z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 27), BgL_arg1570z00_541);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1588z00_554;

						BgL_arg1588z00_554 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									33)), BGl_proc1776z00zzbackend_backendz00,
							BGl_proc1775z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1774z00zzbackend_backendz00,
							CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1113z00_189, ((long) 28), BgL_arg1588z00_554);
					}
					BgL_arg1158z00_182 = BgL_v1113z00_189;
				}
				{	/* BackEnd/backend.scm 21 */
					obj_t BgL_v1114z00_567;

					BgL_v1114z00_567 = create_vector(((long) 0));
					BgL_arg1160z00_183 = BgL_v1114z00_567;
				}
				return (BGl_backendz00zzbackend_backendz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 34)),
						CNST_TABLE_REF(((long) 35)), BGl_objectz00zz__objectz00,
						((long) 39939), BFALSE, BGl_proc1778z00zzbackend_backendz00,
						BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
						BGl_proc1777z00zzbackend_backendz00, BFALSE, BgL_arg1158z00_182,
						BgL_arg1160z00_183), BUNSPEC);
		}}

	}



/* &<@anonymous:1163> */
	obj_t BGl_z62zc3z04anonymousza31163ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1309, obj_t BgL_new1049z00_1310)
	{
		{	/* BackEnd/backend.scm 21 */
			{
				BgL_backendz00_bglt BgL_auxz00_2074;

				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1049z00_1310)))->
						BgL_languagez00) = ((obj_t) CNST_TABLE_REF(((long) 36))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 36))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_namez00) =
					((obj_t) BGl_string1779z00zzbackend_backendz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_externzd2variableszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_externzd2functionszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_externzd2typeszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_variablesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_typesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string1779z00zzbackend_backendz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 36))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_callccz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_debugzd2supportzd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_2074 = ((BgL_backendz00_bglt) BgL_new1049z00_1310);
				return ((obj_t) BgL_auxz00_2074);
			}
		}

	}



/* &lambda1161 */
	BgL_backendz00_bglt BGl_z62lambda1161z62zzbackend_backendz00(obj_t
		BgL_envz00_1311)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				BgL_backendz00_bglt BgL_new1048z00_1572;

				BgL_new1048z00_1572 =
					((BgL_backendz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_backendz00_bgl))));
				{	/* BackEnd/backend.scm 21 */
					long BgL_arg1162z00_1573;

					BgL_arg1162z00_1573 =
						BGL_CLASS_NUM(BGl_backendz00zzbackend_backendz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1048z00_1572), BgL_arg1162z00_1573);
				}
				return BgL_new1048z00_1572;
			}
		}

	}



/* &<@anonymous:1602> */
	obj_t BGl_z62zc3z04anonymousza31602ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1312)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1601 */
	obj_t BGl_z62lambda1601z62zzbackend_backendz00(obj_t BgL_envz00_1313,
		obj_t BgL_oz00_1314, obj_t BgL_vz00_1315)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1575;

				BgL_vz00_1575 = CBOOL(BgL_vz00_1315);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1314)))->
						BgL_typedzd2funcallzd2) = ((bool_t) BgL_vz00_1575), BUNSPEC);
			}
		}

	}



/* &lambda1600 */
	obj_t BGl_z62lambda1600z62zzbackend_backendz00(obj_t BgL_envz00_1316,
		obj_t BgL_oz00_1317)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1317)))->BgL_typedzd2funcallzd2));
		}

	}



/* &<@anonymous:1584> */
	obj_t BGl_z62zc3z04anonymousza31584ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1318)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1583 */
	obj_t BGl_z62lambda1583z62zzbackend_backendz00(obj_t BgL_envz00_1319,
		obj_t BgL_oz00_1320, obj_t BgL_vz00_1321)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1578;

				BgL_vz00_1578 = CBOOL(BgL_vz00_1321);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1320)))->BgL_typezd2checkzd2) =
					((bool_t) BgL_vz00_1578), BUNSPEC);
			}
		}

	}



/* &lambda1582 */
	obj_t BGl_z62lambda1582z62zzbackend_backendz00(obj_t BgL_envz00_1322,
		obj_t BgL_oz00_1323)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1323)))->BgL_typezd2checkzd2));
		}

	}



/* &<@anonymous:1568> */
	obj_t BGl_z62zc3z04anonymousza31568ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1324)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1567 */
	obj_t BGl_z62lambda1567z62zzbackend_backendz00(obj_t BgL_envz00_1325,
		obj_t BgL_oz00_1326, obj_t BgL_vz00_1327)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1581;

				BgL_vz00_1581 = CBOOL(BgL_vz00_1327);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1326)))->BgL_boundzd2checkzd2) =
					((bool_t) BgL_vz00_1581), BUNSPEC);
			}
		}

	}



/* &lambda1566 */
	obj_t BGl_z62lambda1566z62zzbackend_backendz00(obj_t BgL_envz00_1328,
		obj_t BgL_oz00_1329)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1329)))->BgL_boundzd2checkzd2));
		}

	}



/* &<@anonymous:1538> */
	obj_t BGl_z62zc3z04anonymousza31538ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1330)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1537 */
	obj_t BGl_z62lambda1537z62zzbackend_backendz00(obj_t BgL_envz00_1331,
		obj_t BgL_oz00_1332, obj_t BgL_vz00_1333)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1332)))->BgL_pregistersz00) =
				((obj_t) ((obj_t) BgL_vz00_1333)), BUNSPEC);
		}

	}



/* &lambda1536 */
	obj_t BGl_z62lambda1536z62zzbackend_backendz00(obj_t BgL_envz00_1334,
		obj_t BgL_oz00_1335)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1335)))->BgL_pregistersz00);
		}

	}



/* &<@anonymous:1527> */
	obj_t BGl_z62zc3z04anonymousza31527ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1336)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1526 */
	obj_t BGl_z62lambda1526z62zzbackend_backendz00(obj_t BgL_envz00_1337,
		obj_t BgL_oz00_1338, obj_t BgL_vz00_1339)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1338)))->BgL_registersz00) =
				((obj_t) ((obj_t) BgL_vz00_1339)), BUNSPEC);
		}

	}



/* &lambda1525 */
	obj_t BGl_z62lambda1525z62zzbackend_backendz00(obj_t BgL_envz00_1340,
		obj_t BgL_oz00_1341)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1341)))->BgL_registersz00);
		}

	}



/* &<@anonymous:1514> */
	obj_t BGl_z62zc3z04anonymousza31514ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1342)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1513 */
	obj_t BGl_z62lambda1513z62zzbackend_backendz00(obj_t BgL_envz00_1343,
		obj_t BgL_oz00_1344, obj_t BgL_vz00_1345)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1590;

				BgL_vz00_1590 = CBOOL(BgL_vz00_1345);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1344)))->
						BgL_requirezd2tailczd2) = ((bool_t) BgL_vz00_1590), BUNSPEC);
			}
		}

	}



/* &lambda1512 */
	obj_t BGl_z62lambda1512z62zzbackend_backendz00(obj_t BgL_envz00_1346,
		obj_t BgL_oz00_1347)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1347)))->BgL_requirezd2tailczd2));
		}

	}



/* &<@anonymous:1485> */
	obj_t BGl_z62zc3z04anonymousza31485ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1348)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1484 */
	obj_t BGl_z62lambda1484z62zzbackend_backendz00(obj_t BgL_envz00_1349,
		obj_t BgL_oz00_1350, obj_t BgL_vz00_1351)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1593;

				BgL_vz00_1593 = CBOOL(BgL_vz00_1351);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1350)))->
						BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) BgL_vz00_1593), BUNSPEC);
			}
		}

	}



/* &lambda1483 */
	obj_t BGl_z62lambda1483z62zzbackend_backendz00(obj_t BgL_envz00_1352,
		obj_t BgL_oz00_1353)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1353)))->
					BgL_tvectorzd2descrzd2supportz00));
		}

	}



/* &<@anonymous:1432> */
	obj_t BGl_z62zc3z04anonymousza31432ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1354)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1431 */
	obj_t BGl_z62lambda1431z62zzbackend_backendz00(obj_t BgL_envz00_1355,
		obj_t BgL_oz00_1356, obj_t BgL_vz00_1357)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1596;

				BgL_vz00_1596 = CBOOL(BgL_vz00_1357);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1356)))->
						BgL_pragmazd2supportzd2) = ((bool_t) BgL_vz00_1596), BUNSPEC);
			}
		}

	}



/* &lambda1430 */
	obj_t BGl_z62lambda1430z62zzbackend_backendz00(obj_t BgL_envz00_1358,
		obj_t BgL_oz00_1359)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1359)))->
					BgL_pragmazd2supportzd2));
		}

	}



/* &<@anonymous:1403> */
	obj_t BGl_z62zc3z04anonymousza31403ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1360)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(((long) 37));
		}

	}



/* &lambda1402 */
	obj_t BGl_z62lambda1402z62zzbackend_backendz00(obj_t BgL_envz00_1361,
		obj_t BgL_oz00_1362, obj_t BgL_vz00_1363)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1362)))->BgL_debugzd2supportzd2) =
				((obj_t) ((obj_t) BgL_vz00_1363)), BUNSPEC);
		}

	}



/* &lambda1401 */
	obj_t BGl_z62lambda1401z62zzbackend_backendz00(obj_t BgL_envz00_1364,
		obj_t BgL_oz00_1365)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1365)))->BgL_debugzd2supportzd2);
		}

	}



/* &<@anonymous:1391> */
	obj_t BGl_z62zc3z04anonymousza31391ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1366)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(((long) 38));
		}

	}



/* &lambda1390 */
	obj_t BGl_z62lambda1390z62zzbackend_backendz00(obj_t BgL_envz00_1367,
		obj_t BgL_oz00_1368, obj_t BgL_vz00_1369)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1368)))->
					BgL_foreignzd2clausezd2supportz00) =
				((obj_t) ((obj_t) BgL_vz00_1369)), BUNSPEC);
		}

	}



/* &lambda1389 */
	obj_t BGl_z62lambda1389z62zzbackend_backendz00(obj_t BgL_envz00_1370,
		obj_t BgL_oz00_1371)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1371)))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &<@anonymous:1379> */
	obj_t BGl_z62zc3z04anonymousza31379ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1372)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1378 */
	obj_t BGl_z62lambda1378z62zzbackend_backendz00(obj_t BgL_envz00_1373,
		obj_t BgL_oz00_1374, obj_t BgL_vz00_1375)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1605;

				BgL_vz00_1605 = CBOOL(BgL_vz00_1375);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1374)))->
						BgL_tracezd2supportzd2) = ((bool_t) BgL_vz00_1605), BUNSPEC);
			}
		}

	}



/* &lambda1377 */
	obj_t BGl_z62lambda1377z62zzbackend_backendz00(obj_t BgL_envz00_1376,
		obj_t BgL_oz00_1377)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1377)))->BgL_tracezd2supportzd2));
		}

	}



/* &<@anonymous:1365> */
	obj_t BGl_z62zc3z04anonymousza31365ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1378)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1364 */
	obj_t BGl_z62lambda1364z62zzbackend_backendz00(obj_t BgL_envz00_1379,
		obj_t BgL_oz00_1380, obj_t BgL_vz00_1381)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1608;

				BgL_vz00_1608 = CBOOL(BgL_vz00_1381);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1380)))->BgL_typedzd2eqzd2) =
					((bool_t) BgL_vz00_1608), BUNSPEC);
			}
		}

	}



/* &lambda1363 */
	obj_t BGl_z62lambda1363z62zzbackend_backendz00(obj_t BgL_envz00_1382,
		obj_t BgL_oz00_1383)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1383)))->BgL_typedzd2eqzd2));
		}

	}



/* &<@anonymous:1356> */
	obj_t BGl_z62zc3z04anonymousza31356ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1384)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1355 */
	obj_t BGl_z62lambda1355z62zzbackend_backendz00(obj_t BgL_envz00_1385,
		obj_t BgL_oz00_1386, obj_t BgL_vz00_1387)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1611;

				BgL_vz00_1611 = CBOOL(BgL_vz00_1387);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1386)))->
						BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_1611), BUNSPEC);
			}
		}

	}



/* &lambda1354 */
	obj_t BGl_z62lambda1354z62zzbackend_backendz00(obj_t BgL_envz00_1388,
		obj_t BgL_oz00_1389)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1389)))->
					BgL_foreignzd2closurezd2));
		}

	}



/* &<@anonymous:1344> */
	obj_t BGl_z62zc3z04anonymousza31344ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1390)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1343 */
	obj_t BGl_z62lambda1343z62zzbackend_backendz00(obj_t BgL_envz00_1391,
		obj_t BgL_oz00_1392, obj_t BgL_vz00_1393)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1614;

				BgL_vz00_1614 = CBOOL(BgL_vz00_1393);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1392)))->
						BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_1614), BUNSPEC);
			}
		}

	}



/* &lambda1342 */
	obj_t BGl_z62lambda1342z62zzbackend_backendz00(obj_t BgL_envz00_1394,
		obj_t BgL_oz00_1395)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1395)))->
					BgL_removezd2emptyzd2letz00));
		}

	}



/* &<@anonymous:1337> */
	obj_t BGl_z62zc3z04anonymousza31337ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1396)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1336 */
	obj_t BGl_z62lambda1336z62zzbackend_backendz00(obj_t BgL_envz00_1397,
		obj_t BgL_oz00_1398, obj_t BgL_vz00_1399)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1617;

				BgL_vz00_1617 = CBOOL(BgL_vz00_1399);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1398)))->BgL_effectzb2zb2) =
					((bool_t) BgL_vz00_1617), BUNSPEC);
			}
		}

	}



/* &lambda1335 */
	obj_t BGl_z62lambda1335z62zzbackend_backendz00(obj_t BgL_envz00_1400,
		obj_t BgL_oz00_1401)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1401)))->BgL_effectzb2zb2));
		}

	}



/* &<@anonymous:1320> */
	obj_t BGl_z62zc3z04anonymousza31320ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1402)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1319 */
	obj_t BGl_z62lambda1319z62zzbackend_backendz00(obj_t BgL_envz00_1403,
		obj_t BgL_oz00_1404, obj_t BgL_vz00_1405)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1620;

				BgL_vz00_1620 = CBOOL(BgL_vz00_1405);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1404)))->
						BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_1620), BUNSPEC);
			}
		}

	}



/* &lambda1318 */
	obj_t BGl_z62lambda1318z62zzbackend_backendz00(obj_t BgL_envz00_1406,
		obj_t BgL_oz00_1407)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1407)))->
					BgL_qualifiedzd2typeszd2));
		}

	}



/* &<@anonymous:1313> */
	obj_t BGl_z62zc3z04anonymousza31313ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1408)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1312 */
	obj_t BGl_z62lambda1312z62zzbackend_backendz00(obj_t BgL_envz00_1409,
		obj_t BgL_oz00_1410, obj_t BgL_vz00_1411)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1623;

				BgL_vz00_1623 = CBOOL(BgL_vz00_1411);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1410)))->BgL_callccz00) =
					((bool_t) BgL_vz00_1623), BUNSPEC);
			}
		}

	}



/* &lambda1311 */
	obj_t BGl_z62lambda1311z62zzbackend_backendz00(obj_t BgL_envz00_1412,
		obj_t BgL_oz00_1413)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1413)))->BgL_callccz00));
		}

	}



/* &<@anonymous:1306> */
	obj_t BGl_z62zc3z04anonymousza31306ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1414)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(((long) 39));
		}

	}



/* &lambda1305 */
	obj_t BGl_z62lambda1305z62zzbackend_backendz00(obj_t BgL_envz00_1415,
		obj_t BgL_oz00_1416, obj_t BgL_vz00_1417)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1416)))->
					BgL_heapzd2compatiblezd2) =
				((obj_t) ((obj_t) BgL_vz00_1417)), BUNSPEC);
		}

	}



/* &lambda1304 */
	obj_t BGl_z62lambda1304z62zzbackend_backendz00(obj_t BgL_envz00_1418,
		obj_t BgL_oz00_1419)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1419)))->BgL_heapzd2compatiblezd2);
		}

	}



/* &<@anonymous:1296> */
	obj_t BGl_z62zc3z04anonymousza31296ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1420)
	{
		{	/* BackEnd/backend.scm 21 */
			return BGl_string1780z00zzbackend_backendz00;
		}

	}



/* &lambda1295 */
	obj_t BGl_z62lambda1295z62zzbackend_backendz00(obj_t BgL_envz00_1421,
		obj_t BgL_oz00_1422, obj_t BgL_vz00_1423)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1422)))->BgL_heapzd2suffixzd2) =
				((obj_t) ((obj_t) BgL_vz00_1423)), BUNSPEC);
		}

	}



/* &lambda1294 */
	obj_t BGl_z62lambda1294z62zzbackend_backendz00(obj_t BgL_envz00_1424,
		obj_t BgL_oz00_1425)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1425)))->BgL_heapzd2suffixzd2);
		}

	}



/* &<@anonymous:1285> */
	obj_t BGl_z62zc3z04anonymousza31285ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1426)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1284 */
	obj_t BGl_z62lambda1284z62zzbackend_backendz00(obj_t BgL_envz00_1427,
		obj_t BgL_oz00_1428, obj_t BgL_vz00_1429)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1632;

				BgL_vz00_1632 = CBOOL(BgL_vz00_1429);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1428)))->BgL_typedz00) =
					((bool_t) BgL_vz00_1632), BUNSPEC);
			}
		}

	}



/* &lambda1283 */
	obj_t BGl_z62lambda1283z62zzbackend_backendz00(obj_t BgL_envz00_1430,
		obj_t BgL_oz00_1431)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1431)))->BgL_typedz00));
		}

	}



/* &<@anonymous:1274> */
	obj_t BGl_z62zc3z04anonymousza31274ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1432)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1273 */
	obj_t BGl_z62lambda1273z62zzbackend_backendz00(obj_t BgL_envz00_1433,
		obj_t BgL_oz00_1434, obj_t BgL_vz00_1435)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1434)))->BgL_typesz00) =
				((obj_t) BgL_vz00_1435), BUNSPEC);
		}

	}



/* &lambda1272 */
	obj_t BGl_z62lambda1272z62zzbackend_backendz00(obj_t BgL_envz00_1436,
		obj_t BgL_oz00_1437)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1437)))->BgL_typesz00);
		}

	}



/* &<@anonymous:1266> */
	obj_t BGl_z62zc3z04anonymousza31266ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1438)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1265 */
	obj_t BGl_z62lambda1265z62zzbackend_backendz00(obj_t BgL_envz00_1439,
		obj_t BgL_oz00_1440, obj_t BgL_vz00_1441)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1440)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_1441), BUNSPEC);
		}

	}



/* &lambda1264 */
	obj_t BGl_z62lambda1264z62zzbackend_backendz00(obj_t BgL_envz00_1442,
		obj_t BgL_oz00_1443)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1443)))->BgL_functionsz00);
		}

	}



/* &<@anonymous:1245> */
	obj_t BGl_z62zc3z04anonymousza31245ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1444)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1244 */
	obj_t BGl_z62lambda1244z62zzbackend_backendz00(obj_t BgL_envz00_1445,
		obj_t BgL_oz00_1446, obj_t BgL_vz00_1447)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1446)))->BgL_variablesz00) =
				((obj_t) BgL_vz00_1447), BUNSPEC);
		}

	}



/* &lambda1243 */
	obj_t BGl_z62lambda1243z62zzbackend_backendz00(obj_t BgL_envz00_1448,
		obj_t BgL_oz00_1449)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1449)))->BgL_variablesz00);
		}

	}



/* &<@anonymous:1238> */
	obj_t BGl_z62zc3z04anonymousza31238ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1450)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1237 */
	obj_t BGl_z62lambda1237z62zzbackend_backendz00(obj_t BgL_envz00_1451,
		obj_t BgL_oz00_1452, obj_t BgL_vz00_1453)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1452)))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_1453), BUNSPEC);
		}

	}



/* &lambda1236 */
	obj_t BGl_z62lambda1236z62zzbackend_backendz00(obj_t BgL_envz00_1454,
		obj_t BgL_oz00_1455)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1455)))->BgL_externzd2typeszd2);
		}

	}



/* &<@anonymous:1223> */
	obj_t BGl_z62zc3z04anonymousza31223ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1456)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1222 */
	obj_t BGl_z62lambda1222z62zzbackend_backendz00(obj_t BgL_envz00_1457,
		obj_t BgL_oz00_1458, obj_t BgL_vz00_1459)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1458)))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_1459), BUNSPEC);
		}

	}



/* &lambda1221 */
	obj_t BGl_z62lambda1221z62zzbackend_backendz00(obj_t BgL_envz00_1460,
		obj_t BgL_oz00_1461)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1461)))->BgL_externzd2functionszd2);
		}

	}



/* &<@anonymous:1208> */
	obj_t BGl_z62zc3z04anonymousza31208ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1462)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1207 */
	obj_t BGl_z62lambda1207z62zzbackend_backendz00(obj_t BgL_envz00_1463,
		obj_t BgL_oz00_1464, obj_t BgL_vz00_1465)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1464)))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_1465), BUNSPEC);
		}

	}



/* &lambda1206 */
	obj_t BGl_z62lambda1206z62zzbackend_backendz00(obj_t BgL_envz00_1466,
		obj_t BgL_oz00_1467)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1467)))->BgL_externzd2variableszd2);
		}

	}



/* &<@anonymous:1198> */
	obj_t BGl_z62zc3z04anonymousza31198ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1468)
	{
		{	/* BackEnd/backend.scm 21 */
			return BGl_string1781z00zzbackend_backendz00;
		}

	}



/* &lambda1197 */
	obj_t BGl_z62lambda1197z62zzbackend_backendz00(obj_t BgL_envz00_1469,
		obj_t BgL_oz00_1470, obj_t BgL_vz00_1471)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1470)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_1471)), BUNSPEC);
		}

	}



/* &lambda1196 */
	obj_t BGl_z62lambda1196z62zzbackend_backendz00(obj_t BgL_envz00_1472,
		obj_t BgL_oz00_1473)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1473)))->BgL_namez00);
		}

	}



/* &<@anonymous:1189> */
	obj_t BGl_z62zc3z04anonymousza31189ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1474)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(((long) 40));
		}

	}



/* &lambda1188 */
	obj_t BGl_z62lambda1188z62zzbackend_backendz00(obj_t BgL_envz00_1475,
		obj_t BgL_oz00_1476, obj_t BgL_vz00_1477)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1476)))->BgL_srfi0z00) = ((obj_t)
					((obj_t) BgL_vz00_1477)), BUNSPEC);
		}

	}



/* &lambda1187 */
	obj_t BGl_z62lambda1187z62zzbackend_backendz00(obj_t BgL_envz00_1478,
		obj_t BgL_oz00_1479)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1479)))->BgL_srfi0z00);
		}

	}



/* &<@anonymous:1175> */
	obj_t BGl_z62zc3z04anonymousza31175ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1480)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(((long) 40));
		}

	}



/* &lambda1174 */
	obj_t BGl_z62lambda1174z62zzbackend_backendz00(obj_t BgL_envz00_1481,
		obj_t BgL_oz00_1482, obj_t BgL_vz00_1483)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1482)))->BgL_languagez00) =
				((obj_t) ((obj_t) BgL_vz00_1483)), BUNSPEC);
		}

	}



/* &lambda1173 */
	obj_t BGl_z62lambda1173z62zzbackend_backendz00(obj_t BgL_envz00_1484,
		obj_t BgL_oz00_1485)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1485)))->BgL_languagez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
				BGl_proc1782z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1783z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
				BGl_proc1784z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1785z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2compilezd2functionszd2envzd2zzbackend_backendz00,
				BGl_proc1786z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1787z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
				BGl_proc1788z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1789z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
				BGl_proc1790z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1791z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
				BGl_proc1792z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1793z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
				BGl_proc1794z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1795z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2instrzd2resetzd2registerszd2envz00zzbackend_backendz00,
				BGl_proc1796z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1797z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
				BGl_proc1798z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1799z00zzbackend_backendz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
				BGl_proc1800z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1801z00zzbackend_backendz00);
		}

	}



/* &backend-gc-init1133 */
	obj_t BGl_z62backendzd2gczd2init1133z62zzbackend_backendz00(obj_t
		BgL_envz00_1498, obj_t BgL_bz00_1499)
	{
		{	/* BackEnd/backend.scm 151 */
			return BUNSPEC;
		}

	}



/* &backend-check-inline1131 */
	obj_t BGl_z62backendzd2checkzd2inline1131z62zzbackend_backendz00(obj_t
		BgL_envz00_1500, obj_t BgL_bz00_1501)
	{
		{	/* BackEnd/backend.scm 145 */
			return BUNSPEC;
		}

	}



/* &backend-instr-reset-1129 */
	obj_t BGl_z62backendzd2instrzd2resetzd21129zb0zzbackend_backendz00(obj_t
		BgL_envz00_1502, obj_t BgL_bz00_1503, obj_t BgL_iz00_1504)
	{
		{	/* BackEnd/backend.scm 138 */
			{	/* BackEnd/backend.scm 140 */
				obj_t BgL_val1_1110z00_1658;
				obj_t BgL_val2_1111z00_1659;
				obj_t BgL_val3_1112z00_1660;

				BgL_val1_1110z00_1658 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_bz00_1503)))->BgL_registersz00);
				BgL_val2_1111z00_1659 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_bz00_1503)))->BgL_registersz00);
				BgL_val3_1112z00_1660 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_bz00_1503)))->BgL_registersz00);
				{	/* BackEnd/backend.scm 140 */
					int BgL_tmpz00_2330;

					BgL_tmpz00_2330 = (int) (((long) 4));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2330);
				}
				{	/* BackEnd/backend.scm 140 */
					int BgL_tmpz00_2333;

					BgL_tmpz00_2333 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2333, BgL_val1_1110z00_1658);
				}
				{	/* BackEnd/backend.scm 140 */
					int BgL_tmpz00_2336;

					BgL_tmpz00_2336 = (int) (((long) 2));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2336, BgL_val2_1111z00_1659);
				}
				{	/* BackEnd/backend.scm 140 */
					int BgL_tmpz00_2339;

					BgL_tmpz00_2339 = (int) (((long) 3));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2339, BgL_val3_1112z00_1660);
				}
				return BNIL;
			}
		}

	}



/* &backend-link-objects1127 */
	obj_t BGl_z62backendzd2linkzd2objects1127z62zzbackend_backendz00(obj_t
		BgL_envz00_1505, obj_t BgL_bz00_1506, obj_t BgL_lz00_1507)
	{
		{	/* BackEnd/backend.scm 133 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 41)),
				BGl_string1802z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1506)));
		}

	}



/* &backend-cnst-table-n1125 */
	obj_t BGl_z62backendzd2cnstzd2tablezd2n1125zb0zzbackend_backendz00(obj_t
		BgL_envz00_1508, obj_t BgL_bz00_1509, obj_t BgL_oz00_1510)
	{
		{	/* BackEnd/backend.scm 128 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 42)),
				BGl_string1802z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1509)));
		}

	}



/* &backend-subtype?1123 */
	obj_t BGl_z62backendzd2subtypezf31123z43zzbackend_backendz00(obj_t
		BgL_envz00_1511, obj_t BgL_bz00_1512, obj_t BgL_t1z00_1513,
		obj_t BgL_t2z00_1514)
	{
		{	/* BackEnd/backend.scm 123 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 43)),
				BGl_string1802z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1512)));
		}

	}



/* &backend-link1121 */
	obj_t BGl_z62backendzd2link1121zb0zzbackend_backendz00(obj_t BgL_envz00_1515,
		obj_t BgL_bz00_1516, obj_t BgL_resultz00_1517)
	{
		{	/* BackEnd/backend.scm 118 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 44)),
				BGl_string1802z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1516)));
		}

	}



/* &backend-compile-func1119 */
	obj_t BGl_z62backendzd2compilezd2func1119z62zzbackend_backendz00(obj_t
		BgL_envz00_1518, obj_t BgL_bz00_1519)
	{
		{	/* BackEnd/backend.scm 113 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 45)),
				BGl_string1802z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1519)));
		}

	}



/* &backend-compile1117 */
	obj_t BGl_z62backendzd2compile1117zb0zzbackend_backendz00(obj_t
		BgL_envz00_1520, obj_t BgL_bz00_1521)
	{
		{	/* BackEnd/backend.scm 108 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 46)),
				BGl_string1802z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1521)));
		}

	}



/* &backend-initialize!1115 */
	obj_t BGl_z62backendzd2initializa7ez121115z05zzbackend_backendz00(obj_t
		BgL_envz00_1522, obj_t BgL_bz00_1523)
	{
		{	/* BackEnd/backend.scm 102 */
			return BUNSPEC;
		}

	}



/* backend-initialize! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2initializa7ez12z67zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_94)
	{
		{	/* BackEnd/backend.scm 102 */
			{	/* BackEnd/backend.scm 102 */
				obj_t BgL_method1116z00_621;

				{	/* BackEnd/backend.scm 102 */
					obj_t BgL_res1642z00_786;

					{	/* BackEnd/backend.scm 102 */
						long BgL_objzd2classzd2numz00_757;

						BgL_objzd2classzd2numz00_757 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_94));
						{	/* BackEnd/backend.scm 102 */
							obj_t BgL_arg1825z00_758;

							BgL_arg1825z00_758 =
								PROCEDURE_REF
								(BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 102 */
								int BgL_offsetz00_761;

								BgL_offsetz00_761 = (int) (BgL_objzd2classzd2numz00_757);
								{	/* BackEnd/backend.scm 102 */
									long BgL_offsetz00_762;

									BgL_offsetz00_762 =
										((long) (BgL_offsetz00_761) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 102 */
										long BgL_modz00_763;

										BgL_modz00_763 =
											(BgL_offsetz00_762 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 102 */
											long BgL_restz00_765;

											BgL_restz00_765 =
												(BgL_offsetz00_762 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 102 */

												{	/* BackEnd/backend.scm 102 */
													obj_t BgL_bucketz00_767;

													BgL_bucketz00_767 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_758), BgL_modz00_763);
													BgL_res1642z00_786 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_767), BgL_restz00_765);
					}}}}}}}}
					BgL_method1116z00_621 = BgL_res1642z00_786;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1116z00_621)) (BgL_method1116z00_621,
					((obj_t) BgL_bz00_94), BEOA);
			}
		}

	}



/* &backend-initialize! */
	obj_t BGl_z62backendzd2initializa7ez12z05zzbackend_backendz00(obj_t
		BgL_envz00_1486, obj_t BgL_bz00_1487)
	{
		{	/* BackEnd/backend.scm 102 */
			return
				BGl_backendzd2initializa7ez12z67zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1487));
		}

	}



/* backend-compile */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2compilezd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_95)
	{
		{	/* BackEnd/backend.scm 108 */
			{	/* BackEnd/backend.scm 108 */
				obj_t BgL_method1118z00_622;

				{	/* BackEnd/backend.scm 108 */
					obj_t BgL_res1647z00_817;

					{	/* BackEnd/backend.scm 108 */
						long BgL_objzd2classzd2numz00_788;

						BgL_objzd2classzd2numz00_788 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_95));
						{	/* BackEnd/backend.scm 108 */
							obj_t BgL_arg1825z00_789;

							BgL_arg1825z00_789 =
								PROCEDURE_REF
								(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 108 */
								int BgL_offsetz00_792;

								BgL_offsetz00_792 = (int) (BgL_objzd2classzd2numz00_788);
								{	/* BackEnd/backend.scm 108 */
									long BgL_offsetz00_793;

									BgL_offsetz00_793 =
										((long) (BgL_offsetz00_792) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 108 */
										long BgL_modz00_794;

										BgL_modz00_794 =
											(BgL_offsetz00_793 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 108 */
											long BgL_restz00_796;

											BgL_restz00_796 =
												(BgL_offsetz00_793 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 108 */

												{	/* BackEnd/backend.scm 108 */
													obj_t BgL_bucketz00_798;

													BgL_bucketz00_798 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_789), BgL_modz00_794);
													BgL_res1647z00_817 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_798), BgL_restz00_796);
					}}}}}}}}
					BgL_method1118z00_622 = BgL_res1647z00_817;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1118z00_622)) (BgL_method1118z00_622,
					((obj_t) BgL_bz00_95), BEOA);
			}
		}

	}



/* &backend-compile */
	obj_t BGl_z62backendzd2compilezb0zzbackend_backendz00(obj_t BgL_envz00_1524,
		obj_t BgL_bz00_1525)
	{
		{	/* BackEnd/backend.scm 108 */
			return
				BGl_backendzd2compilezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1525));
		}

	}



/* backend-compile-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2compilezd2functionsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_96)
	{
		{	/* BackEnd/backend.scm 113 */
			{	/* BackEnd/backend.scm 113 */
				obj_t BgL_method1120z00_623;

				{	/* BackEnd/backend.scm 113 */
					obj_t BgL_res1652z00_848;

					{	/* BackEnd/backend.scm 113 */
						long BgL_objzd2classzd2numz00_819;

						BgL_objzd2classzd2numz00_819 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_96));
						{	/* BackEnd/backend.scm 113 */
							obj_t BgL_arg1825z00_820;

							BgL_arg1825z00_820 =
								PROCEDURE_REF
								(BGl_backendzd2compilezd2functionszd2envzd2zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 113 */
								int BgL_offsetz00_823;

								BgL_offsetz00_823 = (int) (BgL_objzd2classzd2numz00_819);
								{	/* BackEnd/backend.scm 113 */
									long BgL_offsetz00_824;

									BgL_offsetz00_824 =
										((long) (BgL_offsetz00_823) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 113 */
										long BgL_modz00_825;

										BgL_modz00_825 =
											(BgL_offsetz00_824 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 113 */
											long BgL_restz00_827;

											BgL_restz00_827 =
												(BgL_offsetz00_824 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 113 */

												{	/* BackEnd/backend.scm 113 */
													obj_t BgL_bucketz00_829;

													BgL_bucketz00_829 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_820), BgL_modz00_825);
													BgL_res1652z00_848 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_829), BgL_restz00_827);
					}}}}}}}}
					BgL_method1120z00_623 = BgL_res1652z00_848;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1120z00_623)) (BgL_method1120z00_623,
					((obj_t) BgL_bz00_96), BEOA);
			}
		}

	}



/* &backend-compile-functions */
	obj_t BGl_z62backendzd2compilezd2functionsz62zzbackend_backendz00(obj_t
		BgL_envz00_1526, obj_t BgL_bz00_1527)
	{
		{	/* BackEnd/backend.scm 113 */
			return
				BGl_backendzd2compilezd2functionsz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1527));
		}

	}



/* backend-link */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2linkzd2zzbackend_backendz00(BgL_backendz00_bglt BgL_bz00_97,
		obj_t BgL_resultz00_98)
	{
		{	/* BackEnd/backend.scm 118 */
			{	/* BackEnd/backend.scm 118 */
				obj_t BgL_method1122z00_624;

				{	/* BackEnd/backend.scm 118 */
					obj_t BgL_res1657z00_879;

					{	/* BackEnd/backend.scm 118 */
						long BgL_objzd2classzd2numz00_850;

						BgL_objzd2classzd2numz00_850 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_97));
						{	/* BackEnd/backend.scm 118 */
							obj_t BgL_arg1825z00_851;

							BgL_arg1825z00_851 =
								PROCEDURE_REF(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 118 */
								int BgL_offsetz00_854;

								BgL_offsetz00_854 = (int) (BgL_objzd2classzd2numz00_850);
								{	/* BackEnd/backend.scm 118 */
									long BgL_offsetz00_855;

									BgL_offsetz00_855 =
										((long) (BgL_offsetz00_854) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 118 */
										long BgL_modz00_856;

										BgL_modz00_856 =
											(BgL_offsetz00_855 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 118 */
											long BgL_restz00_858;

											BgL_restz00_858 =
												(BgL_offsetz00_855 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 118 */

												{	/* BackEnd/backend.scm 118 */
													obj_t BgL_bucketz00_860;

													BgL_bucketz00_860 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_851), BgL_modz00_856);
													BgL_res1657z00_879 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_860), BgL_restz00_858);
					}}}}}}}}
					BgL_method1122z00_624 = BgL_res1657z00_879;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1122z00_624)) (BgL_method1122z00_624,
					((obj_t) BgL_bz00_97), BgL_resultz00_98, BEOA);
			}
		}

	}



/* &backend-link */
	obj_t BGl_z62backendzd2linkzb0zzbackend_backendz00(obj_t BgL_envz00_1528,
		obj_t BgL_bz00_1529, obj_t BgL_resultz00_1530)
	{
		{	/* BackEnd/backend.scm 118 */
			return
				BGl_backendzd2linkzd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1529), BgL_resultz00_1530);
		}

	}



/* backend-subtype? */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2subtypezf3z21zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_99, obj_t BgL_t1z00_100, obj_t BgL_t2z00_101)
	{
		{	/* BackEnd/backend.scm 123 */
			{	/* BackEnd/backend.scm 123 */
				obj_t BgL_method1124z00_625;

				{	/* BackEnd/backend.scm 123 */
					obj_t BgL_res1662z00_910;

					{	/* BackEnd/backend.scm 123 */
						long BgL_objzd2classzd2numz00_881;

						BgL_objzd2classzd2numz00_881 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_99));
						{	/* BackEnd/backend.scm 123 */
							obj_t BgL_arg1825z00_882;

							BgL_arg1825z00_882 =
								PROCEDURE_REF
								(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 123 */
								int BgL_offsetz00_885;

								BgL_offsetz00_885 = (int) (BgL_objzd2classzd2numz00_881);
								{	/* BackEnd/backend.scm 123 */
									long BgL_offsetz00_886;

									BgL_offsetz00_886 =
										((long) (BgL_offsetz00_885) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 123 */
										long BgL_modz00_887;

										BgL_modz00_887 =
											(BgL_offsetz00_886 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 123 */
											long BgL_restz00_889;

											BgL_restz00_889 =
												(BgL_offsetz00_886 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 123 */

												{	/* BackEnd/backend.scm 123 */
													obj_t BgL_bucketz00_891;

													BgL_bucketz00_891 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_882), BgL_modz00_887);
													BgL_res1662z00_910 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_891), BgL_restz00_889);
					}}}}}}}}
					BgL_method1124z00_625 = BgL_res1662z00_910;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1124z00_625)) (BgL_method1124z00_625,
					((obj_t) BgL_bz00_99), BgL_t1z00_100, BgL_t2z00_101, BEOA);
			}
		}

	}



/* &backend-subtype? */
	obj_t BGl_z62backendzd2subtypezf3z43zzbackend_backendz00(obj_t
		BgL_envz00_1531, obj_t BgL_bz00_1532, obj_t BgL_t1z00_1533,
		obj_t BgL_t2z00_1534)
	{
		{	/* BackEnd/backend.scm 123 */
			return
				BGl_backendzd2subtypezf3z21zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1532), BgL_t1z00_1533, BgL_t2z00_1534);
		}

	}



/* backend-cnst-table-name */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_102, int BgL_oz00_103)
	{
		{	/* BackEnd/backend.scm 128 */
			{	/* BackEnd/backend.scm 128 */
				obj_t BgL_method1126z00_626;

				{	/* BackEnd/backend.scm 128 */
					obj_t BgL_res1667z00_941;

					{	/* BackEnd/backend.scm 128 */
						long BgL_objzd2classzd2numz00_912;

						BgL_objzd2classzd2numz00_912 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_102));
						{	/* BackEnd/backend.scm 128 */
							obj_t BgL_arg1825z00_913;

							BgL_arg1825z00_913 =
								PROCEDURE_REF
								(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 128 */
								int BgL_offsetz00_916;

								BgL_offsetz00_916 = (int) (BgL_objzd2classzd2numz00_912);
								{	/* BackEnd/backend.scm 128 */
									long BgL_offsetz00_917;

									BgL_offsetz00_917 =
										((long) (BgL_offsetz00_916) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 128 */
										long BgL_modz00_918;

										BgL_modz00_918 =
											(BgL_offsetz00_917 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 128 */
											long BgL_restz00_920;

											BgL_restz00_920 =
												(BgL_offsetz00_917 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 128 */

												{	/* BackEnd/backend.scm 128 */
													obj_t BgL_bucketz00_922;

													BgL_bucketz00_922 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_913), BgL_modz00_918);
													BgL_res1667z00_941 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_922), BgL_restz00_920);
					}}}}}}}}
					BgL_method1126z00_626 = BgL_res1667z00_941;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1126z00_626)) (BgL_method1126z00_626,
					((obj_t) BgL_bz00_102), BINT(BgL_oz00_103), BEOA);
			}
		}

	}



/* &backend-cnst-table-name */
	obj_t BGl_z62backendzd2cnstzd2tablezd2namezb0zzbackend_backendz00(obj_t
		BgL_envz00_1535, obj_t BgL_bz00_1536, obj_t BgL_oz00_1537)
	{
		{	/* BackEnd/backend.scm 128 */
			return
				BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1536), CINT(BgL_oz00_1537));
		}

	}



/* backend-link-objects */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_104, obj_t BgL_lz00_105)
	{
		{	/* BackEnd/backend.scm 133 */
			{	/* BackEnd/backend.scm 133 */
				obj_t BgL_method1128z00_627;

				{	/* BackEnd/backend.scm 133 */
					obj_t BgL_res1672z00_972;

					{	/* BackEnd/backend.scm 133 */
						long BgL_objzd2classzd2numz00_943;

						BgL_objzd2classzd2numz00_943 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_104));
						{	/* BackEnd/backend.scm 133 */
							obj_t BgL_arg1825z00_944;

							BgL_arg1825z00_944 =
								PROCEDURE_REF
								(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 133 */
								int BgL_offsetz00_947;

								BgL_offsetz00_947 = (int) (BgL_objzd2classzd2numz00_943);
								{	/* BackEnd/backend.scm 133 */
									long BgL_offsetz00_948;

									BgL_offsetz00_948 =
										((long) (BgL_offsetz00_947) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 133 */
										long BgL_modz00_949;

										BgL_modz00_949 =
											(BgL_offsetz00_948 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 133 */
											long BgL_restz00_951;

											BgL_restz00_951 =
												(BgL_offsetz00_948 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 133 */

												{	/* BackEnd/backend.scm 133 */
													obj_t BgL_bucketz00_953;

													BgL_bucketz00_953 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_944), BgL_modz00_949);
													BgL_res1672z00_972 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_953), BgL_restz00_951);
					}}}}}}}}
					BgL_method1128z00_627 = BgL_res1672z00_972;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1128z00_627)) (BgL_method1128z00_627,
					((obj_t) BgL_bz00_104), BgL_lz00_105, BEOA);
			}
		}

	}



/* &backend-link-objects */
	obj_t BGl_z62backendzd2linkzd2objectsz62zzbackend_backendz00(obj_t
		BgL_envz00_1538, obj_t BgL_bz00_1539, obj_t BgL_lz00_1540)
	{
		{	/* BackEnd/backend.scm 133 */
			return
				BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1539), BgL_lz00_1540);
		}

	}



/* backend-instr-reset-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_bz00_106, obj_t BgL_iz00_107)
	{
		{	/* BackEnd/backend.scm 138 */
			{	/* BackEnd/backend.scm 138 */
				obj_t BgL_method1130z00_628;

				{	/* BackEnd/backend.scm 138 */
					obj_t BgL_res1677z00_1003;

					{	/* BackEnd/backend.scm 138 */
						long BgL_objzd2classzd2numz00_974;

						BgL_objzd2classzd2numz00_974 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_106));
						{	/* BackEnd/backend.scm 138 */
							obj_t BgL_arg1825z00_975;

							BgL_arg1825z00_975 =
								PROCEDURE_REF
								(BGl_backendzd2instrzd2resetzd2registerszd2envz00zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 138 */
								int BgL_offsetz00_978;

								BgL_offsetz00_978 = (int) (BgL_objzd2classzd2numz00_974);
								{	/* BackEnd/backend.scm 138 */
									long BgL_offsetz00_979;

									BgL_offsetz00_979 =
										((long) (BgL_offsetz00_978) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 138 */
										long BgL_modz00_980;

										BgL_modz00_980 =
											(BgL_offsetz00_979 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 138 */
											long BgL_restz00_982;

											BgL_restz00_982 =
												(BgL_offsetz00_979 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 138 */

												{	/* BackEnd/backend.scm 138 */
													obj_t BgL_bucketz00_984;

													BgL_bucketz00_984 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_975), BgL_modz00_980);
													BgL_res1677z00_1003 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_984), BgL_restz00_982);
					}}}}}}}}
					BgL_method1130z00_628 = BgL_res1677z00_1003;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1130z00_628)) (BgL_method1130z00_628,
					((obj_t) BgL_bz00_106), BgL_iz00_107, BEOA);
			}
		}

	}



/* &backend-instr-reset-registers */
	obj_t BGl_z62backendzd2instrzd2resetzd2registerszb0zzbackend_backendz00(obj_t
		BgL_envz00_1541, obj_t BgL_bz00_1542, obj_t BgL_iz00_1543)
	{
		{	/* BackEnd/backend.scm 138 */
			return
				BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1542), BgL_iz00_1543);
		}

	}



/* backend-check-inlines */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_108)
	{
		{	/* BackEnd/backend.scm 145 */
			{	/* BackEnd/backend.scm 145 */
				obj_t BgL_method1132z00_629;

				{	/* BackEnd/backend.scm 145 */
					obj_t BgL_res1682z00_1034;

					{	/* BackEnd/backend.scm 145 */
						long BgL_objzd2classzd2numz00_1005;

						BgL_objzd2classzd2numz00_1005 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_108));
						{	/* BackEnd/backend.scm 145 */
							obj_t BgL_arg1825z00_1006;

							BgL_arg1825z00_1006 =
								PROCEDURE_REF
								(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 145 */
								int BgL_offsetz00_1009;

								BgL_offsetz00_1009 = (int) (BgL_objzd2classzd2numz00_1005);
								{	/* BackEnd/backend.scm 145 */
									long BgL_offsetz00_1010;

									BgL_offsetz00_1010 =
										((long) (BgL_offsetz00_1009) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 145 */
										long BgL_modz00_1011;

										BgL_modz00_1011 =
											(BgL_offsetz00_1010 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 145 */
											long BgL_restz00_1013;

											BgL_restz00_1013 =
												(BgL_offsetz00_1010 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 145 */

												{	/* BackEnd/backend.scm 145 */
													obj_t BgL_bucketz00_1015;

													BgL_bucketz00_1015 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_1006), BgL_modz00_1011);
													BgL_res1682z00_1034 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1015), BgL_restz00_1013);
					}}}}}}}}
					BgL_method1132z00_629 = BgL_res1682z00_1034;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1132z00_629)) (BgL_method1132z00_629,
					((obj_t) BgL_bz00_108), BEOA);
			}
		}

	}



/* &backend-check-inlines */
	obj_t BGl_z62backendzd2checkzd2inlinesz62zzbackend_backendz00(obj_t
		BgL_envz00_1544, obj_t BgL_bz00_1545)
	{
		{	/* BackEnd/backend.scm 145 */
			return
				BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1545));
		}

	}



/* backend-gc-init */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2gczd2initz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_109)
	{
		{	/* BackEnd/backend.scm 151 */
			{	/* BackEnd/backend.scm 151 */
				obj_t BgL_method1134z00_630;

				{	/* BackEnd/backend.scm 151 */
					obj_t BgL_res1687z00_1065;

					{	/* BackEnd/backend.scm 151 */
						long BgL_objzd2classzd2numz00_1036;

						BgL_objzd2classzd2numz00_1036 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_109));
						{	/* BackEnd/backend.scm 151 */
							obj_t BgL_arg1825z00_1037;

							BgL_arg1825z00_1037 =
								PROCEDURE_REF
								(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
								(int) (((long) 1)));
							{	/* BackEnd/backend.scm 151 */
								int BgL_offsetz00_1040;

								BgL_offsetz00_1040 = (int) (BgL_objzd2classzd2numz00_1036);
								{	/* BackEnd/backend.scm 151 */
									long BgL_offsetz00_1041;

									BgL_offsetz00_1041 =
										((long) (BgL_offsetz00_1040) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 151 */
										long BgL_modz00_1042;

										BgL_modz00_1042 =
											(BgL_offsetz00_1041 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* BackEnd/backend.scm 151 */
											long BgL_restz00_1044;

											BgL_restz00_1044 =
												(BgL_offsetz00_1041 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* BackEnd/backend.scm 151 */

												{	/* BackEnd/backend.scm 151 */
													obj_t BgL_bucketz00_1046;

													BgL_bucketz00_1046 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_1037), BgL_modz00_1042);
													BgL_res1687z00_1065 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1046), BgL_restz00_1044);
					}}}}}}}}
					BgL_method1134z00_630 = BgL_res1687z00_1065;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1134z00_630)) (BgL_method1134z00_630,
					((obj_t) BgL_bz00_109), BEOA);
			}
		}

	}



/* &backend-gc-init */
	obj_t BGl_z62backendzd2gczd2initz62zzbackend_backendz00(obj_t BgL_envz00_1546,
		obj_t BgL_bz00_1547)
	{
		{	/* BackEnd/backend.scm 151 */
			return
				BGl_backendzd2gczd2initz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1547));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1803z00zzbackend_backendz00));
		}

	}

#ifdef __cplusplus
}
#endif
