/*===========================================================================*/
/*   (BackEnd/cvm.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/cvm.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_cvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}             *BgL_cvmz00_bglt;

	typedef struct BgL_sawcz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}              *BgL_sawcz00_bglt;

	typedef struct BgL_cgenz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}              *BgL_cgenz00_bglt;


	static obj_t BGl_z62sawczd2removezd2emptyzd2letzb0zzbackend_cvmz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62cgenzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2debugzd2supportz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2functionszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2externzd2variableszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		obj_t);
	static obj_t BGl_z62sawczd2requirezd2tailczd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2typedzd2funcallzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cgenz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2typedzd2funcallz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2typedzd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_cvmz00_bglt BGl_cvmzd2nilzd2zzbackend_cvmz00(void);
	static obj_t
		BGl_z62cgenzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sawcz00_bglt BGl_makezd2sawczd2zzbackend_cvmz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t,
		obj_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, obj_t, obj_t, bool_t, bool_t, bool_t);
	static obj_t BGl_z62cvmzd2callcczb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2externzd2variablesz62zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2boundzd2checkz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2requirezd2tailcz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2typedzd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cgenzd2foreignzd2closurez62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2debugzd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62cgenzd2tracezd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	static obj_t
		BGl_z62sawczd2foreignzd2closurezd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sawczd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sawczd2typeszd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_cvmz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2effectzb2z60zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62sawczd2qualifiedzd2typesz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t
		BGl_z62sawczd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2srfi0zd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	static obj_t BGl_z62sawczd2pragmazd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2srfi0zd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2typedzd2eqz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2pragmazd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_sawcz00_bglt, bool_t);
	static obj_t BGl_z62sawczd2languagezb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2typezd2checkzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sawczd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2typeszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	static obj_t BGl_z62sawczd2typeszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2registerszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2boundzd2checkz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t
		BGl_z62sawczd2externzd2variableszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2boundzd2checkz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2foreignzd2closurez00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2effectzb2z60zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62cgenzd2functionszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2variableszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	static obj_t BGl_z62sawczd2typedzb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2effectzb2z60zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cvmzd2foreignzd2closurez62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2requirezd2tailcz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2qualifiedzd2typesz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62sawczd2typeszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2externzd2functionsz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cgenzd2debugzd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cvmzd2srfi0zb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2variableszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2typezd2checkzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2variableszd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2removezd2emptyzd2letzd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cvmzd2requirezd2tailczd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cvmzd2typedzd2funcallzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbackend_cvmz00(void);
	BGL_EXPORTED_DECL BgL_cgenz00_bglt BGl_cgenzd2nilzd2zzbackend_cvmz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2namezd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2typedzd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cgenzd2boundzd2checkz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2registerszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2variableszd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_cgenz00zzbackend_cvmz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_cgenzd2typeszd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2externzd2variablesz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cgenzd2functionszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2qualifiedzd2typesz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2typedzd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2tracezd2supportz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cgenzd2typedzd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sawczd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2requirezd2tailcz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cvmzd2srfi0zd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sawczd2functionszb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2tracezd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2namezb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2typezd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt, bool_t);
	static obj_t BGl_z62cvmzd2pragmazd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t
		BGl_z62cgenzd2foreignzd2closurezd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_cvmz00(void);
	static obj_t
		BGl_z62cvmzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2externzd2typesz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2typeszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static BgL_cgenz00_bglt BGl_z62makezd2cgenzb0zzbackend_cvmz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62cgenzd2namezb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typedzb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzbackend_cvmz00(void);
	static obj_t
		BGl_z62sawczd2foreignzd2clausezd2supportzb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2requirezd2tailczd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typedzd2funcallzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2boundzd2checkz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typeszb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t
		BGl_z62sawczd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2externzd2typesz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2callcczd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cgenzd2languagezd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2externzd2functionszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62cgenzd2pregisterszd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2externzd2typeszd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2foreignzd2closurez62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2languagezd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_cvmzd2srfi0zd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	static obj_t BGl_z62sawczd2externzd2functionsz62zzbackend_cvmz00(obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2registerszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzf3z91zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2removezd2emptyzd2letzb0zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_cgenzf3zf3zzbackend_cvmz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	static obj_t BGl_z62cgenzd2externzd2variablesz62zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2pregisterszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	static obj_t
		BGl_z62cgenzd2foreignzd2clausezd2supportzb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2foreignzd2closurez00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t
		BGl_z62sawczd2externzd2functionszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	static obj_t BGl_z62cvmzd2pregisterszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2pragmazd2supportz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t
		BGl_z62cgenzd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cgenzd2effectzb2zd2setz12zc2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cvmzf3zf3zzbackend_cvmz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2functionszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_cgenz00_bglt BGl_makezd2cgenzd2zzbackend_cvmz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t,
		obj_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, obj_t, obj_t, bool_t, bool_t, bool_t);
	BGL_EXPORTED_DECL obj_t BGl_cgenzd2namezd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cvmzd2variableszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2typedzd2eqz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cvmzd2foreignzd2clausezd2supportzb0zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2functionszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_cvmz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2functionszd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2effectzb2zd2setz12za0zzbackend_cvmz00(BgL_cvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2foreignzd2closurez00zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2typezd2checkz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62sawczd2typezd2checkz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2effectzb2z02zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2languagezd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2srfi0zd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2functionszd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t
		BGl_z62cgenzd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	static obj_t BGl_z62sawczd2heapzd2suffixzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cvmz00_bglt, bool_t);
	static obj_t BGl_z62sawczd2boundzd2checkzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2languagezd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2typeszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2externzd2functionsz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31430ze3ze5zzbackend_cvmz00(obj_t,
		obj_t);
	static obj_t BGl_z62cgenzd2namezd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2registerszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	static obj_t BGl_z62cgenzd2pragmazd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typedzd2eqzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_sawcz00_bglt, obj_t);
	static obj_t BGl_z62sawczd2namezd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cgenzf3z91zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		obj_t);
	static obj_t BGl_z62cvmzd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2heapzd2suffixz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t
		BGl_z62cvmzd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	static obj_t BGl_z62cvmzd2externzd2typesz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2externzd2typesz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2languagezd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cgenzd2debugzd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2pregisterszd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typedzd2funcallz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2typedzd2eqz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2registerszd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t
		BGl_z62cvmzd2externzd2variableszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62cvmzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	static obj_t BGl_z62cvmzd2typedzb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2registerszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2tracezd2supportz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2externzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		obj_t);
	static obj_t BGl_z62cvmzd2typezd2checkz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2typeszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		obj_t);
	static obj_t BGl_z62cgenzd2callcczb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cvmzd2namezd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62sawczd2effectzb2z02zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2heapzd2suffixz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2pregisterszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2pregisterszd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2srfi0zd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	static obj_t BGl_z62sawczd2pregisterszb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2externzd2functionsz62zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL bool_t BGl_sawczf3zf3zzbackend_cvmz00(obj_t);
	static obj_t BGl_z62cgenzd2srfi0zd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31507ze3ze5zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2typeszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	static BgL_cvmz00_bglt BGl_z62cvmzd2nilzb0zzbackend_cvmz00(obj_t);
	static obj_t BGl_z62cgenzd2typeszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62sawczd2typedzd2eqzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2effectzb2z02zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	static obj_t BGl_z62cvmzd2effectzb2zd2setz12zc2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2effectzb2zd2setz12za0zzbackend_cvmz00(BgL_sawcz00_bglt, bool_t);
	static obj_t BGl_z62cvmzd2functionszb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2tracezd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2heapzd2suffixz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62sawczd2variableszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2pregisterszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	static obj_t BGl_z62cvmzd2heapzd2suffixz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2namezb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2debugzd2supportz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2namezd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2externzd2variableszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2typedzd2funcallz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62sawczd2debugzd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2languagezb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2namezd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	static obj_t
		BGl_z62sawczd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczd2typedzd2funcallz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_cvmzd2typedzd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_cvmz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00
		(BgL_cgenz00_bglt, bool_t);
	static obj_t BGl_z62cgenzd2requirezd2tailcz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cvmzd2typeszd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cvmzd2externzd2typeszd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2heapzd2suffixz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2tracezd2supportz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cvmzd2removezd2emptyzd2letzb0zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2pragmazd2supportz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cgenzd2heapzd2compatiblez62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2typedzd2eqz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2externzd2variableszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		obj_t);
	static obj_t BGl_z62cvmzd2pregisterszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2callcczd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, bool_t);
	static obj_t BGl_z62cgenzd2heapzd2suffixzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2pragmazd2supportz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cgenzd2boundzd2checkzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sawczf3z91zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2externzd2variablesz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2externzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2callcczd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cgenzd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2typezd2checkz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static BgL_sawcz00_bglt BGl_z62sawczd2nilzb0zzbackend_cvmz00(obj_t);
	static obj_t
		BGl_z62cgenzd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2foreignzd2closurezd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2languagezd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	static obj_t BGl_z62cvmzd2variableszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62cvmzd2externzd2functionszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2removezd2emptyzd2letzd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static BgL_sawcz00_bglt BGl_z62lambda1423z62zzbackend_cvmz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sawcz00_bglt BGl_z62lambda1427z62zzbackend_cvmz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2heapzd2compatiblez00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzbackend_cvmz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cvmz00(void);
	BGL_EXPORTED_DECL obj_t BGl_sawczd2namezd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cvmzd2languagezb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sawczd2srfi0zd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62sawczd2heapzd2suffixz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2heapzd2compatiblez62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2registerszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, obj_t);
	static obj_t
		BGl_z62cgenzd2externzd2variableszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cgenzd2registerszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_cvmz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2variableszd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2externzd2variablesz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_cvmz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2callcczd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, bool_t);
	static obj_t BGl_z62sawczd2registerszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2typedzd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2registerszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		obj_t);
	static obj_t BGl_z62sawczd2typedzd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_backendz00zzbackend_backendz00;
	BGL_EXPORTED_DECL bool_t
		BGl_cvmzd2requirezd2tailcz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cgenzd2pragmazd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31392ze3ze5zzbackend_cvmz00(obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2languagezd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sawczd2requirezd2tailcz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62sawczd2srfi0zb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2callcczd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt, bool_t);
	static obj_t BGl_z62sawczd2functionszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sawczd2tracezd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cvmzd2namezd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2callcczd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2externzd2functionszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cgenzd2srfi0zd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2variableszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2typezd2checkz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62sawczd2externzd2typesz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2languagezd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2pregisterszd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cgenzd2typezd2checkz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2externzd2typesz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cgenz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2typedzd2eqz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	static obj_t BGl_z62cgenzd2callcczd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sawczd2heapzd2compatiblez62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt, bool_t);
	static BgL_cgenz00_bglt BGl_z62cgenzd2nilzb0zzbackend_cvmz00(obj_t);
	static BgL_cvmz00_bglt BGl_z62lambda1390z62zzbackend_cvmz00(obj_t);
	static obj_t BGl_z62cvmzd2typedzd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2externzd2functionszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		obj_t);
	static obj_t BGl_z62cgenzd2qualifiedzd2typesz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sawcz00zzbackend_cvmz00 = BUNSPEC;
	static obj_t BGl_z62cgenzd2srfi0zb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2externzd2functionsz62zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typezd2checkzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2removezd2emptyzd2letzd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static BgL_cgenz00_bglt BGl_z62lambda1485z62zzbackend_cvmz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2debugzd2supportz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2registerszd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2typedzd2funcallz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cgenzd2variableszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2heapzd2compatiblez00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62cvmzd2functionszd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2tracezd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2registerszd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2externzd2variablesz00zzbackend_cvmz00(BgL_sawcz00_bglt);
	static BgL_cgenz00_bglt BGl_z62lambda1497z62zzbackend_cvmz00(obj_t);
	static obj_t BGl_z62cvmzd2typedzd2eqzd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sawczd2callcczd2setz12z70zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static BgL_sawcz00_bglt BGl_z62makezd2sawczb0zzbackend_cvmz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2qualifiedzd2typesz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62sawczd2callcczb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t
		BGl_z62cgenzd2externzd2functionszd2setz12za2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_cvmz00zzbackend_cvmz00 = BUNSPEC;
	static obj_t BGl_z62sawczd2debugzd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2functionszd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2externzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt,
		obj_t);
	static obj_t BGl_z62cvmzd2qualifiedzd2typesz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2externzd2functionsz00zzbackend_cvmz00(BgL_cvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2typezd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt,
		bool_t);
	static obj_t BGl_z62sawczd2effectzb2zd2setz12zc2zzbackend_cvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cvmzd2pragmazd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2effectzb2zd2setz12za0zzbackend_cvmz00(BgL_cgenz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2heapzd2compatiblez00zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cvmzd2typezd2checkzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2variableszb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cvmzd2debugzd2supportz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cgenzd2boundzd2checkz00zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2languagezd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	static obj_t BGl_z62cvmzd2typedzd2funcallz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cgenzd2pregisterszd2zzbackend_cvmz00(BgL_cgenz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_cvmzd2callcczd2zzbackend_cvmz00(BgL_cvmz00_bglt);
	static obj_t BGl_z62cgenzd2pregisterszb0zzbackend_cvmz00(obj_t, obj_t);
	static obj_t BGl_z62cgenzd2typedzd2eqz62zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	static obj_t BGl_z62sawczd2variableszb0zzbackend_cvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_sawcz00_bglt BGl_sawczd2nilzd2zzbackend_cvmz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_cvmzd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt,
		bool_t);
	static obj_t BGl_z62cgenzd2externzd2typeszd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cgenzd2tracezd2supportzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sawczd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(BgL_sawcz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sawczd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00
		(BgL_sawcz00_bglt, bool_t);
	static obj_t BGl_z62cvmzd2heapzd2suffixzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cvmzd2boundzd2checkzd2setz12za2zzbackend_cvmz00(obj_t,
		obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2foreignzd2clausezd2supportzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2foreig1527z00,
		BGl_z62cgenzd2foreignzd2clausezd2supportzb0zzbackend_cvmz00, 0L, BUNSPEC,
		1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2typeszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typesza71528za7,
		BGl_z62sawczd2typeszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2boundzd2checkzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2boundza7d1529za7,
		BGl_z62cvmzd2boundzd2checkzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typezd2checkzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typeza7d1530za7,
		BGl_z62cgenzd2typezd2checkzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2externzd2typeszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2extern1531z00,
		BGl_z62cgenzd2externzd2typesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2foreignzd2clausezd2supportzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2foreig1532z00,
		BGl_z62cgenzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2debugzd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2debugza7d1533za7,
		BGl_z62cvmzd2debugzd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2functionszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2functio1534z00,
		BGl_z62cvmzd2functionszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2foreignzd2clausezd2supportzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2foreig1535z00,
		BGl_z62sawczd2foreignzd2clausezd2supportzb0zzbackend_cvmz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2requirezd2tailczd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2requir1536z00,
		BGl_z62cgenzd2requirezd2tailczd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typedzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typedza71537za7,
		BGl_z62sawczd2typedzd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2tracezd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2traceza71538za7,
		BGl_z62cgenzd2tracezd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2foreignzd2closurezd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2foreign1539z00,
		BGl_z62cvmzd2foreignzd2closurezd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2externzd2typeszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2externza71540za7,
		BGl_z62cvmzd2externzd2typeszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2removezd2emptyzd2letzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2remove1541z00,
		BGl_z62sawczd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2tracezd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2traceza71542za7,
		BGl_z62sawczd2tracezd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2languagezd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2languag1543z00,
		BGl_z62cvmzd2languagezb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2srfi0zd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2srfi0za7b1544za7,
		BGl_z62cvmzd2srfi0zb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2typedzd2eqzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typedza7d1545za7,
		BGl_z62cvmzd2typedzd2eqz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2pregisterszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2pregis1546z00,
		BGl_z62sawczd2pregisterszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2registerszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2regist1547z00,
		BGl_z62cgenzd2registerszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typedzd2funcallzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typedza71548za7,
		BGl_z62cgenzd2typedzd2funcallz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2externzd2functionszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2extern1549z00,
		BGl_z62cgenzd2externzd2functionsz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2pragmazd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2pragma1550z00,
		BGl_z62cgenzd2pragmazd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typedzd2funcallzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typedza71551za7,
		BGl_z62sawczd2typedzd2funcallzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczf3zd2envz21zzbackend_cvmz00,
		BgL_bgl_za762sawcza7f3za791za7za7b1552za7,
		BGl_z62sawczf3z91zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2typedzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typedza71553za7,
		BGl_z62cgenzd2typedzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2externzd2variableszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2extern1554z00,
		BGl_z62sawczd2externzd2variableszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2heapzd2compatiblezd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2heapza7d21555za7,
		BGl_z62cvmzd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sawczd2envz00zzbackend_cvmz00,
		BgL_bgl_za762makeza7d2sawcza7b1556za7,
		BGl_z62makezd2sawczb0zzbackend_cvmz00, 0L, BUNSPEC, 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2externzd2typeszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2extern1557z00,
		BGl_z62cgenzd2externzd2typeszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2requirezd2tailczd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2requir1558z00,
		BGl_z62cgenzd2requirezd2tailcz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2typedzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typedza71559za7,
		BGl_z62sawczd2typedzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2debugzd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2debugza71560za7,
		BGl_z62sawczd2debugzd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2effectzb2zd2setz12zd2envz72zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2effect1561z00,
		BGl_z62sawczd2effectzb2zd2setz12zc2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2foreignzd2closurezd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2foreig1562z00,
		BGl_z62sawczd2foreignzd2closurez62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2pregisterszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2pregist1563z00,
		BGl_z62cvmzd2pregisterszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2srfi0zd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2srfi0za71564za7,
		BGl_z62sawczd2srfi0zd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2pregisterszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2pregist1565z00,
		BGl_z62cvmzd2pregisterszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2namezd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2nameza7b1566za7,
		BGl_z62sawczd2namezb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2namezd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2nameza7d1567za7,
		BGl_z62cgenzd2namezd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1515z00zzbackend_cvmz00,
		BgL_bgl_za762za7c3za704anonymo1568za7,
		BGl_z62zc3z04anonymousza31392ze3ze5zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1516z00zzbackend_cvmz00,
		BgL_bgl_za762lambda1390za7621569z00, BGl_z62lambda1390z62zzbackend_cvmz00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1523z00zzbackend_cvmz00,
		BgL_bgl_string1523za700za7za7b1570za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1517z00zzbackend_cvmz00,
		BgL_bgl_za762za7c3za704anonymo1571za7,
		BGl_z62zc3z04anonymousza31430ze3ze5zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2variableszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2variabl1572z00,
		BGl_z62cvmzd2variableszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1524z00zzbackend_cvmz00,
		BgL_bgl_string1524za700za7za7b1573za7, "backend_cvm", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1518z00zzbackend_cvmz00,
		BgL_bgl_za762lambda1427za7621574z00, BGl_z62lambda1427z62zzbackend_cvmz00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1525z00zzbackend_cvmz00,
		BgL_bgl_string1525za700za7za7b1575za7, "_ cgen sawc backend_cvm cvm ", 28);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1519z00zzbackend_cvmz00,
		BgL_bgl_za762lambda1423za7621576z00, BGl_z62lambda1423z62zzbackend_cvmz00,
		0L, BUNSPEC, 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2pregisterszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2pregis1577z00,
		BGl_z62cgenzd2pregisterszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2registerszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2regist1578z00,
		BGl_z62cgenzd2registerszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typedzd2funcallzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typedza71579za7,
		BGl_z62cgenzd2typedzd2funcallzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1520z00zzbackend_cvmz00,
		BgL_bgl_za762za7c3za704anonymo1580za7,
		BGl_z62zc3z04anonymousza31507ze3ze5zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1521z00zzbackend_cvmz00,
		BgL_bgl_za762lambda1497za7621581z00, BGl_z62lambda1497z62zzbackend_cvmz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2foreignzd2closurezd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2foreign1582z00,
		BGl_z62cvmzd2foreignzd2closurez62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1522z00zzbackend_cvmz00,
		BgL_bgl_za762lambda1485za7621583z00, BGl_z62lambda1485z62zzbackend_cvmz00,
		0L, BUNSPEC, 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2tvectorzd2descrzd2supportzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2tvecto1584z00,
		BGl_z62sawczd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2qualifiedzd2typeszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2qualif1585z00,
		BGl_z62sawczd2qualifiedzd2typesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2debugzd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2debugza71586za7,
		BGl_z62cgenzd2debugzd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2pragmazd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2pragmaza71587za7,
		BGl_z62cvmzd2pragmazd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2pragmazd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2pragma1588z00,
		BGl_z62sawczd2pragmazd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2boundzd2checkzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2boundza71589za7,
		BGl_z62sawczd2boundzd2checkzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2debugzd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2debugza71590za7,
		BGl_z62cgenzd2debugzd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2registerszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2regist1591z00,
		BGl_z62sawczd2registerszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2typedzd2eqzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typedza7d1592za7,
		BGl_z62cvmzd2typedzd2eqzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2callcczd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2callcc1593z00,
		BGl_z62sawczd2callcczb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2foreignzd2closurezd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2foreig1594z00,
		BGl_z62sawczd2foreignzd2closurezd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2qualifiedzd2typeszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2qualifi1595z00,
		BGl_z62cvmzd2qualifiedzd2typesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2pragmazd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2pragmaza71596za7,
		BGl_z62cvmzd2pragmazd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2heapzd2compatiblezd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2heapza7d1597za7,
		BGl_z62cgenzd2heapzd2compatiblez62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2foreignzd2closurezd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2foreig1598z00,
		BGl_z62cgenzd2foreignzd2closurezd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2languagezd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2langua1599z00,
		BGl_z62sawczd2languagezb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2typedzd2eqzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typedza71600za7,
		BGl_z62sawczd2typedzd2eqz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2requirezd2tailczd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2require1601z00,
		BGl_z62cvmzd2requirezd2tailczd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2registerszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2registe1602z00,
		BGl_z62cvmzd2registerszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2tracezd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2traceza7d1603za7,
		BGl_z62cvmzd2tracezd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cgenzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762makeza7d2cgenza7b1604za7,
		BGl_z62makezd2cgenzb0zzbackend_cvmz00, 0L, BUNSPEC, 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typeszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typesza71605za7,
		BGl_z62sawczd2typeszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2namezd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2nameza7d1606za7,
		BGl_z62sawczd2namezd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2heapzd2compatiblezd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2heapza7d1607za7,
		BGl_z62sawczd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2effectzb2zd2envzb2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2effect1608z00,
		BGl_z62cgenzd2effectzb2z02zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typezd2checkzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typeza7d1609za7,
		BGl_z62sawczd2typezd2checkz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2heapzd2compatiblezd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2heapza7d1610za7,
		BGl_z62cgenzd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2externzd2functionszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2extern1611z00,
		BGl_z62sawczd2externzd2functionszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typezd2checkzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typeza7d1612za7,
		BGl_z62sawczd2typezd2checkzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2callcczd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2callcc1613z00,
		BGl_z62cgenzd2callcczd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2boundzd2checkzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2boundza71614za7,
		BGl_z62cgenzd2boundzd2checkzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2foreignzd2clausezd2supportzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2foreign1615z00,
		BGl_z62cvmzd2foreignzd2clausezd2supportzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2tvectorzd2descrzd2supportzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2tvecto1616z00,
		BGl_z62cgenzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typedzd2funcallzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typedza71617za7,
		BGl_z62sawczd2typedzd2funcallz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2typedzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typedza7d1618za7,
		BGl_z62cvmzd2typedzd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typedzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typedza71619za7,
		BGl_z62cgenzd2typedzd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2functionszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2functio1620z00,
		BGl_z62cvmzd2functionszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2requirezd2tailczd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2requir1621z00,
		BGl_z62sawczd2requirezd2tailcz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2effectzb2zd2envzb2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2effect1622z00,
		BGl_z62sawczd2effectzb2z02zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2typezd2checkzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typeza7d21623za7,
		BGl_z62cvmzd2typezd2checkzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2effectzb2zd2setz12zd2envz72zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2effect1624z00,
		BGl_z62cgenzd2effectzb2zd2setz12zc2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2typedzd2funcallzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typedza7d1625za7,
		BGl_z62cvmzd2typedzd2funcallzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typedzd2eqzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typedza71626za7,
		BGl_z62cgenzd2typedzd2eqzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2debugzd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2debugza7d1627za7,
		BGl_z62cvmzd2debugzd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2qualifiedzd2typeszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2qualifi1628z00,
		BGl_z62cvmzd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2effectzb2zd2envzb2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2effectza71629za7,
		BGl_z62cvmzd2effectzb2z02zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2languagezd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2languag1630z00,
		BGl_z62cvmzd2languagezd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2srfi0zd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2srfi0za7d1631za7,
		BGl_z62cvmzd2srfi0zd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2variableszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2variab1632z00,
		BGl_z62cgenzd2variableszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2srfi0zd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2srfi0za71633za7,
		BGl_z62cgenzd2srfi0zd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2debugzd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2debugza71634za7,
		BGl_z62sawczd2debugzd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2externzd2typeszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2extern1635z00,
		BGl_z62sawczd2externzd2typeszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2srfi0zd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2srfi0za71636za7,
		BGl_z62cgenzd2srfi0zb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2variableszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2variab1637z00,
		BGl_z62sawczd2variableszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2removezd2emptyzd2letzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2removeza71638za7,
		BGl_z62cvmzd2removezd2emptyzd2letzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2srfi0zd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2srfi0za71639za7,
		BGl_z62sawczd2srfi0zb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2tvectorzd2descrzd2supportzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2tvecto1640z00,
		BGl_z62sawczd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2boundzd2checkzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2boundza71641za7,
		BGl_z62cgenzd2boundzd2checkz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2externzd2variableszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2externza71642za7,
		BGl_z62cvmzd2externzd2variablesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2callcczd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2callccza71643za7,
		BGl_z62cvmzd2callcczb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2callcczd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2callcc1644z00,
		BGl_z62sawczd2callcczd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2removezd2emptyzd2letzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2remove1645z00,
		BGl_z62cgenzd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2typeszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typesza7b1646za7,
		BGl_z62cvmzd2typeszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2externzd2typeszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2externza71647za7,
		BGl_z62cvmzd2externzd2typesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2externzd2variableszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2extern1648z00,
		BGl_z62cgenzd2externzd2variableszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2typeszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typesza7d1649za7,
		BGl_z62cvmzd2typeszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2heapzd2compatiblezd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2heapza7d1650za7,
		BGl_z62sawczd2heapzd2compatiblez62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2callcczd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2callccza71651za7,
		BGl_z62cvmzd2callcczd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2variableszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2variab1652z00,
		BGl_z62sawczd2variableszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typeszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typesza71653za7,
		BGl_z62cgenzd2typeszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2typezd2checkzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typeza7d21654za7,
		BGl_z62cvmzd2typezd2checkz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2languagezd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2langua1655z00,
		BGl_z62cgenzd2languagezd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2removezd2emptyzd2letzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2removeza71656za7,
		BGl_z62cvmzd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2heapzd2suffixzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2heapza7d1657za7,
		BGl_z62cgenzd2heapzd2suffixz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2qualifiedzd2typeszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2qualif1658z00,
		BGl_z62sawczd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2tracezd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2traceza7d1659za7,
		BGl_z62cvmzd2tracezd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2heapzd2suffixzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2heapza7d21660za7,
		BGl_z62cvmzd2heapzd2suffixzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2typezd2checkzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typeza7d1661za7,
		BGl_z62cgenzd2typezd2checkz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2qualifiedzd2typeszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2qualif1662z00,
		BGl_z62cgenzd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2heapzd2compatiblezd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2heapza7d21663za7,
		BGl_z62cvmzd2heapzd2compatiblez62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2externzd2variableszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2externza71664za7,
		BGl_z62cvmzd2externzd2variableszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2namezd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2nameza7b1665za7,
		BGl_z62cgenzd2namezb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2languagezd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2langua1666z00,
		BGl_z62cgenzd2languagezb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2typedzd2eqzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typedza71667za7,
		BGl_z62cgenzd2typedzd2eqz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2tvectorzd2descrzd2supportzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2tvecto1668z00,
		BGl_z62cgenzd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2typedzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typedza7b1669za7,
		BGl_z62cvmzd2typedzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2typedzd2eqzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2typedza71670za7,
		BGl_z62sawczd2typedzd2eqzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2nilzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2nilza7b01671za7, BGl_z62sawczd2nilzb0zzbackend_cvmz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2functionszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2functi1672z00,
		BGl_z62cgenzd2functionszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2callcczd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2callcc1673z00,
		BGl_z62cgenzd2callcczb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2removezd2emptyzd2letzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2remove1674z00,
		BGl_z62sawczd2removezd2emptyzd2letzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2variableszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2variab1675z00,
		BGl_z62cgenzd2variableszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2nilzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2nilza7b01676za7, BGl_z62cgenzd2nilzb0zzbackend_cvmz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2functionszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2functi1677z00,
		BGl_z62sawczd2functionszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2foreignzd2clausezd2supportzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2foreig1678z00,
		BGl_z62sawczd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2nilzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2nilza7b0za71679z00,
		BGl_z62cvmzd2nilzb0zzbackend_cvmz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2externzd2variableszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2extern1680z00,
		BGl_z62sawczd2externzd2variablesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzf3zd2envz21zzbackend_cvmz00,
		BgL_bgl_za762cgenza7f3za791za7za7b1681za7,
		BGl_z62cgenzf3z91zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2boundzd2checkzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2boundza71682za7,
		BGl_z62sawczd2boundzd2checkz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2tvectorzd2descrzd2supportzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2tvector1683z00,
		BGl_z62cvmzd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2pragmazd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2pragma1684z00,
		BGl_z62cgenzd2pragmazd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2pregisterszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2pregis1685z00,
		BGl_z62cgenzd2pregisterszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2externzd2functionszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2externza71686za7,
		BGl_z62cvmzd2externzd2functionsz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2externzd2typeszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2extern1687z00,
		BGl_z62sawczd2externzd2typesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2foreignzd2clausezd2supportzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2foreign1688z00,
		BGl_z62cvmzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2registerszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2registe1689z00,
		BGl_z62cvmzd2registerszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2boundzd2checkzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2boundza7d1690za7,
		BGl_z62cvmzd2boundzd2checkz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2foreignzd2closurezd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2foreig1691z00,
		BGl_z62cgenzd2foreignzd2closurez62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2externzd2functionszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2extern1692z00,
		BGl_z62cgenzd2externzd2functionszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2tracezd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2traceza71693za7,
		BGl_z62cgenzd2tracezd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2variableszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2variabl1694z00,
		BGl_z62cvmzd2variableszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2functionszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2functi1695z00,
		BGl_z62sawczd2functionszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2heapzd2suffixzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2heapza7d1696za7,
		BGl_z62sawczd2heapzd2suffixzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2heapzd2suffixzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2heapza7d1697za7,
		BGl_z62sawczd2heapzd2suffixz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2tvectorzd2descrzd2supportzd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2tvector1698z00,
		BGl_z62cvmzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sawczd2pregisterszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2pregis1699z00,
		BGl_z62sawczd2pregisterszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2removezd2emptyzd2letzd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2remove1700z00,
		BGl_z62cgenzd2removezd2emptyzd2letzb0zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2namezd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2nameza7d21701za7,
		BGl_z62cvmzd2namezd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2qualifiedzd2typeszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2qualif1702z00,
		BGl_z62cgenzd2qualifiedzd2typesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2externzd2variableszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2extern1703z00,
		BGl_z62cgenzd2externzd2variablesz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2externzd2functionszd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2externza71704za7,
		BGl_z62cvmzd2externzd2functionszd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2heapzd2suffixzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2heapza7d21705za7,
		BGl_z62cvmzd2heapzd2suffixz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2languagezd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2langua1706z00,
		BGl_z62sawczd2languagezd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2pragmazd2supportzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2pragma1707z00,
		BGl_z62sawczd2pragmazd2supportz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzf3zd2envz21zzbackend_cvmz00,
		BgL_bgl_za762cvmza7f3za791za7za7ba1708za7, BGl_z62cvmzf3z91zzbackend_cvmz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2typedzd2funcallzd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2typedza7d1709za7,
		BGl_z62cvmzd2typedzd2funcallz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2functionszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2functi1710z00,
		BGl_z62cgenzd2functionszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2effectzb2zd2setz12zd2envz72zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2effectza71711za7,
		BGl_z62cvmzd2effectzb2zd2setz12zc2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvmzd2requirezd2tailczd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2require1712z00,
		BGl_z62cvmzd2requirezd2tailcz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvmzd2namezd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cvmza7d2nameza7b01713za7, BGl_z62cvmzd2namezb0zzbackend_cvmz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2externzd2functionszd2envzd2zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2extern1714z00,
		BGl_z62sawczd2externzd2functionsz62zzbackend_cvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cgenzd2heapzd2suffixzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2heapza7d1715za7,
		BGl_z62cgenzd2heapzd2suffixzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2requirezd2tailczd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2requir1716z00,
		BGl_z62sawczd2requirezd2tailczd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2registerszd2setz12zd2envzc0zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2regist1717z00,
		BGl_z62sawczd2registerszd2setz12z70zzbackend_cvmz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sawczd2tracezd2supportzd2setz12zd2envz12zzbackend_cvmz00,
		BgL_bgl_za762sawcza7d2traceza71718za7,
		BGl_z62sawczd2tracezd2supportzd2setz12za2zzbackend_cvmz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cgenzd2typeszd2envz00zzbackend_cvmz00,
		BgL_bgl_za762cgenza7d2typesza71719za7,
		BGl_z62cgenzd2typeszb0zzbackend_cvmz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbackend_cvmz00));
		     ADD_ROOT((void *) (&BGl_cgenz00zzbackend_cvmz00));
		     ADD_ROOT((void *) (&BGl_sawcz00zzbackend_cvmz00));
		     ADD_ROOT((void *) (&BGl_cvmz00zzbackend_cvmz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_cvmz00(long
		BgL_checksumz00_1845, char *BgL_fromz00_1846)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_cvmz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_cvmz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_cvmz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_cvmz00();
					BGl_cnstzd2initzd2zzbackend_cvmz00();
					BGl_importedzd2moduleszd2initz00zzbackend_cvmz00();
					BGl_objectzd2initzd2zzbackend_cvmz00();
					return BGl_toplevelzd2initzd2zzbackend_cvmz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cvmz00(void)
	{
		{	/* BackEnd/cvm.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "backend_cvm");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "backend_cvm");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_cvm");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_cvm");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_cvm");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"backend_cvm");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_cvm");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_cvmz00(void)
	{
		{	/* BackEnd/cvm.scm 15 */
			{	/* BackEnd/cvm.scm 15 */
				obj_t BgL_cportz00_1727;

				{	/* BackEnd/cvm.scm 15 */
					obj_t BgL_stringz00_1734;

					BgL_stringz00_1734 = BGl_string1525z00zzbackend_cvmz00;
					{	/* BackEnd/cvm.scm 15 */
						obj_t BgL_startz00_1735;

						BgL_startz00_1735 = BINT(((long) 0));
						{	/* BackEnd/cvm.scm 15 */
							obj_t BgL_endz00_1736;

							BgL_endz00_1736 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1734)));
							{	/* BackEnd/cvm.scm 15 */

								BgL_cportz00_1727 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1734, BgL_startz00_1735, BgL_endz00_1736);
				}}}}
				{
					long BgL_iz00_1728;

					BgL_iz00_1728 = ((long) 4);
				BgL_loopz00_1729:
					if ((BgL_iz00_1728 == ((long) -1)))
						{	/* BackEnd/cvm.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/cvm.scm 15 */
							{	/* BackEnd/cvm.scm 15 */
								obj_t BgL_arg1526z00_1730;

								{	/* BackEnd/cvm.scm 15 */

									{	/* BackEnd/cvm.scm 15 */
										obj_t BgL_locationz00_1732;

										BgL_locationz00_1732 = BBOOL(((bool_t) 0));
										{	/* BackEnd/cvm.scm 15 */

											BgL_arg1526z00_1730 =
												BGl_readz00zz__readerz00(BgL_cportz00_1727,
												BgL_locationz00_1732);
										}
									}
								}
								{	/* BackEnd/cvm.scm 15 */
									int BgL_tmpz00_1872;

									BgL_tmpz00_1872 = (int) (BgL_iz00_1728);
									CNST_TABLE_SET(BgL_tmpz00_1872, BgL_arg1526z00_1730);
							}}
							{	/* BackEnd/cvm.scm 15 */
								int BgL_auxz00_1733;

								BgL_auxz00_1733 = (int) ((BgL_iz00_1728 - ((long) 1)));
								{
									long BgL_iz00_1877;

									BgL_iz00_1877 = (long) (BgL_auxz00_1733);
									BgL_iz00_1728 = BgL_iz00_1877;
									goto BgL_loopz00_1729;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_cvmz00(void)
	{
		{	/* BackEnd/cvm.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_cvmz00(void)
	{
		{	/* BackEnd/cvm.scm 15 */
			return BUNSPEC;
		}

	}



/* cvm? */
	BGL_EXPORTED_DEF bool_t BGl_cvmzf3zf3zzbackend_cvmz00(obj_t BgL_objz00_3)
	{
		{	/* BackEnd/cvm.sch 208 */
			{	/* BackEnd/cvm.sch 208 */
				obj_t BgL_classz00_1738;

				BgL_classz00_1738 = BGl_cvmz00zzbackend_cvmz00;
				if (BGL_OBJECTP(BgL_objz00_3))
					{	/* BackEnd/cvm.sch 208 */
						BgL_objectz00_bglt BgL_arg1820z00_1739;

						BgL_arg1820z00_1739 = (BgL_objectz00_bglt) (BgL_objz00_3);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* BackEnd/cvm.sch 208 */
								long BgL_idxz00_1740;

								BgL_idxz00_1740 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1739);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1740 + ((long) 2))) == BgL_classz00_1738);
							}
						else
							{	/* BackEnd/cvm.sch 208 */
								bool_t BgL_res1511z00_1743;

								{	/* BackEnd/cvm.sch 208 */
									obj_t BgL_oclassz00_1744;

									{	/* BackEnd/cvm.sch 208 */
										long BgL_arg1828z00_1745;

										{	/* BackEnd/cvm.sch 208 */
											long BgL_arg1829z00_1746;

											BgL_arg1829z00_1746 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1739);
											BgL_arg1828z00_1745 = (BgL_arg1829z00_1746 - OBJECT_TYPE);
										}
										BgL_oclassz00_1744 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_1745);
									}
									{	/* BackEnd/cvm.sch 208 */
										bool_t BgL__ortest_1111z00_1747;

										BgL__ortest_1111z00_1747 =
											(BgL_classz00_1738 == BgL_oclassz00_1744);
										if (BgL__ortest_1111z00_1747)
											{	/* BackEnd/cvm.sch 208 */
												BgL_res1511z00_1743 = BgL__ortest_1111z00_1747;
											}
										else
											{	/* BackEnd/cvm.sch 208 */
												long BgL_odepthz00_1748;

												BgL_odepthz00_1748 =
													BGL_CLASS_DEPTH(BgL_oclassz00_1744);
												if ((((long) 2) < BgL_odepthz00_1748))
													{	/* BackEnd/cvm.sch 208 */
														obj_t BgL_arg1816z00_1749;

														BgL_arg1816z00_1749 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1744,
															((long) 2));
														BgL_res1511z00_1743 =
															(BgL_arg1816z00_1749 == BgL_classz00_1738);
													}
												else
													{	/* BackEnd/cvm.sch 208 */
														BgL_res1511z00_1743 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1511z00_1743;
							}
					}
				else
					{	/* BackEnd/cvm.sch 208 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cvm? */
	obj_t BGl_z62cvmzf3z91zzbackend_cvmz00(obj_t BgL_envz00_1144,
		obj_t BgL_objz00_1145)
	{
		{	/* BackEnd/cvm.sch 208 */
			return BBOOL(BGl_cvmzf3zf3zzbackend_cvmz00(BgL_objz00_1145));
		}

	}



/* cvm-nil */
	BGL_EXPORTED_DEF BgL_cvmz00_bglt BGl_cvmzd2nilzd2zzbackend_cvmz00(void)
	{
		{	/* BackEnd/cvm.sch 209 */
			{	/* BackEnd/cvm.sch 209 */
				obj_t BgL_classz00_865;

				BgL_classz00_865 = BGl_cvmz00zzbackend_cvmz00;
				{	/* BackEnd/cvm.sch 209 */
					obj_t BgL__ortest_1113z00_866;

					BgL__ortest_1113z00_866 = BGL_CLASS_NIL(BgL_classz00_865);
					if (CBOOL(BgL__ortest_1113z00_866))
						{	/* BackEnd/cvm.sch 209 */
							return ((BgL_cvmz00_bglt) BgL__ortest_1113z00_866);
						}
					else
						{	/* BackEnd/cvm.sch 209 */
							return
								((BgL_cvmz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_865));
						}
				}
			}
		}

	}



/* &cvm-nil */
	BgL_cvmz00_bglt BGl_z62cvmzd2nilzb0zzbackend_cvmz00(obj_t BgL_envz00_1146)
	{
		{	/* BackEnd/cvm.sch 209 */
			return BGl_cvmzd2nilzd2zzbackend_cvmz00();
		}

	}



/* cvm-typed-funcall */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2typedzd2funcallz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_4)
	{
		{	/* BackEnd/cvm.sch 210 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_4)))->BgL_typedzd2funcallzd2);
		}

	}



/* &cvm-typed-funcall */
	obj_t BGl_z62cvmzd2typedzd2funcallz62zzbackend_cvmz00(obj_t BgL_envz00_1147,
		obj_t BgL_oz00_1148)
	{
		{	/* BackEnd/cvm.sch 210 */
			return
				BBOOL(BGl_cvmzd2typedzd2funcallz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1148)));
		}

	}



/* cvm-typed-funcall-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_5, bool_t BgL_vz00_6)
	{
		{	/* BackEnd/cvm.sch 211 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_5)))->BgL_typedzd2funcallzd2) =
				((bool_t) BgL_vz00_6), BUNSPEC);
		}

	}



/* &cvm-typed-funcall-set! */
	obj_t BGl_z62cvmzd2typedzd2funcallzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1149, obj_t BgL_oz00_1150, obj_t BgL_vz00_1151)
	{
		{	/* BackEnd/cvm.sch 211 */
			return
				BGl_cvmzd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1150), CBOOL(BgL_vz00_1151));
		}

	}



/* cvm-type-check */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2typezd2checkz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_7)
	{
		{	/* BackEnd/cvm.sch 212 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_7)))->BgL_typezd2checkzd2);
		}

	}



/* &cvm-type-check */
	obj_t BGl_z62cvmzd2typezd2checkz62zzbackend_cvmz00(obj_t BgL_envz00_1152,
		obj_t BgL_oz00_1153)
	{
		{	/* BackEnd/cvm.sch 212 */
			return
				BBOOL(BGl_cvmzd2typezd2checkz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1153)));
		}

	}



/* cvm-type-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2typezd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_8, bool_t BgL_vz00_9)
	{
		{	/* BackEnd/cvm.sch 213 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_8)))->BgL_typezd2checkzd2) =
				((bool_t) BgL_vz00_9), BUNSPEC);
		}

	}



/* &cvm-type-check-set! */
	obj_t BGl_z62cvmzd2typezd2checkzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1154, obj_t BgL_oz00_1155, obj_t BgL_vz00_1156)
	{
		{	/* BackEnd/cvm.sch 213 */
			return
				BGl_cvmzd2typezd2checkzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1155), CBOOL(BgL_vz00_1156));
		}

	}



/* cvm-bound-check */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2boundzd2checkz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_10)
	{
		{	/* BackEnd/cvm.sch 214 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_10)))->BgL_boundzd2checkzd2);
		}

	}



/* &cvm-bound-check */
	obj_t BGl_z62cvmzd2boundzd2checkz62zzbackend_cvmz00(obj_t BgL_envz00_1157,
		obj_t BgL_oz00_1158)
	{
		{	/* BackEnd/cvm.sch 214 */
			return
				BBOOL(BGl_cvmzd2boundzd2checkz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1158)));
		}

	}



/* cvm-bound-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_11, bool_t BgL_vz00_12)
	{
		{	/* BackEnd/cvm.sch 215 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_11)))->BgL_boundzd2checkzd2) =
				((bool_t) BgL_vz00_12), BUNSPEC);
		}

	}



/* &cvm-bound-check-set! */
	obj_t BGl_z62cvmzd2boundzd2checkzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1159, obj_t BgL_oz00_1160, obj_t BgL_vz00_1161)
	{
		{	/* BackEnd/cvm.sch 215 */
			return
				BGl_cvmzd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1160), CBOOL(BgL_vz00_1161));
		}

	}



/* cvm-pregisters */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2pregisterszd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_13)
	{
		{	/* BackEnd/cvm.sch 216 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_13)))->BgL_pregistersz00);
		}

	}



/* &cvm-pregisters */
	obj_t BGl_z62cvmzd2pregisterszb0zzbackend_cvmz00(obj_t BgL_envz00_1162,
		obj_t BgL_oz00_1163)
	{
		{	/* BackEnd/cvm.sch 216 */
			return
				BGl_cvmzd2pregisterszd2zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1163));
		}

	}



/* cvm-pregisters-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2pregisterszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_14, obj_t BgL_vz00_15)
	{
		{	/* BackEnd/cvm.sch 217 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_14)))->BgL_pregistersz00) =
				((obj_t) BgL_vz00_15), BUNSPEC);
		}

	}



/* &cvm-pregisters-set! */
	obj_t BGl_z62cvmzd2pregisterszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1164, obj_t BgL_oz00_1165, obj_t BgL_vz00_1166)
	{
		{	/* BackEnd/cvm.sch 217 */
			return
				BGl_cvmzd2pregisterszd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1165), BgL_vz00_1166);
		}

	}



/* cvm-registers */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2registerszd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_16)
	{
		{	/* BackEnd/cvm.sch 218 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_16)))->BgL_registersz00);
		}

	}



/* &cvm-registers */
	obj_t BGl_z62cvmzd2registerszb0zzbackend_cvmz00(obj_t BgL_envz00_1167,
		obj_t BgL_oz00_1168)
	{
		{	/* BackEnd/cvm.sch 218 */
			return
				BGl_cvmzd2registerszd2zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1168));
		}

	}



/* cvm-registers-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2registerszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_17,
		obj_t BgL_vz00_18)
	{
		{	/* BackEnd/cvm.sch 219 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_17)))->BgL_registersz00) =
				((obj_t) BgL_vz00_18), BUNSPEC);
		}

	}



/* &cvm-registers-set! */
	obj_t BGl_z62cvmzd2registerszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1169, obj_t BgL_oz00_1170, obj_t BgL_vz00_1171)
	{
		{	/* BackEnd/cvm.sch 219 */
			return
				BGl_cvmzd2registerszd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1170), BgL_vz00_1171);
		}

	}



/* cvm-require-tailc */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2requirezd2tailcz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_19)
	{
		{	/* BackEnd/cvm.sch 220 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_19)))->BgL_requirezd2tailczd2);
		}

	}



/* &cvm-require-tailc */
	obj_t BGl_z62cvmzd2requirezd2tailcz62zzbackend_cvmz00(obj_t BgL_envz00_1172,
		obj_t BgL_oz00_1173)
	{
		{	/* BackEnd/cvm.sch 220 */
			return
				BBOOL(BGl_cvmzd2requirezd2tailcz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1173)));
		}

	}



/* cvm-require-tailc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_20, bool_t BgL_vz00_21)
	{
		{	/* BackEnd/cvm.sch 221 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_20)))->BgL_requirezd2tailczd2) =
				((bool_t) BgL_vz00_21), BUNSPEC);
		}

	}



/* &cvm-require-tailc-set! */
	obj_t BGl_z62cvmzd2requirezd2tailczd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1174, obj_t BgL_oz00_1175, obj_t BgL_vz00_1176)
	{
		{	/* BackEnd/cvm.sch 221 */
			return
				BGl_cvmzd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1175), CBOOL(BgL_vz00_1176));
		}

	}



/* cvm-tvector-descr-support */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_22)
	{
		{	/* BackEnd/cvm.sch 222 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_22)))->
				BgL_tvectorzd2descrzd2supportz00);
		}

	}



/* &cvm-tvector-descr-support */
	obj_t BGl_z62cvmzd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1177, obj_t BgL_oz00_1178)
	{
		{	/* BackEnd/cvm.sch 222 */
			return
				BBOOL(BGl_cvmzd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1178)));
		}

	}



/* cvm-tvector-descr-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cvmz00_bglt BgL_oz00_23, bool_t BgL_vz00_24)
	{
		{	/* BackEnd/cvm.sch 223 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_23)))->
					BgL_tvectorzd2descrzd2supportz00) = ((bool_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &cvm-tvector-descr-support-set! */
	obj_t BGl_z62cvmzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1179, obj_t BgL_oz00_1180, obj_t BgL_vz00_1181)
	{
		{	/* BackEnd/cvm.sch 223 */
			return
				BGl_cvmzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1180), CBOOL(BgL_vz00_1181));
		}

	}



/* cvm-pragma-support */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2pragmazd2supportz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_25)
	{
		{	/* BackEnd/cvm.sch 224 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_25)))->BgL_pragmazd2supportzd2);
		}

	}



/* &cvm-pragma-support */
	obj_t BGl_z62cvmzd2pragmazd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1182,
		obj_t BgL_oz00_1183)
	{
		{	/* BackEnd/cvm.sch 224 */
			return
				BBOOL(BGl_cvmzd2pragmazd2supportz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1183)));
		}

	}



/* cvm-pragma-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_26, bool_t BgL_vz00_27)
	{
		{	/* BackEnd/cvm.sch 225 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_26)))->BgL_pragmazd2supportzd2) =
				((bool_t) BgL_vz00_27), BUNSPEC);
		}

	}



/* &cvm-pragma-support-set! */
	obj_t BGl_z62cvmzd2pragmazd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1184, obj_t BgL_oz00_1185, obj_t BgL_vz00_1186)
	{
		{	/* BackEnd/cvm.sch 225 */
			return
				BGl_cvmzd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1185), CBOOL(BgL_vz00_1186));
		}

	}



/* cvm-debug-support */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2debugzd2supportz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_28)
	{
		{	/* BackEnd/cvm.sch 226 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_28)))->BgL_debugzd2supportzd2);
		}

	}



/* &cvm-debug-support */
	obj_t BGl_z62cvmzd2debugzd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1187,
		obj_t BgL_oz00_1188)
	{
		{	/* BackEnd/cvm.sch 226 */
			return
				BGl_cvmzd2debugzd2supportz00zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1188));
		}

	}



/* cvm-debug-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* BackEnd/cvm.sch 227 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_29)))->BgL_debugzd2supportzd2) =
				((obj_t) BgL_vz00_30), BUNSPEC);
		}

	}



/* &cvm-debug-support-set! */
	obj_t BGl_z62cvmzd2debugzd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1189, obj_t BgL_oz00_1190, obj_t BgL_vz00_1191)
	{
		{	/* BackEnd/cvm.sch 227 */
			return
				BGl_cvmzd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1190), BgL_vz00_1191);
		}

	}



/* cvm-foreign-clause-support */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_31)
	{
		{	/* BackEnd/cvm.sch 228 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_31)))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &cvm-foreign-clause-support */
	obj_t BGl_z62cvmzd2foreignzd2clausezd2supportzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1192, obj_t BgL_oz00_1193)
	{
		{	/* BackEnd/cvm.sch 228 */
			return
				BGl_cvmzd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1193));
		}

	}



/* cvm-foreign-clause-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cvmz00_bglt BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* BackEnd/cvm.sch 229 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_32)))->
					BgL_foreignzd2clausezd2supportz00) = ((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &cvm-foreign-clause-support-set! */
	obj_t
		BGl_z62cvmzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1194, obj_t BgL_oz00_1195, obj_t BgL_vz00_1196)
	{
		{	/* BackEnd/cvm.sch 229 */
			return
				BGl_cvmzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1195), BgL_vz00_1196);
		}

	}



/* cvm-trace-support */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2tracezd2supportz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_34)
	{
		{	/* BackEnd/cvm.sch 230 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_34)))->BgL_tracezd2supportzd2);
		}

	}



/* &cvm-trace-support */
	obj_t BGl_z62cvmzd2tracezd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1197,
		obj_t BgL_oz00_1198)
	{
		{	/* BackEnd/cvm.sch 230 */
			return
				BBOOL(BGl_cvmzd2tracezd2supportz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1198)));
		}

	}



/* cvm-trace-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_35, bool_t BgL_vz00_36)
	{
		{	/* BackEnd/cvm.sch 231 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_35)))->BgL_tracezd2supportzd2) =
				((bool_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &cvm-trace-support-set! */
	obj_t BGl_z62cvmzd2tracezd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1199, obj_t BgL_oz00_1200, obj_t BgL_vz00_1201)
	{
		{	/* BackEnd/cvm.sch 231 */
			return
				BGl_cvmzd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1200), CBOOL(BgL_vz00_1201));
		}

	}



/* cvm-typed-eq */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2typedzd2eqz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_37)
	{
		{	/* BackEnd/cvm.sch 232 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_37)))->BgL_typedzd2eqzd2);
		}

	}



/* &cvm-typed-eq */
	obj_t BGl_z62cvmzd2typedzd2eqz62zzbackend_cvmz00(obj_t BgL_envz00_1202,
		obj_t BgL_oz00_1203)
	{
		{	/* BackEnd/cvm.sch 232 */
			return
				BBOOL(BGl_cvmzd2typedzd2eqz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1203)));
		}

	}



/* cvm-typed-eq-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_38, bool_t BgL_vz00_39)
	{
		{	/* BackEnd/cvm.sch 233 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_38)))->BgL_typedzd2eqzd2) =
				((bool_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &cvm-typed-eq-set! */
	obj_t BGl_z62cvmzd2typedzd2eqzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1204, obj_t BgL_oz00_1205, obj_t BgL_vz00_1206)
	{
		{	/* BackEnd/cvm.sch 233 */
			return
				BGl_cvmzd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1205), CBOOL(BgL_vz00_1206));
		}

	}



/* cvm-foreign-closure */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2foreignzd2closurez00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_40)
	{
		{	/* BackEnd/cvm.sch 234 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_40)))->BgL_foreignzd2closurezd2);
		}

	}



/* &cvm-foreign-closure */
	obj_t BGl_z62cvmzd2foreignzd2closurez62zzbackend_cvmz00(obj_t BgL_envz00_1207,
		obj_t BgL_oz00_1208)
	{
		{	/* BackEnd/cvm.sch 234 */
			return
				BBOOL(BGl_cvmzd2foreignzd2closurez00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1208)));
		}

	}



/* cvm-foreign-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_41, bool_t BgL_vz00_42)
	{
		{	/* BackEnd/cvm.sch 235 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_41)))->BgL_foreignzd2closurezd2) =
				((bool_t) BgL_vz00_42), BUNSPEC);
		}

	}



/* &cvm-foreign-closure-set! */
	obj_t BGl_z62cvmzd2foreignzd2closurezd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1209, obj_t BgL_oz00_1210, obj_t BgL_vz00_1211)
	{
		{	/* BackEnd/cvm.sch 235 */
			return
				BGl_cvmzd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1210), CBOOL(BgL_vz00_1211));
		}

	}



/* cvm-remove-empty-let */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2removezd2emptyzd2letzd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_43)
	{
		{	/* BackEnd/cvm.sch 236 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_43)))->BgL_removezd2emptyzd2letz00);
		}

	}



/* &cvm-remove-empty-let */
	obj_t BGl_z62cvmzd2removezd2emptyzd2letzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1212, obj_t BgL_oz00_1213)
	{
		{	/* BackEnd/cvm.sch 236 */
			return
				BBOOL(BGl_cvmzd2removezd2emptyzd2letzd2zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1213)));
		}

	}



/* cvm-remove-empty-let-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_44, bool_t BgL_vz00_45)
	{
		{	/* BackEnd/cvm.sch 237 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_44)))->
					BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &cvm-remove-empty-let-set! */
	obj_t BGl_z62cvmzd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1214, obj_t BgL_oz00_1215, obj_t BgL_vz00_1216)
	{
		{	/* BackEnd/cvm.sch 237 */
			return
				BGl_cvmzd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1215), CBOOL(BgL_vz00_1216));
		}

	}



/* cvm-effect+ */
	BGL_EXPORTED_DEF bool_t BGl_cvmzd2effectzb2z60zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_46)
	{
		{	/* BackEnd/cvm.sch 238 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_46)))->BgL_effectzb2zb2);
		}

	}



/* &cvm-effect+ */
	obj_t BGl_z62cvmzd2effectzb2z02zzbackend_cvmz00(obj_t BgL_envz00_1217,
		obj_t BgL_oz00_1218)
	{
		{	/* BackEnd/cvm.sch 238 */
			return
				BBOOL(BGl_cvmzd2effectzb2z60zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1218)));
		}

	}



/* cvm-effect+-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2effectzb2zd2setz12za0zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_47,
		bool_t BgL_vz00_48)
	{
		{	/* BackEnd/cvm.sch 239 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_47)))->BgL_effectzb2zb2) =
				((bool_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &cvm-effect+-set! */
	obj_t BGl_z62cvmzd2effectzb2zd2setz12zc2zzbackend_cvmz00(obj_t
		BgL_envz00_1219, obj_t BgL_oz00_1220, obj_t BgL_vz00_1221)
	{
		{	/* BackEnd/cvm.sch 239 */
			return
				BGl_cvmzd2effectzb2zd2setz12za0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1220), CBOOL(BgL_vz00_1221));
		}

	}



/* cvm-qualified-types */
	BGL_EXPORTED_DEF bool_t
		BGl_cvmzd2qualifiedzd2typesz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_49)
	{
		{	/* BackEnd/cvm.sch 240 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_49)))->BgL_qualifiedzd2typeszd2);
		}

	}



/* &cvm-qualified-types */
	obj_t BGl_z62cvmzd2qualifiedzd2typesz62zzbackend_cvmz00(obj_t BgL_envz00_1222,
		obj_t BgL_oz00_1223)
	{
		{	/* BackEnd/cvm.sch 240 */
			return
				BBOOL(BGl_cvmzd2qualifiedzd2typesz00zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1223)));
		}

	}



/* cvm-qualified-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_50, bool_t BgL_vz00_51)
	{
		{	/* BackEnd/cvm.sch 241 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_50)))->BgL_qualifiedzd2typeszd2) =
				((bool_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &cvm-qualified-types-set! */
	obj_t BGl_z62cvmzd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1224, obj_t BgL_oz00_1225, obj_t BgL_vz00_1226)
	{
		{	/* BackEnd/cvm.sch 241 */
			return
				BGl_cvmzd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1225), CBOOL(BgL_vz00_1226));
		}

	}



/* cvm-callcc */
	BGL_EXPORTED_DEF bool_t BGl_cvmzd2callcczd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_52)
	{
		{	/* BackEnd/cvm.sch 242 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_52)))->BgL_callccz00);
		}

	}



/* &cvm-callcc */
	obj_t BGl_z62cvmzd2callcczb0zzbackend_cvmz00(obj_t BgL_envz00_1227,
		obj_t BgL_oz00_1228)
	{
		{	/* BackEnd/cvm.sch 242 */
			return
				BBOOL(BGl_cvmzd2callcczd2zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1228)));
		}

	}



/* cvm-callcc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2callcczd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_53,
		bool_t BgL_vz00_54)
	{
		{	/* BackEnd/cvm.sch 243 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_53)))->BgL_callccz00) =
				((bool_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &cvm-callcc-set! */
	obj_t BGl_z62cvmzd2callcczd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1229,
		obj_t BgL_oz00_1230, obj_t BgL_vz00_1231)
	{
		{	/* BackEnd/cvm.sch 243 */
			return
				BGl_cvmzd2callcczd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1230), CBOOL(BgL_vz00_1231));
		}

	}



/* cvm-heap-compatible */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2heapzd2compatiblez00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_55)
	{
		{	/* BackEnd/cvm.sch 244 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_55)))->BgL_heapzd2compatiblezd2);
		}

	}



/* &cvm-heap-compatible */
	obj_t BGl_z62cvmzd2heapzd2compatiblez62zzbackend_cvmz00(obj_t BgL_envz00_1232,
		obj_t BgL_oz00_1233)
	{
		{	/* BackEnd/cvm.sch 244 */
			return
				BGl_cvmzd2heapzd2compatiblez00zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1233));
		}

	}



/* cvm-heap-compatible-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_56, obj_t BgL_vz00_57)
	{
		{	/* BackEnd/cvm.sch 245 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_56)))->BgL_heapzd2compatiblezd2) =
				((obj_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &cvm-heap-compatible-set! */
	obj_t BGl_z62cvmzd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1234, obj_t BgL_oz00_1235, obj_t BgL_vz00_1236)
	{
		{	/* BackEnd/cvm.sch 245 */
			return
				BGl_cvmzd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1235), BgL_vz00_1236);
		}

	}



/* cvm-heap-suffix */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2heapzd2suffixz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_58)
	{
		{	/* BackEnd/cvm.sch 246 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_58)))->BgL_heapzd2suffixzd2);
		}

	}



/* &cvm-heap-suffix */
	obj_t BGl_z62cvmzd2heapzd2suffixz62zzbackend_cvmz00(obj_t BgL_envz00_1237,
		obj_t BgL_oz00_1238)
	{
		{	/* BackEnd/cvm.sch 246 */
			return
				BGl_cvmzd2heapzd2suffixz00zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1238));
		}

	}



/* cvm-heap-suffix-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* BackEnd/cvm.sch 247 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_59)))->BgL_heapzd2suffixzd2) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &cvm-heap-suffix-set! */
	obj_t BGl_z62cvmzd2heapzd2suffixzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1239, obj_t BgL_oz00_1240, obj_t BgL_vz00_1241)
	{
		{	/* BackEnd/cvm.sch 247 */
			return
				BGl_cvmzd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1240), BgL_vz00_1241);
		}

	}



/* cvm-typed */
	BGL_EXPORTED_DEF bool_t BGl_cvmzd2typedzd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_61)
	{
		{	/* BackEnd/cvm.sch 248 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_61)))->BgL_typedz00);
		}

	}



/* &cvm-typed */
	obj_t BGl_z62cvmzd2typedzb0zzbackend_cvmz00(obj_t BgL_envz00_1242,
		obj_t BgL_oz00_1243)
	{
		{	/* BackEnd/cvm.sch 248 */
			return
				BBOOL(BGl_cvmzd2typedzd2zzbackend_cvmz00(
					((BgL_cvmz00_bglt) BgL_oz00_1243)));
		}

	}



/* cvm-typed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2typedzd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_62,
		bool_t BgL_vz00_63)
	{
		{	/* BackEnd/cvm.sch 249 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_62)))->BgL_typedz00) =
				((bool_t) BgL_vz00_63), BUNSPEC);
		}

	}



/* &cvm-typed-set! */
	obj_t BGl_z62cvmzd2typedzd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1244,
		obj_t BgL_oz00_1245, obj_t BgL_vz00_1246)
	{
		{	/* BackEnd/cvm.sch 249 */
			return
				BGl_cvmzd2typedzd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1245), CBOOL(BgL_vz00_1246));
		}

	}



/* cvm-types */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2typeszd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_64)
	{
		{	/* BackEnd/cvm.sch 250 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_64)))->BgL_typesz00);
		}

	}



/* &cvm-types */
	obj_t BGl_z62cvmzd2typeszb0zzbackend_cvmz00(obj_t BgL_envz00_1247,
		obj_t BgL_oz00_1248)
	{
		{	/* BackEnd/cvm.sch 250 */
			return
				BGl_cvmzd2typeszd2zzbackend_cvmz00(((BgL_cvmz00_bglt) BgL_oz00_1248));
		}

	}



/* cvm-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2typeszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_65,
		obj_t BgL_vz00_66)
	{
		{	/* BackEnd/cvm.sch 251 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_65)))->BgL_typesz00) =
				((obj_t) BgL_vz00_66), BUNSPEC);
		}

	}



/* &cvm-types-set! */
	obj_t BGl_z62cvmzd2typeszd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1249,
		obj_t BgL_oz00_1250, obj_t BgL_vz00_1251)
	{
		{	/* BackEnd/cvm.sch 251 */
			return
				BGl_cvmzd2typeszd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1250), BgL_vz00_1251);
		}

	}



/* cvm-functions */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2functionszd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_67)
	{
		{	/* BackEnd/cvm.sch 252 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_67)))->BgL_functionsz00);
		}

	}



/* &cvm-functions */
	obj_t BGl_z62cvmzd2functionszb0zzbackend_cvmz00(obj_t BgL_envz00_1252,
		obj_t BgL_oz00_1253)
	{
		{	/* BackEnd/cvm.sch 252 */
			return
				BGl_cvmzd2functionszd2zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1253));
		}

	}



/* cvm-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2functionszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_68,
		obj_t BgL_vz00_69)
	{
		{	/* BackEnd/cvm.sch 253 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_68)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_69), BUNSPEC);
		}

	}



/* &cvm-functions-set! */
	obj_t BGl_z62cvmzd2functionszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1254, obj_t BgL_oz00_1255, obj_t BgL_vz00_1256)
	{
		{	/* BackEnd/cvm.sch 253 */
			return
				BGl_cvmzd2functionszd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1255), BgL_vz00_1256);
		}

	}



/* cvm-variables */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2variableszd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_70)
	{
		{	/* BackEnd/cvm.sch 254 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_70)))->BgL_variablesz00);
		}

	}



/* &cvm-variables */
	obj_t BGl_z62cvmzd2variableszb0zzbackend_cvmz00(obj_t BgL_envz00_1257,
		obj_t BgL_oz00_1258)
	{
		{	/* BackEnd/cvm.sch 254 */
			return
				BGl_cvmzd2variableszd2zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1258));
		}

	}



/* cvm-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2variableszd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_71,
		obj_t BgL_vz00_72)
	{
		{	/* BackEnd/cvm.sch 255 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_71)))->BgL_variablesz00) =
				((obj_t) BgL_vz00_72), BUNSPEC);
		}

	}



/* &cvm-variables-set! */
	obj_t BGl_z62cvmzd2variableszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1259, obj_t BgL_oz00_1260, obj_t BgL_vz00_1261)
	{
		{	/* BackEnd/cvm.sch 255 */
			return
				BGl_cvmzd2variableszd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1260), BgL_vz00_1261);
		}

	}



/* cvm-extern-types */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2externzd2typesz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_73)
	{
		{	/* BackEnd/cvm.sch 256 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_73)))->BgL_externzd2typeszd2);
		}

	}



/* &cvm-extern-types */
	obj_t BGl_z62cvmzd2externzd2typesz62zzbackend_cvmz00(obj_t BgL_envz00_1262,
		obj_t BgL_oz00_1263)
	{
		{	/* BackEnd/cvm.sch 256 */
			return
				BGl_cvmzd2externzd2typesz00zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1263));
		}

	}



/* cvm-extern-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2externzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_74, obj_t BgL_vz00_75)
	{
		{	/* BackEnd/cvm.sch 257 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_74)))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &cvm-extern-types-set! */
	obj_t BGl_z62cvmzd2externzd2typeszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1264, obj_t BgL_oz00_1265, obj_t BgL_vz00_1266)
	{
		{	/* BackEnd/cvm.sch 257 */
			return
				BGl_cvmzd2externzd2typeszd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1265), BgL_vz00_1266);
		}

	}



/* cvm-extern-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2externzd2functionsz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_76)
	{
		{	/* BackEnd/cvm.sch 258 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_76)))->BgL_externzd2functionszd2);
		}

	}



/* &cvm-extern-functions */
	obj_t BGl_z62cvmzd2externzd2functionsz62zzbackend_cvmz00(obj_t
		BgL_envz00_1267, obj_t BgL_oz00_1268)
	{
		{	/* BackEnd/cvm.sch 258 */
			return
				BGl_cvmzd2externzd2functionsz00zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1268));
		}

	}



/* cvm-extern-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2externzd2functionszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_77, obj_t BgL_vz00_78)
	{
		{	/* BackEnd/cvm.sch 259 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_77)))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_78), BUNSPEC);
		}

	}



/* &cvm-extern-functions-set! */
	obj_t BGl_z62cvmzd2externzd2functionszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1269, obj_t BgL_oz00_1270, obj_t BgL_vz00_1271)
	{
		{	/* BackEnd/cvm.sch 259 */
			return
				BGl_cvmzd2externzd2functionszd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1270), BgL_vz00_1271);
		}

	}



/* cvm-extern-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2externzd2variablesz00zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_79)
	{
		{	/* BackEnd/cvm.sch 260 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_79)))->BgL_externzd2variableszd2);
		}

	}



/* &cvm-extern-variables */
	obj_t BGl_z62cvmzd2externzd2variablesz62zzbackend_cvmz00(obj_t
		BgL_envz00_1272, obj_t BgL_oz00_1273)
	{
		{	/* BackEnd/cvm.sch 260 */
			return
				BGl_cvmzd2externzd2variablesz00zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1273));
		}

	}



/* cvm-extern-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2externzd2variableszd2setz12zc0zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_80, obj_t BgL_vz00_81)
	{
		{	/* BackEnd/cvm.sch 261 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_80)))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_81), BUNSPEC);
		}

	}



/* &cvm-extern-variables-set! */
	obj_t BGl_z62cvmzd2externzd2variableszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1274, obj_t BgL_oz00_1275, obj_t BgL_vz00_1276)
	{
		{	/* BackEnd/cvm.sch 261 */
			return
				BGl_cvmzd2externzd2variableszd2setz12zc0zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1275), BgL_vz00_1276);
		}

	}



/* cvm-name */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2namezd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_82)
	{
		{	/* BackEnd/cvm.sch 262 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_82)))->BgL_namez00);
		}

	}



/* &cvm-name */
	obj_t BGl_z62cvmzd2namezb0zzbackend_cvmz00(obj_t BgL_envz00_1277,
		obj_t BgL_oz00_1278)
	{
		{	/* BackEnd/cvm.sch 262 */
			return
				BGl_cvmzd2namezd2zzbackend_cvmz00(((BgL_cvmz00_bglt) BgL_oz00_1278));
		}

	}



/* cvm-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2namezd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_83,
		obj_t BgL_vz00_84)
	{
		{	/* BackEnd/cvm.sch 263 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_83)))->BgL_namez00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &cvm-name-set! */
	obj_t BGl_z62cvmzd2namezd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1279,
		obj_t BgL_oz00_1280, obj_t BgL_vz00_1281)
	{
		{	/* BackEnd/cvm.sch 263 */
			return
				BGl_cvmzd2namezd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1280), BgL_vz00_1281);
		}

	}



/* cvm-srfi0 */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2srfi0zd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_85)
	{
		{	/* BackEnd/cvm.sch 264 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_85)))->BgL_srfi0z00);
		}

	}



/* &cvm-srfi0 */
	obj_t BGl_z62cvmzd2srfi0zb0zzbackend_cvmz00(obj_t BgL_envz00_1282,
		obj_t BgL_oz00_1283)
	{
		{	/* BackEnd/cvm.sch 264 */
			return
				BGl_cvmzd2srfi0zd2zzbackend_cvmz00(((BgL_cvmz00_bglt) BgL_oz00_1283));
		}

	}



/* cvm-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2srfi0zd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_86,
		obj_t BgL_vz00_87)
	{
		{	/* BackEnd/cvm.sch 265 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_86)))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}

	}



/* &cvm-srfi0-set! */
	obj_t BGl_z62cvmzd2srfi0zd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1284,
		obj_t BgL_oz00_1285, obj_t BgL_vz00_1286)
	{
		{	/* BackEnd/cvm.sch 265 */
			return
				BGl_cvmzd2srfi0zd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1285), BgL_vz00_1286);
		}

	}



/* cvm-language */
	BGL_EXPORTED_DEF obj_t BGl_cvmzd2languagezd2zzbackend_cvmz00(BgL_cvmz00_bglt
		BgL_oz00_88)
	{
		{	/* BackEnd/cvm.sch 266 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_88)))->BgL_languagez00);
		}

	}



/* &cvm-language */
	obj_t BGl_z62cvmzd2languagezb0zzbackend_cvmz00(obj_t BgL_envz00_1287,
		obj_t BgL_oz00_1288)
	{
		{	/* BackEnd/cvm.sch 266 */
			return
				BGl_cvmzd2languagezd2zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1288));
		}

	}



/* cvm-language-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cvmzd2languagezd2setz12z12zzbackend_cvmz00(BgL_cvmz00_bglt BgL_oz00_89,
		obj_t BgL_vz00_90)
	{
		{	/* BackEnd/cvm.sch 267 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_89)))->BgL_languagez00) =
				((obj_t) BgL_vz00_90), BUNSPEC);
		}

	}



/* &cvm-language-set! */
	obj_t BGl_z62cvmzd2languagezd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1289,
		obj_t BgL_oz00_1290, obj_t BgL_vz00_1291)
	{
		{	/* BackEnd/cvm.sch 267 */
			return
				BGl_cvmzd2languagezd2setz12z12zzbackend_cvmz00(
				((BgL_cvmz00_bglt) BgL_oz00_1290), BgL_vz00_1291);
		}

	}



/* make-sawc */
	BGL_EXPORTED_DEF BgL_sawcz00_bglt BGl_makezd2sawczd2zzbackend_cvmz00(obj_t
		BgL_language1194z00_91, obj_t BgL_srfi01195z00_92, obj_t BgL_name1196z00_93,
		obj_t BgL_externzd2variables1197zd2_94,
		obj_t BgL_externzd2functions1198zd2_95, obj_t BgL_externzd2types1199zd2_96,
		obj_t BgL_variables1200z00_97, obj_t BgL_functions1201z00_98,
		obj_t BgL_types1202z00_99, bool_t BgL_typed1203z00_100,
		obj_t BgL_heapzd2suffix1204zd2_101, obj_t BgL_heapzd2compatible1205zd2_102,
		bool_t BgL_callcc1206z00_103, bool_t BgL_qualifiedzd2types1207zd2_104,
		bool_t BgL_effectzb21208zb2_105, bool_t BgL_removezd2emptyzd2let1209z00_106,
		bool_t BgL_foreignzd2closure1210zd2_107, bool_t BgL_typedzd2eq1211zd2_108,
		bool_t BgL_tracezd2support1212zd2_109,
		obj_t BgL_foreignzd2clausezd2suppo1213z00_110,
		obj_t BgL_debugzd2support1214zd2_111,
		bool_t BgL_pragmazd2support1215zd2_112,
		bool_t BgL_tvectorzd2descrzd2suppor1216z00_113,
		bool_t BgL_requirezd2tailc1217zd2_114, obj_t BgL_registers1218z00_115,
		obj_t BgL_pregisters1219z00_116, bool_t BgL_boundzd2check1220zd2_117,
		bool_t BgL_typezd2check1221zd2_118, bool_t BgL_typedzd2funcall1222zd2_119)
	{
		{	/* BackEnd/cvm.sch 270 */
			{	/* BackEnd/cvm.sch 270 */
				BgL_sawcz00_bglt BgL_new1176z00_1750;

				{	/* BackEnd/cvm.sch 270 */
					BgL_sawcz00_bglt BgL_new1175z00_1751;

					BgL_new1175z00_1751 =
						((BgL_sawcz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sawcz00_bgl))));
					{	/* BackEnd/cvm.sch 270 */
						long BgL_arg1378z00_1752;

						BgL_arg1378z00_1752 = BGL_CLASS_NUM(BGl_sawcz00zzbackend_cvmz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1175z00_1751), BgL_arg1378z00_1752);
					}
					BgL_new1176z00_1750 = BgL_new1175z00_1751;
				}
				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1176z00_1750)))->
						BgL_languagez00) = ((obj_t) BgL_language1194z00_91), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_srfi0z00) =
					((obj_t) BgL_srfi01195z00_92), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_namez00) =
					((obj_t) BgL_name1196z00_93), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_externzd2variableszd2) =
					((obj_t) BgL_externzd2variables1197zd2_94), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_externzd2functionszd2) =
					((obj_t) BgL_externzd2functions1198zd2_95), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_externzd2typeszd2) =
					((obj_t) BgL_externzd2types1199zd2_96), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_variablesz00) =
					((obj_t) BgL_variables1200z00_97), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_functionsz00) =
					((obj_t) BgL_functions1201z00_98), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_typesz00) =
					((obj_t) BgL_types1202z00_99), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_typedz00) =
					((bool_t) BgL_typed1203z00_100), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_heapzd2suffixzd2) =
					((obj_t) BgL_heapzd2suffix1204zd2_101), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_heapzd2compatiblezd2) =
					((obj_t) BgL_heapzd2compatible1205zd2_102), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_callccz00) =
					((bool_t) BgL_callcc1206z00_103), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) BgL_qualifiedzd2types1207zd2_104), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_effectzb2zb2) =
					((bool_t) BgL_effectzb21208zb2_105), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) BgL_removezd2emptyzd2let1209z00_106), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_foreignzd2closurezd2) =
					((bool_t) BgL_foreignzd2closure1210zd2_107), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_typedzd2eqzd2) =
					((bool_t) BgL_typedzd2eq1211zd2_108), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_tracezd2supportzd2) =
					((bool_t) BgL_tracezd2support1212zd2_109), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) BgL_foreignzd2clausezd2suppo1213z00_110), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_debugzd2supportzd2) =
					((obj_t) BgL_debugzd2support1214zd2_111), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_pragmazd2supportzd2) =
					((bool_t) BgL_pragmazd2support1215zd2_112), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) BgL_tvectorzd2descrzd2suppor1216z00_113), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_requirezd2tailczd2) =
					((bool_t) BgL_requirezd2tailc1217zd2_114), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_registersz00) =
					((obj_t) BgL_registers1218z00_115), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_pregistersz00) =
					((obj_t) BgL_pregisters1219z00_116), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_boundzd2checkzd2) =
					((bool_t) BgL_boundzd2check1220zd2_117), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_typezd2checkzd2) =
					((bool_t) BgL_typezd2check1221zd2_118), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1176z00_1750)))->BgL_typedzd2funcallzd2) =
					((bool_t) BgL_typedzd2funcall1222zd2_119), BUNSPEC);
				{	/* BackEnd/cvm.sch 270 */
					obj_t BgL_fun1376z00_1753;

					BgL_fun1376z00_1753 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_sawcz00zzbackend_cvmz00);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_fun1376z00_1753)) (BgL_fun1376z00_1753,
						((obj_t) BgL_new1176z00_1750), BEOA);
				}
				return BgL_new1176z00_1750;
			}
		}

	}



/* &make-sawc */
	BgL_sawcz00_bglt BGl_z62makezd2sawczb0zzbackend_cvmz00(obj_t BgL_envz00_1292,
		obj_t BgL_language1194z00_1293, obj_t BgL_srfi01195z00_1294,
		obj_t BgL_name1196z00_1295, obj_t BgL_externzd2variables1197zd2_1296,
		obj_t BgL_externzd2functions1198zd2_1297,
		obj_t BgL_externzd2types1199zd2_1298, obj_t BgL_variables1200z00_1299,
		obj_t BgL_functions1201z00_1300, obj_t BgL_types1202z00_1301,
		obj_t BgL_typed1203z00_1302, obj_t BgL_heapzd2suffix1204zd2_1303,
		obj_t BgL_heapzd2compatible1205zd2_1304, obj_t BgL_callcc1206z00_1305,
		obj_t BgL_qualifiedzd2types1207zd2_1306, obj_t BgL_effectzb21208zb2_1307,
		obj_t BgL_removezd2emptyzd2let1209z00_1308,
		obj_t BgL_foreignzd2closure1210zd2_1309, obj_t BgL_typedzd2eq1211zd2_1310,
		obj_t BgL_tracezd2support1212zd2_1311,
		obj_t BgL_foreignzd2clausezd2suppo1213z00_1312,
		obj_t BgL_debugzd2support1214zd2_1313,
		obj_t BgL_pragmazd2support1215zd2_1314,
		obj_t BgL_tvectorzd2descrzd2suppor1216z00_1315,
		obj_t BgL_requirezd2tailc1217zd2_1316, obj_t BgL_registers1218z00_1317,
		obj_t BgL_pregisters1219z00_1318, obj_t BgL_boundzd2check1220zd2_1319,
		obj_t BgL_typezd2check1221zd2_1320, obj_t BgL_typedzd2funcall1222zd2_1321)
	{
		{	/* BackEnd/cvm.sch 270 */
			return
				BGl_makezd2sawczd2zzbackend_cvmz00(BgL_language1194z00_1293,
				BgL_srfi01195z00_1294, BgL_name1196z00_1295,
				BgL_externzd2variables1197zd2_1296, BgL_externzd2functions1198zd2_1297,
				BgL_externzd2types1199zd2_1298, BgL_variables1200z00_1299,
				BgL_functions1201z00_1300, BgL_types1202z00_1301,
				CBOOL(BgL_typed1203z00_1302), BgL_heapzd2suffix1204zd2_1303,
				BgL_heapzd2compatible1205zd2_1304, CBOOL(BgL_callcc1206z00_1305),
				CBOOL(BgL_qualifiedzd2types1207zd2_1306),
				CBOOL(BgL_effectzb21208zb2_1307),
				CBOOL(BgL_removezd2emptyzd2let1209z00_1308),
				CBOOL(BgL_foreignzd2closure1210zd2_1309),
				CBOOL(BgL_typedzd2eq1211zd2_1310),
				CBOOL(BgL_tracezd2support1212zd2_1311),
				BgL_foreignzd2clausezd2suppo1213z00_1312,
				BgL_debugzd2support1214zd2_1313,
				CBOOL(BgL_pragmazd2support1215zd2_1314),
				CBOOL(BgL_tvectorzd2descrzd2suppor1216z00_1315),
				CBOOL(BgL_requirezd2tailc1217zd2_1316), BgL_registers1218z00_1317,
				BgL_pregisters1219z00_1318, CBOOL(BgL_boundzd2check1220zd2_1319),
				CBOOL(BgL_typezd2check1221zd2_1320),
				CBOOL(BgL_typedzd2funcall1222zd2_1321));
		}

	}



/* sawc? */
	BGL_EXPORTED_DEF bool_t BGl_sawczf3zf3zzbackend_cvmz00(obj_t BgL_objz00_120)
	{
		{	/* BackEnd/cvm.sch 271 */
			{	/* BackEnd/cvm.sch 271 */
				obj_t BgL_classz00_1754;

				BgL_classz00_1754 = BGl_sawcz00zzbackend_cvmz00;
				if (BGL_OBJECTP(BgL_objz00_120))
					{	/* BackEnd/cvm.sch 271 */
						BgL_objectz00_bglt BgL_arg1820z00_1755;

						BgL_arg1820z00_1755 = (BgL_objectz00_bglt) (BgL_objz00_120);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* BackEnd/cvm.sch 271 */
								long BgL_idxz00_1756;

								BgL_idxz00_1756 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1755);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1756 + ((long) 3))) == BgL_classz00_1754);
							}
						else
							{	/* BackEnd/cvm.sch 271 */
								bool_t BgL_res1512z00_1759;

								{	/* BackEnd/cvm.sch 271 */
									obj_t BgL_oclassz00_1760;

									{	/* BackEnd/cvm.sch 271 */
										long BgL_arg1828z00_1761;

										{	/* BackEnd/cvm.sch 271 */
											long BgL_arg1829z00_1762;

											BgL_arg1829z00_1762 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1755);
											BgL_arg1828z00_1761 = (BgL_arg1829z00_1762 - OBJECT_TYPE);
										}
										BgL_oclassz00_1760 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_1761);
									}
									{	/* BackEnd/cvm.sch 271 */
										bool_t BgL__ortest_1111z00_1763;

										BgL__ortest_1111z00_1763 =
											(BgL_classz00_1754 == BgL_oclassz00_1760);
										if (BgL__ortest_1111z00_1763)
											{	/* BackEnd/cvm.sch 271 */
												BgL_res1512z00_1759 = BgL__ortest_1111z00_1763;
											}
										else
											{	/* BackEnd/cvm.sch 271 */
												long BgL_odepthz00_1764;

												BgL_odepthz00_1764 =
													BGL_CLASS_DEPTH(BgL_oclassz00_1760);
												if ((((long) 3) < BgL_odepthz00_1764))
													{	/* BackEnd/cvm.sch 271 */
														obj_t BgL_arg1816z00_1765;

														BgL_arg1816z00_1765 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1760,
															((long) 3));
														BgL_res1512z00_1759 =
															(BgL_arg1816z00_1765 == BgL_classz00_1754);
													}
												else
													{	/* BackEnd/cvm.sch 271 */
														BgL_res1512z00_1759 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1512z00_1759;
							}
					}
				else
					{	/* BackEnd/cvm.sch 271 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sawc? */
	obj_t BGl_z62sawczf3z91zzbackend_cvmz00(obj_t BgL_envz00_1322,
		obj_t BgL_objz00_1323)
	{
		{	/* BackEnd/cvm.sch 271 */
			return BBOOL(BGl_sawczf3zf3zzbackend_cvmz00(BgL_objz00_1323));
		}

	}



/* sawc-nil */
	BGL_EXPORTED_DEF BgL_sawcz00_bglt BGl_sawczd2nilzd2zzbackend_cvmz00(void)
	{
		{	/* BackEnd/cvm.sch 272 */
			{	/* BackEnd/cvm.sch 272 */
				obj_t BgL_classz00_963;

				BgL_classz00_963 = BGl_sawcz00zzbackend_cvmz00;
				{	/* BackEnd/cvm.sch 272 */
					obj_t BgL__ortest_1113z00_964;

					BgL__ortest_1113z00_964 = BGL_CLASS_NIL(BgL_classz00_963);
					if (CBOOL(BgL__ortest_1113z00_964))
						{	/* BackEnd/cvm.sch 272 */
							return ((BgL_sawcz00_bglt) BgL__ortest_1113z00_964);
						}
					else
						{	/* BackEnd/cvm.sch 272 */
							return
								((BgL_sawcz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_963));
						}
				}
			}
		}

	}



/* &sawc-nil */
	BgL_sawcz00_bglt BGl_z62sawczd2nilzb0zzbackend_cvmz00(obj_t BgL_envz00_1324)
	{
		{	/* BackEnd/cvm.sch 272 */
			return BGl_sawczd2nilzd2zzbackend_cvmz00();
		}

	}



/* sawc-typed-funcall */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2typedzd2funcallz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_121)
	{
		{	/* BackEnd/cvm.sch 273 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_121)))->BgL_typedzd2funcallzd2);
		}

	}



/* &sawc-typed-funcall */
	obj_t BGl_z62sawczd2typedzd2funcallz62zzbackend_cvmz00(obj_t BgL_envz00_1325,
		obj_t BgL_oz00_1326)
	{
		{	/* BackEnd/cvm.sch 273 */
			return
				BBOOL(BGl_sawczd2typedzd2funcallz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1326)));
		}

	}



/* sawc-typed-funcall-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_122, bool_t BgL_vz00_123)
	{
		{	/* BackEnd/cvm.sch 274 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_122)))->BgL_typedzd2funcallzd2) =
				((bool_t) BgL_vz00_123), BUNSPEC);
		}

	}



/* &sawc-typed-funcall-set! */
	obj_t BGl_z62sawczd2typedzd2funcallzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1327, obj_t BgL_oz00_1328, obj_t BgL_vz00_1329)
	{
		{	/* BackEnd/cvm.sch 274 */
			return
				BGl_sawczd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1328), CBOOL(BgL_vz00_1329));
		}

	}



/* sawc-type-check */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2typezd2checkz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_124)
	{
		{	/* BackEnd/cvm.sch 275 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_124)))->BgL_typezd2checkzd2);
		}

	}



/* &sawc-type-check */
	obj_t BGl_z62sawczd2typezd2checkz62zzbackend_cvmz00(obj_t BgL_envz00_1330,
		obj_t BgL_oz00_1331)
	{
		{	/* BackEnd/cvm.sch 275 */
			return
				BBOOL(BGl_sawczd2typezd2checkz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1331)));
		}

	}



/* sawc-type-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2typezd2checkzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_125, bool_t BgL_vz00_126)
	{
		{	/* BackEnd/cvm.sch 276 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_125)))->BgL_typezd2checkzd2) =
				((bool_t) BgL_vz00_126), BUNSPEC);
		}

	}



/* &sawc-type-check-set! */
	obj_t BGl_z62sawczd2typezd2checkzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1332, obj_t BgL_oz00_1333, obj_t BgL_vz00_1334)
	{
		{	/* BackEnd/cvm.sch 276 */
			return
				BGl_sawczd2typezd2checkzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1333), CBOOL(BgL_vz00_1334));
		}

	}



/* sawc-bound-check */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2boundzd2checkz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_127)
	{
		{	/* BackEnd/cvm.sch 277 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_127)))->BgL_boundzd2checkzd2);
		}

	}



/* &sawc-bound-check */
	obj_t BGl_z62sawczd2boundzd2checkz62zzbackend_cvmz00(obj_t BgL_envz00_1335,
		obj_t BgL_oz00_1336)
	{
		{	/* BackEnd/cvm.sch 277 */
			return
				BBOOL(BGl_sawczd2boundzd2checkz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1336)));
		}

	}



/* sawc-bound-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_128, bool_t BgL_vz00_129)
	{
		{	/* BackEnd/cvm.sch 278 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_128)))->BgL_boundzd2checkzd2) =
				((bool_t) BgL_vz00_129), BUNSPEC);
		}

	}



/* &sawc-bound-check-set! */
	obj_t BGl_z62sawczd2boundzd2checkzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1337, obj_t BgL_oz00_1338, obj_t BgL_vz00_1339)
	{
		{	/* BackEnd/cvm.sch 278 */
			return
				BGl_sawczd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1338), CBOOL(BgL_vz00_1339));
		}

	}



/* sawc-pregisters */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2pregisterszd2zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_130)
	{
		{	/* BackEnd/cvm.sch 279 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_130)))->BgL_pregistersz00);
		}

	}



/* &sawc-pregisters */
	obj_t BGl_z62sawczd2pregisterszb0zzbackend_cvmz00(obj_t BgL_envz00_1340,
		obj_t BgL_oz00_1341)
	{
		{	/* BackEnd/cvm.sch 279 */
			return
				BGl_sawczd2pregisterszd2zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1341));
		}

	}



/* sawc-pregisters-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2pregisterszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_131, obj_t BgL_vz00_132)
	{
		{	/* BackEnd/cvm.sch 280 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_131)))->BgL_pregistersz00) =
				((obj_t) BgL_vz00_132), BUNSPEC);
		}

	}



/* &sawc-pregisters-set! */
	obj_t BGl_z62sawczd2pregisterszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1342, obj_t BgL_oz00_1343, obj_t BgL_vz00_1344)
	{
		{	/* BackEnd/cvm.sch 280 */
			return
				BGl_sawczd2pregisterszd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1343), BgL_vz00_1344);
		}

	}



/* sawc-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2registerszd2zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_133)
	{
		{	/* BackEnd/cvm.sch 281 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_133)))->BgL_registersz00);
		}

	}



/* &sawc-registers */
	obj_t BGl_z62sawczd2registerszb0zzbackend_cvmz00(obj_t BgL_envz00_1345,
		obj_t BgL_oz00_1346)
	{
		{	/* BackEnd/cvm.sch 281 */
			return
				BGl_sawczd2registerszd2zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1346));
		}

	}



/* sawc-registers-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2registerszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_134, obj_t BgL_vz00_135)
	{
		{	/* BackEnd/cvm.sch 282 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_134)))->BgL_registersz00) =
				((obj_t) BgL_vz00_135), BUNSPEC);
		}

	}



/* &sawc-registers-set! */
	obj_t BGl_z62sawczd2registerszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1347, obj_t BgL_oz00_1348, obj_t BgL_vz00_1349)
	{
		{	/* BackEnd/cvm.sch 282 */
			return
				BGl_sawczd2registerszd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1348), BgL_vz00_1349);
		}

	}



/* sawc-require-tailc */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2requirezd2tailcz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_136)
	{
		{	/* BackEnd/cvm.sch 283 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_136)))->BgL_requirezd2tailczd2);
		}

	}



/* &sawc-require-tailc */
	obj_t BGl_z62sawczd2requirezd2tailcz62zzbackend_cvmz00(obj_t BgL_envz00_1350,
		obj_t BgL_oz00_1351)
	{
		{	/* BackEnd/cvm.sch 283 */
			return
				BBOOL(BGl_sawczd2requirezd2tailcz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1351)));
		}

	}



/* sawc-require-tailc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_137, bool_t BgL_vz00_138)
	{
		{	/* BackEnd/cvm.sch 284 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_137)))->BgL_requirezd2tailczd2) =
				((bool_t) BgL_vz00_138), BUNSPEC);
		}

	}



/* &sawc-require-tailc-set! */
	obj_t BGl_z62sawczd2requirezd2tailczd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1352, obj_t BgL_oz00_1353, obj_t BgL_vz00_1354)
	{
		{	/* BackEnd/cvm.sch 284 */
			return
				BGl_sawczd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1353), CBOOL(BgL_vz00_1354));
		}

	}



/* sawc-tvector-descr-support */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_139)
	{
		{	/* BackEnd/cvm.sch 285 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_139)))->
				BgL_tvectorzd2descrzd2supportz00);
		}

	}



/* &sawc-tvector-descr-support */
	obj_t BGl_z62sawczd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1355, obj_t BgL_oz00_1356)
	{
		{	/* BackEnd/cvm.sch 285 */
			return
				BBOOL(BGl_sawczd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1356)));
		}

	}



/* sawc-tvector-descr-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_sawcz00_bglt BgL_oz00_140, bool_t BgL_vz00_141)
	{
		{	/* BackEnd/cvm.sch 286 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_140)))->
					BgL_tvectorzd2descrzd2supportz00) = ((bool_t) BgL_vz00_141), BUNSPEC);
		}

	}



/* &sawc-tvector-descr-support-set! */
	obj_t
		BGl_z62sawczd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1357, obj_t BgL_oz00_1358, obj_t BgL_vz00_1359)
	{
		{	/* BackEnd/cvm.sch 286 */
			return
				BGl_sawczd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1358), CBOOL(BgL_vz00_1359));
		}

	}



/* sawc-pragma-support */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2pragmazd2supportz00zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_142)
	{
		{	/* BackEnd/cvm.sch 287 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_142)))->BgL_pragmazd2supportzd2);
		}

	}



/* &sawc-pragma-support */
	obj_t BGl_z62sawczd2pragmazd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1360,
		obj_t BgL_oz00_1361)
	{
		{	/* BackEnd/cvm.sch 287 */
			return
				BBOOL(BGl_sawczd2pragmazd2supportz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1361)));
		}

	}



/* sawc-pragma-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_143, bool_t BgL_vz00_144)
	{
		{	/* BackEnd/cvm.sch 288 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_143)))->BgL_pragmazd2supportzd2) =
				((bool_t) BgL_vz00_144), BUNSPEC);
		}

	}



/* &sawc-pragma-support-set! */
	obj_t BGl_z62sawczd2pragmazd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1362, obj_t BgL_oz00_1363, obj_t BgL_vz00_1364)
	{
		{	/* BackEnd/cvm.sch 288 */
			return
				BGl_sawczd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1363), CBOOL(BgL_vz00_1364));
		}

	}



/* sawc-debug-support */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2debugzd2supportz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_145)
	{
		{	/* BackEnd/cvm.sch 289 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_145)))->BgL_debugzd2supportzd2);
		}

	}



/* &sawc-debug-support */
	obj_t BGl_z62sawczd2debugzd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1365,
		obj_t BgL_oz00_1366)
	{
		{	/* BackEnd/cvm.sch 289 */
			return
				BGl_sawczd2debugzd2supportz00zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1366));
		}

	}



/* sawc-debug-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_146, obj_t BgL_vz00_147)
	{
		{	/* BackEnd/cvm.sch 290 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_146)))->BgL_debugzd2supportzd2) =
				((obj_t) BgL_vz00_147), BUNSPEC);
		}

	}



/* &sawc-debug-support-set! */
	obj_t BGl_z62sawczd2debugzd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1367, obj_t BgL_oz00_1368, obj_t BgL_vz00_1369)
	{
		{	/* BackEnd/cvm.sch 290 */
			return
				BGl_sawczd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1368), BgL_vz00_1369);
		}

	}



/* sawc-foreign-clause-support */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_148)
	{
		{	/* BackEnd/cvm.sch 291 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_148)))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &sawc-foreign-clause-support */
	obj_t BGl_z62sawczd2foreignzd2clausezd2supportzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1370, obj_t BgL_oz00_1371)
	{
		{	/* BackEnd/cvm.sch 291 */
			return
				BGl_sawczd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1371));
		}

	}



/* sawc-foreign-clause-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_sawcz00_bglt BgL_oz00_149, obj_t BgL_vz00_150)
	{
		{	/* BackEnd/cvm.sch 292 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_149)))->
					BgL_foreignzd2clausezd2supportz00) = ((obj_t) BgL_vz00_150), BUNSPEC);
		}

	}



/* &sawc-foreign-clause-support-set! */
	obj_t
		BGl_z62sawczd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1372, obj_t BgL_oz00_1373, obj_t BgL_vz00_1374)
	{
		{	/* BackEnd/cvm.sch 292 */
			return
				BGl_sawczd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1373), BgL_vz00_1374);
		}

	}



/* sawc-trace-support */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2tracezd2supportz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_151)
	{
		{	/* BackEnd/cvm.sch 293 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_151)))->BgL_tracezd2supportzd2);
		}

	}



/* &sawc-trace-support */
	obj_t BGl_z62sawczd2tracezd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1375,
		obj_t BgL_oz00_1376)
	{
		{	/* BackEnd/cvm.sch 293 */
			return
				BBOOL(BGl_sawczd2tracezd2supportz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1376)));
		}

	}



/* sawc-trace-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_152, bool_t BgL_vz00_153)
	{
		{	/* BackEnd/cvm.sch 294 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_152)))->BgL_tracezd2supportzd2) =
				((bool_t) BgL_vz00_153), BUNSPEC);
		}

	}



/* &sawc-trace-support-set! */
	obj_t BGl_z62sawczd2tracezd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1377, obj_t BgL_oz00_1378, obj_t BgL_vz00_1379)
	{
		{	/* BackEnd/cvm.sch 294 */
			return
				BGl_sawczd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1378), CBOOL(BgL_vz00_1379));
		}

	}



/* sawc-typed-eq */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2typedzd2eqz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_154)
	{
		{	/* BackEnd/cvm.sch 295 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_154)))->BgL_typedzd2eqzd2);
		}

	}



/* &sawc-typed-eq */
	obj_t BGl_z62sawczd2typedzd2eqz62zzbackend_cvmz00(obj_t BgL_envz00_1380,
		obj_t BgL_oz00_1381)
	{
		{	/* BackEnd/cvm.sch 295 */
			return
				BBOOL(BGl_sawczd2typedzd2eqz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1381)));
		}

	}



/* sawc-typed-eq-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_155, bool_t BgL_vz00_156)
	{
		{	/* BackEnd/cvm.sch 296 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_155)))->BgL_typedzd2eqzd2) =
				((bool_t) BgL_vz00_156), BUNSPEC);
		}

	}



/* &sawc-typed-eq-set! */
	obj_t BGl_z62sawczd2typedzd2eqzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1382, obj_t BgL_oz00_1383, obj_t BgL_vz00_1384)
	{
		{	/* BackEnd/cvm.sch 296 */
			return
				BGl_sawczd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1383), CBOOL(BgL_vz00_1384));
		}

	}



/* sawc-foreign-closure */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2foreignzd2closurez00zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_157)
	{
		{	/* BackEnd/cvm.sch 297 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_157)))->BgL_foreignzd2closurezd2);
		}

	}



/* &sawc-foreign-closure */
	obj_t BGl_z62sawczd2foreignzd2closurez62zzbackend_cvmz00(obj_t
		BgL_envz00_1385, obj_t BgL_oz00_1386)
	{
		{	/* BackEnd/cvm.sch 297 */
			return
				BBOOL(BGl_sawczd2foreignzd2closurez00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1386)));
		}

	}



/* sawc-foreign-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_158, bool_t BgL_vz00_159)
	{
		{	/* BackEnd/cvm.sch 298 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_158)))->
					BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_159), BUNSPEC);
		}

	}



/* &sawc-foreign-closure-set! */
	obj_t BGl_z62sawczd2foreignzd2closurezd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1387, obj_t BgL_oz00_1388, obj_t BgL_vz00_1389)
	{
		{	/* BackEnd/cvm.sch 298 */
			return
				BGl_sawczd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1388), CBOOL(BgL_vz00_1389));
		}

	}



/* sawc-remove-empty-let */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2removezd2emptyzd2letzd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_160)
	{
		{	/* BackEnd/cvm.sch 299 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_160)))->
				BgL_removezd2emptyzd2letz00);
		}

	}



/* &sawc-remove-empty-let */
	obj_t BGl_z62sawczd2removezd2emptyzd2letzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1390, obj_t BgL_oz00_1391)
	{
		{	/* BackEnd/cvm.sch 299 */
			return
				BBOOL(BGl_sawczd2removezd2emptyzd2letzd2zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1391)));
		}

	}



/* sawc-remove-empty-let-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_161, bool_t BgL_vz00_162)
	{
		{	/* BackEnd/cvm.sch 300 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_161)))->
					BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_162), BUNSPEC);
		}

	}



/* &sawc-remove-empty-let-set! */
	obj_t BGl_z62sawczd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1392, obj_t BgL_oz00_1393, obj_t BgL_vz00_1394)
	{
		{	/* BackEnd/cvm.sch 300 */
			return
				BGl_sawczd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1393), CBOOL(BgL_vz00_1394));
		}

	}



/* sawc-effect+ */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2effectzb2z60zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_163)
	{
		{	/* BackEnd/cvm.sch 301 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_163)))->BgL_effectzb2zb2);
		}

	}



/* &sawc-effect+ */
	obj_t BGl_z62sawczd2effectzb2z02zzbackend_cvmz00(obj_t BgL_envz00_1395,
		obj_t BgL_oz00_1396)
	{
		{	/* BackEnd/cvm.sch 301 */
			return
				BBOOL(BGl_sawczd2effectzb2z60zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1396)));
		}

	}



/* sawc-effect+-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2effectzb2zd2setz12za0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_164, bool_t BgL_vz00_165)
	{
		{	/* BackEnd/cvm.sch 302 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_164)))->BgL_effectzb2zb2) =
				((bool_t) BgL_vz00_165), BUNSPEC);
		}

	}



/* &sawc-effect+-set! */
	obj_t BGl_z62sawczd2effectzb2zd2setz12zc2zzbackend_cvmz00(obj_t
		BgL_envz00_1397, obj_t BgL_oz00_1398, obj_t BgL_vz00_1399)
	{
		{	/* BackEnd/cvm.sch 302 */
			return
				BGl_sawczd2effectzb2zd2setz12za0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1398), CBOOL(BgL_vz00_1399));
		}

	}



/* sawc-qualified-types */
	BGL_EXPORTED_DEF bool_t
		BGl_sawczd2qualifiedzd2typesz00zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_166)
	{
		{	/* BackEnd/cvm.sch 303 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_166)))->BgL_qualifiedzd2typeszd2);
		}

	}



/* &sawc-qualified-types */
	obj_t BGl_z62sawczd2qualifiedzd2typesz62zzbackend_cvmz00(obj_t
		BgL_envz00_1400, obj_t BgL_oz00_1401)
	{
		{	/* BackEnd/cvm.sch 303 */
			return
				BBOOL(BGl_sawczd2qualifiedzd2typesz00zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1401)));
		}

	}



/* sawc-qualified-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_167, bool_t BgL_vz00_168)
	{
		{	/* BackEnd/cvm.sch 304 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_167)))->
					BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_168), BUNSPEC);
		}

	}



/* &sawc-qualified-types-set! */
	obj_t BGl_z62sawczd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1402, obj_t BgL_oz00_1403, obj_t BgL_vz00_1404)
	{
		{	/* BackEnd/cvm.sch 304 */
			return
				BGl_sawczd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1403), CBOOL(BgL_vz00_1404));
		}

	}



/* sawc-callcc */
	BGL_EXPORTED_DEF bool_t BGl_sawczd2callcczd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_169)
	{
		{	/* BackEnd/cvm.sch 305 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_169)))->BgL_callccz00);
		}

	}



/* &sawc-callcc */
	obj_t BGl_z62sawczd2callcczb0zzbackend_cvmz00(obj_t BgL_envz00_1405,
		obj_t BgL_oz00_1406)
	{
		{	/* BackEnd/cvm.sch 305 */
			return
				BBOOL(BGl_sawczd2callcczd2zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1406)));
		}

	}



/* sawc-callcc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2callcczd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_170,
		bool_t BgL_vz00_171)
	{
		{	/* BackEnd/cvm.sch 306 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_170)))->BgL_callccz00) =
				((bool_t) BgL_vz00_171), BUNSPEC);
		}

	}



/* &sawc-callcc-set! */
	obj_t BGl_z62sawczd2callcczd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1407,
		obj_t BgL_oz00_1408, obj_t BgL_vz00_1409)
	{
		{	/* BackEnd/cvm.sch 306 */
			return
				BGl_sawczd2callcczd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1408), CBOOL(BgL_vz00_1409));
		}

	}



/* sawc-heap-compatible */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2heapzd2compatiblez00zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_172)
	{
		{	/* BackEnd/cvm.sch 307 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_172)))->BgL_heapzd2compatiblezd2);
		}

	}



/* &sawc-heap-compatible */
	obj_t BGl_z62sawczd2heapzd2compatiblez62zzbackend_cvmz00(obj_t
		BgL_envz00_1410, obj_t BgL_oz00_1411)
	{
		{	/* BackEnd/cvm.sch 307 */
			return
				BGl_sawczd2heapzd2compatiblez00zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1411));
		}

	}



/* sawc-heap-compatible-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_173, obj_t BgL_vz00_174)
	{
		{	/* BackEnd/cvm.sch 308 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_173)))->
					BgL_heapzd2compatiblezd2) = ((obj_t) BgL_vz00_174), BUNSPEC);
		}

	}



/* &sawc-heap-compatible-set! */
	obj_t BGl_z62sawczd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1412, obj_t BgL_oz00_1413, obj_t BgL_vz00_1414)
	{
		{	/* BackEnd/cvm.sch 308 */
			return
				BGl_sawczd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1413), BgL_vz00_1414);
		}

	}



/* sawc-heap-suffix */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2heapzd2suffixz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_175)
	{
		{	/* BackEnd/cvm.sch 309 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_175)))->BgL_heapzd2suffixzd2);
		}

	}



/* &sawc-heap-suffix */
	obj_t BGl_z62sawczd2heapzd2suffixz62zzbackend_cvmz00(obj_t BgL_envz00_1415,
		obj_t BgL_oz00_1416)
	{
		{	/* BackEnd/cvm.sch 309 */
			return
				BGl_sawczd2heapzd2suffixz00zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1416));
		}

	}



/* sawc-heap-suffix-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_176, obj_t BgL_vz00_177)
	{
		{	/* BackEnd/cvm.sch 310 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_176)))->BgL_heapzd2suffixzd2) =
				((obj_t) BgL_vz00_177), BUNSPEC);
		}

	}



/* &sawc-heap-suffix-set! */
	obj_t BGl_z62sawczd2heapzd2suffixzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1417, obj_t BgL_oz00_1418, obj_t BgL_vz00_1419)
	{
		{	/* BackEnd/cvm.sch 310 */
			return
				BGl_sawczd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1418), BgL_vz00_1419);
		}

	}



/* sawc-typed */
	BGL_EXPORTED_DEF bool_t BGl_sawczd2typedzd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_178)
	{
		{	/* BackEnd/cvm.sch 311 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_178)))->BgL_typedz00);
		}

	}



/* &sawc-typed */
	obj_t BGl_z62sawczd2typedzb0zzbackend_cvmz00(obj_t BgL_envz00_1420,
		obj_t BgL_oz00_1421)
	{
		{	/* BackEnd/cvm.sch 311 */
			return
				BBOOL(BGl_sawczd2typedzd2zzbackend_cvmz00(
					((BgL_sawcz00_bglt) BgL_oz00_1421)));
		}

	}



/* sawc-typed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2typedzd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_179,
		bool_t BgL_vz00_180)
	{
		{	/* BackEnd/cvm.sch 312 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_179)))->BgL_typedz00) =
				((bool_t) BgL_vz00_180), BUNSPEC);
		}

	}



/* &sawc-typed-set! */
	obj_t BGl_z62sawczd2typedzd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1422,
		obj_t BgL_oz00_1423, obj_t BgL_vz00_1424)
	{
		{	/* BackEnd/cvm.sch 312 */
			return
				BGl_sawczd2typedzd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1423), CBOOL(BgL_vz00_1424));
		}

	}



/* sawc-types */
	BGL_EXPORTED_DEF obj_t BGl_sawczd2typeszd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_181)
	{
		{	/* BackEnd/cvm.sch 313 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_181)))->BgL_typesz00);
		}

	}



/* &sawc-types */
	obj_t BGl_z62sawczd2typeszb0zzbackend_cvmz00(obj_t BgL_envz00_1425,
		obj_t BgL_oz00_1426)
	{
		{	/* BackEnd/cvm.sch 313 */
			return
				BGl_sawczd2typeszd2zzbackend_cvmz00(((BgL_sawcz00_bglt) BgL_oz00_1426));
		}

	}



/* sawc-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2typeszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_182,
		obj_t BgL_vz00_183)
	{
		{	/* BackEnd/cvm.sch 314 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_182)))->BgL_typesz00) =
				((obj_t) BgL_vz00_183), BUNSPEC);
		}

	}



/* &sawc-types-set! */
	obj_t BGl_z62sawczd2typeszd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1427,
		obj_t BgL_oz00_1428, obj_t BgL_vz00_1429)
	{
		{	/* BackEnd/cvm.sch 314 */
			return
				BGl_sawczd2typeszd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1428), BgL_vz00_1429);
		}

	}



/* sawc-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2functionszd2zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_184)
	{
		{	/* BackEnd/cvm.sch 315 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_184)))->BgL_functionsz00);
		}

	}



/* &sawc-functions */
	obj_t BGl_z62sawczd2functionszb0zzbackend_cvmz00(obj_t BgL_envz00_1430,
		obj_t BgL_oz00_1431)
	{
		{	/* BackEnd/cvm.sch 315 */
			return
				BGl_sawczd2functionszd2zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1431));
		}

	}



/* sawc-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2functionszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_185, obj_t BgL_vz00_186)
	{
		{	/* BackEnd/cvm.sch 316 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_185)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_186), BUNSPEC);
		}

	}



/* &sawc-functions-set! */
	obj_t BGl_z62sawczd2functionszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1432, obj_t BgL_oz00_1433, obj_t BgL_vz00_1434)
	{
		{	/* BackEnd/cvm.sch 316 */
			return
				BGl_sawczd2functionszd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1433), BgL_vz00_1434);
		}

	}



/* sawc-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2variableszd2zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_187)
	{
		{	/* BackEnd/cvm.sch 317 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_187)))->BgL_variablesz00);
		}

	}



/* &sawc-variables */
	obj_t BGl_z62sawczd2variableszb0zzbackend_cvmz00(obj_t BgL_envz00_1435,
		obj_t BgL_oz00_1436)
	{
		{	/* BackEnd/cvm.sch 317 */
			return
				BGl_sawczd2variableszd2zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1436));
		}

	}



/* sawc-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2variableszd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_188, obj_t BgL_vz00_189)
	{
		{	/* BackEnd/cvm.sch 318 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_188)))->BgL_variablesz00) =
				((obj_t) BgL_vz00_189), BUNSPEC);
		}

	}



/* &sawc-variables-set! */
	obj_t BGl_z62sawczd2variableszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1437, obj_t BgL_oz00_1438, obj_t BgL_vz00_1439)
	{
		{	/* BackEnd/cvm.sch 318 */
			return
				BGl_sawczd2variableszd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1438), BgL_vz00_1439);
		}

	}



/* sawc-extern-types */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2externzd2typesz00zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_190)
	{
		{	/* BackEnd/cvm.sch 319 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_190)))->BgL_externzd2typeszd2);
		}

	}



/* &sawc-extern-types */
	obj_t BGl_z62sawczd2externzd2typesz62zzbackend_cvmz00(obj_t BgL_envz00_1440,
		obj_t BgL_oz00_1441)
	{
		{	/* BackEnd/cvm.sch 319 */
			return
				BGl_sawczd2externzd2typesz00zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1441));
		}

	}



/* sawc-extern-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2externzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_191, obj_t BgL_vz00_192)
	{
		{	/* BackEnd/cvm.sch 320 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_191)))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_192), BUNSPEC);
		}

	}



/* &sawc-extern-types-set! */
	obj_t BGl_z62sawczd2externzd2typeszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1442, obj_t BgL_oz00_1443, obj_t BgL_vz00_1444)
	{
		{	/* BackEnd/cvm.sch 320 */
			return
				BGl_sawczd2externzd2typeszd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1443), BgL_vz00_1444);
		}

	}



/* sawc-extern-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2externzd2functionsz00zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_193)
	{
		{	/* BackEnd/cvm.sch 321 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_193)))->BgL_externzd2functionszd2);
		}

	}



/* &sawc-extern-functions */
	obj_t BGl_z62sawczd2externzd2functionsz62zzbackend_cvmz00(obj_t
		BgL_envz00_1445, obj_t BgL_oz00_1446)
	{
		{	/* BackEnd/cvm.sch 321 */
			return
				BGl_sawczd2externzd2functionsz00zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1446));
		}

	}



/* sawc-extern-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2externzd2functionszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_194, obj_t BgL_vz00_195)
	{
		{	/* BackEnd/cvm.sch 322 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_194)))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_195), BUNSPEC);
		}

	}



/* &sawc-extern-functions-set! */
	obj_t BGl_z62sawczd2externzd2functionszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1447, obj_t BgL_oz00_1448, obj_t BgL_vz00_1449)
	{
		{	/* BackEnd/cvm.sch 322 */
			return
				BGl_sawczd2externzd2functionszd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1448), BgL_vz00_1449);
		}

	}



/* sawc-extern-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2externzd2variablesz00zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_196)
	{
		{	/* BackEnd/cvm.sch 323 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_196)))->BgL_externzd2variableszd2);
		}

	}



/* &sawc-extern-variables */
	obj_t BGl_z62sawczd2externzd2variablesz62zzbackend_cvmz00(obj_t
		BgL_envz00_1450, obj_t BgL_oz00_1451)
	{
		{	/* BackEnd/cvm.sch 323 */
			return
				BGl_sawczd2externzd2variablesz00zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1451));
		}

	}



/* sawc-extern-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2externzd2variableszd2setz12zc0zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_197, obj_t BgL_vz00_198)
	{
		{	/* BackEnd/cvm.sch 324 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_197)))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_198), BUNSPEC);
		}

	}



/* &sawc-extern-variables-set! */
	obj_t BGl_z62sawczd2externzd2variableszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1452, obj_t BgL_oz00_1453, obj_t BgL_vz00_1454)
	{
		{	/* BackEnd/cvm.sch 324 */
			return
				BGl_sawczd2externzd2variableszd2setz12zc0zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1453), BgL_vz00_1454);
		}

	}



/* sawc-name */
	BGL_EXPORTED_DEF obj_t BGl_sawczd2namezd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_199)
	{
		{	/* BackEnd/cvm.sch 325 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_199)))->BgL_namez00);
		}

	}



/* &sawc-name */
	obj_t BGl_z62sawczd2namezb0zzbackend_cvmz00(obj_t BgL_envz00_1455,
		obj_t BgL_oz00_1456)
	{
		{	/* BackEnd/cvm.sch 325 */
			return
				BGl_sawczd2namezd2zzbackend_cvmz00(((BgL_sawcz00_bglt) BgL_oz00_1456));
		}

	}



/* sawc-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2namezd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_200,
		obj_t BgL_vz00_201)
	{
		{	/* BackEnd/cvm.sch 326 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_200)))->BgL_namez00) =
				((obj_t) BgL_vz00_201), BUNSPEC);
		}

	}



/* &sawc-name-set! */
	obj_t BGl_z62sawczd2namezd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1457,
		obj_t BgL_oz00_1458, obj_t BgL_vz00_1459)
	{
		{	/* BackEnd/cvm.sch 326 */
			return
				BGl_sawczd2namezd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1458), BgL_vz00_1459);
		}

	}



/* sawc-srfi0 */
	BGL_EXPORTED_DEF obj_t BGl_sawczd2srfi0zd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_202)
	{
		{	/* BackEnd/cvm.sch 327 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_202)))->BgL_srfi0z00);
		}

	}



/* &sawc-srfi0 */
	obj_t BGl_z62sawczd2srfi0zb0zzbackend_cvmz00(obj_t BgL_envz00_1460,
		obj_t BgL_oz00_1461)
	{
		{	/* BackEnd/cvm.sch 327 */
			return
				BGl_sawczd2srfi0zd2zzbackend_cvmz00(((BgL_sawcz00_bglt) BgL_oz00_1461));
		}

	}



/* sawc-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2srfi0zd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt BgL_oz00_203,
		obj_t BgL_vz00_204)
	{
		{	/* BackEnd/cvm.sch 328 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_203)))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_204), BUNSPEC);
		}

	}



/* &sawc-srfi0-set! */
	obj_t BGl_z62sawczd2srfi0zd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1462,
		obj_t BgL_oz00_1463, obj_t BgL_vz00_1464)
	{
		{	/* BackEnd/cvm.sch 328 */
			return
				BGl_sawczd2srfi0zd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1463), BgL_vz00_1464);
		}

	}



/* sawc-language */
	BGL_EXPORTED_DEF obj_t BGl_sawczd2languagezd2zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_205)
	{
		{	/* BackEnd/cvm.sch 329 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_205)))->BgL_languagez00);
		}

	}



/* &sawc-language */
	obj_t BGl_z62sawczd2languagezb0zzbackend_cvmz00(obj_t BgL_envz00_1465,
		obj_t BgL_oz00_1466)
	{
		{	/* BackEnd/cvm.sch 329 */
			return
				BGl_sawczd2languagezd2zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1466));
		}

	}



/* sawc-language-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sawczd2languagezd2setz12z12zzbackend_cvmz00(BgL_sawcz00_bglt
		BgL_oz00_206, obj_t BgL_vz00_207)
	{
		{	/* BackEnd/cvm.sch 330 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_206)))->BgL_languagez00) =
				((obj_t) BgL_vz00_207), BUNSPEC);
		}

	}



/* &sawc-language-set! */
	obj_t BGl_z62sawczd2languagezd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1467, obj_t BgL_oz00_1468, obj_t BgL_vz00_1469)
	{
		{	/* BackEnd/cvm.sch 330 */
			return
				BGl_sawczd2languagezd2setz12z12zzbackend_cvmz00(
				((BgL_sawcz00_bglt) BgL_oz00_1468), BgL_vz00_1469);
		}

	}



/* make-cgen */
	BGL_EXPORTED_DEF BgL_cgenz00_bglt BGl_makezd2cgenzd2zzbackend_cvmz00(obj_t
		BgL_language1164z00_208, obj_t BgL_srfi01165z00_209,
		obj_t BgL_name1166z00_210, obj_t BgL_externzd2variables1167zd2_211,
		obj_t BgL_externzd2functions1168zd2_212,
		obj_t BgL_externzd2types1169zd2_213, obj_t BgL_variables1170z00_214,
		obj_t BgL_functions1171z00_215, obj_t BgL_types1172z00_216,
		bool_t BgL_typed1173z00_217, obj_t BgL_heapzd2suffix1174zd2_218,
		obj_t BgL_heapzd2compatible1175zd2_219, bool_t BgL_callcc1176z00_220,
		bool_t BgL_qualifiedzd2types1177zd2_221, bool_t BgL_effectzb21178zb2_222,
		bool_t BgL_removezd2emptyzd2let1179z00_223,
		bool_t BgL_foreignzd2closure1180zd2_224, bool_t BgL_typedzd2eq1181zd2_225,
		bool_t BgL_tracezd2support1182zd2_226,
		obj_t BgL_foreignzd2clausezd2suppo1183z00_227,
		obj_t BgL_debugzd2support1184zd2_228,
		bool_t BgL_pragmazd2support1185zd2_229,
		bool_t BgL_tvectorzd2descrzd2suppor1186z00_230,
		bool_t BgL_requirezd2tailc1187zd2_231, obj_t BgL_registers1188z00_232,
		obj_t BgL_pregisters1189z00_233, bool_t BgL_boundzd2check1190zd2_234,
		bool_t BgL_typezd2check1191zd2_235, bool_t BgL_typedzd2funcall1192zd2_236)
	{
		{	/* BackEnd/cvm.sch 333 */
			{	/* BackEnd/cvm.sch 333 */
				BgL_cgenz00_bglt BgL_new1236z00_1766;

				{	/* BackEnd/cvm.sch 333 */
					BgL_cgenz00_bglt BgL_new1235z00_1767;

					BgL_new1235z00_1767 =
						((BgL_cgenz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cgenz00_bgl))));
					{	/* BackEnd/cvm.sch 333 */
						long BgL_arg1381z00_1768;

						BgL_arg1381z00_1768 = BGL_CLASS_NUM(BGl_cgenz00zzbackend_cvmz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1235z00_1767), BgL_arg1381z00_1768);
					}
					BgL_new1236z00_1766 = BgL_new1235z00_1767;
				}
				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1236z00_1766)))->
						BgL_languagez00) = ((obj_t) BgL_language1164z00_208), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_srfi0z00) =
					((obj_t) BgL_srfi01165z00_209), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_namez00) =
					((obj_t) BgL_name1166z00_210), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_externzd2variableszd2) =
					((obj_t) BgL_externzd2variables1167zd2_211), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_externzd2functionszd2) =
					((obj_t) BgL_externzd2functions1168zd2_212), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_externzd2typeszd2) =
					((obj_t) BgL_externzd2types1169zd2_213), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_variablesz00) =
					((obj_t) BgL_variables1170z00_214), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_functionsz00) =
					((obj_t) BgL_functions1171z00_215), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_typesz00) =
					((obj_t) BgL_types1172z00_216), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_typedz00) =
					((bool_t) BgL_typed1173z00_217), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_heapzd2suffixzd2) =
					((obj_t) BgL_heapzd2suffix1174zd2_218), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_heapzd2compatiblezd2) =
					((obj_t) BgL_heapzd2compatible1175zd2_219), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_callccz00) =
					((bool_t) BgL_callcc1176z00_220), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) BgL_qualifiedzd2types1177zd2_221), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_effectzb2zb2) =
					((bool_t) BgL_effectzb21178zb2_222), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) BgL_removezd2emptyzd2let1179z00_223), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_foreignzd2closurezd2) =
					((bool_t) BgL_foreignzd2closure1180zd2_224), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_typedzd2eqzd2) =
					((bool_t) BgL_typedzd2eq1181zd2_225), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_tracezd2supportzd2) =
					((bool_t) BgL_tracezd2support1182zd2_226), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) BgL_foreignzd2clausezd2suppo1183z00_227), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_debugzd2supportzd2) =
					((obj_t) BgL_debugzd2support1184zd2_228), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_pragmazd2supportzd2) =
					((bool_t) BgL_pragmazd2support1185zd2_229), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) BgL_tvectorzd2descrzd2suppor1186z00_230), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_requirezd2tailczd2) =
					((bool_t) BgL_requirezd2tailc1187zd2_231), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_registersz00) =
					((obj_t) BgL_registers1188z00_232), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_pregistersz00) =
					((obj_t) BgL_pregisters1189z00_233), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_boundzd2checkzd2) =
					((bool_t) BgL_boundzd2check1190zd2_234), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_typezd2checkzd2) =
					((bool_t) BgL_typezd2check1191zd2_235), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1236z00_1766)))->BgL_typedzd2funcallzd2) =
					((bool_t) BgL_typedzd2funcall1192zd2_236), BUNSPEC);
				{	/* BackEnd/cvm.sch 333 */
					obj_t BgL_fun1379z00_1769;

					BgL_fun1379z00_1769 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_cgenz00zzbackend_cvmz00);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_fun1379z00_1769)) (BgL_fun1379z00_1769,
						((obj_t) BgL_new1236z00_1766), BEOA);
				}
				return BgL_new1236z00_1766;
			}
		}

	}



/* &make-cgen */
	BgL_cgenz00_bglt BGl_z62makezd2cgenzb0zzbackend_cvmz00(obj_t BgL_envz00_1470,
		obj_t BgL_language1164z00_1471, obj_t BgL_srfi01165z00_1472,
		obj_t BgL_name1166z00_1473, obj_t BgL_externzd2variables1167zd2_1474,
		obj_t BgL_externzd2functions1168zd2_1475,
		obj_t BgL_externzd2types1169zd2_1476, obj_t BgL_variables1170z00_1477,
		obj_t BgL_functions1171z00_1478, obj_t BgL_types1172z00_1479,
		obj_t BgL_typed1173z00_1480, obj_t BgL_heapzd2suffix1174zd2_1481,
		obj_t BgL_heapzd2compatible1175zd2_1482, obj_t BgL_callcc1176z00_1483,
		obj_t BgL_qualifiedzd2types1177zd2_1484, obj_t BgL_effectzb21178zb2_1485,
		obj_t BgL_removezd2emptyzd2let1179z00_1486,
		obj_t BgL_foreignzd2closure1180zd2_1487, obj_t BgL_typedzd2eq1181zd2_1488,
		obj_t BgL_tracezd2support1182zd2_1489,
		obj_t BgL_foreignzd2clausezd2suppo1183z00_1490,
		obj_t BgL_debugzd2support1184zd2_1491,
		obj_t BgL_pragmazd2support1185zd2_1492,
		obj_t BgL_tvectorzd2descrzd2suppor1186z00_1493,
		obj_t BgL_requirezd2tailc1187zd2_1494, obj_t BgL_registers1188z00_1495,
		obj_t BgL_pregisters1189z00_1496, obj_t BgL_boundzd2check1190zd2_1497,
		obj_t BgL_typezd2check1191zd2_1498, obj_t BgL_typedzd2funcall1192zd2_1499)
	{
		{	/* BackEnd/cvm.sch 333 */
			return
				BGl_makezd2cgenzd2zzbackend_cvmz00(BgL_language1164z00_1471,
				BgL_srfi01165z00_1472, BgL_name1166z00_1473,
				BgL_externzd2variables1167zd2_1474, BgL_externzd2functions1168zd2_1475,
				BgL_externzd2types1169zd2_1476, BgL_variables1170z00_1477,
				BgL_functions1171z00_1478, BgL_types1172z00_1479,
				CBOOL(BgL_typed1173z00_1480), BgL_heapzd2suffix1174zd2_1481,
				BgL_heapzd2compatible1175zd2_1482, CBOOL(BgL_callcc1176z00_1483),
				CBOOL(BgL_qualifiedzd2types1177zd2_1484),
				CBOOL(BgL_effectzb21178zb2_1485),
				CBOOL(BgL_removezd2emptyzd2let1179z00_1486),
				CBOOL(BgL_foreignzd2closure1180zd2_1487),
				CBOOL(BgL_typedzd2eq1181zd2_1488),
				CBOOL(BgL_tracezd2support1182zd2_1489),
				BgL_foreignzd2clausezd2suppo1183z00_1490,
				BgL_debugzd2support1184zd2_1491,
				CBOOL(BgL_pragmazd2support1185zd2_1492),
				CBOOL(BgL_tvectorzd2descrzd2suppor1186z00_1493),
				CBOOL(BgL_requirezd2tailc1187zd2_1494), BgL_registers1188z00_1495,
				BgL_pregisters1189z00_1496, CBOOL(BgL_boundzd2check1190zd2_1497),
				CBOOL(BgL_typezd2check1191zd2_1498),
				CBOOL(BgL_typedzd2funcall1192zd2_1499));
		}

	}



/* cgen? */
	BGL_EXPORTED_DEF bool_t BGl_cgenzf3zf3zzbackend_cvmz00(obj_t BgL_objz00_237)
	{
		{	/* BackEnd/cvm.sch 334 */
			{	/* BackEnd/cvm.sch 334 */
				obj_t BgL_classz00_1770;

				BgL_classz00_1770 = BGl_cgenz00zzbackend_cvmz00;
				if (BGL_OBJECTP(BgL_objz00_237))
					{	/* BackEnd/cvm.sch 334 */
						BgL_objectz00_bglt BgL_arg1820z00_1771;

						BgL_arg1820z00_1771 = (BgL_objectz00_bglt) (BgL_objz00_237);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* BackEnd/cvm.sch 334 */
								long BgL_idxz00_1772;

								BgL_idxz00_1772 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1771);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1772 + ((long) 3))) == BgL_classz00_1770);
							}
						else
							{	/* BackEnd/cvm.sch 334 */
								bool_t BgL_res1513z00_1775;

								{	/* BackEnd/cvm.sch 334 */
									obj_t BgL_oclassz00_1776;

									{	/* BackEnd/cvm.sch 334 */
										long BgL_arg1828z00_1777;

										{	/* BackEnd/cvm.sch 334 */
											long BgL_arg1829z00_1778;

											BgL_arg1829z00_1778 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1771);
											BgL_arg1828z00_1777 = (BgL_arg1829z00_1778 - OBJECT_TYPE);
										}
										BgL_oclassz00_1776 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_1777);
									}
									{	/* BackEnd/cvm.sch 334 */
										bool_t BgL__ortest_1111z00_1779;

										BgL__ortest_1111z00_1779 =
											(BgL_classz00_1770 == BgL_oclassz00_1776);
										if (BgL__ortest_1111z00_1779)
											{	/* BackEnd/cvm.sch 334 */
												BgL_res1513z00_1775 = BgL__ortest_1111z00_1779;
											}
										else
											{	/* BackEnd/cvm.sch 334 */
												long BgL_odepthz00_1780;

												BgL_odepthz00_1780 =
													BGL_CLASS_DEPTH(BgL_oclassz00_1776);
												if ((((long) 3) < BgL_odepthz00_1780))
													{	/* BackEnd/cvm.sch 334 */
														obj_t BgL_arg1816z00_1781;

														BgL_arg1816z00_1781 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1776,
															((long) 3));
														BgL_res1513z00_1775 =
															(BgL_arg1816z00_1781 == BgL_classz00_1770);
													}
												else
													{	/* BackEnd/cvm.sch 334 */
														BgL_res1513z00_1775 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1513z00_1775;
							}
					}
				else
					{	/* BackEnd/cvm.sch 334 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cgen? */
	obj_t BGl_z62cgenzf3z91zzbackend_cvmz00(obj_t BgL_envz00_1500,
		obj_t BgL_objz00_1501)
	{
		{	/* BackEnd/cvm.sch 334 */
			return BBOOL(BGl_cgenzf3zf3zzbackend_cvmz00(BgL_objz00_1501));
		}

	}



/* cgen-nil */
	BGL_EXPORTED_DEF BgL_cgenz00_bglt BGl_cgenzd2nilzd2zzbackend_cvmz00(void)
	{
		{	/* BackEnd/cvm.sch 335 */
			{	/* BackEnd/cvm.sch 335 */
				obj_t BgL_classz00_1061;

				BgL_classz00_1061 = BGl_cgenz00zzbackend_cvmz00;
				{	/* BackEnd/cvm.sch 335 */
					obj_t BgL__ortest_1113z00_1062;

					BgL__ortest_1113z00_1062 = BGL_CLASS_NIL(BgL_classz00_1061);
					if (CBOOL(BgL__ortest_1113z00_1062))
						{	/* BackEnd/cvm.sch 335 */
							return ((BgL_cgenz00_bglt) BgL__ortest_1113z00_1062);
						}
					else
						{	/* BackEnd/cvm.sch 335 */
							return
								((BgL_cgenz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1061));
						}
				}
			}
		}

	}



/* &cgen-nil */
	BgL_cgenz00_bglt BGl_z62cgenzd2nilzb0zzbackend_cvmz00(obj_t BgL_envz00_1502)
	{
		{	/* BackEnd/cvm.sch 335 */
			return BGl_cgenzd2nilzd2zzbackend_cvmz00();
		}

	}



/* cgen-typed-funcall */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2typedzd2funcallz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_238)
	{
		{	/* BackEnd/cvm.sch 336 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_238)))->BgL_typedzd2funcallzd2);
		}

	}



/* &cgen-typed-funcall */
	obj_t BGl_z62cgenzd2typedzd2funcallz62zzbackend_cvmz00(obj_t BgL_envz00_1503,
		obj_t BgL_oz00_1504)
	{
		{	/* BackEnd/cvm.sch 336 */
			return
				BBOOL(BGl_cgenzd2typedzd2funcallz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1504)));
		}

	}



/* cgen-typed-funcall-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_239, bool_t BgL_vz00_240)
	{
		{	/* BackEnd/cvm.sch 337 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_239)))->BgL_typedzd2funcallzd2) =
				((bool_t) BgL_vz00_240), BUNSPEC);
		}

	}



/* &cgen-typed-funcall-set! */
	obj_t BGl_z62cgenzd2typedzd2funcallzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1505, obj_t BgL_oz00_1506, obj_t BgL_vz00_1507)
	{
		{	/* BackEnd/cvm.sch 337 */
			return
				BGl_cgenzd2typedzd2funcallzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1506), CBOOL(BgL_vz00_1507));
		}

	}



/* cgen-type-check */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2typezd2checkz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_241)
	{
		{	/* BackEnd/cvm.sch 338 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_241)))->BgL_typezd2checkzd2);
		}

	}



/* &cgen-type-check */
	obj_t BGl_z62cgenzd2typezd2checkz62zzbackend_cvmz00(obj_t BgL_envz00_1508,
		obj_t BgL_oz00_1509)
	{
		{	/* BackEnd/cvm.sch 338 */
			return
				BBOOL(BGl_cgenzd2typezd2checkz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1509)));
		}

	}



/* cgen-type-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2typezd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_242, bool_t BgL_vz00_243)
	{
		{	/* BackEnd/cvm.sch 339 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_242)))->BgL_typezd2checkzd2) =
				((bool_t) BgL_vz00_243), BUNSPEC);
		}

	}



/* &cgen-type-check-set! */
	obj_t BGl_z62cgenzd2typezd2checkzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1510, obj_t BgL_oz00_1511, obj_t BgL_vz00_1512)
	{
		{	/* BackEnd/cvm.sch 339 */
			return
				BGl_cgenzd2typezd2checkzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1511), CBOOL(BgL_vz00_1512));
		}

	}



/* cgen-bound-check */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2boundzd2checkz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_244)
	{
		{	/* BackEnd/cvm.sch 340 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_244)))->BgL_boundzd2checkzd2);
		}

	}



/* &cgen-bound-check */
	obj_t BGl_z62cgenzd2boundzd2checkz62zzbackend_cvmz00(obj_t BgL_envz00_1513,
		obj_t BgL_oz00_1514)
	{
		{	/* BackEnd/cvm.sch 340 */
			return
				BBOOL(BGl_cgenzd2boundzd2checkz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1514)));
		}

	}



/* cgen-bound-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_245, bool_t BgL_vz00_246)
	{
		{	/* BackEnd/cvm.sch 341 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_245)))->BgL_boundzd2checkzd2) =
				((bool_t) BgL_vz00_246), BUNSPEC);
		}

	}



/* &cgen-bound-check-set! */
	obj_t BGl_z62cgenzd2boundzd2checkzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1515, obj_t BgL_oz00_1516, obj_t BgL_vz00_1517)
	{
		{	/* BackEnd/cvm.sch 341 */
			return
				BGl_cgenzd2boundzd2checkzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1516), CBOOL(BgL_vz00_1517));
		}

	}



/* cgen-pregisters */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2pregisterszd2zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_247)
	{
		{	/* BackEnd/cvm.sch 342 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_247)))->BgL_pregistersz00);
		}

	}



/* &cgen-pregisters */
	obj_t BGl_z62cgenzd2pregisterszb0zzbackend_cvmz00(obj_t BgL_envz00_1518,
		obj_t BgL_oz00_1519)
	{
		{	/* BackEnd/cvm.sch 342 */
			return
				BGl_cgenzd2pregisterszd2zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1519));
		}

	}



/* cgen-pregisters-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2pregisterszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_248, obj_t BgL_vz00_249)
	{
		{	/* BackEnd/cvm.sch 343 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_248)))->BgL_pregistersz00) =
				((obj_t) BgL_vz00_249), BUNSPEC);
		}

	}



/* &cgen-pregisters-set! */
	obj_t BGl_z62cgenzd2pregisterszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1520, obj_t BgL_oz00_1521, obj_t BgL_vz00_1522)
	{
		{	/* BackEnd/cvm.sch 343 */
			return
				BGl_cgenzd2pregisterszd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1521), BgL_vz00_1522);
		}

	}



/* cgen-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2registerszd2zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_250)
	{
		{	/* BackEnd/cvm.sch 344 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_250)))->BgL_registersz00);
		}

	}



/* &cgen-registers */
	obj_t BGl_z62cgenzd2registerszb0zzbackend_cvmz00(obj_t BgL_envz00_1523,
		obj_t BgL_oz00_1524)
	{
		{	/* BackEnd/cvm.sch 344 */
			return
				BGl_cgenzd2registerszd2zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1524));
		}

	}



/* cgen-registers-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2registerszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_251, obj_t BgL_vz00_252)
	{
		{	/* BackEnd/cvm.sch 345 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_251)))->BgL_registersz00) =
				((obj_t) BgL_vz00_252), BUNSPEC);
		}

	}



/* &cgen-registers-set! */
	obj_t BGl_z62cgenzd2registerszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1525, obj_t BgL_oz00_1526, obj_t BgL_vz00_1527)
	{
		{	/* BackEnd/cvm.sch 345 */
			return
				BGl_cgenzd2registerszd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1526), BgL_vz00_1527);
		}

	}



/* cgen-require-tailc */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2requirezd2tailcz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_253)
	{
		{	/* BackEnd/cvm.sch 346 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_253)))->BgL_requirezd2tailczd2);
		}

	}



/* &cgen-require-tailc */
	obj_t BGl_z62cgenzd2requirezd2tailcz62zzbackend_cvmz00(obj_t BgL_envz00_1528,
		obj_t BgL_oz00_1529)
	{
		{	/* BackEnd/cvm.sch 346 */
			return
				BBOOL(BGl_cgenzd2requirezd2tailcz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1529)));
		}

	}



/* cgen-require-tailc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_254, bool_t BgL_vz00_255)
	{
		{	/* BackEnd/cvm.sch 347 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_254)))->BgL_requirezd2tailczd2) =
				((bool_t) BgL_vz00_255), BUNSPEC);
		}

	}



/* &cgen-require-tailc-set! */
	obj_t BGl_z62cgenzd2requirezd2tailczd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1530, obj_t BgL_oz00_1531, obj_t BgL_vz00_1532)
	{
		{	/* BackEnd/cvm.sch 347 */
			return
				BGl_cgenzd2requirezd2tailczd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1531), CBOOL(BgL_vz00_1532));
		}

	}



/* cgen-tvector-descr-support */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_256)
	{
		{	/* BackEnd/cvm.sch 348 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_256)))->
				BgL_tvectorzd2descrzd2supportz00);
		}

	}



/* &cgen-tvector-descr-support */
	obj_t BGl_z62cgenzd2tvectorzd2descrzd2supportzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1533, obj_t BgL_oz00_1534)
	{
		{	/* BackEnd/cvm.sch 348 */
			return
				BBOOL(BGl_cgenzd2tvectorzd2descrzd2supportzd2zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1534)));
		}

	}



/* cgen-tvector-descr-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cgenz00_bglt BgL_oz00_257, bool_t BgL_vz00_258)
	{
		{	/* BackEnd/cvm.sch 349 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_257)))->
					BgL_tvectorzd2descrzd2supportz00) = ((bool_t) BgL_vz00_258), BUNSPEC);
		}

	}



/* &cgen-tvector-descr-support-set! */
	obj_t
		BGl_z62cgenzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1535, obj_t BgL_oz00_1536, obj_t BgL_vz00_1537)
	{
		{	/* BackEnd/cvm.sch 349 */
			return
				BGl_cgenzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1536), CBOOL(BgL_vz00_1537));
		}

	}



/* cgen-pragma-support */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2pragmazd2supportz00zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_259)
	{
		{	/* BackEnd/cvm.sch 350 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_259)))->BgL_pragmazd2supportzd2);
		}

	}



/* &cgen-pragma-support */
	obj_t BGl_z62cgenzd2pragmazd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1538,
		obj_t BgL_oz00_1539)
	{
		{	/* BackEnd/cvm.sch 350 */
			return
				BBOOL(BGl_cgenzd2pragmazd2supportz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1539)));
		}

	}



/* cgen-pragma-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_260, bool_t BgL_vz00_261)
	{
		{	/* BackEnd/cvm.sch 351 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_260)))->BgL_pragmazd2supportzd2) =
				((bool_t) BgL_vz00_261), BUNSPEC);
		}

	}



/* &cgen-pragma-support-set! */
	obj_t BGl_z62cgenzd2pragmazd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1540, obj_t BgL_oz00_1541, obj_t BgL_vz00_1542)
	{
		{	/* BackEnd/cvm.sch 351 */
			return
				BGl_cgenzd2pragmazd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1541), CBOOL(BgL_vz00_1542));
		}

	}



/* cgen-debug-support */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2debugzd2supportz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_262)
	{
		{	/* BackEnd/cvm.sch 352 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_262)))->BgL_debugzd2supportzd2);
		}

	}



/* &cgen-debug-support */
	obj_t BGl_z62cgenzd2debugzd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1543,
		obj_t BgL_oz00_1544)
	{
		{	/* BackEnd/cvm.sch 352 */
			return
				BGl_cgenzd2debugzd2supportz00zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1544));
		}

	}



/* cgen-debug-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_263, obj_t BgL_vz00_264)
	{
		{	/* BackEnd/cvm.sch 353 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_263)))->BgL_debugzd2supportzd2) =
				((obj_t) BgL_vz00_264), BUNSPEC);
		}

	}



/* &cgen-debug-support-set! */
	obj_t BGl_z62cgenzd2debugzd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1545, obj_t BgL_oz00_1546, obj_t BgL_vz00_1547)
	{
		{	/* BackEnd/cvm.sch 353 */
			return
				BGl_cgenzd2debugzd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1546), BgL_vz00_1547);
		}

	}



/* cgen-foreign-clause-support */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_265)
	{
		{	/* BackEnd/cvm.sch 354 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_265)))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &cgen-foreign-clause-support */
	obj_t BGl_z62cgenzd2foreignzd2clausezd2supportzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1548, obj_t BgL_oz00_1549)
	{
		{	/* BackEnd/cvm.sch 354 */
			return
				BGl_cgenzd2foreignzd2clausezd2supportzd2zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1549));
		}

	}



/* cgen-foreign-clause-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00
		(BgL_cgenz00_bglt BgL_oz00_266, obj_t BgL_vz00_267)
	{
		{	/* BackEnd/cvm.sch 355 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_266)))->
					BgL_foreignzd2clausezd2supportz00) = ((obj_t) BgL_vz00_267), BUNSPEC);
		}

	}



/* &cgen-foreign-clause-support-set! */
	obj_t
		BGl_z62cgenzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1550, obj_t BgL_oz00_1551, obj_t BgL_vz00_1552)
	{
		{	/* BackEnd/cvm.sch 355 */
			return
				BGl_cgenzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1551), BgL_vz00_1552);
		}

	}



/* cgen-trace-support */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2tracezd2supportz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_268)
	{
		{	/* BackEnd/cvm.sch 356 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_268)))->BgL_tracezd2supportzd2);
		}

	}



/* &cgen-trace-support */
	obj_t BGl_z62cgenzd2tracezd2supportz62zzbackend_cvmz00(obj_t BgL_envz00_1553,
		obj_t BgL_oz00_1554)
	{
		{	/* BackEnd/cvm.sch 356 */
			return
				BBOOL(BGl_cgenzd2tracezd2supportz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1554)));
		}

	}



/* cgen-trace-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_269, bool_t BgL_vz00_270)
	{
		{	/* BackEnd/cvm.sch 357 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_269)))->BgL_tracezd2supportzd2) =
				((bool_t) BgL_vz00_270), BUNSPEC);
		}

	}



/* &cgen-trace-support-set! */
	obj_t BGl_z62cgenzd2tracezd2supportzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1555, obj_t BgL_oz00_1556, obj_t BgL_vz00_1557)
	{
		{	/* BackEnd/cvm.sch 357 */
			return
				BGl_cgenzd2tracezd2supportzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1556), CBOOL(BgL_vz00_1557));
		}

	}



/* cgen-typed-eq */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2typedzd2eqz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_271)
	{
		{	/* BackEnd/cvm.sch 358 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_271)))->BgL_typedzd2eqzd2);
		}

	}



/* &cgen-typed-eq */
	obj_t BGl_z62cgenzd2typedzd2eqz62zzbackend_cvmz00(obj_t BgL_envz00_1558,
		obj_t BgL_oz00_1559)
	{
		{	/* BackEnd/cvm.sch 358 */
			return
				BBOOL(BGl_cgenzd2typedzd2eqz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1559)));
		}

	}



/* cgen-typed-eq-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_272, bool_t BgL_vz00_273)
	{
		{	/* BackEnd/cvm.sch 359 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_272)))->BgL_typedzd2eqzd2) =
				((bool_t) BgL_vz00_273), BUNSPEC);
		}

	}



/* &cgen-typed-eq-set! */
	obj_t BGl_z62cgenzd2typedzd2eqzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1560, obj_t BgL_oz00_1561, obj_t BgL_vz00_1562)
	{
		{	/* BackEnd/cvm.sch 359 */
			return
				BGl_cgenzd2typedzd2eqzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1561), CBOOL(BgL_vz00_1562));
		}

	}



/* cgen-foreign-closure */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2foreignzd2closurez00zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_274)
	{
		{	/* BackEnd/cvm.sch 360 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_274)))->BgL_foreignzd2closurezd2);
		}

	}



/* &cgen-foreign-closure */
	obj_t BGl_z62cgenzd2foreignzd2closurez62zzbackend_cvmz00(obj_t
		BgL_envz00_1563, obj_t BgL_oz00_1564)
	{
		{	/* BackEnd/cvm.sch 360 */
			return
				BBOOL(BGl_cgenzd2foreignzd2closurez00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1564)));
		}

	}



/* cgen-foreign-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_275, bool_t BgL_vz00_276)
	{
		{	/* BackEnd/cvm.sch 361 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_275)))->
					BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_276), BUNSPEC);
		}

	}



/* &cgen-foreign-closure-set! */
	obj_t BGl_z62cgenzd2foreignzd2closurezd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1565, obj_t BgL_oz00_1566, obj_t BgL_vz00_1567)
	{
		{	/* BackEnd/cvm.sch 361 */
			return
				BGl_cgenzd2foreignzd2closurezd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1566), CBOOL(BgL_vz00_1567));
		}

	}



/* cgen-remove-empty-let */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2removezd2emptyzd2letzd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_277)
	{
		{	/* BackEnd/cvm.sch 362 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_277)))->
				BgL_removezd2emptyzd2letz00);
		}

	}



/* &cgen-remove-empty-let */
	obj_t BGl_z62cgenzd2removezd2emptyzd2letzb0zzbackend_cvmz00(obj_t
		BgL_envz00_1568, obj_t BgL_oz00_1569)
	{
		{	/* BackEnd/cvm.sch 362 */
			return
				BBOOL(BGl_cgenzd2removezd2emptyzd2letzd2zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1569)));
		}

	}



/* cgen-remove-empty-let-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_278, bool_t BgL_vz00_279)
	{
		{	/* BackEnd/cvm.sch 363 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_278)))->
					BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_279), BUNSPEC);
		}

	}



/* &cgen-remove-empty-let-set! */
	obj_t BGl_z62cgenzd2removezd2emptyzd2letzd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1570, obj_t BgL_oz00_1571, obj_t BgL_vz00_1572)
	{
		{	/* BackEnd/cvm.sch 363 */
			return
				BGl_cgenzd2removezd2emptyzd2letzd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1571), CBOOL(BgL_vz00_1572));
		}

	}



/* cgen-effect+ */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2effectzb2z60zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_280)
	{
		{	/* BackEnd/cvm.sch 364 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_280)))->BgL_effectzb2zb2);
		}

	}



/* &cgen-effect+ */
	obj_t BGl_z62cgenzd2effectzb2z02zzbackend_cvmz00(obj_t BgL_envz00_1573,
		obj_t BgL_oz00_1574)
	{
		{	/* BackEnd/cvm.sch 364 */
			return
				BBOOL(BGl_cgenzd2effectzb2z60zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1574)));
		}

	}



/* cgen-effect+-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2effectzb2zd2setz12za0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_281, bool_t BgL_vz00_282)
	{
		{	/* BackEnd/cvm.sch 365 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_281)))->BgL_effectzb2zb2) =
				((bool_t) BgL_vz00_282), BUNSPEC);
		}

	}



/* &cgen-effect+-set! */
	obj_t BGl_z62cgenzd2effectzb2zd2setz12zc2zzbackend_cvmz00(obj_t
		BgL_envz00_1575, obj_t BgL_oz00_1576, obj_t BgL_vz00_1577)
	{
		{	/* BackEnd/cvm.sch 365 */
			return
				BGl_cgenzd2effectzb2zd2setz12za0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1576), CBOOL(BgL_vz00_1577));
		}

	}



/* cgen-qualified-types */
	BGL_EXPORTED_DEF bool_t
		BGl_cgenzd2qualifiedzd2typesz00zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_283)
	{
		{	/* BackEnd/cvm.sch 366 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_283)))->BgL_qualifiedzd2typeszd2);
		}

	}



/* &cgen-qualified-types */
	obj_t BGl_z62cgenzd2qualifiedzd2typesz62zzbackend_cvmz00(obj_t
		BgL_envz00_1578, obj_t BgL_oz00_1579)
	{
		{	/* BackEnd/cvm.sch 366 */
			return
				BBOOL(BGl_cgenzd2qualifiedzd2typesz00zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1579)));
		}

	}



/* cgen-qualified-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_284, bool_t BgL_vz00_285)
	{
		{	/* BackEnd/cvm.sch 367 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_284)))->
					BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_285), BUNSPEC);
		}

	}



/* &cgen-qualified-types-set! */
	obj_t BGl_z62cgenzd2qualifiedzd2typeszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1580, obj_t BgL_oz00_1581, obj_t BgL_vz00_1582)
	{
		{	/* BackEnd/cvm.sch 367 */
			return
				BGl_cgenzd2qualifiedzd2typeszd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1581), CBOOL(BgL_vz00_1582));
		}

	}



/* cgen-callcc */
	BGL_EXPORTED_DEF bool_t BGl_cgenzd2callcczd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_286)
	{
		{	/* BackEnd/cvm.sch 368 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_286)))->BgL_callccz00);
		}

	}



/* &cgen-callcc */
	obj_t BGl_z62cgenzd2callcczb0zzbackend_cvmz00(obj_t BgL_envz00_1583,
		obj_t BgL_oz00_1584)
	{
		{	/* BackEnd/cvm.sch 368 */
			return
				BBOOL(BGl_cgenzd2callcczd2zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1584)));
		}

	}



/* cgen-callcc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2callcczd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_287,
		bool_t BgL_vz00_288)
	{
		{	/* BackEnd/cvm.sch 369 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_287)))->BgL_callccz00) =
				((bool_t) BgL_vz00_288), BUNSPEC);
		}

	}



/* &cgen-callcc-set! */
	obj_t BGl_z62cgenzd2callcczd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1585,
		obj_t BgL_oz00_1586, obj_t BgL_vz00_1587)
	{
		{	/* BackEnd/cvm.sch 369 */
			return
				BGl_cgenzd2callcczd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1586), CBOOL(BgL_vz00_1587));
		}

	}



/* cgen-heap-compatible */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2heapzd2compatiblez00zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_289)
	{
		{	/* BackEnd/cvm.sch 370 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_289)))->BgL_heapzd2compatiblezd2);
		}

	}



/* &cgen-heap-compatible */
	obj_t BGl_z62cgenzd2heapzd2compatiblez62zzbackend_cvmz00(obj_t
		BgL_envz00_1588, obj_t BgL_oz00_1589)
	{
		{	/* BackEnd/cvm.sch 370 */
			return
				BGl_cgenzd2heapzd2compatiblez00zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1589));
		}

	}



/* cgen-heap-compatible-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_290, obj_t BgL_vz00_291)
	{
		{	/* BackEnd/cvm.sch 371 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_290)))->
					BgL_heapzd2compatiblezd2) = ((obj_t) BgL_vz00_291), BUNSPEC);
		}

	}



/* &cgen-heap-compatible-set! */
	obj_t BGl_z62cgenzd2heapzd2compatiblezd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1590, obj_t BgL_oz00_1591, obj_t BgL_vz00_1592)
	{
		{	/* BackEnd/cvm.sch 371 */
			return
				BGl_cgenzd2heapzd2compatiblezd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1591), BgL_vz00_1592);
		}

	}



/* cgen-heap-suffix */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2heapzd2suffixz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_292)
	{
		{	/* BackEnd/cvm.sch 372 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_292)))->BgL_heapzd2suffixzd2);
		}

	}



/* &cgen-heap-suffix */
	obj_t BGl_z62cgenzd2heapzd2suffixz62zzbackend_cvmz00(obj_t BgL_envz00_1593,
		obj_t BgL_oz00_1594)
	{
		{	/* BackEnd/cvm.sch 372 */
			return
				BGl_cgenzd2heapzd2suffixz00zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1594));
		}

	}



/* cgen-heap-suffix-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_293, obj_t BgL_vz00_294)
	{
		{	/* BackEnd/cvm.sch 373 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_293)))->BgL_heapzd2suffixzd2) =
				((obj_t) BgL_vz00_294), BUNSPEC);
		}

	}



/* &cgen-heap-suffix-set! */
	obj_t BGl_z62cgenzd2heapzd2suffixzd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1595, obj_t BgL_oz00_1596, obj_t BgL_vz00_1597)
	{
		{	/* BackEnd/cvm.sch 373 */
			return
				BGl_cgenzd2heapzd2suffixzd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1596), BgL_vz00_1597);
		}

	}



/* cgen-typed */
	BGL_EXPORTED_DEF bool_t BGl_cgenzd2typedzd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_295)
	{
		{	/* BackEnd/cvm.sch 374 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_295)))->BgL_typedz00);
		}

	}



/* &cgen-typed */
	obj_t BGl_z62cgenzd2typedzb0zzbackend_cvmz00(obj_t BgL_envz00_1598,
		obj_t BgL_oz00_1599)
	{
		{	/* BackEnd/cvm.sch 374 */
			return
				BBOOL(BGl_cgenzd2typedzd2zzbackend_cvmz00(
					((BgL_cgenz00_bglt) BgL_oz00_1599)));
		}

	}



/* cgen-typed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2typedzd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_296,
		bool_t BgL_vz00_297)
	{
		{	/* BackEnd/cvm.sch 375 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_296)))->BgL_typedz00) =
				((bool_t) BgL_vz00_297), BUNSPEC);
		}

	}



/* &cgen-typed-set! */
	obj_t BGl_z62cgenzd2typedzd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1600,
		obj_t BgL_oz00_1601, obj_t BgL_vz00_1602)
	{
		{	/* BackEnd/cvm.sch 375 */
			return
				BGl_cgenzd2typedzd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1601), CBOOL(BgL_vz00_1602));
		}

	}



/* cgen-types */
	BGL_EXPORTED_DEF obj_t BGl_cgenzd2typeszd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_298)
	{
		{	/* BackEnd/cvm.sch 376 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_298)))->BgL_typesz00);
		}

	}



/* &cgen-types */
	obj_t BGl_z62cgenzd2typeszb0zzbackend_cvmz00(obj_t BgL_envz00_1603,
		obj_t BgL_oz00_1604)
	{
		{	/* BackEnd/cvm.sch 376 */
			return
				BGl_cgenzd2typeszd2zzbackend_cvmz00(((BgL_cgenz00_bglt) BgL_oz00_1604));
		}

	}



/* cgen-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2typeszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_299,
		obj_t BgL_vz00_300)
	{
		{	/* BackEnd/cvm.sch 377 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_299)))->BgL_typesz00) =
				((obj_t) BgL_vz00_300), BUNSPEC);
		}

	}



/* &cgen-types-set! */
	obj_t BGl_z62cgenzd2typeszd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1605,
		obj_t BgL_oz00_1606, obj_t BgL_vz00_1607)
	{
		{	/* BackEnd/cvm.sch 377 */
			return
				BGl_cgenzd2typeszd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1606), BgL_vz00_1607);
		}

	}



/* cgen-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2functionszd2zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_301)
	{
		{	/* BackEnd/cvm.sch 378 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_301)))->BgL_functionsz00);
		}

	}



/* &cgen-functions */
	obj_t BGl_z62cgenzd2functionszb0zzbackend_cvmz00(obj_t BgL_envz00_1608,
		obj_t BgL_oz00_1609)
	{
		{	/* BackEnd/cvm.sch 378 */
			return
				BGl_cgenzd2functionszd2zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1609));
		}

	}



/* cgen-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2functionszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_302, obj_t BgL_vz00_303)
	{
		{	/* BackEnd/cvm.sch 379 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_302)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_303), BUNSPEC);
		}

	}



/* &cgen-functions-set! */
	obj_t BGl_z62cgenzd2functionszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1610, obj_t BgL_oz00_1611, obj_t BgL_vz00_1612)
	{
		{	/* BackEnd/cvm.sch 379 */
			return
				BGl_cgenzd2functionszd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1611), BgL_vz00_1612);
		}

	}



/* cgen-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2variableszd2zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_304)
	{
		{	/* BackEnd/cvm.sch 380 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_304)))->BgL_variablesz00);
		}

	}



/* &cgen-variables */
	obj_t BGl_z62cgenzd2variableszb0zzbackend_cvmz00(obj_t BgL_envz00_1613,
		obj_t BgL_oz00_1614)
	{
		{	/* BackEnd/cvm.sch 380 */
			return
				BGl_cgenzd2variableszd2zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1614));
		}

	}



/* cgen-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2variableszd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_305, obj_t BgL_vz00_306)
	{
		{	/* BackEnd/cvm.sch 381 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_305)))->BgL_variablesz00) =
				((obj_t) BgL_vz00_306), BUNSPEC);
		}

	}



/* &cgen-variables-set! */
	obj_t BGl_z62cgenzd2variableszd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1615, obj_t BgL_oz00_1616, obj_t BgL_vz00_1617)
	{
		{	/* BackEnd/cvm.sch 381 */
			return
				BGl_cgenzd2variableszd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1616), BgL_vz00_1617);
		}

	}



/* cgen-extern-types */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2externzd2typesz00zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_307)
	{
		{	/* BackEnd/cvm.sch 382 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_307)))->BgL_externzd2typeszd2);
		}

	}



/* &cgen-extern-types */
	obj_t BGl_z62cgenzd2externzd2typesz62zzbackend_cvmz00(obj_t BgL_envz00_1618,
		obj_t BgL_oz00_1619)
	{
		{	/* BackEnd/cvm.sch 382 */
			return
				BGl_cgenzd2externzd2typesz00zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1619));
		}

	}



/* cgen-extern-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2externzd2typeszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_308, obj_t BgL_vz00_309)
	{
		{	/* BackEnd/cvm.sch 383 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_308)))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_309), BUNSPEC);
		}

	}



/* &cgen-extern-types-set! */
	obj_t BGl_z62cgenzd2externzd2typeszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1620, obj_t BgL_oz00_1621, obj_t BgL_vz00_1622)
	{
		{	/* BackEnd/cvm.sch 383 */
			return
				BGl_cgenzd2externzd2typeszd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1621), BgL_vz00_1622);
		}

	}



/* cgen-extern-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2externzd2functionsz00zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_310)
	{
		{	/* BackEnd/cvm.sch 384 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_310)))->BgL_externzd2functionszd2);
		}

	}



/* &cgen-extern-functions */
	obj_t BGl_z62cgenzd2externzd2functionsz62zzbackend_cvmz00(obj_t
		BgL_envz00_1623, obj_t BgL_oz00_1624)
	{
		{	/* BackEnd/cvm.sch 384 */
			return
				BGl_cgenzd2externzd2functionsz00zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1624));
		}

	}



/* cgen-extern-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2externzd2functionszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_311, obj_t BgL_vz00_312)
	{
		{	/* BackEnd/cvm.sch 385 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_311)))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_312), BUNSPEC);
		}

	}



/* &cgen-extern-functions-set! */
	obj_t BGl_z62cgenzd2externzd2functionszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1625, obj_t BgL_oz00_1626, obj_t BgL_vz00_1627)
	{
		{	/* BackEnd/cvm.sch 385 */
			return
				BGl_cgenzd2externzd2functionszd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1626), BgL_vz00_1627);
		}

	}



/* cgen-extern-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2externzd2variablesz00zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_313)
	{
		{	/* BackEnd/cvm.sch 386 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_313)))->BgL_externzd2variableszd2);
		}

	}



/* &cgen-extern-variables */
	obj_t BGl_z62cgenzd2externzd2variablesz62zzbackend_cvmz00(obj_t
		BgL_envz00_1628, obj_t BgL_oz00_1629)
	{
		{	/* BackEnd/cvm.sch 386 */
			return
				BGl_cgenzd2externzd2variablesz00zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1629));
		}

	}



/* cgen-extern-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2externzd2variableszd2setz12zc0zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_314, obj_t BgL_vz00_315)
	{
		{	/* BackEnd/cvm.sch 387 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_314)))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_315), BUNSPEC);
		}

	}



/* &cgen-extern-variables-set! */
	obj_t BGl_z62cgenzd2externzd2variableszd2setz12za2zzbackend_cvmz00(obj_t
		BgL_envz00_1630, obj_t BgL_oz00_1631, obj_t BgL_vz00_1632)
	{
		{	/* BackEnd/cvm.sch 387 */
			return
				BGl_cgenzd2externzd2variableszd2setz12zc0zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1631), BgL_vz00_1632);
		}

	}



/* cgen-name */
	BGL_EXPORTED_DEF obj_t BGl_cgenzd2namezd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_316)
	{
		{	/* BackEnd/cvm.sch 388 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_316)))->BgL_namez00);
		}

	}



/* &cgen-name */
	obj_t BGl_z62cgenzd2namezb0zzbackend_cvmz00(obj_t BgL_envz00_1633,
		obj_t BgL_oz00_1634)
	{
		{	/* BackEnd/cvm.sch 388 */
			return
				BGl_cgenzd2namezd2zzbackend_cvmz00(((BgL_cgenz00_bglt) BgL_oz00_1634));
		}

	}



/* cgen-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2namezd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_317,
		obj_t BgL_vz00_318)
	{
		{	/* BackEnd/cvm.sch 389 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_317)))->BgL_namez00) =
				((obj_t) BgL_vz00_318), BUNSPEC);
		}

	}



/* &cgen-name-set! */
	obj_t BGl_z62cgenzd2namezd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1635,
		obj_t BgL_oz00_1636, obj_t BgL_vz00_1637)
	{
		{	/* BackEnd/cvm.sch 389 */
			return
				BGl_cgenzd2namezd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1636), BgL_vz00_1637);
		}

	}



/* cgen-srfi0 */
	BGL_EXPORTED_DEF obj_t BGl_cgenzd2srfi0zd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_319)
	{
		{	/* BackEnd/cvm.sch 390 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_319)))->BgL_srfi0z00);
		}

	}



/* &cgen-srfi0 */
	obj_t BGl_z62cgenzd2srfi0zb0zzbackend_cvmz00(obj_t BgL_envz00_1638,
		obj_t BgL_oz00_1639)
	{
		{	/* BackEnd/cvm.sch 390 */
			return
				BGl_cgenzd2srfi0zd2zzbackend_cvmz00(((BgL_cgenz00_bglt) BgL_oz00_1639));
		}

	}



/* cgen-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2srfi0zd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt BgL_oz00_320,
		obj_t BgL_vz00_321)
	{
		{	/* BackEnd/cvm.sch 391 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_320)))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_321), BUNSPEC);
		}

	}



/* &cgen-srfi0-set! */
	obj_t BGl_z62cgenzd2srfi0zd2setz12z70zzbackend_cvmz00(obj_t BgL_envz00_1640,
		obj_t BgL_oz00_1641, obj_t BgL_vz00_1642)
	{
		{	/* BackEnd/cvm.sch 391 */
			return
				BGl_cgenzd2srfi0zd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1641), BgL_vz00_1642);
		}

	}



/* cgen-language */
	BGL_EXPORTED_DEF obj_t BGl_cgenzd2languagezd2zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_322)
	{
		{	/* BackEnd/cvm.sch 392 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_322)))->BgL_languagez00);
		}

	}



/* &cgen-language */
	obj_t BGl_z62cgenzd2languagezb0zzbackend_cvmz00(obj_t BgL_envz00_1643,
		obj_t BgL_oz00_1644)
	{
		{	/* BackEnd/cvm.sch 392 */
			return
				BGl_cgenzd2languagezd2zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1644));
		}

	}



/* cgen-language-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cgenzd2languagezd2setz12z12zzbackend_cvmz00(BgL_cgenz00_bglt
		BgL_oz00_323, obj_t BgL_vz00_324)
	{
		{	/* BackEnd/cvm.sch 393 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_323)))->BgL_languagez00) =
				((obj_t) BgL_vz00_324), BUNSPEC);
		}

	}



/* &cgen-language-set! */
	obj_t BGl_z62cgenzd2languagezd2setz12z70zzbackend_cvmz00(obj_t
		BgL_envz00_1645, obj_t BgL_oz00_1646, obj_t BgL_vz00_1647)
	{
		{	/* BackEnd/cvm.sch 393 */
			return
				BGl_cgenzd2languagezd2setz12z12zzbackend_cvmz00(
				((BgL_cgenz00_bglt) BgL_oz00_1646), BgL_vz00_1647);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_cvmz00(void)
	{
		{	/* BackEnd/cvm.scm 15 */
			{	/* BackEnd/cvm.scm 19 */
				obj_t BgL_arg1388z00_664;
				obj_t BgL_arg1389z00_665;

				{	/* BackEnd/cvm.scm 19 */
					obj_t BgL_v1359z00_671;

					BgL_v1359z00_671 = create_vector(((long) 0));
					BgL_arg1388z00_664 = BgL_v1359z00_671;
				}
				{	/* BackEnd/cvm.scm 19 */
					obj_t BgL_v1360z00_672;

					BgL_v1360z00_672 = create_vector(((long) 0));
					BgL_arg1389z00_665 = BgL_v1360z00_672;
				}
				BGl_cvmz00zzbackend_cvmz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 0)),
					CNST_TABLE_REF(((long) 1)), BGl_backendz00zzbackend_backendz00,
					((long) 50908), BFALSE, BGl_proc1516z00zzbackend_cvmz00,
					BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
					BGl_proc1515z00zzbackend_cvmz00, BFALSE, BgL_arg1388z00_664,
					BgL_arg1389z00_665);
			}
			{	/* BackEnd/cvm.scm 20 */
				obj_t BgL_arg1421z00_678;
				obj_t BgL_arg1422z00_679;

				{	/* BackEnd/cvm.scm 20 */
					obj_t BgL_v1361z00_719;

					BgL_v1361z00_719 = create_vector(((long) 0));
					BgL_arg1421z00_678 = BgL_v1361z00_719;
				}
				{	/* BackEnd/cvm.scm 20 */
					obj_t BgL_v1362z00_720;

					BgL_v1362z00_720 = create_vector(((long) 0));
					BgL_arg1422z00_679 = BgL_v1362z00_720;
				}
				BGl_sawcz00zzbackend_cvmz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
					CNST_TABLE_REF(((long) 1)), BGl_cvmz00zzbackend_cvmz00,
					((long) 41787), BGl_proc1519z00zzbackend_cvmz00,
					BGl_proc1518z00zzbackend_cvmz00,
					BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
					BGl_proc1517z00zzbackend_cvmz00, BFALSE, BgL_arg1421z00_678,
					BgL_arg1422z00_679);
			}
			{	/* BackEnd/cvm.scm 21 */
				obj_t BgL_arg1482z00_727;
				obj_t BgL_arg1484z00_728;

				{	/* BackEnd/cvm.scm 21 */
					obj_t BgL_v1363z00_768;

					BgL_v1363z00_768 = create_vector(((long) 0));
					BgL_arg1482z00_727 = BgL_v1363z00_768;
				}
				{	/* BackEnd/cvm.scm 21 */
					obj_t BgL_v1364z00_769;

					BgL_v1364z00_769 = create_vector(((long) 0));
					BgL_arg1484z00_728 = BgL_v1364z00_769;
				}
				return (BGl_cgenz00zzbackend_cvmz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 1)), BGl_cvmz00zzbackend_cvmz00,
						((long) 14760), BGl_proc1522z00zzbackend_cvmz00,
						BGl_proc1521z00zzbackend_cvmz00,
						BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
						BGl_proc1520z00zzbackend_cvmz00, BFALSE, BgL_arg1482z00_727,
						BgL_arg1484z00_728), BUNSPEC);
		}}

	}



/* &<@anonymous:1507> */
	obj_t BGl_z62zc3z04anonymousza31507ze3ze5zzbackend_cvmz00(obj_t
		BgL_envz00_1656, obj_t BgL_new1116z00_1657)
	{
		{	/* BackEnd/cvm.scm 21 */
			{
				BgL_cgenz00_bglt BgL_auxz00_2925;

				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt)
									((BgL_cgenz00_bglt) BgL_new1116z00_1657))))->
						BgL_languagez00) = ((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_namez00) =
					((obj_t) BGl_string1523z00zzbackend_cvmz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_externzd2variableszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_externzd2functionszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_externzd2typeszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_variablesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_typesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string1523z00zzbackend_cvmz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_callccz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->
						BgL_foreignzd2clausezd2supportz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_debugzd2supportzd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cgenz00_bglt)
										BgL_new1116z00_1657))))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_2925 = ((BgL_cgenz00_bglt) BgL_new1116z00_1657);
				return ((obj_t) BgL_auxz00_2925);
			}
		}

	}



/* &lambda1497 */
	BgL_cgenz00_bglt BGl_z62lambda1497z62zzbackend_cvmz00(obj_t BgL_envz00_1658)
	{
		{	/* BackEnd/cvm.scm 21 */
			{	/* BackEnd/cvm.scm 21 */
				BgL_cgenz00_bglt BgL_new1114z00_1783;

				BgL_new1114z00_1783 =
					((BgL_cgenz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cgenz00_bgl))));
				{	/* BackEnd/cvm.scm 21 */
					long BgL_arg1506z00_1784;

					BgL_arg1506z00_1784 = BGL_CLASS_NUM(BGl_cgenz00zzbackend_cvmz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1114z00_1783), BgL_arg1506z00_1784);
				}
				return BgL_new1114z00_1783;
			}
		}

	}



/* &lambda1485 */
	BgL_cgenz00_bglt BGl_z62lambda1485z62zzbackend_cvmz00(obj_t BgL_envz00_1659,
		obj_t BgL_language1085z00_1660, obj_t BgL_srfi01086z00_1661,
		obj_t BgL_name1087z00_1662, obj_t BgL_externzd2variables1088zd2_1663,
		obj_t BgL_externzd2functions1089zd2_1664,
		obj_t BgL_externzd2types1090zd2_1665, obj_t BgL_variables1091z00_1666,
		obj_t BgL_functions1092z00_1667, obj_t BgL_types1093z00_1668,
		obj_t BgL_typed1094z00_1669, obj_t BgL_heapzd2suffix1095zd2_1670,
		obj_t BgL_heapzd2compatible1096zd2_1671, obj_t BgL_callcc1097z00_1672,
		obj_t BgL_qualifiedzd2types1098zd2_1673, obj_t BgL_effectzb21099zb2_1674,
		obj_t BgL_removezd2emptyzd2let1100z00_1675,
		obj_t BgL_foreignzd2closure1101zd2_1676, obj_t BgL_typedzd2eq1102zd2_1677,
		obj_t BgL_tracezd2support1103zd2_1678,
		obj_t BgL_foreignzd2clausezd2suppo1104z00_1679,
		obj_t BgL_debugzd2support1105zd2_1680,
		obj_t BgL_pragmazd2support1106zd2_1681,
		obj_t BgL_tvectorzd2descrzd2suppor1107z00_1682,
		obj_t BgL_requirezd2tailc1108zd2_1683, obj_t BgL_registers1109z00_1684,
		obj_t BgL_pregisters1110z00_1685, obj_t BgL_boundzd2check1111zd2_1686,
		obj_t BgL_typezd2check1112zd2_1687, obj_t BgL_typedzd2funcall1113zd2_1688)
	{
		{	/* BackEnd/cvm.scm 21 */
			{	/* BackEnd/cvm.scm 21 */
				bool_t BgL_typed1094z00_1788;
				bool_t BgL_callcc1097z00_1791;
				bool_t BgL_qualifiedzd2types1098zd2_1792;
				bool_t BgL_effectzb21099zb2_1793;
				bool_t BgL_removezd2emptyzd2let1100z00_1794;
				bool_t BgL_foreignzd2closure1101zd2_1795;
				bool_t BgL_typedzd2eq1102zd2_1796;
				bool_t BgL_tracezd2support1103zd2_1797;
				bool_t BgL_pragmazd2support1106zd2_1800;
				bool_t BgL_tvectorzd2descrzd2suppor1107z00_1801;
				bool_t BgL_requirezd2tailc1108zd2_1802;
				bool_t BgL_boundzd2check1111zd2_1805;
				bool_t BgL_typezd2check1112zd2_1806;
				bool_t BgL_typedzd2funcall1113zd2_1807;

				BgL_typed1094z00_1788 = CBOOL(BgL_typed1094z00_1669);
				BgL_callcc1097z00_1791 = CBOOL(BgL_callcc1097z00_1672);
				BgL_qualifiedzd2types1098zd2_1792 =
					CBOOL(BgL_qualifiedzd2types1098zd2_1673);
				BgL_effectzb21099zb2_1793 = CBOOL(BgL_effectzb21099zb2_1674);
				BgL_removezd2emptyzd2let1100z00_1794 =
					CBOOL(BgL_removezd2emptyzd2let1100z00_1675);
				BgL_foreignzd2closure1101zd2_1795 =
					CBOOL(BgL_foreignzd2closure1101zd2_1676);
				BgL_typedzd2eq1102zd2_1796 = CBOOL(BgL_typedzd2eq1102zd2_1677);
				BgL_tracezd2support1103zd2_1797 =
					CBOOL(BgL_tracezd2support1103zd2_1678);
				BgL_pragmazd2support1106zd2_1800 =
					CBOOL(BgL_pragmazd2support1106zd2_1681);
				BgL_tvectorzd2descrzd2suppor1107z00_1801 =
					CBOOL(BgL_tvectorzd2descrzd2suppor1107z00_1682);
				BgL_requirezd2tailc1108zd2_1802 =
					CBOOL(BgL_requirezd2tailc1108zd2_1683);
				BgL_boundzd2check1111zd2_1805 = CBOOL(BgL_boundzd2check1111zd2_1686);
				BgL_typezd2check1112zd2_1806 = CBOOL(BgL_typezd2check1112zd2_1687);
				BgL_typedzd2funcall1113zd2_1807 =
					CBOOL(BgL_typedzd2funcall1113zd2_1688);
				{	/* BackEnd/cvm.scm 21 */
					BgL_cgenz00_bglt BgL_new1298z00_1808;

					{	/* BackEnd/cvm.scm 21 */
						BgL_cgenz00_bglt BgL_new1297z00_1809;

						BgL_new1297z00_1809 =
							((BgL_cgenz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cgenz00_bgl))));
						{	/* BackEnd/cvm.scm 21 */
							long BgL_arg1496z00_1810;

							BgL_arg1496z00_1810 = BGL_CLASS_NUM(BGl_cgenz00zzbackend_cvmz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1297z00_1809),
								BgL_arg1496z00_1810);
						}
						BgL_new1298z00_1808 = BgL_new1297z00_1809;
					}
					((((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_new1298z00_1808)))->
							BgL_languagez00) =
						((obj_t) ((obj_t) BgL_language1085z00_1660)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_srfi0z00) =
						((obj_t) ((obj_t) BgL_srfi01086z00_1661)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_namez00) =
						((obj_t) ((obj_t) BgL_name1087z00_1662)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_externzd2variableszd2) =
						((obj_t) BgL_externzd2variables1088zd2_1663), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_externzd2functionszd2) =
						((obj_t) BgL_externzd2functions1089zd2_1664), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_externzd2typeszd2) =
						((obj_t) BgL_externzd2types1090zd2_1665), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_variablesz00) =
						((obj_t) BgL_variables1091z00_1666), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_functionsz00) =
						((obj_t) BgL_functions1092z00_1667), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_typesz00) =
						((obj_t) BgL_types1093z00_1668), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_typedz00) =
						((bool_t) BgL_typed1094z00_1788), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_heapzd2suffixzd2) =
						((obj_t) ((obj_t) BgL_heapzd2suffix1095zd2_1670)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_heapzd2compatiblezd2) =
						((obj_t) ((obj_t) BgL_heapzd2compatible1096zd2_1671)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_callccz00) =
						((bool_t) BgL_callcc1097z00_1791), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_qualifiedzd2typeszd2) =
						((bool_t) BgL_qualifiedzd2types1098zd2_1792), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_effectzb2zb2) =
						((bool_t) BgL_effectzb21099zb2_1793), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_removezd2emptyzd2letz00) =
						((bool_t) BgL_removezd2emptyzd2let1100z00_1794), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_foreignzd2closurezd2) =
						((bool_t) BgL_foreignzd2closure1101zd2_1795), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_typedzd2eqzd2) =
						((bool_t) BgL_typedzd2eq1102zd2_1796), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_tracezd2supportzd2) =
						((bool_t) BgL_tracezd2support1103zd2_1797), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_foreignzd2clausezd2supportz00) =
						((obj_t) ((obj_t) BgL_foreignzd2clausezd2suppo1104z00_1679)),
						BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_debugzd2supportzd2) =
						((obj_t) ((obj_t) BgL_debugzd2support1105zd2_1680)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_pragmazd2supportzd2) =
						((bool_t) BgL_pragmazd2support1106zd2_1800), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_tvectorzd2descrzd2supportz00) =
						((bool_t) BgL_tvectorzd2descrzd2suppor1107z00_1801), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_requirezd2tailczd2) =
						((bool_t) BgL_requirezd2tailc1108zd2_1802), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_registersz00) =
						((obj_t) ((obj_t) BgL_registers1109z00_1684)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_pregistersz00) =
						((obj_t) ((obj_t) BgL_pregisters1110z00_1685)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_boundzd2checkzd2) =
						((bool_t) BgL_boundzd2check1111zd2_1805), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_typezd2checkzd2) =
						((bool_t) BgL_typezd2check1112zd2_1806), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1298z00_1808)))->BgL_typedzd2funcallzd2) =
						((bool_t) BgL_typedzd2funcall1113zd2_1807), BUNSPEC);
					{	/* BackEnd/cvm.scm 21 */
						obj_t BgL_fun1486z00_1811;

						BgL_fun1486z00_1811 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_cgenz00zzbackend_cvmz00);
						((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_fun1486z00_1811)) (BgL_fun1486z00_1811,
							((obj_t) BgL_new1298z00_1808), BEOA);
					}
					return BgL_new1298z00_1808;
				}
			}
		}

	}



/* &<@anonymous:1430> */
	obj_t BGl_z62zc3z04anonymousza31430ze3ze5zzbackend_cvmz00(obj_t
		BgL_envz00_1689, obj_t BgL_new1083z00_1690)
	{
		{	/* BackEnd/cvm.scm 20 */
			{
				BgL_sawcz00_bglt BgL_auxz00_3113;

				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt)
									((BgL_sawcz00_bglt) BgL_new1083z00_1690))))->
						BgL_languagez00) = ((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_namez00) =
					((obj_t) BGl_string1523z00zzbackend_cvmz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_externzd2variableszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_externzd2functionszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_externzd2typeszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_variablesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_typesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string1523z00zzbackend_cvmz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_callccz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->
						BgL_foreignzd2clausezd2supportz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_debugzd2supportzd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_sawcz00_bglt)
										BgL_new1083z00_1690))))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_3113 = ((BgL_sawcz00_bglt) BgL_new1083z00_1690);
				return ((obj_t) BgL_auxz00_3113);
			}
		}

	}



/* &lambda1427 */
	BgL_sawcz00_bglt BGl_z62lambda1427z62zzbackend_cvmz00(obj_t BgL_envz00_1691)
	{
		{	/* BackEnd/cvm.scm 20 */
			{	/* BackEnd/cvm.scm 20 */
				BgL_sawcz00_bglt BgL_new1082z00_1813;

				BgL_new1082z00_1813 =
					((BgL_sawcz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sawcz00_bgl))));
				{	/* BackEnd/cvm.scm 20 */
					long BgL_arg1429z00_1814;

					BgL_arg1429z00_1814 = BGL_CLASS_NUM(BGl_sawcz00zzbackend_cvmz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1082z00_1813), BgL_arg1429z00_1814);
				}
				return BgL_new1082z00_1813;
			}
		}

	}



/* &lambda1423 */
	BgL_sawcz00_bglt BGl_z62lambda1423z62zzbackend_cvmz00(obj_t BgL_envz00_1692,
		obj_t BgL_language1053z00_1693, obj_t BgL_srfi01054z00_1694,
		obj_t BgL_name1055z00_1695, obj_t BgL_externzd2variables1056zd2_1696,
		obj_t BgL_externzd2functions1057zd2_1697,
		obj_t BgL_externzd2types1058zd2_1698, obj_t BgL_variables1059z00_1699,
		obj_t BgL_functions1060z00_1700, obj_t BgL_types1061z00_1701,
		obj_t BgL_typed1062z00_1702, obj_t BgL_heapzd2suffix1063zd2_1703,
		obj_t BgL_heapzd2compatible1064zd2_1704, obj_t BgL_callcc1065z00_1705,
		obj_t BgL_qualifiedzd2types1066zd2_1706, obj_t BgL_effectzb21067zb2_1707,
		obj_t BgL_removezd2emptyzd2let1068z00_1708,
		obj_t BgL_foreignzd2closure1069zd2_1709, obj_t BgL_typedzd2eq1070zd2_1710,
		obj_t BgL_tracezd2support1071zd2_1711,
		obj_t BgL_foreignzd2clausezd2suppo1072z00_1712,
		obj_t BgL_debugzd2support1073zd2_1713,
		obj_t BgL_pragmazd2support1074zd2_1714,
		obj_t BgL_tvectorzd2descrzd2suppor1075z00_1715,
		obj_t BgL_requirezd2tailc1076zd2_1716, obj_t BgL_registers1077z00_1717,
		obj_t BgL_pregisters1078z00_1718, obj_t BgL_boundzd2check1079zd2_1719,
		obj_t BgL_typezd2check1080zd2_1720, obj_t BgL_typedzd2funcall1081zd2_1721)
	{
		{	/* BackEnd/cvm.scm 20 */
			{	/* BackEnd/cvm.scm 20 */
				bool_t BgL_typed1062z00_1818;
				bool_t BgL_callcc1065z00_1821;
				bool_t BgL_qualifiedzd2types1066zd2_1822;
				bool_t BgL_effectzb21067zb2_1823;
				bool_t BgL_removezd2emptyzd2let1068z00_1824;
				bool_t BgL_foreignzd2closure1069zd2_1825;
				bool_t BgL_typedzd2eq1070zd2_1826;
				bool_t BgL_tracezd2support1071zd2_1827;
				bool_t BgL_pragmazd2support1074zd2_1830;
				bool_t BgL_tvectorzd2descrzd2suppor1075z00_1831;
				bool_t BgL_requirezd2tailc1076zd2_1832;
				bool_t BgL_boundzd2check1079zd2_1835;
				bool_t BgL_typezd2check1080zd2_1836;
				bool_t BgL_typedzd2funcall1081zd2_1837;

				BgL_typed1062z00_1818 = CBOOL(BgL_typed1062z00_1702);
				BgL_callcc1065z00_1821 = CBOOL(BgL_callcc1065z00_1705);
				BgL_qualifiedzd2types1066zd2_1822 =
					CBOOL(BgL_qualifiedzd2types1066zd2_1706);
				BgL_effectzb21067zb2_1823 = CBOOL(BgL_effectzb21067zb2_1707);
				BgL_removezd2emptyzd2let1068z00_1824 =
					CBOOL(BgL_removezd2emptyzd2let1068z00_1708);
				BgL_foreignzd2closure1069zd2_1825 =
					CBOOL(BgL_foreignzd2closure1069zd2_1709);
				BgL_typedzd2eq1070zd2_1826 = CBOOL(BgL_typedzd2eq1070zd2_1710);
				BgL_tracezd2support1071zd2_1827 =
					CBOOL(BgL_tracezd2support1071zd2_1711);
				BgL_pragmazd2support1074zd2_1830 =
					CBOOL(BgL_pragmazd2support1074zd2_1714);
				BgL_tvectorzd2descrzd2suppor1075z00_1831 =
					CBOOL(BgL_tvectorzd2descrzd2suppor1075z00_1715);
				BgL_requirezd2tailc1076zd2_1832 =
					CBOOL(BgL_requirezd2tailc1076zd2_1716);
				BgL_boundzd2check1079zd2_1835 = CBOOL(BgL_boundzd2check1079zd2_1719);
				BgL_typezd2check1080zd2_1836 = CBOOL(BgL_typezd2check1080zd2_1720);
				BgL_typedzd2funcall1081zd2_1837 =
					CBOOL(BgL_typedzd2funcall1081zd2_1721);
				{	/* BackEnd/cvm.scm 20 */
					BgL_sawcz00_bglt BgL_new1296z00_1838;

					{	/* BackEnd/cvm.scm 20 */
						BgL_sawcz00_bglt BgL_new1295z00_1839;

						BgL_new1295z00_1839 =
							((BgL_sawcz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sawcz00_bgl))));
						{	/* BackEnd/cvm.scm 20 */
							long BgL_arg1426z00_1840;

							BgL_arg1426z00_1840 = BGL_CLASS_NUM(BGl_sawcz00zzbackend_cvmz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1295z00_1839),
								BgL_arg1426z00_1840);
						}
						BgL_new1296z00_1838 = BgL_new1295z00_1839;
					}
					((((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_new1296z00_1838)))->
							BgL_languagez00) =
						((obj_t) ((obj_t) BgL_language1053z00_1693)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_srfi0z00) =
						((obj_t) ((obj_t) BgL_srfi01054z00_1694)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_namez00) =
						((obj_t) ((obj_t) BgL_name1055z00_1695)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_externzd2variableszd2) =
						((obj_t) BgL_externzd2variables1056zd2_1696), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_externzd2functionszd2) =
						((obj_t) BgL_externzd2functions1057zd2_1697), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_externzd2typeszd2) =
						((obj_t) BgL_externzd2types1058zd2_1698), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_variablesz00) =
						((obj_t) BgL_variables1059z00_1699), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_functionsz00) =
						((obj_t) BgL_functions1060z00_1700), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_typesz00) =
						((obj_t) BgL_types1061z00_1701), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_typedz00) =
						((bool_t) BgL_typed1062z00_1818), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_heapzd2suffixzd2) =
						((obj_t) ((obj_t) BgL_heapzd2suffix1063zd2_1703)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_heapzd2compatiblezd2) =
						((obj_t) ((obj_t) BgL_heapzd2compatible1064zd2_1704)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_callccz00) =
						((bool_t) BgL_callcc1065z00_1821), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_qualifiedzd2typeszd2) =
						((bool_t) BgL_qualifiedzd2types1066zd2_1822), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_effectzb2zb2) =
						((bool_t) BgL_effectzb21067zb2_1823), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_removezd2emptyzd2letz00) =
						((bool_t) BgL_removezd2emptyzd2let1068z00_1824), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_foreignzd2closurezd2) =
						((bool_t) BgL_foreignzd2closure1069zd2_1825), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_typedzd2eqzd2) =
						((bool_t) BgL_typedzd2eq1070zd2_1826), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_tracezd2supportzd2) =
						((bool_t) BgL_tracezd2support1071zd2_1827), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_foreignzd2clausezd2supportz00) =
						((obj_t) ((obj_t) BgL_foreignzd2clausezd2suppo1072z00_1712)),
						BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_debugzd2supportzd2) =
						((obj_t) ((obj_t) BgL_debugzd2support1073zd2_1713)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_pragmazd2supportzd2) =
						((bool_t) BgL_pragmazd2support1074zd2_1830), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_tvectorzd2descrzd2supportz00) =
						((bool_t) BgL_tvectorzd2descrzd2suppor1075z00_1831), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_requirezd2tailczd2) =
						((bool_t) BgL_requirezd2tailc1076zd2_1832), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_registersz00) =
						((obj_t) ((obj_t) BgL_registers1077z00_1717)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_pregistersz00) =
						((obj_t) ((obj_t) BgL_pregisters1078z00_1718)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_boundzd2checkzd2) =
						((bool_t) BgL_boundzd2check1079zd2_1835), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_typezd2checkzd2) =
						((bool_t) BgL_typezd2check1080zd2_1836), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1296z00_1838)))->BgL_typedzd2funcallzd2) =
						((bool_t) BgL_typedzd2funcall1081zd2_1837), BUNSPEC);
					{	/* BackEnd/cvm.scm 20 */
						obj_t BgL_fun1424z00_1841;

						BgL_fun1424z00_1841 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_sawcz00zzbackend_cvmz00);
						((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_fun1424z00_1841)) (BgL_fun1424z00_1841,
							((obj_t) BgL_new1296z00_1838), BEOA);
					}
					return BgL_new1296z00_1838;
				}
			}
		}

	}



/* &<@anonymous:1392> */
	obj_t BGl_z62zc3z04anonymousza31392ze3ze5zzbackend_cvmz00(obj_t
		BgL_envz00_1722, obj_t BgL_new1051z00_1723)
	{
		{	/* BackEnd/cvm.scm 19 */
			{
				BgL_cvmz00_bglt BgL_auxz00_3301;

				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt)
									((BgL_cvmz00_bglt) BgL_new1051z00_1723))))->BgL_languagez00) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_namez00) =
					((obj_t) BGl_string1523z00zzbackend_cvmz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_externzd2variableszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_externzd2functionszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_externzd2typeszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_variablesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_typesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string1523z00zzbackend_cvmz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_callccz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->
						BgL_foreignzd2clausezd2supportz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_debugzd2supportzd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_cvmz00_bglt)
										BgL_new1051z00_1723))))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_3301 = ((BgL_cvmz00_bglt) BgL_new1051z00_1723);
				return ((obj_t) BgL_auxz00_3301);
			}
		}

	}



/* &lambda1390 */
	BgL_cvmz00_bglt BGl_z62lambda1390z62zzbackend_cvmz00(obj_t BgL_envz00_1724)
	{
		{	/* BackEnd/cvm.scm 19 */
			{	/* BackEnd/cvm.scm 19 */
				BgL_cvmz00_bglt BgL_new1050z00_1843;

				BgL_new1050z00_1843 =
					((BgL_cvmz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_cvmz00_bgl))));
				{	/* BackEnd/cvm.scm 19 */
					long BgL_arg1391z00_1844;

					BgL_arg1391z00_1844 = BGL_CLASS_NUM(BGl_cvmz00zzbackend_cvmz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1050z00_1843), BgL_arg1391z00_1844);
				}
				return BgL_new1050z00_1843;
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_cvmz00(void)
	{
		{	/* BackEnd/cvm.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_cvmz00(void)
	{
		{	/* BackEnd/cvm.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_cvmz00(void)
	{
		{	/* BackEnd/cvm.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1524z00zzbackend_cvmz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1524z00zzbackend_cvmz00));
		}

	}

#ifdef __cplusplus
}
#endif
