/*===========================================================================*/
/*   (Cfa/approx.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/approx.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_literalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                         *BgL_literalzf2cinfozf2_bglt;

	typedef struct BgL_genpatchidzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_genpatchidzf2cinfozf2_bglt;

	typedef struct BgL_patchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_patchzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_switchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_switchzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	static obj_t BGl_z62approxzd2setzd2topz12z70zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62literalzf2Cinfozd2valuez42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2keyzd2setz12z70zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_setzd2unionzf2typez12ze70zd5zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt, obj_t);
	static obj_t BGl_z62appzd2lyzf2Cinfozd2locz90zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2loczf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2keyzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	static BgL_varz00_bglt BGl_z62boxzd2refzf2Cinfozd2varz90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2fastzd2alphazd2setz12z70zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_makezd2prezd2clozd2envzd2zzcfa_approxz00(obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozd2effectz42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Cinfozd2handlerz20zzcfa_approxz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2globalzd2occurrencewz00zzcfa_approxz00(BgL_globalz00_bglt);
	extern obj_t BGl_makezd2structzd2appz00zzcfa_info2z00;
	static obj_t BGl_z62approxzd2lostzd2stampz62zzcfa_approxz00(obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	static BgL_typez00_bglt BGl_z62switchzf2Cinfozd2typez42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_makezd2externzd2sfunzf2Cinfozf2zzcfa_approxz00(long, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2functionsz20zzcfa_approxz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2failsafezd2setz12ze0zzcfa_approxz00(BgL_cfunz00_bglt,
		obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2vtypezd2setz12z70zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2loczd2setz12ze0zzcfa_approxz00(BgL_scnstz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzf2Cinfozd2valuezd2setz12ze0zzcfa_approxz00(BgL_literalz00_bglt,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62funcallzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2volatilezd2setz12za2zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2Cinfozd2locz20zzcfa_approxz00(BgL_kwotez00_bglt);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_reshapedzd2globalzd2valuez00zzcfa_approxz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2globalzd2userzf3zf3zzcfa_approxz00(BgL_globalz00_bglt);
	static BgL_approxz00_bglt
		BGl_z62switchzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2modulezd2setz12za2zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2sidezd2effectzf2zzcfa_approxz00
		(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd3zzcfa_approxz00
		(BgL_funcallz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2modulez62zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Cinfozd2sidezd2effectz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62conditionalzf2Cinfozd2sidezd2effectz90zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2initzd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2stackablez20zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt);
	static BgL_approxz00_bglt
		BGl_z62failzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62makezd2svarzf2Cinfoz42zzcfa_approxz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt
		BGl_z62internzd2sfunzf2Cinfozd2nilz90zzcfa_approxz00(obj_t);
	static obj_t BGl_z62cvarzf2Cinfozd2macrozf3zb1zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_EXPORTED_DECL bool_t BGl_makezd2boxzf2Cinfozf3zd3zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2varzd2setz12z20zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt, BgL_varz00_bglt);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2arityz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_patchzf2Cinfozd2indexz20zzcfa_approxz00(BgL_patchz00_bglt);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2stackablez90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2exitz20zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt);
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62prezd2makezd2boxzd2valuezb0zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2evalzf3zd2setz12z33zzcfa_approxz00
		(BgL_globalz00_bglt, bool_t);
	extern obj_t BGl_approxz00zzcfa_infoz00;
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2locz42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2strengthz20zzcfa_approxz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2truez20zzcfa_approxz00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozf3zb1zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2bboolza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2accessz00zzcfa_approxz00(BgL_localz00_bglt);
	static BgL_approxz00_bglt
		BGl_z62makezd2emptyzd2approxz62zzcfa_approxz00(obj_t);
	static obj_t BGl_z62declarezd2approxzd2setsz12z70zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_funcallzf2Cinfozd2approxz20zzcfa_approxz00(BgL_funcallz00_bglt);
	static obj_t BGl_z62setzd2exzd2itzf2Cinfozd2locz42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62shapezd2approx1584zb0zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2methodzd2setz12ze0zzcfa_approxz00(BgL_cfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_genpatchidzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2bindingzd2valuezd2zzcfa_approxz00(BgL_localz00_bglt);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2effectz90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2patchidzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt
		BGl_literalzf2Cinfozd2nilz20zzcfa_approxz00(void);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2effectz90zzcfa_approxz00(obj_t,
		obj_t);
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	static obj_t BGl_z62svarzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2failsafezf2zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2vtypezd2setz12z20zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt, BgL_typez00_bglt);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2evaluablezf3zd2setz12z33zzcfa_approxz00
		(BgL_globalz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_typez00_bglt
		BGl_z62appzd2lyzf2Cinfozd2typez90zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2evaluablezf3zd2setz12z51zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2locz90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62cfunzf2Cinfozd2predicatezd2ofzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt
		BGl_failzf2Cinfozd2nilz20zzcfa_approxz00(void);
	static obj_t
		BGl_z62setzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2valuez82zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2prezd2makezd2boxzd2zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_nodez00_bglt, BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2indexzd2setz12ze0zzcfa_approxz00
		(BgL_genpatchidz00_bglt, long);
	static obj_t BGl_z62reshapedzd2globalzd2importz62zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2patchidz20zzcfa_approxz00(BgL_patchz00_bglt);
	extern obj_t BGl_za2structza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2onexitzd2setz12ze0zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2optionalszf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62reshapedzd2localzd2accesszd2setz12za2zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62kwotezf2nodezf3z63zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00(void);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2namez42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2keyzd2setz12ze0zzcfa_approxz00
		(BgL_genpatchidz00_bglt, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2importzd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2stampz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62patchzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cfunz00_bglt
		BGl_makezd2cfunzf2Cinfoz20zzcfa_approxz00(long, obj_t, obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzf2Cinfozd2locz20zzcfa_approxz00(BgL_literalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00
		(BgL_switchz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzcfa_approxz00(obj_t, obj_t);
	static BgL_valuez00_bglt
		BGl_z62reshapedzd2globalzd2valuez62zzcfa_approxz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62patchzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2userzf3z91zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyzf2Cinfozf2zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	static BgL_patchz00_bglt BGl_z62patchzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2locz20zzcfa_approxz00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2effectz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2valueze0zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2fastzd2alphazd2setz12z12zzcfa_approxz00
		(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_sexitz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2varzd2setz12ze0zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt, BgL_varz00_bglt);
	static obj_t BGl_z62genpatchidzf2Cinfozd2rindexz42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2typezd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt
		BGl_makezd2kwotezf2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt, obj_t,
		BgL_approxz00_bglt);
	static BgL_nodez00_bglt BGl_z62failzf2Cinfozd2msgz42zzcfa_approxz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62literalzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_approxz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_approxz00
		(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2exitz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2sidezd2effectz20zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt);
	static obj_t
		BGl_z62makezd2boxzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62conditionalzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2methodz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2testz20zzcfa_approxz00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2jvmzd2typezd2namez00zzcfa_approxz00
		(BgL_globalz00_bglt);
	extern obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_approxz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2varzd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2approxz20zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt);
	extern obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00;
	static obj_t BGl_z62reshapedzd2localzd2accessz62zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	static obj_t BGl_z62approxzd2typezd2lockedzf3z91zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt
		BGl_makezd2funcallzf2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, obj_t, obj_t, obj_t, BgL_approxz00_bglt,
		BgL_approxz00_bglt, bool_t, bool_t);
	static BgL_typez00_bglt BGl_z62approxzd2typezb0zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12z90zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzf2Cinfozd2valuez20zzcfa_approxz00(BgL_literalz00_bglt);
	extern obj_t BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
	BGL_EXPORTED_DECL BgL_switchz00_bglt
		BGl_makezd2switchzf2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt, BgL_approxz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2locz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2clozd2envzf3z63zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezb0zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2propertyz90zzcfa_approxz00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2fastzd2alphazd2setz12z12zzcfa_approxz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_literalzf2Cinfozd2approxz20zzcfa_approxz00(BgL_literalz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_funcallzf2Cinfozd2typez20zzcfa_approxz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2nilz82zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt, obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2fastzd2alphazd2setz12z70zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzf2Cinfozd2typezd2setz12z32zzcfa_approxz00(BgL_appzd2lyzd2_bglt,
		BgL_typez00_bglt);
	static BgL_globalz00_bglt
		BGl_z62makezd2reshapedzd2globalz62zzcfa_approxz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2sidezd2effectzf2zzcfa_approxz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2nilz20zzcfa_approxz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2keyzd2zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62prezd2makezd2boxzd2stackablezd2setz12z70zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_funcallzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	static BgL_typez00_bglt BGl_z62patchzf2Cinfozd2typez42zzcfa_approxz00(obj_t,
		obj_t);
	static BgL_varz00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2varz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62failzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sexitzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt
		BGl_setqzf2Cinfozd2nilz20zzcfa_approxz00(void);
	extern obj_t BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2nilz20zzcfa_approxz00(void);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_scnstzf2Cinfozd2approxz20zzcfa_approxz00(BgL_scnstz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2vtypezd2setz12z32zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt, BgL_typez00_bglt);
	extern obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_z62cfunzf2Cinfozd2infixzf3zd2setz12z71zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Cinfoz20zzcfa_approxz00(obj_t, bool_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_switchzf2Cinfozd2approxz20zzcfa_approxz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_prezd2makezd2boxzd2typezd2zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62kwotezf2Cinfozd2valuez42zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62setzd2exzd2itzf2Cinfozd2bodyzd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static BgL_varz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2varz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2removablez62zzcfa_approxz00(obj_t,
		obj_t);
	static BgL_varz00_bglt BGl_z62patchzf2Cinfozd2refz42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Cinfozd2typezd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62conditionalzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2onexitz20zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt);
	extern obj_t BGl_reshapedzd2localzd2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62setqzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cfunzf2Cinfozd2macrozf3zd3zzcfa_approxz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2valzd2noescapezd2setz12z12zzcfa_approxz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2pragmazd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2nodezd2valuez20zzcfa_approxz00(BgL_kwotez00_bglt);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t
		BGl_z62boxzd2setz12zf2Cinfozd2valuezd2setz12z42zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62prezd2makezd2boxzf3z91zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_approxz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62conditionalzf2Cinfozd2falsez42zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_switchzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62boxzd2setz12zf2Cinfozd2locz82zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62emptyzd2approxzd2alloczf3z91zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2reshapedzd2globalz00zzcfa_approxz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2namez62zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2locz20zzcfa_approxz00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_setzd2exzd2itzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_approxz00(obj_t,
		obj_t);
	static BgL_scnstz00_bglt BGl_z62scnstzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	static obj_t
		BGl_z62cfunzf2Cinfozd2argszd2noescapezd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2noescapezf2zzcfa_approxz00(BgL_cfunz00_bglt);
	static obj_t
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zb1zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_approxz00(void);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_conditionalzf2Cinfozd2nilz20zzcfa_approxz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_failz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_genpatchidzf2Cinfozd2typez20zzcfa_approxz00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2srcz62zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzf2Cinfozd2locz20zzcfa_approxz00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2locz20zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt);
	static obj_t
		BGl_z62conditionalzf2Cinfozd2falsezd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static BgL_sfunz00_bglt
		BGl_z62makezd2externzd2sfunzf2Cinfoz90zzcfa_approxz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_approxz00
		(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2valuezd2setz12z32zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, BgL_nodez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62cvarzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_makezd2conditionalzf2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt,
		BgL_approxz00_bglt);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static BgL_cfunz00_bglt BGl_z62cfunzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzf2Cinfozd2typezf2zzcfa_approxz00(BgL_boxzd2refzd2_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2aliaszd2setz12za2zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzf2Cinfozd2nilzf2zzcfa_approxz00(void);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62svarzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62forzd2eachzd2approxzd2alloczb0zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalzf2Cinfozf2zzcfa_infoz00;
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	static obj_t BGl_z62structzd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62kwotezf2nodezd2typez42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2lostzd2stampzd2setz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2itemzd2typezd2setz12z32zzcfa_approxz00
		(BgL_switchz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62scnstzf2Cinfozd2locz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2locz20zzcfa_approxz00(BgL_conditionalz00_bglt);
	static BgL_nodez00_bglt BGl_z62appzd2lyzf2Cinfozd2argz90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2typezd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12z90zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62makezd2boxzf2Cinfozd2valuez90zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2accesszd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62conditionalzf2Cinfozd2truez42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2strengthz42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_failzf2Cinfozd2typez20zzcfa_approxz00(BgL_failz00_bglt);
	static obj_t BGl_z62approxzd2allocszb0zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jumpzd2exzd2itzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_makezd2boxzf2Ozd2Cinfozf3z01zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_approxz00
		(BgL_sfunz00_bglt, bool_t);
	extern obj_t BGl_za2listza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2typezd2setz12z12zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62kwotezf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2methodzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_approxz00
		(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2loczf2zzcfa_approxz00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2sidezd2effectzf2zzcfa_approxz00
		(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2approxz32zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt);
	extern obj_t BGl_prezd2clozd2envz00zzcfa_infoz00;
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_svarzf2Cinfozd2nilz20zzcfa_approxz00(void);
	static obj_t
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12z90zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2keyz90zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2valzd2noescapezd2zzcfa_approxz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2pragmaz00zzcfa_approxz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2strengthzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62prezd2makezd2boxzd2sidezd2effectzd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2strengthzd2setz12ze0zzcfa_approxz00
		(BgL_funcallz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2truezd2setz12ze0zzcfa_approxz00
		(BgL_conditionalz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_sexitzf2Cinfozd2nilz20zzcfa_approxz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_makezd2boxzf2Cinfozd2valuezf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12zf2zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62boxzd2setz12zf2Cinfozf3za3zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2typezd2lockedzf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2boxzf2Cinfozd2nilz90zzcfa_approxz00(obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62conditionalzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cfunzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2accessz00zzcfa_approxz00(BgL_globalz00_bglt);
	static BgL_typez00_bglt
		BGl_z62genpatchidzf2Cinfozd2typez42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2removablez00zzcfa_approxz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_funcallzf2Cinfozd2vazd2approxzf2zzcfa_approxz00(BgL_funcallz00_bglt);
	static obj_t BGl_z62approxzd2dupzd2setz12z70zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzf2Cinfozd2argzd2setz12z32zzcfa_approxz00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2valuez20zzcfa_approxz00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2keyzd2setz12z12zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Cinfozd2clozd2envzf3z01zzcfa_approxz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2nodez20zzcfa_approxz00(BgL_scnstz00_bglt);
	extern obj_t BGl_svarz00zzast_varz00;
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2failsafezf2zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Cinfozd2locz20zzcfa_approxz00(BgL_svarz00_bglt);
	static BgL_approxz00_bglt
		BGl_z62unionzd2approxzd2filterz12z70zzcfa_approxz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2keyz42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2valzd2noescapezd2setz12z70zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_prezd2makezd2boxzd2valuezd2zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_literalz00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62reshapedzd2localzd2typez62zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_failzf2Cinfozf2zzcfa_infoz00;
	BGL_EXPORTED_DECL bool_t
		BGl_externzd2sfunzf2Cinfozf3zd3zzcfa_approxz00(obj_t);
	static BgL_varz00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2varz82zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2namez62zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2classzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2locz90zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2locz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2varz20zzcfa_approxz00(BgL_boxzd2refzd2_bglt);
	static BgL_nodez00_bglt
		BGl_z62conditionalzf2Cinfozd2testz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2topzf3zd2setz12z71zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2rindexzd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2stackablez90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2functionsz42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setqzf2Cinfozd2varz20zzcfa_approxz00(BgL_setqz00_bglt);
	static BgL_typez00_bglt
		BGl_z62prezd2makezd2boxzd2vtypezb0zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2varz20zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cvarz00_bglt
		BGl_makezd2cvarzf2Cinfoz20zzcfa_approxz00(bool_t, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2testzd2setz12ze0zzcfa_approxz00(BgL_switchz00_bglt,
		BgL_nodez00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzf2Cinfozd2procz20zzcfa_approxz00(BgL_failz00_bglt);
	extern obj_t BGl_setqzf2Cinfozf2zzcfa_infoz00;
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2keyz20zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_z62svarzf2Cinfozd2loczd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2arityz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2valuezd2setz12zc0zzcfa_approxz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62switchzf2Cinfozd2keyz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2evaluablezf3z91zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2indexzd2setz12ze0zzcfa_approxz00(BgL_patchz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2namez00zzcfa_approxz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62boxzd2setz12zf2Cinfozd2varzd2setz12z42zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2namez00zzcfa_approxz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2testzd2setz12ze0zzcfa_approxz00
		(BgL_conditionalz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2thezd2closurezd2setz12z32zzcfa_approxz00
		(BgL_cfunz00_bglt, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2srcz00zzcfa_approxz00(BgL_globalz00_bglt);
	static obj_t BGl_z62appzd2lyzf2Cinfozd2typezd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2anyzd2zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2topzf3zd2setz12z13zzcfa_approxz00(BgL_cfunz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2predicatezd2ofzf2zzcfa_approxz00(BgL_cfunz00_bglt);
	static BgL_nodez00_bglt BGl_z62setqzf2Cinfozd2valuez42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2exprza2zd2setz12z20zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2volatilezd2setz12zc0zzcfa_approxz00
		(BgL_localz00_bglt, bool_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2vtypez82zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2retescapezf2zzcfa_approxz00(BgL_cfunz00_bglt);
	static BgL_typez00_bglt BGl_z62setqzf2Cinfozd2typez42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00
		(BgL_cfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cfunzf2Cinfozd2approxz20zzcfa_approxz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62scnstzf2Cinfozd2classz42zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_patchzf2Cinfozd2approxz20zzcfa_approxz00(BgL_patchz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62appzd2lyzf2Cinfozd2argzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_scnstz00_bglt BGl_z62makezd2scnstzf2Cinfoz42zzcfa_approxz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2localzd2occurrencez00zzcfa_approxz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setqzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2keyzd2setz12z70zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62approxzf3z91zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzf2Cinfozd2funzf2zzcfa_approxz00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2refzf2Cinfozd2varzf2zzcfa_approxz00(BgL_boxzd2refzd2_bglt);
	static BgL_nodez00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2onexitz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zb1zzcfa_approxz00(obj_t,
		obj_t);
	extern obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00;
	static obj_t
		BGl_z62approxzd2checkzd2haszd2procedurezf3z43zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2refzf2Cinfozf3zd3zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	extern obj_t BGl_za2bllongza2z00zztype_cachez00;
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2propertyz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62approxzd2haszd2procedurezf3zd2setz12z51zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_patchz00_bglt
		BGl_makezd2patchzf2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt, obj_t,
		BgL_varz00_bglt, long, obj_t, BgL_approxz00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2stackablez90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_approxzd2lostzd2stampz00zzcfa_approxz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzf2Cinfozd2itemzd2typezf2zzcfa_approxz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzf2Cinfozd2typez20zzcfa_approxz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2stackablezd2zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_reshapedzd2localzf3z21zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2vtypeze0zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stampzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cfunzf2Cinfozd2topzf3zd3zzcfa_approxz00(BgL_cfunz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2stackzd2allocatorzf2zzcfa_approxz00(BgL_cfunz00_bglt);
	extern obj_t BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_switchz00_bglt
		BGl_switchzf2Cinfozd2nilz20zzcfa_approxz00(void);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_failzf2Cinfozd2approxz20zzcfa_approxz00(BgL_failz00_bglt);
	static BgL_conditionalz00_bglt
		BGl_z62makezd2conditionalzf2Cinfoz42zzcfa_approxz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2predicatezd2ofzd2setz12z32zzcfa_approxz00
		(BgL_cfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvarzf2Cinfozd2macrozf3zd3zzcfa_approxz00(BgL_cvarz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2idz62zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_approxz00(void);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2localzd2occurrencewz00zzcfa_approxz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zf2Cinfozd2nilze0zzcfa_approxz00(void);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62jumpzd2exzd2itzf2Cinfozd2valuezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2noescapezd2setz12z32zzcfa_approxz00
		(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2infixzf3zb1zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2classzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62approxzd2lostzd2stampzd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static BgL_typez00_bglt
		BGl_z62reshapedzd2globalzd2typez62zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzf2Cinfozd2valuezd2setz12ze0zzcfa_approxz00(BgL_setqz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2emptyzd2approxz00zzcfa_approxz00(void);
	static BgL_boxzd2refzd2_bglt
		BGl_z62makezd2boxzd2refzf2Cinfoz90zzcfa_approxz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2optionalszf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezd21589z62zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2keyz42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2userzf3zd2setz12z33zzcfa_approxz00(BgL_localz00_bglt,
		bool_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2namez42zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2failsafezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62literalzf2Cinfozd2valuezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2typezd2setz12z70zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2namezd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_localz00_bglt
		BGl_z62reshapedzd2localzd2nilz62zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2locz20zzcfa_approxz00(BgL_switchz00_bglt);
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezd21591z62zzcfa_approxz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62reshapedzd2globalzd2nilz62zzcfa_approxz00(obj_t);
	static BgL_cvarz00_bglt BGl_z62cvarzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2lyzf2Cinfozd2typezf2zzcfa_approxz00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_appzd2lyzf2Cinfozd2nilzf2zzcfa_approxz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2thezd2closurezf2zzcfa_approxz00(BgL_cfunz00_bglt);
	extern obj_t BGl_setzd2everyzd2zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt
		BGl_makezd2failzf2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2locze0zzcfa_approxz00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2initz62zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2valuezd2setz12ze0zzcfa_approxz00(BgL_patchz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_reshapedzd2localzd2typez00zzcfa_approxz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2valuezd2setz12za2zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2pragmaz62zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_reshapedzd2globalzd2typez00zzcfa_approxz00(BgL_globalz00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_z62prezd2makezd2boxzd2nilzb0zzcfa_approxz00(obj_t);
	static BgL_approxz00_bglt
		BGl_unionzd2approxzf2typez12z32zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Cinfozd2detachedzf3zd2setz12z13zzcfa_approxz00
		(BgL_sexitz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt
		BGl_makezd2setqzf2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2accessz62zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2modulezd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2argszd2setz12ze0zzcfa_approxz00(BgL_funcallz00_bglt,
		obj_t);
	static BgL_nodez00_bglt BGl_z62kwotezf2nodezd2nodez42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzf2Cinfozd2loczf2zzcfa_approxz00(BgL_appzd2lyzd2_bglt);
	static BgL_svarz00_bglt BGl_z62prezd2clozd2envzd2nilzb0zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Cinfozd2loczd2setz12ze0zzcfa_approxz00(BgL_svarz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2keyzd2setz12ze0zzcfa_approxz00
		(BgL_conditionalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2effectz20zzcfa_approxz00(BgL_cfunz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	static obj_t BGl_z62reshapedzd2globalzd2occurrencez62zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2initz00zzcfa_approxz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2libraryzd2setz12za2zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2removablezd2setz12za2zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stackablezf2zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2sidezd2effectzd2setz12zc0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2effectzd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_kwotez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2methodz20zzcfa_approxz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62prezd2makezd2boxzd2loczb0zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2strengthzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62setqzf2Cinfozd2valuezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2valuez32zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL bool_t BGl_cvarzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Cinfozd2detachedzf3zd3zzcfa_approxz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2valuezd2setz12z12zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62failzf2Cinfozd2msgzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_kwotezf2Cinfozd2approxz20zzcfa_approxz00(BgL_kwotez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2fastzd2alphazd2zzcfa_approxz00(BgL_localz00_bglt);
	static obj_t BGl_z62getzd2nodezd2atomzd2value1585zb0zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62prezd2clozd2envzd2loczb0zzcfa_approxz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62makezd2boxzf2Cinfozd2vtypez90zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2testzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2globalzd2evalzf3zf3zzcfa_approxz00(BgL_globalz00_bglt);
	static obj_t BGl_z62setqzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62switchzf2Cinfozd2testz42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2idz62zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_approxz00(obj_t,
		obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2occurrencewzd2setz12zc0zzcfa_approxz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2setz12ze0zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	static obj_t
		BGl_z62reshapedzd2localzd2occurrencewzd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2indexzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62setzd2exzd2itzf2Cinfozd2varzd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2removablezd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2jvmzd2typezd2namezd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62jumpzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62kwotezf2Cinfozd2typez42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2namez20zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzf2Cinfozd2nilzf2zzcfa_approxz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2falsezd2setz12ze0zzcfa_approxz00
		(BgL_conditionalz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_prezd2clozd2envzf3zf3zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_boxzd2setz12zf2Cinfozd2approxze0zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12zf2Ozd2Cinfoz32zzcfa_approxz00(obj_t,
		BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt, BgL_typez00_bglt,
		BgL_approxz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2namezd2setz12zc0zzcfa_approxz00(BgL_localz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2Cinfozd2valuez20zzcfa_approxz00(BgL_kwotez00_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2userzf3zd2setz12z51zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2nilza2z00zz__evalz00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzf2Cinfozd2vtypezf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62approxzd2topzf3zd2setz12z83zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62makezd2typezd2approxz62zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2bodyz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_setqzf2Cinfozd2approxz20zzcfa_approxz00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2approxzd2zzcfa_approxz00(BgL_typez00_bglt, bool_t, obj_t, bool_t,
		long, obj_t, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2keyszf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static BgL_approxz00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2approxz50zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_literalzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt
		BGl_makezd2kwotezf2nodez20zzcfa_approxz00(obj_t, BgL_typez00_bglt, obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2initzd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt
		BGl_kwotezf2nodezd2nilz20zzcfa_approxz00(void);
	static BgL_failz00_bglt BGl_z62failzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2typez82zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2setz12zf2Cinfozd2varze0zzcfa_approxz00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2srczd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2loczf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2effectzd2setz12ze0zzcfa_approxz00(BgL_cfunz00_bglt,
		obj_t);
	static BgL_nodez00_bglt BGl_z62funcallzf2Cinfozd2funz42zzcfa_approxz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62switchzf2Cinfozd2itemzd2typez90zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2sidezd2effectz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzf2Cinfozd2objz20zzcfa_approxz00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2keyz20zzcfa_approxz00(BgL_boxzd2refzd2_bglt);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62prezd2makezd2boxzd2stackablezb0zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL long
		BGl_svarzf2Cinfozd2stampz20zzcfa_approxz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2libraryz00zzcfa_approxz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2typez32zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt);
	extern obj_t BGl_cvarz00zzast_varz00;
	static obj_t
		BGl_z62cfunzf2Cinfozd2argszd2retescapezd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_prezd2makezd2boxzd2vtypezd2zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62sexitzf2Cinfozd2detachedzf3zb1zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Cinfozd2handlerzd2setz12ze0zzcfa_approxz00(BgL_sexitz00_bglt,
		obj_t);
	extern obj_t BGl_patchz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cvarzf2Cinfozd2approxz20zzcfa_approxz00(BgL_cvarz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2vtypez20zzcfa_approxz00(BgL_boxzd2refzd2_bglt);
	static BgL_approxz00_bglt
		BGl_z62funcallzf2Cinfozd2vazd2approxz90zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t
		BGl_z62boxzd2refzf2Cinfozd2vtypezd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_approxz00
		(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2bodyz20zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_reshapedzd2globalzd2nilz00zzcfa_approxz00(void);
	static BgL_kwotez00_bglt BGl_z62kwotezf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2sidezd2effectz20zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_svarzf2Cinfozd2approxz20zzcfa_approxz00(BgL_svarz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2evalzf3z91zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Cinfozd2vtypezd2setz12z42zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2nodezd2locz20zzcfa_approxz00(BgL_kwotez00_bglt);
	static obj_t BGl_z62failzf2Cinfozd2locz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_approxz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_appzd2lyzf2Cinfozf3zd3zzcfa_approxz00(obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2clausesz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2funzd2setz12ze0zzcfa_approxz00(BgL_funcallz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_switchz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2stackablezd2setz12z12zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t BGl_z62literalzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2occurrencezd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z71zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_approxz00_bglt
		BGl_z62boxzd2refzf2Cinfozd2approxz90zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_z62cfunzf2Cinfozd2argszd2noescapez90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2classz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2keyz20zzcfa_approxz00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62genpatchidzf2Cinfozd2keyzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12zf2Ozd2Cinfoz50zzcfa_approxz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2approxz82zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf2nodezd2typezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_switchzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2vtypezd2setz12z32zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_approxz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2bodyzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62kwotezf2Cinfozd2locz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzf2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxzf2Ozd2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_nodez00_bglt, BgL_typez00_bglt, obj_t, BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00
		(BgL_conditionalz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2fastzd2alphazb0zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62conszd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_externzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_approxz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_makezd2svarzf2Cinfoz20zzcfa_approxz00(obj_t, BgL_approxz00_bglt, bool_t,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2keyzf2zzcfa_approxz00(BgL_boxzd2refzd2_bglt);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	static obj_t BGl_z62cfunzf2Cinfozd2thezd2closurez90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2clausesz20zzcfa_approxz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2removablezd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_patchzf2Cinfozf2zzcfa_infoz00;
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62makezd2setzd2exzd2itzf2Cinfoz42zzcfa_approxz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Cinfozd2clozd2envzf3zd2setz12zc1zzcfa_approxz00(BgL_svarz00_bglt,
		bool_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozf3zb1zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2valuezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_boxzd2refzf2Cinfozd2approxzf2zzcfa_approxz00(BgL_boxzd2refzd2_bglt);
	static BgL_funcallz00_bglt
		BGl_z62funcallzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2typezd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2refzf2Cinfozd2vtypez90zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_externzd2sfunzf2Cinfozd2topzf3z01zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2accesszd2setz12zc0zzcfa_approxz00(BgL_localz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_patchzf2Cinfozd2typez20zzcfa_approxz00(BgL_patchz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_conszd2appzd2zzcfa_info2z00;
	static BgL_typez00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2typez42zzcfa_approxz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62boxzd2refzf2Cinfozd2sidezd2effectz42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2rindexzd2setz12ze0zzcfa_approxz00
		(BgL_genpatchidz00_bglt, long);
	BGL_EXPORTED_DECL bool_t BGl_kwotezf2Cinfozf3z01zzcfa_approxz00(obj_t);
	static obj_t BGl_z62funcallzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2nodezd2typezd2setz12ze0zzcfa_approxz00(BgL_kwotez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2msgzd2setz12ze0zzcfa_approxz00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62approxzd2typezd2setz12z70zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2exprza2z82zzcfa_approxz00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzf3z43zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62cvarzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, BgL_approxz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2predicatezd2ofz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62setqzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62boxzd2refzf2Ozd2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typez50zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	static BgL_typez00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypez42zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_approxzf3zf3zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt);
	BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozf3z71zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2idz00zzcfa_approxz00(BgL_globalz00_bglt);
	static obj_t BGl_z62approxzd2setzd2typez12z70zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzf2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablez42zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_approxz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2occurrencewzd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62funcallzf2Cinfozd2locz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_patchz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_conditionalzf2Cinfozd2approxz20zzcfa_approxz00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refzf2Cinfozf2zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, BgL_typez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12zf2zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2typez20zzcfa_approxz00(BgL_boxzd2refzd2_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2evalzf3zd2setz12z51zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2keyzb0zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2retescapezd2setz12z32zzcfa_approxz00
		(BgL_cfunz00_bglt, obj_t);
	static BgL_genpatchidz00_bglt
		BGl_z62genpatchidzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	static obj_t BGl_z62setqzf2Cinfozd2locz42zzcfa_approxz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuez50zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2keyz90zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2keyz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2removablez62zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_reshapedzd2localzd2nilz00zzcfa_approxz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2sidezd2effectz00zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62sexitzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2valuez20zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2valuez20zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	static BgL_cfunz00_bglt BGl_z62makezd2cfunzf2Cinfoz42zzcfa_approxz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62makezd2boxzd2refzf2Ozd2Cinfoz42zzcfa_approxz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_approxz00(void);
	BGL_EXPORTED_DECL BgL_patchz00_bglt
		BGl_patchzf2Cinfozd2nilz20zzcfa_approxz00(void);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2makezd2boxzf2Ozd2Cinfoz42zzcfa_approxz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62makezd2jumpzd2exzd2itzf2Cinfoz42zzcfa_approxz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2failsafez90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2removablezd2setz12zc0zzcfa_approxz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2propertyzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static BgL_approxz00_bglt BGl_z62makezd2approxzb0zzcfa_approxz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2typeze0zzcfa_approxz00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2occurrencezd2setz12zc0zzcfa_approxz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzf2Cinfozd2argzf2zzcfa_approxz00(BgL_appzd2lyzd2_bglt);
	static BgL_svarz00_bglt BGl_z62makezd2prezd2clozd2envzb0zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2argszd2typez90zzcfa_approxz00(obj_t,
		obj_t);
	static BgL_literalz00_bglt
		BGl_z62makezd2literalzf2Cinfoz42zzcfa_approxz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozf3zb1zzcfa_approxz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62appzd2lyzf2Cinfozd2approxz90zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_internzd2sfunzf2Cinfozd2approxzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2classz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stampzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, long);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_externzd2sfunzf2Cinfozd2approxzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_genpatchidzf2Cinfozd2nilz20zzcfa_approxz00(void);
	static obj_t BGl_z62genpatchidzf2Cinfozd2locz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2typezd2setz12z20zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2classz20zzcfa_approxz00(BgL_scnstz00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62procedurezd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszf2zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refzf2Ozd2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, BgL_typez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2locz20zzcfa_approxz00(BgL_patchz00_bglt);
	static obj_t BGl_z62failzf2Cinfozd2proczd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Cinfozd2valuezd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzf2Cinfozd2funzd2setz12z32zzcfa_approxz00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2varzd2setz12z32zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt, BgL_varz00_bglt);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2keysz90zzcfa_approxz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2typezd2setz12zc0zzcfa_approxz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static BgL_svarz00_bglt BGl_z62svarzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2typezf2zzcfa_approxz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_approxz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2occurrencezd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt, long);
	extern bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62patchzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2occurrencewz62zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2occurrencezd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2locz20zzcfa_approxz00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2effectzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_internzd2sfunzf2Cinfozd2stampzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	static obj_t BGl_z62prezd2clozd2envzd2loczd2setz12z70zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2proczd2setz12ze0zzcfa_approxz00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2approxz20zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2approxz20zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt);
	static BgL_approxz00_bglt BGl_z62unionzd2approxz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2haszd2procedurezf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_patchzf2Cinfozd2refz20zzcfa_approxz00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2topzf3z21zzcfa_approxz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2aliaszd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_genpatchidzf2Cinfozd2approxz20zzcfa_approxz00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62funcallzf2Cinfozd2argszd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2keyszf2zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypez32zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62funcallzf2Cinfozd2argsz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2locz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cfunzf2Cinfozd2infixzf3zd3zzcfa_approxz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzf2Cinfozd2vtypezf2zzcfa_approxz00(BgL_boxzd2refzd2_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2occurrencewzd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2funzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_scnstz00_bglt
		BGl_scnstzf2Cinfozd2nilz20zzcfa_approxz00(void);
	static obj_t BGl_z62switchzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_makezd2internzd2sfunzf2Cinfozf2zzcfa_approxz00(long, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t,
		BgL_approxz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2exprza2zd2setz12z42zzcfa_approxz00
		(BgL_genpatchidz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_scnstzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	static obj_t BGl_z62prezd2clozd2envzf3z91zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2clozd2envzd2loczd2setz12z12zzcfa_approxz00(BgL_svarz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12zf2zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt, BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2valuezd2setz12z70zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(BgL_nodezf2effectzf2_bglt, obj_t);
	static BgL_varz00_bglt BGl_z62setqzf2Cinfozd2varz42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2bodyz90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62vectorzd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_cfunzf2Cinfozd2arityz20zzcfa_approxz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_conditionalzf2Cinfozd2typez20zzcfa_approxz00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2keyzd2setz12z32zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2checkzd2haszd2procedurezf3z21zzcfa_approxz00
		(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Cinfozd2stampzd2setz12ze0zzcfa_approxz00(BgL_svarz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2libraryzd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2keyz20zzcfa_approxz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12zf2zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62appzd2lyzf2Cinfozd2funzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2effectzd2setz12ze0zzcfa_approxz00
		(BgL_genpatchidz00_bglt, obj_t);
	extern obj_t BGl_reshapedzd2globalzd2zzcfa_infoz00;
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_externzd2sfunzf2Cinfozd2nilzf2zzcfa_approxz00(void);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_kwotezf2nodezd2typez20zzcfa_approxz00(BgL_kwotez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzf2Cinfozd2msgz20zzcfa_approxz00(BgL_failz00_bglt);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_externzd2sfunzf2Cinfozd2arityzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2stackablezf2zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2locz20zzcfa_approxz00(BgL_scnstz00_bglt);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	static BgL_kwotez00_bglt BGl_z62makezd2kwotezf2Cinfoz42zzcfa_approxz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2indexzd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t, obj_t);
	static obj_t
		BGl_z62setzd2exzd2itzf2Cinfozd2onexitzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z71zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2topzf3z63zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2optionalsz90zzcfa_approxz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setqzf2Cinfozd2valuez20zzcfa_approxz00(BgL_setqz00_bglt);
	static obj_t
		BGl_z62makezd2boxzf2Cinfozd2stackablezd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2functionszd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62failzf2Cinfozd2typez42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozd2exprza2ze0zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2effectzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2localzd2volatilez00zzcfa_approxz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2importzd2setz12za2zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2bodyzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2patchidzd2setz12ze0zzcfa_approxz00(BgL_patchz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2bodyzd2setz12ze0zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_scnstz00_bglt
		BGl_makezd2scnstzf2Cinfoz20zzcfa_approxz00(obj_t, obj_t, obj_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2removablez00zzcfa_approxz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2stackzd2allocatorzd2setz12z32zzcfa_approxz00
		(BgL_cfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2effectzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62cfunzf2Cinfozd2stackzd2allocatorzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62approxzd2haszd2procedurezf3z91zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2keyz62zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2valuezd2setz12z20zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2loczf2zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62reshapedzd2localzd2valuezd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2dupzd2zzcfa_approxz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2setz12ze0zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62boxzd2refzf2Cinfozf3zb1zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_internzd2sfunzf2Cinfozd2topzf3z01zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2failsafez42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_appzd2lyzf2Cinfozd2approxzf2zzcfa_approxz00(BgL_appzd2lyzd2_bglt);
	static obj_t BGl_z62patchzf2Cinfozd2indexz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2keyzd2zzcfa_approxz00(BgL_nodezf2effectzf2_bglt);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2setz12zf2Cinfozf3zc1zzcfa_approxz00(obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t
		BGl_z62reshapedzd2globalzd2jvmzd2typezd2namezd2setz12za2zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62sexitzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2keyzb0zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2namez20zzcfa_approxz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2dupzd2setz12z12zzcfa_approxz00(BgL_approxz00_bglt, obj_t);
	static obj_t BGl_z62setqzf2Cinfozd2varzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2libraryz62zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2argszd2retescapez90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62makezd2sexitzf2Cinfoz42zzcfa_approxz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_switchzf2Cinfozd2testz20zzcfa_approxz00(BgL_switchz00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuez42zzcfa_approxz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2valuez42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2idz00zzcfa_approxz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00
		(BgL_genpatchidz00_bglt, BgL_typez00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62literalzf2Cinfozd2typez42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2occurrencez62zzcfa_approxz00(obj_t,
		obj_t);
	static BgL_literalz00_bglt
		BGl_z62literalzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2sidezd2effectz90zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2globalzd2evaluablezf3zf3zzcfa_approxz00(BgL_globalz00_bglt);
	static obj_t BGl_z62svarzf2Cinfozd2stampzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62kwotezf2nodezd2valuez42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2effectz20zzcfa_approxz00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_conditionalzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	static BgL_sfunz00_bglt
		BGl_z62externzd2sfunzf2Cinfozd2nilz90zzcfa_approxz00(obj_t);
	static obj_t BGl_z62approxzd2dupzb0zzcfa_approxz00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2prezd2makezd2boxzb0zzcfa_approxz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2strengthz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2varzd2setz12ze0zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt, BgL_varz00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzf2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, obj_t, obj_t, long, long, BgL_approxz00_bglt);
	static obj_t BGl_z62setzd2exzd2itzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2approxz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2vtypezd2setz12z12zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	extern obj_t BGl_za2belongza2z00zztype_cachez00;
	static obj_t BGl_z62kwotezf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2nilz50zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_failzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_cfunz00_bglt
		BGl_cfunzf2Cinfozd2nilz20zzcfa_approxz00(void);
	BGL_EXPORTED_DECL long
		BGl_genpatchidzf2Cinfozd2indexz20zzcfa_approxz00(BgL_genpatchidz00_bglt);
	static BgL_cvarz00_bglt BGl_z62makezd2cvarzf2Cinfoz42zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62literalzf2Cinfozd2locz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2bindingzd2valuezb0zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2argsz90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62approxzd2topzf3z43zzcfa_approxz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62failzf2Cinfozd2procz42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62failzf2Cinfozd2objzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt
		BGl_z62makezd2appzd2lyzf2Cinfoz90zzcfa_approxz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62boxzd2refzf2Cinfozd2varzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2failsafez90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_internzd2sfunzf2Cinfozd2arityzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2locz90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2pragmazd2setz12za2zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2propertyzf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12zf2Cinfoz82zzcfa_approxz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2haszd2procedurezf3zd2setz12z33zzcfa_approxz00
		(BgL_approxz00_bglt, bool_t);
	static obj_t BGl_za2alloczd2setza2zd2zzcfa_approxz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_prezd2makezd2boxzd2nilzd2zzcfa_approxz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_funcallzf2Cinfozd2funz20zzcfa_approxz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2keyzf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setqzf2Cinfozd2typez20zzcfa_approxz00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2nilz32zzcfa_approxz00(void);
	static obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2locz50zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2userzf3zd2setz12z51zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszf2zzcfa_approxz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62reshapedzd2localzd2namezd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_sexitzf2Cinfozd2approxz20zzcfa_approxz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2approxz20zzcfa_approxz00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2typezd2setz12z32zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	extern obj_t BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	static BgL_switchz00_bglt
		BGl_z62makezd2switchzf2Cinfoz42zzcfa_approxz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2aliasz00zzcfa_approxz00(BgL_globalz00_bglt);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2keysz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2classzd2setz12ze0zzcfa_approxz00(BgL_scnstz00_bglt,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypez50zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62setqzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getzd2allocszd2zzcfa_collectz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	static BgL_typez00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2typez42zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2loczd2zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2vtypez20zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62appzd2lyzf2Cinfozf3zb1zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2sidezd2effectzf2zzcfa_approxz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_internzd2sfunzf2Cinfozf3zd3zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt
		BGl_makezd2literalzf2Cinfoz20zzcfa_approxz00(obj_t, BgL_typez00_bglt, obj_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00
		(BgL_conditionalz00_bglt, obj_t);
	static obj_t
		BGl_z62switchzf2Cinfozd2itemzd2typezd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2srczd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2makezd2boxzf2Cinfoz90zzcfa_approxz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_genpatchidz00_bglt
		BGl_z62makezd2genpatchidzf2Cinfoz42zzcfa_approxz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_sfunz00_bglt
		BGl_z62makezd2internzd2sfunzf2Cinfoz90zzcfa_approxz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2locz32zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2accesszd2setz12za2zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzf3z43zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62cfunzf2Cinfozd2topzf3zb1zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62switchzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2reshapedzd2localz62zzcfa_approxz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sexitzf2Cinfozd2handlerzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_approxz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_approxz00(void);
	static BgL_typez00_bglt
		BGl_z62prezd2makezd2boxzd2typezb0zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2keyzd2setz12z32zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt, obj_t);
	static obj_t BGl_z62scnstzf2Cinfozd2nodez42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_setqz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt
		BGl_z62makezd2boxzf2Cinfozd2typez90zzcfa_approxz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62conditionalzf2Cinfozd2typez42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_prezd2makezd2boxzf3zf3zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt BGl_approxzd2nilzd2zzcfa_approxz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_approxz00(void);
	extern obj_t BGl_scnstz00zzast_varz00;
	BGL_EXPORTED_DECL long
		BGl_genpatchidzf2Cinfozd2rindexz20zzcfa_approxz00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2typez20zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2macrozf3zb1zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2valuezd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2failsafez20zzcfa_approxz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt
		BGl_funcallzf2Cinfozd2nilz20zzcfa_approxz00(void);
	static obj_t BGl_z62reshapedzd2localzd2valzd2noescapezb0zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z13zzcfa_approxz00
		(BgL_funcallz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_kwotezf2Cinfozd2typez20zzcfa_approxz00(BgL_kwotez00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2boxzf2Cinfozd2approxzf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62conditionalzf2Cinfozd2truezd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2strengthzd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12z90zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzf2Cinfozd2varzd2setz12ze0zzcfa_approxz00(BgL_setqz00_bglt,
		BgL_varz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_patchzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2typezd2alloczd2approxzb0zzcfa_approxz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2topzf3zd2setz12ze1zzcfa_approxz00(BgL_approxz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t
		BGl_findzd2commonzd2superzd2classzd2zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62reshapedzd2localzd2fastzd2alphazb0zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2bodyz90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00
		(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00
		(BgL_genpatchidz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_boxzd2setz12zf2Ozd2Cinfozf3z13zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2modulez00zzcfa_approxz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2argsz20zzcfa_approxz00(BgL_funcallz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2globalzd2occurrencez00zzcfa_approxz00(BgL_globalz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2stackzd2allocatorz90zzcfa_approxz00(obj_t,
		obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62boxzd2refzf2Cinfozd2nilz90zzcfa_approxz00(obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2aliasz62zzcfa_approxz00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62makezd2failzf2Cinfoz42zzcfa_approxz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2locz20zzcfa_approxz00(BgL_funcallz00_bglt);
	extern obj_t BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62literalzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62approxzd2nilzb0zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_kwotez00_bglt BGl_z62kwotezf2nodezd2nilz42zzcfa_approxz00(obj_t);
	static obj_t BGl_z62reshapedzd2localzd2occurrencewz62zzcfa_approxz00(obj_t,
		obj_t);
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	static obj_t
		BGl_z62svarzf2Cinfozd2clozd2envzf3zd2setz12za3zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sexitzf2Cinfozd2handlerz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2topzf3z63zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2typez20zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2typez20zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2stackablezd2setz12z32zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2allocszd2zzcfa_approxz00(BgL_approxz00_bglt);
	static BgL_nodez00_bglt BGl_z62failzf2Cinfozd2objz42zzcfa_approxz00(obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62makezd2setqzf2Cinfoz42zzcfa_approxz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	static obj_t BGl_z62scnstzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2stampz90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31823ze3ze5zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_kwotezf2nodezd2nodez20zzcfa_approxz00(BgL_kwotez00_bglt);
	static obj_t BGl_z62makezd2boxzf2Ozd2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static BgL_funcallz00_bglt
		BGl_z62makezd2funcallzf2Cinfoz42zzcfa_approxz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_valuez00_bglt
		BGl_z62reshapedzd2localzd2valuez62zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2userzf3z91zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_prezd2clozd2envzd2nilzd2zzcfa_approxz00(void);
	static BgL_varz00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varz50zzcfa_approxz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62switchzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2objzd2setz12ze0zzcfa_approxz00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62failzf2Cinfozf3z63zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2locz90zzcfa_approxz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62genpatchidzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2falsez20zzcfa_approxz00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12zf2Cinfoze0zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_typez00_bglt, BgL_approxz00_bglt);
	static BgL_nodez00_bglt BGl_z62appzd2lyzf2Cinfozd2funz90zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62kwotezf2nodezd2locz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2importz00zzcfa_approxz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	extern obj_t BGl_genpatchidz00zzast_nodez00;
	static BgL_typez00_bglt BGl_z62funcallzf2Cinfozd2typez42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_approxz00(BgL_sfunz00_bglt,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Cinfozd2approxz90zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62conditionalzf2Cinfozd2testzd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62conditionalzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	static BgL_patchz00_bglt BGl_z62makezd2patchzf2Cinfoz42zzcfa_approxz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2keyzd2setz12ze0zzcfa_approxz00(BgL_switchz00_bglt,
		obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	static obj_t
		BGl_z62cfunzf2Cinfozd2thezd2closurezd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t, obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2jvmzd2typezd2namez62zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62sexitzf2Cinfozd2detachedzf3zd2setz12z71zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2stackablezf2zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt);
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	static obj_t
		BGl_getzd2srczd2approxzd2typezd2zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_literalz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_reshapedzd2localzd2valuez00zzcfa_approxz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2localzd2userzf3zf3zzcfa_approxz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2userzf3zd2setz12z33zzcfa_approxz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t BGl_z62genpatchidzf2Cinfozd2keyz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2namezd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2clozd2envzd2loczd2zzcfa_approxz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2varz32zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt);
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	static BgL_approxz00_bglt
		BGl_z62scnstzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_z62cfunzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_svarzf2Cinfozf3z01zzcfa_approxz00(obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2sidezd2effectz62zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2localzd2keyz00zzcfa_approxz00(BgL_localz00_bglt);
	static obj_t BGl_z62patchzf2Cinfozd2valuez42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2nilz20zzcfa_approxz00(void);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2nilz20zzcfa_approxz00(void);
	static obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2locz42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2locz42zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozd2indexz42zzcfa_approxz00(obj_t,
		obj_t);
	static BgL_switchz00_bglt
		BGl_z62switchzf2Cinfozd2nilz42zzcfa_approxz00(obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2keyzd2setz12z50zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62conditionalzf2Cinfozd2keyzd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2arityz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2typezd2setz12z32zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z13zzcfa_approxz00
		(BgL_funcallz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxzf2Cinfozf2zzcfa_approxz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_nodez00_bglt, BgL_typez00_bglt, obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_z62patchzf2Cinfozd2patchidz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_kwotezf2nodezf3z01zzcfa_approxz00(obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2strengthz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2approxzf2zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt);
	static BgL_typez00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2typez42zzcfa_approxz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2typez42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2typezd2setz12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62internzd2sfunzf2Cinfozd2approxz90zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_reshapedzd2globalzf3z21zzcfa_approxz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62externzd2sfunzf2Cinfozd2approxz90zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2keyz20zzcfa_approxz00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_boxzd2refzf2Ozd2Cinfozf3z01zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2reshapedzd2localz00zzcfa_approxz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, long, obj_t, bool_t, obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Cinfozd2typezd2setz12z42zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Cinfozd2vtypezd2setz12z50zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2volatilez62zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2argsz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_internzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_approxz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2locz20zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2locz20zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	static BgL_approxz00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cvarz00_bglt
		BGl_cvarzf2Cinfozd2nilz20zzcfa_approxz00(void);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_literalzf2Cinfozd2typez20zzcfa_approxz00(BgL_literalz00_bglt);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2locz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzf2Cinfozd2typezf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_typez00_bglt
		BGl_z62boxzd2refzf2Cinfozd2typez90zzcfa_approxz00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt
		BGl_z62appzd2lyzf2Cinfozd2nilz90zzcfa_approxz00(obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_internzd2sfunzf2Cinfozd2nilzf2zzcfa_approxz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	extern obj_t BGl_cfunzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62scnstzf2Cinfozd2classzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62makezd2kwotezf2nodez42zzcfa_approxz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62reshapedzd2localzd2typezd2setz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_approxz00
		(obj_t, obj_t);
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t
		BGl_z62jumpzd2exzd2itzf2Cinfozd2exitzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypez42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd3zzcfa_approxz00
		(BgL_funcallz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2sidezd2effectz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_approxz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2functionszd2setz12ze0zzcfa_approxz00
		(BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2keyzd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2optionalsz90zzcfa_approxz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_approxzd2typezd2zzcfa_approxz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2infixzf3zd2setz12z13zzcfa_approxz00(BgL_cfunz00_bglt,
		bool_t);
	static obj_t BGl_z62scnstzf2Cinfozd2loczd2setz12z82zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfunzf2Cinfozd2approxz42zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2fastzd2alphazd2zzcfa_approxz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt
		BGl_kwotezf2Cinfozd2nilz20zzcfa_approxz00(void);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2externzd2sfunzf2Cinfozd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2extern2171z00,
		BGl_z62makezd2externzd2sfunzf2Cinfoz90zzcfa_approxz00, 0L, BUNSPEC, 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2172z00,
		BGl_z62reshapedzd2globalzf3z43zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22173za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2varzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setza7d2exza7d2it2174za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2varz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2sexitzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2sexitza72175za7,
		BGl_z62makezd2sexitzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22176za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762jumpza7d2exza7d2i2177za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2178z00,
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2keyzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2179z00,
		BGl_z62conditionalzf2Cinfozd2keyzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unionzd2approxzd2filterz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762unionza7d2appro2180z00,
		BGl_z62unionzd2approxzd2filterz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22181za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2keyz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2falsezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2182z00,
		BGl_z62conditionalzf2Cinfozd2falsez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2evalzf3zd2setz12zd2envze1zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2183z00,
		BGl_z62reshapedzd2globalzd2evalzf3zd2setz12z51zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2optionalszd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2184z00,
		BGl_z62externzd2sfunzf2Cinfozd2optionalsz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setqza7f2cinfoza72185za7,
		BGl_z62setqzf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2typezd2envz00zzcfa_approxz00,
		BgL_bgl_za762approxza7d2type2186z00, BGl_z62approxzd2typezb0zzcfa_approxz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setqzf2Cinfozd2varzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762setqza7f2cinfoza72187za7,
		BGl_z62setqzf2Cinfozd2varzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvarzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762cvarza7f2cinfoza72188za7,
		BGl_z62cvarzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2fastzd2alphazd2envz00zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2189z00,
		BGl_z62reshapedzd2localzd2fastzd2alphazb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2valuezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22190za7,
		BGl_z62makezd2boxzf2Cinfozd2valuezd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2keyzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2191z00,
		BGl_z62reshapedzd2localzd2keyz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22192z00,
		BGl_z62genpatchidzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2testzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2193z00,
		BGl_z62switchzf2Cinfozd2testz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762svarza7f2cinfoza72194za7,
		BGl_z62svarzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762svarza7f2cinfoza72195za7,
		BGl_z62svarzf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2failsafezd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2196z00,
		BGl_z62externzd2sfunzf2Cinfozd2failsafez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2msgzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762failza7f2cinfoza72197za7,
		BGl_z62failzf2Cinfozd2msgz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2nodeza72198za7,
		BGl_z62kwotezf2nodezd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2typezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2199z00,
		BGl_z62reshapedzd2localzd2typez62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2200za7,
		BGl_z62boxzd2refzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2patchidzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2201z00,
		BGl_z62patchzf2Cinfozd2patchidz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2envzf2zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2202z00,
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2typezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2203za7,
		BGl_z62boxzd2refzf2Cinfozd2typezd2setz12z50zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2varzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2204za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2varzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2nilzd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22205za7,
		BGl_z62makezd2boxzf2Cinfozd2nilz90zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2detachedzf3zd2setz12zd2envzc1zzcfa_approxz00,
		BgL_bgl_za762sexitza7f2cinfo2206z00,
		BGl_z62sexitzf2Cinfozd2detachedzf3zd2setz12z71zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2functionszd2envzf2zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2207z00,
		BGl_z62funcallzf2Cinfozd2functionsz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2160z00zzcfa_approxz00,
		BgL_bgl_string2160za700za7za7c2208za7, "dst is not a procedure", 22);
	      DEFINE_STRING(BGl_string2162z00zzcfa_approxz00,
		BgL_bgl_string2162za700za7za7c2209za7, "get-node-atom-value1585", 23);
	      DEFINE_STRING(BGl_string2164z00zzcfa_approxz00,
		BgL_bgl_string2164za700za7za7c2210za7, "shape", 5);
	      DEFINE_STRING(BGl_string2166z00zzcfa_approxz00,
		BgL_bgl_string2166za700za7za7c2211za7, "get-node-atom-value", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2vtypezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22212za7,
		BGl_z62makezd2boxzf2Cinfozd2vtypezd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2168z00zzcfa_approxz00,
		BgL_bgl_string2168za700za7za7c2213za7, "cfa_approx", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_kwotezf2Cinfozd2valuezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2cinfo2214z00,
		BGl_z62kwotezf2Cinfozd2valuez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2169z00zzcfa_approxz00,
		BgL_bgl_string2169za700za7za7c2215za7,
		"top:false top:true approx (no-atom-value) approx-set-top! approx-set-type! union ",
		81);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cvarzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2cvarza7f2216za7,
		BGl_z62makezd2cvarzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2typezd2envz00zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22217za7,
		BGl_z62prezd2makezd2boxzd2typezb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2218z00,
		BGl_z62switchzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762literalza7f2cin2219z00,
		BGl_z62literalzf2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762cvarza7f2cinfoza72220za7,
		BGl_z62cvarzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setqzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setqza7f2cinfoza72221za7,
		BGl_z62setqzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2predicatezd2ofzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72222za7,
		BGl_z62cfunzf2Cinfozd2predicatezd2ofzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2rindexzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22223z00,
		BGl_z62genpatchidzf2Cinfozd2rindexz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2arityzd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2224z00,
		BGl_z62internzd2sfunzf2Cinfozd2arityz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2typezd2envz32zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72225z00,
		BGl_z62boxzd2setz12zf2Cinfozd2typez82zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22226za7,
		BGl_z62makezd2boxzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2objzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762failza7f2cinfoza72227za7,
		BGl_z62failzf2Cinfozd2objz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2nilzd2envze0zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72228z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2nilz50zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2229za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2230z00,
		BGl_z62patchzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozf3zd2envzc1zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72231z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozf3z71zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22232z00,
		BGl_z62genpatchidzf2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2idzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2233z00,
		BGl_z62reshapedzd2localzd2idz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2occurrencewzd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2234z00,
		BGl_z62reshapedzd2globalzd2occurrencewzd2setz12za2zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22235z00,
		BGl_z62genpatchidzf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2keyzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22236z00,
		BGl_z62genpatchidzf2Cinfozd2keyz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2237z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2objzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762failza7f2cinfoza72238za7,
		BGl_z62failzf2Cinfozd2objzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2keyszd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2239z00,
		BGl_z62internzd2sfunzf2Cinfozd2keysz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2effectzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72240za7,
		BGl_z62cfunzf2Cinfozd2effectz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2macrozf3zd2envz01zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72241za7,
		BGl_z62cfunzf2Cinfozd2macrozf3zb1zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2setz12zf2Cinfozd2envz32zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7d22242za7,
		BGl_z62makezd2boxzd2setz12zf2Cinfoz82zzcfa_approxz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setza7d2exza7d2it2243za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2244za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2envz01zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2245z00,
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zb1zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2loczd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2246z00,
		BGl_z62internzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2247za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2keyz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2typezd2lockedzf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762approxza7d2type2248z00,
		BGl_z62approxzd2typezd2lockedzf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2249z00,
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2250z00,
		BGl_z62funcallzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2251z00,
		BGl_z62patchzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2252z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2argszd2envzf2zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2253z00,
		BGl_z62funcallzf2Cinfozd2argsz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2modulezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2254z00,
		BGl_z62reshapedzd2globalzd2modulez62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2arityzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72255za7,
		BGl_z62cfunzf2Cinfozd2arityz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2varzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2256za7,
		BGl_z62boxzd2refzf2Cinfozd2varzd2setz12z50zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2funzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762appza7d2lyza7f2ci2257za7,
		BGl_z62appzd2lyzf2Cinfozd2funzd2setz12z50zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2failzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2failza7f2258za7,
		BGl_z62makezd2failzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2259z00,
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762failza7f2cinfoza72260za7,
		BGl_z62failzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2261z00,
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2262z00,
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2effectzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22263z00,
		BGl_z62genpatchidzf2Cinfozd2effectz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2funzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2264z00,
		BGl_z62funcallzf2Cinfozd2funzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12zd2envzc1zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2265z00,
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z71zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22266za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762jumpza7d2exza7d2i2267za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2268z00,
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2falsezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2269z00,
		BGl_z62conditionalzf2Cinfozd2falsezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2vtypezd2envz32zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72270z00,
		BGl_z62boxzd2setz12zf2Cinfozd2vtypez82zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2271za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2testzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2272z00,
		BGl_z62switchzf2Cinfozd2testzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2273z00,
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_kwotezf2nodezd2valuezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2nodeza72274za7,
		BGl_z62kwotezf2nodezd2valuez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2pragmazd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2275z00,
		BGl_z62reshapedzd2globalzd2pragmazd2setz12za2zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2valzd2noescapezd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2276z00,
		BGl_z62reshapedzd2localzd2valzd2noescapezd2setz12z70zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2valuezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2277z00,
		BGl_z62reshapedzd2globalzd2valuezd2setz12za2zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2propertyzd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2278z00,
		BGl_z62externzd2sfunzf2Cinfozd2propertyz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2dupzd2envz00zzcfa_approxz00,
		BgL_bgl_za762approxza7d2dupza72279za7,
		BGl_z62approxzd2dupzb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozf3zd2envz13zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72280z00,
		BGl_z62boxzd2setz12zf2Cinfozf3za3zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setza7d2exza7d2it2281za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2282z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2setzd2topz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762approxza7d2setza72283za7,
		BGl_z62approxzd2setzd2topz12z70zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2keyzd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22284za7,
		BGl_z62prezd2makezd2boxzd2keyzd2setz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2valuezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2285z00,
		BGl_z62patchzf2Cinfozd2valuez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762literalza7f2cin2286z00,
		BGl_z62literalzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2287z00,
		BGl_z62conditionalzf2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2varzd2envz20zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2288za7,
		BGl_z62boxzd2refzf2Cinfozd2varz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2funzd2envz20zzcfa_approxz00,
		BgL_bgl_za762appza7d2lyza7f2ci2289za7,
		BGl_z62appzd2lyzf2Cinfozd2funz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2290z00,
		BGl_z62funcallzf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2291z00,
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2typezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762appza7d2lyza7f2ci2292za7,
		BGl_z62appzd2lyzf2Cinfozd2typezd2setz12z50zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2makezd2boxzf2Cinfozd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2makeza7d2293za7,
		BGl_z62makezd2makezd2boxzf2Cinfoz90zzcfa_approxz00, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2genpatchidzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2genpat2294z00,
		BGl_z62makezd2genpatchidzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setqzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2setqza7f2295za7,
		BGl_z62makezd2setqzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stackablezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2296z00,
		BGl_z62internzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762failza7f2cinfoza72297za7,
		BGl_z62failzf2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762sexitza7f2cinfo2298z00,
		BGl_z62sexitzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2failsafezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72299za7,
		BGl_z62cfunzf2Cinfozd2failsafezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2volatilezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2300z00,
		BGl_z62reshapedzd2localzd2volatilez62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2effectzd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2301z00,
		BGl_z62internzd2sfunzf2Cinfozd2effectz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zd2envz13zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2302z00,
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2envze0zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72303z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypez50zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2approxzd2envz00zzcfa_approxz00,
		BgL_bgl_za762makeza7d2approx2304z00, BGl_z62makezd2approxzb0zzcfa_approxz00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2valuezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2305z00,
		BGl_z62reshapedzd2localzd2valuezd2setz12za2zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2valuezd2envz32zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72306z00,
		BGl_z62boxzd2setz12zf2Cinfozd2valuez82zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2bodyzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2307z00,
		BGl_z62externzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2clozd2envzf3zd2setz12zd2envz13zzcfa_approxz00,
		BgL_bgl_za762svarza7f2cinfoza72308za7,
		BGl_z62svarzf2Cinfozd2clozd2envzf3zd2setz12za3zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2namezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2309z00,
		BGl_z62reshapedzd2globalzd2namez62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2truezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2310z00,
		BGl_z62conditionalzf2Cinfozd2truezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2strengthzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2311z00,
		BGl_z62funcallzf2Cinfozd2strengthzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2312za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2internzd2sfunzf2Cinfozd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2intern2313z00,
		BGl_z62makezd2internzd2sfunzf2Cinfoz90zzcfa_approxz00, 0L, BUNSPEC, 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stampzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2314z00,
		BGl_z62internzd2sfunzf2Cinfozd2stampzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2accesszd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2315z00,
		BGl_z62reshapedzd2globalzd2accessz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72316za7,
		BGl_z62cfunzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2valuezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2317z00,
		BGl_z62reshapedzd2localzd2valuez62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2switchzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2switch2318z00,
		BGl_z62makezd2switchzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22319za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762jumpza7d2exza7d2i2320za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2keyzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22321za7,
		BGl_z62makezd2boxzf2Cinfozd2keyzd2setz12z50zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2idzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2322z00,
		BGl_z62reshapedzd2globalzd2idz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2323z00,
		BGl_z62conditionalzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2324z00,
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2typezd2envz20zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72325za7,
		BGl_z62cfunzf2Cinfozd2argszd2typez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2onexitzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762setza7d2exza7d2it2326za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2onexitzd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2nodeza72327za7,
		BGl_z62kwotezf2nodezf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2328z00,
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setqza7f2cinfoza72329za7,
		BGl_z62setqzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2importzd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2330z00,
		BGl_z62reshapedzd2globalzd2importzd2setz12za2zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2effectzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2331z00,
		BGl_z62externzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2patchidzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2332z00,
		BGl_z62patchzf2Cinfozd2patchidzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2bodyzd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2333z00,
		BGl_z62internzd2sfunzf2Cinfozd2bodyz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2334z00,
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2sidezd2effectzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22335za7,
		BGl_z62prezd2makezd2boxzd2sidezd2effectz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2nilzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2336z00,
		BGl_z62reshapedzd2localzd2nilz62zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2argszd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2337z00,
		BGl_z62funcallzf2Cinfozd2argszd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2modulezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2338z00,
		BGl_z62reshapedzd2globalzd2modulezd2setz12za2zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762vectorza7d2appr2339z00,
		BGl_z62vectorzd2approxzf3z43zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2appzd2lyzf2Cinfozd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2appza7d22340za7,
		BGl_z62makezd2appzd2lyzf2Cinfoz90zzcfa_approxz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2svarzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2svarza7f2341za7,
		BGl_z62makezd2svarzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2keyszd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2342z00,
		BGl_z62externzd2sfunzf2Cinfozd2keysz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvarzf2Cinfozd2macrozf3zd2envz01zzcfa_approxz00,
		BgL_bgl_za762cvarza7f2cinfoza72343za7,
		BGl_z62cvarzf2Cinfozd2macrozf3zb1zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762svarza7f2cinfoza72344za7,
		BGl_z62svarzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2fastzd2alphazd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2345z00,
		BGl_z62reshapedzd2localzd2fastzd2alphazd2setz12z70zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22346za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762jumpza7d2exza7d2i2347za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2valuezd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2occurrencezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2348z00,
		BGl_z62reshapedzd2localzd2occurrencezd2setz12za2zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2testzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2349z00,
		BGl_z62conditionalzf2Cinfozd2testzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2350z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2approxzd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2351z00,
		BGl_z62externzd2sfunzf2Cinfozd2approxz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2envze0zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72352z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuez50zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2infixzf3zd2setz12zd2envzc1zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72353za7,
		BGl_z62cfunzf2Cinfozd2infixzf3zd2setz12z71zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_procedurezd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762procedureza7d2a2354z00,
		BGl_z62procedurezd2approxzf3z43zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2userzf3zd2setz12zd2envze1zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2355z00,
		BGl_z62reshapedzd2globalzd2userzf3zd2setz12z51zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2userzf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2356z00,
		BGl_z62reshapedzd2localzd2userzf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2357z00,
		BGl_z62internzd2sfunzf2Cinfozd2argsz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2topzf3zd2setz12zd2envz13zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2358z00,
		BGl_z62externzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_conszd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762consza7d2approx2359z00,
		BGl_z62conszd2approxzf3z43zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2clozd2envzf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762svarza7f2cinfoza72360za7,
		BGl_z62svarzf2Cinfozd2clozd2envzf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2361z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2occurrencezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2362z00,
		BGl_z62reshapedzd2globalzd2occurrencez62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2aliaszd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2363z00,
		BGl_z62reshapedzd2globalzd2aliasz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2checkzd2haszd2procedurezf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762approxza7d2chec2364z00,
		BGl_z62approxzd2checkzd2haszd2procedurezf3z43zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22365za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2arityzd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2366z00,
		BGl_z62externzd2sfunzf2Cinfozd2arityz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2patchzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2patchza72367za7,
		BGl_z62makezd2patchzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2sidezd2effectzd2envz20zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2368z00,
		BGl_z62switchzf2Cinfozd2sidezd2effectz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2optionalszd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2369z00,
		BGl_z62internzd2sfunzf2Cinfozd2optionalsz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2approxzd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22370za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2approxz90zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2clozd2envzf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762preza7d2cloza7d2e2371za7,
		BGl_z62prezd2clozd2envzf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2topzf3zd2envz01zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72372za7,
		BGl_z62cfunzf2Cinfozd2topzf3zb1zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_scnstzf2Cinfozd2loczd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762scnstza7f2cinfo2373z00,
		BGl_z62scnstzf2Cinfozd2loczd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2stackablezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2374z00,
		BGl_z62externzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2reshapedzd2localzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2reshap2375z00,
		BGl_z62makezd2reshapedzd2localz62zzcfa_approxz00, 0L, BUNSPEC, 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2bodyzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762setza7d2exza7d2it2376za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2bodyzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2377za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2vtypezd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22378za7,
		BGl_z62makezd2boxzf2Cinfozd2vtypez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2keyzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2379za7,
		BGl_z62boxzd2refzf2Cinfozd2keyzd2setz12z50zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2380za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2haszd2procedurezf3zd2setz12zd2envze1zzcfa_approxz00,
		BgL_bgl_za762approxza7d2hasza72381za7,
		BGl_z62approxzd2haszd2procedurezf3zd2setz12z51zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2infixzf3zd2envz01zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72382za7,
		BGl_z62cfunzf2Cinfozd2infixzf3zb1zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2varzd2envz32zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72383z00,
		BGl_z62boxzd2setz12zf2Cinfozd2varz82zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2methodzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72384za7,
		BGl_z62cfunzf2Cinfozd2methodz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2noescapezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72385za7,
		BGl_z62cfunzf2Cinfozd2argszd2noescapezd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762sexitza7f2cinfo2386z00,
		BGl_z62sexitzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2387za7,
		BGl_z62boxzd2refzf2Cinfozd2sidezd2effectz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2keyzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2388z00,
		BGl_z62switchzf2Cinfozd2keyzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22389z00,
		BGl_z62genpatchidzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2rindexzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22390z00,
		BGl_z62genpatchidzf2Cinfozd2rindexzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2userzf3zd2setz12zd2envze1zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2391z00,
		BGl_z62reshapedzd2localzd2userzf3zd2setz12z51zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2predicatezd2ofzd2envz20zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72392za7,
		BGl_z62cfunzf2Cinfozd2predicatezd2ofz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762sexitza7f2cinfo2393z00,
		BGl_z62sexitzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762setqza7f2cinfoza72394za7,
		BGl_z62setqzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2occurrencezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2395z00,
		BGl_z62reshapedzd2localzd2occurrencez62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d22396za7,
		BGl_z62getzd2nodezd2atomzd2valuezb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2397z00,
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762scnstza7f2cinfo2398z00,
		BGl_z62scnstzf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2stackablezd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2399z00,
		BGl_z62externzd2sfunzf2Cinfozd2stackablez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2typezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2400z00,
		BGl_z62reshapedzd2globalzd2typez62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2401za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2402z00,
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2setz12zf2Ozd2Cinfozd2envze0zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7d22403za7,
		BGl_z62makezd2boxzd2setz12zf2Ozd2Cinfoz50zzcfa_approxz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2approxzd2envz32zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72404z00,
		BGl_z62boxzd2setz12zf2Cinfozd2approxz82zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2valuezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762literalza7f2cin2405z00,
		BGl_z62literalzf2Cinfozd2valuezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2406za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2removablezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2407z00,
		BGl_z62reshapedzd2globalzd2removablez62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2scnstzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2scnstza72408za7,
		BGl_z62makezd2scnstzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22409za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762jumpza7d2exza7d2i2410za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2proczd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762failza7f2cinfoza72411za7,
		BGl_z62failzf2Cinfozd2proczd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2proczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762failza7f2cinfoza72412za7,
		BGl_z62failzf2Cinfozd2procz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2loczd2envz20zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2413za7,
		BGl_z62boxzd2refzf2Cinfozd2locz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2keyzd2envz20zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2414za7,
		BGl_z62boxzd2refzf2Cinfozd2keyz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2415z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2varzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762setza7d2exza7d2it2416za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2varzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2failsafezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72417za7,
		BGl_z62cfunzf2Cinfozd2failsafez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2418z00,
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2strengthzd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2419z00,
		BGl_z62externzd2sfunzf2Cinfozd2strengthz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2classzd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2420z00,
		BGl_z62internzd2sfunzf2Cinfozd2classz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2valuezd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22421za7,
		BGl_z62makezd2boxzf2Cinfozd2valuez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762setza7d2exza7d2it2422za7,
		BGl_z62setzd2exzd2itzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2truezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2423z00,
		BGl_z62conditionalzf2Cinfozd2truez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2strengthzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2424z00,
		BGl_z62funcallzf2Cinfozd2strengthz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2425z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2exprza2zd2setz12zd2envz90zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22426z00,
		BGl_z62genpatchidzf2Cinfozd2exprza2zd2setz12z20zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2cinfo2427z00,
		BGl_z62kwotezf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2detachedzf3zd2envz01zzcfa_approxz00,
		BgL_bgl_za762sexitza7f2cinfo2428z00,
		BGl_z62sexitzf2Cinfozd2detachedzf3zb1zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762cvarza7f2cinfoza72429za7,
		BGl_z62cvarzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2volatilezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2430z00,
		BGl_z62reshapedzd2localzd2volatilezd2setz12za2zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2effectzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2431z00,
		BGl_z62internzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2funcallzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2funcal2432z00,
		BGl_z62makezd2funcallzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_scnstzf2Cinfozd2nodezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762scnstza7f2cinfo2433z00,
		BGl_z62scnstzf2Cinfozd2nodez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2conditionalzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2condit2434z00,
		BGl_z62makezd2conditionalzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2failsafezd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2435z00,
		BGl_z62internzd2sfunzf2Cinfozd2failsafez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2436z00,
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22437za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2loczd2envz00zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22438za7,
		BGl_z62prezd2makezd2boxzd2loczb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2439z00,
		BGl_z62patchzf2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2itemzd2typezd2envz20zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2440z00,
		BGl_z62switchzf2Cinfozd2itemzd2typez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2lostzd2stampzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762approxza7d2lost2441z00,
		BGl_z62approxzd2lostzd2stampz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozf3zd2envz01zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2442z00,
		BGl_z62externzd2sfunzf2Cinfozf3zb1zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2443z00,
		BGl_z62conditionalzf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2keyzd2envz00zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22444za7,
		BGl_z62prezd2makezd2boxzd2keyzb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setqzf2Cinfozd2valuezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setqza7f2cinfoza72445za7,
		BGl_z62setqzf2Cinfozd2valuez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2retescapezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72446za7,
		BGl_z62cfunzf2Cinfozd2argszd2retescapezd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2keyzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2447z00,
		BGl_z62conditionalzf2Cinfozd2keyz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22448za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762jumpza7d2exza7d2i2449za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setza7d2exza7d2it2450za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2nodezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2nodeza72451za7,
		BGl_z62kwotezf2nodezd2nodez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2stackzd2allocatorzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72452za7,
		BGl_z62cfunzf2Cinfozd2stackzd2allocatorzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2bodyzd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2453z00,
		BGl_z62externzd2sfunzf2Cinfozd2bodyz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2stackzd2allocatorzd2envz20zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72454za7,
		BGl_z62cfunzf2Cinfozd2stackzd2allocatorz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2typezd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22455za7,
		BGl_z62makezd2boxzf2Cinfozd2typez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2valuezd2setz12zd2envzf2zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72456z00,
		BGl_z62boxzd2setz12zf2Cinfozd2valuezd2setz12z42zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2importzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2457z00,
		BGl_z62reshapedzd2globalzd2importz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2458z00,
		BGl_z62funcallzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2vtypezd2envz20zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2459za7,
		BGl_z62boxzd2refzf2Cinfozd2vtypez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2approxzd2envz20zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2460za7,
		BGl_z62boxzd2refzf2Cinfozd2approxz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2srczd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2461z00,
		BGl_z62reshapedzd2globalzd2srczd2setz12za2zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2thezd2closurezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72462za7,
		BGl_z62cfunzf2Cinfozd2thezd2closurezd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2testzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2463z00,
		BGl_z62conditionalzf2Cinfozd2testz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2namezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2464z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2namez42zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2msgzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762failza7f2cinfoza72465za7,
		BGl_z62failzf2Cinfozd2msgzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_kwotezf2nodezd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2nodeza72466za7,
		BGl_z62kwotezf2nodezd2typezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2467z00,
		BGl_z62funcallzf2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2namezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2468z00,
		BGl_z62reshapedzd2globalzd2namezd2setz12za2zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2topzf3zd2setz12zd2envz33zzcfa_approxz00,
		BgL_bgl_za762approxza7d2topza72469za7,
		BGl_z62approxzd2topzf3zd2setz12z83zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2470za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2keyzd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762nodeza7d2keyza7d22471za7,
		BGl_z62nodezd2keyzd2setz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2472z00,
		BGl_z62externzd2sfunzf2Cinfozd2argsz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2bodyzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setza7d2exza7d2it2473za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2bodyz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2474z00,
		BGl_z62switchzf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2vtypezd2setz12zd2envzf2zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72475z00,
		BGl_z62boxzd2setz12zf2Cinfozd2vtypezd2setz12z42zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12zd2envz20zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72476z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12z90zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2keyzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2477z00,
		BGl_z62switchzf2Cinfozd2keyz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2libraryzd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2478z00,
		BGl_z62reshapedzd2globalzd2libraryzd2setz12za2zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2stampzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762svarza7f2cinfoza72479za7,
		BGl_z62svarzf2Cinfozd2stampzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762setza7d2exza7d2it2480za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2stackablezd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22481za7,
		BGl_z62prezd2makezd2boxzd2stackablezd2setz12z70zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2482z00,
		BGl_z62switchzf2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2stackablezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22483za7,
		BGl_z62makezd2boxzf2Cinfozd2stackablezd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2484z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22485za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762jumpza7d2exza7d2i2486za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2valuez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2makezd2boxzf2Ozd2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2makeza7d2487za7,
		BGl_z62makezd2makezd2boxzf2Ozd2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2jumpzd2exzd2itzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2jumpza7d2488za7,
		BGl_z62makezd2jumpzd2exzd2itzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2sidezd2effectzd2envz20zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2489z00,
		BGl_z62conditionalzf2Cinfozd2sidezd2effectz90zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2sidezd2effectzd2envz20zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22490z00,
		BGl_z62genpatchidzf2Cinfozd2sidezd2effectz90zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setqzf2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762setqza7f2cinfoza72491za7,
		BGl_z62setqzf2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d22492za7,
		BGl_z62getzd2nodezd2atomzd2value1585zb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2removablezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2493z00,
		BGl_z62reshapedzd2localzd2removablezd2setz12za2zzcfa_approxz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzcfa_approxz00,
		BgL_bgl_za762shapeza7d2appro2494z00,
		BGl_z62shapezd2approx1584zb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2kwotezf2nodezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2kwoteza72495za7,
		BGl_z62makezd2kwotezf2nodez42zzcfa_approxz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762literalza7f2cin2496z00,
		BGl_z62literalzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2initzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2497z00,
		BGl_z62reshapedzd2globalzd2initz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d22498za7,
		BGl_z62getzd2nodezd2atomzd2valuezd21589z62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emptyzd2approxzd2alloczf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762emptyza7d2appro2499z00,
		BGl_z62emptyzd2approxzd2alloczf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2indexzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2500z00,
		BGl_z62patchzf2Cinfozd2indexzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d22501za7,
		BGl_z62getzd2nodezd2atomzd2valuezd21591z62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2varzd2setz12zd2envzf2zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72502z00,
		BGl_z62boxzd2setz12zf2Cinfozd2varzd2setz12z42zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozf3zd2envz01zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22503za7,
		BGl_z62makezd2boxzf2Cinfozf3zb1zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2topzf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2504z00,
		BGl_z62internzd2sfunzf2Cinfozd2topzf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2argzd2envz20zzcfa_approxz00,
		BgL_bgl_za762appza7d2lyza7f2ci2505za7,
		BGl_z62appzd2lyzf2Cinfozd2argz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22506za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2noescapezd2envz20zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72507za7,
		BGl_z62cfunzf2Cinfozd2argszd2noescapez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2retescapezd2envz20zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72508za7,
		BGl_z62cfunzf2Cinfozd2argszd2retescapez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2vazd2approxzd2envz20zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2509z00,
		BGl_z62funcallzf2Cinfozd2vazd2approxz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2removablezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2510z00,
		BGl_z62reshapedzd2localzd2removablez62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2envze0zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72511z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varz50zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2clozd2envzd2loczd2envz00zzcfa_approxz00,
		BgL_bgl_za762preza7d2cloza7d2e2512za7,
		BGl_z62prezd2clozd2envzd2loczb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2typezd2approxzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2typeza7d2513za7,
		BGl_z62makezd2typezd2approxz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2refzf2Ozd2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7d22514za7,
		BGl_z62makezd2boxzd2refzf2Ozd2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2envz20zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2515za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_approxz00, 0L, BUNSPEC,
		1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762approxza7f3za791za72516z00, BGl_z62approxzf3z91zzcfa_approxz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2nilzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2517z00,
		BGl_z62reshapedzd2globalzd2nilz62zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22518za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2evaluablezf3zd2setz12zd2envze1zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2519z00,
		BGl_z62reshapedzd2globalzd2evaluablezf3zd2setz12z51zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2loczd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2520z00,
		BGl_z62internzd2sfunzf2Cinfozd2locz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2setzd2exzd2itzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2setza7d22521za7,
		BGl_z62makezd2setzd2exzd2itzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2nodeza72522za7,
		BGl_z62kwotezf2nodezd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2occurrencewzd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2523z00,
		BGl_z62reshapedzd2localzd2occurrencewzd2setz12za2zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2loczd2envz32zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72524z00,
		BGl_z62boxzd2setz12zf2Cinfozd2locz82zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2bodyzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2525z00,
		BGl_z62internzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2526z00,
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2527z00,
		BGl_z62conditionalzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2jvmzd2typezd2namezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2528z00,
		BGl_z62reshapedzd2globalzd2jvmzd2typezd2namezd2setz12za2zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2typezd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762approxza7d2type2529z00,
		BGl_z62approxzd2typezd2setz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2vtypezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2530za7,
		BGl_z62boxzd2refzf2Cinfozd2vtypezd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_scnstzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762scnstza7f2cinfo2531z00,
		BGl_z62scnstzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2effectzd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2532z00,
		BGl_z62externzd2sfunzf2Cinfozd2effectz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2refzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2533z00,
		BGl_z62patchzf2Cinfozd2refz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2haszd2procedurezf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762approxza7d2hasza72534za7,
		BGl_z62approxzd2haszd2procedurezf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2classzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2535z00,
		BGl_z62externzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2loczd2envz20zzcfa_approxz00,
		BgL_bgl_za762appza7d2lyza7f2ci2536za7,
		BGl_z62appzd2lyzf2Cinfozd2locz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2envz01zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2537z00,
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zb1zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2setzd2typez12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762approxza7d2setza72538za7,
		BGl_z62approxzd2setzd2typez12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2propertyzd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2539z00,
		BGl_z62internzd2sfunzf2Cinfozd2propertyz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2pragmazd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2540z00,
		BGl_z62reshapedzd2globalzd2pragmaz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2valzd2noescapezd2envz00zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2541z00,
		BGl_z62reshapedzd2localzd2valzd2noescapezb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12zd2envzc1zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2542z00,
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z71zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2jvmzd2typezd2namezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2543z00,
		BGl_z62reshapedzd2globalzd2jvmzd2typezd2namez62zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2functionszd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2544z00,
		BGl_z62funcallzf2Cinfozd2functionszd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762scnstza7f2cinfo2545z00,
		BGl_z62scnstzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2546z00,
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2valuezd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22547za7,
		BGl_z62prezd2makezd2boxzd2valuezd2setz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2methodzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72548za7,
		BGl_z62cfunzf2Cinfozd2methodzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2549z00,
		BGl_z62patchzf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2typezd2envz20zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2550za7,
		BGl_z62boxzd2refzf2Cinfozd2typez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_scnstzf2Cinfozd2classzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762scnstza7f2cinfo2551z00,
		BGl_z62scnstzf2Cinfozd2classzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2evaluablezf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2552z00,
		BGl_z62reshapedzd2globalzd2evaluablezf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2prezd2clozd2envzd2envz00zzcfa_approxz00,
		BgL_bgl_za762makeza7d2preza7d22553za7,
		BGl_z62makezd2prezd2clozd2envzb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2literalzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2litera2554z00,
		BGl_z62makezd2literalzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozf3zd2envz01zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2555z00,
		BGl_z62internzd2sfunzf2Cinfozf3zb1zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2sidezd2effectzd2envz20zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72556za7,
		BGl_z62cfunzf2Cinfozd2sidezd2effectz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2allocszd2envz00zzcfa_approxz00,
		BgL_bgl_za762approxza7d2allo2557z00,
		BGl_z62approxzd2allocszb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2vtypezd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22558za7,
		BGl_z62prezd2makezd2boxzd2vtypezd2setz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stampzd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2559z00,
		BGl_z62internzd2sfunzf2Cinfozd2stampz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2namezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2560z00,
		BGl_z62reshapedzd2localzd2namezd2setz12za2zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2topzf3zd2setz12zd2envz13zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2561z00,
		BGl_z62internzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2cinfo2562z00,
		BGl_z62kwotezf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2topzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762approxza7d2topza72563za7,
		BGl_z62approxzd2topzf3z43zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2564z00,
		BGl_z62conditionalzf2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2loczd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2565z00,
		BGl_z62externzd2sfunzf2Cinfozd2locz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2indexzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2566z00,
		BGl_z62patchzf2Cinfozd2indexz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2approxzd2envz20zzcfa_approxz00,
		BgL_bgl_za762appza7d2lyza7f2ci2567za7,
		BGl_z62appzd2lyzf2Cinfozd2approxz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762scnstza7f2cinfo2568z00,
		BGl_z62scnstzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22569za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2srczd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2570z00,
		BGl_z62reshapedzd2globalzd2srcz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2loczd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2571z00,
		BGl_z62externzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2accesszd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2572z00,
		BGl_z62reshapedzd2localzd2accessz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2typezd2setz12zd2envzf2zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72573z00,
		BGl_z62boxzd2setz12zf2Cinfozd2typezd2setz12z42zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2exprza2zd2envz50zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22574z00,
		BGl_z62genpatchidzf2Cinfozd2exprza2ze0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2envze0zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72575z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typez50zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2libraryzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2576z00,
		BGl_z62reshapedzd2globalzd2libraryz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2stampzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762svarza7f2cinfoza72577za7,
		BGl_z62svarzf2Cinfozd2stampz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2578z00,
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2nilzd2envz20zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2579za7,
		BGl_z62boxzd2refzf2Cinfozd2nilz90zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2propertyzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2580z00,
		BGl_z62internzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2effectzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22581z00,
		BGl_z62genpatchidzf2Cinfozd2effectzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2582z00,
		BGl_z62funcallzf2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762literalza7f2cin2583z00,
		BGl_z62literalzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2fastzd2alphazd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2584z00,
		BGl_z62reshapedzd2globalzd2fastzd2alphazd2setz12z70zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2prezd2makezd2boxzd2envz00zzcfa_approxz00,
		BgL_bgl_za762makeza7d2preza7d22585za7,
		BGl_z62makezd2prezd2makezd2boxzb0zzcfa_approxz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2occurrencezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2586z00,
		BGl_z62reshapedzd2globalzd2occurrencezd2setz12za2zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2stackablezd2envz00zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22587za7,
		BGl_z62prezd2makezd2boxzd2stackablezb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2588z00,
		BGl_z62switchzf2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2classzd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2589z00,
		BGl_z62externzd2sfunzf2Cinfozd2classz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2590z00,
		BGl_z62funcallzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2591z00,
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2typezd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22592za7,
		BGl_z62prezd2makezd2boxzd2typezd2setz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2valuezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2593z00,
		BGl_z62reshapedzd2globalzd2valuez62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2594z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2onexitzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setza7d2exza7d2it2595za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2onexitz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2makezd2boxzf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22596za7,
		BGl_z62prezd2makezd2boxzf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2propertyzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2597z00,
		BGl_z62externzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2strengthzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2598z00,
		BGl_z62internzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2sidezd2effectzd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22599za7,
		BGl_z62prezd2makezd2boxzd2sidezd2effectzd2setz12za2zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stackablezd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2600z00,
		BGl_z62internzd2sfunzf2Cinfozd2stackablez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2kwotezf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2kwoteza72601za7,
		BGl_z62makezd2kwotezf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2typezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2602z00,
		BGl_z62reshapedzd2globalzd2typezd2setz12za2zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_kwotezf2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2cinfo2603z00,
		BGl_z62kwotezf2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2nilzd2envz00zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22604za7,
		BGl_z62prezd2makezd2boxzd2nilzb0zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2topzf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2605z00,
		BGl_z62externzd2sfunzf2Cinfozd2topzf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2loczd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22606za7,
		BGl_z62makezd2boxzf2Cinfozd2locz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setqzf2Cinfozd2valuezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762setqza7f2cinfoza72607za7,
		BGl_z62setqzf2Cinfozd2valuezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12zd2envz20zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72608z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12z90zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2609z00,
		BGl_z62conditionalzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2keyzd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22610za7,
		BGl_z62makezd2boxzf2Cinfozd2keyz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2vtypezd2envz00zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22611za7,
		BGl_z62prezd2makezd2boxzd2vtypezb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72612za7,
		BGl_z62cfunzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22613z00,
		BGl_z62genpatchidzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2failsafezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2614z00,
		BGl_z62internzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2evalzf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2615z00,
		BGl_z62reshapedzd2globalzd2evalzf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2616z00,
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozf3zd2envz01zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2c2617za7,
		BGl_z62boxzd2refzf2Cinfozf3zb1zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2strengthzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2618z00,
		BGl_z62externzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2indexzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22619z00,
		BGl_z62genpatchidzf2Cinfozd2indexzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762conditionalza7f2620z00,
		BGl_z62conditionalzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2621za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12zd2envz20zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72622z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12z90zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2refzf2Cinfozd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7d22623za7,
		BGl_z62makezd2boxzd2refzf2Cinfoz90zzcfa_approxz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2approxzd2setsz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762declareza7d2app2624z00,
		BGl_z62declarezd2approxzd2setsz12z70zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2loczd2envze0zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72625z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2locz50zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2varzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setqza7f2cinfoza72626za7,
		BGl_z62setqzf2Cinfozd2varz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2userzf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2627z00,
		BGl_z62reshapedzd2globalzd2userzf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762failza7f2cinfoza72628za7,
		BGl_z62failzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2aliaszd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2629z00,
		BGl_z62reshapedzd2globalzd2aliaszd2setz12za2zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2loczd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762svarza7f2cinfoza72630za7,
		BGl_z62svarzf2Cinfozd2loczd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2failsafezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2631z00,
		BGl_z62externzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2632z00,
		BGl_z62switchzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22633za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablez42zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2initzd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2634z00,
		BGl_z62reshapedzd2globalzd2initzd2setz12za2zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2clauseszd2envzf2zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2635z00,
		BGl_z62switchzf2Cinfozd2clausesz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762jumpza7d2exza7d2i2636za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2exitz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22637za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762jumpza7d2exza7d2i2638za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2639z00,
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2funzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762funcallza7f2cin2640z00,
		BGl_z62funcallzf2Cinfozd2funz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2641z00,
		BGl_z62patchzf2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2accesszd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2642z00,
		BGl_z62reshapedzd2localzd2accesszd2setz12za2zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2effectzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72643za7,
		BGl_z62cfunzf2Cinfozd2effectzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762failza7f2cinfoza72644za7,
		BGl_z62failzf2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2dupzd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762approxza7d2dupza72645za7,
		BGl_z62approxzd2dupzd2setz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_scnstzf2Cinfozd2classzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762scnstza7f2cinfo2646z00,
		BGl_z62scnstzf2Cinfozd2classz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_kwotezf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2cinfo2647z00,
		BGl_z62kwotezf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72648za7,
		BGl_z62cfunzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2argzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762appza7d2lyza7f2ci2649za7,
		BGl_z62appzd2lyzf2Cinfozd2argzd2setz12z50zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zd2envz13zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2650z00,
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22651za7,
		BGl_z62makezd2boxzf2Cinfozd2sidezd2effectz42zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2typezd2envz20zzcfa_approxz00,
		BgL_bgl_za762appza7d2lyza7f2ci2652za7,
		BGl_z62appzd2lyzf2Cinfozd2typez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_forzd2eachzd2approxzd2alloczd2envz00zzcfa_approxz00,
		BgL_bgl_za762forza7d2eachza7d22653za7,
		BGl_z62forzd2eachzd2approxzd2alloczb0zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762jumpza7d2exza7d2i2654za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2exitzd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2valuezd2envz00zzcfa_approxz00,
		BgL_bgl_za762preza7d2makeza7d22655za7,
		BGl_z62prezd2makezd2boxzd2valuezb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2handlerzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762sexitza7f2cinfo2656z00,
		BGl_z62sexitzf2Cinfozd2handlerz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2namezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2657z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2namez42zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2accesszd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2658z00,
		BGl_z62reshapedzd2globalzd2accesszd2setz12za2zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2keyzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22659z00,
		BGl_z62genpatchidzf2Cinfozd2keyzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unionzd2approxz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762unionza7d2appro2660z00,
		BGl_z62unionzd2approxz12za2zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2classzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2661z00,
		BGl_z62internzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cfunzf2Cinfozd2envzf2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2cfunza7f2662za7,
		BGl_z62makezd2cfunzf2Cinfoz42zzcfa_approxz00, 0L, BUNSPEC, 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2clozd2envzd2nilzd2envz00zzcfa_approxz00,
		BgL_bgl_za762preza7d2cloza7d2e2663za7,
		BGl_z62prezd2clozd2envzd2nilzb0zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2indexzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22664z00,
		BGl_z62genpatchidzf2Cinfozd2indexz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72665za7,
		BGl_z62cfunzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22666z00,
		BGl_z62genpatchidzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762failza7f2cinfoza72667za7,
		BGl_z62failzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762failza7f2cinfoza72668za7,
		BGl_z62failzf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2nilzd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2669z00,
		BGl_z62internzd2sfunzf2Cinfozd2nilz90zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2removablezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2670z00,
		BGl_z62reshapedzd2globalzd2removablezd2setz12za2zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2nodeza72671za7,
		BGl_z62kwotezf2nodezd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2nilzd2envz32zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72672z00,
		BGl_z62boxzd2setz12zf2Cinfozd2nilz82zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2occurrencewzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2673z00,
		BGl_z62reshapedzd2localzd2occurrencewz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2namezd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2674z00,
		BGl_z62reshapedzd2localzd2namez62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2strengthzd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2675z00,
		BGl_z62internzd2sfunzf2Cinfozd2strengthz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2approxzd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22676za7,
		BGl_z62makezd2boxzf2Cinfozd2approxz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2emptyzd2approxzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2emptyza72677za7,
		BGl_z62makezd2emptyzd2approxz62zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762genpatchidza7f22678z00,
		BGl_z62genpatchidzf2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2approxzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setza7d2exza7d2it2679za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2approxz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2typezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762setqza7f2cinfoza72680za7,
		BGl_z62setqzf2Cinfozd2typez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2valuezd2envzf2zzcfa_approxz00,
		BgL_bgl_za762literalza7f2cin2681z00,
		BGl_z62literalzf2Cinfozd2valuez42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2bindingzd2valuezd2envz00zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2682z00,
		BGl_z62reshapedzd2localzd2bindingzd2valuezb0zzcfa_approxz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2nilzd2envz20zzcfa_approxz00,
		BgL_bgl_za762appza7d2lyza7f2ci2683za7,
		BGl_z62appzd2lyzf2Cinfozd2nilz90zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2typezd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2684z00,
		BGl_z62reshapedzd2localzd2typezd2setz12za2zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2envzf2zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2685z00,
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2occurrencewzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2686z00,
		BGl_z62reshapedzd2globalzd2occurrencewz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2varzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762boxza7d2refza7f2o2687za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2varz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2typezd2alloczd2approxzd2envz00zzcfa_approxz00,
		BgL_bgl_za762makeza7d2typeza7d2688za7,
		BGl_z62makezd2typezd2alloczd2approxzb0zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2689z00,
		BGl_z62switchzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2690z00,
		BGl_z62switchzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2loczd2envzf2zzcfa_approxz00,
		BgL_bgl_za762literalza7f2cin2691z00,
		BGl_z62literalzf2Cinfozd2locz42zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2692z00,
		BGl_z62patchzf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2693z00,
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2approxzd2envze0zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72694z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2approxz50zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2695z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2696z00,
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_approxz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2nilzd2envz00zzcfa_approxz00,
		BgL_bgl_za762approxza7d2nilza72697za7,
		BGl_z62approxzd2nilzb0zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_structzd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762structza7d2appr2698z00,
		BGl_z62structzd2approxzf3z43zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_kwotezf2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2cinfo2699z00,
		BGl_z62kwotezf2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2reshapedzd2globalzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2reshap2700z00,
		BGl_z62makezd2reshapedzd2globalz62zzcfa_approxz00, 0L, BUNSPEC, 20);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2keyzd2envz00zzcfa_approxz00,
		BgL_bgl_za762nodeza7d2keyza7b02701za7, BGl_z62nodezd2keyzb0zzcfa_approxz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2approxzd2envz20zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2702z00,
		BGl_z62internzd2sfunzf2Cinfozd2approxz90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762internza7d2sfun2703z00,
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_approxz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2topzf3zd2setz12zd2envzc1zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72704za7,
		BGl_z62cfunzf2Cinfozd2topzf3zd2setz12z71zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2stackablezd2envz20zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22705za7,
		BGl_z62makezd2boxzf2Cinfozd2stackablez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12zd2envz20zzcfa_approxz00,
		BgL_bgl_za762boxza7d2setza712za72706z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12z90zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2clozd2envzd2loczd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762preza7d2cloza7d2e2707za7,
		BGl_z62prezd2clozd2envzd2loczd2setz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22708za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxzd2setz12z82zzcfa_approxz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2handlerzd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762sexitza7f2cinfo2709z00,
		BGl_z62sexitzf2Cinfozd2handlerzd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozd2nilzd2envzf2zzcfa_approxz00,
		BgL_bgl_za762kwoteza7f2cinfo2710z00,
		BGl_z62kwotezf2Cinfozd2nilz42zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2fastzd2alphazd2envz00zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2gl2711z00,
		BGl_z62reshapedzd2globalzd2fastzd2alphazb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozf3zd2envzd3zzcfa_approxz00,
		BgL_bgl_za762svarza7f2cinfoza72712za7,
		BGl_z62svarzf2Cinfozf3z63zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2typezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762makeza7d2boxza7f22713za7,
		BGl_z62makezd2boxzf2Cinfozd2typezd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2thezd2closurezd2envz20zzcfa_approxz00,
		BgL_bgl_za762cfunza7f2cinfoza72714za7,
		BGl_z62cfunzf2Cinfozd2thezd2closurez90zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2nilzd2envz20zzcfa_approxz00,
		BgL_bgl_za762externza7d2sfun2715z00,
		BGl_z62externzd2sfunzf2Cinfozd2nilz90zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzf2Cinfozf3zd2envz01zzcfa_approxz00,
		BgL_bgl_za762appza7d2lyza7f2ci2716za7,
		BGl_z62appzd2lyzf2Cinfozf3zb1zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2valuezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762patchza7f2cinfo2717z00,
		BGl_z62patchzf2Cinfozd2valuezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2typezd2setz12zd2envz32zzcfa_approxz00,
		BgL_bgl_za762literalza7f2cin2718z00,
		BGl_z62literalzf2Cinfozd2typezd2setz12z82zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2itemzd2typezd2setz12zd2envze0zzcfa_approxz00,
		BgL_bgl_za762switchza7f2cinf2719z00,
		BGl_z62switchzf2Cinfozd2itemzd2typezd2setz12z50zzcfa_approxz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2lostzd2stampzd2setz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762approxza7d2lost2720z00,
		BGl_z62approxzd2lostzd2stampzd2setz12za2zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reshapedzd2localzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762reshapedza7d2lo2721z00,
		BGl_z62reshapedzd2localzf3z43zzcfa_approxz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_approxz00));
		     ADD_ROOT((void *) (&BGl_za2alloczd2setza2zd2zzcfa_approxz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long
		BgL_checksumz00_9090, char *BgL_fromz00_9091)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_approxz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_approxz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_approxz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_approxz00();
					BGl_cnstzd2initzd2zzcfa_approxz00();
					BGl_importedzd2moduleszd2initz00zzcfa_approxz00();
					BGl_genericzd2initzd2zzcfa_approxz00();
					BGl_methodzd2initzd2zzcfa_approxz00();
					return BGl_toplevelzd2initzd2zzcfa_approxz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_approxz00(void)
	{
		{	/* Cfa/approx.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_approx");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_approxz00(void)
	{
		{	/* Cfa/approx.scm 15 */
			{	/* Cfa/approx.scm 15 */
				obj_t BgL_cportz00_8404;

				{	/* Cfa/approx.scm 15 */
					obj_t BgL_stringz00_8411;

					BgL_stringz00_8411 = BGl_string2169z00zzcfa_approxz00;
					{	/* Cfa/approx.scm 15 */
						obj_t BgL_startz00_8412;

						BgL_startz00_8412 = BINT(((long) 0));
						{	/* Cfa/approx.scm 15 */
							obj_t BgL_endz00_8413;

							BgL_endz00_8413 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_8411)));
							{	/* Cfa/approx.scm 15 */

								BgL_cportz00_8404 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_8411, BgL_startz00_8412, BgL_endz00_8413);
				}}}}
				{
					long BgL_iz00_8405;

					BgL_iz00_8405 = ((long) 6);
				BgL_loopz00_8406:
					if ((BgL_iz00_8405 == ((long) -1)))
						{	/* Cfa/approx.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/approx.scm 15 */
							{	/* Cfa/approx.scm 15 */
								obj_t BgL_arg2170z00_8407;

								{	/* Cfa/approx.scm 15 */

									{	/* Cfa/approx.scm 15 */
										obj_t BgL_locationz00_8409;

										BgL_locationz00_8409 = BBOOL(((bool_t) 0));
										{	/* Cfa/approx.scm 15 */

											BgL_arg2170z00_8407 =
												BGl_readz00zz__readerz00(BgL_cportz00_8404,
												BgL_locationz00_8409);
										}
									}
								}
								{	/* Cfa/approx.scm 15 */
									int BgL_tmpz00_9124;

									BgL_tmpz00_9124 = (int) (BgL_iz00_8405);
									CNST_TABLE_SET(BgL_tmpz00_9124, BgL_arg2170z00_8407);
							}}
							{	/* Cfa/approx.scm 15 */
								int BgL_auxz00_8410;

								BgL_auxz00_8410 = (int) ((BgL_iz00_8405 - ((long) 1)));
								{
									long BgL_iz00_9129;

									BgL_iz00_9129 = (long) (BgL_auxz00_8410);
									BgL_iz00_8405 = BgL_iz00_9129;
									goto BgL_loopz00_8406;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_approxz00(void)
	{
		{	/* Cfa/approx.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_approxz00(void)
	{
		{	/* Cfa/approx.scm 15 */
			BGl_za2alloczd2setza2zd2zzcfa_approxz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* make-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2approxzd2zzcfa_approxz00(BgL_typez00_bglt BgL_type1821z00_23,
		bool_t BgL_typezd2lockedzf31822z21_24, obj_t BgL_allocs1823z00_25,
		bool_t BgL_topzf31824zf3_26, long BgL_lostzd2stamp1825zd2_27,
		obj_t BgL_dup1826z00_28, bool_t BgL_haszd2procedurezf31827z21_29)
	{
		{	/* Cfa/cinfo.sch 661 */
			{	/* Cfa/cinfo.sch 661 */
				BgL_approxz00_bglt BgL_new1177z00_8415;

				{	/* Cfa/cinfo.sch 661 */
					BgL_approxz00_bglt BgL_new1176z00_8416;

					BgL_new1176z00_8416 =
						((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_approxz00_bgl))));
					{	/* Cfa/cinfo.sch 661 */
						long BgL_arg1645z00_8417;

						BgL_arg1645z00_8417 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1176z00_8416), BgL_arg1645z00_8417);
					}
					BgL_new1177z00_8415 = BgL_new1176z00_8416;
				}
				((((BgL_approxz00_bglt) COBJECT(BgL_new1177z00_8415))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1821z00_23), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1177z00_8415))->
						BgL_typezd2lockedzf3z21) =
					((bool_t) BgL_typezd2lockedzf31822z21_24), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1177z00_8415))->BgL_allocsz00) =
					((obj_t) BgL_allocs1823z00_25), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1177z00_8415))->BgL_topzf3zf3) =
					((bool_t) BgL_topzf31824zf3_26), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1177z00_8415))->
						BgL_lostzd2stampzd2) =
					((long) BgL_lostzd2stamp1825zd2_27), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1177z00_8415))->BgL_dupz00) =
					((obj_t) BgL_dup1826z00_28), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1177z00_8415))->
						BgL_haszd2procedurezf3z21) =
					((bool_t) BgL_haszd2procedurezf31827z21_29), BUNSPEC);
				return BgL_new1177z00_8415;
			}
		}

	}



/* &make-approx */
	BgL_approxz00_bglt BGl_z62makezd2approxzb0zzcfa_approxz00(obj_t
		BgL_envz00_6918, obj_t BgL_type1821z00_6919,
		obj_t BgL_typezd2lockedzf31822z21_6920, obj_t BgL_allocs1823z00_6921,
		obj_t BgL_topzf31824zf3_6922, obj_t BgL_lostzd2stamp1825zd2_6923,
		obj_t BgL_dup1826z00_6924, obj_t BgL_haszd2procedurezf31827z21_6925)
	{
		{	/* Cfa/cinfo.sch 661 */
			return
				BGl_makezd2approxzd2zzcfa_approxz00(
				((BgL_typez00_bglt) BgL_type1821z00_6919),
				CBOOL(BgL_typezd2lockedzf31822z21_6920), BgL_allocs1823z00_6921,
				CBOOL(BgL_topzf31824zf3_6922),
				(long) CINT(BgL_lostzd2stamp1825zd2_6923), BgL_dup1826z00_6924,
				CBOOL(BgL_haszd2procedurezf31827z21_6925));
		}

	}



/* approx? */
	BGL_EXPORTED_DEF bool_t BGl_approxzf3zf3zzcfa_approxz00(obj_t BgL_objz00_30)
	{
		{	/* Cfa/cinfo.sch 662 */
			{	/* Cfa/cinfo.sch 662 */
				obj_t BgL_classz00_8418;

				BgL_classz00_8418 = BGl_approxz00zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_30))
					{	/* Cfa/cinfo.sch 662 */
						BgL_objectz00_bglt BgL_arg1820z00_8419;

						BgL_arg1820z00_8419 = (BgL_objectz00_bglt) (BgL_objz00_30);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 662 */
								long BgL_idxz00_8420;

								BgL_idxz00_8420 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8419);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8420 + ((long) 1))) == BgL_classz00_8418);
							}
						else
							{	/* Cfa/cinfo.sch 662 */
								bool_t BgL_res2104z00_8423;

								{	/* Cfa/cinfo.sch 662 */
									obj_t BgL_oclassz00_8424;

									{	/* Cfa/cinfo.sch 662 */
										long BgL_arg1828z00_8425;

										{	/* Cfa/cinfo.sch 662 */
											long BgL_arg1829z00_8426;

											BgL_arg1829z00_8426 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8419);
											BgL_arg1828z00_8425 = (BgL_arg1829z00_8426 - OBJECT_TYPE);
										}
										BgL_oclassz00_8424 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8425);
									}
									{	/* Cfa/cinfo.sch 662 */
										bool_t BgL__ortest_1111z00_8427;

										BgL__ortest_1111z00_8427 =
											(BgL_classz00_8418 == BgL_oclassz00_8424);
										if (BgL__ortest_1111z00_8427)
											{	/* Cfa/cinfo.sch 662 */
												BgL_res2104z00_8423 = BgL__ortest_1111z00_8427;
											}
										else
											{	/* Cfa/cinfo.sch 662 */
												long BgL_odepthz00_8428;

												BgL_odepthz00_8428 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8424);
												if ((((long) 1) < BgL_odepthz00_8428))
													{	/* Cfa/cinfo.sch 662 */
														obj_t BgL_arg1816z00_8429;

														BgL_arg1816z00_8429 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8424,
															((long) 1));
														BgL_res2104z00_8423 =
															(BgL_arg1816z00_8429 == BgL_classz00_8418);
													}
												else
													{	/* Cfa/cinfo.sch 662 */
														BgL_res2104z00_8423 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2104z00_8423;
							}
					}
				else
					{	/* Cfa/cinfo.sch 662 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &approx? */
	obj_t BGl_z62approxzf3z91zzcfa_approxz00(obj_t BgL_envz00_6926,
		obj_t BgL_objz00_6927)
	{
		{	/* Cfa/cinfo.sch 662 */
			return BBOOL(BGl_approxzf3zf3zzcfa_approxz00(BgL_objz00_6927));
		}

	}



/* approx-nil */
	BGL_EXPORTED_DEF BgL_approxz00_bglt BGl_approxzd2nilzd2zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 663 */
			{	/* Cfa/cinfo.sch 663 */
				obj_t BgL_classz00_4666;

				BgL_classz00_4666 = BGl_approxz00zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 663 */
					obj_t BgL__ortest_1113z00_4667;

					BgL__ortest_1113z00_4667 = BGL_CLASS_NIL(BgL_classz00_4666);
					if (CBOOL(BgL__ortest_1113z00_4667))
						{	/* Cfa/cinfo.sch 663 */
							return ((BgL_approxz00_bglt) BgL__ortest_1113z00_4667);
						}
					else
						{	/* Cfa/cinfo.sch 663 */
							return
								((BgL_approxz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4666));
						}
				}
			}
		}

	}



/* &approx-nil */
	BgL_approxz00_bglt BGl_z62approxzd2nilzb0zzcfa_approxz00(obj_t
		BgL_envz00_6928)
	{
		{	/* Cfa/cinfo.sch 663 */
			return BGl_approxzd2nilzd2zzcfa_approxz00();
		}

	}



/* approx-has-procedure? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2haszd2procedurezf3zf3zzcfa_approxz00(BgL_approxz00_bglt
		BgL_oz00_31)
	{
		{	/* Cfa/cinfo.sch 664 */
			return
				(((BgL_approxz00_bglt) COBJECT(BgL_oz00_31))->
				BgL_haszd2procedurezf3z21);
		}

	}



/* &approx-has-procedure? */
	obj_t BGl_z62approxzd2haszd2procedurezf3z91zzcfa_approxz00(obj_t
		BgL_envz00_6929, obj_t BgL_oz00_6930)
	{
		{	/* Cfa/cinfo.sch 664 */
			return
				BBOOL(BGl_approxzd2haszd2procedurezf3zf3zzcfa_approxz00(
					((BgL_approxz00_bglt) BgL_oz00_6930)));
		}

	}



/* approx-has-procedure?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2haszd2procedurezf3zd2setz12z33zzcfa_approxz00
		(BgL_approxz00_bglt BgL_oz00_32, bool_t BgL_vz00_33)
	{
		{	/* Cfa/cinfo.sch 665 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_32))->
					BgL_haszd2procedurezf3z21) = ((bool_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &approx-has-procedure?-set! */
	obj_t BGl_z62approxzd2haszd2procedurezf3zd2setz12z51zzcfa_approxz00(obj_t
		BgL_envz00_6931, obj_t BgL_oz00_6932, obj_t BgL_vz00_6933)
	{
		{	/* Cfa/cinfo.sch 665 */
			return
				BGl_approxzd2haszd2procedurezf3zd2setz12z33zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_oz00_6932), CBOOL(BgL_vz00_6933));
		}

	}



/* approx-dup */
	BGL_EXPORTED_DEF obj_t BGl_approxzd2dupzd2zzcfa_approxz00(BgL_approxz00_bglt
		BgL_oz00_34)
	{
		{	/* Cfa/cinfo.sch 666 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_34))->BgL_dupz00);
		}

	}



/* &approx-dup */
	obj_t BGl_z62approxzd2dupzb0zzcfa_approxz00(obj_t BgL_envz00_6934,
		obj_t BgL_oz00_6935)
	{
		{	/* Cfa/cinfo.sch 666 */
			return
				BGl_approxzd2dupzd2zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_oz00_6935));
		}

	}



/* approx-dup-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2dupzd2setz12z12zzcfa_approxz00(BgL_approxz00_bglt BgL_oz00_35,
		obj_t BgL_vz00_36)
	{
		{	/* Cfa/cinfo.sch 667 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_35))->BgL_dupz00) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &approx-dup-set! */
	obj_t BGl_z62approxzd2dupzd2setz12z70zzcfa_approxz00(obj_t BgL_envz00_6936,
		obj_t BgL_oz00_6937, obj_t BgL_vz00_6938)
	{
		{	/* Cfa/cinfo.sch 667 */
			return
				BGl_approxzd2dupzd2setz12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_oz00_6937), BgL_vz00_6938);
		}

	}



/* approx-lost-stamp */
	BGL_EXPORTED_DEF long
		BGl_approxzd2lostzd2stampz00zzcfa_approxz00(BgL_approxz00_bglt BgL_oz00_37)
	{
		{	/* Cfa/cinfo.sch 668 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_37))->BgL_lostzd2stampzd2);
		}

	}



/* &approx-lost-stamp */
	obj_t BGl_z62approxzd2lostzd2stampz62zzcfa_approxz00(obj_t BgL_envz00_6939,
		obj_t BgL_oz00_6940)
	{
		{	/* Cfa/cinfo.sch 668 */
			return
				BINT(BGl_approxzd2lostzd2stampz00zzcfa_approxz00(
					((BgL_approxz00_bglt) BgL_oz00_6940)));
		}

	}



/* approx-lost-stamp-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2lostzd2stampzd2setz12zc0zzcfa_approxz00(BgL_approxz00_bglt
		BgL_oz00_38, long BgL_vz00_39)
	{
		{	/* Cfa/cinfo.sch 669 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_38))->BgL_lostzd2stampzd2) =
				((long) BgL_vz00_39), BUNSPEC);
		}

	}



/* &approx-lost-stamp-set! */
	obj_t BGl_z62approxzd2lostzd2stampzd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_6941, obj_t BgL_oz00_6942, obj_t BgL_vz00_6943)
	{
		{	/* Cfa/cinfo.sch 669 */
			return
				BGl_approxzd2lostzd2stampzd2setz12zc0zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_oz00_6942), (long) CINT(BgL_vz00_6943));
		}

	}



/* approx-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2topzf3z21zzcfa_approxz00(BgL_approxz00_bglt BgL_oz00_40)
	{
		{	/* Cfa/cinfo.sch 670 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_40))->BgL_topzf3zf3);
		}

	}



/* &approx-top? */
	obj_t BGl_z62approxzd2topzf3z43zzcfa_approxz00(obj_t BgL_envz00_6944,
		obj_t BgL_oz00_6945)
	{
		{	/* Cfa/cinfo.sch 670 */
			return
				BBOOL(BGl_approxzd2topzf3z21zzcfa_approxz00(
					((BgL_approxz00_bglt) BgL_oz00_6945)));
		}

	}



/* approx-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2topzf3zd2setz12ze1zzcfa_approxz00(BgL_approxz00_bglt
		BgL_oz00_41, bool_t BgL_vz00_42)
	{
		{	/* Cfa/cinfo.sch 671 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_41))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_42), BUNSPEC);
		}

	}



/* &approx-top?-set! */
	obj_t BGl_z62approxzd2topzf3zd2setz12z83zzcfa_approxz00(obj_t BgL_envz00_6946,
		obj_t BgL_oz00_6947, obj_t BgL_vz00_6948)
	{
		{	/* Cfa/cinfo.sch 671 */
			return
				BGl_approxzd2topzf3zd2setz12ze1zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_oz00_6947), CBOOL(BgL_vz00_6948));
		}

	}



/* approx-allocs */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2allocszd2zzcfa_approxz00(BgL_approxz00_bglt BgL_oz00_43)
	{
		{	/* Cfa/cinfo.sch 672 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_43))->BgL_allocsz00);
		}

	}



/* &approx-allocs */
	obj_t BGl_z62approxzd2allocszb0zzcfa_approxz00(obj_t BgL_envz00_6949,
		obj_t BgL_oz00_6950)
	{
		{	/* Cfa/cinfo.sch 672 */
			return
				BGl_approxzd2allocszd2zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_oz00_6950));
		}

	}



/* approx-type-locked? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2typezd2lockedzf3zf3zzcfa_approxz00(BgL_approxz00_bglt
		BgL_oz00_46)
	{
		{	/* Cfa/cinfo.sch 674 */
			return
				(((BgL_approxz00_bglt) COBJECT(BgL_oz00_46))->BgL_typezd2lockedzf3z21);
		}

	}



/* &approx-type-locked? */
	obj_t BGl_z62approxzd2typezd2lockedzf3z91zzcfa_approxz00(obj_t
		BgL_envz00_6951, obj_t BgL_oz00_6952)
	{
		{	/* Cfa/cinfo.sch 674 */
			return
				BBOOL(BGl_approxzd2typezd2lockedzf3zf3zzcfa_approxz00(
					((BgL_approxz00_bglt) BgL_oz00_6952)));
		}

	}



/* approx-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_approxzd2typezd2zzcfa_approxz00(BgL_approxz00_bglt BgL_oz00_49)
	{
		{	/* Cfa/cinfo.sch 676 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_49))->BgL_typez00);
		}

	}



/* &approx-type */
	BgL_typez00_bglt BGl_z62approxzd2typezb0zzcfa_approxz00(obj_t BgL_envz00_6953,
		obj_t BgL_oz00_6954)
	{
		{	/* Cfa/cinfo.sch 676 */
			return
				BGl_approxzd2typezd2zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_oz00_6954));
		}

	}



/* approx-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2typezd2setz12z12zzcfa_approxz00(BgL_approxz00_bglt BgL_oz00_50,
		BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* Cfa/cinfo.sch 677 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_50))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &approx-type-set! */
	obj_t BGl_z62approxzd2typezd2setz12z70zzcfa_approxz00(obj_t BgL_envz00_6955,
		obj_t BgL_oz00_6956, obj_t BgL_vz00_6957)
	{
		{	/* Cfa/cinfo.sch 677 */
			return
				BGl_approxzd2typezd2setz12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_oz00_6956),
				((BgL_typez00_bglt) BgL_vz00_6957));
		}

	}



/* make-cfun/Cinfo */
	BGL_EXPORTED_DEF BgL_cfunz00_bglt
		BGl_makezd2cfunzf2Cinfoz20zzcfa_approxz00(long BgL_arity1805z00_52,
		obj_t BgL_sidezd2effect1806zd2_53, obj_t BgL_predicatezd2of1807zd2_54,
		obj_t BgL_stackzd2allocator1808zd2_55, bool_t BgL_topzf31809zf3_56,
		obj_t BgL_thezd2closure1810zd2_57, obj_t BgL_effect1811z00_58,
		obj_t BgL_failsafe1812z00_59, obj_t BgL_argszd2noescape1813zd2_60,
		obj_t BgL_argszd2retescape1814zd2_61, obj_t BgL_argszd2type1815zd2_62,
		bool_t BgL_macrozf31816zf3_63, bool_t BgL_infixzf31817zf3_64,
		obj_t BgL_method1818z00_65, BgL_approxz00_bglt BgL_approx1819z00_66)
	{
		{	/* Cfa/cinfo.sch 680 */
			{	/* Cfa/cinfo.sch 680 */
				BgL_cfunz00_bglt BgL_new1182z00_8430;

				{	/* Cfa/cinfo.sch 680 */
					BgL_cfunz00_bglt BgL_tmp1180z00_8431;
					BgL_cfunzf2cinfozf2_bglt BgL_wide1181z00_8432;

					{
						BgL_cfunz00_bglt BgL_auxz00_9221;

						{	/* Cfa/cinfo.sch 680 */
							BgL_cfunz00_bglt BgL_new1179z00_8433;

							BgL_new1179z00_8433 =
								((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_cfunz00_bgl))));
							{	/* Cfa/cinfo.sch 680 */
								long BgL_arg1648z00_8434;

								BgL_arg1648z00_8434 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1179z00_8433),
									BgL_arg1648z00_8434);
							}
							{	/* Cfa/cinfo.sch 680 */
								BgL_objectz00_bglt BgL_tmpz00_9226;

								BgL_tmpz00_9226 = ((BgL_objectz00_bglt) BgL_new1179z00_8433);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9226, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1179z00_8433);
							BgL_auxz00_9221 = BgL_new1179z00_8433;
						}
						BgL_tmp1180z00_8431 = ((BgL_cfunz00_bglt) BgL_auxz00_9221);
					}
					BgL_wide1181z00_8432 =
						((BgL_cfunzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cfunzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 680 */
						obj_t BgL_auxz00_9234;
						BgL_objectz00_bglt BgL_tmpz00_9232;

						BgL_auxz00_9234 = ((obj_t) BgL_wide1181z00_8432);
						BgL_tmpz00_9232 = ((BgL_objectz00_bglt) BgL_tmp1180z00_8431);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9232, BgL_auxz00_9234);
					}
					((BgL_objectz00_bglt) BgL_tmp1180z00_8431);
					{	/* Cfa/cinfo.sch 680 */
						long BgL_arg1646z00_8435;

						BgL_arg1646z00_8435 =
							BGL_CLASS_NUM(BGl_cfunzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1180z00_8431), BgL_arg1646z00_8435);
					}
					BgL_new1182z00_8430 = ((BgL_cfunz00_bglt) BgL_tmp1180z00_8431);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1182z00_8430)))->BgL_arityz00) =
					((long) BgL_arity1805z00_52), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1182z00_8430)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1806zd2_53), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1182z00_8430)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1807zd2_54), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1182z00_8430)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1808zd2_55), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1182z00_8430)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31809zf3_56), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1182z00_8430)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1810zd2_57), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1182z00_8430)))->
						BgL_effectz00) = ((obj_t) BgL_effect1811z00_58), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1182z00_8430)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1812z00_59), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1182z00_8430)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1813zd2_60), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1182z00_8430)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1814zd2_61), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1182z00_8430)))->BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1815zd2_62), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1182z00_8430)))->BgL_macrozf3zf3) =
					((bool_t) BgL_macrozf31816zf3_63), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1182z00_8430)))->BgL_infixzf3zf3) =
					((bool_t) BgL_infixzf31817zf3_64), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1182z00_8430)))->BgL_methodz00) =
					((obj_t) BgL_method1818z00_65), BUNSPEC);
				{
					BgL_cfunzf2cinfozf2_bglt BgL_auxz00_9270;

					{
						obj_t BgL_auxz00_9271;

						{	/* Cfa/cinfo.sch 680 */
							BgL_objectz00_bglt BgL_tmpz00_9272;

							BgL_tmpz00_9272 = ((BgL_objectz00_bglt) BgL_new1182z00_8430);
							BgL_auxz00_9271 = BGL_OBJECT_WIDENING(BgL_tmpz00_9272);
						}
						BgL_auxz00_9270 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_9271);
					}
					((((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_9270))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1819z00_66), BUNSPEC);
				}
				return BgL_new1182z00_8430;
			}
		}

	}



/* &make-cfun/Cinfo */
	BgL_cfunz00_bglt BGl_z62makezd2cfunzf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_6958, obj_t BgL_arity1805z00_6959,
		obj_t BgL_sidezd2effect1806zd2_6960, obj_t BgL_predicatezd2of1807zd2_6961,
		obj_t BgL_stackzd2allocator1808zd2_6962, obj_t BgL_topzf31809zf3_6963,
		obj_t BgL_thezd2closure1810zd2_6964, obj_t BgL_effect1811z00_6965,
		obj_t BgL_failsafe1812z00_6966, obj_t BgL_argszd2noescape1813zd2_6967,
		obj_t BgL_argszd2retescape1814zd2_6968, obj_t BgL_argszd2type1815zd2_6969,
		obj_t BgL_macrozf31816zf3_6970, obj_t BgL_infixzf31817zf3_6971,
		obj_t BgL_method1818z00_6972, obj_t BgL_approx1819z00_6973)
	{
		{	/* Cfa/cinfo.sch 680 */
			return
				BGl_makezd2cfunzf2Cinfoz20zzcfa_approxz00(
				(long) CINT(BgL_arity1805z00_6959), BgL_sidezd2effect1806zd2_6960,
				BgL_predicatezd2of1807zd2_6961, BgL_stackzd2allocator1808zd2_6962,
				CBOOL(BgL_topzf31809zf3_6963), BgL_thezd2closure1810zd2_6964,
				BgL_effect1811z00_6965, BgL_failsafe1812z00_6966,
				BgL_argszd2noescape1813zd2_6967, BgL_argszd2retescape1814zd2_6968,
				BgL_argszd2type1815zd2_6969, CBOOL(BgL_macrozf31816zf3_6970),
				CBOOL(BgL_infixzf31817zf3_6971), BgL_method1818z00_6972,
				((BgL_approxz00_bglt) BgL_approx1819z00_6973));
		}

	}



/* cfun/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_67)
	{
		{	/* Cfa/cinfo.sch 681 */
			{	/* Cfa/cinfo.sch 681 */
				obj_t BgL_classz00_8436;

				BgL_classz00_8436 = BGl_cfunzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_67))
					{	/* Cfa/cinfo.sch 681 */
						BgL_objectz00_bglt BgL_arg1820z00_8437;

						BgL_arg1820z00_8437 = (BgL_objectz00_bglt) (BgL_objz00_67);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 681 */
								long BgL_idxz00_8438;

								BgL_idxz00_8438 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8437);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8438 + ((long) 4))) == BgL_classz00_8436);
							}
						else
							{	/* Cfa/cinfo.sch 681 */
								bool_t BgL_res2105z00_8441;

								{	/* Cfa/cinfo.sch 681 */
									obj_t BgL_oclassz00_8442;

									{	/* Cfa/cinfo.sch 681 */
										long BgL_arg1828z00_8443;

										{	/* Cfa/cinfo.sch 681 */
											long BgL_arg1829z00_8444;

											BgL_arg1829z00_8444 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8437);
											BgL_arg1828z00_8443 = (BgL_arg1829z00_8444 - OBJECT_TYPE);
										}
										BgL_oclassz00_8442 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8443);
									}
									{	/* Cfa/cinfo.sch 681 */
										bool_t BgL__ortest_1111z00_8445;

										BgL__ortest_1111z00_8445 =
											(BgL_classz00_8436 == BgL_oclassz00_8442);
										if (BgL__ortest_1111z00_8445)
											{	/* Cfa/cinfo.sch 681 */
												BgL_res2105z00_8441 = BgL__ortest_1111z00_8445;
											}
										else
											{	/* Cfa/cinfo.sch 681 */
												long BgL_odepthz00_8446;

												BgL_odepthz00_8446 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8442);
												if ((((long) 4) < BgL_odepthz00_8446))
													{	/* Cfa/cinfo.sch 681 */
														obj_t BgL_arg1816z00_8447;

														BgL_arg1816z00_8447 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8442,
															((long) 4));
														BgL_res2105z00_8441 =
															(BgL_arg1816z00_8447 == BgL_classz00_8436);
													}
												else
													{	/* Cfa/cinfo.sch 681 */
														BgL_res2105z00_8441 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2105z00_8441;
							}
					}
				else
					{	/* Cfa/cinfo.sch 681 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cfun/Cinfo? */
	obj_t BGl_z62cfunzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_6974,
		obj_t BgL_objz00_6975)
	{
		{	/* Cfa/cinfo.sch 681 */
			return BBOOL(BGl_cfunzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_6975));
		}

	}



/* cfun/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_cfunz00_bglt
		BGl_cfunzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 682 */
			{	/* Cfa/cinfo.sch 682 */
				obj_t BgL_classz00_4714;

				BgL_classz00_4714 = BGl_cfunzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 682 */
					obj_t BgL__ortest_1113z00_4715;

					BgL__ortest_1113z00_4715 = BGL_CLASS_NIL(BgL_classz00_4714);
					if (CBOOL(BgL__ortest_1113z00_4715))
						{	/* Cfa/cinfo.sch 682 */
							return ((BgL_cfunz00_bglt) BgL__ortest_1113z00_4715);
						}
					else
						{	/* Cfa/cinfo.sch 682 */
							return
								((BgL_cfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4714));
						}
				}
			}
		}

	}



/* &cfun/Cinfo-nil */
	BgL_cfunz00_bglt BGl_z62cfunzf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_6976)
	{
		{	/* Cfa/cinfo.sch 682 */
			return BGl_cfunzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* cfun/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_cfunzf2Cinfozd2approxz20zzcfa_approxz00(BgL_cfunz00_bglt BgL_oz00_68)
	{
		{	/* Cfa/cinfo.sch 683 */
			{
				BgL_cfunzf2cinfozf2_bglt BgL_auxz00_9311;

				{
					obj_t BgL_auxz00_9312;

					{	/* Cfa/cinfo.sch 683 */
						BgL_objectz00_bglt BgL_tmpz00_9313;

						BgL_tmpz00_9313 = ((BgL_objectz00_bglt) BgL_oz00_68);
						BgL_auxz00_9312 = BGL_OBJECT_WIDENING(BgL_tmpz00_9313);
					}
					BgL_auxz00_9311 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_9312);
				}
				return
					(((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_9311))->
					BgL_approxz00);
			}
		}

	}



/* &cfun/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62cfunzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_6977, obj_t BgL_oz00_6978)
	{
		{	/* Cfa/cinfo.sch 683 */
			return
				BGl_cfunzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_6978));
		}

	}



/* cfun/Cinfo-method */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2methodz20zzcfa_approxz00(BgL_cfunz00_bglt BgL_oz00_71)
	{
		{	/* Cfa/cinfo.sch 685 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_71)))->BgL_methodz00);
		}

	}



/* &cfun/Cinfo-method */
	obj_t BGl_z62cfunzf2Cinfozd2methodz42zzcfa_approxz00(obj_t BgL_envz00_6979,
		obj_t BgL_oz00_6980)
	{
		{	/* Cfa/cinfo.sch 685 */
			return
				BGl_cfunzf2Cinfozd2methodz20zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_6980));
		}

	}



/* cfun/Cinfo-method-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2methodzd2setz12ze0zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_72, obj_t BgL_vz00_73)
	{
		{	/* Cfa/cinfo.sch 686 */
			return
				((((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_72)))->BgL_methodz00) =
				((obj_t) BgL_vz00_73), BUNSPEC);
		}

	}



/* &cfun/Cinfo-method-set! */
	obj_t BGl_z62cfunzf2Cinfozd2methodzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_6981, obj_t BgL_oz00_6982, obj_t BgL_vz00_6983)
	{
		{	/* Cfa/cinfo.sch 686 */
			return
				BGl_cfunzf2Cinfozd2methodzd2setz12ze0zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_6982), BgL_vz00_6983);
		}

	}



/* cfun/Cinfo-infix? */
	BGL_EXPORTED_DEF bool_t
		BGl_cfunzf2Cinfozd2infixzf3zd3zzcfa_approxz00(BgL_cfunz00_bglt BgL_oz00_74)
	{
		{	/* Cfa/cinfo.sch 687 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_74)))->BgL_infixzf3zf3);
		}

	}



/* &cfun/Cinfo-infix? */
	obj_t BGl_z62cfunzf2Cinfozd2infixzf3zb1zzcfa_approxz00(obj_t BgL_envz00_6984,
		obj_t BgL_oz00_6985)
	{
		{	/* Cfa/cinfo.sch 687 */
			return
				BBOOL(BGl_cfunzf2Cinfozd2infixzf3zd3zzcfa_approxz00(
					((BgL_cfunz00_bglt) BgL_oz00_6985)));
		}

	}



/* cfun/Cinfo-infix?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2infixzf3zd2setz12z13zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_75, bool_t BgL_vz00_76)
	{
		{	/* Cfa/cinfo.sch 688 */
			return
				((((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_75)))->BgL_infixzf3zf3) =
				((bool_t) BgL_vz00_76), BUNSPEC);
		}

	}



/* &cfun/Cinfo-infix?-set! */
	obj_t BGl_z62cfunzf2Cinfozd2infixzf3zd2setz12z71zzcfa_approxz00(obj_t
		BgL_envz00_6986, obj_t BgL_oz00_6987, obj_t BgL_vz00_6988)
	{
		{	/* Cfa/cinfo.sch 688 */
			return
				BGl_cfunzf2Cinfozd2infixzf3zd2setz12z13zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_6987), CBOOL(BgL_vz00_6988));
		}

	}



/* cfun/Cinfo-macro? */
	BGL_EXPORTED_DEF bool_t
		BGl_cfunzf2Cinfozd2macrozf3zd3zzcfa_approxz00(BgL_cfunz00_bglt BgL_oz00_77)
	{
		{	/* Cfa/cinfo.sch 689 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_77)))->BgL_macrozf3zf3);
		}

	}



/* &cfun/Cinfo-macro? */
	obj_t BGl_z62cfunzf2Cinfozd2macrozf3zb1zzcfa_approxz00(obj_t BgL_envz00_6989,
		obj_t BgL_oz00_6990)
	{
		{	/* Cfa/cinfo.sch 689 */
			return
				BBOOL(BGl_cfunzf2Cinfozd2macrozf3zd3zzcfa_approxz00(
					((BgL_cfunz00_bglt) BgL_oz00_6990)));
		}

	}



/* cfun/Cinfo-args-type */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2typezf2zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_80)
	{
		{	/* Cfa/cinfo.sch 691 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_80)))->BgL_argszd2typezd2);
		}

	}



/* &cfun/Cinfo-args-type */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2typez90zzcfa_approxz00(obj_t
		BgL_envz00_6991, obj_t BgL_oz00_6992)
	{
		{	/* Cfa/cinfo.sch 691 */
			return
				BGl_cfunzf2Cinfozd2argszd2typezf2zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_6992));
		}

	}



/* cfun/Cinfo-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2retescapezf2zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_83)
	{
		{	/* Cfa/cinfo.sch 693 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_83)))->BgL_argszd2retescapezd2);
		}

	}



/* &cfun/Cinfo-args-retescape */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2retescapez90zzcfa_approxz00(obj_t
		BgL_envz00_6993, obj_t BgL_oz00_6994)
	{
		{	/* Cfa/cinfo.sch 693 */
			return
				BGl_cfunzf2Cinfozd2argszd2retescapezf2zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_6994));
		}

	}



/* cfun/Cinfo-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2retescapezd2setz12z32zzcfa_approxz00
		(BgL_cfunz00_bglt BgL_oz00_84, obj_t BgL_vz00_85)
	{
		{	/* Cfa/cinfo.sch 694 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_84)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_85), BUNSPEC);
		}

	}



/* &cfun/Cinfo-args-retescape-set! */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2retescapezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_6995, obj_t BgL_oz00_6996, obj_t BgL_vz00_6997)
	{
		{	/* Cfa/cinfo.sch 694 */
			return
				BGl_cfunzf2Cinfozd2argszd2retescapezd2setz12z32zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_6996), BgL_vz00_6997);
		}

	}



/* cfun/Cinfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2noescapezf2zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_86)
	{
		{	/* Cfa/cinfo.sch 695 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_86)))->BgL_argszd2noescapezd2);
		}

	}



/* &cfun/Cinfo-args-noescape */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2noescapez90zzcfa_approxz00(obj_t
		BgL_envz00_6998, obj_t BgL_oz00_6999)
	{
		{	/* Cfa/cinfo.sch 695 */
			return
				BGl_cfunzf2Cinfozd2argszd2noescapezf2zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_6999));
		}

	}



/* cfun/Cinfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2noescapezd2setz12z32zzcfa_approxz00
		(BgL_cfunz00_bglt BgL_oz00_87, obj_t BgL_vz00_88)
	{
		{	/* Cfa/cinfo.sch 696 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_87)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_88), BUNSPEC);
		}

	}



/* &cfun/Cinfo-args-noescape-set! */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2noescapezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7000, obj_t BgL_oz00_7001, obj_t BgL_vz00_7002)
	{
		{	/* Cfa/cinfo.sch 696 */
			return
				BGl_cfunzf2Cinfozd2argszd2noescapezd2setz12z32zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7001), BgL_vz00_7002);
		}

	}



/* cfun/Cinfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2failsafez20zzcfa_approxz00(BgL_cfunz00_bglt BgL_oz00_89)
	{
		{	/* Cfa/cinfo.sch 697 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_89)))->BgL_failsafez00);
		}

	}



/* &cfun/Cinfo-failsafe */
	obj_t BGl_z62cfunzf2Cinfozd2failsafez42zzcfa_approxz00(obj_t BgL_envz00_7003,
		obj_t BgL_oz00_7004)
	{
		{	/* Cfa/cinfo.sch 697 */
			return
				BGl_cfunzf2Cinfozd2failsafez20zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7004));
		}

	}



/* cfun/Cinfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2failsafezd2setz12ze0zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_90, obj_t BgL_vz00_91)
	{
		{	/* Cfa/cinfo.sch 698 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_90)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_91), BUNSPEC);
		}

	}



/* &cfun/Cinfo-failsafe-set! */
	obj_t BGl_z62cfunzf2Cinfozd2failsafezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7005, obj_t BgL_oz00_7006, obj_t BgL_vz00_7007)
	{
		{	/* Cfa/cinfo.sch 698 */
			return
				BGl_cfunzf2Cinfozd2failsafezd2setz12ze0zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7006), BgL_vz00_7007);
		}

	}



/* cfun/Cinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2effectz20zzcfa_approxz00(BgL_cfunz00_bglt BgL_oz00_92)
	{
		{	/* Cfa/cinfo.sch 699 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_92)))->BgL_effectz00);
		}

	}



/* &cfun/Cinfo-effect */
	obj_t BGl_z62cfunzf2Cinfozd2effectz42zzcfa_approxz00(obj_t BgL_envz00_7008,
		obj_t BgL_oz00_7009)
	{
		{	/* Cfa/cinfo.sch 699 */
			return
				BGl_cfunzf2Cinfozd2effectz20zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7009));
		}

	}



/* cfun/Cinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2effectzd2setz12ze0zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_93, obj_t BgL_vz00_94)
	{
		{	/* Cfa/cinfo.sch 700 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_93)))->BgL_effectz00) =
				((obj_t) BgL_vz00_94), BUNSPEC);
		}

	}



/* &cfun/Cinfo-effect-set! */
	obj_t BGl_z62cfunzf2Cinfozd2effectzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7010, obj_t BgL_oz00_7011, obj_t BgL_vz00_7012)
	{
		{	/* Cfa/cinfo.sch 700 */
			return
				BGl_cfunzf2Cinfozd2effectzd2setz12ze0zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7011), BgL_vz00_7012);
		}

	}



/* cfun/Cinfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2thezd2closurezf2zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_95)
	{
		{	/* Cfa/cinfo.sch 701 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_95)))->BgL_thezd2closurezd2);
		}

	}



/* &cfun/Cinfo-the-closure */
	obj_t BGl_z62cfunzf2Cinfozd2thezd2closurez90zzcfa_approxz00(obj_t
		BgL_envz00_7013, obj_t BgL_oz00_7014)
	{
		{	/* Cfa/cinfo.sch 701 */
			return
				BGl_cfunzf2Cinfozd2thezd2closurezf2zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7014));
		}

	}



/* cfun/Cinfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2thezd2closurezd2setz12z32zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_96, obj_t BgL_vz00_97)
	{
		{	/* Cfa/cinfo.sch 702 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_96)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_97), BUNSPEC);
		}

	}



/* &cfun/Cinfo-the-closure-set! */
	obj_t BGl_z62cfunzf2Cinfozd2thezd2closurezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7015, obj_t BgL_oz00_7016, obj_t BgL_vz00_7017)
	{
		{	/* Cfa/cinfo.sch 702 */
			return
				BGl_cfunzf2Cinfozd2thezd2closurezd2setz12z32zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7016), BgL_vz00_7017);
		}

	}



/* cfun/Cinfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_cfunzf2Cinfozd2topzf3zd3zzcfa_approxz00(BgL_cfunz00_bglt BgL_oz00_98)
	{
		{	/* Cfa/cinfo.sch 703 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_98)))->BgL_topzf3zf3);
		}

	}



/* &cfun/Cinfo-top? */
	obj_t BGl_z62cfunzf2Cinfozd2topzf3zb1zzcfa_approxz00(obj_t BgL_envz00_7018,
		obj_t BgL_oz00_7019)
	{
		{	/* Cfa/cinfo.sch 703 */
			return
				BBOOL(BGl_cfunzf2Cinfozd2topzf3zd3zzcfa_approxz00(
					((BgL_cfunz00_bglt) BgL_oz00_7019)));
		}

	}



/* cfun/Cinfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2topzf3zd2setz12z13zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_99, bool_t BgL_vz00_100)
	{
		{	/* Cfa/cinfo.sch 704 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_99)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_100), BUNSPEC);
		}

	}



/* &cfun/Cinfo-top?-set! */
	obj_t BGl_z62cfunzf2Cinfozd2topzf3zd2setz12z71zzcfa_approxz00(obj_t
		BgL_envz00_7020, obj_t BgL_oz00_7021, obj_t BgL_vz00_7022)
	{
		{	/* Cfa/cinfo.sch 704 */
			return
				BGl_cfunzf2Cinfozd2topzf3zd2setz12z13zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7021), CBOOL(BgL_vz00_7022));
		}

	}



/* cfun/Cinfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2stackzd2allocatorzf2zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_101)
	{
		{	/* Cfa/cinfo.sch 705 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_101)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &cfun/Cinfo-stack-allocator */
	obj_t BGl_z62cfunzf2Cinfozd2stackzd2allocatorz90zzcfa_approxz00(obj_t
		BgL_envz00_7023, obj_t BgL_oz00_7024)
	{
		{	/* Cfa/cinfo.sch 705 */
			return
				BGl_cfunzf2Cinfozd2stackzd2allocatorzf2zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7024));
		}

	}



/* cfun/Cinfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2stackzd2allocatorzd2setz12z32zzcfa_approxz00
		(BgL_cfunz00_bglt BgL_oz00_102, obj_t BgL_vz00_103)
	{
		{	/* Cfa/cinfo.sch 706 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_102)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_103), BUNSPEC);
		}

	}



/* &cfun/Cinfo-stack-allocator-set! */
	obj_t BGl_z62cfunzf2Cinfozd2stackzd2allocatorzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7025, obj_t BgL_oz00_7026, obj_t BgL_vz00_7027)
	{
		{	/* Cfa/cinfo.sch 706 */
			return
				BGl_cfunzf2Cinfozd2stackzd2allocatorzd2setz12z32zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7026), BgL_vz00_7027);
		}

	}



/* cfun/Cinfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2predicatezd2ofzf2zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_104)
	{
		{	/* Cfa/cinfo.sch 707 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_104)))->BgL_predicatezd2ofzd2);
		}

	}



/* &cfun/Cinfo-predicate-of */
	obj_t BGl_z62cfunzf2Cinfozd2predicatezd2ofz90zzcfa_approxz00(obj_t
		BgL_envz00_7028, obj_t BgL_oz00_7029)
	{
		{	/* Cfa/cinfo.sch 707 */
			return
				BGl_cfunzf2Cinfozd2predicatezd2ofzf2zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7029));
		}

	}



/* cfun/Cinfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2predicatezd2ofzd2setz12z32zzcfa_approxz00
		(BgL_cfunz00_bglt BgL_oz00_105, obj_t BgL_vz00_106)
	{
		{	/* Cfa/cinfo.sch 708 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_105)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_106), BUNSPEC);
		}

	}



/* &cfun/Cinfo-predicate-of-set! */
	obj_t BGl_z62cfunzf2Cinfozd2predicatezd2ofzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7030, obj_t BgL_oz00_7031, obj_t BgL_vz00_7032)
	{
		{	/* Cfa/cinfo.sch 708 */
			return
				BGl_cfunzf2Cinfozd2predicatezd2ofzd2setz12z32zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7031), BgL_vz00_7032);
		}

	}



/* cfun/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2sidezd2effectzf2zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_107)
	{
		{	/* Cfa/cinfo.sch 709 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_107)))->BgL_sidezd2effectzd2);
		}

	}



/* &cfun/Cinfo-side-effect */
	obj_t BGl_z62cfunzf2Cinfozd2sidezd2effectz90zzcfa_approxz00(obj_t
		BgL_envz00_7033, obj_t BgL_oz00_7034)
	{
		{	/* Cfa/cinfo.sch 709 */
			return
				BGl_cfunzf2Cinfozd2sidezd2effectzf2zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7034));
		}

	}



/* cfun/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00(BgL_cfunz00_bglt
		BgL_oz00_108, obj_t BgL_vz00_109)
	{
		{	/* Cfa/cinfo.sch 710 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_108)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_109), BUNSPEC);
		}

	}



/* &cfun/Cinfo-side-effect-set! */
	obj_t BGl_z62cfunzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7035, obj_t BgL_oz00_7036, obj_t BgL_vz00_7037)
	{
		{	/* Cfa/cinfo.sch 710 */
			return
				BGl_cfunzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00(
				((BgL_cfunz00_bglt) BgL_oz00_7036), BgL_vz00_7037);
		}

	}



/* cfun/Cinfo-arity */
	BGL_EXPORTED_DEF long
		BGl_cfunzf2Cinfozd2arityz20zzcfa_approxz00(BgL_cfunz00_bglt BgL_oz00_110)
	{
		{	/* Cfa/cinfo.sch 711 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_110)))->BgL_arityz00);
		}

	}



/* &cfun/Cinfo-arity */
	obj_t BGl_z62cfunzf2Cinfozd2arityz42zzcfa_approxz00(obj_t BgL_envz00_7038,
		obj_t BgL_oz00_7039)
	{
		{	/* Cfa/cinfo.sch 711 */
			return
				BINT(BGl_cfunzf2Cinfozd2arityz20zzcfa_approxz00(
					((BgL_cfunz00_bglt) BgL_oz00_7039)));
		}

	}



/* make-extern-sfun/Cinfo */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_makezd2externzd2sfunzf2Cinfozf2zzcfa_approxz00(long
		BgL_arity1780z00_113, obj_t BgL_sidezd2effect1781zd2_114,
		obj_t BgL_predicatezd2of1782zd2_115, obj_t BgL_stackzd2allocator1783zd2_116,
		bool_t BgL_topzf31784zf3_117, obj_t BgL_thezd2closure1785zd2_118,
		obj_t BgL_effect1786z00_119, obj_t BgL_failsafe1787z00_120,
		obj_t BgL_argszd2noescape1788zd2_121, obj_t BgL_argszd2retescape1789zd2_122,
		obj_t BgL_property1790z00_123, obj_t BgL_args1791z00_124,
		obj_t BgL_argszd2name1792zd2_125, obj_t BgL_body1793z00_126,
		obj_t BgL_class1794z00_127, obj_t BgL_dssslzd2keywords1795zd2_128,
		obj_t BgL_loc1796z00_129, obj_t BgL_optionals1797z00_130,
		obj_t BgL_keys1798z00_131, obj_t BgL_thezd2closurezd2global1799z00_132,
		obj_t BgL_strength1800z00_133, obj_t BgL_stackable1801z00_134,
		bool_t BgL_polymorphiczf31802zf3_135,
		BgL_approxz00_bglt BgL_approx1803z00_136)
	{
		{	/* Cfa/cinfo.sch 715 */
			{	/* Cfa/cinfo.sch 715 */
				BgL_sfunz00_bglt BgL_new1187z00_8448;

				{	/* Cfa/cinfo.sch 715 */
					BgL_sfunz00_bglt BgL_tmp1185z00_8449;
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_wide1186z00_8450;

					{
						BgL_sfunz00_bglt BgL_auxz00_9426;

						{	/* Cfa/cinfo.sch 715 */
							BgL_sfunz00_bglt BgL_new1184z00_8451;

							BgL_new1184z00_8451 =
								((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Cfa/cinfo.sch 715 */
								long BgL_arg1652z00_8452;

								BgL_arg1652z00_8452 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1184z00_8451),
									BgL_arg1652z00_8452);
							}
							{	/* Cfa/cinfo.sch 715 */
								BgL_objectz00_bglt BgL_tmpz00_9431;

								BgL_tmpz00_9431 = ((BgL_objectz00_bglt) BgL_new1184z00_8451);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9431, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1184z00_8451);
							BgL_auxz00_9426 = BgL_new1184z00_8451;
						}
						BgL_tmp1185z00_8449 = ((BgL_sfunz00_bglt) BgL_auxz00_9426);
					}
					BgL_wide1186z00_8450 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_externzd2sfunzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 715 */
						obj_t BgL_auxz00_9439;
						BgL_objectz00_bglt BgL_tmpz00_9437;

						BgL_auxz00_9439 = ((obj_t) BgL_wide1186z00_8450);
						BgL_tmpz00_9437 = ((BgL_objectz00_bglt) BgL_tmp1185z00_8449);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9437, BgL_auxz00_9439);
					}
					((BgL_objectz00_bglt) BgL_tmp1185z00_8449);
					{	/* Cfa/cinfo.sch 715 */
						long BgL_arg1651z00_8453;

						BgL_arg1651z00_8453 =
							BGL_CLASS_NUM(BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1185z00_8449), BgL_arg1651z00_8453);
					}
					BgL_new1187z00_8448 = ((BgL_sfunz00_bglt) BgL_tmp1185z00_8449);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1187z00_8448)))->BgL_arityz00) =
					((long) BgL_arity1780z00_113), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1187z00_8448)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1781zd2_114), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1187z00_8448)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1782zd2_115), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1187z00_8448)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1783zd2_116), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1187z00_8448)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31784zf3_117), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1187z00_8448)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1785zd2_118), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1187z00_8448)))->
						BgL_effectz00) = ((obj_t) BgL_effect1786z00_119), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1187z00_8448)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1787z00_120), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1187z00_8448)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1788zd2_121), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1187z00_8448)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1789zd2_122), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1187z00_8448)))->BgL_propertyz00) =
					((obj_t) BgL_property1790z00_123), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1187z00_8448)))->BgL_argsz00) =
					((obj_t) BgL_args1791z00_124), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1187z00_8448)))->BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1792zd2_125), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1187z00_8448)))->BgL_bodyz00) =
					((obj_t) BgL_body1793z00_126), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1187z00_8448)))->BgL_classz00) =
					((obj_t) BgL_class1794z00_127), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1187z00_8448)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1795zd2_128), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1187z00_8448)))->BgL_locz00) =
					((obj_t) BgL_loc1796z00_129), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1187z00_8448)))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1797z00_130), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1187z00_8448)))->BgL_keysz00) =
					((obj_t) BgL_keys1798z00_131), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1187z00_8448)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1799z00_132), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1187z00_8448)))->BgL_strengthz00) =
					((obj_t) BgL_strength1800z00_133), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1187z00_8448)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1801z00_134), BUNSPEC);
				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_9491;

					{
						obj_t BgL_auxz00_9492;

						{	/* Cfa/cinfo.sch 715 */
							BgL_objectz00_bglt BgL_tmpz00_9493;

							BgL_tmpz00_9493 = ((BgL_objectz00_bglt) BgL_new1187z00_8448);
							BgL_auxz00_9492 = BGL_OBJECT_WIDENING(BgL_tmpz00_9493);
						}
						BgL_auxz00_9491 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9492);
					}
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9491))->
							BgL_polymorphiczf3zf3) =
						((bool_t) BgL_polymorphiczf31802zf3_135), BUNSPEC);
				}
				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_9498;

					{
						obj_t BgL_auxz00_9499;

						{	/* Cfa/cinfo.sch 715 */
							BgL_objectz00_bglt BgL_tmpz00_9500;

							BgL_tmpz00_9500 = ((BgL_objectz00_bglt) BgL_new1187z00_8448);
							BgL_auxz00_9499 = BGL_OBJECT_WIDENING(BgL_tmpz00_9500);
						}
						BgL_auxz00_9498 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9499);
					}
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9498))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1803z00_136), BUNSPEC);
				}
				return BgL_new1187z00_8448;
			}
		}

	}



/* &make-extern-sfun/Cinfo */
	BgL_sfunz00_bglt BGl_z62makezd2externzd2sfunzf2Cinfoz90zzcfa_approxz00(obj_t
		BgL_envz00_7040, obj_t BgL_arity1780z00_7041,
		obj_t BgL_sidezd2effect1781zd2_7042, obj_t BgL_predicatezd2of1782zd2_7043,
		obj_t BgL_stackzd2allocator1783zd2_7044, obj_t BgL_topzf31784zf3_7045,
		obj_t BgL_thezd2closure1785zd2_7046, obj_t BgL_effect1786z00_7047,
		obj_t BgL_failsafe1787z00_7048, obj_t BgL_argszd2noescape1788zd2_7049,
		obj_t BgL_argszd2retescape1789zd2_7050, obj_t BgL_property1790z00_7051,
		obj_t BgL_args1791z00_7052, obj_t BgL_argszd2name1792zd2_7053,
		obj_t BgL_body1793z00_7054, obj_t BgL_class1794z00_7055,
		obj_t BgL_dssslzd2keywords1795zd2_7056, obj_t BgL_loc1796z00_7057,
		obj_t BgL_optionals1797z00_7058, obj_t BgL_keys1798z00_7059,
		obj_t BgL_thezd2closurezd2global1799z00_7060,
		obj_t BgL_strength1800z00_7061, obj_t BgL_stackable1801z00_7062,
		obj_t BgL_polymorphiczf31802zf3_7063, obj_t BgL_approx1803z00_7064)
	{
		{	/* Cfa/cinfo.sch 715 */
			return
				BGl_makezd2externzd2sfunzf2Cinfozf2zzcfa_approxz00(
				(long) CINT(BgL_arity1780z00_7041), BgL_sidezd2effect1781zd2_7042,
				BgL_predicatezd2of1782zd2_7043, BgL_stackzd2allocator1783zd2_7044,
				CBOOL(BgL_topzf31784zf3_7045), BgL_thezd2closure1785zd2_7046,
				BgL_effect1786z00_7047, BgL_failsafe1787z00_7048,
				BgL_argszd2noescape1788zd2_7049, BgL_argszd2retescape1789zd2_7050,
				BgL_property1790z00_7051, BgL_args1791z00_7052,
				BgL_argszd2name1792zd2_7053, BgL_body1793z00_7054,
				BgL_class1794z00_7055, BgL_dssslzd2keywords1795zd2_7056,
				BgL_loc1796z00_7057, BgL_optionals1797z00_7058, BgL_keys1798z00_7059,
				BgL_thezd2closurezd2global1799z00_7060, BgL_strength1800z00_7061,
				BgL_stackable1801z00_7062, CBOOL(BgL_polymorphiczf31802zf3_7063),
				((BgL_approxz00_bglt) BgL_approx1803z00_7064));
		}

	}



/* extern-sfun/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_externzd2sfunzf2Cinfozf3zd3zzcfa_approxz00(obj_t
		BgL_objz00_137)
	{
		{	/* Cfa/cinfo.sch 716 */
			{	/* Cfa/cinfo.sch 716 */
				obj_t BgL_classz00_8454;

				BgL_classz00_8454 = BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_137))
					{	/* Cfa/cinfo.sch 716 */
						BgL_objectz00_bglt BgL_arg1820z00_8455;

						BgL_arg1820z00_8455 = (BgL_objectz00_bglt) (BgL_objz00_137);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 716 */
								long BgL_idxz00_8456;

								BgL_idxz00_8456 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8455);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8456 + ((long) 4))) == BgL_classz00_8454);
							}
						else
							{	/* Cfa/cinfo.sch 716 */
								bool_t BgL_res2106z00_8459;

								{	/* Cfa/cinfo.sch 716 */
									obj_t BgL_oclassz00_8460;

									{	/* Cfa/cinfo.sch 716 */
										long BgL_arg1828z00_8461;

										{	/* Cfa/cinfo.sch 716 */
											long BgL_arg1829z00_8462;

											BgL_arg1829z00_8462 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8455);
											BgL_arg1828z00_8461 = (BgL_arg1829z00_8462 - OBJECT_TYPE);
										}
										BgL_oclassz00_8460 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8461);
									}
									{	/* Cfa/cinfo.sch 716 */
										bool_t BgL__ortest_1111z00_8463;

										BgL__ortest_1111z00_8463 =
											(BgL_classz00_8454 == BgL_oclassz00_8460);
										if (BgL__ortest_1111z00_8463)
											{	/* Cfa/cinfo.sch 716 */
												BgL_res2106z00_8459 = BgL__ortest_1111z00_8463;
											}
										else
											{	/* Cfa/cinfo.sch 716 */
												long BgL_odepthz00_8464;

												BgL_odepthz00_8464 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8460);
												if ((((long) 4) < BgL_odepthz00_8464))
													{	/* Cfa/cinfo.sch 716 */
														obj_t BgL_arg1816z00_8465;

														BgL_arg1816z00_8465 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8460,
															((long) 4));
														BgL_res2106z00_8459 =
															(BgL_arg1816z00_8465 == BgL_classz00_8454);
													}
												else
													{	/* Cfa/cinfo.sch 716 */
														BgL_res2106z00_8459 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2106z00_8459;
							}
					}
				else
					{	/* Cfa/cinfo.sch 716 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &extern-sfun/Cinfo? */
	obj_t BGl_z62externzd2sfunzf2Cinfozf3zb1zzcfa_approxz00(obj_t BgL_envz00_7065,
		obj_t BgL_objz00_7066)
	{
		{	/* Cfa/cinfo.sch 716 */
			return
				BBOOL(BGl_externzd2sfunzf2Cinfozf3zd3zzcfa_approxz00(BgL_objz00_7066));
		}

	}



/* extern-sfun/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_externzd2sfunzf2Cinfozd2nilzf2zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 717 */
			{	/* Cfa/cinfo.sch 717 */
				obj_t BgL_classz00_4764;

				BgL_classz00_4764 = BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 717 */
					obj_t BgL__ortest_1113z00_4765;

					BgL__ortest_1113z00_4765 = BGL_CLASS_NIL(BgL_classz00_4764);
					if (CBOOL(BgL__ortest_1113z00_4765))
						{	/* Cfa/cinfo.sch 717 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1113z00_4765);
						}
					else
						{	/* Cfa/cinfo.sch 717 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4764));
						}
				}
			}
		}

	}



/* &extern-sfun/Cinfo-nil */
	BgL_sfunz00_bglt BGl_z62externzd2sfunzf2Cinfozd2nilz90zzcfa_approxz00(obj_t
		BgL_envz00_7067)
	{
		{	/* Cfa/cinfo.sch 717 */
			return BGl_externzd2sfunzf2Cinfozd2nilzf2zzcfa_approxz00();
		}

	}



/* extern-sfun/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_externzd2sfunzf2Cinfozd2approxzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_138)
	{
		{	/* Cfa/cinfo.sch 718 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_9538;

				{
					obj_t BgL_auxz00_9539;

					{	/* Cfa/cinfo.sch 718 */
						BgL_objectz00_bglt BgL_tmpz00_9540;

						BgL_tmpz00_9540 = ((BgL_objectz00_bglt) BgL_oz00_138);
						BgL_auxz00_9539 = BGL_OBJECT_WIDENING(BgL_tmpz00_9540);
					}
					BgL_auxz00_9538 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9539);
				}
				return
					(((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9538))->
					BgL_approxz00);
			}
		}

	}



/* &extern-sfun/Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62externzd2sfunzf2Cinfozd2approxz90zzcfa_approxz00(obj_t
		BgL_envz00_7068, obj_t BgL_oz00_7069)
	{
		{	/* Cfa/cinfo.sch 718 */
			return
				BGl_externzd2sfunzf2Cinfozd2approxzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7069));
		}

	}



/* extern-sfun/Cinfo-polymorphic? */
	BGL_EXPORTED_DEF bool_t
		BGl_externzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_141)
	{
		{	/* Cfa/cinfo.sch 720 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_9547;

				{
					obj_t BgL_auxz00_9548;

					{	/* Cfa/cinfo.sch 720 */
						BgL_objectz00_bglt BgL_tmpz00_9549;

						BgL_tmpz00_9549 = ((BgL_objectz00_bglt) BgL_oz00_141);
						BgL_auxz00_9548 = BGL_OBJECT_WIDENING(BgL_tmpz00_9549);
					}
					BgL_auxz00_9547 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9548);
				}
				return
					(((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9547))->
					BgL_polymorphiczf3zf3);
			}
		}

	}



/* &extern-sfun/Cinfo-polymorphic? */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_approxz00(obj_t
		BgL_envz00_7070, obj_t BgL_oz00_7071)
	{
		{	/* Cfa/cinfo.sch 720 */
			return
				BBOOL(BGl_externzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_approxz00(
					((BgL_sfunz00_bglt) BgL_oz00_7071)));
		}

	}



/* extern-sfun/Cinfo-polymorphic?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_142, bool_t BgL_vz00_143)
	{
		{	/* Cfa/cinfo.sch 721 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_9557;

				{
					obj_t BgL_auxz00_9558;

					{	/* Cfa/cinfo.sch 721 */
						BgL_objectz00_bglt BgL_tmpz00_9559;

						BgL_tmpz00_9559 = ((BgL_objectz00_bglt) BgL_oz00_142);
						BgL_auxz00_9558 = BGL_OBJECT_WIDENING(BgL_tmpz00_9559);
					}
					BgL_auxz00_9557 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9558);
				}
				return
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9557))->
						BgL_polymorphiczf3zf3) = ((bool_t) BgL_vz00_143), BUNSPEC);
			}
		}

	}



/* &extern-sfun/Cinfo-polymorphic?-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_approxz00
		(obj_t BgL_envz00_7072, obj_t BgL_oz00_7073, obj_t BgL_vz00_7074)
	{
		{	/* Cfa/cinfo.sch 721 */
			return
				BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7073), CBOOL(BgL_vz00_7074));
		}

	}



/* extern-sfun/Cinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2stackablezf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_144)
	{
		{	/* Cfa/cinfo.sch 722 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_144)))->BgL_stackablez00);
		}

	}



/* &extern-sfun/Cinfo-stackable */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2stackablez90zzcfa_approxz00(obj_t
		BgL_envz00_7075, obj_t BgL_oz00_7076)
	{
		{	/* Cfa/cinfo.sch 722 */
			return
				BGl_externzd2sfunzf2Cinfozd2stackablezf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7076));
		}

	}



/* extern-sfun/Cinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_145, obj_t BgL_vz00_146)
	{
		{	/* Cfa/cinfo.sch 723 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_145)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_146), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-stackable-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7077, obj_t BgL_oz00_7078, obj_t BgL_vz00_7079)
	{
		{	/* Cfa/cinfo.sch 723 */
			return
				BGl_externzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7078), BgL_vz00_7079);
		}

	}



/* extern-sfun/Cinfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2strengthzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_147)
	{
		{	/* Cfa/cinfo.sch 724 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_147)))->BgL_strengthz00);
		}

	}



/* &extern-sfun/Cinfo-strength */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2strengthz90zzcfa_approxz00(obj_t
		BgL_envz00_7080, obj_t BgL_oz00_7081)
	{
		{	/* Cfa/cinfo.sch 724 */
			return
				BGl_externzd2sfunzf2Cinfozd2strengthzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7081));
		}

	}



/* extern-sfun/Cinfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_148, obj_t BgL_vz00_149)
	{
		{	/* Cfa/cinfo.sch 725 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_148)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_149), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-strength-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7082, obj_t BgL_oz00_7083, obj_t BgL_vz00_7084)
	{
		{	/* Cfa/cinfo.sch 725 */
			return
				BGl_externzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7083), BgL_vz00_7084);
		}

	}



/* extern-sfun/Cinfo-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_150)
	{
		{	/* Cfa/cinfo.sch 726 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_150)))->BgL_thezd2closurezd2globalz00);
		}

	}



/* &extern-sfun/Cinfo-the-closure-global */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_approxz00
		(obj_t BgL_envz00_7085, obj_t BgL_oz00_7086)
	{
		{	/* Cfa/cinfo.sch 726 */
			return
				BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7086));
		}

	}



/* extern-sfun/Cinfo-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_151, obj_t BgL_vz00_152)
	{
		{	/* Cfa/cinfo.sch 727 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_151)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_152), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-the-closure-global-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_approxz00
		(obj_t BgL_envz00_7087, obj_t BgL_oz00_7088, obj_t BgL_vz00_7089)
	{
		{	/* Cfa/cinfo.sch 727 */
			return
				BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_approxz00
				(((BgL_sfunz00_bglt) BgL_oz00_7088), BgL_vz00_7089);
		}

	}



/* extern-sfun/Cinfo-keys */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2keyszf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_153)
	{
		{	/* Cfa/cinfo.sch 728 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_153)))->BgL_keysz00);
		}

	}



/* &extern-sfun/Cinfo-keys */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2keysz90zzcfa_approxz00(obj_t
		BgL_envz00_7090, obj_t BgL_oz00_7091)
	{
		{	/* Cfa/cinfo.sch 728 */
			return
				BGl_externzd2sfunzf2Cinfozd2keyszf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7091));
		}

	}



/* extern-sfun/Cinfo-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2optionalszf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_156)
	{
		{	/* Cfa/cinfo.sch 730 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_156)))->BgL_optionalsz00);
		}

	}



/* &extern-sfun/Cinfo-optionals */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2optionalsz90zzcfa_approxz00(obj_t
		BgL_envz00_7092, obj_t BgL_oz00_7093)
	{
		{	/* Cfa/cinfo.sch 730 */
			return
				BGl_externzd2sfunzf2Cinfozd2optionalszf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7093));
		}

	}



/* extern-sfun/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2loczf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_159)
	{
		{	/* Cfa/cinfo.sch 732 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_159)))->BgL_locz00);
		}

	}



/* &extern-sfun/Cinfo-loc */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2locz90zzcfa_approxz00(obj_t
		BgL_envz00_7094, obj_t BgL_oz00_7095)
	{
		{	/* Cfa/cinfo.sch 732 */
			return
				BGl_externzd2sfunzf2Cinfozd2loczf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7095));
		}

	}



/* extern-sfun/Cinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_160, obj_t BgL_vz00_161)
	{
		{	/* Cfa/cinfo.sch 733 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_160)))->BgL_locz00) =
				((obj_t) BgL_vz00_161), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-loc-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7096, obj_t BgL_oz00_7097, obj_t BgL_vz00_7098)
	{
		{	/* Cfa/cinfo.sch 733 */
			return
				BGl_externzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7097), BgL_vz00_7098);
		}

	}



/* extern-sfun/Cinfo-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_162)
	{
		{	/* Cfa/cinfo.sch 734 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_162)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &extern-sfun/Cinfo-dsssl-keywords */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_approxz00(obj_t
		BgL_envz00_7099, obj_t BgL_oz00_7100)
	{
		{	/* Cfa/cinfo.sch 734 */
			return
				BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7100));
		}

	}



/* extern-sfun/Cinfo-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_163, obj_t BgL_vz00_164)
	{
		{	/* Cfa/cinfo.sch 735 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_163)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_164), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-dsssl-keywords-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7101, obj_t BgL_oz00_7102, obj_t BgL_vz00_7103)
	{
		{	/* Cfa/cinfo.sch 735 */
			return
				BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7102), BgL_vz00_7103);
		}

	}



/* extern-sfun/Cinfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2classzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_165)
	{
		{	/* Cfa/cinfo.sch 736 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_165)))->BgL_classz00);
		}

	}



/* &extern-sfun/Cinfo-class */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2classz90zzcfa_approxz00(obj_t
		BgL_envz00_7104, obj_t BgL_oz00_7105)
	{
		{	/* Cfa/cinfo.sch 736 */
			return
				BGl_externzd2sfunzf2Cinfozd2classzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7105));
		}

	}



/* extern-sfun/Cinfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_166, obj_t BgL_vz00_167)
	{
		{	/* Cfa/cinfo.sch 737 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_166)))->BgL_classz00) =
				((obj_t) BgL_vz00_167), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-class-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7106, obj_t BgL_oz00_7107, obj_t BgL_vz00_7108)
	{
		{	/* Cfa/cinfo.sch 737 */
			return
				BGl_externzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7107), BgL_vz00_7108);
		}

	}



/* extern-sfun/Cinfo-body */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2bodyzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_168)
	{
		{	/* Cfa/cinfo.sch 738 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_168)))->BgL_bodyz00);
		}

	}



/* &extern-sfun/Cinfo-body */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2bodyz90zzcfa_approxz00(obj_t
		BgL_envz00_7109, obj_t BgL_oz00_7110)
	{
		{	/* Cfa/cinfo.sch 738 */
			return
				BGl_externzd2sfunzf2Cinfozd2bodyzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7110));
		}

	}



/* extern-sfun/Cinfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_169, obj_t BgL_vz00_170)
	{
		{	/* Cfa/cinfo.sch 739 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_169)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_170), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-body-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7111, obj_t BgL_oz00_7112, obj_t BgL_vz00_7113)
	{
		{	/* Cfa/cinfo.sch 739 */
			return
				BGl_externzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7112), BgL_vz00_7113);
		}

	}



/* extern-sfun/Cinfo-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2namez20zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_171)
	{
		{	/* Cfa/cinfo.sch 740 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_171)))->BgL_argszd2namezd2);
		}

	}



/* &extern-sfun/Cinfo-args-name */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2namez42zzcfa_approxz00(obj_t
		BgL_envz00_7114, obj_t BgL_oz00_7115)
	{
		{	/* Cfa/cinfo.sch 740 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2namez20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7115));
		}

	}



/* extern-sfun/Cinfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_174)
	{
		{	/* Cfa/cinfo.sch 742 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_174)))->BgL_argsz00);
		}

	}



/* &extern-sfun/Cinfo-args */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argsz90zzcfa_approxz00(obj_t
		BgL_envz00_7116, obj_t BgL_oz00_7117)
	{
		{	/* Cfa/cinfo.sch 742 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7117));
		}

	}



/* extern-sfun/Cinfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_175, obj_t BgL_vz00_176)
	{
		{	/* Cfa/cinfo.sch 743 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_175)))->BgL_argsz00) =
				((obj_t) BgL_vz00_176), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-args-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7118, obj_t BgL_oz00_7119, obj_t BgL_vz00_7120)
	{
		{	/* Cfa/cinfo.sch 743 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7119), BgL_vz00_7120);
		}

	}



/* extern-sfun/Cinfo-property */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2propertyzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_177)
	{
		{	/* Cfa/cinfo.sch 744 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_177)))->BgL_propertyz00);
		}

	}



/* &extern-sfun/Cinfo-property */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2propertyz90zzcfa_approxz00(obj_t
		BgL_envz00_7121, obj_t BgL_oz00_7122)
	{
		{	/* Cfa/cinfo.sch 744 */
			return
				BGl_externzd2sfunzf2Cinfozd2propertyzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7122));
		}

	}



/* extern-sfun/Cinfo-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_178, obj_t BgL_vz00_179)
	{
		{	/* Cfa/cinfo.sch 745 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_178)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_179), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-property-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7123, obj_t BgL_oz00_7124, obj_t BgL_vz00_7125)
	{
		{	/* Cfa/cinfo.sch 745 */
			return
				BGl_externzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7124), BgL_vz00_7125);
		}

	}



/* extern-sfun/Cinfo-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_180)
	{
		{	/* Cfa/cinfo.sch 746 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_180)))->BgL_argszd2retescapezd2);
		}

	}



/* &extern-sfun/Cinfo-args-retescape */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_approxz00(obj_t
		BgL_envz00_7126, obj_t BgL_oz00_7127)
	{
		{	/* Cfa/cinfo.sch 746 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7127));
		}

	}



/* extern-sfun/Cinfo-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_181, obj_t BgL_vz00_182)
	{
		{	/* Cfa/cinfo.sch 747 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_181)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_182), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-args-retescape-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7128, obj_t BgL_oz00_7129, obj_t BgL_vz00_7130)
	{
		{	/* Cfa/cinfo.sch 747 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7129), BgL_vz00_7130);
		}

	}



/* extern-sfun/Cinfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_183)
	{
		{	/* Cfa/cinfo.sch 748 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_183)))->BgL_argszd2noescapezd2);
		}

	}



/* &extern-sfun/Cinfo-args-noescape */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_approxz00(obj_t
		BgL_envz00_7131, obj_t BgL_oz00_7132)
	{
		{	/* Cfa/cinfo.sch 748 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7132));
		}

	}



/* extern-sfun/Cinfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_184, obj_t BgL_vz00_185)
	{
		{	/* Cfa/cinfo.sch 749 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_184)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_185), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-args-noescape-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7133, obj_t BgL_oz00_7134, obj_t BgL_vz00_7135)
	{
		{	/* Cfa/cinfo.sch 749 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7134), BgL_vz00_7135);
		}

	}



/* extern-sfun/Cinfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2failsafezf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_186)
	{
		{	/* Cfa/cinfo.sch 750 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_186)))->BgL_failsafez00);
		}

	}



/* &extern-sfun/Cinfo-failsafe */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2failsafez90zzcfa_approxz00(obj_t
		BgL_envz00_7136, obj_t BgL_oz00_7137)
	{
		{	/* Cfa/cinfo.sch 750 */
			return
				BGl_externzd2sfunzf2Cinfozd2failsafezf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7137));
		}

	}



/* extern-sfun/Cinfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_187, obj_t BgL_vz00_188)
	{
		{	/* Cfa/cinfo.sch 751 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_187)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_188), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-failsafe-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7138, obj_t BgL_oz00_7139, obj_t BgL_vz00_7140)
	{
		{	/* Cfa/cinfo.sch 751 */
			return
				BGl_externzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7139), BgL_vz00_7140);
		}

	}



/* extern-sfun/Cinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2effectzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_189)
	{
		{	/* Cfa/cinfo.sch 752 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_189)))->BgL_effectz00);
		}

	}



/* &extern-sfun/Cinfo-effect */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2effectz90zzcfa_approxz00(obj_t
		BgL_envz00_7141, obj_t BgL_oz00_7142)
	{
		{	/* Cfa/cinfo.sch 752 */
			return
				BGl_externzd2sfunzf2Cinfozd2effectzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7142));
		}

	}



/* extern-sfun/Cinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_190, obj_t BgL_vz00_191)
	{
		{	/* Cfa/cinfo.sch 753 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_190)))->BgL_effectz00) =
				((obj_t) BgL_vz00_191), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-effect-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7143, obj_t BgL_oz00_7144, obj_t BgL_vz00_7145)
	{
		{	/* Cfa/cinfo.sch 753 */
			return
				BGl_externzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7144), BgL_vz00_7145);
		}

	}



/* extern-sfun/Cinfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_192)
	{
		{	/* Cfa/cinfo.sch 754 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_192)))->BgL_thezd2closurezd2);
		}

	}



/* &extern-sfun/Cinfo-the-closure */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_approxz00(obj_t
		BgL_envz00_7146, obj_t BgL_oz00_7147)
	{
		{	/* Cfa/cinfo.sch 754 */
			return
				BGl_externzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7147));
		}

	}



/* extern-sfun/Cinfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_193, obj_t BgL_vz00_194)
	{
		{	/* Cfa/cinfo.sch 755 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_193)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_194), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-the-closure-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7148, obj_t BgL_oz00_7149, obj_t BgL_vz00_7150)
	{
		{	/* Cfa/cinfo.sch 755 */
			return
				BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7149), BgL_vz00_7150);
		}

	}



/* extern-sfun/Cinfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_externzd2sfunzf2Cinfozd2topzf3z01zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_195)
	{
		{	/* Cfa/cinfo.sch 756 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_195)))->BgL_topzf3zf3);
		}

	}



/* &extern-sfun/Cinfo-top? */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2topzf3z63zzcfa_approxz00(obj_t
		BgL_envz00_7151, obj_t BgL_oz00_7152)
	{
		{	/* Cfa/cinfo.sch 756 */
			return
				BBOOL(BGl_externzd2sfunzf2Cinfozd2topzf3z01zzcfa_approxz00(
					((BgL_sfunz00_bglt) BgL_oz00_7152)));
		}

	}



/* extern-sfun/Cinfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_196, bool_t BgL_vz00_197)
	{
		{	/* Cfa/cinfo.sch 757 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_196)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_197), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-top?-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_approxz00(obj_t
		BgL_envz00_7153, obj_t BgL_oz00_7154, obj_t BgL_vz00_7155)
	{
		{	/* Cfa/cinfo.sch 757 */
			return
				BGl_externzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7154), CBOOL(BgL_vz00_7155));
		}

	}



/* extern-sfun/Cinfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_198)
	{
		{	/* Cfa/cinfo.sch 758 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_198)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &extern-sfun/Cinfo-stack-allocator */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_approxz00(obj_t
		BgL_envz00_7156, obj_t BgL_oz00_7157)
	{
		{	/* Cfa/cinfo.sch 758 */
			return
				BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7157));
		}

	}



/* extern-sfun/Cinfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_199, obj_t BgL_vz00_200)
	{
		{	/* Cfa/cinfo.sch 759 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_199)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_200), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-stack-allocator-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7158, obj_t BgL_oz00_7159, obj_t BgL_vz00_7160)
	{
		{	/* Cfa/cinfo.sch 759 */
			return
				BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_approxz00
				(((BgL_sfunz00_bglt) BgL_oz00_7159), BgL_vz00_7160);
		}

	}



/* extern-sfun/Cinfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_201)
	{
		{	/* Cfa/cinfo.sch 760 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_201)))->BgL_predicatezd2ofzd2);
		}

	}



/* &extern-sfun/Cinfo-predicate-of */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_approxz00(obj_t
		BgL_envz00_7161, obj_t BgL_oz00_7162)
	{
		{	/* Cfa/cinfo.sch 760 */
			return
				BGl_externzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7162));
		}

	}



/* extern-sfun/Cinfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_202, obj_t BgL_vz00_203)
	{
		{	/* Cfa/cinfo.sch 761 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_202)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_203), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-predicate-of-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7163, obj_t BgL_oz00_7164, obj_t BgL_vz00_7165)
	{
		{	/* Cfa/cinfo.sch 761 */
			return
				BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7164), BgL_vz00_7165);
		}

	}



/* extern-sfun/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_204)
	{
		{	/* Cfa/cinfo.sch 762 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_204)))->BgL_sidezd2effectzd2);
		}

	}



/* &extern-sfun/Cinfo-side-effect */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_approxz00(obj_t
		BgL_envz00_7166, obj_t BgL_oz00_7167)
	{
		{	/* Cfa/cinfo.sch 762 */
			return
				BGl_externzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7167));
		}

	}



/* extern-sfun/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_205, obj_t BgL_vz00_206)
	{
		{	/* Cfa/cinfo.sch 763 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_205)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_206), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-side-effect-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7168, obj_t BgL_oz00_7169, obj_t BgL_vz00_7170)
	{
		{	/* Cfa/cinfo.sch 763 */
			return
				BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7169), BgL_vz00_7170);
		}

	}



/* extern-sfun/Cinfo-arity */
	BGL_EXPORTED_DEF long
		BGl_externzd2sfunzf2Cinfozd2arityzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_207)
	{
		{	/* Cfa/cinfo.sch 764 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_207)))->BgL_arityz00);
		}

	}



/* &extern-sfun/Cinfo-arity */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2arityz90zzcfa_approxz00(obj_t
		BgL_envz00_7171, obj_t BgL_oz00_7172)
	{
		{	/* Cfa/cinfo.sch 764 */
			return
				BINT(BGl_externzd2sfunzf2Cinfozd2arityzf2zzcfa_approxz00(
					((BgL_sfunz00_bglt) BgL_oz00_7172)));
		}

	}



/* make-intern-sfun/Cinfo */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_makezd2internzd2sfunzf2Cinfozf2zzcfa_approxz00(long
		BgL_arity1753z00_210, obj_t BgL_sidezd2effect1754zd2_211,
		obj_t BgL_predicatezd2of1755zd2_212, obj_t BgL_stackzd2allocator1756zd2_213,
		bool_t BgL_topzf31757zf3_214, obj_t BgL_thezd2closure1758zd2_215,
		obj_t BgL_effect1759z00_216, obj_t BgL_failsafe1760z00_217,
		obj_t BgL_argszd2noescape1761zd2_218, obj_t BgL_argszd2retescape1762zd2_219,
		obj_t BgL_property1763z00_220, obj_t BgL_args1764z00_221,
		obj_t BgL_argszd2name1765zd2_222, obj_t BgL_body1766z00_223,
		obj_t BgL_class1768z00_224, obj_t BgL_dssslzd2keywords1769zd2_225,
		obj_t BgL_loc1770z00_226, obj_t BgL_optionals1771z00_227,
		obj_t BgL_keys1772z00_228, obj_t BgL_thezd2closurezd2global1773z00_229,
		obj_t BgL_strength1774z00_230, obj_t BgL_stackable1775z00_231,
		bool_t BgL_polymorphiczf31776zf3_232,
		BgL_approxz00_bglt BgL_approx1777z00_233, long BgL_stamp1778z00_234)
	{
		{	/* Cfa/cinfo.sch 768 */
			{	/* Cfa/cinfo.sch 768 */
				BgL_sfunz00_bglt BgL_new1191z00_8466;

				{	/* Cfa/cinfo.sch 768 */
					BgL_sfunz00_bglt BgL_tmp1189z00_8467;
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_wide1190z00_8468;

					{
						BgL_sfunz00_bglt BgL_auxz00_9730;

						{	/* Cfa/cinfo.sch 768 */
							BgL_sfunz00_bglt BgL_new1188z00_8469;

							BgL_new1188z00_8469 =
								((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Cfa/cinfo.sch 768 */
								long BgL_arg1661z00_8470;

								BgL_arg1661z00_8470 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1188z00_8469),
									BgL_arg1661z00_8470);
							}
							{	/* Cfa/cinfo.sch 768 */
								BgL_objectz00_bglt BgL_tmpz00_9735;

								BgL_tmpz00_9735 = ((BgL_objectz00_bglt) BgL_new1188z00_8469);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9735, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1188z00_8469);
							BgL_auxz00_9730 = BgL_new1188z00_8469;
						}
						BgL_tmp1189z00_8467 = ((BgL_sfunz00_bglt) BgL_auxz00_9730);
					}
					BgL_wide1190z00_8468 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_internzd2sfunzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 768 */
						obj_t BgL_auxz00_9743;
						BgL_objectz00_bglt BgL_tmpz00_9741;

						BgL_auxz00_9743 = ((obj_t) BgL_wide1190z00_8468);
						BgL_tmpz00_9741 = ((BgL_objectz00_bglt) BgL_tmp1189z00_8467);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9741, BgL_auxz00_9743);
					}
					((BgL_objectz00_bglt) BgL_tmp1189z00_8467);
					{	/* Cfa/cinfo.sch 768 */
						long BgL_arg1653z00_8471;

						BgL_arg1653z00_8471 =
							BGL_CLASS_NUM(BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1189z00_8467), BgL_arg1653z00_8471);
					}
					BgL_new1191z00_8466 = ((BgL_sfunz00_bglt) BgL_tmp1189z00_8467);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1191z00_8466)))->BgL_arityz00) =
					((long) BgL_arity1753z00_210), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1191z00_8466)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1754zd2_211), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1191z00_8466)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1755zd2_212), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1191z00_8466)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1756zd2_213), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1191z00_8466)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31757zf3_214), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1191z00_8466)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1758zd2_215), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1191z00_8466)))->
						BgL_effectz00) = ((obj_t) BgL_effect1759z00_216), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1191z00_8466)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1760z00_217), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1191z00_8466)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1761zd2_218), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1191z00_8466)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1762zd2_219), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1191z00_8466)))->BgL_propertyz00) =
					((obj_t) BgL_property1763z00_220), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1191z00_8466)))->BgL_argsz00) =
					((obj_t) BgL_args1764z00_221), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1191z00_8466)))->BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1765zd2_222), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1191z00_8466)))->BgL_bodyz00) =
					((obj_t) BgL_body1766z00_223), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1191z00_8466)))->BgL_classz00) =
					((obj_t) BgL_class1768z00_224), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1191z00_8466)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1769zd2_225), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1191z00_8466)))->BgL_locz00) =
					((obj_t) BgL_loc1770z00_226), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1191z00_8466)))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1771z00_227), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1191z00_8466)))->BgL_keysz00) =
					((obj_t) BgL_keys1772z00_228), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1191z00_8466)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1773z00_229), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1191z00_8466)))->BgL_strengthz00) =
					((obj_t) BgL_strength1774z00_230), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1191z00_8466)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1775z00_231), BUNSPEC);
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_9795;

					{
						obj_t BgL_auxz00_9796;

						{	/* Cfa/cinfo.sch 768 */
							BgL_objectz00_bglt BgL_tmpz00_9797;

							BgL_tmpz00_9797 = ((BgL_objectz00_bglt) BgL_new1191z00_8466);
							BgL_auxz00_9796 = BGL_OBJECT_WIDENING(BgL_tmpz00_9797);
						}
						BgL_auxz00_9795 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9796);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9795))->
							BgL_polymorphiczf3zf3) =
						((bool_t) BgL_polymorphiczf31776zf3_232), BUNSPEC);
				}
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_9802;

					{
						obj_t BgL_auxz00_9803;

						{	/* Cfa/cinfo.sch 768 */
							BgL_objectz00_bglt BgL_tmpz00_9804;

							BgL_tmpz00_9804 = ((BgL_objectz00_bglt) BgL_new1191z00_8466);
							BgL_auxz00_9803 = BGL_OBJECT_WIDENING(BgL_tmpz00_9804);
						}
						BgL_auxz00_9802 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9803);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9802))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1777z00_233), BUNSPEC);
				}
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_9809;

					{
						obj_t BgL_auxz00_9810;

						{	/* Cfa/cinfo.sch 768 */
							BgL_objectz00_bglt BgL_tmpz00_9811;

							BgL_tmpz00_9811 = ((BgL_objectz00_bglt) BgL_new1191z00_8466);
							BgL_auxz00_9810 = BGL_OBJECT_WIDENING(BgL_tmpz00_9811);
						}
						BgL_auxz00_9809 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9810);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9809))->
							BgL_stampz00) = ((long) BgL_stamp1778z00_234), BUNSPEC);
				}
				return BgL_new1191z00_8466;
			}
		}

	}



/* &make-intern-sfun/Cinfo */
	BgL_sfunz00_bglt BGl_z62makezd2internzd2sfunzf2Cinfoz90zzcfa_approxz00(obj_t
		BgL_envz00_7173, obj_t BgL_arity1753z00_7174,
		obj_t BgL_sidezd2effect1754zd2_7175, obj_t BgL_predicatezd2of1755zd2_7176,
		obj_t BgL_stackzd2allocator1756zd2_7177, obj_t BgL_topzf31757zf3_7178,
		obj_t BgL_thezd2closure1758zd2_7179, obj_t BgL_effect1759z00_7180,
		obj_t BgL_failsafe1760z00_7181, obj_t BgL_argszd2noescape1761zd2_7182,
		obj_t BgL_argszd2retescape1762zd2_7183, obj_t BgL_property1763z00_7184,
		obj_t BgL_args1764z00_7185, obj_t BgL_argszd2name1765zd2_7186,
		obj_t BgL_body1766z00_7187, obj_t BgL_class1768z00_7188,
		obj_t BgL_dssslzd2keywords1769zd2_7189, obj_t BgL_loc1770z00_7190,
		obj_t BgL_optionals1771z00_7191, obj_t BgL_keys1772z00_7192,
		obj_t BgL_thezd2closurezd2global1773z00_7193,
		obj_t BgL_strength1774z00_7194, obj_t BgL_stackable1775z00_7195,
		obj_t BgL_polymorphiczf31776zf3_7196, obj_t BgL_approx1777z00_7197,
		obj_t BgL_stamp1778z00_7198)
	{
		{	/* Cfa/cinfo.sch 768 */
			return
				BGl_makezd2internzd2sfunzf2Cinfozf2zzcfa_approxz00(
				(long) CINT(BgL_arity1753z00_7174), BgL_sidezd2effect1754zd2_7175,
				BgL_predicatezd2of1755zd2_7176, BgL_stackzd2allocator1756zd2_7177,
				CBOOL(BgL_topzf31757zf3_7178), BgL_thezd2closure1758zd2_7179,
				BgL_effect1759z00_7180, BgL_failsafe1760z00_7181,
				BgL_argszd2noescape1761zd2_7182, BgL_argszd2retescape1762zd2_7183,
				BgL_property1763z00_7184, BgL_args1764z00_7185,
				BgL_argszd2name1765zd2_7186, BgL_body1766z00_7187,
				BgL_class1768z00_7188, BgL_dssslzd2keywords1769zd2_7189,
				BgL_loc1770z00_7190, BgL_optionals1771z00_7191, BgL_keys1772z00_7192,
				BgL_thezd2closurezd2global1773z00_7193, BgL_strength1774z00_7194,
				BgL_stackable1775z00_7195, CBOOL(BgL_polymorphiczf31776zf3_7196),
				((BgL_approxz00_bglt) BgL_approx1777z00_7197),
				(long) CINT(BgL_stamp1778z00_7198));
		}

	}



/* intern-sfun/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_internzd2sfunzf2Cinfozf3zd3zzcfa_approxz00(obj_t
		BgL_objz00_235)
	{
		{	/* Cfa/cinfo.sch 769 */
			{	/* Cfa/cinfo.sch 769 */
				obj_t BgL_classz00_8472;

				BgL_classz00_8472 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_235))
					{	/* Cfa/cinfo.sch 769 */
						BgL_objectz00_bglt BgL_arg1820z00_8473;

						BgL_arg1820z00_8473 = (BgL_objectz00_bglt) (BgL_objz00_235);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 769 */
								long BgL_idxz00_8474;

								BgL_idxz00_8474 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8473);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8474 + ((long) 4))) == BgL_classz00_8472);
							}
						else
							{	/* Cfa/cinfo.sch 769 */
								bool_t BgL_res2107z00_8477;

								{	/* Cfa/cinfo.sch 769 */
									obj_t BgL_oclassz00_8478;

									{	/* Cfa/cinfo.sch 769 */
										long BgL_arg1828z00_8479;

										{	/* Cfa/cinfo.sch 769 */
											long BgL_arg1829z00_8480;

											BgL_arg1829z00_8480 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8473);
											BgL_arg1828z00_8479 = (BgL_arg1829z00_8480 - OBJECT_TYPE);
										}
										BgL_oclassz00_8478 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8479);
									}
									{	/* Cfa/cinfo.sch 769 */
										bool_t BgL__ortest_1111z00_8481;

										BgL__ortest_1111z00_8481 =
											(BgL_classz00_8472 == BgL_oclassz00_8478);
										if (BgL__ortest_1111z00_8481)
											{	/* Cfa/cinfo.sch 769 */
												BgL_res2107z00_8477 = BgL__ortest_1111z00_8481;
											}
										else
											{	/* Cfa/cinfo.sch 769 */
												long BgL_odepthz00_8482;

												BgL_odepthz00_8482 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8478);
												if ((((long) 4) < BgL_odepthz00_8482))
													{	/* Cfa/cinfo.sch 769 */
														obj_t BgL_arg1816z00_8483;

														BgL_arg1816z00_8483 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8478,
															((long) 4));
														BgL_res2107z00_8477 =
															(BgL_arg1816z00_8483 == BgL_classz00_8472);
													}
												else
													{	/* Cfa/cinfo.sch 769 */
														BgL_res2107z00_8477 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2107z00_8477;
							}
					}
				else
					{	/* Cfa/cinfo.sch 769 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &intern-sfun/Cinfo? */
	obj_t BGl_z62internzd2sfunzf2Cinfozf3zb1zzcfa_approxz00(obj_t BgL_envz00_7199,
		obj_t BgL_objz00_7200)
	{
		{	/* Cfa/cinfo.sch 769 */
			return
				BBOOL(BGl_internzd2sfunzf2Cinfozf3zd3zzcfa_approxz00(BgL_objz00_7200));
		}

	}



/* intern-sfun/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_internzd2sfunzf2Cinfozd2nilzf2zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 770 */
			{	/* Cfa/cinfo.sch 770 */
				obj_t BgL_classz00_4817;

				BgL_classz00_4817 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 770 */
					obj_t BgL__ortest_1113z00_4818;

					BgL__ortest_1113z00_4818 = BGL_CLASS_NIL(BgL_classz00_4817);
					if (CBOOL(BgL__ortest_1113z00_4818))
						{	/* Cfa/cinfo.sch 770 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1113z00_4818);
						}
					else
						{	/* Cfa/cinfo.sch 770 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4817));
						}
				}
			}
		}

	}



/* &intern-sfun/Cinfo-nil */
	BgL_sfunz00_bglt BGl_z62internzd2sfunzf2Cinfozd2nilz90zzcfa_approxz00(obj_t
		BgL_envz00_7201)
	{
		{	/* Cfa/cinfo.sch 770 */
			return BGl_internzd2sfunzf2Cinfozd2nilzf2zzcfa_approxz00();
		}

	}



/* intern-sfun/Cinfo-stamp */
	BGL_EXPORTED_DEF long
		BGl_internzd2sfunzf2Cinfozd2stampzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_236)
	{
		{	/* Cfa/cinfo.sch 771 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_9850;

				{
					obj_t BgL_auxz00_9851;

					{	/* Cfa/cinfo.sch 771 */
						BgL_objectz00_bglt BgL_tmpz00_9852;

						BgL_tmpz00_9852 = ((BgL_objectz00_bglt) BgL_oz00_236);
						BgL_auxz00_9851 = BGL_OBJECT_WIDENING(BgL_tmpz00_9852);
					}
					BgL_auxz00_9850 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9851);
				}
				return
					(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9850))->
					BgL_stampz00);
			}
		}

	}



/* &intern-sfun/Cinfo-stamp */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stampz90zzcfa_approxz00(obj_t
		BgL_envz00_7202, obj_t BgL_oz00_7203)
	{
		{	/* Cfa/cinfo.sch 771 */
			return
				BINT(BGl_internzd2sfunzf2Cinfozd2stampzf2zzcfa_approxz00(
					((BgL_sfunz00_bglt) BgL_oz00_7203)));
		}

	}



/* intern-sfun/Cinfo-stamp-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stampzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_237, long BgL_vz00_238)
	{
		{	/* Cfa/cinfo.sch 772 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_9860;

				{
					obj_t BgL_auxz00_9861;

					{	/* Cfa/cinfo.sch 772 */
						BgL_objectz00_bglt BgL_tmpz00_9862;

						BgL_tmpz00_9862 = ((BgL_objectz00_bglt) BgL_oz00_237);
						BgL_auxz00_9861 = BGL_OBJECT_WIDENING(BgL_tmpz00_9862);
					}
					BgL_auxz00_9860 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9861);
				}
				return
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9860))->
						BgL_stampz00) = ((long) BgL_vz00_238), BUNSPEC);
		}}

	}



/* &intern-sfun/Cinfo-stamp-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stampzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7204, obj_t BgL_oz00_7205, obj_t BgL_vz00_7206)
	{
		{	/* Cfa/cinfo.sch 772 */
			return
				BGl_internzd2sfunzf2Cinfozd2stampzd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7205), (long) CINT(BgL_vz00_7206));
		}

	}



/* intern-sfun/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_internzd2sfunzf2Cinfozd2approxzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_239)
	{
		{	/* Cfa/cinfo.sch 773 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_9870;

				{
					obj_t BgL_auxz00_9871;

					{	/* Cfa/cinfo.sch 773 */
						BgL_objectz00_bglt BgL_tmpz00_9872;

						BgL_tmpz00_9872 = ((BgL_objectz00_bglt) BgL_oz00_239);
						BgL_auxz00_9871 = BGL_OBJECT_WIDENING(BgL_tmpz00_9872);
					}
					BgL_auxz00_9870 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9871);
				}
				return
					(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9870))->
					BgL_approxz00);
			}
		}

	}



/* &intern-sfun/Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62internzd2sfunzf2Cinfozd2approxz90zzcfa_approxz00(obj_t
		BgL_envz00_7207, obj_t BgL_oz00_7208)
	{
		{	/* Cfa/cinfo.sch 773 */
			return
				BGl_internzd2sfunzf2Cinfozd2approxzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7208));
		}

	}



/* intern-sfun/Cinfo-polymorphic? */
	BGL_EXPORTED_DEF bool_t
		BGl_internzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_242)
	{
		{	/* Cfa/cinfo.sch 775 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_9879;

				{
					obj_t BgL_auxz00_9880;

					{	/* Cfa/cinfo.sch 775 */
						BgL_objectz00_bglt BgL_tmpz00_9881;

						BgL_tmpz00_9881 = ((BgL_objectz00_bglt) BgL_oz00_242);
						BgL_auxz00_9880 = BGL_OBJECT_WIDENING(BgL_tmpz00_9881);
					}
					BgL_auxz00_9879 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9880);
				}
				return
					(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9879))->
					BgL_polymorphiczf3zf3);
			}
		}

	}



/* &intern-sfun/Cinfo-polymorphic? */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_approxz00(obj_t
		BgL_envz00_7209, obj_t BgL_oz00_7210)
	{
		{	/* Cfa/cinfo.sch 775 */
			return
				BBOOL(BGl_internzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_approxz00(
					((BgL_sfunz00_bglt) BgL_oz00_7210)));
		}

	}



/* intern-sfun/Cinfo-polymorphic?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_243, bool_t BgL_vz00_244)
	{
		{	/* Cfa/cinfo.sch 776 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_9889;

				{
					obj_t BgL_auxz00_9890;

					{	/* Cfa/cinfo.sch 776 */
						BgL_objectz00_bglt BgL_tmpz00_9891;

						BgL_tmpz00_9891 = ((BgL_objectz00_bglt) BgL_oz00_243);
						BgL_auxz00_9890 = BGL_OBJECT_WIDENING(BgL_tmpz00_9891);
					}
					BgL_auxz00_9889 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_9890);
				}
				return
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_9889))->
						BgL_polymorphiczf3zf3) = ((bool_t) BgL_vz00_244), BUNSPEC);
			}
		}

	}



/* &intern-sfun/Cinfo-polymorphic?-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_approxz00
		(obj_t BgL_envz00_7211, obj_t BgL_oz00_7212, obj_t BgL_vz00_7213)
	{
		{	/* Cfa/cinfo.sch 776 */
			return
				BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7212), CBOOL(BgL_vz00_7213));
		}

	}



/* intern-sfun/Cinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stackablezf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_245)
	{
		{	/* Cfa/cinfo.sch 777 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_245)))->BgL_stackablez00);
		}

	}



/* &intern-sfun/Cinfo-stackable */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stackablez90zzcfa_approxz00(obj_t
		BgL_envz00_7214, obj_t BgL_oz00_7215)
	{
		{	/* Cfa/cinfo.sch 777 */
			return
				BGl_internzd2sfunzf2Cinfozd2stackablezf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7215));
		}

	}



/* intern-sfun/Cinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_246, obj_t BgL_vz00_247)
	{
		{	/* Cfa/cinfo.sch 778 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_246)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_247), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-stackable-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7216, obj_t BgL_oz00_7217, obj_t BgL_vz00_7218)
	{
		{	/* Cfa/cinfo.sch 778 */
			return
				BGl_internzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7217), BgL_vz00_7218);
		}

	}



/* intern-sfun/Cinfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2strengthzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_248)
	{
		{	/* Cfa/cinfo.sch 779 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_248)))->BgL_strengthz00);
		}

	}



/* &intern-sfun/Cinfo-strength */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2strengthz90zzcfa_approxz00(obj_t
		BgL_envz00_7219, obj_t BgL_oz00_7220)
	{
		{	/* Cfa/cinfo.sch 779 */
			return
				BGl_internzd2sfunzf2Cinfozd2strengthzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7220));
		}

	}



/* intern-sfun/Cinfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_249, obj_t BgL_vz00_250)
	{
		{	/* Cfa/cinfo.sch 780 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_249)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_250), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-strength-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7221, obj_t BgL_oz00_7222, obj_t BgL_vz00_7223)
	{
		{	/* Cfa/cinfo.sch 780 */
			return
				BGl_internzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7222), BgL_vz00_7223);
		}

	}



/* intern-sfun/Cinfo-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_251)
	{
		{	/* Cfa/cinfo.sch 781 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_251)))->BgL_thezd2closurezd2globalz00);
		}

	}



/* &intern-sfun/Cinfo-the-closure-global */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_approxz00
		(obj_t BgL_envz00_7224, obj_t BgL_oz00_7225)
	{
		{	/* Cfa/cinfo.sch 781 */
			return
				BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7225));
		}

	}



/* intern-sfun/Cinfo-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_252, obj_t BgL_vz00_253)
	{
		{	/* Cfa/cinfo.sch 782 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_252)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_253), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-the-closure-global-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_approxz00
		(obj_t BgL_envz00_7226, obj_t BgL_oz00_7227, obj_t BgL_vz00_7228)
	{
		{	/* Cfa/cinfo.sch 782 */
			return
				BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_approxz00
				(((BgL_sfunz00_bglt) BgL_oz00_7227), BgL_vz00_7228);
		}

	}



/* intern-sfun/Cinfo-keys */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2keyszf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_254)
	{
		{	/* Cfa/cinfo.sch 783 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_254)))->BgL_keysz00);
		}

	}



/* &intern-sfun/Cinfo-keys */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2keysz90zzcfa_approxz00(obj_t
		BgL_envz00_7229, obj_t BgL_oz00_7230)
	{
		{	/* Cfa/cinfo.sch 783 */
			return
				BGl_internzd2sfunzf2Cinfozd2keyszf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7230));
		}

	}



/* intern-sfun/Cinfo-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2optionalszf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_257)
	{
		{	/* Cfa/cinfo.sch 785 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_257)))->BgL_optionalsz00);
		}

	}



/* &intern-sfun/Cinfo-optionals */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2optionalsz90zzcfa_approxz00(obj_t
		BgL_envz00_7231, obj_t BgL_oz00_7232)
	{
		{	/* Cfa/cinfo.sch 785 */
			return
				BGl_internzd2sfunzf2Cinfozd2optionalszf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7232));
		}

	}



/* intern-sfun/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2loczf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_260)
	{
		{	/* Cfa/cinfo.sch 787 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_260)))->BgL_locz00);
		}

	}



/* &intern-sfun/Cinfo-loc */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2locz90zzcfa_approxz00(obj_t
		BgL_envz00_7233, obj_t BgL_oz00_7234)
	{
		{	/* Cfa/cinfo.sch 787 */
			return
				BGl_internzd2sfunzf2Cinfozd2loczf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7234));
		}

	}



/* intern-sfun/Cinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_261, obj_t BgL_vz00_262)
	{
		{	/* Cfa/cinfo.sch 788 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_261)))->BgL_locz00) =
				((obj_t) BgL_vz00_262), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-loc-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7235, obj_t BgL_oz00_7236, obj_t BgL_vz00_7237)
	{
		{	/* Cfa/cinfo.sch 788 */
			return
				BGl_internzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7236), BgL_vz00_7237);
		}

	}



/* intern-sfun/Cinfo-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_263)
	{
		{	/* Cfa/cinfo.sch 789 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_263)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &intern-sfun/Cinfo-dsssl-keywords */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_approxz00(obj_t
		BgL_envz00_7238, obj_t BgL_oz00_7239)
	{
		{	/* Cfa/cinfo.sch 789 */
			return
				BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7239));
		}

	}



/* intern-sfun/Cinfo-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_264, obj_t BgL_vz00_265)
	{
		{	/* Cfa/cinfo.sch 790 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_264)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_265), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-dsssl-keywords-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7240, obj_t BgL_oz00_7241, obj_t BgL_vz00_7242)
	{
		{	/* Cfa/cinfo.sch 790 */
			return
				BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7241), BgL_vz00_7242);
		}

	}



/* intern-sfun/Cinfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2classzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_266)
	{
		{	/* Cfa/cinfo.sch 791 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_266)))->BgL_classz00);
		}

	}



/* &intern-sfun/Cinfo-class */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2classz90zzcfa_approxz00(obj_t
		BgL_envz00_7243, obj_t BgL_oz00_7244)
	{
		{	/* Cfa/cinfo.sch 791 */
			return
				BGl_internzd2sfunzf2Cinfozd2classzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7244));
		}

	}



/* intern-sfun/Cinfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_267, obj_t BgL_vz00_268)
	{
		{	/* Cfa/cinfo.sch 792 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_267)))->BgL_classz00) =
				((obj_t) BgL_vz00_268), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-class-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7245, obj_t BgL_oz00_7246, obj_t BgL_vz00_7247)
	{
		{	/* Cfa/cinfo.sch 792 */
			return
				BGl_internzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7246), BgL_vz00_7247);
		}

	}



/* intern-sfun/Cinfo-body */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2bodyzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_269)
	{
		{	/* Cfa/cinfo.sch 793 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_269)))->BgL_bodyz00);
		}

	}



/* &intern-sfun/Cinfo-body */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2bodyz90zzcfa_approxz00(obj_t
		BgL_envz00_7248, obj_t BgL_oz00_7249)
	{
		{	/* Cfa/cinfo.sch 793 */
			return
				BGl_internzd2sfunzf2Cinfozd2bodyzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7249));
		}

	}



/* intern-sfun/Cinfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_270, obj_t BgL_vz00_271)
	{
		{	/* Cfa/cinfo.sch 794 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_270)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_271), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-body-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7250, obj_t BgL_oz00_7251, obj_t BgL_vz00_7252)
	{
		{	/* Cfa/cinfo.sch 794 */
			return
				BGl_internzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7251), BgL_vz00_7252);
		}

	}



/* intern-sfun/Cinfo-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2namez20zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_272)
	{
		{	/* Cfa/cinfo.sch 795 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_272)))->BgL_argszd2namezd2);
		}

	}



/* &intern-sfun/Cinfo-args-name */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2namez42zzcfa_approxz00(obj_t
		BgL_envz00_7253, obj_t BgL_oz00_7254)
	{
		{	/* Cfa/cinfo.sch 795 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2namez20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7254));
		}

	}



/* intern-sfun/Cinfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_275)
	{
		{	/* Cfa/cinfo.sch 797 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_275)))->BgL_argsz00);
		}

	}



/* &intern-sfun/Cinfo-args */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argsz90zzcfa_approxz00(obj_t
		BgL_envz00_7255, obj_t BgL_oz00_7256)
	{
		{	/* Cfa/cinfo.sch 797 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7256));
		}

	}



/* intern-sfun/Cinfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_276, obj_t BgL_vz00_277)
	{
		{	/* Cfa/cinfo.sch 798 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_276)))->BgL_argsz00) =
				((obj_t) BgL_vz00_277), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-args-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7257, obj_t BgL_oz00_7258, obj_t BgL_vz00_7259)
	{
		{	/* Cfa/cinfo.sch 798 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7258), BgL_vz00_7259);
		}

	}



/* intern-sfun/Cinfo-property */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2propertyzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_278)
	{
		{	/* Cfa/cinfo.sch 799 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_278)))->BgL_propertyz00);
		}

	}



/* &intern-sfun/Cinfo-property */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2propertyz90zzcfa_approxz00(obj_t
		BgL_envz00_7260, obj_t BgL_oz00_7261)
	{
		{	/* Cfa/cinfo.sch 799 */
			return
				BGl_internzd2sfunzf2Cinfozd2propertyzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7261));
		}

	}



/* intern-sfun/Cinfo-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_279, obj_t BgL_vz00_280)
	{
		{	/* Cfa/cinfo.sch 800 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_279)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_280), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-property-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7262, obj_t BgL_oz00_7263, obj_t BgL_vz00_7264)
	{
		{	/* Cfa/cinfo.sch 800 */
			return
				BGl_internzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7263), BgL_vz00_7264);
		}

	}



/* intern-sfun/Cinfo-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_281)
	{
		{	/* Cfa/cinfo.sch 801 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_281)))->BgL_argszd2retescapezd2);
		}

	}



/* &intern-sfun/Cinfo-args-retescape */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_approxz00(obj_t
		BgL_envz00_7265, obj_t BgL_oz00_7266)
	{
		{	/* Cfa/cinfo.sch 801 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7266));
		}

	}



/* intern-sfun/Cinfo-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_282, obj_t BgL_vz00_283)
	{
		{	/* Cfa/cinfo.sch 802 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_282)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_283), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-args-retescape-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7267, obj_t BgL_oz00_7268, obj_t BgL_vz00_7269)
	{
		{	/* Cfa/cinfo.sch 802 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7268), BgL_vz00_7269);
		}

	}



/* intern-sfun/Cinfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_284)
	{
		{	/* Cfa/cinfo.sch 803 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_284)))->BgL_argszd2noescapezd2);
		}

	}



/* &intern-sfun/Cinfo-args-noescape */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_approxz00(obj_t
		BgL_envz00_7270, obj_t BgL_oz00_7271)
	{
		{	/* Cfa/cinfo.sch 803 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7271));
		}

	}



/* intern-sfun/Cinfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_285, obj_t BgL_vz00_286)
	{
		{	/* Cfa/cinfo.sch 804 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_285)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_286), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-args-noescape-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7272, obj_t BgL_oz00_7273, obj_t BgL_vz00_7274)
	{
		{	/* Cfa/cinfo.sch 804 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7273), BgL_vz00_7274);
		}

	}



/* intern-sfun/Cinfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2failsafezf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_287)
	{
		{	/* Cfa/cinfo.sch 805 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_287)))->BgL_failsafez00);
		}

	}



/* &intern-sfun/Cinfo-failsafe */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2failsafez90zzcfa_approxz00(obj_t
		BgL_envz00_7275, obj_t BgL_oz00_7276)
	{
		{	/* Cfa/cinfo.sch 805 */
			return
				BGl_internzd2sfunzf2Cinfozd2failsafezf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7276));
		}

	}



/* intern-sfun/Cinfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_288, obj_t BgL_vz00_289)
	{
		{	/* Cfa/cinfo.sch 806 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_288)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_289), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-failsafe-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7277, obj_t BgL_oz00_7278, obj_t BgL_vz00_7279)
	{
		{	/* Cfa/cinfo.sch 806 */
			return
				BGl_internzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7278), BgL_vz00_7279);
		}

	}



/* intern-sfun/Cinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2effectzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_290)
	{
		{	/* Cfa/cinfo.sch 807 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_290)))->BgL_effectz00);
		}

	}



/* &intern-sfun/Cinfo-effect */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2effectz90zzcfa_approxz00(obj_t
		BgL_envz00_7280, obj_t BgL_oz00_7281)
	{
		{	/* Cfa/cinfo.sch 807 */
			return
				BGl_internzd2sfunzf2Cinfozd2effectzf2zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7281));
		}

	}



/* intern-sfun/Cinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_291, obj_t BgL_vz00_292)
	{
		{	/* Cfa/cinfo.sch 808 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_291)))->BgL_effectz00) =
				((obj_t) BgL_vz00_292), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-effect-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7282, obj_t BgL_oz00_7283, obj_t BgL_vz00_7284)
	{
		{	/* Cfa/cinfo.sch 808 */
			return
				BGl_internzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7283), BgL_vz00_7284);
		}

	}



/* intern-sfun/Cinfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_293)
	{
		{	/* Cfa/cinfo.sch 809 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_293)))->BgL_thezd2closurezd2);
		}

	}



/* &intern-sfun/Cinfo-the-closure */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_approxz00(obj_t
		BgL_envz00_7285, obj_t BgL_oz00_7286)
	{
		{	/* Cfa/cinfo.sch 809 */
			return
				BGl_internzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7286));
		}

	}



/* intern-sfun/Cinfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_294, obj_t BgL_vz00_295)
	{
		{	/* Cfa/cinfo.sch 810 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_294)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_295), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-the-closure-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7287, obj_t BgL_oz00_7288, obj_t BgL_vz00_7289)
	{
		{	/* Cfa/cinfo.sch 810 */
			return
				BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7288), BgL_vz00_7289);
		}

	}



/* intern-sfun/Cinfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_internzd2sfunzf2Cinfozd2topzf3z01zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_296)
	{
		{	/* Cfa/cinfo.sch 811 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_296)))->BgL_topzf3zf3);
		}

	}



/* &intern-sfun/Cinfo-top? */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2topzf3z63zzcfa_approxz00(obj_t
		BgL_envz00_7290, obj_t BgL_oz00_7291)
	{
		{	/* Cfa/cinfo.sch 811 */
			return
				BBOOL(BGl_internzd2sfunzf2Cinfozd2topzf3z01zzcfa_approxz00(
					((BgL_sfunz00_bglt) BgL_oz00_7291)));
		}

	}



/* intern-sfun/Cinfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_297, bool_t BgL_vz00_298)
	{
		{	/* Cfa/cinfo.sch 812 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_297)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_298), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-top?-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_approxz00(obj_t
		BgL_envz00_7292, obj_t BgL_oz00_7293, obj_t BgL_vz00_7294)
	{
		{	/* Cfa/cinfo.sch 812 */
			return
				BGl_internzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7293), CBOOL(BgL_vz00_7294));
		}

	}



/* intern-sfun/Cinfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_299)
	{
		{	/* Cfa/cinfo.sch 813 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_299)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &intern-sfun/Cinfo-stack-allocator */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_approxz00(obj_t
		BgL_envz00_7295, obj_t BgL_oz00_7296)
	{
		{	/* Cfa/cinfo.sch 813 */
			return
				BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7296));
		}

	}



/* intern-sfun/Cinfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_300, obj_t BgL_vz00_301)
	{
		{	/* Cfa/cinfo.sch 814 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_300)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_301), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-stack-allocator-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7297, obj_t BgL_oz00_7298, obj_t BgL_vz00_7299)
	{
		{	/* Cfa/cinfo.sch 814 */
			return
				BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_approxz00
				(((BgL_sfunz00_bglt) BgL_oz00_7298), BgL_vz00_7299);
		}

	}



/* intern-sfun/Cinfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_302)
	{
		{	/* Cfa/cinfo.sch 815 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_302)))->BgL_predicatezd2ofzd2);
		}

	}



/* &intern-sfun/Cinfo-predicate-of */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_approxz00(obj_t
		BgL_envz00_7300, obj_t BgL_oz00_7301)
	{
		{	/* Cfa/cinfo.sch 815 */
			return
				BGl_internzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7301));
		}

	}



/* intern-sfun/Cinfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_303, obj_t BgL_vz00_304)
	{
		{	/* Cfa/cinfo.sch 816 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_303)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_304), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-predicate-of-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7302, obj_t BgL_oz00_7303, obj_t BgL_vz00_7304)
	{
		{	/* Cfa/cinfo.sch 816 */
			return
				BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7303), BgL_vz00_7304);
		}

	}



/* intern-sfun/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_305)
	{
		{	/* Cfa/cinfo.sch 817 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_305)))->BgL_sidezd2effectzd2);
		}

	}



/* &intern-sfun/Cinfo-side-effect */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_approxz00(obj_t
		BgL_envz00_7305, obj_t BgL_oz00_7306)
	{
		{	/* Cfa/cinfo.sch 817 */
			return
				BGl_internzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7306));
		}

	}



/* intern-sfun/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_approxz00
		(BgL_sfunz00_bglt BgL_oz00_306, obj_t BgL_vz00_307)
	{
		{	/* Cfa/cinfo.sch 818 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_306)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_307), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-side-effect-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_approxz00
		(obj_t BgL_envz00_7307, obj_t BgL_oz00_7308, obj_t BgL_vz00_7309)
	{
		{	/* Cfa/cinfo.sch 818 */
			return
				BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_approxz00(
				((BgL_sfunz00_bglt) BgL_oz00_7308), BgL_vz00_7309);
		}

	}



/* intern-sfun/Cinfo-arity */
	BGL_EXPORTED_DEF long
		BGl_internzd2sfunzf2Cinfozd2arityzf2zzcfa_approxz00(BgL_sfunz00_bglt
		BgL_oz00_308)
	{
		{	/* Cfa/cinfo.sch 819 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_308)))->BgL_arityz00);
		}

	}



/* &intern-sfun/Cinfo-arity */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2arityz90zzcfa_approxz00(obj_t
		BgL_envz00_7310, obj_t BgL_oz00_7311)
	{
		{	/* Cfa/cinfo.sch 819 */
			return
				BINT(BGl_internzd2sfunzf2Cinfozd2arityzf2zzcfa_approxz00(
					((BgL_sfunz00_bglt) BgL_oz00_7311)));
		}

	}



/* make-scnst/Cinfo */
	BGL_EXPORTED_DEF BgL_scnstz00_bglt
		BGl_makezd2scnstzf2Cinfoz20zzcfa_approxz00(obj_t BgL_node1748z00_311,
		obj_t BgL_class1749z00_312, obj_t BgL_loc1750z00_313,
		BgL_approxz00_bglt BgL_approx1751z00_314)
	{
		{	/* Cfa/cinfo.sch 823 */
			{	/* Cfa/cinfo.sch 823 */
				BgL_scnstz00_bglt BgL_new1195z00_8484;

				{	/* Cfa/cinfo.sch 823 */
					BgL_scnstz00_bglt BgL_tmp1193z00_8485;
					BgL_scnstzf2cinfozf2_bglt BgL_wide1194z00_8486;

					{
						BgL_scnstz00_bglt BgL_auxz00_10062;

						{	/* Cfa/cinfo.sch 823 */
							BgL_scnstz00_bglt BgL_new1192z00_8487;

							BgL_new1192z00_8487 =
								((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_scnstz00_bgl))));
							{	/* Cfa/cinfo.sch 823 */
								long BgL_arg1672z00_8488;

								BgL_arg1672z00_8488 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1192z00_8487),
									BgL_arg1672z00_8488);
							}
							{	/* Cfa/cinfo.sch 823 */
								BgL_objectz00_bglt BgL_tmpz00_10067;

								BgL_tmpz00_10067 = ((BgL_objectz00_bglt) BgL_new1192z00_8487);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10067, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1192z00_8487);
							BgL_auxz00_10062 = BgL_new1192z00_8487;
						}
						BgL_tmp1193z00_8485 = ((BgL_scnstz00_bglt) BgL_auxz00_10062);
					}
					BgL_wide1194z00_8486 =
						((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_scnstzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 823 */
						obj_t BgL_auxz00_10075;
						BgL_objectz00_bglt BgL_tmpz00_10073;

						BgL_auxz00_10075 = ((obj_t) BgL_wide1194z00_8486);
						BgL_tmpz00_10073 = ((BgL_objectz00_bglt) BgL_tmp1193z00_8485);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10073, BgL_auxz00_10075);
					}
					((BgL_objectz00_bglt) BgL_tmp1193z00_8485);
					{	/* Cfa/cinfo.sch 823 */
						long BgL_arg1663z00_8489;

						BgL_arg1663z00_8489 =
							BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1193z00_8485), BgL_arg1663z00_8489);
					}
					BgL_new1195z00_8484 = ((BgL_scnstz00_bglt) BgL_tmp1193z00_8485);
				}
				((((BgL_scnstz00_bglt) COBJECT(
								((BgL_scnstz00_bglt) BgL_new1195z00_8484)))->BgL_nodez00) =
					((obj_t) BgL_node1748z00_311), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1195z00_8484)))->BgL_classz00) =
					((obj_t) BgL_class1749z00_312), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1195z00_8484)))->BgL_locz00) =
					((obj_t) BgL_loc1750z00_313), BUNSPEC);
				{
					BgL_scnstzf2cinfozf2_bglt BgL_auxz00_10089;

					{
						obj_t BgL_auxz00_10090;

						{	/* Cfa/cinfo.sch 823 */
							BgL_objectz00_bglt BgL_tmpz00_10091;

							BgL_tmpz00_10091 = ((BgL_objectz00_bglt) BgL_new1195z00_8484);
							BgL_auxz00_10090 = BGL_OBJECT_WIDENING(BgL_tmpz00_10091);
						}
						BgL_auxz00_10089 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_10090);
					}
					((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10089))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1751z00_314), BUNSPEC);
				}
				return BgL_new1195z00_8484;
			}
		}

	}



/* &make-scnst/Cinfo */
	BgL_scnstz00_bglt BGl_z62makezd2scnstzf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_7312, obj_t BgL_node1748z00_7313, obj_t BgL_class1749z00_7314,
		obj_t BgL_loc1750z00_7315, obj_t BgL_approx1751z00_7316)
	{
		{	/* Cfa/cinfo.sch 823 */
			return
				BGl_makezd2scnstzf2Cinfoz20zzcfa_approxz00(BgL_node1748z00_7313,
				BgL_class1749z00_7314, BgL_loc1750z00_7315,
				((BgL_approxz00_bglt) BgL_approx1751z00_7316));
		}

	}



/* scnst/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_scnstzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_315)
	{
		{	/* Cfa/cinfo.sch 824 */
			{	/* Cfa/cinfo.sch 824 */
				obj_t BgL_classz00_8490;

				BgL_classz00_8490 = BGl_scnstzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_315))
					{	/* Cfa/cinfo.sch 824 */
						BgL_objectz00_bglt BgL_arg1820z00_8491;

						BgL_arg1820z00_8491 = (BgL_objectz00_bglt) (BgL_objz00_315);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 824 */
								long BgL_idxz00_8492;

								BgL_idxz00_8492 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8491);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8492 + ((long) 3))) == BgL_classz00_8490);
							}
						else
							{	/* Cfa/cinfo.sch 824 */
								bool_t BgL_res2108z00_8495;

								{	/* Cfa/cinfo.sch 824 */
									obj_t BgL_oclassz00_8496;

									{	/* Cfa/cinfo.sch 824 */
										long BgL_arg1828z00_8497;

										{	/* Cfa/cinfo.sch 824 */
											long BgL_arg1829z00_8498;

											BgL_arg1829z00_8498 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8491);
											BgL_arg1828z00_8497 = (BgL_arg1829z00_8498 - OBJECT_TYPE);
										}
										BgL_oclassz00_8496 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8497);
									}
									{	/* Cfa/cinfo.sch 824 */
										bool_t BgL__ortest_1111z00_8499;

										BgL__ortest_1111z00_8499 =
											(BgL_classz00_8490 == BgL_oclassz00_8496);
										if (BgL__ortest_1111z00_8499)
											{	/* Cfa/cinfo.sch 824 */
												BgL_res2108z00_8495 = BgL__ortest_1111z00_8499;
											}
										else
											{	/* Cfa/cinfo.sch 824 */
												long BgL_odepthz00_8500;

												BgL_odepthz00_8500 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8496);
												if ((((long) 3) < BgL_odepthz00_8500))
													{	/* Cfa/cinfo.sch 824 */
														obj_t BgL_arg1816z00_8501;

														BgL_arg1816z00_8501 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8496,
															((long) 3));
														BgL_res2108z00_8495 =
															(BgL_arg1816z00_8501 == BgL_classz00_8490);
													}
												else
													{	/* Cfa/cinfo.sch 824 */
														BgL_res2108z00_8495 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2108z00_8495;
							}
					}
				else
					{	/* Cfa/cinfo.sch 824 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &scnst/Cinfo? */
	obj_t BGl_z62scnstzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7317,
		obj_t BgL_objz00_7318)
	{
		{	/* Cfa/cinfo.sch 824 */
			return BBOOL(BGl_scnstzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7318));
		}

	}



/* scnst/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_scnstz00_bglt
		BGl_scnstzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 825 */
			{	/* Cfa/cinfo.sch 825 */
				obj_t BgL_classz00_4870;

				BgL_classz00_4870 = BGl_scnstzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 825 */
					obj_t BgL__ortest_1113z00_4871;

					BgL__ortest_1113z00_4871 = BGL_CLASS_NIL(BgL_classz00_4870);
					if (CBOOL(BgL__ortest_1113z00_4871))
						{	/* Cfa/cinfo.sch 825 */
							return ((BgL_scnstz00_bglt) BgL__ortest_1113z00_4871);
						}
					else
						{	/* Cfa/cinfo.sch 825 */
							return
								((BgL_scnstz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4870));
						}
				}
			}
		}

	}



/* &scnst/Cinfo-nil */
	BgL_scnstz00_bglt BGl_z62scnstzf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7319)
	{
		{	/* Cfa/cinfo.sch 825 */
			return BGl_scnstzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* scnst/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_scnstzf2Cinfozd2approxz20zzcfa_approxz00(BgL_scnstz00_bglt BgL_oz00_316)
	{
		{	/* Cfa/cinfo.sch 826 */
			{
				BgL_scnstzf2cinfozf2_bglt BgL_auxz00_10126;

				{
					obj_t BgL_auxz00_10127;

					{	/* Cfa/cinfo.sch 826 */
						BgL_objectz00_bglt BgL_tmpz00_10128;

						BgL_tmpz00_10128 = ((BgL_objectz00_bglt) BgL_oz00_316);
						BgL_auxz00_10127 = BGL_OBJECT_WIDENING(BgL_tmpz00_10128);
					}
					BgL_auxz00_10126 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_10127);
				}
				return
					(((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10126))->
					BgL_approxz00);
			}
		}

	}



/* &scnst/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62scnstzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7320, obj_t BgL_oz00_7321)
	{
		{	/* Cfa/cinfo.sch 826 */
			return
				BGl_scnstzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_scnstz00_bglt) BgL_oz00_7321));
		}

	}



/* scnst/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2locz20zzcfa_approxz00(BgL_scnstz00_bglt BgL_oz00_319)
	{
		{	/* Cfa/cinfo.sch 828 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_319)))->BgL_locz00);
		}

	}



/* &scnst/Cinfo-loc */
	obj_t BGl_z62scnstzf2Cinfozd2locz42zzcfa_approxz00(obj_t BgL_envz00_7322,
		obj_t BgL_oz00_7323)
	{
		{	/* Cfa/cinfo.sch 828 */
			return
				BGl_scnstzf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_scnstz00_bglt) BgL_oz00_7323));
		}

	}



/* scnst/Cinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2loczd2setz12ze0zzcfa_approxz00(BgL_scnstz00_bglt
		BgL_oz00_320, obj_t BgL_vz00_321)
	{
		{	/* Cfa/cinfo.sch 829 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_320)))->BgL_locz00) =
				((obj_t) BgL_vz00_321), BUNSPEC);
		}

	}



/* &scnst/Cinfo-loc-set! */
	obj_t BGl_z62scnstzf2Cinfozd2loczd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7324, obj_t BgL_oz00_7325, obj_t BgL_vz00_7326)
	{
		{	/* Cfa/cinfo.sch 829 */
			return
				BGl_scnstzf2Cinfozd2loczd2setz12ze0zzcfa_approxz00(
				((BgL_scnstz00_bglt) BgL_oz00_7325), BgL_vz00_7326);
		}

	}



/* scnst/Cinfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2classz20zzcfa_approxz00(BgL_scnstz00_bglt BgL_oz00_322)
	{
		{	/* Cfa/cinfo.sch 830 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_322)))->BgL_classz00);
		}

	}



/* &scnst/Cinfo-class */
	obj_t BGl_z62scnstzf2Cinfozd2classz42zzcfa_approxz00(obj_t BgL_envz00_7327,
		obj_t BgL_oz00_7328)
	{
		{	/* Cfa/cinfo.sch 830 */
			return
				BGl_scnstzf2Cinfozd2classz20zzcfa_approxz00(
				((BgL_scnstz00_bglt) BgL_oz00_7328));
		}

	}



/* scnst/Cinfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2classzd2setz12ze0zzcfa_approxz00(BgL_scnstz00_bglt
		BgL_oz00_323, obj_t BgL_vz00_324)
	{
		{	/* Cfa/cinfo.sch 831 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_323)))->BgL_classz00) =
				((obj_t) BgL_vz00_324), BUNSPEC);
		}

	}



/* &scnst/Cinfo-class-set! */
	obj_t BGl_z62scnstzf2Cinfozd2classzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7329, obj_t BgL_oz00_7330, obj_t BgL_vz00_7331)
	{
		{	/* Cfa/cinfo.sch 831 */
			return
				BGl_scnstzf2Cinfozd2classzd2setz12ze0zzcfa_approxz00(
				((BgL_scnstz00_bglt) BgL_oz00_7330), BgL_vz00_7331);
		}

	}



/* scnst/Cinfo-node */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2nodez20zzcfa_approxz00(BgL_scnstz00_bglt BgL_oz00_325)
	{
		{	/* Cfa/cinfo.sch 832 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_325)))->BgL_nodez00);
		}

	}



/* &scnst/Cinfo-node */
	obj_t BGl_z62scnstzf2Cinfozd2nodez42zzcfa_approxz00(obj_t BgL_envz00_7332,
		obj_t BgL_oz00_7333)
	{
		{	/* Cfa/cinfo.sch 832 */
			return
				BGl_scnstzf2Cinfozd2nodez20zzcfa_approxz00(
				((BgL_scnstz00_bglt) BgL_oz00_7333));
		}

	}



/* make-pre-clo-env */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_makezd2prezd2clozd2envzd2zzcfa_approxz00(obj_t BgL_loc1746z00_328)
	{
		{	/* Cfa/cinfo.sch 836 */
			{	/* Cfa/cinfo.sch 836 */
				BgL_svarz00_bglt BgL_new1199z00_8502;

				{	/* Cfa/cinfo.sch 836 */
					BgL_svarz00_bglt BgL_tmp1197z00_8503;
					BgL_prezd2clozd2envz00_bglt BgL_wide1198z00_8504;

					{
						BgL_svarz00_bglt BgL_auxz00_10155;

						{	/* Cfa/cinfo.sch 836 */
							BgL_svarz00_bglt BgL_new1196z00_8505;

							BgL_new1196z00_8505 =
								((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_svarz00_bgl))));
							{	/* Cfa/cinfo.sch 836 */
								long BgL_arg1674z00_8506;

								BgL_arg1674z00_8506 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1196z00_8505),
									BgL_arg1674z00_8506);
							}
							{	/* Cfa/cinfo.sch 836 */
								BgL_objectz00_bglt BgL_tmpz00_10160;

								BgL_tmpz00_10160 = ((BgL_objectz00_bglt) BgL_new1196z00_8505);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10160, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1196z00_8505);
							BgL_auxz00_10155 = BgL_new1196z00_8505;
						}
						BgL_tmp1197z00_8503 = ((BgL_svarz00_bglt) BgL_auxz00_10155);
					}
					BgL_wide1198z00_8504 =
						((BgL_prezd2clozd2envz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_prezd2clozd2envz00_bgl))));
					{	/* Cfa/cinfo.sch 836 */
						obj_t BgL_auxz00_10168;
						BgL_objectz00_bglt BgL_tmpz00_10166;

						BgL_auxz00_10168 = ((obj_t) BgL_wide1198z00_8504);
						BgL_tmpz00_10166 = ((BgL_objectz00_bglt) BgL_tmp1197z00_8503);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10166, BgL_auxz00_10168);
					}
					((BgL_objectz00_bglt) BgL_tmp1197z00_8503);
					{	/* Cfa/cinfo.sch 836 */
						long BgL_arg1673z00_8507;

						BgL_arg1673z00_8507 =
							BGL_CLASS_NUM(BGl_prezd2clozd2envz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1197z00_8503), BgL_arg1673z00_8507);
					}
					BgL_new1199z00_8502 = ((BgL_svarz00_bglt) BgL_tmp1197z00_8503);
				}
				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1199z00_8502)))->BgL_locz00) =
					((obj_t) BgL_loc1746z00_328), BUNSPEC);
				return BgL_new1199z00_8502;
			}
		}

	}



/* &make-pre-clo-env */
	BgL_svarz00_bglt BGl_z62makezd2prezd2clozd2envzb0zzcfa_approxz00(obj_t
		BgL_envz00_7334, obj_t BgL_loc1746z00_7335)
	{
		{	/* Cfa/cinfo.sch 836 */
			return BGl_makezd2prezd2clozd2envzd2zzcfa_approxz00(BgL_loc1746z00_7335);
		}

	}



/* pre-clo-env? */
	BGL_EXPORTED_DEF bool_t BGl_prezd2clozd2envzf3zf3zzcfa_approxz00(obj_t
		BgL_objz00_329)
	{
		{	/* Cfa/cinfo.sch 837 */
			{	/* Cfa/cinfo.sch 837 */
				obj_t BgL_classz00_8508;

				BgL_classz00_8508 = BGl_prezd2clozd2envz00zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_329))
					{	/* Cfa/cinfo.sch 837 */
						BgL_objectz00_bglt BgL_arg1820z00_8509;

						BgL_arg1820z00_8509 = (BgL_objectz00_bglt) (BgL_objz00_329);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 837 */
								long BgL_idxz00_8510;

								BgL_idxz00_8510 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8509);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8510 + ((long) 3))) == BgL_classz00_8508);
							}
						else
							{	/* Cfa/cinfo.sch 837 */
								bool_t BgL_res2109z00_8513;

								{	/* Cfa/cinfo.sch 837 */
									obj_t BgL_oclassz00_8514;

									{	/* Cfa/cinfo.sch 837 */
										long BgL_arg1828z00_8515;

										{	/* Cfa/cinfo.sch 837 */
											long BgL_arg1829z00_8516;

											BgL_arg1829z00_8516 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8509);
											BgL_arg1828z00_8515 = (BgL_arg1829z00_8516 - OBJECT_TYPE);
										}
										BgL_oclassz00_8514 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8515);
									}
									{	/* Cfa/cinfo.sch 837 */
										bool_t BgL__ortest_1111z00_8517;

										BgL__ortest_1111z00_8517 =
											(BgL_classz00_8508 == BgL_oclassz00_8514);
										if (BgL__ortest_1111z00_8517)
											{	/* Cfa/cinfo.sch 837 */
												BgL_res2109z00_8513 = BgL__ortest_1111z00_8517;
											}
										else
											{	/* Cfa/cinfo.sch 837 */
												long BgL_odepthz00_8518;

												BgL_odepthz00_8518 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8514);
												if ((((long) 3) < BgL_odepthz00_8518))
													{	/* Cfa/cinfo.sch 837 */
														obj_t BgL_arg1816z00_8519;

														BgL_arg1816z00_8519 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8514,
															((long) 3));
														BgL_res2109z00_8513 =
															(BgL_arg1816z00_8519 == BgL_classz00_8508);
													}
												else
													{	/* Cfa/cinfo.sch 837 */
														BgL_res2109z00_8513 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2109z00_8513;
							}
					}
				else
					{	/* Cfa/cinfo.sch 837 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &pre-clo-env? */
	obj_t BGl_z62prezd2clozd2envzf3z91zzcfa_approxz00(obj_t BgL_envz00_7336,
		obj_t BgL_objz00_7337)
	{
		{	/* Cfa/cinfo.sch 837 */
			return BBOOL(BGl_prezd2clozd2envzf3zf3zzcfa_approxz00(BgL_objz00_7337));
		}

	}



/* pre-clo-env-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_prezd2clozd2envzd2nilzd2zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 838 */
			{	/* Cfa/cinfo.sch 838 */
				obj_t BgL_classz00_4918;

				BgL_classz00_4918 = BGl_prezd2clozd2envz00zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 838 */
					obj_t BgL__ortest_1113z00_4919;

					BgL__ortest_1113z00_4919 = BGL_CLASS_NIL(BgL_classz00_4918);
					if (CBOOL(BgL__ortest_1113z00_4919))
						{	/* Cfa/cinfo.sch 838 */
							return ((BgL_svarz00_bglt) BgL__ortest_1113z00_4919);
						}
					else
						{	/* Cfa/cinfo.sch 838 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4918));
						}
				}
			}
		}

	}



/* &pre-clo-env-nil */
	BgL_svarz00_bglt BGl_z62prezd2clozd2envzd2nilzb0zzcfa_approxz00(obj_t
		BgL_envz00_7338)
	{
		{	/* Cfa/cinfo.sch 838 */
			return BGl_prezd2clozd2envzd2nilzd2zzcfa_approxz00();
		}

	}



/* pre-clo-env-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2clozd2envzd2loczd2zzcfa_approxz00(BgL_svarz00_bglt BgL_oz00_330)
	{
		{	/* Cfa/cinfo.sch 839 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_330)))->BgL_locz00);
		}

	}



/* &pre-clo-env-loc */
	obj_t BGl_z62prezd2clozd2envzd2loczb0zzcfa_approxz00(obj_t BgL_envz00_7339,
		obj_t BgL_oz00_7340)
	{
		{	/* Cfa/cinfo.sch 839 */
			return
				BGl_prezd2clozd2envzd2loczd2zzcfa_approxz00(
				((BgL_svarz00_bglt) BgL_oz00_7340));
		}

	}



/* pre-clo-env-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2clozd2envzd2loczd2setz12z12zzcfa_approxz00(BgL_svarz00_bglt
		BgL_oz00_331, obj_t BgL_vz00_332)
	{
		{	/* Cfa/cinfo.sch 840 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_331)))->BgL_locz00) =
				((obj_t) BgL_vz00_332), BUNSPEC);
		}

	}



/* &pre-clo-env-loc-set! */
	obj_t BGl_z62prezd2clozd2envzd2loczd2setz12z70zzcfa_approxz00(obj_t
		BgL_envz00_7341, obj_t BgL_oz00_7342, obj_t BgL_vz00_7343)
	{
		{	/* Cfa/cinfo.sch 840 */
			return
				BGl_prezd2clozd2envzd2loczd2setz12z12zzcfa_approxz00(
				((BgL_svarz00_bglt) BgL_oz00_7342), BgL_vz00_7343);
		}

	}



/* make-svar/Cinfo */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_makezd2svarzf2Cinfoz20zzcfa_approxz00(obj_t BgL_loc1741z00_333,
		BgL_approxz00_bglt BgL_approx1742z00_334,
		bool_t BgL_clozd2envzf31743z21_335, long BgL_stamp1744z00_336)
	{
		{	/* Cfa/cinfo.sch 843 */
			{	/* Cfa/cinfo.sch 843 */
				BgL_svarz00_bglt BgL_new1204z00_8520;

				{	/* Cfa/cinfo.sch 843 */
					BgL_svarz00_bglt BgL_tmp1202z00_8521;
					BgL_svarzf2cinfozf2_bglt BgL_wide1203z00_8522;

					{
						BgL_svarz00_bglt BgL_auxz00_10215;

						{	/* Cfa/cinfo.sch 843 */
							BgL_svarz00_bglt BgL_new1201z00_8523;

							BgL_new1201z00_8523 =
								((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_svarz00_bgl))));
							{	/* Cfa/cinfo.sch 843 */
								long BgL_arg1680z00_8524;

								BgL_arg1680z00_8524 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1201z00_8523),
									BgL_arg1680z00_8524);
							}
							{	/* Cfa/cinfo.sch 843 */
								BgL_objectz00_bglt BgL_tmpz00_10220;

								BgL_tmpz00_10220 = ((BgL_objectz00_bglt) BgL_new1201z00_8523);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10220, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1201z00_8523);
							BgL_auxz00_10215 = BgL_new1201z00_8523;
						}
						BgL_tmp1202z00_8521 = ((BgL_svarz00_bglt) BgL_auxz00_10215);
					}
					BgL_wide1203z00_8522 =
						((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 843 */
						obj_t BgL_auxz00_10228;
						BgL_objectz00_bglt BgL_tmpz00_10226;

						BgL_auxz00_10228 = ((obj_t) BgL_wide1203z00_8522);
						BgL_tmpz00_10226 = ((BgL_objectz00_bglt) BgL_tmp1202z00_8521);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10226, BgL_auxz00_10228);
					}
					((BgL_objectz00_bglt) BgL_tmp1202z00_8521);
					{	/* Cfa/cinfo.sch 843 */
						long BgL_arg1677z00_8525;

						BgL_arg1677z00_8525 =
							BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1202z00_8521), BgL_arg1677z00_8525);
					}
					BgL_new1204z00_8520 = ((BgL_svarz00_bglt) BgL_tmp1202z00_8521);
				}
				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1204z00_8520)))->BgL_locz00) =
					((obj_t) BgL_loc1741z00_333), BUNSPEC);
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_10238;

					{
						obj_t BgL_auxz00_10239;

						{	/* Cfa/cinfo.sch 843 */
							BgL_objectz00_bglt BgL_tmpz00_10240;

							BgL_tmpz00_10240 = ((BgL_objectz00_bglt) BgL_new1204z00_8520);
							BgL_auxz00_10239 = BGL_OBJECT_WIDENING(BgL_tmpz00_10240);
						}
						BgL_auxz00_10238 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_10239);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10238))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1742z00_334), BUNSPEC);
				}
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_10245;

					{
						obj_t BgL_auxz00_10246;

						{	/* Cfa/cinfo.sch 843 */
							BgL_objectz00_bglt BgL_tmpz00_10247;

							BgL_tmpz00_10247 = ((BgL_objectz00_bglt) BgL_new1204z00_8520);
							BgL_auxz00_10246 = BGL_OBJECT_WIDENING(BgL_tmpz00_10247);
						}
						BgL_auxz00_10245 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_10246);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10245))->
							BgL_clozd2envzf3z21) =
						((bool_t) BgL_clozd2envzf31743z21_335), BUNSPEC);
				}
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_10252;

					{
						obj_t BgL_auxz00_10253;

						{	/* Cfa/cinfo.sch 843 */
							BgL_objectz00_bglt BgL_tmpz00_10254;

							BgL_tmpz00_10254 = ((BgL_objectz00_bglt) BgL_new1204z00_8520);
							BgL_auxz00_10253 = BGL_OBJECT_WIDENING(BgL_tmpz00_10254);
						}
						BgL_auxz00_10252 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_10253);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10252))->
							BgL_stampz00) = ((long) BgL_stamp1744z00_336), BUNSPEC);
				}
				return BgL_new1204z00_8520;
			}
		}

	}



/* &make-svar/Cinfo */
	BgL_svarz00_bglt BGl_z62makezd2svarzf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_7344, obj_t BgL_loc1741z00_7345, obj_t BgL_approx1742z00_7346,
		obj_t BgL_clozd2envzf31743z21_7347, obj_t BgL_stamp1744z00_7348)
	{
		{	/* Cfa/cinfo.sch 843 */
			return
				BGl_makezd2svarzf2Cinfoz20zzcfa_approxz00(BgL_loc1741z00_7345,
				((BgL_approxz00_bglt) BgL_approx1742z00_7346),
				CBOOL(BgL_clozd2envzf31743z21_7347),
				(long) CINT(BgL_stamp1744z00_7348));
		}

	}



/* svar/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_svarzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_337)
	{
		{	/* Cfa/cinfo.sch 844 */
			{	/* Cfa/cinfo.sch 844 */
				obj_t BgL_classz00_8526;

				BgL_classz00_8526 = BGl_svarzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_337))
					{	/* Cfa/cinfo.sch 844 */
						BgL_objectz00_bglt BgL_arg1820z00_8527;

						BgL_arg1820z00_8527 = (BgL_objectz00_bglt) (BgL_objz00_337);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 844 */
								long BgL_idxz00_8528;

								BgL_idxz00_8528 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8527);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8528 + ((long) 3))) == BgL_classz00_8526);
							}
						else
							{	/* Cfa/cinfo.sch 844 */
								bool_t BgL_res2110z00_8531;

								{	/* Cfa/cinfo.sch 844 */
									obj_t BgL_oclassz00_8532;

									{	/* Cfa/cinfo.sch 844 */
										long BgL_arg1828z00_8533;

										{	/* Cfa/cinfo.sch 844 */
											long BgL_arg1829z00_8534;

											BgL_arg1829z00_8534 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8527);
											BgL_arg1828z00_8533 = (BgL_arg1829z00_8534 - OBJECT_TYPE);
										}
										BgL_oclassz00_8532 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8533);
									}
									{	/* Cfa/cinfo.sch 844 */
										bool_t BgL__ortest_1111z00_8535;

										BgL__ortest_1111z00_8535 =
											(BgL_classz00_8526 == BgL_oclassz00_8532);
										if (BgL__ortest_1111z00_8535)
											{	/* Cfa/cinfo.sch 844 */
												BgL_res2110z00_8531 = BgL__ortest_1111z00_8535;
											}
										else
											{	/* Cfa/cinfo.sch 844 */
												long BgL_odepthz00_8536;

												BgL_odepthz00_8536 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8532);
												if ((((long) 3) < BgL_odepthz00_8536))
													{	/* Cfa/cinfo.sch 844 */
														obj_t BgL_arg1816z00_8537;

														BgL_arg1816z00_8537 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8532,
															((long) 3));
														BgL_res2110z00_8531 =
															(BgL_arg1816z00_8537 == BgL_classz00_8526);
													}
												else
													{	/* Cfa/cinfo.sch 844 */
														BgL_res2110z00_8531 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2110z00_8531;
							}
					}
				else
					{	/* Cfa/cinfo.sch 844 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &svar/Cinfo? */
	obj_t BGl_z62svarzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7349,
		obj_t BgL_objz00_7350)
	{
		{	/* Cfa/cinfo.sch 844 */
			return BBOOL(BGl_svarzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7350));
		}

	}



/* svar/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_svarzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 845 */
			{	/* Cfa/cinfo.sch 845 */
				obj_t BgL_classz00_4968;

				BgL_classz00_4968 = BGl_svarzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 845 */
					obj_t BgL__ortest_1113z00_4969;

					BgL__ortest_1113z00_4969 = BGL_CLASS_NIL(BgL_classz00_4968);
					if (CBOOL(BgL__ortest_1113z00_4969))
						{	/* Cfa/cinfo.sch 845 */
							return ((BgL_svarz00_bglt) BgL__ortest_1113z00_4969);
						}
					else
						{	/* Cfa/cinfo.sch 845 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4968));
						}
				}
			}
		}

	}



/* &svar/Cinfo-nil */
	BgL_svarz00_bglt BGl_z62svarzf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7351)
	{
		{	/* Cfa/cinfo.sch 845 */
			return BGl_svarzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* svar/Cinfo-stamp */
	BGL_EXPORTED_DEF long
		BGl_svarzf2Cinfozd2stampz20zzcfa_approxz00(BgL_svarz00_bglt BgL_oz00_338)
	{
		{	/* Cfa/cinfo.sch 846 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_10291;

				{
					obj_t BgL_auxz00_10292;

					{	/* Cfa/cinfo.sch 846 */
						BgL_objectz00_bglt BgL_tmpz00_10293;

						BgL_tmpz00_10293 = ((BgL_objectz00_bglt) BgL_oz00_338);
						BgL_auxz00_10292 = BGL_OBJECT_WIDENING(BgL_tmpz00_10293);
					}
					BgL_auxz00_10291 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_10292);
				}
				return
					(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10291))->
					BgL_stampz00);
			}
		}

	}



/* &svar/Cinfo-stamp */
	obj_t BGl_z62svarzf2Cinfozd2stampz42zzcfa_approxz00(obj_t BgL_envz00_7352,
		obj_t BgL_oz00_7353)
	{
		{	/* Cfa/cinfo.sch 846 */
			return
				BINT(BGl_svarzf2Cinfozd2stampz20zzcfa_approxz00(
					((BgL_svarz00_bglt) BgL_oz00_7353)));
		}

	}



/* svar/Cinfo-stamp-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Cinfozd2stampzd2setz12ze0zzcfa_approxz00(BgL_svarz00_bglt
		BgL_oz00_339, long BgL_vz00_340)
	{
		{	/* Cfa/cinfo.sch 847 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_10301;

				{
					obj_t BgL_auxz00_10302;

					{	/* Cfa/cinfo.sch 847 */
						BgL_objectz00_bglt BgL_tmpz00_10303;

						BgL_tmpz00_10303 = ((BgL_objectz00_bglt) BgL_oz00_339);
						BgL_auxz00_10302 = BGL_OBJECT_WIDENING(BgL_tmpz00_10303);
					}
					BgL_auxz00_10301 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_10302);
				}
				return
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10301))->
						BgL_stampz00) = ((long) BgL_vz00_340), BUNSPEC);
		}}

	}



/* &svar/Cinfo-stamp-set! */
	obj_t BGl_z62svarzf2Cinfozd2stampzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7354, obj_t BgL_oz00_7355, obj_t BgL_vz00_7356)
	{
		{	/* Cfa/cinfo.sch 847 */
			return
				BGl_svarzf2Cinfozd2stampzd2setz12ze0zzcfa_approxz00(
				((BgL_svarz00_bglt) BgL_oz00_7355), (long) CINT(BgL_vz00_7356));
		}

	}



/* svar/Cinfo-clo-env? */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Cinfozd2clozd2envzf3z01zzcfa_approxz00(BgL_svarz00_bglt
		BgL_oz00_341)
	{
		{	/* Cfa/cinfo.sch 848 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_10311;

				{
					obj_t BgL_auxz00_10312;

					{	/* Cfa/cinfo.sch 848 */
						BgL_objectz00_bglt BgL_tmpz00_10313;

						BgL_tmpz00_10313 = ((BgL_objectz00_bglt) BgL_oz00_341);
						BgL_auxz00_10312 = BGL_OBJECT_WIDENING(BgL_tmpz00_10313);
					}
					BgL_auxz00_10311 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_10312);
				}
				return
					(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10311))->
					BgL_clozd2envzf3z21);
			}
		}

	}



/* &svar/Cinfo-clo-env? */
	obj_t BGl_z62svarzf2Cinfozd2clozd2envzf3z63zzcfa_approxz00(obj_t
		BgL_envz00_7357, obj_t BgL_oz00_7358)
	{
		{	/* Cfa/cinfo.sch 848 */
			return
				BBOOL(BGl_svarzf2Cinfozd2clozd2envzf3z01zzcfa_approxz00(
					((BgL_svarz00_bglt) BgL_oz00_7358)));
		}

	}



/* svar/Cinfo-clo-env?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Cinfozd2clozd2envzf3zd2setz12zc1zzcfa_approxz00(BgL_svarz00_bglt
		BgL_oz00_342, bool_t BgL_vz00_343)
	{
		{	/* Cfa/cinfo.sch 849 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_10321;

				{
					obj_t BgL_auxz00_10322;

					{	/* Cfa/cinfo.sch 849 */
						BgL_objectz00_bglt BgL_tmpz00_10323;

						BgL_tmpz00_10323 = ((BgL_objectz00_bglt) BgL_oz00_342);
						BgL_auxz00_10322 = BGL_OBJECT_WIDENING(BgL_tmpz00_10323);
					}
					BgL_auxz00_10321 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_10322);
				}
				return
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10321))->
						BgL_clozd2envzf3z21) = ((bool_t) BgL_vz00_343), BUNSPEC);
			}
		}

	}



/* &svar/Cinfo-clo-env?-set! */
	obj_t BGl_z62svarzf2Cinfozd2clozd2envzf3zd2setz12za3zzcfa_approxz00(obj_t
		BgL_envz00_7359, obj_t BgL_oz00_7360, obj_t BgL_vz00_7361)
	{
		{	/* Cfa/cinfo.sch 849 */
			return
				BGl_svarzf2Cinfozd2clozd2envzf3zd2setz12zc1zzcfa_approxz00(
				((BgL_svarz00_bglt) BgL_oz00_7360), CBOOL(BgL_vz00_7361));
		}

	}



/* svar/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_svarzf2Cinfozd2approxz20zzcfa_approxz00(BgL_svarz00_bglt BgL_oz00_344)
	{
		{	/* Cfa/cinfo.sch 850 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_10331;

				{
					obj_t BgL_auxz00_10332;

					{	/* Cfa/cinfo.sch 850 */
						BgL_objectz00_bglt BgL_tmpz00_10333;

						BgL_tmpz00_10333 = ((BgL_objectz00_bglt) BgL_oz00_344);
						BgL_auxz00_10332 = BGL_OBJECT_WIDENING(BgL_tmpz00_10333);
					}
					BgL_auxz00_10331 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_10332);
				}
				return
					(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10331))->
					BgL_approxz00);
			}
		}

	}



/* &svar/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62svarzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7362, obj_t BgL_oz00_7363)
	{
		{	/* Cfa/cinfo.sch 850 */
			return
				BGl_svarzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_svarz00_bglt) BgL_oz00_7363));
		}

	}



/* svar/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Cinfozd2locz20zzcfa_approxz00(BgL_svarz00_bglt BgL_oz00_347)
	{
		{	/* Cfa/cinfo.sch 852 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_347)))->BgL_locz00);
		}

	}



/* &svar/Cinfo-loc */
	obj_t BGl_z62svarzf2Cinfozd2locz42zzcfa_approxz00(obj_t BgL_envz00_7364,
		obj_t BgL_oz00_7365)
	{
		{	/* Cfa/cinfo.sch 852 */
			return
				BGl_svarzf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_svarz00_bglt) BgL_oz00_7365));
		}

	}



/* svar/Cinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Cinfozd2loczd2setz12ze0zzcfa_approxz00(BgL_svarz00_bglt
		BgL_oz00_348, obj_t BgL_vz00_349)
	{
		{	/* Cfa/cinfo.sch 853 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_348)))->BgL_locz00) =
				((obj_t) BgL_vz00_349), BUNSPEC);
		}

	}



/* &svar/Cinfo-loc-set! */
	obj_t BGl_z62svarzf2Cinfozd2loczd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7366, obj_t BgL_oz00_7367, obj_t BgL_vz00_7368)
	{
		{	/* Cfa/cinfo.sch 853 */
			return
				BGl_svarzf2Cinfozd2loczd2setz12ze0zzcfa_approxz00(
				((BgL_svarz00_bglt) BgL_oz00_7367), BgL_vz00_7368);
		}

	}



/* make-cvar/Cinfo */
	BGL_EXPORTED_DEF BgL_cvarz00_bglt
		BGl_makezd2cvarzf2Cinfoz20zzcfa_approxz00(bool_t BgL_macrozf31738zf3_350,
		BgL_approxz00_bglt BgL_approx1739z00_351)
	{
		{	/* Cfa/cinfo.sch 856 */
			{	/* Cfa/cinfo.sch 856 */
				BgL_cvarz00_bglt BgL_new1208z00_8538;

				{	/* Cfa/cinfo.sch 856 */
					BgL_cvarz00_bglt BgL_tmp1206z00_8539;
					BgL_cvarzf2cinfozf2_bglt BgL_wide1207z00_8540;

					{
						BgL_cvarz00_bglt BgL_auxz00_10348;

						{	/* Cfa/cinfo.sch 856 */
							BgL_cvarz00_bglt BgL_new1205z00_8541;

							BgL_new1205z00_8541 =
								((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_cvarz00_bgl))));
							{	/* Cfa/cinfo.sch 856 */
								long BgL_arg1683z00_8542;

								BgL_arg1683z00_8542 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1205z00_8541),
									BgL_arg1683z00_8542);
							}
							{	/* Cfa/cinfo.sch 856 */
								BgL_objectz00_bglt BgL_tmpz00_10353;

								BgL_tmpz00_10353 = ((BgL_objectz00_bglt) BgL_new1205z00_8541);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10353, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1205z00_8541);
							BgL_auxz00_10348 = BgL_new1205z00_8541;
						}
						BgL_tmp1206z00_8539 = ((BgL_cvarz00_bglt) BgL_auxz00_10348);
					}
					BgL_wide1207z00_8540 =
						((BgL_cvarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cvarzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 856 */
						obj_t BgL_auxz00_10361;
						BgL_objectz00_bglt BgL_tmpz00_10359;

						BgL_auxz00_10361 = ((obj_t) BgL_wide1207z00_8540);
						BgL_tmpz00_10359 = ((BgL_objectz00_bglt) BgL_tmp1206z00_8539);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10359, BgL_auxz00_10361);
					}
					((BgL_objectz00_bglt) BgL_tmp1206z00_8539);
					{	/* Cfa/cinfo.sch 856 */
						long BgL_arg1682z00_8543;

						BgL_arg1682z00_8543 =
							BGL_CLASS_NUM(BGl_cvarzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1206z00_8539), BgL_arg1682z00_8543);
					}
					BgL_new1208z00_8538 = ((BgL_cvarz00_bglt) BgL_tmp1206z00_8539);
				}
				((((BgL_cvarz00_bglt) COBJECT(
								((BgL_cvarz00_bglt) BgL_new1208z00_8538)))->BgL_macrozf3zf3) =
					((bool_t) BgL_macrozf31738zf3_350), BUNSPEC);
				{
					BgL_cvarzf2cinfozf2_bglt BgL_auxz00_10371;

					{
						obj_t BgL_auxz00_10372;

						{	/* Cfa/cinfo.sch 856 */
							BgL_objectz00_bglt BgL_tmpz00_10373;

							BgL_tmpz00_10373 = ((BgL_objectz00_bglt) BgL_new1208z00_8538);
							BgL_auxz00_10372 = BGL_OBJECT_WIDENING(BgL_tmpz00_10373);
						}
						BgL_auxz00_10371 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_10372);
					}
					((((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10371))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1739z00_351), BUNSPEC);
				}
				return BgL_new1208z00_8538;
			}
		}

	}



/* &make-cvar/Cinfo */
	BgL_cvarz00_bglt BGl_z62makezd2cvarzf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_7369, obj_t BgL_macrozf31738zf3_7370,
		obj_t BgL_approx1739z00_7371)
	{
		{	/* Cfa/cinfo.sch 856 */
			return
				BGl_makezd2cvarzf2Cinfoz20zzcfa_approxz00(CBOOL
				(BgL_macrozf31738zf3_7370),
				((BgL_approxz00_bglt) BgL_approx1739z00_7371));
		}

	}



/* cvar/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_cvarzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_352)
	{
		{	/* Cfa/cinfo.sch 857 */
			{	/* Cfa/cinfo.sch 857 */
				obj_t BgL_classz00_8544;

				BgL_classz00_8544 = BGl_cvarzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_352))
					{	/* Cfa/cinfo.sch 857 */
						BgL_objectz00_bglt BgL_arg1820z00_8545;

						BgL_arg1820z00_8545 = (BgL_objectz00_bglt) (BgL_objz00_352);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 857 */
								long BgL_idxz00_8546;

								BgL_idxz00_8546 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8545);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8546 + ((long) 3))) == BgL_classz00_8544);
							}
						else
							{	/* Cfa/cinfo.sch 857 */
								bool_t BgL_res2111z00_8549;

								{	/* Cfa/cinfo.sch 857 */
									obj_t BgL_oclassz00_8550;

									{	/* Cfa/cinfo.sch 857 */
										long BgL_arg1828z00_8551;

										{	/* Cfa/cinfo.sch 857 */
											long BgL_arg1829z00_8552;

											BgL_arg1829z00_8552 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8545);
											BgL_arg1828z00_8551 = (BgL_arg1829z00_8552 - OBJECT_TYPE);
										}
										BgL_oclassz00_8550 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8551);
									}
									{	/* Cfa/cinfo.sch 857 */
										bool_t BgL__ortest_1111z00_8553;

										BgL__ortest_1111z00_8553 =
											(BgL_classz00_8544 == BgL_oclassz00_8550);
										if (BgL__ortest_1111z00_8553)
											{	/* Cfa/cinfo.sch 857 */
												BgL_res2111z00_8549 = BgL__ortest_1111z00_8553;
											}
										else
											{	/* Cfa/cinfo.sch 857 */
												long BgL_odepthz00_8554;

												BgL_odepthz00_8554 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8550);
												if ((((long) 3) < BgL_odepthz00_8554))
													{	/* Cfa/cinfo.sch 857 */
														obj_t BgL_arg1816z00_8555;

														BgL_arg1816z00_8555 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8550,
															((long) 3));
														BgL_res2111z00_8549 =
															(BgL_arg1816z00_8555 == BgL_classz00_8544);
													}
												else
													{	/* Cfa/cinfo.sch 857 */
														BgL_res2111z00_8549 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2111z00_8549;
							}
					}
				else
					{	/* Cfa/cinfo.sch 857 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cvar/Cinfo? */
	obj_t BGl_z62cvarzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7372,
		obj_t BgL_objz00_7373)
	{
		{	/* Cfa/cinfo.sch 857 */
			return BBOOL(BGl_cvarzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7373));
		}

	}



/* cvar/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_cvarz00_bglt
		BGl_cvarzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 858 */
			{	/* Cfa/cinfo.sch 858 */
				obj_t BgL_classz00_5021;

				BgL_classz00_5021 = BGl_cvarzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 858 */
					obj_t BgL__ortest_1113z00_5022;

					BgL__ortest_1113z00_5022 = BGL_CLASS_NIL(BgL_classz00_5021);
					if (CBOOL(BgL__ortest_1113z00_5022))
						{	/* Cfa/cinfo.sch 858 */
							return ((BgL_cvarz00_bglt) BgL__ortest_1113z00_5022);
						}
					else
						{	/* Cfa/cinfo.sch 858 */
							return
								((BgL_cvarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5021));
						}
				}
			}
		}

	}



/* &cvar/Cinfo-nil */
	BgL_cvarz00_bglt BGl_z62cvarzf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7374)
	{
		{	/* Cfa/cinfo.sch 858 */
			return BGl_cvarzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* cvar/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_cvarzf2Cinfozd2approxz20zzcfa_approxz00(BgL_cvarz00_bglt BgL_oz00_353)
	{
		{	/* Cfa/cinfo.sch 859 */
			{
				BgL_cvarzf2cinfozf2_bglt BgL_auxz00_10409;

				{
					obj_t BgL_auxz00_10410;

					{	/* Cfa/cinfo.sch 859 */
						BgL_objectz00_bglt BgL_tmpz00_10411;

						BgL_tmpz00_10411 = ((BgL_objectz00_bglt) BgL_oz00_353);
						BgL_auxz00_10410 = BGL_OBJECT_WIDENING(BgL_tmpz00_10411);
					}
					BgL_auxz00_10409 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_10410);
				}
				return
					(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10409))->
					BgL_approxz00);
			}
		}

	}



/* &cvar/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62cvarzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7375, obj_t BgL_oz00_7376)
	{
		{	/* Cfa/cinfo.sch 859 */
			return
				BGl_cvarzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_cvarz00_bglt) BgL_oz00_7376));
		}

	}



/* cvar/Cinfo-macro? */
	BGL_EXPORTED_DEF bool_t
		BGl_cvarzf2Cinfozd2macrozf3zd3zzcfa_approxz00(BgL_cvarz00_bglt BgL_oz00_356)
	{
		{	/* Cfa/cinfo.sch 861 */
			return
				(((BgL_cvarz00_bglt) COBJECT(
						((BgL_cvarz00_bglt) BgL_oz00_356)))->BgL_macrozf3zf3);
		}

	}



/* &cvar/Cinfo-macro? */
	obj_t BGl_z62cvarzf2Cinfozd2macrozf3zb1zzcfa_approxz00(obj_t BgL_envz00_7377,
		obj_t BgL_oz00_7378)
	{
		{	/* Cfa/cinfo.sch 861 */
			return
				BBOOL(BGl_cvarzf2Cinfozd2macrozf3zd3zzcfa_approxz00(
					((BgL_cvarz00_bglt) BgL_oz00_7378)));
		}

	}



/* make-sexit/Cinfo */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Cinfoz20zzcfa_approxz00(obj_t BgL_handler1734z00_359,
		bool_t BgL_detachedzf31735zf3_360, BgL_approxz00_bglt BgL_approx1736z00_361)
	{
		{	/* Cfa/cinfo.sch 865 */
			{	/* Cfa/cinfo.sch 865 */
				BgL_sexitz00_bglt BgL_new1212z00_8556;

				{	/* Cfa/cinfo.sch 865 */
					BgL_sexitz00_bglt BgL_tmp1210z00_8557;
					BgL_sexitzf2cinfozf2_bglt BgL_wide1211z00_8558;

					{
						BgL_sexitz00_bglt BgL_auxz00_10423;

						{	/* Cfa/cinfo.sch 865 */
							BgL_sexitz00_bglt BgL_new1209z00_8559;

							BgL_new1209z00_8559 =
								((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sexitz00_bgl))));
							{	/* Cfa/cinfo.sch 865 */
								long BgL_arg1692z00_8560;

								BgL_arg1692z00_8560 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1209z00_8559),
									BgL_arg1692z00_8560);
							}
							{	/* Cfa/cinfo.sch 865 */
								BgL_objectz00_bglt BgL_tmpz00_10428;

								BgL_tmpz00_10428 = ((BgL_objectz00_bglt) BgL_new1209z00_8559);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10428, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1209z00_8559);
							BgL_auxz00_10423 = BgL_new1209z00_8559;
						}
						BgL_tmp1210z00_8557 = ((BgL_sexitz00_bglt) BgL_auxz00_10423);
					}
					BgL_wide1211z00_8558 =
						((BgL_sexitzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 865 */
						obj_t BgL_auxz00_10436;
						BgL_objectz00_bglt BgL_tmpz00_10434;

						BgL_auxz00_10436 = ((obj_t) BgL_wide1211z00_8558);
						BgL_tmpz00_10434 = ((BgL_objectz00_bglt) BgL_tmp1210z00_8557);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10434, BgL_auxz00_10436);
					}
					((BgL_objectz00_bglt) BgL_tmp1210z00_8557);
					{	/* Cfa/cinfo.sch 865 */
						long BgL_arg1687z00_8561;

						BgL_arg1687z00_8561 =
							BGL_CLASS_NUM(BGl_sexitzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1210z00_8557), BgL_arg1687z00_8561);
					}
					BgL_new1212z00_8556 = ((BgL_sexitz00_bglt) BgL_tmp1210z00_8557);
				}
				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_new1212z00_8556)))->BgL_handlerz00) =
					((obj_t) BgL_handler1734z00_359), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
									BgL_new1212z00_8556)))->BgL_detachedzf3zf3) =
					((bool_t) BgL_detachedzf31735zf3_360), BUNSPEC);
				{
					BgL_sexitzf2cinfozf2_bglt BgL_auxz00_10448;

					{
						obj_t BgL_auxz00_10449;

						{	/* Cfa/cinfo.sch 865 */
							BgL_objectz00_bglt BgL_tmpz00_10450;

							BgL_tmpz00_10450 = ((BgL_objectz00_bglt) BgL_new1212z00_8556);
							BgL_auxz00_10449 = BGL_OBJECT_WIDENING(BgL_tmpz00_10450);
						}
						BgL_auxz00_10448 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_10449);
					}
					((((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10448))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1736z00_361), BUNSPEC);
				}
				return BgL_new1212z00_8556;
			}
		}

	}



/* &make-sexit/Cinfo */
	BgL_sexitz00_bglt BGl_z62makezd2sexitzf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_7379, obj_t BgL_handler1734z00_7380,
		obj_t BgL_detachedzf31735zf3_7381, obj_t BgL_approx1736z00_7382)
	{
		{	/* Cfa/cinfo.sch 865 */
			return
				BGl_makezd2sexitzf2Cinfoz20zzcfa_approxz00(BgL_handler1734z00_7380,
				CBOOL(BgL_detachedzf31735zf3_7381),
				((BgL_approxz00_bglt) BgL_approx1736z00_7382));
		}

	}



/* sexit/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_sexitzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_362)
	{
		{	/* Cfa/cinfo.sch 866 */
			{	/* Cfa/cinfo.sch 866 */
				obj_t BgL_classz00_8562;

				BgL_classz00_8562 = BGl_sexitzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_362))
					{	/* Cfa/cinfo.sch 866 */
						BgL_objectz00_bglt BgL_arg1820z00_8563;

						BgL_arg1820z00_8563 = (BgL_objectz00_bglt) (BgL_objz00_362);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 866 */
								long BgL_idxz00_8564;

								BgL_idxz00_8564 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8563);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8564 + ((long) 3))) == BgL_classz00_8562);
							}
						else
							{	/* Cfa/cinfo.sch 866 */
								bool_t BgL_res2112z00_8567;

								{	/* Cfa/cinfo.sch 866 */
									obj_t BgL_oclassz00_8568;

									{	/* Cfa/cinfo.sch 866 */
										long BgL_arg1828z00_8569;

										{	/* Cfa/cinfo.sch 866 */
											long BgL_arg1829z00_8570;

											BgL_arg1829z00_8570 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8563);
											BgL_arg1828z00_8569 = (BgL_arg1829z00_8570 - OBJECT_TYPE);
										}
										BgL_oclassz00_8568 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8569);
									}
									{	/* Cfa/cinfo.sch 866 */
										bool_t BgL__ortest_1111z00_8571;

										BgL__ortest_1111z00_8571 =
											(BgL_classz00_8562 == BgL_oclassz00_8568);
										if (BgL__ortest_1111z00_8571)
											{	/* Cfa/cinfo.sch 866 */
												BgL_res2112z00_8567 = BgL__ortest_1111z00_8571;
											}
										else
											{	/* Cfa/cinfo.sch 866 */
												long BgL_odepthz00_8572;

												BgL_odepthz00_8572 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8568);
												if ((((long) 3) < BgL_odepthz00_8572))
													{	/* Cfa/cinfo.sch 866 */
														obj_t BgL_arg1816z00_8573;

														BgL_arg1816z00_8573 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8568,
															((long) 3));
														BgL_res2112z00_8567 =
															(BgL_arg1816z00_8573 == BgL_classz00_8562);
													}
												else
													{	/* Cfa/cinfo.sch 866 */
														BgL_res2112z00_8567 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2112z00_8567;
							}
					}
				else
					{	/* Cfa/cinfo.sch 866 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sexit/Cinfo? */
	obj_t BGl_z62sexitzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7383,
		obj_t BgL_objz00_7384)
	{
		{	/* Cfa/cinfo.sch 866 */
			return BBOOL(BGl_sexitzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7384));
		}

	}



/* sexit/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_sexitzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 867 */
			{	/* Cfa/cinfo.sch 867 */
				obj_t BgL_classz00_5070;

				BgL_classz00_5070 = BGl_sexitzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 867 */
					obj_t BgL__ortest_1113z00_5071;

					BgL__ortest_1113z00_5071 = BGL_CLASS_NIL(BgL_classz00_5070);
					if (CBOOL(BgL__ortest_1113z00_5071))
						{	/* Cfa/cinfo.sch 867 */
							return ((BgL_sexitz00_bglt) BgL__ortest_1113z00_5071);
						}
					else
						{	/* Cfa/cinfo.sch 867 */
							return
								((BgL_sexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5070));
						}
				}
			}
		}

	}



/* &sexit/Cinfo-nil */
	BgL_sexitz00_bglt BGl_z62sexitzf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7385)
	{
		{	/* Cfa/cinfo.sch 867 */
			return BGl_sexitzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* sexit/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_sexitzf2Cinfozd2approxz20zzcfa_approxz00(BgL_sexitz00_bglt BgL_oz00_363)
	{
		{	/* Cfa/cinfo.sch 868 */
			{
				BgL_sexitzf2cinfozf2_bglt BgL_auxz00_10486;

				{
					obj_t BgL_auxz00_10487;

					{	/* Cfa/cinfo.sch 868 */
						BgL_objectz00_bglt BgL_tmpz00_10488;

						BgL_tmpz00_10488 = ((BgL_objectz00_bglt) BgL_oz00_363);
						BgL_auxz00_10487 = BGL_OBJECT_WIDENING(BgL_tmpz00_10488);
					}
					BgL_auxz00_10486 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_10487);
				}
				return
					(((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_10486))->
					BgL_approxz00);
			}
		}

	}



/* &sexit/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62sexitzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7386, obj_t BgL_oz00_7387)
	{
		{	/* Cfa/cinfo.sch 868 */
			return
				BGl_sexitzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_sexitz00_bglt) BgL_oz00_7387));
		}

	}



/* sexit/Cinfo-detached? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Cinfozd2detachedzf3zd3zzcfa_approxz00(BgL_sexitz00_bglt
		BgL_oz00_366)
	{
		{	/* Cfa/cinfo.sch 870 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_366)))->BgL_detachedzf3zf3);
		}

	}



/* &sexit/Cinfo-detached? */
	obj_t BGl_z62sexitzf2Cinfozd2detachedzf3zb1zzcfa_approxz00(obj_t
		BgL_envz00_7388, obj_t BgL_oz00_7389)
	{
		{	/* Cfa/cinfo.sch 870 */
			return
				BBOOL(BGl_sexitzf2Cinfozd2detachedzf3zd3zzcfa_approxz00(
					((BgL_sexitz00_bglt) BgL_oz00_7389)));
		}

	}



/* sexit/Cinfo-detached?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Cinfozd2detachedzf3zd2setz12z13zzcfa_approxz00(BgL_sexitz00_bglt
		BgL_oz00_367, bool_t BgL_vz00_368)
	{
		{	/* Cfa/cinfo.sch 871 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_367)))->BgL_detachedzf3zf3) =
				((bool_t) BgL_vz00_368), BUNSPEC);
		}

	}



/* &sexit/Cinfo-detached?-set! */
	obj_t BGl_z62sexitzf2Cinfozd2detachedzf3zd2setz12z71zzcfa_approxz00(obj_t
		BgL_envz00_7390, obj_t BgL_oz00_7391, obj_t BgL_vz00_7392)
	{
		{	/* Cfa/cinfo.sch 871 */
			return
				BGl_sexitzf2Cinfozd2detachedzf3zd2setz12z13zzcfa_approxz00(
				((BgL_sexitz00_bglt) BgL_oz00_7391), CBOOL(BgL_vz00_7392));
		}

	}



/* sexit/Cinfo-handler */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Cinfozd2handlerz20zzcfa_approxz00(BgL_sexitz00_bglt
		BgL_oz00_369)
	{
		{	/* Cfa/cinfo.sch 872 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_369)))->BgL_handlerz00);
		}

	}



/* &sexit/Cinfo-handler */
	obj_t BGl_z62sexitzf2Cinfozd2handlerz42zzcfa_approxz00(obj_t BgL_envz00_7393,
		obj_t BgL_oz00_7394)
	{
		{	/* Cfa/cinfo.sch 872 */
			return
				BGl_sexitzf2Cinfozd2handlerz20zzcfa_approxz00(
				((BgL_sexitz00_bglt) BgL_oz00_7394));
		}

	}



/* sexit/Cinfo-handler-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Cinfozd2handlerzd2setz12ze0zzcfa_approxz00(BgL_sexitz00_bglt
		BgL_oz00_370, obj_t BgL_vz00_371)
	{
		{	/* Cfa/cinfo.sch 873 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_370)))->BgL_handlerz00) =
				((obj_t) BgL_vz00_371), BUNSPEC);
		}

	}



/* &sexit/Cinfo-handler-set! */
	obj_t BGl_z62sexitzf2Cinfozd2handlerzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7395, obj_t BgL_oz00_7396, obj_t BgL_vz00_7397)
	{
		{	/* Cfa/cinfo.sch 873 */
			return
				BGl_sexitzf2Cinfozd2handlerzd2setz12ze0zzcfa_approxz00(
				((BgL_sexitz00_bglt) BgL_oz00_7396), BgL_vz00_7397);
		}

	}



/* make-reshaped-local */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2reshapedzd2localz00zzcfa_approxz00(obj_t BgL_id1719z00_372,
		obj_t BgL_name1720z00_373, BgL_typez00_bglt BgL_type1721z00_374,
		BgL_valuez00_bglt BgL_value1722z00_375, obj_t BgL_access1723z00_376,
		obj_t BgL_fastzd2alpha1724zd2_377, obj_t BgL_removable1725z00_378,
		long BgL_occurrence1726z00_379, long BgL_occurrencew1727z00_380,
		bool_t BgL_userzf31728zf3_381, long BgL_key1729z00_382,
		obj_t BgL_valzd2noescape1730zd2_383, bool_t BgL_volatile1731z00_384,
		obj_t BgL_bindingzd2value1732zd2_385)
	{
		{	/* Cfa/cinfo.sch 876 */
			{	/* Cfa/cinfo.sch 876 */
				BgL_localz00_bglt BgL_new1216z00_8574;

				{	/* Cfa/cinfo.sch 876 */
					BgL_localz00_bglt BgL_tmp1214z00_8575;
					BgL_reshapedzd2localzd2_bglt BgL_wide1215z00_8576;

					{
						BgL_localz00_bglt BgL_auxz00_10513;

						{	/* Cfa/cinfo.sch 876 */
							BgL_localz00_bglt BgL_new1213z00_8577;

							BgL_new1213z00_8577 =
								((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Cfa/cinfo.sch 876 */
								long BgL_arg1697z00_8578;

								BgL_arg1697z00_8578 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1213z00_8577),
									BgL_arg1697z00_8578);
							}
							{	/* Cfa/cinfo.sch 876 */
								BgL_objectz00_bglt BgL_tmpz00_10518;

								BgL_tmpz00_10518 = ((BgL_objectz00_bglt) BgL_new1213z00_8577);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10518, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1213z00_8577);
							BgL_auxz00_10513 = BgL_new1213z00_8577;
						}
						BgL_tmp1214z00_8575 = ((BgL_localz00_bglt) BgL_auxz00_10513);
					}
					BgL_wide1215z00_8576 =
						((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_reshapedzd2localzd2_bgl))));
					{	/* Cfa/cinfo.sch 876 */
						obj_t BgL_auxz00_10526;
						BgL_objectz00_bglt BgL_tmpz00_10524;

						BgL_auxz00_10526 = ((obj_t) BgL_wide1215z00_8576);
						BgL_tmpz00_10524 = ((BgL_objectz00_bglt) BgL_tmp1214z00_8575);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10524, BgL_auxz00_10526);
					}
					((BgL_objectz00_bglt) BgL_tmp1214z00_8575);
					{	/* Cfa/cinfo.sch 876 */
						long BgL_arg1696z00_8579;

						BgL_arg1696z00_8579 =
							BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1214z00_8575), BgL_arg1696z00_8579);
					}
					BgL_new1216z00_8574 = ((BgL_localz00_bglt) BgL_tmp1214z00_8575);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1216z00_8574)))->BgL_idz00) =
					((obj_t) BgL_id1719z00_372), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1216z00_8574)))->BgL_namez00) =
					((obj_t) BgL_name1720z00_373), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1216z00_8574)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1721z00_374), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1216z00_8574)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1722z00_375), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1216z00_8574)))->BgL_accessz00) =
					((obj_t) BgL_access1723z00_376), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1216z00_8574)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1724zd2_377), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1216z00_8574)))->BgL_removablez00) =
					((obj_t) BgL_removable1725z00_378), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1216z00_8574)))->BgL_occurrencez00) =
					((long) BgL_occurrence1726z00_379), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1216z00_8574)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1727z00_380), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1216z00_8574)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31728zf3_381), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1216z00_8574)))->BgL_keyz00) =
					((long) BgL_key1729z00_382), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1216z00_8574)))->BgL_valzd2noescapezd2) =
					((obj_t) BgL_valzd2noescape1730zd2_383), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1216z00_8574)))->BgL_volatilez00) =
					((bool_t) BgL_volatile1731z00_384), BUNSPEC);
				{
					BgL_reshapedzd2localzd2_bglt BgL_auxz00_10560;

					{
						obj_t BgL_auxz00_10561;

						{	/* Cfa/cinfo.sch 876 */
							BgL_objectz00_bglt BgL_tmpz00_10562;

							BgL_tmpz00_10562 = ((BgL_objectz00_bglt) BgL_new1216z00_8574);
							BgL_auxz00_10561 = BGL_OBJECT_WIDENING(BgL_tmpz00_10562);
						}
						BgL_auxz00_10560 =
							((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_10561);
					}
					((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_10560))->
							BgL_bindingzd2valuezd2) =
						((obj_t) BgL_bindingzd2value1732zd2_385), BUNSPEC);
				}
				return BgL_new1216z00_8574;
			}
		}

	}



/* &make-reshaped-local */
	BgL_localz00_bglt BGl_z62makezd2reshapedzd2localz62zzcfa_approxz00(obj_t
		BgL_envz00_7398, obj_t BgL_id1719z00_7399, obj_t BgL_name1720z00_7400,
		obj_t BgL_type1721z00_7401, obj_t BgL_value1722z00_7402,
		obj_t BgL_access1723z00_7403, obj_t BgL_fastzd2alpha1724zd2_7404,
		obj_t BgL_removable1725z00_7405, obj_t BgL_occurrence1726z00_7406,
		obj_t BgL_occurrencew1727z00_7407, obj_t BgL_userzf31728zf3_7408,
		obj_t BgL_key1729z00_7409, obj_t BgL_valzd2noescape1730zd2_7410,
		obj_t BgL_volatile1731z00_7411, obj_t BgL_bindingzd2value1732zd2_7412)
	{
		{	/* Cfa/cinfo.sch 876 */
			return
				BGl_makezd2reshapedzd2localz00zzcfa_approxz00(BgL_id1719z00_7399,
				BgL_name1720z00_7400, ((BgL_typez00_bglt) BgL_type1721z00_7401),
				((BgL_valuez00_bglt) BgL_value1722z00_7402), BgL_access1723z00_7403,
				BgL_fastzd2alpha1724zd2_7404, BgL_removable1725z00_7405,
				(long) CINT(BgL_occurrence1726z00_7406),
				(long) CINT(BgL_occurrencew1727z00_7407),
				CBOOL(BgL_userzf31728zf3_7408), (long) CINT(BgL_key1729z00_7409),
				BgL_valzd2noescape1730zd2_7410, CBOOL(BgL_volatile1731z00_7411),
				BgL_bindingzd2value1732zd2_7412);
		}

	}



/* reshaped-local? */
	BGL_EXPORTED_DEF bool_t BGl_reshapedzd2localzf3z21zzcfa_approxz00(obj_t
		BgL_objz00_386)
	{
		{	/* Cfa/cinfo.sch 877 */
			{	/* Cfa/cinfo.sch 877 */
				obj_t BgL_classz00_8580;

				BgL_classz00_8580 = BGl_reshapedzd2localzd2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_386))
					{	/* Cfa/cinfo.sch 877 */
						BgL_objectz00_bglt BgL_arg1820z00_8581;

						BgL_arg1820z00_8581 = (BgL_objectz00_bglt) (BgL_objz00_386);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 877 */
								long BgL_idxz00_8582;

								BgL_idxz00_8582 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8581);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8582 + ((long) 3))) == BgL_classz00_8580);
							}
						else
							{	/* Cfa/cinfo.sch 877 */
								bool_t BgL_res2113z00_8585;

								{	/* Cfa/cinfo.sch 877 */
									obj_t BgL_oclassz00_8586;

									{	/* Cfa/cinfo.sch 877 */
										long BgL_arg1828z00_8587;

										{	/* Cfa/cinfo.sch 877 */
											long BgL_arg1829z00_8588;

											BgL_arg1829z00_8588 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8581);
											BgL_arg1828z00_8587 = (BgL_arg1829z00_8588 - OBJECT_TYPE);
										}
										BgL_oclassz00_8586 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8587);
									}
									{	/* Cfa/cinfo.sch 877 */
										bool_t BgL__ortest_1111z00_8589;

										BgL__ortest_1111z00_8589 =
											(BgL_classz00_8580 == BgL_oclassz00_8586);
										if (BgL__ortest_1111z00_8589)
											{	/* Cfa/cinfo.sch 877 */
												BgL_res2113z00_8585 = BgL__ortest_1111z00_8589;
											}
										else
											{	/* Cfa/cinfo.sch 877 */
												long BgL_odepthz00_8590;

												BgL_odepthz00_8590 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8586);
												if ((((long) 3) < BgL_odepthz00_8590))
													{	/* Cfa/cinfo.sch 877 */
														obj_t BgL_arg1816z00_8591;

														BgL_arg1816z00_8591 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8586,
															((long) 3));
														BgL_res2113z00_8585 =
															(BgL_arg1816z00_8591 == BgL_classz00_8580);
													}
												else
													{	/* Cfa/cinfo.sch 877 */
														BgL_res2113z00_8585 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2113z00_8585;
							}
					}
				else
					{	/* Cfa/cinfo.sch 877 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &reshaped-local? */
	obj_t BGl_z62reshapedzd2localzf3z43zzcfa_approxz00(obj_t BgL_envz00_7413,
		obj_t BgL_objz00_7414)
	{
		{	/* Cfa/cinfo.sch 877 */
			return BBOOL(BGl_reshapedzd2localzf3z21zzcfa_approxz00(BgL_objz00_7414));
		}

	}



/* reshaped-local-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_reshapedzd2localzd2nilz00zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 878 */
			{	/* Cfa/cinfo.sch 878 */
				obj_t BgL_classz00_5119;

				BgL_classz00_5119 = BGl_reshapedzd2localzd2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 878 */
					obj_t BgL__ortest_1113z00_5120;

					BgL__ortest_1113z00_5120 = BGL_CLASS_NIL(BgL_classz00_5119);
					if (CBOOL(BgL__ortest_1113z00_5120))
						{	/* Cfa/cinfo.sch 878 */
							return ((BgL_localz00_bglt) BgL__ortest_1113z00_5120);
						}
					else
						{	/* Cfa/cinfo.sch 878 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5119));
						}
				}
			}
		}

	}



/* &reshaped-local-nil */
	BgL_localz00_bglt BGl_z62reshapedzd2localzd2nilz62zzcfa_approxz00(obj_t
		BgL_envz00_7415)
	{
		{	/* Cfa/cinfo.sch 878 */
			return BGl_reshapedzd2localzd2nilz00zzcfa_approxz00();
		}

	}



/* reshaped-local-binding-value */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2bindingzd2valuezd2zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_387)
	{
		{	/* Cfa/cinfo.sch 879 */
			{
				BgL_reshapedzd2localzd2_bglt BgL_auxz00_10603;

				{
					obj_t BgL_auxz00_10604;

					{	/* Cfa/cinfo.sch 879 */
						BgL_objectz00_bglt BgL_tmpz00_10605;

						BgL_tmpz00_10605 = ((BgL_objectz00_bglt) BgL_oz00_387);
						BgL_auxz00_10604 = BGL_OBJECT_WIDENING(BgL_tmpz00_10605);
					}
					BgL_auxz00_10603 = ((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_10604);
				}
				return
					(((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_10603))->
					BgL_bindingzd2valuezd2);
			}
		}

	}



/* &reshaped-local-binding-value */
	obj_t BGl_z62reshapedzd2localzd2bindingzd2valuezb0zzcfa_approxz00(obj_t
		BgL_envz00_7416, obj_t BgL_oz00_7417)
	{
		{	/* Cfa/cinfo.sch 879 */
			return
				BGl_reshapedzd2localzd2bindingzd2valuezd2zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7417));
		}

	}



/* reshaped-local-volatile */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2localzd2volatilez00zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_390)
	{
		{	/* Cfa/cinfo.sch 881 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_390)))->BgL_volatilez00);
		}

	}



/* &reshaped-local-volatile */
	obj_t BGl_z62reshapedzd2localzd2volatilez62zzcfa_approxz00(obj_t
		BgL_envz00_7418, obj_t BgL_oz00_7419)
	{
		{	/* Cfa/cinfo.sch 881 */
			return
				BBOOL(BGl_reshapedzd2localzd2volatilez00zzcfa_approxz00(
					((BgL_localz00_bglt) BgL_oz00_7419)));
		}

	}



/* reshaped-local-volatile-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2volatilezd2setz12zc0zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_391, bool_t BgL_vz00_392)
	{
		{	/* Cfa/cinfo.sch 882 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_391)))->BgL_volatilez00) =
				((bool_t) BgL_vz00_392), BUNSPEC);
		}

	}



/* &reshaped-local-volatile-set! */
	obj_t BGl_z62reshapedzd2localzd2volatilezd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7420, obj_t BgL_oz00_7421, obj_t BgL_vz00_7422)
	{
		{	/* Cfa/cinfo.sch 882 */
			return
				BGl_reshapedzd2localzd2volatilezd2setz12zc0zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7421), CBOOL(BgL_vz00_7422));
		}

	}



/* reshaped-local-val-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2valzd2noescapezd2zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_393)
	{
		{	/* Cfa/cinfo.sch 883 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_393)))->BgL_valzd2noescapezd2);
		}

	}



/* &reshaped-local-val-noescape */
	obj_t BGl_z62reshapedzd2localzd2valzd2noescapezb0zzcfa_approxz00(obj_t
		BgL_envz00_7423, obj_t BgL_oz00_7424)
	{
		{	/* Cfa/cinfo.sch 883 */
			return
				BGl_reshapedzd2localzd2valzd2noescapezd2zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7424));
		}

	}



/* reshaped-local-val-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2valzd2noescapezd2setz12z12zzcfa_approxz00
		(BgL_localz00_bglt BgL_oz00_394, obj_t BgL_vz00_395)
	{
		{	/* Cfa/cinfo.sch 884 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_394)))->BgL_valzd2noescapezd2) =
				((obj_t) BgL_vz00_395), BUNSPEC);
		}

	}



/* &reshaped-local-val-noescape-set! */
	obj_t
		BGl_z62reshapedzd2localzd2valzd2noescapezd2setz12z70zzcfa_approxz00(obj_t
		BgL_envz00_7425, obj_t BgL_oz00_7426, obj_t BgL_vz00_7427)
	{
		{	/* Cfa/cinfo.sch 884 */
			return
				BGl_reshapedzd2localzd2valzd2noescapezd2setz12z12zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7426), BgL_vz00_7427);
		}

	}



/* reshaped-local-key */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2localzd2keyz00zzcfa_approxz00(BgL_localz00_bglt BgL_oz00_396)
	{
		{	/* Cfa/cinfo.sch 885 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_396)))->BgL_keyz00);
		}

	}



/* &reshaped-local-key */
	obj_t BGl_z62reshapedzd2localzd2keyz62zzcfa_approxz00(obj_t BgL_envz00_7428,
		obj_t BgL_oz00_7429)
	{
		{	/* Cfa/cinfo.sch 885 */
			return
				BINT(BGl_reshapedzd2localzd2keyz00zzcfa_approxz00(
					((BgL_localz00_bglt) BgL_oz00_7429)));
		}

	}



/* reshaped-local-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2localzd2userzf3zf3zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_399)
	{
		{	/* Cfa/cinfo.sch 887 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_399)))->BgL_userzf3zf3);
		}

	}



/* &reshaped-local-user? */
	obj_t BGl_z62reshapedzd2localzd2userzf3z91zzcfa_approxz00(obj_t
		BgL_envz00_7430, obj_t BgL_oz00_7431)
	{
		{	/* Cfa/cinfo.sch 887 */
			return
				BBOOL(BGl_reshapedzd2localzd2userzf3zf3zzcfa_approxz00(
					((BgL_localz00_bglt) BgL_oz00_7431)));
		}

	}



/* reshaped-local-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2userzf3zd2setz12z33zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_400, bool_t BgL_vz00_401)
	{
		{	/* Cfa/cinfo.sch 888 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_400)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_401), BUNSPEC);
		}

	}



/* &reshaped-local-user?-set! */
	obj_t BGl_z62reshapedzd2localzd2userzf3zd2setz12z51zzcfa_approxz00(obj_t
		BgL_envz00_7432, obj_t BgL_oz00_7433, obj_t BgL_vz00_7434)
	{
		{	/* Cfa/cinfo.sch 888 */
			return
				BGl_reshapedzd2localzd2userzf3zd2setz12z33zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7433), CBOOL(BgL_vz00_7434));
		}

	}



/* reshaped-local-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2localzd2occurrencewz00zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_402)
	{
		{	/* Cfa/cinfo.sch 889 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_402)))->BgL_occurrencewz00);
		}

	}



/* &reshaped-local-occurrencew */
	obj_t BGl_z62reshapedzd2localzd2occurrencewz62zzcfa_approxz00(obj_t
		BgL_envz00_7435, obj_t BgL_oz00_7436)
	{
		{	/* Cfa/cinfo.sch 889 */
			return
				BINT(BGl_reshapedzd2localzd2occurrencewz00zzcfa_approxz00(
					((BgL_localz00_bglt) BgL_oz00_7436)));
		}

	}



/* reshaped-local-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2occurrencewzd2setz12zc0zzcfa_approxz00
		(BgL_localz00_bglt BgL_oz00_403, long BgL_vz00_404)
	{
		{	/* Cfa/cinfo.sch 890 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_403)))->BgL_occurrencewz00) =
				((long) BgL_vz00_404), BUNSPEC);
		}

	}



/* &reshaped-local-occurrencew-set! */
	obj_t BGl_z62reshapedzd2localzd2occurrencewzd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7437, obj_t BgL_oz00_7438, obj_t BgL_vz00_7439)
	{
		{	/* Cfa/cinfo.sch 890 */
			return
				BGl_reshapedzd2localzd2occurrencewzd2setz12zc0zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7438), (long) CINT(BgL_vz00_7439));
		}

	}



/* reshaped-local-occurrence */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2localzd2occurrencez00zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_405)
	{
		{	/* Cfa/cinfo.sch 891 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_405)))->BgL_occurrencez00);
		}

	}



/* &reshaped-local-occurrence */
	obj_t BGl_z62reshapedzd2localzd2occurrencez62zzcfa_approxz00(obj_t
		BgL_envz00_7440, obj_t BgL_oz00_7441)
	{
		{	/* Cfa/cinfo.sch 891 */
			return
				BINT(BGl_reshapedzd2localzd2occurrencez00zzcfa_approxz00(
					((BgL_localz00_bglt) BgL_oz00_7441)));
		}

	}



/* reshaped-local-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2occurrencezd2setz12zc0zzcfa_approxz00
		(BgL_localz00_bglt BgL_oz00_406, long BgL_vz00_407)
	{
		{	/* Cfa/cinfo.sch 892 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_406)))->BgL_occurrencez00) =
				((long) BgL_vz00_407), BUNSPEC);
		}

	}



/* &reshaped-local-occurrence-set! */
	obj_t BGl_z62reshapedzd2localzd2occurrencezd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7442, obj_t BgL_oz00_7443, obj_t BgL_vz00_7444)
	{
		{	/* Cfa/cinfo.sch 892 */
			return
				BGl_reshapedzd2localzd2occurrencezd2setz12zc0zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7443), (long) CINT(BgL_vz00_7444));
		}

	}



/* reshaped-local-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2removablez00zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_408)
	{
		{	/* Cfa/cinfo.sch 893 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_408)))->BgL_removablez00);
		}

	}



/* &reshaped-local-removable */
	obj_t BGl_z62reshapedzd2localzd2removablez62zzcfa_approxz00(obj_t
		BgL_envz00_7445, obj_t BgL_oz00_7446)
	{
		{	/* Cfa/cinfo.sch 893 */
			return
				BGl_reshapedzd2localzd2removablez00zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7446));
		}

	}



/* reshaped-local-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2removablezd2setz12zc0zzcfa_approxz00
		(BgL_localz00_bglt BgL_oz00_409, obj_t BgL_vz00_410)
	{
		{	/* Cfa/cinfo.sch 894 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_409)))->BgL_removablez00) =
				((obj_t) BgL_vz00_410), BUNSPEC);
		}

	}



/* &reshaped-local-removable-set! */
	obj_t BGl_z62reshapedzd2localzd2removablezd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7447, obj_t BgL_oz00_7448, obj_t BgL_vz00_7449)
	{
		{	/* Cfa/cinfo.sch 894 */
			return
				BGl_reshapedzd2localzd2removablezd2setz12zc0zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7448), BgL_vz00_7449);
		}

	}



/* reshaped-local-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2fastzd2alphazd2zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_411)
	{
		{	/* Cfa/cinfo.sch 895 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_411)))->BgL_fastzd2alphazd2);
		}

	}



/* &reshaped-local-fast-alpha */
	obj_t BGl_z62reshapedzd2localzd2fastzd2alphazb0zzcfa_approxz00(obj_t
		BgL_envz00_7450, obj_t BgL_oz00_7451)
	{
		{	/* Cfa/cinfo.sch 895 */
			return
				BGl_reshapedzd2localzd2fastzd2alphazd2zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7451));
		}

	}



/* reshaped-local-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2fastzd2alphazd2setz12z12zzcfa_approxz00
		(BgL_localz00_bglt BgL_oz00_412, obj_t BgL_vz00_413)
	{
		{	/* Cfa/cinfo.sch 896 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_412)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_413), BUNSPEC);
		}

	}



/* &reshaped-local-fast-alpha-set! */
	obj_t BGl_z62reshapedzd2localzd2fastzd2alphazd2setz12z70zzcfa_approxz00(obj_t
		BgL_envz00_7452, obj_t BgL_oz00_7453, obj_t BgL_vz00_7454)
	{
		{	/* Cfa/cinfo.sch 896 */
			return
				BGl_reshapedzd2localzd2fastzd2alphazd2setz12z12zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7453), BgL_vz00_7454);
		}

	}



/* reshaped-local-access */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2accessz00zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_414)
	{
		{	/* Cfa/cinfo.sch 897 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_414)))->BgL_accessz00);
		}

	}



/* &reshaped-local-access */
	obj_t BGl_z62reshapedzd2localzd2accessz62zzcfa_approxz00(obj_t
		BgL_envz00_7455, obj_t BgL_oz00_7456)
	{
		{	/* Cfa/cinfo.sch 897 */
			return
				BGl_reshapedzd2localzd2accessz00zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7456));
		}

	}



/* reshaped-local-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2accesszd2setz12zc0zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_415, obj_t BgL_vz00_416)
	{
		{	/* Cfa/cinfo.sch 898 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_415)))->BgL_accessz00) =
				((obj_t) BgL_vz00_416), BUNSPEC);
		}

	}



/* &reshaped-local-access-set! */
	obj_t BGl_z62reshapedzd2localzd2accesszd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7457, obj_t BgL_oz00_7458, obj_t BgL_vz00_7459)
	{
		{	/* Cfa/cinfo.sch 898 */
			return
				BGl_reshapedzd2localzd2accesszd2setz12zc0zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7458), BgL_vz00_7459);
		}

	}



/* reshaped-local-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_reshapedzd2localzd2valuez00zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_417)
	{
		{	/* Cfa/cinfo.sch 899 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_417)))->BgL_valuez00);
		}

	}



/* &reshaped-local-value */
	BgL_valuez00_bglt BGl_z62reshapedzd2localzd2valuez62zzcfa_approxz00(obj_t
		BgL_envz00_7460, obj_t BgL_oz00_7461)
	{
		{	/* Cfa/cinfo.sch 899 */
			return
				BGl_reshapedzd2localzd2valuez00zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7461));
		}

	}



/* reshaped-local-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2valuezd2setz12zc0zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_418, BgL_valuez00_bglt BgL_vz00_419)
	{
		{	/* Cfa/cinfo.sch 900 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_418)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_419), BUNSPEC);
		}

	}



/* &reshaped-local-value-set! */
	obj_t BGl_z62reshapedzd2localzd2valuezd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7462, obj_t BgL_oz00_7463, obj_t BgL_vz00_7464)
	{
		{	/* Cfa/cinfo.sch 900 */
			return
				BGl_reshapedzd2localzd2valuezd2setz12zc0zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7463),
				((BgL_valuez00_bglt) BgL_vz00_7464));
		}

	}



/* reshaped-local-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_reshapedzd2localzd2typez00zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_420)
	{
		{	/* Cfa/cinfo.sch 901 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_420)))->BgL_typez00);
		}

	}



/* &reshaped-local-type */
	BgL_typez00_bglt BGl_z62reshapedzd2localzd2typez62zzcfa_approxz00(obj_t
		BgL_envz00_7465, obj_t BgL_oz00_7466)
	{
		{	/* Cfa/cinfo.sch 901 */
			return
				BGl_reshapedzd2localzd2typez00zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7466));
		}

	}



/* reshaped-local-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2typezd2setz12zc0zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_421, BgL_typez00_bglt BgL_vz00_422)
	{
		{	/* Cfa/cinfo.sch 902 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_421)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_422), BUNSPEC);
		}

	}



/* &reshaped-local-type-set! */
	obj_t BGl_z62reshapedzd2localzd2typezd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7467, obj_t BgL_oz00_7468, obj_t BgL_vz00_7469)
	{
		{	/* Cfa/cinfo.sch 902 */
			return
				BGl_reshapedzd2localzd2typezd2setz12zc0zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7468),
				((BgL_typez00_bglt) BgL_vz00_7469));
		}

	}



/* reshaped-local-name */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2namez00zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_423)
	{
		{	/* Cfa/cinfo.sch 903 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_423)))->BgL_namez00);
		}

	}



/* &reshaped-local-name */
	obj_t BGl_z62reshapedzd2localzd2namez62zzcfa_approxz00(obj_t BgL_envz00_7470,
		obj_t BgL_oz00_7471)
	{
		{	/* Cfa/cinfo.sch 903 */
			return
				BGl_reshapedzd2localzd2namez00zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7471));
		}

	}



/* reshaped-local-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2namezd2setz12zc0zzcfa_approxz00(BgL_localz00_bglt
		BgL_oz00_424, obj_t BgL_vz00_425)
	{
		{	/* Cfa/cinfo.sch 904 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_424)))->BgL_namez00) =
				((obj_t) BgL_vz00_425), BUNSPEC);
		}

	}



/* &reshaped-local-name-set! */
	obj_t BGl_z62reshapedzd2localzd2namezd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7472, obj_t BgL_oz00_7473, obj_t BgL_vz00_7474)
	{
		{	/* Cfa/cinfo.sch 904 */
			return
				BGl_reshapedzd2localzd2namezd2setz12zc0zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7473), BgL_vz00_7474);
		}

	}



/* reshaped-local-id */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2idz00zzcfa_approxz00(BgL_localz00_bglt BgL_oz00_426)
	{
		{	/* Cfa/cinfo.sch 905 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_426)))->BgL_idz00);
		}

	}



/* &reshaped-local-id */
	obj_t BGl_z62reshapedzd2localzd2idz62zzcfa_approxz00(obj_t BgL_envz00_7475,
		obj_t BgL_oz00_7476)
	{
		{	/* Cfa/cinfo.sch 905 */
			return
				BGl_reshapedzd2localzd2idz00zzcfa_approxz00(
				((BgL_localz00_bglt) BgL_oz00_7476));
		}

	}



/* make-reshaped-global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2reshapedzd2globalz00zzcfa_approxz00(obj_t BgL_id1698z00_429,
		obj_t BgL_name1699z00_430, BgL_typez00_bglt BgL_type1700z00_431,
		BgL_valuez00_bglt BgL_value1701z00_432, obj_t BgL_access1702z00_433,
		obj_t BgL_fastzd2alpha1703zd2_434, obj_t BgL_removable1704z00_435,
		long BgL_occurrence1705z00_436, long BgL_occurrencew1706z00_437,
		bool_t BgL_userzf31707zf3_438, obj_t BgL_module1708z00_439,
		obj_t BgL_import1709z00_440, bool_t BgL_evaluablezf31710zf3_441,
		bool_t BgL_evalzf31711zf3_442, obj_t BgL_library1712z00_443,
		obj_t BgL_pragma1713z00_444, obj_t BgL_src1714z00_445,
		obj_t BgL_jvmzd2typezd2name1715z00_446, obj_t BgL_init1716z00_447,
		obj_t BgL_alias1717z00_448)
	{
		{	/* Cfa/cinfo.sch 909 */
			{	/* Cfa/cinfo.sch 909 */
				BgL_globalz00_bglt BgL_new1220z00_8592;

				{	/* Cfa/cinfo.sch 909 */
					BgL_globalz00_bglt BgL_tmp1218z00_8593;
					BgL_reshapedzd2globalzd2_bglt BgL_wide1219z00_8594;

					{
						BgL_globalz00_bglt BgL_auxz00_10719;

						{	/* Cfa/cinfo.sch 909 */
							BgL_globalz00_bglt BgL_new1217z00_8595;

							BgL_new1217z00_8595 =
								((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Cfa/cinfo.sch 909 */
								long BgL_arg1705z00_8596;

								BgL_arg1705z00_8596 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1217z00_8595),
									BgL_arg1705z00_8596);
							}
							{	/* Cfa/cinfo.sch 909 */
								BgL_objectz00_bglt BgL_tmpz00_10724;

								BgL_tmpz00_10724 = ((BgL_objectz00_bglt) BgL_new1217z00_8595);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10724, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1217z00_8595);
							BgL_auxz00_10719 = BgL_new1217z00_8595;
						}
						BgL_tmp1218z00_8593 = ((BgL_globalz00_bglt) BgL_auxz00_10719);
					}
					BgL_wide1219z00_8594 =
						((BgL_reshapedzd2globalzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_reshapedzd2globalzd2_bgl))));
					{	/* Cfa/cinfo.sch 909 */
						obj_t BgL_auxz00_10732;
						BgL_objectz00_bglt BgL_tmpz00_10730;

						BgL_auxz00_10732 = ((obj_t) BgL_wide1219z00_8594);
						BgL_tmpz00_10730 = ((BgL_objectz00_bglt) BgL_tmp1218z00_8593);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10730, BgL_auxz00_10732);
					}
					((BgL_objectz00_bglt) BgL_tmp1218z00_8593);
					{	/* Cfa/cinfo.sch 909 */
						long BgL_arg1698z00_8597;

						BgL_arg1698z00_8597 =
							BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1218z00_8593), BgL_arg1698z00_8597);
					}
					BgL_new1220z00_8592 = ((BgL_globalz00_bglt) BgL_tmp1218z00_8593);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1220z00_8592)))->BgL_idz00) =
					((obj_t) BgL_id1698z00_429), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1220z00_8592)))->BgL_namez00) =
					((obj_t) BgL_name1699z00_430), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1220z00_8592)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1700z00_431), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1220z00_8592)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1701z00_432), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1220z00_8592)))->BgL_accessz00) =
					((obj_t) BgL_access1702z00_433), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1220z00_8592)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1703zd2_434), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1220z00_8592)))->BgL_removablez00) =
					((obj_t) BgL_removable1704z00_435), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1220z00_8592)))->BgL_occurrencez00) =
					((long) BgL_occurrence1705z00_436), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1220z00_8592)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1706z00_437), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1220z00_8592)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31707zf3_438), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1220z00_8592)))->BgL_modulez00) =
					((obj_t) BgL_module1708z00_439), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1220z00_8592)))->BgL_importz00) =
					((obj_t) BgL_import1709z00_440), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1220z00_8592)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31710zf3_441), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1220z00_8592)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31711zf3_442), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1220z00_8592)))->BgL_libraryz00) =
					((obj_t) BgL_library1712z00_443), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1220z00_8592)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1713z00_444), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1220z00_8592)))->BgL_srcz00) =
					((obj_t) BgL_src1714z00_445), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1220z00_8592)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1715z00_446), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1220z00_8592)))->BgL_initz00) =
					((obj_t) BgL_init1716z00_447), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1220z00_8592)))->BgL_aliasz00) =
					((obj_t) BgL_alias1717z00_448), BUNSPEC);
				return BgL_new1220z00_8592;
			}
		}

	}



/* &make-reshaped-global */
	BgL_globalz00_bglt BGl_z62makezd2reshapedzd2globalz62zzcfa_approxz00(obj_t
		BgL_envz00_7477, obj_t BgL_id1698z00_7478, obj_t BgL_name1699z00_7479,
		obj_t BgL_type1700z00_7480, obj_t BgL_value1701z00_7481,
		obj_t BgL_access1702z00_7482, obj_t BgL_fastzd2alpha1703zd2_7483,
		obj_t BgL_removable1704z00_7484, obj_t BgL_occurrence1705z00_7485,
		obj_t BgL_occurrencew1706z00_7486, obj_t BgL_userzf31707zf3_7487,
		obj_t BgL_module1708z00_7488, obj_t BgL_import1709z00_7489,
		obj_t BgL_evaluablezf31710zf3_7490, obj_t BgL_evalzf31711zf3_7491,
		obj_t BgL_library1712z00_7492, obj_t BgL_pragma1713z00_7493,
		obj_t BgL_src1714z00_7494, obj_t BgL_jvmzd2typezd2name1715z00_7495,
		obj_t BgL_init1716z00_7496, obj_t BgL_alias1717z00_7497)
	{
		{	/* Cfa/cinfo.sch 909 */
			return
				BGl_makezd2reshapedzd2globalz00zzcfa_approxz00(BgL_id1698z00_7478,
				BgL_name1699z00_7479, ((BgL_typez00_bglt) BgL_type1700z00_7480),
				((BgL_valuez00_bglt) BgL_value1701z00_7481), BgL_access1702z00_7482,
				BgL_fastzd2alpha1703zd2_7483, BgL_removable1704z00_7484,
				(long) CINT(BgL_occurrence1705z00_7485),
				(long) CINT(BgL_occurrencew1706z00_7486),
				CBOOL(BgL_userzf31707zf3_7487), BgL_module1708z00_7488,
				BgL_import1709z00_7489, CBOOL(BgL_evaluablezf31710zf3_7490),
				CBOOL(BgL_evalzf31711zf3_7491), BgL_library1712z00_7492,
				BgL_pragma1713z00_7493, BgL_src1714z00_7494,
				BgL_jvmzd2typezd2name1715z00_7495, BgL_init1716z00_7496,
				BgL_alias1717z00_7497);
		}

	}



/* reshaped-global? */
	BGL_EXPORTED_DEF bool_t BGl_reshapedzd2globalzf3z21zzcfa_approxz00(obj_t
		BgL_objz00_449)
	{
		{	/* Cfa/cinfo.sch 910 */
			{	/* Cfa/cinfo.sch 910 */
				obj_t BgL_classz00_8598;

				BgL_classz00_8598 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_449))
					{	/* Cfa/cinfo.sch 910 */
						BgL_objectz00_bglt BgL_arg1820z00_8599;

						BgL_arg1820z00_8599 = (BgL_objectz00_bglt) (BgL_objz00_449);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 910 */
								long BgL_idxz00_8600;

								BgL_idxz00_8600 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8599);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8600 + ((long) 3))) == BgL_classz00_8598);
							}
						else
							{	/* Cfa/cinfo.sch 910 */
								bool_t BgL_res2114z00_8603;

								{	/* Cfa/cinfo.sch 910 */
									obj_t BgL_oclassz00_8604;

									{	/* Cfa/cinfo.sch 910 */
										long BgL_arg1828z00_8605;

										{	/* Cfa/cinfo.sch 910 */
											long BgL_arg1829z00_8606;

											BgL_arg1829z00_8606 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8599);
											BgL_arg1828z00_8605 = (BgL_arg1829z00_8606 - OBJECT_TYPE);
										}
										BgL_oclassz00_8604 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8605);
									}
									{	/* Cfa/cinfo.sch 910 */
										bool_t BgL__ortest_1111z00_8607;

										BgL__ortest_1111z00_8607 =
											(BgL_classz00_8598 == BgL_oclassz00_8604);
										if (BgL__ortest_1111z00_8607)
											{	/* Cfa/cinfo.sch 910 */
												BgL_res2114z00_8603 = BgL__ortest_1111z00_8607;
											}
										else
											{	/* Cfa/cinfo.sch 910 */
												long BgL_odepthz00_8608;

												BgL_odepthz00_8608 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8604);
												if ((((long) 3) < BgL_odepthz00_8608))
													{	/* Cfa/cinfo.sch 910 */
														obj_t BgL_arg1816z00_8609;

														BgL_arg1816z00_8609 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8604,
															((long) 3));
														BgL_res2114z00_8603 =
															(BgL_arg1816z00_8609 == BgL_classz00_8598);
													}
												else
													{	/* Cfa/cinfo.sch 910 */
														BgL_res2114z00_8603 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2114z00_8603;
							}
					}
				else
					{	/* Cfa/cinfo.sch 910 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &reshaped-global? */
	obj_t BGl_z62reshapedzd2globalzf3z43zzcfa_approxz00(obj_t BgL_envz00_7498,
		obj_t BgL_objz00_7499)
	{
		{	/* Cfa/cinfo.sch 910 */
			return BBOOL(BGl_reshapedzd2globalzf3z21zzcfa_approxz00(BgL_objz00_7499));
		}

	}



/* reshaped-global-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_reshapedzd2globalzd2nilz00zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 911 */
			{	/* Cfa/cinfo.sch 911 */
				obj_t BgL_classz00_5167;

				BgL_classz00_5167 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 911 */
					obj_t BgL__ortest_1113z00_5168;

					BgL__ortest_1113z00_5168 = BGL_CLASS_NIL(BgL_classz00_5167);
					if (CBOOL(BgL__ortest_1113z00_5168))
						{	/* Cfa/cinfo.sch 911 */
							return ((BgL_globalz00_bglt) BgL__ortest_1113z00_5168);
						}
					else
						{	/* Cfa/cinfo.sch 911 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5167));
						}
				}
			}
		}

	}



/* &reshaped-global-nil */
	BgL_globalz00_bglt BGl_z62reshapedzd2globalzd2nilz62zzcfa_approxz00(obj_t
		BgL_envz00_7500)
	{
		{	/* Cfa/cinfo.sch 911 */
			return BGl_reshapedzd2globalzd2nilz00zzcfa_approxz00();
		}

	}



/* reshaped-global-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2aliasz00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_450)
	{
		{	/* Cfa/cinfo.sch 912 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_450)))->BgL_aliasz00);
		}

	}



/* &reshaped-global-alias */
	obj_t BGl_z62reshapedzd2globalzd2aliasz62zzcfa_approxz00(obj_t
		BgL_envz00_7501, obj_t BgL_oz00_7502)
	{
		{	/* Cfa/cinfo.sch 912 */
			return
				BGl_reshapedzd2globalzd2aliasz00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7502));
		}

	}



/* reshaped-global-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2aliaszd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_451, obj_t BgL_vz00_452)
	{
		{	/* Cfa/cinfo.sch 913 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_451)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_452), BUNSPEC);
		}

	}



/* &reshaped-global-alias-set! */
	obj_t BGl_z62reshapedzd2globalzd2aliaszd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7503, obj_t BgL_oz00_7504, obj_t BgL_vz00_7505)
	{
		{	/* Cfa/cinfo.sch 913 */
			return
				BGl_reshapedzd2globalzd2aliaszd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7504), BgL_vz00_7505);
		}

	}



/* reshaped-global-init */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2initz00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_453)
	{
		{	/* Cfa/cinfo.sch 914 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_453)))->BgL_initz00);
		}

	}



/* &reshaped-global-init */
	obj_t BGl_z62reshapedzd2globalzd2initz62zzcfa_approxz00(obj_t BgL_envz00_7506,
		obj_t BgL_oz00_7507)
	{
		{	/* Cfa/cinfo.sch 914 */
			return
				BGl_reshapedzd2globalzd2initz00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7507));
		}

	}



/* reshaped-global-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2initzd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_454, obj_t BgL_vz00_455)
	{
		{	/* Cfa/cinfo.sch 915 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_454)))->BgL_initz00) =
				((obj_t) BgL_vz00_455), BUNSPEC);
		}

	}



/* &reshaped-global-init-set! */
	obj_t BGl_z62reshapedzd2globalzd2initzd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7508, obj_t BgL_oz00_7509, obj_t BgL_vz00_7510)
	{
		{	/* Cfa/cinfo.sch 915 */
			return
				BGl_reshapedzd2globalzd2initzd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7509), BgL_vz00_7510);
		}

	}



/* reshaped-global-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2jvmzd2typezd2namez00zzcfa_approxz00
		(BgL_globalz00_bglt BgL_oz00_456)
	{
		{	/* Cfa/cinfo.sch 916 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_456)))->BgL_jvmzd2typezd2namez00);
		}

	}



/* &reshaped-global-jvm-type-name */
	obj_t BGl_z62reshapedzd2globalzd2jvmzd2typezd2namez62zzcfa_approxz00(obj_t
		BgL_envz00_7511, obj_t BgL_oz00_7512)
	{
		{	/* Cfa/cinfo.sch 916 */
			return
				BGl_reshapedzd2globalzd2jvmzd2typezd2namez00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7512));
		}

	}



/* reshaped-global-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2jvmzd2typezd2namezd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt BgL_oz00_457, obj_t BgL_vz00_458)
	{
		{	/* Cfa/cinfo.sch 917 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_457)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_458), BUNSPEC);
		}

	}



/* &reshaped-global-jvm-type-name-set! */
	obj_t
		BGl_z62reshapedzd2globalzd2jvmzd2typezd2namezd2setz12za2zzcfa_approxz00
		(obj_t BgL_envz00_7513, obj_t BgL_oz00_7514, obj_t BgL_vz00_7515)
	{
		{	/* Cfa/cinfo.sch 917 */
			return
				BGl_reshapedzd2globalzd2jvmzd2typezd2namezd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7514), BgL_vz00_7515);
		}

	}



/* reshaped-global-src */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2srcz00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_459)
	{
		{	/* Cfa/cinfo.sch 918 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_459)))->BgL_srcz00);
		}

	}



/* &reshaped-global-src */
	obj_t BGl_z62reshapedzd2globalzd2srcz62zzcfa_approxz00(obj_t BgL_envz00_7516,
		obj_t BgL_oz00_7517)
	{
		{	/* Cfa/cinfo.sch 918 */
			return
				BGl_reshapedzd2globalzd2srcz00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7517));
		}

	}



/* reshaped-global-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2srczd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_460, obj_t BgL_vz00_461)
	{
		{	/* Cfa/cinfo.sch 919 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_460)))->BgL_srcz00) =
				((obj_t) BgL_vz00_461), BUNSPEC);
		}

	}



/* &reshaped-global-src-set! */
	obj_t BGl_z62reshapedzd2globalzd2srczd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7518, obj_t BgL_oz00_7519, obj_t BgL_vz00_7520)
	{
		{	/* Cfa/cinfo.sch 919 */
			return
				BGl_reshapedzd2globalzd2srczd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7519), BgL_vz00_7520);
		}

	}



/* reshaped-global-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2pragmaz00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_462)
	{
		{	/* Cfa/cinfo.sch 920 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_462)))->BgL_pragmaz00);
		}

	}



/* &reshaped-global-pragma */
	obj_t BGl_z62reshapedzd2globalzd2pragmaz62zzcfa_approxz00(obj_t
		BgL_envz00_7521, obj_t BgL_oz00_7522)
	{
		{	/* Cfa/cinfo.sch 920 */
			return
				BGl_reshapedzd2globalzd2pragmaz00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7522));
		}

	}



/* reshaped-global-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2pragmazd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_463, obj_t BgL_vz00_464)
	{
		{	/* Cfa/cinfo.sch 921 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_463)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_464), BUNSPEC);
		}

	}



/* &reshaped-global-pragma-set! */
	obj_t BGl_z62reshapedzd2globalzd2pragmazd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7523, obj_t BgL_oz00_7524, obj_t BgL_vz00_7525)
	{
		{	/* Cfa/cinfo.sch 921 */
			return
				BGl_reshapedzd2globalzd2pragmazd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7524), BgL_vz00_7525);
		}

	}



/* reshaped-global-library */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2libraryz00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_465)
	{
		{	/* Cfa/cinfo.sch 922 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_465)))->BgL_libraryz00);
		}

	}



/* &reshaped-global-library */
	obj_t BGl_z62reshapedzd2globalzd2libraryz62zzcfa_approxz00(obj_t
		BgL_envz00_7526, obj_t BgL_oz00_7527)
	{
		{	/* Cfa/cinfo.sch 922 */
			return
				BGl_reshapedzd2globalzd2libraryz00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7527));
		}

	}



/* reshaped-global-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2libraryzd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt BgL_oz00_466, obj_t BgL_vz00_467)
	{
		{	/* Cfa/cinfo.sch 923 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_466)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_467), BUNSPEC);
		}

	}



/* &reshaped-global-library-set! */
	obj_t BGl_z62reshapedzd2globalzd2libraryzd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7528, obj_t BgL_oz00_7529, obj_t BgL_vz00_7530)
	{
		{	/* Cfa/cinfo.sch 923 */
			return
				BGl_reshapedzd2globalzd2libraryzd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7529), BgL_vz00_7530);
		}

	}



/* reshaped-global-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2globalzd2evalzf3zf3zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_468)
	{
		{	/* Cfa/cinfo.sch 924 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_468)))->BgL_evalzf3zf3);
		}

	}



/* &reshaped-global-eval? */
	obj_t BGl_z62reshapedzd2globalzd2evalzf3z91zzcfa_approxz00(obj_t
		BgL_envz00_7531, obj_t BgL_oz00_7532)
	{
		{	/* Cfa/cinfo.sch 924 */
			return
				BBOOL(BGl_reshapedzd2globalzd2evalzf3zf3zzcfa_approxz00(
					((BgL_globalz00_bglt) BgL_oz00_7532)));
		}

	}



/* reshaped-global-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2evalzf3zd2setz12z33zzcfa_approxz00
		(BgL_globalz00_bglt BgL_oz00_469, bool_t BgL_vz00_470)
	{
		{	/* Cfa/cinfo.sch 925 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_469)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_470), BUNSPEC);
		}

	}



/* &reshaped-global-eval?-set! */
	obj_t BGl_z62reshapedzd2globalzd2evalzf3zd2setz12z51zzcfa_approxz00(obj_t
		BgL_envz00_7533, obj_t BgL_oz00_7534, obj_t BgL_vz00_7535)
	{
		{	/* Cfa/cinfo.sch 925 */
			return
				BGl_reshapedzd2globalzd2evalzf3zd2setz12z33zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7534), CBOOL(BgL_vz00_7535));
		}

	}



/* reshaped-global-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2globalzd2evaluablezf3zf3zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_471)
	{
		{	/* Cfa/cinfo.sch 926 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_471)))->BgL_evaluablezf3zf3);
		}

	}



/* &reshaped-global-evaluable? */
	obj_t BGl_z62reshapedzd2globalzd2evaluablezf3z91zzcfa_approxz00(obj_t
		BgL_envz00_7536, obj_t BgL_oz00_7537)
	{
		{	/* Cfa/cinfo.sch 926 */
			return
				BBOOL(BGl_reshapedzd2globalzd2evaluablezf3zf3zzcfa_approxz00(
					((BgL_globalz00_bglt) BgL_oz00_7537)));
		}

	}



/* reshaped-global-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2evaluablezf3zd2setz12z33zzcfa_approxz00
		(BgL_globalz00_bglt BgL_oz00_472, bool_t BgL_vz00_473)
	{
		{	/* Cfa/cinfo.sch 927 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_472)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_473), BUNSPEC);
		}

	}



/* &reshaped-global-evaluable?-set! */
	obj_t BGl_z62reshapedzd2globalzd2evaluablezf3zd2setz12z51zzcfa_approxz00(obj_t
		BgL_envz00_7538, obj_t BgL_oz00_7539, obj_t BgL_vz00_7540)
	{
		{	/* Cfa/cinfo.sch 927 */
			return
				BGl_reshapedzd2globalzd2evaluablezf3zd2setz12z33zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7539), CBOOL(BgL_vz00_7540));
		}

	}



/* reshaped-global-import */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2importz00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_474)
	{
		{	/* Cfa/cinfo.sch 928 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_474)))->BgL_importz00);
		}

	}



/* &reshaped-global-import */
	obj_t BGl_z62reshapedzd2globalzd2importz62zzcfa_approxz00(obj_t
		BgL_envz00_7541, obj_t BgL_oz00_7542)
	{
		{	/* Cfa/cinfo.sch 928 */
			return
				BGl_reshapedzd2globalzd2importz00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7542));
		}

	}



/* reshaped-global-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2importzd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_475, obj_t BgL_vz00_476)
	{
		{	/* Cfa/cinfo.sch 929 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_475)))->BgL_importz00) =
				((obj_t) BgL_vz00_476), BUNSPEC);
		}

	}



/* &reshaped-global-import-set! */
	obj_t BGl_z62reshapedzd2globalzd2importzd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7543, obj_t BgL_oz00_7544, obj_t BgL_vz00_7545)
	{
		{	/* Cfa/cinfo.sch 929 */
			return
				BGl_reshapedzd2globalzd2importzd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7544), BgL_vz00_7545);
		}

	}



/* reshaped-global-module */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2modulez00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_477)
	{
		{	/* Cfa/cinfo.sch 930 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_477)))->BgL_modulez00);
		}

	}



/* &reshaped-global-module */
	obj_t BGl_z62reshapedzd2globalzd2modulez62zzcfa_approxz00(obj_t
		BgL_envz00_7546, obj_t BgL_oz00_7547)
	{
		{	/* Cfa/cinfo.sch 930 */
			return
				BGl_reshapedzd2globalzd2modulez00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7547));
		}

	}



/* reshaped-global-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2modulezd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_478, obj_t BgL_vz00_479)
	{
		{	/* Cfa/cinfo.sch 931 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_478)))->BgL_modulez00) =
				((obj_t) BgL_vz00_479), BUNSPEC);
		}

	}



/* &reshaped-global-module-set! */
	obj_t BGl_z62reshapedzd2globalzd2modulezd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7548, obj_t BgL_oz00_7549, obj_t BgL_vz00_7550)
	{
		{	/* Cfa/cinfo.sch 931 */
			return
				BGl_reshapedzd2globalzd2modulezd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7549), BgL_vz00_7550);
		}

	}



/* reshaped-global-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2globalzd2userzf3zf3zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_480)
	{
		{	/* Cfa/cinfo.sch 932 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_480)))->BgL_userzf3zf3);
		}

	}



/* &reshaped-global-user? */
	obj_t BGl_z62reshapedzd2globalzd2userzf3z91zzcfa_approxz00(obj_t
		BgL_envz00_7551, obj_t BgL_oz00_7552)
	{
		{	/* Cfa/cinfo.sch 932 */
			return
				BBOOL(BGl_reshapedzd2globalzd2userzf3zf3zzcfa_approxz00(
					((BgL_globalz00_bglt) BgL_oz00_7552)));
		}

	}



/* reshaped-global-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2userzf3zd2setz12z33zzcfa_approxz00
		(BgL_globalz00_bglt BgL_oz00_481, bool_t BgL_vz00_482)
	{
		{	/* Cfa/cinfo.sch 933 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_481)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_482), BUNSPEC);
		}

	}



/* &reshaped-global-user?-set! */
	obj_t BGl_z62reshapedzd2globalzd2userzf3zd2setz12z51zzcfa_approxz00(obj_t
		BgL_envz00_7553, obj_t BgL_oz00_7554, obj_t BgL_vz00_7555)
	{
		{	/* Cfa/cinfo.sch 933 */
			return
				BGl_reshapedzd2globalzd2userzf3zd2setz12z33zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7554), CBOOL(BgL_vz00_7555));
		}

	}



/* reshaped-global-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2globalzd2occurrencewz00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_483)
	{
		{	/* Cfa/cinfo.sch 934 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_483)))->BgL_occurrencewz00);
		}

	}



/* &reshaped-global-occurrencew */
	obj_t BGl_z62reshapedzd2globalzd2occurrencewz62zzcfa_approxz00(obj_t
		BgL_envz00_7556, obj_t BgL_oz00_7557)
	{
		{	/* Cfa/cinfo.sch 934 */
			return
				BINT(BGl_reshapedzd2globalzd2occurrencewz00zzcfa_approxz00(
					((BgL_globalz00_bglt) BgL_oz00_7557)));
		}

	}



/* reshaped-global-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2occurrencewzd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt BgL_oz00_484, long BgL_vz00_485)
	{
		{	/* Cfa/cinfo.sch 935 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_484)))->BgL_occurrencewz00) =
				((long) BgL_vz00_485), BUNSPEC);
		}

	}



/* &reshaped-global-occurrencew-set! */
	obj_t BGl_z62reshapedzd2globalzd2occurrencewzd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7558, obj_t BgL_oz00_7559, obj_t BgL_vz00_7560)
	{
		{	/* Cfa/cinfo.sch 935 */
			return
				BGl_reshapedzd2globalzd2occurrencewzd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7559), (long) CINT(BgL_vz00_7560));
		}

	}



/* reshaped-global-occurrence */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2globalzd2occurrencez00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_486)
	{
		{	/* Cfa/cinfo.sch 936 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_486)))->BgL_occurrencez00);
		}

	}



/* &reshaped-global-occurrence */
	obj_t BGl_z62reshapedzd2globalzd2occurrencez62zzcfa_approxz00(obj_t
		BgL_envz00_7561, obj_t BgL_oz00_7562)
	{
		{	/* Cfa/cinfo.sch 936 */
			return
				BINT(BGl_reshapedzd2globalzd2occurrencez00zzcfa_approxz00(
					((BgL_globalz00_bglt) BgL_oz00_7562)));
		}

	}



/* reshaped-global-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2occurrencezd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt BgL_oz00_487, long BgL_vz00_488)
	{
		{	/* Cfa/cinfo.sch 937 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_487)))->BgL_occurrencez00) =
				((long) BgL_vz00_488), BUNSPEC);
		}

	}



/* &reshaped-global-occurrence-set! */
	obj_t BGl_z62reshapedzd2globalzd2occurrencezd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7563, obj_t BgL_oz00_7564, obj_t BgL_vz00_7565)
	{
		{	/* Cfa/cinfo.sch 937 */
			return
				BGl_reshapedzd2globalzd2occurrencezd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7564), (long) CINT(BgL_vz00_7565));
		}

	}



/* reshaped-global-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2removablez00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_489)
	{
		{	/* Cfa/cinfo.sch 938 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_489)))->BgL_removablez00);
		}

	}



/* &reshaped-global-removable */
	obj_t BGl_z62reshapedzd2globalzd2removablez62zzcfa_approxz00(obj_t
		BgL_envz00_7566, obj_t BgL_oz00_7567)
	{
		{	/* Cfa/cinfo.sch 938 */
			return
				BGl_reshapedzd2globalzd2removablez00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7567));
		}

	}



/* reshaped-global-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2removablezd2setz12zc0zzcfa_approxz00
		(BgL_globalz00_bglt BgL_oz00_490, obj_t BgL_vz00_491)
	{
		{	/* Cfa/cinfo.sch 939 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_490)))->BgL_removablez00) =
				((obj_t) BgL_vz00_491), BUNSPEC);
		}

	}



/* &reshaped-global-removable-set! */
	obj_t BGl_z62reshapedzd2globalzd2removablezd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7568, obj_t BgL_oz00_7569, obj_t BgL_vz00_7570)
	{
		{	/* Cfa/cinfo.sch 939 */
			return
				BGl_reshapedzd2globalzd2removablezd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7569), BgL_vz00_7570);
		}

	}



/* reshaped-global-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2fastzd2alphazd2zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_492)
	{
		{	/* Cfa/cinfo.sch 940 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_492)))->BgL_fastzd2alphazd2);
		}

	}



/* &reshaped-global-fast-alpha */
	obj_t BGl_z62reshapedzd2globalzd2fastzd2alphazb0zzcfa_approxz00(obj_t
		BgL_envz00_7571, obj_t BgL_oz00_7572)
	{
		{	/* Cfa/cinfo.sch 940 */
			return
				BGl_reshapedzd2globalzd2fastzd2alphazd2zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7572));
		}

	}



/* reshaped-global-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2fastzd2alphazd2setz12z12zzcfa_approxz00
		(BgL_globalz00_bglt BgL_oz00_493, obj_t BgL_vz00_494)
	{
		{	/* Cfa/cinfo.sch 941 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_493)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_494), BUNSPEC);
		}

	}



/* &reshaped-global-fast-alpha-set! */
	obj_t BGl_z62reshapedzd2globalzd2fastzd2alphazd2setz12z70zzcfa_approxz00(obj_t
		BgL_envz00_7573, obj_t BgL_oz00_7574, obj_t BgL_vz00_7575)
	{
		{	/* Cfa/cinfo.sch 941 */
			return
				BGl_reshapedzd2globalzd2fastzd2alphazd2setz12z12zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7574), BgL_vz00_7575);
		}

	}



/* reshaped-global-access */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2accessz00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_495)
	{
		{	/* Cfa/cinfo.sch 942 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_495)))->BgL_accessz00);
		}

	}



/* &reshaped-global-access */
	obj_t BGl_z62reshapedzd2globalzd2accessz62zzcfa_approxz00(obj_t
		BgL_envz00_7576, obj_t BgL_oz00_7577)
	{
		{	/* Cfa/cinfo.sch 942 */
			return
				BGl_reshapedzd2globalzd2accessz00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7577));
		}

	}



/* reshaped-global-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2accesszd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_496, obj_t BgL_vz00_497)
	{
		{	/* Cfa/cinfo.sch 943 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_496)))->BgL_accessz00) =
				((obj_t) BgL_vz00_497), BUNSPEC);
		}

	}



/* &reshaped-global-access-set! */
	obj_t BGl_z62reshapedzd2globalzd2accesszd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7578, obj_t BgL_oz00_7579, obj_t BgL_vz00_7580)
	{
		{	/* Cfa/cinfo.sch 943 */
			return
				BGl_reshapedzd2globalzd2accesszd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7579), BgL_vz00_7580);
		}

	}



/* reshaped-global-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_reshapedzd2globalzd2valuez00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_498)
	{
		{	/* Cfa/cinfo.sch 944 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_498)))->BgL_valuez00);
		}

	}



/* &reshaped-global-value */
	BgL_valuez00_bglt BGl_z62reshapedzd2globalzd2valuez62zzcfa_approxz00(obj_t
		BgL_envz00_7581, obj_t BgL_oz00_7582)
	{
		{	/* Cfa/cinfo.sch 944 */
			return
				BGl_reshapedzd2globalzd2valuez00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7582));
		}

	}



/* reshaped-global-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2valuezd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_499, BgL_valuez00_bglt BgL_vz00_500)
	{
		{	/* Cfa/cinfo.sch 945 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_499)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_500), BUNSPEC);
		}

	}



/* &reshaped-global-value-set! */
	obj_t BGl_z62reshapedzd2globalzd2valuezd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7583, obj_t BgL_oz00_7584, obj_t BgL_vz00_7585)
	{
		{	/* Cfa/cinfo.sch 945 */
			return
				BGl_reshapedzd2globalzd2valuezd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7584),
				((BgL_valuez00_bglt) BgL_vz00_7585));
		}

	}



/* reshaped-global-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_reshapedzd2globalzd2typez00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_501)
	{
		{	/* Cfa/cinfo.sch 946 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_501)))->BgL_typez00);
		}

	}



/* &reshaped-global-type */
	BgL_typez00_bglt BGl_z62reshapedzd2globalzd2typez62zzcfa_approxz00(obj_t
		BgL_envz00_7586, obj_t BgL_oz00_7587)
	{
		{	/* Cfa/cinfo.sch 946 */
			return
				BGl_reshapedzd2globalzd2typez00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7587));
		}

	}



/* reshaped-global-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2typezd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_502, BgL_typez00_bglt BgL_vz00_503)
	{
		{	/* Cfa/cinfo.sch 947 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_502)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_503), BUNSPEC);
		}

	}



/* &reshaped-global-type-set! */
	obj_t BGl_z62reshapedzd2globalzd2typezd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7588, obj_t BgL_oz00_7589, obj_t BgL_vz00_7590)
	{
		{	/* Cfa/cinfo.sch 947 */
			return
				BGl_reshapedzd2globalzd2typezd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7589),
				((BgL_typez00_bglt) BgL_vz00_7590));
		}

	}



/* reshaped-global-name */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2namez00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_504)
	{
		{	/* Cfa/cinfo.sch 948 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_504)))->BgL_namez00);
		}

	}



/* &reshaped-global-name */
	obj_t BGl_z62reshapedzd2globalzd2namez62zzcfa_approxz00(obj_t BgL_envz00_7591,
		obj_t BgL_oz00_7592)
	{
		{	/* Cfa/cinfo.sch 948 */
			return
				BGl_reshapedzd2globalzd2namez00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7592));
		}

	}



/* reshaped-global-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2namezd2setz12zc0zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_505, obj_t BgL_vz00_506)
	{
		{	/* Cfa/cinfo.sch 949 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_505)))->BgL_namez00) =
				((obj_t) BgL_vz00_506), BUNSPEC);
		}

	}



/* &reshaped-global-name-set! */
	obj_t BGl_z62reshapedzd2globalzd2namezd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_7593, obj_t BgL_oz00_7594, obj_t BgL_vz00_7595)
	{
		{	/* Cfa/cinfo.sch 949 */
			return
				BGl_reshapedzd2globalzd2namezd2setz12zc0zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7594), BgL_vz00_7595);
		}

	}



/* reshaped-global-id */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2idz00zzcfa_approxz00(BgL_globalz00_bglt
		BgL_oz00_507)
	{
		{	/* Cfa/cinfo.sch 950 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_507)))->BgL_idz00);
		}

	}



/* &reshaped-global-id */
	obj_t BGl_z62reshapedzd2globalzd2idz62zzcfa_approxz00(obj_t BgL_envz00_7596,
		obj_t BgL_oz00_7597)
	{
		{	/* Cfa/cinfo.sch 950 */
			return
				BGl_reshapedzd2globalzd2idz00zzcfa_approxz00(
				((BgL_globalz00_bglt) BgL_oz00_7597));
		}

	}



/* make-literal/Cinfo */
	BGL_EXPORTED_DEF BgL_literalz00_bglt
		BGl_makezd2literalzf2Cinfoz20zzcfa_approxz00(obj_t BgL_loc1693z00_510,
		BgL_typez00_bglt BgL_type1694z00_511, obj_t BgL_value1695z00_512,
		BgL_approxz00_bglt BgL_approx1696z00_513)
	{
		{	/* Cfa/cinfo.sch 954 */
			{	/* Cfa/cinfo.sch 954 */
				BgL_literalz00_bglt BgL_new1225z00_8610;

				{	/* Cfa/cinfo.sch 954 */
					BgL_literalz00_bglt BgL_tmp1222z00_8611;
					BgL_literalzf2cinfozf2_bglt BgL_wide1223z00_8612;

					{
						BgL_literalz00_bglt BgL_auxz00_10984;

						{	/* Cfa/cinfo.sch 954 */
							BgL_literalz00_bglt BgL_new1221z00_8613;

							BgL_new1221z00_8613 =
								((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_literalz00_bgl))));
							{	/* Cfa/cinfo.sch 954 */
								long BgL_arg1712z00_8614;

								BgL_arg1712z00_8614 =
									BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1221z00_8613),
									BgL_arg1712z00_8614);
							}
							{	/* Cfa/cinfo.sch 954 */
								BgL_objectz00_bglt BgL_tmpz00_10989;

								BgL_tmpz00_10989 = ((BgL_objectz00_bglt) BgL_new1221z00_8613);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10989, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1221z00_8613);
							BgL_auxz00_10984 = BgL_new1221z00_8613;
						}
						BgL_tmp1222z00_8611 = ((BgL_literalz00_bglt) BgL_auxz00_10984);
					}
					BgL_wide1223z00_8612 =
						((BgL_literalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 954 */
						obj_t BgL_auxz00_10997;
						BgL_objectz00_bglt BgL_tmpz00_10995;

						BgL_auxz00_10997 = ((obj_t) BgL_wide1223z00_8612);
						BgL_tmpz00_10995 = ((BgL_objectz00_bglt) BgL_tmp1222z00_8611);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10995, BgL_auxz00_10997);
					}
					((BgL_objectz00_bglt) BgL_tmp1222z00_8611);
					{	/* Cfa/cinfo.sch 954 */
						long BgL_arg1711z00_8615;

						BgL_arg1711z00_8615 =
							BGL_CLASS_NUM(BGl_literalzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1222z00_8611), BgL_arg1711z00_8615);
					}
					BgL_new1225z00_8610 = ((BgL_literalz00_bglt) BgL_tmp1222z00_8611);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1225z00_8610)))->BgL_locz00) =
					((obj_t) BgL_loc1693z00_510), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1225z00_8610)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1694z00_511), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1225z00_8610)))->BgL_valuez00) =
					((obj_t) BgL_value1695z00_512), BUNSPEC);
				{
					BgL_literalzf2cinfozf2_bglt BgL_auxz00_11011;

					{
						obj_t BgL_auxz00_11012;

						{	/* Cfa/cinfo.sch 954 */
							BgL_objectz00_bglt BgL_tmpz00_11013;

							BgL_tmpz00_11013 = ((BgL_objectz00_bglt) BgL_new1225z00_8610);
							BgL_auxz00_11012 = BGL_OBJECT_WIDENING(BgL_tmpz00_11013);
						}
						BgL_auxz00_11011 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_11012);
					}
					((((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11011))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1696z00_513), BUNSPEC);
				}
				return BgL_new1225z00_8610;
			}
		}

	}



/* &make-literal/Cinfo */
	BgL_literalz00_bglt BGl_z62makezd2literalzf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_7598, obj_t BgL_loc1693z00_7599, obj_t BgL_type1694z00_7600,
		obj_t BgL_value1695z00_7601, obj_t BgL_approx1696z00_7602)
	{
		{	/* Cfa/cinfo.sch 954 */
			return
				BGl_makezd2literalzf2Cinfoz20zzcfa_approxz00(BgL_loc1693z00_7599,
				((BgL_typez00_bglt) BgL_type1694z00_7600), BgL_value1695z00_7601,
				((BgL_approxz00_bglt) BgL_approx1696z00_7602));
		}

	}



/* literal/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_literalzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_514)
	{
		{	/* Cfa/cinfo.sch 955 */
			{	/* Cfa/cinfo.sch 955 */
				obj_t BgL_classz00_8616;

				BgL_classz00_8616 = BGl_literalzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_514))
					{	/* Cfa/cinfo.sch 955 */
						BgL_objectz00_bglt BgL_arg1820z00_8617;

						BgL_arg1820z00_8617 = (BgL_objectz00_bglt) (BgL_objz00_514);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 955 */
								long BgL_idxz00_8618;

								BgL_idxz00_8618 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8617);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8618 + ((long) 4))) == BgL_classz00_8616);
							}
						else
							{	/* Cfa/cinfo.sch 955 */
								bool_t BgL_res2115z00_8621;

								{	/* Cfa/cinfo.sch 955 */
									obj_t BgL_oclassz00_8622;

									{	/* Cfa/cinfo.sch 955 */
										long BgL_arg1828z00_8623;

										{	/* Cfa/cinfo.sch 955 */
											long BgL_arg1829z00_8624;

											BgL_arg1829z00_8624 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8617);
											BgL_arg1828z00_8623 = (BgL_arg1829z00_8624 - OBJECT_TYPE);
										}
										BgL_oclassz00_8622 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8623);
									}
									{	/* Cfa/cinfo.sch 955 */
										bool_t BgL__ortest_1111z00_8625;

										BgL__ortest_1111z00_8625 =
											(BgL_classz00_8616 == BgL_oclassz00_8622);
										if (BgL__ortest_1111z00_8625)
											{	/* Cfa/cinfo.sch 955 */
												BgL_res2115z00_8621 = BgL__ortest_1111z00_8625;
											}
										else
											{	/* Cfa/cinfo.sch 955 */
												long BgL_odepthz00_8626;

												BgL_odepthz00_8626 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8622);
												if ((((long) 4) < BgL_odepthz00_8626))
													{	/* Cfa/cinfo.sch 955 */
														obj_t BgL_arg1816z00_8627;

														BgL_arg1816z00_8627 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8622,
															((long) 4));
														BgL_res2115z00_8621 =
															(BgL_arg1816z00_8627 == BgL_classz00_8616);
													}
												else
													{	/* Cfa/cinfo.sch 955 */
														BgL_res2115z00_8621 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2115z00_8621;
							}
					}
				else
					{	/* Cfa/cinfo.sch 955 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &literal/Cinfo? */
	obj_t BGl_z62literalzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7603,
		obj_t BgL_objz00_7604)
	{
		{	/* Cfa/cinfo.sch 955 */
			return BBOOL(BGl_literalzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7604));
		}

	}



/* literal/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_literalz00_bglt
		BGl_literalzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 956 */
			{	/* Cfa/cinfo.sch 956 */
				obj_t BgL_classz00_5215;

				BgL_classz00_5215 = BGl_literalzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 956 */
					obj_t BgL__ortest_1113z00_5216;

					BgL__ortest_1113z00_5216 = BGL_CLASS_NIL(BgL_classz00_5215);
					if (CBOOL(BgL__ortest_1113z00_5216))
						{	/* Cfa/cinfo.sch 956 */
							return ((BgL_literalz00_bglt) BgL__ortest_1113z00_5216);
						}
					else
						{	/* Cfa/cinfo.sch 956 */
							return
								((BgL_literalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5215));
						}
				}
			}
		}

	}



/* &literal/Cinfo-nil */
	BgL_literalz00_bglt BGl_z62literalzf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7605)
	{
		{	/* Cfa/cinfo.sch 956 */
			return BGl_literalzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* literal/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_literalzf2Cinfozd2approxz20zzcfa_approxz00(BgL_literalz00_bglt
		BgL_oz00_515)
	{
		{	/* Cfa/cinfo.sch 957 */
			{
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_11049;

				{
					obj_t BgL_auxz00_11050;

					{	/* Cfa/cinfo.sch 957 */
						BgL_objectz00_bglt BgL_tmpz00_11051;

						BgL_tmpz00_11051 = ((BgL_objectz00_bglt) BgL_oz00_515);
						BgL_auxz00_11050 = BGL_OBJECT_WIDENING(BgL_tmpz00_11051);
					}
					BgL_auxz00_11049 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_11050);
				}
				return
					(((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11049))->
					BgL_approxz00);
			}
		}

	}



/* &literal/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62literalzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7606, obj_t BgL_oz00_7607)
	{
		{	/* Cfa/cinfo.sch 957 */
			return
				BGl_literalzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_literalz00_bglt) BgL_oz00_7607));
		}

	}



/* literal/Cinfo-value */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzf2Cinfozd2valuez20zzcfa_approxz00(BgL_literalz00_bglt
		BgL_oz00_518)
	{
		{	/* Cfa/cinfo.sch 959 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_518)))->BgL_valuez00);
		}

	}



/* &literal/Cinfo-value */
	obj_t BGl_z62literalzf2Cinfozd2valuez42zzcfa_approxz00(obj_t BgL_envz00_7608,
		obj_t BgL_oz00_7609)
	{
		{	/* Cfa/cinfo.sch 959 */
			return
				BGl_literalzf2Cinfozd2valuez20zzcfa_approxz00(
				((BgL_literalz00_bglt) BgL_oz00_7609));
		}

	}



/* literal/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzf2Cinfozd2valuezd2setz12ze0zzcfa_approxz00(BgL_literalz00_bglt
		BgL_oz00_519, obj_t BgL_vz00_520)
	{
		{	/* Cfa/cinfo.sch 960 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_519)))->BgL_valuez00) =
				((obj_t) BgL_vz00_520), BUNSPEC);
		}

	}



/* &literal/Cinfo-value-set! */
	obj_t BGl_z62literalzf2Cinfozd2valuezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7610, obj_t BgL_oz00_7611, obj_t BgL_vz00_7612)
	{
		{	/* Cfa/cinfo.sch 960 */
			return
				BGl_literalzf2Cinfozd2valuezd2setz12ze0zzcfa_approxz00(
				((BgL_literalz00_bglt) BgL_oz00_7611), BgL_vz00_7612);
		}

	}



/* literal/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_literalzf2Cinfozd2typez20zzcfa_approxz00(BgL_literalz00_bglt
		BgL_oz00_521)
	{
		{	/* Cfa/cinfo.sch 961 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_521)))->BgL_typez00);
		}

	}



/* &literal/Cinfo-type */
	BgL_typez00_bglt BGl_z62literalzf2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_7613, obj_t BgL_oz00_7614)
	{
		{	/* Cfa/cinfo.sch 961 */
			return
				BGl_literalzf2Cinfozd2typez20zzcfa_approxz00(
				((BgL_literalz00_bglt) BgL_oz00_7614));
		}

	}



/* literal/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_literalz00_bglt
		BgL_oz00_522, BgL_typez00_bglt BgL_vz00_523)
	{
		{	/* Cfa/cinfo.sch 962 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_522)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_523), BUNSPEC);
		}

	}



/* &literal/Cinfo-type-set! */
	obj_t BGl_z62literalzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7615, obj_t BgL_oz00_7616, obj_t BgL_vz00_7617)
	{
		{	/* Cfa/cinfo.sch 962 */
			return
				BGl_literalzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_literalz00_bglt) BgL_oz00_7616),
				((BgL_typez00_bglt) BgL_vz00_7617));
		}

	}



/* literal/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzf2Cinfozd2locz20zzcfa_approxz00(BgL_literalz00_bglt
		BgL_oz00_524)
	{
		{	/* Cfa/cinfo.sch 963 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_524)))->BgL_locz00);
		}

	}



/* &literal/Cinfo-loc */
	obj_t BGl_z62literalzf2Cinfozd2locz42zzcfa_approxz00(obj_t BgL_envz00_7618,
		obj_t BgL_oz00_7619)
	{
		{	/* Cfa/cinfo.sch 963 */
			return
				BGl_literalzf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_literalz00_bglt) BgL_oz00_7619));
		}

	}



/* make-genpatchid/Cinfo */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzf2Cinfoz20zzcfa_approxz00(obj_t BgL_loc1683z00_527,
		BgL_typez00_bglt BgL_type1684z00_528, obj_t BgL_sidezd2effect1685zd2_529,
		obj_t BgL_key1686z00_530, obj_t BgL_exprza21687za2_531,
		obj_t BgL_effect1688z00_532, long BgL_index1689z00_533,
		long BgL_rindex1690z00_534, BgL_approxz00_bglt BgL_approx1691z00_535)
	{
		{	/* Cfa/cinfo.sch 967 */
			{	/* Cfa/cinfo.sch 967 */
				BgL_genpatchidz00_bglt BgL_new1229z00_8628;

				{	/* Cfa/cinfo.sch 967 */
					BgL_genpatchidz00_bglt BgL_tmp1227z00_8629;
					BgL_genpatchidzf2cinfozf2_bglt BgL_wide1228z00_8630;

					{
						BgL_genpatchidz00_bglt BgL_auxz00_11079;

						{	/* Cfa/cinfo.sch 967 */
							BgL_genpatchidz00_bglt BgL_new1226z00_8631;

							BgL_new1226z00_8631 =
								((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_genpatchidz00_bgl))));
							{	/* Cfa/cinfo.sch 967 */
								long BgL_arg1721z00_8632;

								BgL_arg1721z00_8632 =
									BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1226z00_8631),
									BgL_arg1721z00_8632);
							}
							{	/* Cfa/cinfo.sch 967 */
								BgL_objectz00_bglt BgL_tmpz00_11084;

								BgL_tmpz00_11084 = ((BgL_objectz00_bglt) BgL_new1226z00_8631);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11084, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1226z00_8631);
							BgL_auxz00_11079 = BgL_new1226z00_8631;
						}
						BgL_tmp1227z00_8629 = ((BgL_genpatchidz00_bglt) BgL_auxz00_11079);
					}
					BgL_wide1228z00_8630 =
						((BgL_genpatchidzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_genpatchidzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 967 */
						obj_t BgL_auxz00_11092;
						BgL_objectz00_bglt BgL_tmpz00_11090;

						BgL_auxz00_11092 = ((obj_t) BgL_wide1228z00_8630);
						BgL_tmpz00_11090 = ((BgL_objectz00_bglt) BgL_tmp1227z00_8629);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11090, BgL_auxz00_11092);
					}
					((BgL_objectz00_bglt) BgL_tmp1227z00_8629);
					{	/* Cfa/cinfo.sch 967 */
						long BgL_arg1720z00_8633;

						BgL_arg1720z00_8633 =
							BGL_CLASS_NUM(BGl_genpatchidzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1227z00_8629), BgL_arg1720z00_8633);
					}
					BgL_new1229z00_8628 = ((BgL_genpatchidz00_bglt) BgL_tmp1227z00_8629);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1229z00_8628)))->BgL_locz00) =
					((obj_t) BgL_loc1683z00_527), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1229z00_8628)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1684z00_528), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1229z00_8628)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1685zd2_529), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1229z00_8628)))->BgL_keyz00) =
					((obj_t) BgL_key1686z00_530), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1229z00_8628)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21687za2_531), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1229z00_8628)))->BgL_effectz00) =
					((obj_t) BgL_effect1688z00_532), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1229z00_8628)))->BgL_indexz00) =
					((long) BgL_index1689z00_533), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1229z00_8628)))->BgL_rindexz00) =
					((long) BgL_rindex1690z00_534), BUNSPEC);
				{
					BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_11116;

					{
						obj_t BgL_auxz00_11117;

						{	/* Cfa/cinfo.sch 967 */
							BgL_objectz00_bglt BgL_tmpz00_11118;

							BgL_tmpz00_11118 = ((BgL_objectz00_bglt) BgL_new1229z00_8628);
							BgL_auxz00_11117 = BGL_OBJECT_WIDENING(BgL_tmpz00_11118);
						}
						BgL_auxz00_11116 =
							((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_11117);
					}
					((((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11116))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1691z00_535), BUNSPEC);
				}
				return BgL_new1229z00_8628;
			}
		}

	}



/* &make-genpatchid/Cinfo */
	BgL_genpatchidz00_bglt
		BGl_z62makezd2genpatchidzf2Cinfoz42zzcfa_approxz00(obj_t BgL_envz00_7620,
		obj_t BgL_loc1683z00_7621, obj_t BgL_type1684z00_7622,
		obj_t BgL_sidezd2effect1685zd2_7623, obj_t BgL_key1686z00_7624,
		obj_t BgL_exprza21687za2_7625, obj_t BgL_effect1688z00_7626,
		obj_t BgL_index1689z00_7627, obj_t BgL_rindex1690z00_7628,
		obj_t BgL_approx1691z00_7629)
	{
		{	/* Cfa/cinfo.sch 967 */
			return
				BGl_makezd2genpatchidzf2Cinfoz20zzcfa_approxz00(BgL_loc1683z00_7621,
				((BgL_typez00_bglt) BgL_type1684z00_7622),
				BgL_sidezd2effect1685zd2_7623, BgL_key1686z00_7624,
				BgL_exprza21687za2_7625, BgL_effect1688z00_7626,
				(long) CINT(BgL_index1689z00_7627), (long) CINT(BgL_rindex1690z00_7628),
				((BgL_approxz00_bglt) BgL_approx1691z00_7629));
		}

	}



/* genpatchid/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_genpatchidzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_536)
	{
		{	/* Cfa/cinfo.sch 968 */
			{	/* Cfa/cinfo.sch 968 */
				obj_t BgL_classz00_8634;

				BgL_classz00_8634 = BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_536))
					{	/* Cfa/cinfo.sch 968 */
						BgL_objectz00_bglt BgL_arg1820z00_8635;

						BgL_arg1820z00_8635 = (BgL_objectz00_bglt) (BgL_objz00_536);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 968 */
								long BgL_idxz00_8636;

								BgL_idxz00_8636 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8635);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8636 + ((long) 5))) == BgL_classz00_8634);
							}
						else
							{	/* Cfa/cinfo.sch 968 */
								bool_t BgL_res2116z00_8639;

								{	/* Cfa/cinfo.sch 968 */
									obj_t BgL_oclassz00_8640;

									{	/* Cfa/cinfo.sch 968 */
										long BgL_arg1828z00_8641;

										{	/* Cfa/cinfo.sch 968 */
											long BgL_arg1829z00_8642;

											BgL_arg1829z00_8642 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8635);
											BgL_arg1828z00_8641 = (BgL_arg1829z00_8642 - OBJECT_TYPE);
										}
										BgL_oclassz00_8640 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8641);
									}
									{	/* Cfa/cinfo.sch 968 */
										bool_t BgL__ortest_1111z00_8643;

										BgL__ortest_1111z00_8643 =
											(BgL_classz00_8634 == BgL_oclassz00_8640);
										if (BgL__ortest_1111z00_8643)
											{	/* Cfa/cinfo.sch 968 */
												BgL_res2116z00_8639 = BgL__ortest_1111z00_8643;
											}
										else
											{	/* Cfa/cinfo.sch 968 */
												long BgL_odepthz00_8644;

												BgL_odepthz00_8644 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8640);
												if ((((long) 5) < BgL_odepthz00_8644))
													{	/* Cfa/cinfo.sch 968 */
														obj_t BgL_arg1816z00_8645;

														BgL_arg1816z00_8645 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8640,
															((long) 5));
														BgL_res2116z00_8639 =
															(BgL_arg1816z00_8645 == BgL_classz00_8634);
													}
												else
													{	/* Cfa/cinfo.sch 968 */
														BgL_res2116z00_8639 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2116z00_8639;
							}
					}
				else
					{	/* Cfa/cinfo.sch 968 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &genpatchid/Cinfo? */
	obj_t BGl_z62genpatchidzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7630,
		obj_t BgL_objz00_7631)
	{
		{	/* Cfa/cinfo.sch 968 */
			return
				BBOOL(BGl_genpatchidzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7631));
		}

	}



/* genpatchid/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt
		BGl_genpatchidzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 969 */
			{	/* Cfa/cinfo.sch 969 */
				obj_t BgL_classz00_5264;

				BgL_classz00_5264 = BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 969 */
					obj_t BgL__ortest_1113z00_5265;

					BgL__ortest_1113z00_5265 = BGL_CLASS_NIL(BgL_classz00_5264);
					if (CBOOL(BgL__ortest_1113z00_5265))
						{	/* Cfa/cinfo.sch 969 */
							return ((BgL_genpatchidz00_bglt) BgL__ortest_1113z00_5265);
						}
					else
						{	/* Cfa/cinfo.sch 969 */
							return
								((BgL_genpatchidz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5264));
						}
				}
			}
		}

	}



/* &genpatchid/Cinfo-nil */
	BgL_genpatchidz00_bglt BGl_z62genpatchidzf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7632)
	{
		{	/* Cfa/cinfo.sch 969 */
			return BGl_genpatchidzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* genpatchid/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_genpatchidzf2Cinfozd2approxz20zzcfa_approxz00(BgL_genpatchidz00_bglt
		BgL_oz00_537)
	{
		{	/* Cfa/cinfo.sch 970 */
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_11156;

				{
					obj_t BgL_auxz00_11157;

					{	/* Cfa/cinfo.sch 970 */
						BgL_objectz00_bglt BgL_tmpz00_11158;

						BgL_tmpz00_11158 = ((BgL_objectz00_bglt) BgL_oz00_537);
						BgL_auxz00_11157 = BGL_OBJECT_WIDENING(BgL_tmpz00_11158);
					}
					BgL_auxz00_11156 =
						((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_11157);
				}
				return
					(((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11156))->
					BgL_approxz00);
			}
		}

	}



/* &genpatchid/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62genpatchidzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7633, obj_t BgL_oz00_7634)
	{
		{	/* Cfa/cinfo.sch 970 */
			return
				BGl_genpatchidzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7634));
		}

	}



/* genpatchid/Cinfo-rindex */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzf2Cinfozd2rindexz20zzcfa_approxz00(BgL_genpatchidz00_bglt
		BgL_oz00_540)
	{
		{	/* Cfa/cinfo.sch 972 */
			return
				(((BgL_genpatchidz00_bglt) COBJECT(
						((BgL_genpatchidz00_bglt) BgL_oz00_540)))->BgL_rindexz00);
		}

	}



/* &genpatchid/Cinfo-rindex */
	obj_t BGl_z62genpatchidzf2Cinfozd2rindexz42zzcfa_approxz00(obj_t
		BgL_envz00_7635, obj_t BgL_oz00_7636)
	{
		{	/* Cfa/cinfo.sch 972 */
			return
				BINT(BGl_genpatchidzf2Cinfozd2rindexz20zzcfa_approxz00(
					((BgL_genpatchidz00_bglt) BgL_oz00_7636)));
		}

	}



/* genpatchid/Cinfo-rindex-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2rindexzd2setz12ze0zzcfa_approxz00
		(BgL_genpatchidz00_bglt BgL_oz00_541, long BgL_vz00_542)
	{
		{	/* Cfa/cinfo.sch 973 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_541)))->BgL_rindexz00) =
				((long) BgL_vz00_542), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-rindex-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2rindexzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7637, obj_t BgL_oz00_7638, obj_t BgL_vz00_7639)
	{
		{	/* Cfa/cinfo.sch 973 */
			return
				BGl_genpatchidzf2Cinfozd2rindexzd2setz12ze0zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7638), (long) CINT(BgL_vz00_7639));
		}

	}



/* genpatchid/Cinfo-index */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzf2Cinfozd2indexz20zzcfa_approxz00(BgL_genpatchidz00_bglt
		BgL_oz00_543)
	{
		{	/* Cfa/cinfo.sch 974 */
			return
				(((BgL_genpatchidz00_bglt) COBJECT(
						((BgL_genpatchidz00_bglt) BgL_oz00_543)))->BgL_indexz00);
		}

	}



/* &genpatchid/Cinfo-index */
	obj_t BGl_z62genpatchidzf2Cinfozd2indexz42zzcfa_approxz00(obj_t
		BgL_envz00_7640, obj_t BgL_oz00_7641)
	{
		{	/* Cfa/cinfo.sch 974 */
			return
				BINT(BGl_genpatchidzf2Cinfozd2indexz20zzcfa_approxz00(
					((BgL_genpatchidz00_bglt) BgL_oz00_7641)));
		}

	}



/* genpatchid/Cinfo-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2indexzd2setz12ze0zzcfa_approxz00
		(BgL_genpatchidz00_bglt BgL_oz00_544, long BgL_vz00_545)
	{
		{	/* Cfa/cinfo.sch 975 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_544)))->BgL_indexz00) =
				((long) BgL_vz00_545), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-index-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2indexzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7642, obj_t BgL_oz00_7643, obj_t BgL_vz00_7644)
	{
		{	/* Cfa/cinfo.sch 975 */
			return
				BGl_genpatchidzf2Cinfozd2indexzd2setz12ze0zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7643), (long) CINT(BgL_vz00_7644));
		}

	}



/* genpatchid/Cinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2effectz20zzcfa_approxz00(BgL_genpatchidz00_bglt
		BgL_oz00_546)
	{
		{	/* Cfa/cinfo.sch 976 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_546)))->BgL_effectz00);
		}

	}



/* &genpatchid/Cinfo-effect */
	obj_t BGl_z62genpatchidzf2Cinfozd2effectz42zzcfa_approxz00(obj_t
		BgL_envz00_7645, obj_t BgL_oz00_7646)
	{
		{	/* Cfa/cinfo.sch 976 */
			return
				BGl_genpatchidzf2Cinfozd2effectz20zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7646));
		}

	}



/* genpatchid/Cinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2effectzd2setz12ze0zzcfa_approxz00
		(BgL_genpatchidz00_bglt BgL_oz00_547, obj_t BgL_vz00_548)
	{
		{	/* Cfa/cinfo.sch 977 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_547)))->BgL_effectz00) =
				((obj_t) BgL_vz00_548), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-effect-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2effectzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7647, obj_t BgL_oz00_7648, obj_t BgL_vz00_7649)
	{
		{	/* Cfa/cinfo.sch 977 */
			return
				BGl_genpatchidzf2Cinfozd2effectzd2setz12ze0zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7648), BgL_vz00_7649);
		}

	}



/* genpatchid/Cinfo-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2exprza2z82zzcfa_approxz00(BgL_genpatchidz00_bglt
		BgL_oz00_549)
	{
		{	/* Cfa/cinfo.sch 978 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_549)))->BgL_exprza2za2);
		}

	}



/* &genpatchid/Cinfo-expr* */
	obj_t BGl_z62genpatchidzf2Cinfozd2exprza2ze0zzcfa_approxz00(obj_t
		BgL_envz00_7650, obj_t BgL_oz00_7651)
	{
		{	/* Cfa/cinfo.sch 978 */
			return
				BGl_genpatchidzf2Cinfozd2exprza2z82zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7651));
		}

	}



/* genpatchid/Cinfo-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2exprza2zd2setz12z42zzcfa_approxz00
		(BgL_genpatchidz00_bglt BgL_oz00_550, obj_t BgL_vz00_551)
	{
		{	/* Cfa/cinfo.sch 979 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_550)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_551), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-expr*-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2exprza2zd2setz12z20zzcfa_approxz00(obj_t
		BgL_envz00_7652, obj_t BgL_oz00_7653, obj_t BgL_vz00_7654)
	{
		{	/* Cfa/cinfo.sch 979 */
			return
				BGl_genpatchidzf2Cinfozd2exprza2zd2setz12z42zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7653), BgL_vz00_7654);
		}

	}



/* genpatchid/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2keyz20zzcfa_approxz00(BgL_genpatchidz00_bglt
		BgL_oz00_552)
	{
		{	/* Cfa/cinfo.sch 980 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_552)))->BgL_keyz00);
		}

	}



/* &genpatchid/Cinfo-key */
	obj_t BGl_z62genpatchidzf2Cinfozd2keyz42zzcfa_approxz00(obj_t BgL_envz00_7655,
		obj_t BgL_oz00_7656)
	{
		{	/* Cfa/cinfo.sch 980 */
			return
				BGl_genpatchidzf2Cinfozd2keyz20zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7656));
		}

	}



/* genpatchid/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2keyzd2setz12ze0zzcfa_approxz00
		(BgL_genpatchidz00_bglt BgL_oz00_553, obj_t BgL_vz00_554)
	{
		{	/* Cfa/cinfo.sch 981 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_553)))->BgL_keyz00) =
				((obj_t) BgL_vz00_554), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-key-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2keyzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7657, obj_t BgL_oz00_7658, obj_t BgL_vz00_7659)
	{
		{	/* Cfa/cinfo.sch 981 */
			return
				BGl_genpatchidzf2Cinfozd2keyzd2setz12ze0zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7658), BgL_vz00_7659);
		}

	}



/* genpatchid/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2sidezd2effectzf2zzcfa_approxz00
		(BgL_genpatchidz00_bglt BgL_oz00_555)
	{
		{	/* Cfa/cinfo.sch 982 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_555)))->BgL_sidezd2effectzd2);
		}

	}



/* &genpatchid/Cinfo-side-effect */
	obj_t BGl_z62genpatchidzf2Cinfozd2sidezd2effectz90zzcfa_approxz00(obj_t
		BgL_envz00_7660, obj_t BgL_oz00_7661)
	{
		{	/* Cfa/cinfo.sch 982 */
			return
				BGl_genpatchidzf2Cinfozd2sidezd2effectzf2zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7661));
		}

	}



/* genpatchid/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00
		(BgL_genpatchidz00_bglt BgL_oz00_556, obj_t BgL_vz00_557)
	{
		{	/* Cfa/cinfo.sch 983 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_556)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_557), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-side-effect-set! */
	obj_t
		BGl_z62genpatchidzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7662, obj_t BgL_oz00_7663, obj_t BgL_vz00_7664)
	{
		{	/* Cfa/cinfo.sch 983 */
			return
				BGl_genpatchidzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7663), BgL_vz00_7664);
		}

	}



/* genpatchid/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_genpatchidzf2Cinfozd2typez20zzcfa_approxz00(BgL_genpatchidz00_bglt
		BgL_oz00_558)
	{
		{	/* Cfa/cinfo.sch 984 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_558)))->BgL_typez00);
		}

	}



/* &genpatchid/Cinfo-type */
	BgL_typez00_bglt BGl_z62genpatchidzf2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_7665, obj_t BgL_oz00_7666)
	{
		{	/* Cfa/cinfo.sch 984 */
			return
				BGl_genpatchidzf2Cinfozd2typez20zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7666));
		}

	}



/* genpatchid/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00
		(BgL_genpatchidz00_bglt BgL_oz00_559, BgL_typez00_bglt BgL_vz00_560)
	{
		{	/* Cfa/cinfo.sch 985 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_559)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_560), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-type-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7667, obj_t BgL_oz00_7668, obj_t BgL_vz00_7669)
	{
		{	/* Cfa/cinfo.sch 985 */
			return
				BGl_genpatchidzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7668),
				((BgL_typez00_bglt) BgL_vz00_7669));
		}

	}



/* genpatchid/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2locz20zzcfa_approxz00(BgL_genpatchidz00_bglt
		BgL_oz00_561)
	{
		{	/* Cfa/cinfo.sch 986 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_561)))->BgL_locz00);
		}

	}



/* &genpatchid/Cinfo-loc */
	obj_t BGl_z62genpatchidzf2Cinfozd2locz42zzcfa_approxz00(obj_t BgL_envz00_7670,
		obj_t BgL_oz00_7671)
	{
		{	/* Cfa/cinfo.sch 986 */
			return
				BGl_genpatchidzf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7671));
		}

	}



/* make-patch/Cinfo */
	BGL_EXPORTED_DEF BgL_patchz00_bglt
		BGl_makezd2patchzf2Cinfoz20zzcfa_approxz00(obj_t BgL_loc1675z00_564,
		BgL_typez00_bglt BgL_type1676z00_565, obj_t BgL_value1677z00_566,
		BgL_varz00_bglt BgL_ref1678z00_567, long BgL_index1679z00_568,
		obj_t BgL_patchid1680z00_569, BgL_approxz00_bglt BgL_approx1681z00_570)
	{
		{	/* Cfa/cinfo.sch 990 */
			{	/* Cfa/cinfo.sch 990 */
				BgL_patchz00_bglt BgL_new1233z00_8646;

				{	/* Cfa/cinfo.sch 990 */
					BgL_patchz00_bglt BgL_tmp1231z00_8647;
					BgL_patchzf2cinfozf2_bglt BgL_wide1232z00_8648;

					{
						BgL_patchz00_bglt BgL_auxz00_11230;

						{	/* Cfa/cinfo.sch 990 */
							BgL_patchz00_bglt BgL_new1230z00_8649;

							BgL_new1230z00_8649 =
								((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_patchz00_bgl))));
							{	/* Cfa/cinfo.sch 990 */
								long BgL_arg1728z00_8650;

								BgL_arg1728z00_8650 = BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1230z00_8649),
									BgL_arg1728z00_8650);
							}
							{	/* Cfa/cinfo.sch 990 */
								BgL_objectz00_bglt BgL_tmpz00_11235;

								BgL_tmpz00_11235 = ((BgL_objectz00_bglt) BgL_new1230z00_8649);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11235, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1230z00_8649);
							BgL_auxz00_11230 = BgL_new1230z00_8649;
						}
						BgL_tmp1231z00_8647 = ((BgL_patchz00_bglt) BgL_auxz00_11230);
					}
					BgL_wide1232z00_8648 =
						((BgL_patchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_patchzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 990 */
						obj_t BgL_auxz00_11243;
						BgL_objectz00_bglt BgL_tmpz00_11241;

						BgL_auxz00_11243 = ((obj_t) BgL_wide1232z00_8648);
						BgL_tmpz00_11241 = ((BgL_objectz00_bglt) BgL_tmp1231z00_8647);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11241, BgL_auxz00_11243);
					}
					((BgL_objectz00_bglt) BgL_tmp1231z00_8647);
					{	/* Cfa/cinfo.sch 990 */
						long BgL_arg1723z00_8651;

						BgL_arg1723z00_8651 =
							BGL_CLASS_NUM(BGl_patchzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1231z00_8647), BgL_arg1723z00_8651);
					}
					BgL_new1233z00_8646 = ((BgL_patchz00_bglt) BgL_tmp1231z00_8647);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1233z00_8646)))->BgL_locz00) =
					((obj_t) BgL_loc1675z00_564), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1233z00_8646)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1676z00_565), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1233z00_8646)))->BgL_valuez00) =
					((obj_t) BgL_value1677z00_566), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1233z00_8646)))->BgL_refz00) =
					((BgL_varz00_bglt) BgL_ref1678z00_567), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1233z00_8646)))->BgL_indexz00) =
					((long) BgL_index1679z00_568), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1233z00_8646)))->BgL_patchidz00) =
					((obj_t) BgL_patchid1680z00_569), BUNSPEC);
				{
					BgL_patchzf2cinfozf2_bglt BgL_auxz00_11263;

					{
						obj_t BgL_auxz00_11264;

						{	/* Cfa/cinfo.sch 990 */
							BgL_objectz00_bglt BgL_tmpz00_11265;

							BgL_tmpz00_11265 = ((BgL_objectz00_bglt) BgL_new1233z00_8646);
							BgL_auxz00_11264 = BGL_OBJECT_WIDENING(BgL_tmpz00_11265);
						}
						BgL_auxz00_11263 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_11264);
					}
					((((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11263))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1681z00_570), BUNSPEC);
				}
				return BgL_new1233z00_8646;
			}
		}

	}



/* &make-patch/Cinfo */
	BgL_patchz00_bglt BGl_z62makezd2patchzf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_7672, obj_t BgL_loc1675z00_7673, obj_t BgL_type1676z00_7674,
		obj_t BgL_value1677z00_7675, obj_t BgL_ref1678z00_7676,
		obj_t BgL_index1679z00_7677, obj_t BgL_patchid1680z00_7678,
		obj_t BgL_approx1681z00_7679)
	{
		{	/* Cfa/cinfo.sch 990 */
			return
				BGl_makezd2patchzf2Cinfoz20zzcfa_approxz00(BgL_loc1675z00_7673,
				((BgL_typez00_bglt) BgL_type1676z00_7674), BgL_value1677z00_7675,
				((BgL_varz00_bglt) BgL_ref1678z00_7676),
				(long) CINT(BgL_index1679z00_7677), BgL_patchid1680z00_7678,
				((BgL_approxz00_bglt) BgL_approx1681z00_7679));
		}

	}



/* patch/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_patchzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_571)
	{
		{	/* Cfa/cinfo.sch 991 */
			{	/* Cfa/cinfo.sch 991 */
				obj_t BgL_classz00_8652;

				BgL_classz00_8652 = BGl_patchzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_571))
					{	/* Cfa/cinfo.sch 991 */
						BgL_objectz00_bglt BgL_arg1820z00_8653;

						BgL_arg1820z00_8653 = (BgL_objectz00_bglt) (BgL_objz00_571);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 991 */
								long BgL_idxz00_8654;

								BgL_idxz00_8654 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8653);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8654 + ((long) 4))) == BgL_classz00_8652);
							}
						else
							{	/* Cfa/cinfo.sch 991 */
								bool_t BgL_res2117z00_8657;

								{	/* Cfa/cinfo.sch 991 */
									obj_t BgL_oclassz00_8658;

									{	/* Cfa/cinfo.sch 991 */
										long BgL_arg1828z00_8659;

										{	/* Cfa/cinfo.sch 991 */
											long BgL_arg1829z00_8660;

											BgL_arg1829z00_8660 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8653);
											BgL_arg1828z00_8659 = (BgL_arg1829z00_8660 - OBJECT_TYPE);
										}
										BgL_oclassz00_8658 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8659);
									}
									{	/* Cfa/cinfo.sch 991 */
										bool_t BgL__ortest_1111z00_8661;

										BgL__ortest_1111z00_8661 =
											(BgL_classz00_8652 == BgL_oclassz00_8658);
										if (BgL__ortest_1111z00_8661)
											{	/* Cfa/cinfo.sch 991 */
												BgL_res2117z00_8657 = BgL__ortest_1111z00_8661;
											}
										else
											{	/* Cfa/cinfo.sch 991 */
												long BgL_odepthz00_8662;

												BgL_odepthz00_8662 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8658);
												if ((((long) 4) < BgL_odepthz00_8662))
													{	/* Cfa/cinfo.sch 991 */
														obj_t BgL_arg1816z00_8663;

														BgL_arg1816z00_8663 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8658,
															((long) 4));
														BgL_res2117z00_8657 =
															(BgL_arg1816z00_8663 == BgL_classz00_8652);
													}
												else
													{	/* Cfa/cinfo.sch 991 */
														BgL_res2117z00_8657 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2117z00_8657;
							}
					}
				else
					{	/* Cfa/cinfo.sch 991 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &patch/Cinfo? */
	obj_t BGl_z62patchzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7680,
		obj_t BgL_objz00_7681)
	{
		{	/* Cfa/cinfo.sch 991 */
			return BBOOL(BGl_patchzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7681));
		}

	}



/* patch/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_patchz00_bglt
		BGl_patchzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 992 */
			{	/* Cfa/cinfo.sch 992 */
				obj_t BgL_classz00_5313;

				BgL_classz00_5313 = BGl_patchzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 992 */
					obj_t BgL__ortest_1113z00_5314;

					BgL__ortest_1113z00_5314 = BGL_CLASS_NIL(BgL_classz00_5313);
					if (CBOOL(BgL__ortest_1113z00_5314))
						{	/* Cfa/cinfo.sch 992 */
							return ((BgL_patchz00_bglt) BgL__ortest_1113z00_5314);
						}
					else
						{	/* Cfa/cinfo.sch 992 */
							return
								((BgL_patchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5313));
						}
				}
			}
		}

	}



/* &patch/Cinfo-nil */
	BgL_patchz00_bglt BGl_z62patchzf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7682)
	{
		{	/* Cfa/cinfo.sch 992 */
			return BGl_patchzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* patch/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_patchzf2Cinfozd2approxz20zzcfa_approxz00(BgL_patchz00_bglt BgL_oz00_572)
	{
		{	/* Cfa/cinfo.sch 993 */
			{
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_11303;

				{
					obj_t BgL_auxz00_11304;

					{	/* Cfa/cinfo.sch 993 */
						BgL_objectz00_bglt BgL_tmpz00_11305;

						BgL_tmpz00_11305 = ((BgL_objectz00_bglt) BgL_oz00_572);
						BgL_auxz00_11304 = BGL_OBJECT_WIDENING(BgL_tmpz00_11305);
					}
					BgL_auxz00_11303 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_11304);
				}
				return
					(((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11303))->
					BgL_approxz00);
			}
		}

	}



/* &patch/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62patchzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7683, obj_t BgL_oz00_7684)
	{
		{	/* Cfa/cinfo.sch 993 */
			return
				BGl_patchzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_patchz00_bglt) BgL_oz00_7684));
		}

	}



/* patch/Cinfo-patchid */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2patchidz20zzcfa_approxz00(BgL_patchz00_bglt
		BgL_oz00_575)
	{
		{	/* Cfa/cinfo.sch 995 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_575)))->BgL_patchidz00);
		}

	}



/* &patch/Cinfo-patchid */
	obj_t BGl_z62patchzf2Cinfozd2patchidz42zzcfa_approxz00(obj_t BgL_envz00_7685,
		obj_t BgL_oz00_7686)
	{
		{	/* Cfa/cinfo.sch 995 */
			return
				BGl_patchzf2Cinfozd2patchidz20zzcfa_approxz00(
				((BgL_patchz00_bglt) BgL_oz00_7686));
		}

	}



/* patch/Cinfo-patchid-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2patchidzd2setz12ze0zzcfa_approxz00(BgL_patchz00_bglt
		BgL_oz00_576, obj_t BgL_vz00_577)
	{
		{	/* Cfa/cinfo.sch 996 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_576)))->BgL_patchidz00) =
				((obj_t) BgL_vz00_577), BUNSPEC);
		}

	}



/* &patch/Cinfo-patchid-set! */
	obj_t BGl_z62patchzf2Cinfozd2patchidzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7687, obj_t BgL_oz00_7688, obj_t BgL_vz00_7689)
	{
		{	/* Cfa/cinfo.sch 996 */
			return
				BGl_patchzf2Cinfozd2patchidzd2setz12ze0zzcfa_approxz00(
				((BgL_patchz00_bglt) BgL_oz00_7688), BgL_vz00_7689);
		}

	}



/* patch/Cinfo-index */
	BGL_EXPORTED_DEF long
		BGl_patchzf2Cinfozd2indexz20zzcfa_approxz00(BgL_patchz00_bglt BgL_oz00_578)
	{
		{	/* Cfa/cinfo.sch 997 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_578)))->BgL_indexz00);
		}

	}



/* &patch/Cinfo-index */
	obj_t BGl_z62patchzf2Cinfozd2indexz42zzcfa_approxz00(obj_t BgL_envz00_7690,
		obj_t BgL_oz00_7691)
	{
		{	/* Cfa/cinfo.sch 997 */
			return
				BINT(BGl_patchzf2Cinfozd2indexz20zzcfa_approxz00(
					((BgL_patchz00_bglt) BgL_oz00_7691)));
		}

	}



/* patch/Cinfo-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2indexzd2setz12ze0zzcfa_approxz00(BgL_patchz00_bglt
		BgL_oz00_579, long BgL_vz00_580)
	{
		{	/* Cfa/cinfo.sch 998 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_579)))->BgL_indexz00) =
				((long) BgL_vz00_580), BUNSPEC);
		}

	}



/* &patch/Cinfo-index-set! */
	obj_t BGl_z62patchzf2Cinfozd2indexzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7692, obj_t BgL_oz00_7693, obj_t BgL_vz00_7694)
	{
		{	/* Cfa/cinfo.sch 998 */
			return
				BGl_patchzf2Cinfozd2indexzd2setz12ze0zzcfa_approxz00(
				((BgL_patchz00_bglt) BgL_oz00_7693), (long) CINT(BgL_vz00_7694));
		}

	}



/* patch/Cinfo-ref */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_patchzf2Cinfozd2refz20zzcfa_approxz00(BgL_patchz00_bglt BgL_oz00_581)
	{
		{	/* Cfa/cinfo.sch 999 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_581)))->BgL_refz00);
		}

	}



/* &patch/Cinfo-ref */
	BgL_varz00_bglt BGl_z62patchzf2Cinfozd2refz42zzcfa_approxz00(obj_t
		BgL_envz00_7695, obj_t BgL_oz00_7696)
	{
		{	/* Cfa/cinfo.sch 999 */
			return
				BGl_patchzf2Cinfozd2refz20zzcfa_approxz00(
				((BgL_patchz00_bglt) BgL_oz00_7696));
		}

	}



/* patch/Cinfo-value */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2valuez20zzcfa_approxz00(BgL_patchz00_bglt BgL_oz00_584)
	{
		{	/* Cfa/cinfo.sch 1001 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_584)))->BgL_valuez00);
		}

	}



/* &patch/Cinfo-value */
	obj_t BGl_z62patchzf2Cinfozd2valuez42zzcfa_approxz00(obj_t BgL_envz00_7697,
		obj_t BgL_oz00_7698)
	{
		{	/* Cfa/cinfo.sch 1001 */
			return
				BGl_patchzf2Cinfozd2valuez20zzcfa_approxz00(
				((BgL_patchz00_bglt) BgL_oz00_7698));
		}

	}



/* patch/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2valuezd2setz12ze0zzcfa_approxz00(BgL_patchz00_bglt
		BgL_oz00_585, obj_t BgL_vz00_586)
	{
		{	/* Cfa/cinfo.sch 1002 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_585)))->BgL_valuez00) =
				((obj_t) BgL_vz00_586), BUNSPEC);
		}

	}



/* &patch/Cinfo-value-set! */
	obj_t BGl_z62patchzf2Cinfozd2valuezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7699, obj_t BgL_oz00_7700, obj_t BgL_vz00_7701)
	{
		{	/* Cfa/cinfo.sch 1002 */
			return
				BGl_patchzf2Cinfozd2valuezd2setz12ze0zzcfa_approxz00(
				((BgL_patchz00_bglt) BgL_oz00_7700), BgL_vz00_7701);
		}

	}



/* patch/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_patchzf2Cinfozd2typez20zzcfa_approxz00(BgL_patchz00_bglt BgL_oz00_587)
	{
		{	/* Cfa/cinfo.sch 1003 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_587)))->BgL_typez00);
		}

	}



/* &patch/Cinfo-type */
	BgL_typez00_bglt BGl_z62patchzf2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_7702, obj_t BgL_oz00_7703)
	{
		{	/* Cfa/cinfo.sch 1003 */
			return
				BGl_patchzf2Cinfozd2typez20zzcfa_approxz00(
				((BgL_patchz00_bglt) BgL_oz00_7703));
		}

	}



/* patch/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_patchz00_bglt
		BgL_oz00_588, BgL_typez00_bglt BgL_vz00_589)
	{
		{	/* Cfa/cinfo.sch 1004 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_588)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_589), BUNSPEC);
		}

	}



/* &patch/Cinfo-type-set! */
	obj_t BGl_z62patchzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7704, obj_t BgL_oz00_7705, obj_t BgL_vz00_7706)
	{
		{	/* Cfa/cinfo.sch 1004 */
			return
				BGl_patchzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_patchz00_bglt) BgL_oz00_7705),
				((BgL_typez00_bglt) BgL_vz00_7706));
		}

	}



/* patch/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2locz20zzcfa_approxz00(BgL_patchz00_bglt BgL_oz00_590)
	{
		{	/* Cfa/cinfo.sch 1005 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_590)))->BgL_locz00);
		}

	}



/* &patch/Cinfo-loc */
	obj_t BGl_z62patchzf2Cinfozd2locz42zzcfa_approxz00(obj_t BgL_envz00_7707,
		obj_t BgL_oz00_7708)
	{
		{	/* Cfa/cinfo.sch 1005 */
			return
				BGl_patchzf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_patchz00_bglt) BgL_oz00_7708));
		}

	}



/* make-kwote/node */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt
		BGl_makezd2kwotezf2nodez20zzcfa_approxz00(obj_t BgL_loc1670z00_593,
		BgL_typez00_bglt BgL_type1671z00_594, obj_t BgL_value1672z00_595,
		BgL_nodez00_bglt BgL_node1673z00_596)
	{
		{	/* Cfa/cinfo.sch 1009 */
			{	/* Cfa/cinfo.sch 1009 */
				BgL_kwotez00_bglt BgL_new1237z00_8664;

				{	/* Cfa/cinfo.sch 1009 */
					BgL_kwotez00_bglt BgL_tmp1235z00_8665;
					BgL_kwotezf2nodezf2_bglt BgL_wide1236z00_8666;

					{
						BgL_kwotez00_bglt BgL_auxz00_11355;

						{	/* Cfa/cinfo.sch 1009 */
							BgL_kwotez00_bglt BgL_new1234z00_8667;

							BgL_new1234z00_8667 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Cfa/cinfo.sch 1009 */
								long BgL_arg1731z00_8668;

								BgL_arg1731z00_8668 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1234z00_8667),
									BgL_arg1731z00_8668);
							}
							{	/* Cfa/cinfo.sch 1009 */
								BgL_objectz00_bglt BgL_tmpz00_11360;

								BgL_tmpz00_11360 = ((BgL_objectz00_bglt) BgL_new1234z00_8667);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11360, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1234z00_8667);
							BgL_auxz00_11355 = BgL_new1234z00_8667;
						}
						BgL_tmp1235z00_8665 = ((BgL_kwotez00_bglt) BgL_auxz00_11355);
					}
					BgL_wide1236z00_8666 =
						((BgL_kwotezf2nodezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2nodezf2_bgl))));
					{	/* Cfa/cinfo.sch 1009 */
						obj_t BgL_auxz00_11368;
						BgL_objectz00_bglt BgL_tmpz00_11366;

						BgL_auxz00_11368 = ((obj_t) BgL_wide1236z00_8666);
						BgL_tmpz00_11366 = ((BgL_objectz00_bglt) BgL_tmp1235z00_8665);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11366, BgL_auxz00_11368);
					}
					((BgL_objectz00_bglt) BgL_tmp1235z00_8665);
					{	/* Cfa/cinfo.sch 1009 */
						long BgL_arg1730z00_8669;

						BgL_arg1730z00_8669 =
							BGL_CLASS_NUM(BGl_kwotezf2nodezf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1235z00_8665), BgL_arg1730z00_8669);
					}
					BgL_new1237z00_8664 = ((BgL_kwotez00_bglt) BgL_tmp1235z00_8665);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1237z00_8664)))->BgL_locz00) =
					((obj_t) BgL_loc1670z00_593), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1237z00_8664)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1671z00_594), BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1237z00_8664)))->BgL_valuez00) =
					((obj_t) BgL_value1672z00_595), BUNSPEC);
				{
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_11382;

					{
						obj_t BgL_auxz00_11383;

						{	/* Cfa/cinfo.sch 1009 */
							BgL_objectz00_bglt BgL_tmpz00_11384;

							BgL_tmpz00_11384 = ((BgL_objectz00_bglt) BgL_new1237z00_8664);
							BgL_auxz00_11383 = BGL_OBJECT_WIDENING(BgL_tmpz00_11384);
						}
						BgL_auxz00_11382 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_11383);
					}
					((((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_11382))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_node1673z00_596), BUNSPEC);
				}
				return BgL_new1237z00_8664;
			}
		}

	}



/* &make-kwote/node */
	BgL_kwotez00_bglt BGl_z62makezd2kwotezf2nodez42zzcfa_approxz00(obj_t
		BgL_envz00_7709, obj_t BgL_loc1670z00_7710, obj_t BgL_type1671z00_7711,
		obj_t BgL_value1672z00_7712, obj_t BgL_node1673z00_7713)
	{
		{	/* Cfa/cinfo.sch 1009 */
			return
				BGl_makezd2kwotezf2nodez20zzcfa_approxz00(BgL_loc1670z00_7710,
				((BgL_typez00_bglt) BgL_type1671z00_7711), BgL_value1672z00_7712,
				((BgL_nodez00_bglt) BgL_node1673z00_7713));
		}

	}



/* kwote/node? */
	BGL_EXPORTED_DEF bool_t BGl_kwotezf2nodezf3z01zzcfa_approxz00(obj_t
		BgL_objz00_597)
	{
		{	/* Cfa/cinfo.sch 1010 */
			{	/* Cfa/cinfo.sch 1010 */
				obj_t BgL_classz00_8670;

				BgL_classz00_8670 = BGl_kwotezf2nodezf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_597))
					{	/* Cfa/cinfo.sch 1010 */
						BgL_objectz00_bglt BgL_arg1820z00_8671;

						BgL_arg1820z00_8671 = (BgL_objectz00_bglt) (BgL_objz00_597);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1010 */
								long BgL_idxz00_8672;

								BgL_idxz00_8672 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8671);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8672 + ((long) 3))) == BgL_classz00_8670);
							}
						else
							{	/* Cfa/cinfo.sch 1010 */
								bool_t BgL_res2118z00_8675;

								{	/* Cfa/cinfo.sch 1010 */
									obj_t BgL_oclassz00_8676;

									{	/* Cfa/cinfo.sch 1010 */
										long BgL_arg1828z00_8677;

										{	/* Cfa/cinfo.sch 1010 */
											long BgL_arg1829z00_8678;

											BgL_arg1829z00_8678 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8671);
											BgL_arg1828z00_8677 = (BgL_arg1829z00_8678 - OBJECT_TYPE);
										}
										BgL_oclassz00_8676 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8677);
									}
									{	/* Cfa/cinfo.sch 1010 */
										bool_t BgL__ortest_1111z00_8679;

										BgL__ortest_1111z00_8679 =
											(BgL_classz00_8670 == BgL_oclassz00_8676);
										if (BgL__ortest_1111z00_8679)
											{	/* Cfa/cinfo.sch 1010 */
												BgL_res2118z00_8675 = BgL__ortest_1111z00_8679;
											}
										else
											{	/* Cfa/cinfo.sch 1010 */
												long BgL_odepthz00_8680;

												BgL_odepthz00_8680 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8676);
												if ((((long) 3) < BgL_odepthz00_8680))
													{	/* Cfa/cinfo.sch 1010 */
														obj_t BgL_arg1816z00_8681;

														BgL_arg1816z00_8681 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8676,
															((long) 3));
														BgL_res2118z00_8675 =
															(BgL_arg1816z00_8681 == BgL_classz00_8670);
													}
												else
													{	/* Cfa/cinfo.sch 1010 */
														BgL_res2118z00_8675 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2118z00_8675;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1010 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &kwote/node? */
	obj_t BGl_z62kwotezf2nodezf3z63zzcfa_approxz00(obj_t BgL_envz00_7714,
		obj_t BgL_objz00_7715)
	{
		{	/* Cfa/cinfo.sch 1010 */
			return BBOOL(BGl_kwotezf2nodezf3z01zzcfa_approxz00(BgL_objz00_7715));
		}

	}



/* kwote/node-nil */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt
		BGl_kwotezf2nodezd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1011 */
			{	/* Cfa/cinfo.sch 1011 */
				obj_t BgL_classz00_5362;

				BgL_classz00_5362 = BGl_kwotezf2nodezf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1011 */
					obj_t BgL__ortest_1113z00_5363;

					BgL__ortest_1113z00_5363 = BGL_CLASS_NIL(BgL_classz00_5362);
					if (CBOOL(BgL__ortest_1113z00_5363))
						{	/* Cfa/cinfo.sch 1011 */
							return ((BgL_kwotez00_bglt) BgL__ortest_1113z00_5363);
						}
					else
						{	/* Cfa/cinfo.sch 1011 */
							return
								((BgL_kwotez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5362));
						}
				}
			}
		}

	}



/* &kwote/node-nil */
	BgL_kwotez00_bglt BGl_z62kwotezf2nodezd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7716)
	{
		{	/* Cfa/cinfo.sch 1011 */
			return BGl_kwotezf2nodezd2nilz20zzcfa_approxz00();
		}

	}



/* kwote/node-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_kwotezf2nodezd2nodez20zzcfa_approxz00(BgL_kwotez00_bglt BgL_oz00_598)
	{
		{	/* Cfa/cinfo.sch 1012 */
			{
				BgL_kwotezf2nodezf2_bglt BgL_auxz00_11420;

				{
					obj_t BgL_auxz00_11421;

					{	/* Cfa/cinfo.sch 1012 */
						BgL_objectz00_bglt BgL_tmpz00_11422;

						BgL_tmpz00_11422 = ((BgL_objectz00_bglt) BgL_oz00_598);
						BgL_auxz00_11421 = BGL_OBJECT_WIDENING(BgL_tmpz00_11422);
					}
					BgL_auxz00_11420 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_11421);
				}
				return
					(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_11420))->BgL_nodez00);
			}
		}

	}



/* &kwote/node-node */
	BgL_nodez00_bglt BGl_z62kwotezf2nodezd2nodez42zzcfa_approxz00(obj_t
		BgL_envz00_7717, obj_t BgL_oz00_7718)
	{
		{	/* Cfa/cinfo.sch 1012 */
			return
				BGl_kwotezf2nodezd2nodez20zzcfa_approxz00(
				((BgL_kwotez00_bglt) BgL_oz00_7718));
		}

	}



/* kwote/node-value */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2nodezd2valuez20zzcfa_approxz00(BgL_kwotez00_bglt BgL_oz00_601)
	{
		{	/* Cfa/cinfo.sch 1014 */
			return
				(((BgL_kwotez00_bglt) COBJECT(
						((BgL_kwotez00_bglt) BgL_oz00_601)))->BgL_valuez00);
		}

	}



/* &kwote/node-value */
	obj_t BGl_z62kwotezf2nodezd2valuez42zzcfa_approxz00(obj_t BgL_envz00_7719,
		obj_t BgL_oz00_7720)
	{
		{	/* Cfa/cinfo.sch 1014 */
			return
				BGl_kwotezf2nodezd2valuez20zzcfa_approxz00(
				((BgL_kwotez00_bglt) BgL_oz00_7720));
		}

	}



/* kwote/node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_kwotezf2nodezd2typez20zzcfa_approxz00(BgL_kwotez00_bglt BgL_oz00_604)
	{
		{	/* Cfa/cinfo.sch 1016 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_604)))->BgL_typez00);
		}

	}



/* &kwote/node-type */
	BgL_typez00_bglt BGl_z62kwotezf2nodezd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_7721, obj_t BgL_oz00_7722)
	{
		{	/* Cfa/cinfo.sch 1016 */
			return
				BGl_kwotezf2nodezd2typez20zzcfa_approxz00(
				((BgL_kwotez00_bglt) BgL_oz00_7722));
		}

	}



/* kwote/node-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2nodezd2typezd2setz12ze0zzcfa_approxz00(BgL_kwotez00_bglt
		BgL_oz00_605, BgL_typez00_bglt BgL_vz00_606)
	{
		{	/* Cfa/cinfo.sch 1017 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_605)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_606), BUNSPEC);
		}

	}



/* &kwote/node-type-set! */
	obj_t BGl_z62kwotezf2nodezd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7723, obj_t BgL_oz00_7724, obj_t BgL_vz00_7725)
	{
		{	/* Cfa/cinfo.sch 1017 */
			return
				BGl_kwotezf2nodezd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_kwotez00_bglt) BgL_oz00_7724),
				((BgL_typez00_bglt) BgL_vz00_7725));
		}

	}



/* kwote/node-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2nodezd2locz20zzcfa_approxz00(BgL_kwotez00_bglt BgL_oz00_607)
	{
		{	/* Cfa/cinfo.sch 1018 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_607)))->BgL_locz00);
		}

	}



/* &kwote/node-loc */
	obj_t BGl_z62kwotezf2nodezd2locz42zzcfa_approxz00(obj_t BgL_envz00_7726,
		obj_t BgL_oz00_7727)
	{
		{	/* Cfa/cinfo.sch 1018 */
			return
				BGl_kwotezf2nodezd2locz20zzcfa_approxz00(
				((BgL_kwotez00_bglt) BgL_oz00_7727));
		}

	}



/* make-kwote/Cinfo */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt
		BGl_makezd2kwotezf2Cinfoz20zzcfa_approxz00(obj_t BgL_loc1665z00_610,
		BgL_typez00_bglt BgL_type1666z00_611, obj_t BgL_value1667z00_612,
		BgL_approxz00_bglt BgL_approx1668z00_613)
	{
		{	/* Cfa/cinfo.sch 1022 */
			{	/* Cfa/cinfo.sch 1022 */
				BgL_kwotez00_bglt BgL_new1241z00_8682;

				{	/* Cfa/cinfo.sch 1022 */
					BgL_kwotez00_bglt BgL_tmp1239z00_8683;
					BgL_kwotezf2cinfozf2_bglt BgL_wide1240z00_8684;

					{
						BgL_kwotez00_bglt BgL_auxz00_11446;

						{	/* Cfa/cinfo.sch 1022 */
							BgL_kwotez00_bglt BgL_new1238z00_8685;

							BgL_new1238z00_8685 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Cfa/cinfo.sch 1022 */
								long BgL_arg1736z00_8686;

								BgL_arg1736z00_8686 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1238z00_8685),
									BgL_arg1736z00_8686);
							}
							{	/* Cfa/cinfo.sch 1022 */
								BgL_objectz00_bglt BgL_tmpz00_11451;

								BgL_tmpz00_11451 = ((BgL_objectz00_bglt) BgL_new1238z00_8685);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11451, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1238z00_8685);
							BgL_auxz00_11446 = BgL_new1238z00_8685;
						}
						BgL_tmp1239z00_8683 = ((BgL_kwotez00_bglt) BgL_auxz00_11446);
					}
					BgL_wide1240z00_8684 =
						((BgL_kwotezf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1022 */
						obj_t BgL_auxz00_11459;
						BgL_objectz00_bglt BgL_tmpz00_11457;

						BgL_auxz00_11459 = ((obj_t) BgL_wide1240z00_8684);
						BgL_tmpz00_11457 = ((BgL_objectz00_bglt) BgL_tmp1239z00_8683);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11457, BgL_auxz00_11459);
					}
					((BgL_objectz00_bglt) BgL_tmp1239z00_8683);
					{	/* Cfa/cinfo.sch 1022 */
						long BgL_arg1734z00_8687;

						BgL_arg1734z00_8687 =
							BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1239z00_8683), BgL_arg1734z00_8687);
					}
					BgL_new1241z00_8682 = ((BgL_kwotez00_bglt) BgL_tmp1239z00_8683);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1241z00_8682)))->BgL_locz00) =
					((obj_t) BgL_loc1665z00_610), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1241z00_8682)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1666z00_611), BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1241z00_8682)))->BgL_valuez00) =
					((obj_t) BgL_value1667z00_612), BUNSPEC);
				{
					BgL_kwotezf2cinfozf2_bglt BgL_auxz00_11473;

					{
						obj_t BgL_auxz00_11474;

						{	/* Cfa/cinfo.sch 1022 */
							BgL_objectz00_bglt BgL_tmpz00_11475;

							BgL_tmpz00_11475 = ((BgL_objectz00_bglt) BgL_new1241z00_8682);
							BgL_auxz00_11474 = BGL_OBJECT_WIDENING(BgL_tmpz00_11475);
						}
						BgL_auxz00_11473 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_11474);
					}
					((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_11473))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1668z00_613), BUNSPEC);
				}
				return BgL_new1241z00_8682;
			}
		}

	}



/* &make-kwote/Cinfo */
	BgL_kwotez00_bglt BGl_z62makezd2kwotezf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_7728, obj_t BgL_loc1665z00_7729, obj_t BgL_type1666z00_7730,
		obj_t BgL_value1667z00_7731, obj_t BgL_approx1668z00_7732)
	{
		{	/* Cfa/cinfo.sch 1022 */
			return
				BGl_makezd2kwotezf2Cinfoz20zzcfa_approxz00(BgL_loc1665z00_7729,
				((BgL_typez00_bglt) BgL_type1666z00_7730), BgL_value1667z00_7731,
				((BgL_approxz00_bglt) BgL_approx1668z00_7732));
		}

	}



/* kwote/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_kwotezf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_614)
	{
		{	/* Cfa/cinfo.sch 1023 */
			{	/* Cfa/cinfo.sch 1023 */
				obj_t BgL_classz00_8688;

				BgL_classz00_8688 = BGl_kwotezf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_614))
					{	/* Cfa/cinfo.sch 1023 */
						BgL_objectz00_bglt BgL_arg1820z00_8689;

						BgL_arg1820z00_8689 = (BgL_objectz00_bglt) (BgL_objz00_614);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1023 */
								long BgL_idxz00_8690;

								BgL_idxz00_8690 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8689);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8690 + ((long) 3))) == BgL_classz00_8688);
							}
						else
							{	/* Cfa/cinfo.sch 1023 */
								bool_t BgL_res2119z00_8693;

								{	/* Cfa/cinfo.sch 1023 */
									obj_t BgL_oclassz00_8694;

									{	/* Cfa/cinfo.sch 1023 */
										long BgL_arg1828z00_8695;

										{	/* Cfa/cinfo.sch 1023 */
											long BgL_arg1829z00_8696;

											BgL_arg1829z00_8696 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8689);
											BgL_arg1828z00_8695 = (BgL_arg1829z00_8696 - OBJECT_TYPE);
										}
										BgL_oclassz00_8694 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8695);
									}
									{	/* Cfa/cinfo.sch 1023 */
										bool_t BgL__ortest_1111z00_8697;

										BgL__ortest_1111z00_8697 =
											(BgL_classz00_8688 == BgL_oclassz00_8694);
										if (BgL__ortest_1111z00_8697)
											{	/* Cfa/cinfo.sch 1023 */
												BgL_res2119z00_8693 = BgL__ortest_1111z00_8697;
											}
										else
											{	/* Cfa/cinfo.sch 1023 */
												long BgL_odepthz00_8698;

												BgL_odepthz00_8698 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8694);
												if ((((long) 3) < BgL_odepthz00_8698))
													{	/* Cfa/cinfo.sch 1023 */
														obj_t BgL_arg1816z00_8699;

														BgL_arg1816z00_8699 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8694,
															((long) 3));
														BgL_res2119z00_8693 =
															(BgL_arg1816z00_8699 == BgL_classz00_8688);
													}
												else
													{	/* Cfa/cinfo.sch 1023 */
														BgL_res2119z00_8693 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2119z00_8693;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1023 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &kwote/Cinfo? */
	obj_t BGl_z62kwotezf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7733,
		obj_t BgL_objz00_7734)
	{
		{	/* Cfa/cinfo.sch 1023 */
			return BBOOL(BGl_kwotezf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7734));
		}

	}



/* kwote/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt
		BGl_kwotezf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1024 */
			{	/* Cfa/cinfo.sch 1024 */
				obj_t BgL_classz00_5411;

				BgL_classz00_5411 = BGl_kwotezf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1024 */
					obj_t BgL__ortest_1113z00_5412;

					BgL__ortest_1113z00_5412 = BGL_CLASS_NIL(BgL_classz00_5411);
					if (CBOOL(BgL__ortest_1113z00_5412))
						{	/* Cfa/cinfo.sch 1024 */
							return ((BgL_kwotez00_bglt) BgL__ortest_1113z00_5412);
						}
					else
						{	/* Cfa/cinfo.sch 1024 */
							return
								((BgL_kwotez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5411));
						}
				}
			}
		}

	}



/* &kwote/Cinfo-nil */
	BgL_kwotez00_bglt BGl_z62kwotezf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7735)
	{
		{	/* Cfa/cinfo.sch 1024 */
			return BGl_kwotezf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* kwote/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_kwotezf2Cinfozd2approxz20zzcfa_approxz00(BgL_kwotez00_bglt BgL_oz00_615)
	{
		{	/* Cfa/cinfo.sch 1025 */
			{
				BgL_kwotezf2cinfozf2_bglt BgL_auxz00_11511;

				{
					obj_t BgL_auxz00_11512;

					{	/* Cfa/cinfo.sch 1025 */
						BgL_objectz00_bglt BgL_tmpz00_11513;

						BgL_tmpz00_11513 = ((BgL_objectz00_bglt) BgL_oz00_615);
						BgL_auxz00_11512 = BGL_OBJECT_WIDENING(BgL_tmpz00_11513);
					}
					BgL_auxz00_11511 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_11512);
				}
				return
					(((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_11511))->
					BgL_approxz00);
			}
		}

	}



/* &kwote/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62kwotezf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7736, obj_t BgL_oz00_7737)
	{
		{	/* Cfa/cinfo.sch 1025 */
			return
				BGl_kwotezf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_kwotez00_bglt) BgL_oz00_7737));
		}

	}



/* kwote/Cinfo-value */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2Cinfozd2valuez20zzcfa_approxz00(BgL_kwotez00_bglt BgL_oz00_618)
	{
		{	/* Cfa/cinfo.sch 1027 */
			return
				(((BgL_kwotez00_bglt) COBJECT(
						((BgL_kwotez00_bglt) BgL_oz00_618)))->BgL_valuez00);
		}

	}



/* &kwote/Cinfo-value */
	obj_t BGl_z62kwotezf2Cinfozd2valuez42zzcfa_approxz00(obj_t BgL_envz00_7738,
		obj_t BgL_oz00_7739)
	{
		{	/* Cfa/cinfo.sch 1027 */
			return
				BGl_kwotezf2Cinfozd2valuez20zzcfa_approxz00(
				((BgL_kwotez00_bglt) BgL_oz00_7739));
		}

	}



/* kwote/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_kwotezf2Cinfozd2typez20zzcfa_approxz00(BgL_kwotez00_bglt BgL_oz00_621)
	{
		{	/* Cfa/cinfo.sch 1029 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_621)))->BgL_typez00);
		}

	}



/* &kwote/Cinfo-type */
	BgL_typez00_bglt BGl_z62kwotezf2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_7740, obj_t BgL_oz00_7741)
	{
		{	/* Cfa/cinfo.sch 1029 */
			return
				BGl_kwotezf2Cinfozd2typez20zzcfa_approxz00(
				((BgL_kwotez00_bglt) BgL_oz00_7741));
		}

	}



/* kwote/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_kwotez00_bglt
		BgL_oz00_622, BgL_typez00_bglt BgL_vz00_623)
	{
		{	/* Cfa/cinfo.sch 1030 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_622)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_623), BUNSPEC);
		}

	}



/* &kwote/Cinfo-type-set! */
	obj_t BGl_z62kwotezf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7742, obj_t BgL_oz00_7743, obj_t BgL_vz00_7744)
	{
		{	/* Cfa/cinfo.sch 1030 */
			return
				BGl_kwotezf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_kwotez00_bglt) BgL_oz00_7743),
				((BgL_typez00_bglt) BgL_vz00_7744));
		}

	}



/* kwote/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2Cinfozd2locz20zzcfa_approxz00(BgL_kwotez00_bglt BgL_oz00_624)
	{
		{	/* Cfa/cinfo.sch 1031 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_624)))->BgL_locz00);
		}

	}



/* &kwote/Cinfo-loc */
	obj_t BGl_z62kwotezf2Cinfozd2locz42zzcfa_approxz00(obj_t BgL_envz00_7745,
		obj_t BgL_oz00_7746)
	{
		{	/* Cfa/cinfo.sch 1031 */
			return
				BGl_kwotezf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_kwotez00_bglt) BgL_oz00_7746));
		}

	}



/* make-app-ly/Cinfo */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyzf2Cinfozf2zzcfa_approxz00(obj_t BgL_loc1656z00_627,
		BgL_typez00_bglt BgL_type1657z00_628, BgL_nodez00_bglt BgL_fun1658z00_629,
		BgL_nodez00_bglt BgL_arg1662z00_630,
		BgL_approxz00_bglt BgL_approx1663z00_631)
	{
		{	/* Cfa/cinfo.sch 1035 */
			{	/* Cfa/cinfo.sch 1035 */
				BgL_appzd2lyzd2_bglt BgL_new1246z00_8700;

				{	/* Cfa/cinfo.sch 1035 */
					BgL_appzd2lyzd2_bglt BgL_tmp1243z00_8701;
					BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1244z00_8702;

					{
						BgL_appzd2lyzd2_bglt BgL_auxz00_11537;

						{	/* Cfa/cinfo.sch 1035 */
							BgL_appzd2lyzd2_bglt BgL_new1242z00_8703;

							BgL_new1242z00_8703 =
								((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appzd2lyzd2_bgl))));
							{	/* Cfa/cinfo.sch 1035 */
								long BgL_arg1741z00_8704;

								BgL_arg1741z00_8704 =
									BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1242z00_8703),
									BgL_arg1741z00_8704);
							}
							{	/* Cfa/cinfo.sch 1035 */
								BgL_objectz00_bglt BgL_tmpz00_11542;

								BgL_tmpz00_11542 = ((BgL_objectz00_bglt) BgL_new1242z00_8703);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11542, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1242z00_8703);
							BgL_auxz00_11537 = BgL_new1242z00_8703;
						}
						BgL_tmp1243z00_8701 = ((BgL_appzd2lyzd2_bglt) BgL_auxz00_11537);
					}
					BgL_wide1244z00_8702 =
						((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 1035 */
						obj_t BgL_auxz00_11550;
						BgL_objectz00_bglt BgL_tmpz00_11548;

						BgL_auxz00_11550 = ((obj_t) BgL_wide1244z00_8702);
						BgL_tmpz00_11548 = ((BgL_objectz00_bglt) BgL_tmp1243z00_8701);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11548, BgL_auxz00_11550);
					}
					((BgL_objectz00_bglt) BgL_tmp1243z00_8701);
					{	/* Cfa/cinfo.sch 1035 */
						long BgL_arg1738z00_8705;

						BgL_arg1738z00_8705 =
							BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1243z00_8701), BgL_arg1738z00_8705);
					}
					BgL_new1246z00_8700 = ((BgL_appzd2lyzd2_bglt) BgL_tmp1243z00_8701);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1246z00_8700)))->BgL_locz00) =
					((obj_t) BgL_loc1656z00_627), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1246z00_8700)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1657z00_628), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1246z00_8700)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1658z00_629), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1246z00_8700)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1662z00_630), BUNSPEC);
				{
					BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_11566;

					{
						obj_t BgL_auxz00_11567;

						{	/* Cfa/cinfo.sch 1035 */
							BgL_objectz00_bglt BgL_tmpz00_11568;

							BgL_tmpz00_11568 = ((BgL_objectz00_bglt) BgL_new1246z00_8700);
							BgL_auxz00_11567 = BGL_OBJECT_WIDENING(BgL_tmpz00_11568);
						}
						BgL_auxz00_11566 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_11567);
					}
					((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11566))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1663z00_631), BUNSPEC);
				}
				return BgL_new1246z00_8700;
			}
		}

	}



/* &make-app-ly/Cinfo */
	BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyzf2Cinfoz90zzcfa_approxz00(obj_t
		BgL_envz00_7747, obj_t BgL_loc1656z00_7748, obj_t BgL_type1657z00_7749,
		obj_t BgL_fun1658z00_7750, obj_t BgL_arg1662z00_7751,
		obj_t BgL_approx1663z00_7752)
	{
		{	/* Cfa/cinfo.sch 1035 */
			return
				BGl_makezd2appzd2lyzf2Cinfozf2zzcfa_approxz00(BgL_loc1656z00_7748,
				((BgL_typez00_bglt) BgL_type1657z00_7749),
				((BgL_nodez00_bglt) BgL_fun1658z00_7750),
				((BgL_nodez00_bglt) BgL_arg1662z00_7751),
				((BgL_approxz00_bglt) BgL_approx1663z00_7752));
		}

	}



/* app-ly/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_appzd2lyzf2Cinfozf3zd3zzcfa_approxz00(obj_t
		BgL_objz00_632)
	{
		{	/* Cfa/cinfo.sch 1036 */
			{	/* Cfa/cinfo.sch 1036 */
				obj_t BgL_classz00_8706;

				BgL_classz00_8706 = BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_632))
					{	/* Cfa/cinfo.sch 1036 */
						BgL_objectz00_bglt BgL_arg1820z00_8707;

						BgL_arg1820z00_8707 = (BgL_objectz00_bglt) (BgL_objz00_632);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1036 */
								long BgL_idxz00_8708;

								BgL_idxz00_8708 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8707);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8708 + ((long) 3))) == BgL_classz00_8706);
							}
						else
							{	/* Cfa/cinfo.sch 1036 */
								bool_t BgL_res2120z00_8711;

								{	/* Cfa/cinfo.sch 1036 */
									obj_t BgL_oclassz00_8712;

									{	/* Cfa/cinfo.sch 1036 */
										long BgL_arg1828z00_8713;

										{	/* Cfa/cinfo.sch 1036 */
											long BgL_arg1829z00_8714;

											BgL_arg1829z00_8714 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8707);
											BgL_arg1828z00_8713 = (BgL_arg1829z00_8714 - OBJECT_TYPE);
										}
										BgL_oclassz00_8712 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8713);
									}
									{	/* Cfa/cinfo.sch 1036 */
										bool_t BgL__ortest_1111z00_8715;

										BgL__ortest_1111z00_8715 =
											(BgL_classz00_8706 == BgL_oclassz00_8712);
										if (BgL__ortest_1111z00_8715)
											{	/* Cfa/cinfo.sch 1036 */
												BgL_res2120z00_8711 = BgL__ortest_1111z00_8715;
											}
										else
											{	/* Cfa/cinfo.sch 1036 */
												long BgL_odepthz00_8716;

												BgL_odepthz00_8716 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8712);
												if ((((long) 3) < BgL_odepthz00_8716))
													{	/* Cfa/cinfo.sch 1036 */
														obj_t BgL_arg1816z00_8717;

														BgL_arg1816z00_8717 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8712,
															((long) 3));
														BgL_res2120z00_8711 =
															(BgL_arg1816z00_8717 == BgL_classz00_8706);
													}
												else
													{	/* Cfa/cinfo.sch 1036 */
														BgL_res2120z00_8711 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2120z00_8711;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1036 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &app-ly/Cinfo? */
	obj_t BGl_z62appzd2lyzf2Cinfozf3zb1zzcfa_approxz00(obj_t BgL_envz00_7753,
		obj_t BgL_objz00_7754)
	{
		{	/* Cfa/cinfo.sch 1036 */
			return BBOOL(BGl_appzd2lyzf2Cinfozf3zd3zzcfa_approxz00(BgL_objz00_7754));
		}

	}



/* app-ly/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt
		BGl_appzd2lyzf2Cinfozd2nilzf2zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1037 */
			{	/* Cfa/cinfo.sch 1037 */
				obj_t BgL_classz00_5460;

				BgL_classz00_5460 = BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1037 */
					obj_t BgL__ortest_1113z00_5461;

					BgL__ortest_1113z00_5461 = BGL_CLASS_NIL(BgL_classz00_5460);
					if (CBOOL(BgL__ortest_1113z00_5461))
						{	/* Cfa/cinfo.sch 1037 */
							return ((BgL_appzd2lyzd2_bglt) BgL__ortest_1113z00_5461);
						}
					else
						{	/* Cfa/cinfo.sch 1037 */
							return
								((BgL_appzd2lyzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5460));
						}
				}
			}
		}

	}



/* &app-ly/Cinfo-nil */
	BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzf2Cinfozd2nilz90zzcfa_approxz00(obj_t
		BgL_envz00_7755)
	{
		{	/* Cfa/cinfo.sch 1037 */
			return BGl_appzd2lyzf2Cinfozd2nilzf2zzcfa_approxz00();
		}

	}



/* app-ly/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_appzd2lyzf2Cinfozd2approxzf2zzcfa_approxz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_633)
	{
		{	/* Cfa/cinfo.sch 1038 */
			{
				BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_11606;

				{
					obj_t BgL_auxz00_11607;

					{	/* Cfa/cinfo.sch 1038 */
						BgL_objectz00_bglt BgL_tmpz00_11608;

						BgL_tmpz00_11608 = ((BgL_objectz00_bglt) BgL_oz00_633);
						BgL_auxz00_11607 = BGL_OBJECT_WIDENING(BgL_tmpz00_11608);
					}
					BgL_auxz00_11606 = ((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_11607);
				}
				return
					(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11606))->
					BgL_approxz00);
			}
		}

	}



/* &app-ly/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62appzd2lyzf2Cinfozd2approxz90zzcfa_approxz00(obj_t
		BgL_envz00_7756, obj_t BgL_oz00_7757)
	{
		{	/* Cfa/cinfo.sch 1038 */
			return
				BGl_appzd2lyzf2Cinfozd2approxzf2zzcfa_approxz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7757));
		}

	}



/* app-ly/Cinfo-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzf2Cinfozd2argzf2zzcfa_approxz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_636)
	{
		{	/* Cfa/cinfo.sch 1040 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_636)))->BgL_argz00);
		}

	}



/* &app-ly/Cinfo-arg */
	BgL_nodez00_bglt BGl_z62appzd2lyzf2Cinfozd2argz90zzcfa_approxz00(obj_t
		BgL_envz00_7758, obj_t BgL_oz00_7759)
	{
		{	/* Cfa/cinfo.sch 1040 */
			return
				BGl_appzd2lyzf2Cinfozd2argzf2zzcfa_approxz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7759));
		}

	}



/* app-ly/Cinfo-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzf2Cinfozd2argzd2setz12z32zzcfa_approxz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_637, BgL_nodez00_bglt BgL_vz00_638)
	{
		{	/* Cfa/cinfo.sch 1041 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_637)))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_638), BUNSPEC);
		}

	}



/* &app-ly/Cinfo-arg-set! */
	obj_t BGl_z62appzd2lyzf2Cinfozd2argzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7760, obj_t BgL_oz00_7761, obj_t BgL_vz00_7762)
	{
		{	/* Cfa/cinfo.sch 1041 */
			return
				BGl_appzd2lyzf2Cinfozd2argzd2setz12z32zzcfa_approxz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7761),
				((BgL_nodez00_bglt) BgL_vz00_7762));
		}

	}



/* app-ly/Cinfo-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzf2Cinfozd2funzf2zzcfa_approxz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_639)
	{
		{	/* Cfa/cinfo.sch 1042 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_639)))->BgL_funz00);
		}

	}



/* &app-ly/Cinfo-fun */
	BgL_nodez00_bglt BGl_z62appzd2lyzf2Cinfozd2funz90zzcfa_approxz00(obj_t
		BgL_envz00_7763, obj_t BgL_oz00_7764)
	{
		{	/* Cfa/cinfo.sch 1042 */
			return
				BGl_appzd2lyzf2Cinfozd2funzf2zzcfa_approxz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7764));
		}

	}



/* app-ly/Cinfo-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzf2Cinfozd2funzd2setz12z32zzcfa_approxz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_640, BgL_nodez00_bglt BgL_vz00_641)
	{
		{	/* Cfa/cinfo.sch 1043 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_640)))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_641), BUNSPEC);
		}

	}



/* &app-ly/Cinfo-fun-set! */
	obj_t BGl_z62appzd2lyzf2Cinfozd2funzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7765, obj_t BgL_oz00_7766, obj_t BgL_vz00_7767)
	{
		{	/* Cfa/cinfo.sch 1043 */
			return
				BGl_appzd2lyzf2Cinfozd2funzd2setz12z32zzcfa_approxz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7766),
				((BgL_nodez00_bglt) BgL_vz00_7767));
		}

	}



/* app-ly/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2lyzf2Cinfozd2typezf2zzcfa_approxz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_642)
	{
		{	/* Cfa/cinfo.sch 1044 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_642)))->BgL_typez00);
		}

	}



/* &app-ly/Cinfo-type */
	BgL_typez00_bglt BGl_z62appzd2lyzf2Cinfozd2typez90zzcfa_approxz00(obj_t
		BgL_envz00_7768, obj_t BgL_oz00_7769)
	{
		{	/* Cfa/cinfo.sch 1044 */
			return
				BGl_appzd2lyzf2Cinfozd2typezf2zzcfa_approxz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7769));
		}

	}



/* app-ly/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzf2Cinfozd2typezd2setz12z32zzcfa_approxz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_643, BgL_typez00_bglt BgL_vz00_644)
	{
		{	/* Cfa/cinfo.sch 1045 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_643)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_644), BUNSPEC);
		}

	}



/* &app-ly/Cinfo-type-set! */
	obj_t BGl_z62appzd2lyzf2Cinfozd2typezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7770, obj_t BgL_oz00_7771, obj_t BgL_vz00_7772)
	{
		{	/* Cfa/cinfo.sch 1045 */
			return
				BGl_appzd2lyzf2Cinfozd2typezd2setz12z32zzcfa_approxz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7771),
				((BgL_typez00_bglt) BgL_vz00_7772));
		}

	}



/* app-ly/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzf2Cinfozd2loczf2zzcfa_approxz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_645)
	{
		{	/* Cfa/cinfo.sch 1046 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_645)))->BgL_locz00);
		}

	}



/* &app-ly/Cinfo-loc */
	obj_t BGl_z62appzd2lyzf2Cinfozd2locz90zzcfa_approxz00(obj_t BgL_envz00_7773,
		obj_t BgL_oz00_7774)
	{
		{	/* Cfa/cinfo.sch 1046 */
			return
				BGl_appzd2lyzf2Cinfozd2loczf2zzcfa_approxz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_7774));
		}

	}



/* make-funcall/Cinfo */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt
		BGl_makezd2funcallzf2Cinfoz20zzcfa_approxz00(obj_t BgL_loc1644z00_648,
		BgL_typez00_bglt BgL_type1645z00_649, BgL_nodez00_bglt BgL_fun1646z00_650,
		obj_t BgL_args1647z00_651, obj_t BgL_strength1648z00_652,
		obj_t BgL_functions1649z00_653, BgL_approxz00_bglt BgL_approx1651z00_654,
		BgL_approxz00_bglt BgL_vazd2approx1652zd2_655,
		bool_t BgL_arityzd2errorzd2noticedzf31653zf3_656,
		bool_t BgL_typezd2errorzd2noticedzf31654zf3_657)
	{
		{	/* Cfa/cinfo.sch 1050 */
			{	/* Cfa/cinfo.sch 1050 */
				BgL_funcallz00_bglt BgL_new1251z00_8718;

				{	/* Cfa/cinfo.sch 1050 */
					BgL_funcallz00_bglt BgL_tmp1248z00_8719;
					BgL_funcallzf2cinfozf2_bglt BgL_wide1249z00_8720;

					{
						BgL_funcallz00_bglt BgL_auxz00_11646;

						{	/* Cfa/cinfo.sch 1050 */
							BgL_funcallz00_bglt BgL_new1247z00_8721;

							BgL_new1247z00_8721 =
								((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_funcallz00_bgl))));
							{	/* Cfa/cinfo.sch 1050 */
								long BgL_arg1746z00_8722;

								BgL_arg1746z00_8722 =
									BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1247z00_8721),
									BgL_arg1746z00_8722);
							}
							{	/* Cfa/cinfo.sch 1050 */
								BgL_objectz00_bglt BgL_tmpz00_11651;

								BgL_tmpz00_11651 = ((BgL_objectz00_bglt) BgL_new1247z00_8721);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11651, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1247z00_8721);
							BgL_auxz00_11646 = BgL_new1247z00_8721;
						}
						BgL_tmp1248z00_8719 = ((BgL_funcallz00_bglt) BgL_auxz00_11646);
					}
					BgL_wide1249z00_8720 =
						((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1050 */
						obj_t BgL_auxz00_11659;
						BgL_objectz00_bglt BgL_tmpz00_11657;

						BgL_auxz00_11659 = ((obj_t) BgL_wide1249z00_8720);
						BgL_tmpz00_11657 = ((BgL_objectz00_bglt) BgL_tmp1248z00_8719);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11657, BgL_auxz00_11659);
					}
					((BgL_objectz00_bglt) BgL_tmp1248z00_8719);
					{	/* Cfa/cinfo.sch 1050 */
						long BgL_arg1745z00_8723;

						BgL_arg1745z00_8723 =
							BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1248z00_8719), BgL_arg1745z00_8723);
					}
					BgL_new1251z00_8718 = ((BgL_funcallz00_bglt) BgL_tmp1248z00_8719);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1251z00_8718)))->BgL_locz00) =
					((obj_t) BgL_loc1644z00_648), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1251z00_8718)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1645z00_649), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1251z00_8718)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1646z00_650), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1251z00_8718)))->BgL_argsz00) =
					((obj_t) BgL_args1647z00_651), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1251z00_8718)))->BgL_strengthz00) =
					((obj_t) BgL_strength1648z00_652), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1251z00_8718)))->BgL_functionsz00) =
					((obj_t) BgL_functions1649z00_653), BUNSPEC);
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_11679;

					{
						obj_t BgL_auxz00_11680;

						{	/* Cfa/cinfo.sch 1050 */
							BgL_objectz00_bglt BgL_tmpz00_11681;

							BgL_tmpz00_11681 = ((BgL_objectz00_bglt) BgL_new1251z00_8718);
							BgL_auxz00_11680 = BGL_OBJECT_WIDENING(BgL_tmpz00_11681);
						}
						BgL_auxz00_11679 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_11680);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11679))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1651z00_654), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_11686;

					{
						obj_t BgL_auxz00_11687;

						{	/* Cfa/cinfo.sch 1050 */
							BgL_objectz00_bglt BgL_tmpz00_11688;

							BgL_tmpz00_11688 = ((BgL_objectz00_bglt) BgL_new1251z00_8718);
							BgL_auxz00_11687 = BGL_OBJECT_WIDENING(BgL_tmpz00_11688);
						}
						BgL_auxz00_11686 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_11687);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11686))->
							BgL_vazd2approxzd2) =
						((BgL_approxz00_bglt) BgL_vazd2approx1652zd2_655), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_11693;

					{
						obj_t BgL_auxz00_11694;

						{	/* Cfa/cinfo.sch 1050 */
							BgL_objectz00_bglt BgL_tmpz00_11695;

							BgL_tmpz00_11695 = ((BgL_objectz00_bglt) BgL_new1251z00_8718);
							BgL_auxz00_11694 = BGL_OBJECT_WIDENING(BgL_tmpz00_11695);
						}
						BgL_auxz00_11693 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_11694);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11693))->
							BgL_arityzd2errorzd2noticedzf3zf3) =
						((bool_t) BgL_arityzd2errorzd2noticedzf31653zf3_656), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_11700;

					{
						obj_t BgL_auxz00_11701;

						{	/* Cfa/cinfo.sch 1050 */
							BgL_objectz00_bglt BgL_tmpz00_11702;

							BgL_tmpz00_11702 = ((BgL_objectz00_bglt) BgL_new1251z00_8718);
							BgL_auxz00_11701 = BGL_OBJECT_WIDENING(BgL_tmpz00_11702);
						}
						BgL_auxz00_11700 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_11701);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11700))->
							BgL_typezd2errorzd2noticedzf3zf3) =
						((bool_t) BgL_typezd2errorzd2noticedzf31654zf3_657), BUNSPEC);
				}
				return BgL_new1251z00_8718;
			}
		}

	}



/* &make-funcall/Cinfo */
	BgL_funcallz00_bglt BGl_z62makezd2funcallzf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_7775, obj_t BgL_loc1644z00_7776, obj_t BgL_type1645z00_7777,
		obj_t BgL_fun1646z00_7778, obj_t BgL_args1647z00_7779,
		obj_t BgL_strength1648z00_7780, obj_t BgL_functions1649z00_7781,
		obj_t BgL_approx1651z00_7782, obj_t BgL_vazd2approx1652zd2_7783,
		obj_t BgL_arityzd2errorzd2noticedzf31653zf3_7784,
		obj_t BgL_typezd2errorzd2noticedzf31654zf3_7785)
	{
		{	/* Cfa/cinfo.sch 1050 */
			return
				BGl_makezd2funcallzf2Cinfoz20zzcfa_approxz00(BgL_loc1644z00_7776,
				((BgL_typez00_bglt) BgL_type1645z00_7777),
				((BgL_nodez00_bglt) BgL_fun1646z00_7778), BgL_args1647z00_7779,
				BgL_strength1648z00_7780, BgL_functions1649z00_7781,
				((BgL_approxz00_bglt) BgL_approx1651z00_7782),
				((BgL_approxz00_bglt) BgL_vazd2approx1652zd2_7783),
				CBOOL(BgL_arityzd2errorzd2noticedzf31653zf3_7784),
				CBOOL(BgL_typezd2errorzd2noticedzf31654zf3_7785));
		}

	}



/* funcall/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_funcallzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_658)
	{
		{	/* Cfa/cinfo.sch 1051 */
			{	/* Cfa/cinfo.sch 1051 */
				obj_t BgL_classz00_8724;

				BgL_classz00_8724 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_658))
					{	/* Cfa/cinfo.sch 1051 */
						BgL_objectz00_bglt BgL_arg1820z00_8725;

						BgL_arg1820z00_8725 = (BgL_objectz00_bglt) (BgL_objz00_658);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1051 */
								long BgL_idxz00_8726;

								BgL_idxz00_8726 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8725);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8726 + ((long) 3))) == BgL_classz00_8724);
							}
						else
							{	/* Cfa/cinfo.sch 1051 */
								bool_t BgL_res2121z00_8729;

								{	/* Cfa/cinfo.sch 1051 */
									obj_t BgL_oclassz00_8730;

									{	/* Cfa/cinfo.sch 1051 */
										long BgL_arg1828z00_8731;

										{	/* Cfa/cinfo.sch 1051 */
											long BgL_arg1829z00_8732;

											BgL_arg1829z00_8732 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8725);
											BgL_arg1828z00_8731 = (BgL_arg1829z00_8732 - OBJECT_TYPE);
										}
										BgL_oclassz00_8730 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8731);
									}
									{	/* Cfa/cinfo.sch 1051 */
										bool_t BgL__ortest_1111z00_8733;

										BgL__ortest_1111z00_8733 =
											(BgL_classz00_8724 == BgL_oclassz00_8730);
										if (BgL__ortest_1111z00_8733)
											{	/* Cfa/cinfo.sch 1051 */
												BgL_res2121z00_8729 = BgL__ortest_1111z00_8733;
											}
										else
											{	/* Cfa/cinfo.sch 1051 */
												long BgL_odepthz00_8734;

												BgL_odepthz00_8734 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8730);
												if ((((long) 3) < BgL_odepthz00_8734))
													{	/* Cfa/cinfo.sch 1051 */
														obj_t BgL_arg1816z00_8735;

														BgL_arg1816z00_8735 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8730,
															((long) 3));
														BgL_res2121z00_8729 =
															(BgL_arg1816z00_8735 == BgL_classz00_8724);
													}
												else
													{	/* Cfa/cinfo.sch 1051 */
														BgL_res2121z00_8729 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2121z00_8729;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1051 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &funcall/Cinfo? */
	obj_t BGl_z62funcallzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7786,
		obj_t BgL_objz00_7787)
	{
		{	/* Cfa/cinfo.sch 1051 */
			return BBOOL(BGl_funcallzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7787));
		}

	}



/* funcall/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt
		BGl_funcallzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1052 */
			{	/* Cfa/cinfo.sch 1052 */
				obj_t BgL_classz00_5512;

				BgL_classz00_5512 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1052 */
					obj_t BgL__ortest_1113z00_5513;

					BgL__ortest_1113z00_5513 = BGL_CLASS_NIL(BgL_classz00_5512);
					if (CBOOL(BgL__ortest_1113z00_5513))
						{	/* Cfa/cinfo.sch 1052 */
							return ((BgL_funcallz00_bglt) BgL__ortest_1113z00_5513);
						}
					else
						{	/* Cfa/cinfo.sch 1052 */
							return
								((BgL_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5512));
						}
				}
			}
		}

	}



/* &funcall/Cinfo-nil */
	BgL_funcallz00_bglt BGl_z62funcallzf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7788)
	{
		{	/* Cfa/cinfo.sch 1052 */
			return BGl_funcallzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* funcall/Cinfo-type-error-noticed? */
	BGL_EXPORTED_DEF bool_t
		BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd3zzcfa_approxz00
		(BgL_funcallz00_bglt BgL_oz00_659)
	{
		{	/* Cfa/cinfo.sch 1053 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_11742;

				{
					obj_t BgL_auxz00_11743;

					{	/* Cfa/cinfo.sch 1053 */
						BgL_objectz00_bglt BgL_tmpz00_11744;

						BgL_tmpz00_11744 = ((BgL_objectz00_bglt) BgL_oz00_659);
						BgL_auxz00_11743 = BGL_OBJECT_WIDENING(BgL_tmpz00_11744);
					}
					BgL_auxz00_11742 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_11743);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11742))->
					BgL_typezd2errorzd2noticedzf3zf3);
			}
		}

	}



/* &funcall/Cinfo-type-error-noticed? */
	obj_t
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zb1zzcfa_approxz00(obj_t
		BgL_envz00_7789, obj_t BgL_oz00_7790)
	{
		{	/* Cfa/cinfo.sch 1053 */
			return
				BBOOL(BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd3zzcfa_approxz00(
					((BgL_funcallz00_bglt) BgL_oz00_7790)));
		}

	}



/* funcall/Cinfo-type-error-noticed?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z13zzcfa_approxz00
		(BgL_funcallz00_bglt BgL_oz00_660, bool_t BgL_vz00_661)
	{
		{	/* Cfa/cinfo.sch 1054 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_11752;

				{
					obj_t BgL_auxz00_11753;

					{	/* Cfa/cinfo.sch 1054 */
						BgL_objectz00_bglt BgL_tmpz00_11754;

						BgL_tmpz00_11754 = ((BgL_objectz00_bglt) BgL_oz00_660);
						BgL_auxz00_11753 = BGL_OBJECT_WIDENING(BgL_tmpz00_11754);
					}
					BgL_auxz00_11752 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_11753);
				}
				return
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11752))->
						BgL_typezd2errorzd2noticedzf3zf3) =
					((bool_t) BgL_vz00_661), BUNSPEC);
			}
		}

	}



/* &funcall/Cinfo-type-error-noticed?-set! */
	obj_t
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z71zzcfa_approxz00
		(obj_t BgL_envz00_7791, obj_t BgL_oz00_7792, obj_t BgL_vz00_7793)
	{
		{	/* Cfa/cinfo.sch 1054 */
			return
				BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z13zzcfa_approxz00
				(((BgL_funcallz00_bglt) BgL_oz00_7792), CBOOL(BgL_vz00_7793));
		}

	}



/* funcall/Cinfo-arity-error-noticed? */
	BGL_EXPORTED_DEF bool_t
		BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd3zzcfa_approxz00
		(BgL_funcallz00_bglt BgL_oz00_662)
	{
		{	/* Cfa/cinfo.sch 1055 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_11762;

				{
					obj_t BgL_auxz00_11763;

					{	/* Cfa/cinfo.sch 1055 */
						BgL_objectz00_bglt BgL_tmpz00_11764;

						BgL_tmpz00_11764 = ((BgL_objectz00_bglt) BgL_oz00_662);
						BgL_auxz00_11763 = BGL_OBJECT_WIDENING(BgL_tmpz00_11764);
					}
					BgL_auxz00_11762 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_11763);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11762))->
					BgL_arityzd2errorzd2noticedzf3zf3);
			}
		}

	}



/* &funcall/Cinfo-arity-error-noticed? */
	obj_t
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zb1zzcfa_approxz00(obj_t
		BgL_envz00_7794, obj_t BgL_oz00_7795)
	{
		{	/* Cfa/cinfo.sch 1055 */
			return
				BBOOL(BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd3zzcfa_approxz00
				(((BgL_funcallz00_bglt) BgL_oz00_7795)));
		}

	}



/* funcall/Cinfo-arity-error-noticed?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z13zzcfa_approxz00
		(BgL_funcallz00_bglt BgL_oz00_663, bool_t BgL_vz00_664)
	{
		{	/* Cfa/cinfo.sch 1056 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_11772;

				{
					obj_t BgL_auxz00_11773;

					{	/* Cfa/cinfo.sch 1056 */
						BgL_objectz00_bglt BgL_tmpz00_11774;

						BgL_tmpz00_11774 = ((BgL_objectz00_bglt) BgL_oz00_663);
						BgL_auxz00_11773 = BGL_OBJECT_WIDENING(BgL_tmpz00_11774);
					}
					BgL_auxz00_11772 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_11773);
				}
				return
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11772))->
						BgL_arityzd2errorzd2noticedzf3zf3) =
					((bool_t) BgL_vz00_664), BUNSPEC);
			}
		}

	}



/* &funcall/Cinfo-arity-error-noticed?-set! */
	obj_t
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z71zzcfa_approxz00
		(obj_t BgL_envz00_7796, obj_t BgL_oz00_7797, obj_t BgL_vz00_7798)
	{
		{	/* Cfa/cinfo.sch 1056 */
			return
				BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z13zzcfa_approxz00
				(((BgL_funcallz00_bglt) BgL_oz00_7797), CBOOL(BgL_vz00_7798));
		}

	}



/* funcall/Cinfo-va-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_funcallzf2Cinfozd2vazd2approxzf2zzcfa_approxz00(BgL_funcallz00_bglt
		BgL_oz00_665)
	{
		{	/* Cfa/cinfo.sch 1057 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_11782;

				{
					obj_t BgL_auxz00_11783;

					{	/* Cfa/cinfo.sch 1057 */
						BgL_objectz00_bglt BgL_tmpz00_11784;

						BgL_tmpz00_11784 = ((BgL_objectz00_bglt) BgL_oz00_665);
						BgL_auxz00_11783 = BGL_OBJECT_WIDENING(BgL_tmpz00_11784);
					}
					BgL_auxz00_11782 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_11783);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11782))->
					BgL_vazd2approxzd2);
			}
		}

	}



/* &funcall/Cinfo-va-approx */
	BgL_approxz00_bglt
		BGl_z62funcallzf2Cinfozd2vazd2approxz90zzcfa_approxz00(obj_t
		BgL_envz00_7799, obj_t BgL_oz00_7800)
	{
		{	/* Cfa/cinfo.sch 1057 */
			return
				BGl_funcallzf2Cinfozd2vazd2approxzf2zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7800));
		}

	}



/* funcall/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_funcallzf2Cinfozd2approxz20zzcfa_approxz00(BgL_funcallz00_bglt
		BgL_oz00_668)
	{
		{	/* Cfa/cinfo.sch 1059 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_11791;

				{
					obj_t BgL_auxz00_11792;

					{	/* Cfa/cinfo.sch 1059 */
						BgL_objectz00_bglt BgL_tmpz00_11793;

						BgL_tmpz00_11793 = ((BgL_objectz00_bglt) BgL_oz00_668);
						BgL_auxz00_11792 = BGL_OBJECT_WIDENING(BgL_tmpz00_11793);
					}
					BgL_auxz00_11791 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_11792);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11791))->
					BgL_approxz00);
			}
		}

	}



/* &funcall/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62funcallzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7801, obj_t BgL_oz00_7802)
	{
		{	/* Cfa/cinfo.sch 1059 */
			return
				BGl_funcallzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7802));
		}

	}



/* funcall/Cinfo-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2functionsz20zzcfa_approxz00(BgL_funcallz00_bglt
		BgL_oz00_671)
	{
		{	/* Cfa/cinfo.sch 1061 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_671)))->BgL_functionsz00);
		}

	}



/* &funcall/Cinfo-functions */
	obj_t BGl_z62funcallzf2Cinfozd2functionsz42zzcfa_approxz00(obj_t
		BgL_envz00_7803, obj_t BgL_oz00_7804)
	{
		{	/* Cfa/cinfo.sch 1061 */
			return
				BGl_funcallzf2Cinfozd2functionsz20zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7804));
		}

	}



/* funcall/Cinfo-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2functionszd2setz12ze0zzcfa_approxz00
		(BgL_funcallz00_bglt BgL_oz00_672, obj_t BgL_vz00_673)
	{
		{	/* Cfa/cinfo.sch 1062 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_672)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_673), BUNSPEC);
		}

	}



/* &funcall/Cinfo-functions-set! */
	obj_t BGl_z62funcallzf2Cinfozd2functionszd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7805, obj_t BgL_oz00_7806, obj_t BgL_vz00_7807)
	{
		{	/* Cfa/cinfo.sch 1062 */
			return
				BGl_funcallzf2Cinfozd2functionszd2setz12ze0zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7806), BgL_vz00_7807);
		}

	}



/* funcall/Cinfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2strengthz20zzcfa_approxz00(BgL_funcallz00_bglt
		BgL_oz00_674)
	{
		{	/* Cfa/cinfo.sch 1063 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_674)))->BgL_strengthz00);
		}

	}



/* &funcall/Cinfo-strength */
	obj_t BGl_z62funcallzf2Cinfozd2strengthz42zzcfa_approxz00(obj_t
		BgL_envz00_7808, obj_t BgL_oz00_7809)
	{
		{	/* Cfa/cinfo.sch 1063 */
			return
				BGl_funcallzf2Cinfozd2strengthz20zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7809));
		}

	}



/* funcall/Cinfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2strengthzd2setz12ze0zzcfa_approxz00
		(BgL_funcallz00_bglt BgL_oz00_675, obj_t BgL_vz00_676)
	{
		{	/* Cfa/cinfo.sch 1064 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_675)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_676), BUNSPEC);
		}

	}



/* &funcall/Cinfo-strength-set! */
	obj_t BGl_z62funcallzf2Cinfozd2strengthzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7810, obj_t BgL_oz00_7811, obj_t BgL_vz00_7812)
	{
		{	/* Cfa/cinfo.sch 1064 */
			return
				BGl_funcallzf2Cinfozd2strengthzd2setz12ze0zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7811), BgL_vz00_7812);
		}

	}



/* funcall/Cinfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2argsz20zzcfa_approxz00(BgL_funcallz00_bglt
		BgL_oz00_677)
	{
		{	/* Cfa/cinfo.sch 1065 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_677)))->BgL_argsz00);
		}

	}



/* &funcall/Cinfo-args */
	obj_t BGl_z62funcallzf2Cinfozd2argsz42zzcfa_approxz00(obj_t BgL_envz00_7813,
		obj_t BgL_oz00_7814)
	{
		{	/* Cfa/cinfo.sch 1065 */
			return
				BGl_funcallzf2Cinfozd2argsz20zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7814));
		}

	}



/* funcall/Cinfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2argszd2setz12ze0zzcfa_approxz00(BgL_funcallz00_bglt
		BgL_oz00_678, obj_t BgL_vz00_679)
	{
		{	/* Cfa/cinfo.sch 1066 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_678)))->BgL_argsz00) =
				((obj_t) BgL_vz00_679), BUNSPEC);
		}

	}



/* &funcall/Cinfo-args-set! */
	obj_t BGl_z62funcallzf2Cinfozd2argszd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7815, obj_t BgL_oz00_7816, obj_t BgL_vz00_7817)
	{
		{	/* Cfa/cinfo.sch 1066 */
			return
				BGl_funcallzf2Cinfozd2argszd2setz12ze0zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7816), BgL_vz00_7817);
		}

	}



/* funcall/Cinfo-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_funcallzf2Cinfozd2funz20zzcfa_approxz00(BgL_funcallz00_bglt
		BgL_oz00_680)
	{
		{	/* Cfa/cinfo.sch 1067 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_680)))->BgL_funz00);
		}

	}



/* &funcall/Cinfo-fun */
	BgL_nodez00_bglt BGl_z62funcallzf2Cinfozd2funz42zzcfa_approxz00(obj_t
		BgL_envz00_7818, obj_t BgL_oz00_7819)
	{
		{	/* Cfa/cinfo.sch 1067 */
			return
				BGl_funcallzf2Cinfozd2funz20zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7819));
		}

	}



/* funcall/Cinfo-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2funzd2setz12ze0zzcfa_approxz00(BgL_funcallz00_bglt
		BgL_oz00_681, BgL_nodez00_bglt BgL_vz00_682)
	{
		{	/* Cfa/cinfo.sch 1068 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_681)))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_682), BUNSPEC);
		}

	}



/* &funcall/Cinfo-fun-set! */
	obj_t BGl_z62funcallzf2Cinfozd2funzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7820, obj_t BgL_oz00_7821, obj_t BgL_vz00_7822)
	{
		{	/* Cfa/cinfo.sch 1068 */
			return
				BGl_funcallzf2Cinfozd2funzd2setz12ze0zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7821),
				((BgL_nodez00_bglt) BgL_vz00_7822));
		}

	}



/* funcall/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_funcallzf2Cinfozd2typez20zzcfa_approxz00(BgL_funcallz00_bglt
		BgL_oz00_683)
	{
		{	/* Cfa/cinfo.sch 1069 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_683)))->BgL_typez00);
		}

	}



/* &funcall/Cinfo-type */
	BgL_typez00_bglt BGl_z62funcallzf2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_7823, obj_t BgL_oz00_7824)
	{
		{	/* Cfa/cinfo.sch 1069 */
			return
				BGl_funcallzf2Cinfozd2typez20zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7824));
		}

	}



/* funcall/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_funcallz00_bglt
		BgL_oz00_684, BgL_typez00_bglt BgL_vz00_685)
	{
		{	/* Cfa/cinfo.sch 1070 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_684)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_685), BUNSPEC);
		}

	}



/* &funcall/Cinfo-type-set! */
	obj_t BGl_z62funcallzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7825, obj_t BgL_oz00_7826, obj_t BgL_vz00_7827)
	{
		{	/* Cfa/cinfo.sch 1070 */
			return
				BGl_funcallzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7826),
				((BgL_typez00_bglt) BgL_vz00_7827));
		}

	}



/* funcall/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2locz20zzcfa_approxz00(BgL_funcallz00_bglt
		BgL_oz00_686)
	{
		{	/* Cfa/cinfo.sch 1071 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_686)))->BgL_locz00);
		}

	}



/* &funcall/Cinfo-loc */
	obj_t BGl_z62funcallzf2Cinfozd2locz42zzcfa_approxz00(obj_t BgL_envz00_7828,
		obj_t BgL_oz00_7829)
	{
		{	/* Cfa/cinfo.sch 1071 */
			return
				BGl_funcallzf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_funcallz00_bglt) BgL_oz00_7829));
		}

	}



/* make-setq/Cinfo */
	BGL_EXPORTED_DEF BgL_setqz00_bglt
		BGl_makezd2setqzf2Cinfoz20zzcfa_approxz00(obj_t BgL_loc1637z00_689,
		BgL_typez00_bglt BgL_type1638z00_690, BgL_varz00_bglt BgL_var1639z00_691,
		BgL_nodez00_bglt BgL_value1640z00_692,
		BgL_approxz00_bglt BgL_approx1642z00_693)
	{
		{	/* Cfa/cinfo.sch 1075 */
			{	/* Cfa/cinfo.sch 1075 */
				BgL_setqz00_bglt BgL_new1255z00_8736;

				{	/* Cfa/cinfo.sch 1075 */
					BgL_setqz00_bglt BgL_tmp1253z00_8737;
					BgL_setqzf2cinfozf2_bglt BgL_wide1254z00_8738;

					{
						BgL_setqz00_bglt BgL_auxz00_11846;

						{	/* Cfa/cinfo.sch 1075 */
							BgL_setqz00_bglt BgL_new1252z00_8739;

							BgL_new1252z00_8739 =
								((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setqz00_bgl))));
							{	/* Cfa/cinfo.sch 1075 */
								long BgL_arg1750z00_8740;

								BgL_arg1750z00_8740 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1252z00_8739),
									BgL_arg1750z00_8740);
							}
							{	/* Cfa/cinfo.sch 1075 */
								BgL_objectz00_bglt BgL_tmpz00_11851;

								BgL_tmpz00_11851 = ((BgL_objectz00_bglt) BgL_new1252z00_8739);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11851, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1252z00_8739);
							BgL_auxz00_11846 = BgL_new1252z00_8739;
						}
						BgL_tmp1253z00_8737 = ((BgL_setqz00_bglt) BgL_auxz00_11846);
					}
					BgL_wide1254z00_8738 =
						((BgL_setqzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1075 */
						obj_t BgL_auxz00_11859;
						BgL_objectz00_bglt BgL_tmpz00_11857;

						BgL_auxz00_11859 = ((obj_t) BgL_wide1254z00_8738);
						BgL_tmpz00_11857 = ((BgL_objectz00_bglt) BgL_tmp1253z00_8737);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11857, BgL_auxz00_11859);
					}
					((BgL_objectz00_bglt) BgL_tmp1253z00_8737);
					{	/* Cfa/cinfo.sch 1075 */
						long BgL_arg1749z00_8741;

						BgL_arg1749z00_8741 =
							BGL_CLASS_NUM(BGl_setqzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1253z00_8737), BgL_arg1749z00_8741);
					}
					BgL_new1255z00_8736 = ((BgL_setqz00_bglt) BgL_tmp1253z00_8737);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1255z00_8736)))->BgL_locz00) =
					((obj_t) BgL_loc1637z00_689), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1255z00_8736)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1638z00_690), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1255z00_8736)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1639z00_691), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1255z00_8736)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1640z00_692), BUNSPEC);
				{
					BgL_setqzf2cinfozf2_bglt BgL_auxz00_11875;

					{
						obj_t BgL_auxz00_11876;

						{	/* Cfa/cinfo.sch 1075 */
							BgL_objectz00_bglt BgL_tmpz00_11877;

							BgL_tmpz00_11877 = ((BgL_objectz00_bglt) BgL_new1255z00_8736);
							BgL_auxz00_11876 = BGL_OBJECT_WIDENING(BgL_tmpz00_11877);
						}
						BgL_auxz00_11875 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_11876);
					}
					((((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11875))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1642z00_693), BUNSPEC);
				}
				return BgL_new1255z00_8736;
			}
		}

	}



/* &make-setq/Cinfo */
	BgL_setqz00_bglt BGl_z62makezd2setqzf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_7830, obj_t BgL_loc1637z00_7831, obj_t BgL_type1638z00_7832,
		obj_t BgL_var1639z00_7833, obj_t BgL_value1640z00_7834,
		obj_t BgL_approx1642z00_7835)
	{
		{	/* Cfa/cinfo.sch 1075 */
			return
				BGl_makezd2setqzf2Cinfoz20zzcfa_approxz00(BgL_loc1637z00_7831,
				((BgL_typez00_bglt) BgL_type1638z00_7832),
				((BgL_varz00_bglt) BgL_var1639z00_7833),
				((BgL_nodez00_bglt) BgL_value1640z00_7834),
				((BgL_approxz00_bglt) BgL_approx1642z00_7835));
		}

	}



/* setq/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_setqzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_694)
	{
		{	/* Cfa/cinfo.sch 1076 */
			{	/* Cfa/cinfo.sch 1076 */
				obj_t BgL_classz00_8742;

				BgL_classz00_8742 = BGl_setqzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_694))
					{	/* Cfa/cinfo.sch 1076 */
						BgL_objectz00_bglt BgL_arg1820z00_8743;

						BgL_arg1820z00_8743 = (BgL_objectz00_bglt) (BgL_objz00_694);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1076 */
								long BgL_idxz00_8744;

								BgL_idxz00_8744 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8743);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8744 + ((long) 3))) == BgL_classz00_8742);
							}
						else
							{	/* Cfa/cinfo.sch 1076 */
								bool_t BgL_res2122z00_8747;

								{	/* Cfa/cinfo.sch 1076 */
									obj_t BgL_oclassz00_8748;

									{	/* Cfa/cinfo.sch 1076 */
										long BgL_arg1828z00_8749;

										{	/* Cfa/cinfo.sch 1076 */
											long BgL_arg1829z00_8750;

											BgL_arg1829z00_8750 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8743);
											BgL_arg1828z00_8749 = (BgL_arg1829z00_8750 - OBJECT_TYPE);
										}
										BgL_oclassz00_8748 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8749);
									}
									{	/* Cfa/cinfo.sch 1076 */
										bool_t BgL__ortest_1111z00_8751;

										BgL__ortest_1111z00_8751 =
											(BgL_classz00_8742 == BgL_oclassz00_8748);
										if (BgL__ortest_1111z00_8751)
											{	/* Cfa/cinfo.sch 1076 */
												BgL_res2122z00_8747 = BgL__ortest_1111z00_8751;
											}
										else
											{	/* Cfa/cinfo.sch 1076 */
												long BgL_odepthz00_8752;

												BgL_odepthz00_8752 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8748);
												if ((((long) 3) < BgL_odepthz00_8752))
													{	/* Cfa/cinfo.sch 1076 */
														obj_t BgL_arg1816z00_8753;

														BgL_arg1816z00_8753 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8748,
															((long) 3));
														BgL_res2122z00_8747 =
															(BgL_arg1816z00_8753 == BgL_classz00_8742);
													}
												else
													{	/* Cfa/cinfo.sch 1076 */
														BgL_res2122z00_8747 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2122z00_8747;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1076 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &setq/Cinfo? */
	obj_t BGl_z62setqzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7836,
		obj_t BgL_objz00_7837)
	{
		{	/* Cfa/cinfo.sch 1076 */
			return BBOOL(BGl_setqzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7837));
		}

	}



/* setq/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_setqz00_bglt
		BGl_setqzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1077 */
			{	/* Cfa/cinfo.sch 1077 */
				obj_t BgL_classz00_5566;

				BgL_classz00_5566 = BGl_setqzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1077 */
					obj_t BgL__ortest_1113z00_5567;

					BgL__ortest_1113z00_5567 = BGL_CLASS_NIL(BgL_classz00_5566);
					if (CBOOL(BgL__ortest_1113z00_5567))
						{	/* Cfa/cinfo.sch 1077 */
							return ((BgL_setqz00_bglt) BgL__ortest_1113z00_5567);
						}
					else
						{	/* Cfa/cinfo.sch 1077 */
							return
								((BgL_setqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5566));
						}
				}
			}
		}

	}



/* &setq/Cinfo-nil */
	BgL_setqz00_bglt BGl_z62setqzf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7838)
	{
		{	/* Cfa/cinfo.sch 1077 */
			return BGl_setqzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* setq/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_setqzf2Cinfozd2approxz20zzcfa_approxz00(BgL_setqz00_bglt BgL_oz00_695)
	{
		{	/* Cfa/cinfo.sch 1078 */
			{
				BgL_setqzf2cinfozf2_bglt BgL_auxz00_11915;

				{
					obj_t BgL_auxz00_11916;

					{	/* Cfa/cinfo.sch 1078 */
						BgL_objectz00_bglt BgL_tmpz00_11917;

						BgL_tmpz00_11917 = ((BgL_objectz00_bglt) BgL_oz00_695);
						BgL_auxz00_11916 = BGL_OBJECT_WIDENING(BgL_tmpz00_11917);
					}
					BgL_auxz00_11915 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_11916);
				}
				return
					(((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11915))->
					BgL_approxz00);
			}
		}

	}



/* &setq/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62setqzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7839, obj_t BgL_oz00_7840)
	{
		{	/* Cfa/cinfo.sch 1078 */
			return
				BGl_setqzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_setqz00_bglt) BgL_oz00_7840));
		}

	}



/* setq/Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setqzf2Cinfozd2valuez20zzcfa_approxz00(BgL_setqz00_bglt BgL_oz00_698)
	{
		{	/* Cfa/cinfo.sch 1080 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_698)))->BgL_valuez00);
		}

	}



/* &setq/Cinfo-value */
	BgL_nodez00_bglt BGl_z62setqzf2Cinfozd2valuez42zzcfa_approxz00(obj_t
		BgL_envz00_7841, obj_t BgL_oz00_7842)
	{
		{	/* Cfa/cinfo.sch 1080 */
			return
				BGl_setqzf2Cinfozd2valuez20zzcfa_approxz00(
				((BgL_setqz00_bglt) BgL_oz00_7842));
		}

	}



/* setq/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzf2Cinfozd2valuezd2setz12ze0zzcfa_approxz00(BgL_setqz00_bglt
		BgL_oz00_699, BgL_nodez00_bglt BgL_vz00_700)
	{
		{	/* Cfa/cinfo.sch 1081 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_699)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_700), BUNSPEC);
		}

	}



/* &setq/Cinfo-value-set! */
	obj_t BGl_z62setqzf2Cinfozd2valuezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7843, obj_t BgL_oz00_7844, obj_t BgL_vz00_7845)
	{
		{	/* Cfa/cinfo.sch 1081 */
			return
				BGl_setqzf2Cinfozd2valuezd2setz12ze0zzcfa_approxz00(
				((BgL_setqz00_bglt) BgL_oz00_7844), ((BgL_nodez00_bglt) BgL_vz00_7845));
		}

	}



/* setq/Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setqzf2Cinfozd2varz20zzcfa_approxz00(BgL_setqz00_bglt BgL_oz00_701)
	{
		{	/* Cfa/cinfo.sch 1082 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_701)))->BgL_varz00);
		}

	}



/* &setq/Cinfo-var */
	BgL_varz00_bglt BGl_z62setqzf2Cinfozd2varz42zzcfa_approxz00(obj_t
		BgL_envz00_7846, obj_t BgL_oz00_7847)
	{
		{	/* Cfa/cinfo.sch 1082 */
			return
				BGl_setqzf2Cinfozd2varz20zzcfa_approxz00(
				((BgL_setqz00_bglt) BgL_oz00_7847));
		}

	}



/* setq/Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzf2Cinfozd2varzd2setz12ze0zzcfa_approxz00(BgL_setqz00_bglt
		BgL_oz00_702, BgL_varz00_bglt BgL_vz00_703)
	{
		{	/* Cfa/cinfo.sch 1083 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_702)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_703), BUNSPEC);
		}

	}



/* &setq/Cinfo-var-set! */
	obj_t BGl_z62setqzf2Cinfozd2varzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7848, obj_t BgL_oz00_7849, obj_t BgL_vz00_7850)
	{
		{	/* Cfa/cinfo.sch 1083 */
			return
				BGl_setqzf2Cinfozd2varzd2setz12ze0zzcfa_approxz00(
				((BgL_setqz00_bglt) BgL_oz00_7849), ((BgL_varz00_bglt) BgL_vz00_7850));
		}

	}



/* setq/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setqzf2Cinfozd2typez20zzcfa_approxz00(BgL_setqz00_bglt BgL_oz00_704)
	{
		{	/* Cfa/cinfo.sch 1084 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_704)))->BgL_typez00);
		}

	}



/* &setq/Cinfo-type */
	BgL_typez00_bglt BGl_z62setqzf2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_7851, obj_t BgL_oz00_7852)
	{
		{	/* Cfa/cinfo.sch 1084 */
			return
				BGl_setqzf2Cinfozd2typez20zzcfa_approxz00(
				((BgL_setqz00_bglt) BgL_oz00_7852));
		}

	}



/* setq/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_setqz00_bglt
		BgL_oz00_705, BgL_typez00_bglt BgL_vz00_706)
	{
		{	/* Cfa/cinfo.sch 1085 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_705)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_706), BUNSPEC);
		}

	}



/* &setq/Cinfo-type-set! */
	obj_t BGl_z62setqzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7853, obj_t BgL_oz00_7854, obj_t BgL_vz00_7855)
	{
		{	/* Cfa/cinfo.sch 1085 */
			return
				BGl_setqzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_setqz00_bglt) BgL_oz00_7854), ((BgL_typez00_bglt) BgL_vz00_7855));
		}

	}



/* setq/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzf2Cinfozd2locz20zzcfa_approxz00(BgL_setqz00_bglt BgL_oz00_707)
	{
		{	/* Cfa/cinfo.sch 1086 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_707)))->BgL_locz00);
		}

	}



/* &setq/Cinfo-loc */
	obj_t BGl_z62setqzf2Cinfozd2locz42zzcfa_approxz00(obj_t BgL_envz00_7856,
		obj_t BgL_oz00_7857)
	{
		{	/* Cfa/cinfo.sch 1086 */
			return
				BGl_setqzf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_setqz00_bglt) BgL_oz00_7857));
		}

	}



/* make-conditional/Cinfo */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_makezd2conditionalzf2Cinfoz20zzcfa_approxz00(obj_t BgL_loc1628z00_710,
		BgL_typez00_bglt BgL_type1629z00_711, obj_t BgL_sidezd2effect1630zd2_712,
		obj_t BgL_key1631z00_713, BgL_nodez00_bglt BgL_test1632z00_714,
		BgL_nodez00_bglt BgL_true1633z00_715, BgL_nodez00_bglt BgL_false1634z00_716,
		BgL_approxz00_bglt BgL_approx1635z00_717)
	{
		{	/* Cfa/cinfo.sch 1090 */
			{	/* Cfa/cinfo.sch 1090 */
				BgL_conditionalz00_bglt BgL_new1259z00_8754;

				{	/* Cfa/cinfo.sch 1090 */
					BgL_conditionalz00_bglt BgL_tmp1257z00_8755;
					BgL_conditionalzf2cinfozf2_bglt BgL_wide1258z00_8756;

					{
						BgL_conditionalz00_bglt BgL_auxz00_11955;

						{	/* Cfa/cinfo.sch 1090 */
							BgL_conditionalz00_bglt BgL_new1256z00_8757;

							BgL_new1256z00_8757 =
								((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_conditionalz00_bgl))));
							{	/* Cfa/cinfo.sch 1090 */
								long BgL_arg1752z00_8758;

								BgL_arg1752z00_8758 =
									BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1256z00_8757),
									BgL_arg1752z00_8758);
							}
							{	/* Cfa/cinfo.sch 1090 */
								BgL_objectz00_bglt BgL_tmpz00_11960;

								BgL_tmpz00_11960 = ((BgL_objectz00_bglt) BgL_new1256z00_8757);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11960, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1256z00_8757);
							BgL_auxz00_11955 = BgL_new1256z00_8757;
						}
						BgL_tmp1257z00_8755 = ((BgL_conditionalz00_bglt) BgL_auxz00_11955);
					}
					BgL_wide1258z00_8756 =
						((BgL_conditionalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1090 */
						obj_t BgL_auxz00_11968;
						BgL_objectz00_bglt BgL_tmpz00_11966;

						BgL_auxz00_11968 = ((obj_t) BgL_wide1258z00_8756);
						BgL_tmpz00_11966 = ((BgL_objectz00_bglt) BgL_tmp1257z00_8755);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11966, BgL_auxz00_11968);
					}
					((BgL_objectz00_bglt) BgL_tmp1257z00_8755);
					{	/* Cfa/cinfo.sch 1090 */
						long BgL_arg1751z00_8759;

						BgL_arg1751z00_8759 =
							BGL_CLASS_NUM(BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1257z00_8755), BgL_arg1751z00_8759);
					}
					BgL_new1259z00_8754 = ((BgL_conditionalz00_bglt) BgL_tmp1257z00_8755);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1259z00_8754)))->BgL_locz00) =
					((obj_t) BgL_loc1628z00_710), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1259z00_8754)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1629z00_711), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1259z00_8754)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1630zd2_712), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1259z00_8754)))->BgL_keyz00) =
					((obj_t) BgL_key1631z00_713), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1259z00_8754)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1632z00_714), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1259z00_8754)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_true1633z00_715), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1259z00_8754)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_false1634z00_716), BUNSPEC);
				{
					BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_11990;

					{
						obj_t BgL_auxz00_11991;

						{	/* Cfa/cinfo.sch 1090 */
							BgL_objectz00_bglt BgL_tmpz00_11992;

							BgL_tmpz00_11992 = ((BgL_objectz00_bglt) BgL_new1259z00_8754);
							BgL_auxz00_11991 = BGL_OBJECT_WIDENING(BgL_tmpz00_11992);
						}
						BgL_auxz00_11990 =
							((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_11991);
					}
					((((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11990))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1635z00_717), BUNSPEC);
				}
				return BgL_new1259z00_8754;
			}
		}

	}



/* &make-conditional/Cinfo */
	BgL_conditionalz00_bglt
		BGl_z62makezd2conditionalzf2Cinfoz42zzcfa_approxz00(obj_t BgL_envz00_7858,
		obj_t BgL_loc1628z00_7859, obj_t BgL_type1629z00_7860,
		obj_t BgL_sidezd2effect1630zd2_7861, obj_t BgL_key1631z00_7862,
		obj_t BgL_test1632z00_7863, obj_t BgL_true1633z00_7864,
		obj_t BgL_false1634z00_7865, obj_t BgL_approx1635z00_7866)
	{
		{	/* Cfa/cinfo.sch 1090 */
			return
				BGl_makezd2conditionalzf2Cinfoz20zzcfa_approxz00(BgL_loc1628z00_7859,
				((BgL_typez00_bglt) BgL_type1629z00_7860),
				BgL_sidezd2effect1630zd2_7861, BgL_key1631z00_7862,
				((BgL_nodez00_bglt) BgL_test1632z00_7863),
				((BgL_nodez00_bglt) BgL_true1633z00_7864),
				((BgL_nodez00_bglt) BgL_false1634z00_7865),
				((BgL_approxz00_bglt) BgL_approx1635z00_7866));
		}

	}



/* conditional/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_conditionalzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_718)
	{
		{	/* Cfa/cinfo.sch 1091 */
			{	/* Cfa/cinfo.sch 1091 */
				obj_t BgL_classz00_8760;

				BgL_classz00_8760 = BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_718))
					{	/* Cfa/cinfo.sch 1091 */
						BgL_objectz00_bglt BgL_arg1820z00_8761;

						BgL_arg1820z00_8761 = (BgL_objectz00_bglt) (BgL_objz00_718);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1091 */
								long BgL_idxz00_8762;

								BgL_idxz00_8762 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8761);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8762 + ((long) 4))) == BgL_classz00_8760);
							}
						else
							{	/* Cfa/cinfo.sch 1091 */
								bool_t BgL_res2123z00_8765;

								{	/* Cfa/cinfo.sch 1091 */
									obj_t BgL_oclassz00_8766;

									{	/* Cfa/cinfo.sch 1091 */
										long BgL_arg1828z00_8767;

										{	/* Cfa/cinfo.sch 1091 */
											long BgL_arg1829z00_8768;

											BgL_arg1829z00_8768 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8761);
											BgL_arg1828z00_8767 = (BgL_arg1829z00_8768 - OBJECT_TYPE);
										}
										BgL_oclassz00_8766 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8767);
									}
									{	/* Cfa/cinfo.sch 1091 */
										bool_t BgL__ortest_1111z00_8769;

										BgL__ortest_1111z00_8769 =
											(BgL_classz00_8760 == BgL_oclassz00_8766);
										if (BgL__ortest_1111z00_8769)
											{	/* Cfa/cinfo.sch 1091 */
												BgL_res2123z00_8765 = BgL__ortest_1111z00_8769;
											}
										else
											{	/* Cfa/cinfo.sch 1091 */
												long BgL_odepthz00_8770;

												BgL_odepthz00_8770 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8766);
												if ((((long) 4) < BgL_odepthz00_8770))
													{	/* Cfa/cinfo.sch 1091 */
														obj_t BgL_arg1816z00_8771;

														BgL_arg1816z00_8771 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8766,
															((long) 4));
														BgL_res2123z00_8765 =
															(BgL_arg1816z00_8771 == BgL_classz00_8760);
													}
												else
													{	/* Cfa/cinfo.sch 1091 */
														BgL_res2123z00_8765 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2123z00_8765;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1091 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &conditional/Cinfo? */
	obj_t BGl_z62conditionalzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7867,
		obj_t BgL_objz00_7868)
	{
		{	/* Cfa/cinfo.sch 1091 */
			return
				BBOOL(BGl_conditionalzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7868));
		}

	}



/* conditional/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_conditionalzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1092 */
			{	/* Cfa/cinfo.sch 1092 */
				obj_t BgL_classz00_5615;

				BgL_classz00_5615 = BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1092 */
					obj_t BgL__ortest_1113z00_5616;

					BgL__ortest_1113z00_5616 = BGL_CLASS_NIL(BgL_classz00_5615);
					if (CBOOL(BgL__ortest_1113z00_5616))
						{	/* Cfa/cinfo.sch 1092 */
							return ((BgL_conditionalz00_bglt) BgL__ortest_1113z00_5616);
						}
					else
						{	/* Cfa/cinfo.sch 1092 */
							return
								((BgL_conditionalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5615));
						}
				}
			}
		}

	}



/* &conditional/Cinfo-nil */
	BgL_conditionalz00_bglt
		BGl_z62conditionalzf2Cinfozd2nilz42zzcfa_approxz00(obj_t BgL_envz00_7869)
	{
		{	/* Cfa/cinfo.sch 1092 */
			return BGl_conditionalzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* conditional/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_conditionalzf2Cinfozd2approxz20zzcfa_approxz00(BgL_conditionalz00_bglt
		BgL_oz00_719)
	{
		{	/* Cfa/cinfo.sch 1093 */
			{
				BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_12031;

				{
					obj_t BgL_auxz00_12032;

					{	/* Cfa/cinfo.sch 1093 */
						BgL_objectz00_bglt BgL_tmpz00_12033;

						BgL_tmpz00_12033 = ((BgL_objectz00_bglt) BgL_oz00_719);
						BgL_auxz00_12032 = BGL_OBJECT_WIDENING(BgL_tmpz00_12033);
					}
					BgL_auxz00_12031 =
						((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_12032);
				}
				return
					(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12031))->
					BgL_approxz00);
			}
		}

	}



/* &conditional/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62conditionalzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7870, obj_t BgL_oz00_7871)
	{
		{	/* Cfa/cinfo.sch 1093 */
			return
				BGl_conditionalzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7871));
		}

	}



/* conditional/Cinfo-false */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2falsez20zzcfa_approxz00(BgL_conditionalz00_bglt
		BgL_oz00_722)
	{
		{	/* Cfa/cinfo.sch 1095 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_722)))->BgL_falsez00);
		}

	}



/* &conditional/Cinfo-false */
	BgL_nodez00_bglt BGl_z62conditionalzf2Cinfozd2falsez42zzcfa_approxz00(obj_t
		BgL_envz00_7872, obj_t BgL_oz00_7873)
	{
		{	/* Cfa/cinfo.sch 1095 */
			return
				BGl_conditionalzf2Cinfozd2falsez20zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7873));
		}

	}



/* conditional/Cinfo-false-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2falsezd2setz12ze0zzcfa_approxz00
		(BgL_conditionalz00_bglt BgL_oz00_723, BgL_nodez00_bglt BgL_vz00_724)
	{
		{	/* Cfa/cinfo.sch 1096 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_723)))->BgL_falsez00) =
				((BgL_nodez00_bglt) BgL_vz00_724), BUNSPEC);
		}

	}



/* &conditional/Cinfo-false-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2falsezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7874, obj_t BgL_oz00_7875, obj_t BgL_vz00_7876)
	{
		{	/* Cfa/cinfo.sch 1096 */
			return
				BGl_conditionalzf2Cinfozd2falsezd2setz12ze0zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7875),
				((BgL_nodez00_bglt) BgL_vz00_7876));
		}

	}



/* conditional/Cinfo-true */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2truez20zzcfa_approxz00(BgL_conditionalz00_bglt
		BgL_oz00_725)
	{
		{	/* Cfa/cinfo.sch 1097 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_725)))->BgL_truez00);
		}

	}



/* &conditional/Cinfo-true */
	BgL_nodez00_bglt BGl_z62conditionalzf2Cinfozd2truez42zzcfa_approxz00(obj_t
		BgL_envz00_7877, obj_t BgL_oz00_7878)
	{
		{	/* Cfa/cinfo.sch 1097 */
			return
				BGl_conditionalzf2Cinfozd2truez20zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7878));
		}

	}



/* conditional/Cinfo-true-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2truezd2setz12ze0zzcfa_approxz00
		(BgL_conditionalz00_bglt BgL_oz00_726, BgL_nodez00_bglt BgL_vz00_727)
	{
		{	/* Cfa/cinfo.sch 1098 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_726)))->BgL_truez00) =
				((BgL_nodez00_bglt) BgL_vz00_727), BUNSPEC);
		}

	}



/* &conditional/Cinfo-true-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2truezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7879, obj_t BgL_oz00_7880, obj_t BgL_vz00_7881)
	{
		{	/* Cfa/cinfo.sch 1098 */
			return
				BGl_conditionalzf2Cinfozd2truezd2setz12ze0zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7880),
				((BgL_nodez00_bglt) BgL_vz00_7881));
		}

	}



/* conditional/Cinfo-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2testz20zzcfa_approxz00(BgL_conditionalz00_bglt
		BgL_oz00_728)
	{
		{	/* Cfa/cinfo.sch 1099 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_728)))->BgL_testz00);
		}

	}



/* &conditional/Cinfo-test */
	BgL_nodez00_bglt BGl_z62conditionalzf2Cinfozd2testz42zzcfa_approxz00(obj_t
		BgL_envz00_7882, obj_t BgL_oz00_7883)
	{
		{	/* Cfa/cinfo.sch 1099 */
			return
				BGl_conditionalzf2Cinfozd2testz20zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7883));
		}

	}



/* conditional/Cinfo-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2testzd2setz12ze0zzcfa_approxz00
		(BgL_conditionalz00_bglt BgL_oz00_729, BgL_nodez00_bglt BgL_vz00_730)
	{
		{	/* Cfa/cinfo.sch 1100 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_729)))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_730), BUNSPEC);
		}

	}



/* &conditional/Cinfo-test-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2testzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7884, obj_t BgL_oz00_7885, obj_t BgL_vz00_7886)
	{
		{	/* Cfa/cinfo.sch 1100 */
			return
				BGl_conditionalzf2Cinfozd2testzd2setz12ze0zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7885),
				((BgL_nodez00_bglt) BgL_vz00_7886));
		}

	}



/* conditional/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2keyz20zzcfa_approxz00(BgL_conditionalz00_bglt
		BgL_oz00_731)
	{
		{	/* Cfa/cinfo.sch 1101 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_731)))->BgL_keyz00);
		}

	}



/* &conditional/Cinfo-key */
	obj_t BGl_z62conditionalzf2Cinfozd2keyz42zzcfa_approxz00(obj_t
		BgL_envz00_7887, obj_t BgL_oz00_7888)
	{
		{	/* Cfa/cinfo.sch 1101 */
			return
				BGl_conditionalzf2Cinfozd2keyz20zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7888));
		}

	}



/* conditional/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2keyzd2setz12ze0zzcfa_approxz00
		(BgL_conditionalz00_bglt BgL_oz00_732, obj_t BgL_vz00_733)
	{
		{	/* Cfa/cinfo.sch 1102 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_732)))->BgL_keyz00) =
				((obj_t) BgL_vz00_733), BUNSPEC);
		}

	}



/* &conditional/Cinfo-key-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2keyzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7889, obj_t BgL_oz00_7890, obj_t BgL_vz00_7891)
	{
		{	/* Cfa/cinfo.sch 1102 */
			return
				BGl_conditionalzf2Cinfozd2keyzd2setz12ze0zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7890), BgL_vz00_7891);
		}

	}



/* conditional/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2sidezd2effectzf2zzcfa_approxz00
		(BgL_conditionalz00_bglt BgL_oz00_734)
	{
		{	/* Cfa/cinfo.sch 1103 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_734)))->BgL_sidezd2effectzd2);
		}

	}



/* &conditional/Cinfo-side-effect */
	obj_t BGl_z62conditionalzf2Cinfozd2sidezd2effectz90zzcfa_approxz00(obj_t
		BgL_envz00_7892, obj_t BgL_oz00_7893)
	{
		{	/* Cfa/cinfo.sch 1103 */
			return
				BGl_conditionalzf2Cinfozd2sidezd2effectzf2zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7893));
		}

	}



/* conditional/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00
		(BgL_conditionalz00_bglt BgL_oz00_735, obj_t BgL_vz00_736)
	{
		{	/* Cfa/cinfo.sch 1104 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_735)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_736), BUNSPEC);
		}

	}



/* &conditional/Cinfo-side-effect-set! */
	obj_t
		BGl_z62conditionalzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7894, obj_t BgL_oz00_7895, obj_t BgL_vz00_7896)
	{
		{	/* Cfa/cinfo.sch 1104 */
			return
				BGl_conditionalzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7895), BgL_vz00_7896);
		}

	}



/* conditional/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_conditionalzf2Cinfozd2typez20zzcfa_approxz00(BgL_conditionalz00_bglt
		BgL_oz00_737)
	{
		{	/* Cfa/cinfo.sch 1105 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_737)))->BgL_typez00);
		}

	}



/* &conditional/Cinfo-type */
	BgL_typez00_bglt BGl_z62conditionalzf2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_7897, obj_t BgL_oz00_7898)
	{
		{	/* Cfa/cinfo.sch 1105 */
			return
				BGl_conditionalzf2Cinfozd2typez20zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7898));
		}

	}



/* conditional/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00
		(BgL_conditionalz00_bglt BgL_oz00_738, BgL_typez00_bglt BgL_vz00_739)
	{
		{	/* Cfa/cinfo.sch 1106 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_738)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_739), BUNSPEC);
		}

	}



/* &conditional/Cinfo-type-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7899, obj_t BgL_oz00_7900, obj_t BgL_vz00_7901)
	{
		{	/* Cfa/cinfo.sch 1106 */
			return
				BGl_conditionalzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7900),
				((BgL_typez00_bglt) BgL_vz00_7901));
		}

	}



/* conditional/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2locz20zzcfa_approxz00(BgL_conditionalz00_bglt
		BgL_oz00_740)
	{
		{	/* Cfa/cinfo.sch 1107 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_740)))->BgL_locz00);
		}

	}



/* &conditional/Cinfo-loc */
	obj_t BGl_z62conditionalzf2Cinfozd2locz42zzcfa_approxz00(obj_t
		BgL_envz00_7902, obj_t BgL_oz00_7903)
	{
		{	/* Cfa/cinfo.sch 1107 */
			return
				BGl_conditionalzf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_conditionalz00_bglt) BgL_oz00_7903));
		}

	}



/* make-fail/Cinfo */
	BGL_EXPORTED_DEF BgL_failz00_bglt
		BGl_makezd2failzf2Cinfoz20zzcfa_approxz00(obj_t BgL_loc1619z00_743,
		BgL_typez00_bglt BgL_type1620z00_744, BgL_nodez00_bglt BgL_proc1621z00_745,
		BgL_nodez00_bglt BgL_msg1622z00_746, BgL_nodez00_bglt BgL_obj1623z00_747,
		BgL_approxz00_bglt BgL_approx1625z00_748)
	{
		{	/* Cfa/cinfo.sch 1111 */
			{	/* Cfa/cinfo.sch 1111 */
				BgL_failz00_bglt BgL_new1263z00_8772;

				{	/* Cfa/cinfo.sch 1111 */
					BgL_failz00_bglt BgL_tmp1261z00_8773;
					BgL_failzf2cinfozf2_bglt BgL_wide1262z00_8774;

					{
						BgL_failz00_bglt BgL_auxz00_12096;

						{	/* Cfa/cinfo.sch 1111 */
							BgL_failz00_bglt BgL_new1260z00_8775;

							BgL_new1260z00_8775 =
								((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_failz00_bgl))));
							{	/* Cfa/cinfo.sch 1111 */
								long BgL_arg1754z00_8776;

								BgL_arg1754z00_8776 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1260z00_8775),
									BgL_arg1754z00_8776);
							}
							{	/* Cfa/cinfo.sch 1111 */
								BgL_objectz00_bglt BgL_tmpz00_12101;

								BgL_tmpz00_12101 = ((BgL_objectz00_bglt) BgL_new1260z00_8775);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12101, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1260z00_8775);
							BgL_auxz00_12096 = BgL_new1260z00_8775;
						}
						BgL_tmp1261z00_8773 = ((BgL_failz00_bglt) BgL_auxz00_12096);
					}
					BgL_wide1262z00_8774 =
						((BgL_failzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1111 */
						obj_t BgL_auxz00_12109;
						BgL_objectz00_bglt BgL_tmpz00_12107;

						BgL_auxz00_12109 = ((obj_t) BgL_wide1262z00_8774);
						BgL_tmpz00_12107 = ((BgL_objectz00_bglt) BgL_tmp1261z00_8773);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12107, BgL_auxz00_12109);
					}
					((BgL_objectz00_bglt) BgL_tmp1261z00_8773);
					{	/* Cfa/cinfo.sch 1111 */
						long BgL_arg1753z00_8777;

						BgL_arg1753z00_8777 =
							BGL_CLASS_NUM(BGl_failzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1261z00_8773), BgL_arg1753z00_8777);
					}
					BgL_new1263z00_8772 = ((BgL_failz00_bglt) BgL_tmp1261z00_8773);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1263z00_8772)))->BgL_locz00) =
					((obj_t) BgL_loc1619z00_743), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1263z00_8772)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1620z00_744), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1263z00_8772)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_proc1621z00_745), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1263z00_8772)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_msg1622z00_746), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1263z00_8772)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_obj1623z00_747), BUNSPEC);
				{
					BgL_failzf2cinfozf2_bglt BgL_auxz00_12127;

					{
						obj_t BgL_auxz00_12128;

						{	/* Cfa/cinfo.sch 1111 */
							BgL_objectz00_bglt BgL_tmpz00_12129;

							BgL_tmpz00_12129 = ((BgL_objectz00_bglt) BgL_new1263z00_8772);
							BgL_auxz00_12128 = BGL_OBJECT_WIDENING(BgL_tmpz00_12129);
						}
						BgL_auxz00_12127 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_12128);
					}
					((((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12127))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1625z00_748), BUNSPEC);
				}
				return BgL_new1263z00_8772;
			}
		}

	}



/* &make-fail/Cinfo */
	BgL_failz00_bglt BGl_z62makezd2failzf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_7904, obj_t BgL_loc1619z00_7905, obj_t BgL_type1620z00_7906,
		obj_t BgL_proc1621z00_7907, obj_t BgL_msg1622z00_7908,
		obj_t BgL_obj1623z00_7909, obj_t BgL_approx1625z00_7910)
	{
		{	/* Cfa/cinfo.sch 1111 */
			return
				BGl_makezd2failzf2Cinfoz20zzcfa_approxz00(BgL_loc1619z00_7905,
				((BgL_typez00_bglt) BgL_type1620z00_7906),
				((BgL_nodez00_bglt) BgL_proc1621z00_7907),
				((BgL_nodez00_bglt) BgL_msg1622z00_7908),
				((BgL_nodez00_bglt) BgL_obj1623z00_7909),
				((BgL_approxz00_bglt) BgL_approx1625z00_7910));
		}

	}



/* fail/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_failzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_749)
	{
		{	/* Cfa/cinfo.sch 1112 */
			{	/* Cfa/cinfo.sch 1112 */
				obj_t BgL_classz00_8778;

				BgL_classz00_8778 = BGl_failzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_749))
					{	/* Cfa/cinfo.sch 1112 */
						BgL_objectz00_bglt BgL_arg1820z00_8779;

						BgL_arg1820z00_8779 = (BgL_objectz00_bglt) (BgL_objz00_749);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1112 */
								long BgL_idxz00_8780;

								BgL_idxz00_8780 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8779);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8780 + ((long) 3))) == BgL_classz00_8778);
							}
						else
							{	/* Cfa/cinfo.sch 1112 */
								bool_t BgL_res2124z00_8783;

								{	/* Cfa/cinfo.sch 1112 */
									obj_t BgL_oclassz00_8784;

									{	/* Cfa/cinfo.sch 1112 */
										long BgL_arg1828z00_8785;

										{	/* Cfa/cinfo.sch 1112 */
											long BgL_arg1829z00_8786;

											BgL_arg1829z00_8786 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8779);
											BgL_arg1828z00_8785 = (BgL_arg1829z00_8786 - OBJECT_TYPE);
										}
										BgL_oclassz00_8784 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8785);
									}
									{	/* Cfa/cinfo.sch 1112 */
										bool_t BgL__ortest_1111z00_8787;

										BgL__ortest_1111z00_8787 =
											(BgL_classz00_8778 == BgL_oclassz00_8784);
										if (BgL__ortest_1111z00_8787)
											{	/* Cfa/cinfo.sch 1112 */
												BgL_res2124z00_8783 = BgL__ortest_1111z00_8787;
											}
										else
											{	/* Cfa/cinfo.sch 1112 */
												long BgL_odepthz00_8788;

												BgL_odepthz00_8788 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8784);
												if ((((long) 3) < BgL_odepthz00_8788))
													{	/* Cfa/cinfo.sch 1112 */
														obj_t BgL_arg1816z00_8789;

														BgL_arg1816z00_8789 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8784,
															((long) 3));
														BgL_res2124z00_8783 =
															(BgL_arg1816z00_8789 == BgL_classz00_8778);
													}
												else
													{	/* Cfa/cinfo.sch 1112 */
														BgL_res2124z00_8783 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2124z00_8783;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1112 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &fail/Cinfo? */
	obj_t BGl_z62failzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7911,
		obj_t BgL_objz00_7912)
	{
		{	/* Cfa/cinfo.sch 1112 */
			return BBOOL(BGl_failzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7912));
		}

	}



/* fail/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_failz00_bglt
		BGl_failzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1113 */
			{	/* Cfa/cinfo.sch 1113 */
				obj_t BgL_classz00_5664;

				BgL_classz00_5664 = BGl_failzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1113 */
					obj_t BgL__ortest_1113z00_5665;

					BgL__ortest_1113z00_5665 = BGL_CLASS_NIL(BgL_classz00_5664);
					if (CBOOL(BgL__ortest_1113z00_5665))
						{	/* Cfa/cinfo.sch 1113 */
							return ((BgL_failz00_bglt) BgL__ortest_1113z00_5665);
						}
					else
						{	/* Cfa/cinfo.sch 1113 */
							return
								((BgL_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5664));
						}
				}
			}
		}

	}



/* &fail/Cinfo-nil */
	BgL_failz00_bglt BGl_z62failzf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7913)
	{
		{	/* Cfa/cinfo.sch 1113 */
			return BGl_failzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* fail/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_failzf2Cinfozd2approxz20zzcfa_approxz00(BgL_failz00_bglt BgL_oz00_750)
	{
		{	/* Cfa/cinfo.sch 1114 */
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_12168;

				{
					obj_t BgL_auxz00_12169;

					{	/* Cfa/cinfo.sch 1114 */
						BgL_objectz00_bglt BgL_tmpz00_12170;

						BgL_tmpz00_12170 = ((BgL_objectz00_bglt) BgL_oz00_750);
						BgL_auxz00_12169 = BGL_OBJECT_WIDENING(BgL_tmpz00_12170);
					}
					BgL_auxz00_12168 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_12169);
				}
				return
					(((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12168))->
					BgL_approxz00);
			}
		}

	}



/* &fail/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62failzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7914, obj_t BgL_oz00_7915)
	{
		{	/* Cfa/cinfo.sch 1114 */
			return
				BGl_failzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_failz00_bglt) BgL_oz00_7915));
		}

	}



/* fail/Cinfo-obj */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzf2Cinfozd2objz20zzcfa_approxz00(BgL_failz00_bglt BgL_oz00_753)
	{
		{	/* Cfa/cinfo.sch 1116 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_753)))->BgL_objz00);
		}

	}



/* &fail/Cinfo-obj */
	BgL_nodez00_bglt BGl_z62failzf2Cinfozd2objz42zzcfa_approxz00(obj_t
		BgL_envz00_7916, obj_t BgL_oz00_7917)
	{
		{	/* Cfa/cinfo.sch 1116 */
			return
				BGl_failzf2Cinfozd2objz20zzcfa_approxz00(
				((BgL_failz00_bglt) BgL_oz00_7917));
		}

	}



/* fail/Cinfo-obj-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2objzd2setz12ze0zzcfa_approxz00(BgL_failz00_bglt
		BgL_oz00_754, BgL_nodez00_bglt BgL_vz00_755)
	{
		{	/* Cfa/cinfo.sch 1117 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_754)))->BgL_objz00) =
				((BgL_nodez00_bglt) BgL_vz00_755), BUNSPEC);
		}

	}



/* &fail/Cinfo-obj-set! */
	obj_t BGl_z62failzf2Cinfozd2objzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7918, obj_t BgL_oz00_7919, obj_t BgL_vz00_7920)
	{
		{	/* Cfa/cinfo.sch 1117 */
			return
				BGl_failzf2Cinfozd2objzd2setz12ze0zzcfa_approxz00(
				((BgL_failz00_bglt) BgL_oz00_7919), ((BgL_nodez00_bglt) BgL_vz00_7920));
		}

	}



/* fail/Cinfo-msg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzf2Cinfozd2msgz20zzcfa_approxz00(BgL_failz00_bglt BgL_oz00_756)
	{
		{	/* Cfa/cinfo.sch 1118 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_756)))->BgL_msgz00);
		}

	}



/* &fail/Cinfo-msg */
	BgL_nodez00_bglt BGl_z62failzf2Cinfozd2msgz42zzcfa_approxz00(obj_t
		BgL_envz00_7921, obj_t BgL_oz00_7922)
	{
		{	/* Cfa/cinfo.sch 1118 */
			return
				BGl_failzf2Cinfozd2msgz20zzcfa_approxz00(
				((BgL_failz00_bglt) BgL_oz00_7922));
		}

	}



/* fail/Cinfo-msg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2msgzd2setz12ze0zzcfa_approxz00(BgL_failz00_bglt
		BgL_oz00_757, BgL_nodez00_bglt BgL_vz00_758)
	{
		{	/* Cfa/cinfo.sch 1119 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_757)))->BgL_msgz00) =
				((BgL_nodez00_bglt) BgL_vz00_758), BUNSPEC);
		}

	}



/* &fail/Cinfo-msg-set! */
	obj_t BGl_z62failzf2Cinfozd2msgzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7923, obj_t BgL_oz00_7924, obj_t BgL_vz00_7925)
	{
		{	/* Cfa/cinfo.sch 1119 */
			return
				BGl_failzf2Cinfozd2msgzd2setz12ze0zzcfa_approxz00(
				((BgL_failz00_bglt) BgL_oz00_7924), ((BgL_nodez00_bglt) BgL_vz00_7925));
		}

	}



/* fail/Cinfo-proc */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzf2Cinfozd2procz20zzcfa_approxz00(BgL_failz00_bglt BgL_oz00_759)
	{
		{	/* Cfa/cinfo.sch 1120 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_759)))->BgL_procz00);
		}

	}



/* &fail/Cinfo-proc */
	BgL_nodez00_bglt BGl_z62failzf2Cinfozd2procz42zzcfa_approxz00(obj_t
		BgL_envz00_7926, obj_t BgL_oz00_7927)
	{
		{	/* Cfa/cinfo.sch 1120 */
			return
				BGl_failzf2Cinfozd2procz20zzcfa_approxz00(
				((BgL_failz00_bglt) BgL_oz00_7927));
		}

	}



/* fail/Cinfo-proc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2proczd2setz12ze0zzcfa_approxz00(BgL_failz00_bglt
		BgL_oz00_760, BgL_nodez00_bglt BgL_vz00_761)
	{
		{	/* Cfa/cinfo.sch 1121 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_760)))->BgL_procz00) =
				((BgL_nodez00_bglt) BgL_vz00_761), BUNSPEC);
		}

	}



/* &fail/Cinfo-proc-set! */
	obj_t BGl_z62failzf2Cinfozd2proczd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7928, obj_t BgL_oz00_7929, obj_t BgL_vz00_7930)
	{
		{	/* Cfa/cinfo.sch 1121 */
			return
				BGl_failzf2Cinfozd2proczd2setz12ze0zzcfa_approxz00(
				((BgL_failz00_bglt) BgL_oz00_7929), ((BgL_nodez00_bglt) BgL_vz00_7930));
		}

	}



/* fail/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_failzf2Cinfozd2typez20zzcfa_approxz00(BgL_failz00_bglt BgL_oz00_762)
	{
		{	/* Cfa/cinfo.sch 1122 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_762)))->BgL_typez00);
		}

	}



/* &fail/Cinfo-type */
	BgL_typez00_bglt BGl_z62failzf2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_7931, obj_t BgL_oz00_7932)
	{
		{	/* Cfa/cinfo.sch 1122 */
			return
				BGl_failzf2Cinfozd2typez20zzcfa_approxz00(
				((BgL_failz00_bglt) BgL_oz00_7932));
		}

	}



/* fail/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_failz00_bglt
		BgL_oz00_763, BgL_typez00_bglt BgL_vz00_764)
	{
		{	/* Cfa/cinfo.sch 1123 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_763)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_764), BUNSPEC);
		}

	}



/* &fail/Cinfo-type-set! */
	obj_t BGl_z62failzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7933, obj_t BgL_oz00_7934, obj_t BgL_vz00_7935)
	{
		{	/* Cfa/cinfo.sch 1123 */
			return
				BGl_failzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_failz00_bglt) BgL_oz00_7934), ((BgL_typez00_bglt) BgL_vz00_7935));
		}

	}



/* fail/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2locz20zzcfa_approxz00(BgL_failz00_bglt BgL_oz00_765)
	{
		{	/* Cfa/cinfo.sch 1124 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_765)))->BgL_locz00);
		}

	}



/* &fail/Cinfo-loc */
	obj_t BGl_z62failzf2Cinfozd2locz42zzcfa_approxz00(obj_t BgL_envz00_7936,
		obj_t BgL_oz00_7937)
	{
		{	/* Cfa/cinfo.sch 1124 */
			return
				BGl_failzf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_failz00_bglt) BgL_oz00_7937));
		}

	}



/* make-switch/Cinfo */
	BGL_EXPORTED_DEF BgL_switchz00_bglt
		BGl_makezd2switchzf2Cinfoz20zzcfa_approxz00(obj_t BgL_loc1610z00_768,
		BgL_typez00_bglt BgL_type1611z00_769, obj_t BgL_sidezd2effect1612zd2_770,
		obj_t BgL_key1613z00_771, BgL_nodez00_bglt BgL_test1614z00_772,
		obj_t BgL_clauses1615z00_773, BgL_typez00_bglt BgL_itemzd2type1616zd2_774,
		BgL_approxz00_bglt BgL_approx1617z00_775)
	{
		{	/* Cfa/cinfo.sch 1128 */
			{	/* Cfa/cinfo.sch 1128 */
				BgL_switchz00_bglt BgL_new1268z00_8790;

				{	/* Cfa/cinfo.sch 1128 */
					BgL_switchz00_bglt BgL_tmp1265z00_8791;
					BgL_switchzf2cinfozf2_bglt BgL_wide1266z00_8792;

					{
						BgL_switchz00_bglt BgL_auxz00_12217;

						{	/* Cfa/cinfo.sch 1128 */
							BgL_switchz00_bglt BgL_new1264z00_8793;

							BgL_new1264z00_8793 =
								((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_switchz00_bgl))));
							{	/* Cfa/cinfo.sch 1128 */
								long BgL_arg1756z00_8794;

								BgL_arg1756z00_8794 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1264z00_8793),
									BgL_arg1756z00_8794);
							}
							{	/* Cfa/cinfo.sch 1128 */
								BgL_objectz00_bglt BgL_tmpz00_12222;

								BgL_tmpz00_12222 = ((BgL_objectz00_bglt) BgL_new1264z00_8793);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12222, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1264z00_8793);
							BgL_auxz00_12217 = BgL_new1264z00_8793;
						}
						BgL_tmp1265z00_8791 = ((BgL_switchz00_bglt) BgL_auxz00_12217);
					}
					BgL_wide1266z00_8792 =
						((BgL_switchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1128 */
						obj_t BgL_auxz00_12230;
						BgL_objectz00_bglt BgL_tmpz00_12228;

						BgL_auxz00_12230 = ((obj_t) BgL_wide1266z00_8792);
						BgL_tmpz00_12228 = ((BgL_objectz00_bglt) BgL_tmp1265z00_8791);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12228, BgL_auxz00_12230);
					}
					((BgL_objectz00_bglt) BgL_tmp1265z00_8791);
					{	/* Cfa/cinfo.sch 1128 */
						long BgL_arg1755z00_8795;

						BgL_arg1755z00_8795 =
							BGL_CLASS_NUM(BGl_switchzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1265z00_8791), BgL_arg1755z00_8795);
					}
					BgL_new1268z00_8790 = ((BgL_switchz00_bglt) BgL_tmp1265z00_8791);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1268z00_8790)))->BgL_locz00) =
					((obj_t) BgL_loc1610z00_768), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1268z00_8790)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1611z00_769), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1268z00_8790)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1612zd2_770), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1268z00_8790)))->BgL_keyz00) =
					((obj_t) BgL_key1613z00_771), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1268z00_8790)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1614z00_772), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1268z00_8790)))->BgL_clausesz00) =
					((obj_t) BgL_clauses1615z00_773), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1268z00_8790)))->BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_itemzd2type1616zd2_774), BUNSPEC);
				{
					BgL_switchzf2cinfozf2_bglt BgL_auxz00_12252;

					{
						obj_t BgL_auxz00_12253;

						{	/* Cfa/cinfo.sch 1128 */
							BgL_objectz00_bglt BgL_tmpz00_12254;

							BgL_tmpz00_12254 = ((BgL_objectz00_bglt) BgL_new1268z00_8790);
							BgL_auxz00_12253 = BGL_OBJECT_WIDENING(BgL_tmpz00_12254);
						}
						BgL_auxz00_12252 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_12253);
					}
					((((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12252))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1617z00_775), BUNSPEC);
				}
				return BgL_new1268z00_8790;
			}
		}

	}



/* &make-switch/Cinfo */
	BgL_switchz00_bglt BGl_z62makezd2switchzf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_7938, obj_t BgL_loc1610z00_7939, obj_t BgL_type1611z00_7940,
		obj_t BgL_sidezd2effect1612zd2_7941, obj_t BgL_key1613z00_7942,
		obj_t BgL_test1614z00_7943, obj_t BgL_clauses1615z00_7944,
		obj_t BgL_itemzd2type1616zd2_7945, obj_t BgL_approx1617z00_7946)
	{
		{	/* Cfa/cinfo.sch 1128 */
			return
				BGl_makezd2switchzf2Cinfoz20zzcfa_approxz00(BgL_loc1610z00_7939,
				((BgL_typez00_bglt) BgL_type1611z00_7940),
				BgL_sidezd2effect1612zd2_7941, BgL_key1613z00_7942,
				((BgL_nodez00_bglt) BgL_test1614z00_7943), BgL_clauses1615z00_7944,
				((BgL_typez00_bglt) BgL_itemzd2type1616zd2_7945),
				((BgL_approxz00_bglt) BgL_approx1617z00_7946));
		}

	}



/* switch/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_switchzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_776)
	{
		{	/* Cfa/cinfo.sch 1129 */
			{	/* Cfa/cinfo.sch 1129 */
				obj_t BgL_classz00_8796;

				BgL_classz00_8796 = BGl_switchzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_776))
					{	/* Cfa/cinfo.sch 1129 */
						BgL_objectz00_bglt BgL_arg1820z00_8797;

						BgL_arg1820z00_8797 = (BgL_objectz00_bglt) (BgL_objz00_776);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1129 */
								long BgL_idxz00_8798;

								BgL_idxz00_8798 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8797);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8798 + ((long) 4))) == BgL_classz00_8796);
							}
						else
							{	/* Cfa/cinfo.sch 1129 */
								bool_t BgL_res2125z00_8801;

								{	/* Cfa/cinfo.sch 1129 */
									obj_t BgL_oclassz00_8802;

									{	/* Cfa/cinfo.sch 1129 */
										long BgL_arg1828z00_8803;

										{	/* Cfa/cinfo.sch 1129 */
											long BgL_arg1829z00_8804;

											BgL_arg1829z00_8804 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8797);
											BgL_arg1828z00_8803 = (BgL_arg1829z00_8804 - OBJECT_TYPE);
										}
										BgL_oclassz00_8802 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8803);
									}
									{	/* Cfa/cinfo.sch 1129 */
										bool_t BgL__ortest_1111z00_8805;

										BgL__ortest_1111z00_8805 =
											(BgL_classz00_8796 == BgL_oclassz00_8802);
										if (BgL__ortest_1111z00_8805)
											{	/* Cfa/cinfo.sch 1129 */
												BgL_res2125z00_8801 = BgL__ortest_1111z00_8805;
											}
										else
											{	/* Cfa/cinfo.sch 1129 */
												long BgL_odepthz00_8806;

												BgL_odepthz00_8806 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8802);
												if ((((long) 4) < BgL_odepthz00_8806))
													{	/* Cfa/cinfo.sch 1129 */
														obj_t BgL_arg1816z00_8807;

														BgL_arg1816z00_8807 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8802,
															((long) 4));
														BgL_res2125z00_8801 =
															(BgL_arg1816z00_8807 == BgL_classz00_8796);
													}
												else
													{	/* Cfa/cinfo.sch 1129 */
														BgL_res2125z00_8801 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2125z00_8801;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1129 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &switch/Cinfo? */
	obj_t BGl_z62switchzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7947,
		obj_t BgL_objz00_7948)
	{
		{	/* Cfa/cinfo.sch 1129 */
			return BBOOL(BGl_switchzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7948));
		}

	}



/* switch/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_switchz00_bglt
		BGl_switchzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1130 */
			{	/* Cfa/cinfo.sch 1130 */
				obj_t BgL_classz00_5713;

				BgL_classz00_5713 = BGl_switchzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1130 */
					obj_t BgL__ortest_1113z00_5714;

					BgL__ortest_1113z00_5714 = BGL_CLASS_NIL(BgL_classz00_5713);
					if (CBOOL(BgL__ortest_1113z00_5714))
						{	/* Cfa/cinfo.sch 1130 */
							return ((BgL_switchz00_bglt) BgL__ortest_1113z00_5714);
						}
					else
						{	/* Cfa/cinfo.sch 1130 */
							return
								((BgL_switchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5713));
						}
				}
			}
		}

	}



/* &switch/Cinfo-nil */
	BgL_switchz00_bglt BGl_z62switchzf2Cinfozd2nilz42zzcfa_approxz00(obj_t
		BgL_envz00_7949)
	{
		{	/* Cfa/cinfo.sch 1130 */
			return BGl_switchzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* switch/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_switchzf2Cinfozd2approxz20zzcfa_approxz00(BgL_switchz00_bglt
		BgL_oz00_777)
	{
		{	/* Cfa/cinfo.sch 1131 */
			{
				BgL_switchzf2cinfozf2_bglt BgL_auxz00_12292;

				{
					obj_t BgL_auxz00_12293;

					{	/* Cfa/cinfo.sch 1131 */
						BgL_objectz00_bglt BgL_tmpz00_12294;

						BgL_tmpz00_12294 = ((BgL_objectz00_bglt) BgL_oz00_777);
						BgL_auxz00_12293 = BGL_OBJECT_WIDENING(BgL_tmpz00_12294);
					}
					BgL_auxz00_12292 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_12293);
				}
				return
					(((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12292))->
					BgL_approxz00);
			}
		}

	}



/* &switch/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62switchzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7950, obj_t BgL_oz00_7951)
	{
		{	/* Cfa/cinfo.sch 1131 */
			return
				BGl_switchzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7951));
		}

	}



/* switch/Cinfo-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzf2Cinfozd2itemzd2typezf2zzcfa_approxz00(BgL_switchz00_bglt
		BgL_oz00_780)
	{
		{	/* Cfa/cinfo.sch 1133 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_780)))->BgL_itemzd2typezd2);
		}

	}



/* &switch/Cinfo-item-type */
	BgL_typez00_bglt BGl_z62switchzf2Cinfozd2itemzd2typez90zzcfa_approxz00(obj_t
		BgL_envz00_7952, obj_t BgL_oz00_7953)
	{
		{	/* Cfa/cinfo.sch 1133 */
			return
				BGl_switchzf2Cinfozd2itemzd2typezf2zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7953));
		}

	}



/* switch/Cinfo-item-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2itemzd2typezd2setz12z32zzcfa_approxz00
		(BgL_switchz00_bglt BgL_oz00_781, BgL_typez00_bglt BgL_vz00_782)
	{
		{	/* Cfa/cinfo.sch 1134 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_781)))->BgL_itemzd2typezd2) =
				((BgL_typez00_bglt) BgL_vz00_782), BUNSPEC);
		}

	}



/* &switch/Cinfo-item-type-set! */
	obj_t BGl_z62switchzf2Cinfozd2itemzd2typezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7954, obj_t BgL_oz00_7955, obj_t BgL_vz00_7956)
	{
		{	/* Cfa/cinfo.sch 1134 */
			return
				BGl_switchzf2Cinfozd2itemzd2typezd2setz12z32zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7955),
				((BgL_typez00_bglt) BgL_vz00_7956));
		}

	}



/* switch/Cinfo-clauses */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2clausesz20zzcfa_approxz00(BgL_switchz00_bglt
		BgL_oz00_783)
	{
		{	/* Cfa/cinfo.sch 1135 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_783)))->BgL_clausesz00);
		}

	}



/* &switch/Cinfo-clauses */
	obj_t BGl_z62switchzf2Cinfozd2clausesz42zzcfa_approxz00(obj_t BgL_envz00_7957,
		obj_t BgL_oz00_7958)
	{
		{	/* Cfa/cinfo.sch 1135 */
			return
				BGl_switchzf2Cinfozd2clausesz20zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7958));
		}

	}



/* switch/Cinfo-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_switchzf2Cinfozd2testz20zzcfa_approxz00(BgL_switchz00_bglt BgL_oz00_786)
	{
		{	/* Cfa/cinfo.sch 1137 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_786)))->BgL_testz00);
		}

	}



/* &switch/Cinfo-test */
	BgL_nodez00_bglt BGl_z62switchzf2Cinfozd2testz42zzcfa_approxz00(obj_t
		BgL_envz00_7959, obj_t BgL_oz00_7960)
	{
		{	/* Cfa/cinfo.sch 1137 */
			return
				BGl_switchzf2Cinfozd2testz20zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7960));
		}

	}



/* switch/Cinfo-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2testzd2setz12ze0zzcfa_approxz00(BgL_switchz00_bglt
		BgL_oz00_787, BgL_nodez00_bglt BgL_vz00_788)
	{
		{	/* Cfa/cinfo.sch 1138 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_787)))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_788), BUNSPEC);
		}

	}



/* &switch/Cinfo-test-set! */
	obj_t BGl_z62switchzf2Cinfozd2testzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7961, obj_t BgL_oz00_7962, obj_t BgL_vz00_7963)
	{
		{	/* Cfa/cinfo.sch 1138 */
			return
				BGl_switchzf2Cinfozd2testzd2setz12ze0zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7962),
				((BgL_nodez00_bglt) BgL_vz00_7963));
		}

	}



/* switch/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2keyz20zzcfa_approxz00(BgL_switchz00_bglt BgL_oz00_789)
	{
		{	/* Cfa/cinfo.sch 1139 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_789)))->BgL_keyz00);
		}

	}



/* &switch/Cinfo-key */
	obj_t BGl_z62switchzf2Cinfozd2keyz42zzcfa_approxz00(obj_t BgL_envz00_7964,
		obj_t BgL_oz00_7965)
	{
		{	/* Cfa/cinfo.sch 1139 */
			return
				BGl_switchzf2Cinfozd2keyz20zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7965));
		}

	}



/* switch/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2keyzd2setz12ze0zzcfa_approxz00(BgL_switchz00_bglt
		BgL_oz00_790, obj_t BgL_vz00_791)
	{
		{	/* Cfa/cinfo.sch 1140 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_790)))->BgL_keyz00) =
				((obj_t) BgL_vz00_791), BUNSPEC);
		}

	}



/* &switch/Cinfo-key-set! */
	obj_t BGl_z62switchzf2Cinfozd2keyzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7966, obj_t BgL_oz00_7967, obj_t BgL_vz00_7968)
	{
		{	/* Cfa/cinfo.sch 1140 */
			return
				BGl_switchzf2Cinfozd2keyzd2setz12ze0zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7967), BgL_vz00_7968);
		}

	}



/* switch/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2sidezd2effectzf2zzcfa_approxz00(BgL_switchz00_bglt
		BgL_oz00_792)
	{
		{	/* Cfa/cinfo.sch 1141 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_792)))->BgL_sidezd2effectzd2);
		}

	}



/* &switch/Cinfo-side-effect */
	obj_t BGl_z62switchzf2Cinfozd2sidezd2effectz90zzcfa_approxz00(obj_t
		BgL_envz00_7969, obj_t BgL_oz00_7970)
	{
		{	/* Cfa/cinfo.sch 1141 */
			return
				BGl_switchzf2Cinfozd2sidezd2effectzf2zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7970));
		}

	}



/* switch/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00
		(BgL_switchz00_bglt BgL_oz00_793, obj_t BgL_vz00_794)
	{
		{	/* Cfa/cinfo.sch 1142 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_793)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_794), BUNSPEC);
		}

	}



/* &switch/Cinfo-side-effect-set! */
	obj_t BGl_z62switchzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_7971, obj_t BgL_oz00_7972, obj_t BgL_vz00_7973)
	{
		{	/* Cfa/cinfo.sch 1142 */
			return
				BGl_switchzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7972), BgL_vz00_7973);
		}

	}



/* switch/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzf2Cinfozd2typez20zzcfa_approxz00(BgL_switchz00_bglt BgL_oz00_795)
	{
		{	/* Cfa/cinfo.sch 1143 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_795)))->BgL_typez00);
		}

	}



/* &switch/Cinfo-type */
	BgL_typez00_bglt BGl_z62switchzf2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_7974, obj_t BgL_oz00_7975)
	{
		{	/* Cfa/cinfo.sch 1143 */
			return
				BGl_switchzf2Cinfozd2typez20zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7975));
		}

	}



/* switch/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(BgL_switchz00_bglt
		BgL_oz00_796, BgL_typez00_bglt BgL_vz00_797)
	{
		{	/* Cfa/cinfo.sch 1144 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_796)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_797), BUNSPEC);
		}

	}



/* &switch/Cinfo-type-set! */
	obj_t BGl_z62switchzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7976, obj_t BgL_oz00_7977, obj_t BgL_vz00_7978)
	{
		{	/* Cfa/cinfo.sch 1144 */
			return
				BGl_switchzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7977),
				((BgL_typez00_bglt) BgL_vz00_7978));
		}

	}



/* switch/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2locz20zzcfa_approxz00(BgL_switchz00_bglt BgL_oz00_798)
	{
		{	/* Cfa/cinfo.sch 1145 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_798)))->BgL_locz00);
		}

	}



/* &switch/Cinfo-loc */
	obj_t BGl_z62switchzf2Cinfozd2locz42zzcfa_approxz00(obj_t BgL_envz00_7979,
		obj_t BgL_oz00_7980)
	{
		{	/* Cfa/cinfo.sch 1145 */
			return
				BGl_switchzf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_switchz00_bglt) BgL_oz00_7980));
		}

	}



/* make-set-ex-it/Cinfo */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzf2Cinfoz20zzcfa_approxz00(obj_t BgL_loc1603z00_801,
		BgL_typez00_bglt BgL_type1604z00_802, BgL_varz00_bglt BgL_var1605z00_803,
		BgL_nodez00_bglt BgL_body1606z00_804,
		BgL_nodez00_bglt BgL_onexit1607z00_805,
		BgL_approxz00_bglt BgL_approx1608z00_806)
	{
		{	/* Cfa/cinfo.sch 1149 */
			{	/* Cfa/cinfo.sch 1149 */
				BgL_setzd2exzd2itz00_bglt BgL_new1272z00_8808;

				{	/* Cfa/cinfo.sch 1149 */
					BgL_setzd2exzd2itz00_bglt BgL_tmp1270z00_8809;
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_wide1271z00_8810;

					{
						BgL_setzd2exzd2itz00_bglt BgL_auxz00_12352;

						{	/* Cfa/cinfo.sch 1149 */
							BgL_setzd2exzd2itz00_bglt BgL_new1269z00_8811;

							BgL_new1269z00_8811 =
								((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setzd2exzd2itz00_bgl))));
							{	/* Cfa/cinfo.sch 1149 */
								long BgL_arg1763z00_8812;

								BgL_arg1763z00_8812 =
									BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1269z00_8811),
									BgL_arg1763z00_8812);
							}
							{	/* Cfa/cinfo.sch 1149 */
								BgL_objectz00_bglt BgL_tmpz00_12357;

								BgL_tmpz00_12357 = ((BgL_objectz00_bglt) BgL_new1269z00_8811);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12357, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1269z00_8811);
							BgL_auxz00_12352 = BgL_new1269z00_8811;
						}
						BgL_tmp1270z00_8809 =
							((BgL_setzd2exzd2itz00_bglt) BgL_auxz00_12352);
					}
					BgL_wide1271z00_8810 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1149 */
						obj_t BgL_auxz00_12365;
						BgL_objectz00_bglt BgL_tmpz00_12363;

						BgL_auxz00_12365 = ((obj_t) BgL_wide1271z00_8810);
						BgL_tmpz00_12363 = ((BgL_objectz00_bglt) BgL_tmp1270z00_8809);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12363, BgL_auxz00_12365);
					}
					((BgL_objectz00_bglt) BgL_tmp1270z00_8809);
					{	/* Cfa/cinfo.sch 1149 */
						long BgL_arg1757z00_8813;

						BgL_arg1757z00_8813 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1270z00_8809), BgL_arg1757z00_8813);
					}
					BgL_new1272z00_8808 =
						((BgL_setzd2exzd2itz00_bglt) BgL_tmp1270z00_8809);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1272z00_8808)))->BgL_locz00) =
					((obj_t) BgL_loc1603z00_801), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1272z00_8808)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1604z00_802), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1272z00_8808)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1605z00_803), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1272z00_8808)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1606z00_804), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1272z00_8808)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) BgL_onexit1607z00_805), BUNSPEC);
				{
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_12383;

					{
						obj_t BgL_auxz00_12384;

						{	/* Cfa/cinfo.sch 1149 */
							BgL_objectz00_bglt BgL_tmpz00_12385;

							BgL_tmpz00_12385 = ((BgL_objectz00_bglt) BgL_new1272z00_8808);
							BgL_auxz00_12384 = BGL_OBJECT_WIDENING(BgL_tmpz00_12385);
						}
						BgL_auxz00_12383 =
							((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_12384);
					}
					((((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12383))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1608z00_806), BUNSPEC);
				}
				return BgL_new1272z00_8808;
			}
		}

	}



/* &make-set-ex-it/Cinfo */
	BgL_setzd2exzd2itz00_bglt
		BGl_z62makezd2setzd2exzd2itzf2Cinfoz42zzcfa_approxz00(obj_t BgL_envz00_7981,
		obj_t BgL_loc1603z00_7982, obj_t BgL_type1604z00_7983,
		obj_t BgL_var1605z00_7984, obj_t BgL_body1606z00_7985,
		obj_t BgL_onexit1607z00_7986, obj_t BgL_approx1608z00_7987)
	{
		{	/* Cfa/cinfo.sch 1149 */
			return
				BGl_makezd2setzd2exzd2itzf2Cinfoz20zzcfa_approxz00(BgL_loc1603z00_7982,
				((BgL_typez00_bglt) BgL_type1604z00_7983),
				((BgL_varz00_bglt) BgL_var1605z00_7984),
				((BgL_nodez00_bglt) BgL_body1606z00_7985),
				((BgL_nodez00_bglt) BgL_onexit1607z00_7986),
				((BgL_approxz00_bglt) BgL_approx1608z00_7987));
		}

	}



/* set-ex-it/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_setzd2exzd2itzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_807)
	{
		{	/* Cfa/cinfo.sch 1150 */
			{	/* Cfa/cinfo.sch 1150 */
				obj_t BgL_classz00_8814;

				BgL_classz00_8814 = BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_807))
					{	/* Cfa/cinfo.sch 1150 */
						BgL_objectz00_bglt BgL_arg1820z00_8815;

						BgL_arg1820z00_8815 = (BgL_objectz00_bglt) (BgL_objz00_807);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1150 */
								long BgL_idxz00_8816;

								BgL_idxz00_8816 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8815);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8816 + ((long) 3))) == BgL_classz00_8814);
							}
						else
							{	/* Cfa/cinfo.sch 1150 */
								bool_t BgL_res2126z00_8819;

								{	/* Cfa/cinfo.sch 1150 */
									obj_t BgL_oclassz00_8820;

									{	/* Cfa/cinfo.sch 1150 */
										long BgL_arg1828z00_8821;

										{	/* Cfa/cinfo.sch 1150 */
											long BgL_arg1829z00_8822;

											BgL_arg1829z00_8822 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8815);
											BgL_arg1828z00_8821 = (BgL_arg1829z00_8822 - OBJECT_TYPE);
										}
										BgL_oclassz00_8820 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8821);
									}
									{	/* Cfa/cinfo.sch 1150 */
										bool_t BgL__ortest_1111z00_8823;

										BgL__ortest_1111z00_8823 =
											(BgL_classz00_8814 == BgL_oclassz00_8820);
										if (BgL__ortest_1111z00_8823)
											{	/* Cfa/cinfo.sch 1150 */
												BgL_res2126z00_8819 = BgL__ortest_1111z00_8823;
											}
										else
											{	/* Cfa/cinfo.sch 1150 */
												long BgL_odepthz00_8824;

												BgL_odepthz00_8824 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8820);
												if ((((long) 3) < BgL_odepthz00_8824))
													{	/* Cfa/cinfo.sch 1150 */
														obj_t BgL_arg1816z00_8825;

														BgL_arg1816z00_8825 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8820,
															((long) 3));
														BgL_res2126z00_8819 =
															(BgL_arg1816z00_8825 == BgL_classz00_8814);
													}
												else
													{	/* Cfa/cinfo.sch 1150 */
														BgL_res2126z00_8819 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2126z00_8819;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1150 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &set-ex-it/Cinfo? */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_7988,
		obj_t BgL_objz00_7989)
	{
		{	/* Cfa/cinfo.sch 1150 */
			return
				BBOOL(BGl_setzd2exzd2itzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_7989));
		}

	}



/* set-ex-it/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1151 */
			{	/* Cfa/cinfo.sch 1151 */
				obj_t BgL_classz00_5762;

				BgL_classz00_5762 = BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1151 */
					obj_t BgL__ortest_1113z00_5763;

					BgL__ortest_1113z00_5763 = BGL_CLASS_NIL(BgL_classz00_5762);
					if (CBOOL(BgL__ortest_1113z00_5763))
						{	/* Cfa/cinfo.sch 1151 */
							return ((BgL_setzd2exzd2itz00_bglt) BgL__ortest_1113z00_5763);
						}
					else
						{	/* Cfa/cinfo.sch 1151 */
							return
								((BgL_setzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5762));
						}
				}
			}
		}

	}



/* &set-ex-it/Cinfo-nil */
	BgL_setzd2exzd2itz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2nilz42zzcfa_approxz00(obj_t BgL_envz00_7990)
	{
		{	/* Cfa/cinfo.sch 1151 */
			return BGl_setzd2exzd2itzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* set-ex-it/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2approxz20zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_808)
	{
		{	/* Cfa/cinfo.sch 1152 */
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_12424;

				{
					obj_t BgL_auxz00_12425;

					{	/* Cfa/cinfo.sch 1152 */
						BgL_objectz00_bglt BgL_tmpz00_12426;

						BgL_tmpz00_12426 = ((BgL_objectz00_bglt) BgL_oz00_808);
						BgL_auxz00_12425 = BGL_OBJECT_WIDENING(BgL_tmpz00_12426);
					}
					BgL_auxz00_12424 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_12425);
				}
				return
					(((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12424))->
					BgL_approxz00);
			}
		}

	}



/* &set-ex-it/Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_7991, obj_t BgL_oz00_7992)
	{
		{	/* Cfa/cinfo.sch 1152 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7992));
		}

	}



/* set-ex-it/Cinfo-onexit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2onexitz20zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_811)
	{
		{	/* Cfa/cinfo.sch 1154 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_811)))->BgL_onexitz00);
		}

	}



/* &set-ex-it/Cinfo-onexit */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2onexitz42zzcfa_approxz00(obj_t
		BgL_envz00_7993, obj_t BgL_oz00_7994)
	{
		{	/* Cfa/cinfo.sch 1154 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2onexitz20zzcfa_approxz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7994));
		}

	}



/* set-ex-it/Cinfo-onexit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2onexitzd2setz12ze0zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_812, BgL_nodez00_bglt BgL_vz00_813)
	{
		{	/* Cfa/cinfo.sch 1155 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_812)))->BgL_onexitz00) =
				((BgL_nodez00_bglt) BgL_vz00_813), BUNSPEC);
		}

	}



/* &set-ex-it/Cinfo-onexit-set! */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2onexitzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_7995, obj_t BgL_oz00_7996, obj_t BgL_vz00_7997)
	{
		{	/* Cfa/cinfo.sch 1155 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2onexitzd2setz12ze0zzcfa_approxz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7996),
				((BgL_nodez00_bglt) BgL_vz00_7997));
		}

	}



/* set-ex-it/Cinfo-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2bodyz20zzcfa_approxz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_814)
	{
		{	/* Cfa/cinfo.sch 1156 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_814)))->BgL_bodyz00);
		}

	}



/* &set-ex-it/Cinfo-body */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2bodyz42zzcfa_approxz00(obj_t
		BgL_envz00_7998, obj_t BgL_oz00_7999)
	{
		{	/* Cfa/cinfo.sch 1156 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2bodyz20zzcfa_approxz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7999));
		}

	}



/* set-ex-it/Cinfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2bodyzd2setz12ze0zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_815, BgL_nodez00_bglt BgL_vz00_816)
	{
		{	/* Cfa/cinfo.sch 1157 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_815)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_816), BUNSPEC);
		}

	}



/* &set-ex-it/Cinfo-body-set! */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2bodyzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8000, obj_t BgL_oz00_8001, obj_t BgL_vz00_8002)
	{
		{	/* Cfa/cinfo.sch 1157 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2bodyzd2setz12ze0zzcfa_approxz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8001),
				((BgL_nodez00_bglt) BgL_vz00_8002));
		}

	}



/* set-ex-it/Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2varz20zzcfa_approxz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_817)
	{
		{	/* Cfa/cinfo.sch 1158 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_817)))->BgL_varz00);
		}

	}



/* &set-ex-it/Cinfo-var */
	BgL_varz00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2varz42zzcfa_approxz00(obj_t
		BgL_envz00_8003, obj_t BgL_oz00_8004)
	{
		{	/* Cfa/cinfo.sch 1158 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2varz20zzcfa_approxz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8004));
		}

	}



/* set-ex-it/Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2varzd2setz12ze0zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_818, BgL_varz00_bglt BgL_vz00_819)
	{
		{	/* Cfa/cinfo.sch 1159 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_818)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_819), BUNSPEC);
		}

	}



/* &set-ex-it/Cinfo-var-set! */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2varzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8005, obj_t BgL_oz00_8006, obj_t BgL_vz00_8007)
	{
		{	/* Cfa/cinfo.sch 1159 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2varzd2setz12ze0zzcfa_approxz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8006),
				((BgL_varz00_bglt) BgL_vz00_8007));
		}

	}



/* set-ex-it/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2typez20zzcfa_approxz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_820)
	{
		{	/* Cfa/cinfo.sch 1160 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_820)))->BgL_typez00);
		}

	}



/* &set-ex-it/Cinfo-type */
	BgL_typez00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_8008, obj_t BgL_oz00_8009)
	{
		{	/* Cfa/cinfo.sch 1160 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2typez20zzcfa_approxz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8009));
		}

	}



/* set-ex-it/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_821, BgL_typez00_bglt BgL_vz00_822)
	{
		{	/* Cfa/cinfo.sch 1161 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_821)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_822), BUNSPEC);
		}

	}



/* &set-ex-it/Cinfo-type-set! */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8010, obj_t BgL_oz00_8011, obj_t BgL_vz00_8012)
	{
		{	/* Cfa/cinfo.sch 1161 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8011),
				((BgL_typez00_bglt) BgL_vz00_8012));
		}

	}



/* set-ex-it/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2locz20zzcfa_approxz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_823)
	{
		{	/* Cfa/cinfo.sch 1162 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_823)))->BgL_locz00);
		}

	}



/* &set-ex-it/Cinfo-loc */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2locz42zzcfa_approxz00(obj_t
		BgL_envz00_8013, obj_t BgL_oz00_8014)
	{
		{	/* Cfa/cinfo.sch 1162 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8014));
		}

	}



/* make-jump-ex-it/Cinfo */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzf2Cinfoz20zzcfa_approxz00(obj_t
		BgL_loc1597z00_826, BgL_typez00_bglt BgL_type1598z00_827,
		BgL_nodez00_bglt BgL_exit1599z00_828, BgL_nodez00_bglt BgL_value1600z00_829,
		BgL_approxz00_bglt BgL_approx1601z00_830)
	{
		{	/* Cfa/cinfo.sch 1166 */
			{	/* Cfa/cinfo.sch 1166 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1276z00_8826;

				{	/* Cfa/cinfo.sch 1166 */
					BgL_jumpzd2exzd2itz00_bglt BgL_tmp1274z00_8827;
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_wide1275z00_8828;

					{
						BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_12473;

						{	/* Cfa/cinfo.sch 1166 */
							BgL_jumpzd2exzd2itz00_bglt BgL_new1273z00_8829;

							BgL_new1273z00_8829 =
								((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_jumpzd2exzd2itz00_bgl))));
							{	/* Cfa/cinfo.sch 1166 */
								long BgL_arg1766z00_8830;

								BgL_arg1766z00_8830 =
									BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1273z00_8829),
									BgL_arg1766z00_8830);
							}
							{	/* Cfa/cinfo.sch 1166 */
								BgL_objectz00_bglt BgL_tmpz00_12478;

								BgL_tmpz00_12478 = ((BgL_objectz00_bglt) BgL_new1273z00_8829);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12478, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1273z00_8829);
							BgL_auxz00_12473 = BgL_new1273z00_8829;
						}
						BgL_tmp1274z00_8827 =
							((BgL_jumpzd2exzd2itz00_bglt) BgL_auxz00_12473);
					}
					BgL_wide1275z00_8828 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1166 */
						obj_t BgL_auxz00_12486;
						BgL_objectz00_bglt BgL_tmpz00_12484;

						BgL_auxz00_12486 = ((obj_t) BgL_wide1275z00_8828);
						BgL_tmpz00_12484 = ((BgL_objectz00_bglt) BgL_tmp1274z00_8827);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12484, BgL_auxz00_12486);
					}
					((BgL_objectz00_bglt) BgL_tmp1274z00_8827);
					{	/* Cfa/cinfo.sch 1166 */
						long BgL_arg1765z00_8831;

						BgL_arg1765z00_8831 =
							BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1274z00_8827), BgL_arg1765z00_8831);
					}
					BgL_new1276z00_8826 =
						((BgL_jumpzd2exzd2itz00_bglt) BgL_tmp1274z00_8827);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1276z00_8826)))->BgL_locz00) =
					((obj_t) BgL_loc1597z00_826), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1276z00_8826)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1598z00_827), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1276z00_8826)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_exit1599z00_828), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1276z00_8826)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1600z00_829), BUNSPEC);
				{
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_12502;

					{
						obj_t BgL_auxz00_12503;

						{	/* Cfa/cinfo.sch 1166 */
							BgL_objectz00_bglt BgL_tmpz00_12504;

							BgL_tmpz00_12504 = ((BgL_objectz00_bglt) BgL_new1276z00_8826);
							BgL_auxz00_12503 = BGL_OBJECT_WIDENING(BgL_tmpz00_12504);
						}
						BgL_auxz00_12502 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_12503);
					}
					((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12502))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1601z00_830), BUNSPEC);
				}
				return BgL_new1276z00_8826;
			}
		}

	}



/* &make-jump-ex-it/Cinfo */
	BgL_jumpzd2exzd2itz00_bglt
		BGl_z62makezd2jumpzd2exzd2itzf2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_8015, obj_t BgL_loc1597z00_8016, obj_t BgL_type1598z00_8017,
		obj_t BgL_exit1599z00_8018, obj_t BgL_value1600z00_8019,
		obj_t BgL_approx1601z00_8020)
	{
		{	/* Cfa/cinfo.sch 1166 */
			return
				BGl_makezd2jumpzd2exzd2itzf2Cinfoz20zzcfa_approxz00(BgL_loc1597z00_8016,
				((BgL_typez00_bglt) BgL_type1598z00_8017),
				((BgL_nodez00_bglt) BgL_exit1599z00_8018),
				((BgL_nodez00_bglt) BgL_value1600z00_8019),
				((BgL_approxz00_bglt) BgL_approx1601z00_8020));
		}

	}



/* jump-ex-it/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_jumpzd2exzd2itzf2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_831)
	{
		{	/* Cfa/cinfo.sch 1167 */
			{	/* Cfa/cinfo.sch 1167 */
				obj_t BgL_classz00_8832;

				BgL_classz00_8832 = BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_831))
					{	/* Cfa/cinfo.sch 1167 */
						BgL_objectz00_bglt BgL_arg1820z00_8833;

						BgL_arg1820z00_8833 = (BgL_objectz00_bglt) (BgL_objz00_831);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1167 */
								long BgL_idxz00_8834;

								BgL_idxz00_8834 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8833);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8834 + ((long) 3))) == BgL_classz00_8832);
							}
						else
							{	/* Cfa/cinfo.sch 1167 */
								bool_t BgL_res2127z00_8837;

								{	/* Cfa/cinfo.sch 1167 */
									obj_t BgL_oclassz00_8838;

									{	/* Cfa/cinfo.sch 1167 */
										long BgL_arg1828z00_8839;

										{	/* Cfa/cinfo.sch 1167 */
											long BgL_arg1829z00_8840;

											BgL_arg1829z00_8840 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8833);
											BgL_arg1828z00_8839 = (BgL_arg1829z00_8840 - OBJECT_TYPE);
										}
										BgL_oclassz00_8838 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8839);
									}
									{	/* Cfa/cinfo.sch 1167 */
										bool_t BgL__ortest_1111z00_8841;

										BgL__ortest_1111z00_8841 =
											(BgL_classz00_8832 == BgL_oclassz00_8838);
										if (BgL__ortest_1111z00_8841)
											{	/* Cfa/cinfo.sch 1167 */
												BgL_res2127z00_8837 = BgL__ortest_1111z00_8841;
											}
										else
											{	/* Cfa/cinfo.sch 1167 */
												long BgL_odepthz00_8842;

												BgL_odepthz00_8842 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8838);
												if ((((long) 3) < BgL_odepthz00_8842))
													{	/* Cfa/cinfo.sch 1167 */
														obj_t BgL_arg1816z00_8843;

														BgL_arg1816z00_8843 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8838,
															((long) 3));
														BgL_res2127z00_8837 =
															(BgL_arg1816z00_8843 == BgL_classz00_8832);
													}
												else
													{	/* Cfa/cinfo.sch 1167 */
														BgL_res2127z00_8837 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2127z00_8837;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1167 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &jump-ex-it/Cinfo? */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozf3z63zzcfa_approxz00(obj_t
		BgL_envz00_8021, obj_t BgL_objz00_8022)
	{
		{	/* Cfa/cinfo.sch 1167 */
			return
				BBOOL(BGl_jumpzd2exzd2itzf2Cinfozf3z01zzcfa_approxz00(BgL_objz00_8022));
		}

	}



/* jump-ex-it/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1168 */
			{	/* Cfa/cinfo.sch 1168 */
				obj_t BgL_classz00_5811;

				BgL_classz00_5811 = BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1168 */
					obj_t BgL__ortest_1113z00_5812;

					BgL__ortest_1113z00_5812 = BGL_CLASS_NIL(BgL_classz00_5811);
					if (CBOOL(BgL__ortest_1113z00_5812))
						{	/* Cfa/cinfo.sch 1168 */
							return ((BgL_jumpzd2exzd2itz00_bglt) BgL__ortest_1113z00_5812);
						}
					else
						{	/* Cfa/cinfo.sch 1168 */
							return
								((BgL_jumpzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5811));
						}
				}
			}
		}

	}



/* &jump-ex-it/Cinfo-nil */
	BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2nilz42zzcfa_approxz00(obj_t BgL_envz00_8023)
	{
		{	/* Cfa/cinfo.sch 1168 */
			return BGl_jumpzd2exzd2itzf2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* jump-ex-it/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2approxz20zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_832)
	{
		{	/* Cfa/cinfo.sch 1169 */
			{
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_12542;

				{
					obj_t BgL_auxz00_12543;

					{	/* Cfa/cinfo.sch 1169 */
						BgL_objectz00_bglt BgL_tmpz00_12544;

						BgL_tmpz00_12544 = ((BgL_objectz00_bglt) BgL_oz00_832);
						BgL_auxz00_12543 = BGL_OBJECT_WIDENING(BgL_tmpz00_12544);
					}
					BgL_auxz00_12542 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_12543);
				}
				return
					(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12542))->
					BgL_approxz00);
			}
		}

	}



/* &jump-ex-it/Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_8024, obj_t BgL_oz00_8025)
	{
		{	/* Cfa/cinfo.sch 1169 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8025));
		}

	}



/* jump-ex-it/Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2valuez20zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_835)
	{
		{	/* Cfa/cinfo.sch 1171 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_835)))->BgL_valuez00);
		}

	}



/* &jump-ex-it/Cinfo-value */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzf2Cinfozd2valuez42zzcfa_approxz00(obj_t
		BgL_envz00_8026, obj_t BgL_oz00_8027)
	{
		{	/* Cfa/cinfo.sch 1171 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2valuez20zzcfa_approxz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8027));
		}

	}



/* jump-ex-it/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2setz12ze0zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_836, BgL_nodez00_bglt BgL_vz00_837)
	{
		{	/* Cfa/cinfo.sch 1172 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_836)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_837), BUNSPEC);
		}

	}



/* &jump-ex-it/Cinfo-value-set! */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2valuezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8028, obj_t BgL_oz00_8029, obj_t BgL_vz00_8030)
	{
		{	/* Cfa/cinfo.sch 1172 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2setz12ze0zzcfa_approxz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8029),
				((BgL_nodez00_bglt) BgL_vz00_8030));
		}

	}



/* jump-ex-it/Cinfo-exit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2exitz20zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_838)
	{
		{	/* Cfa/cinfo.sch 1173 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_838)))->BgL_exitz00);
		}

	}



/* &jump-ex-it/Cinfo-exit */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzf2Cinfozd2exitz42zzcfa_approxz00(obj_t
		BgL_envz00_8031, obj_t BgL_oz00_8032)
	{
		{	/* Cfa/cinfo.sch 1173 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2exitz20zzcfa_approxz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8032));
		}

	}



/* jump-ex-it/Cinfo-exit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2setz12ze0zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_839, BgL_nodez00_bglt BgL_vz00_840)
	{
		{	/* Cfa/cinfo.sch 1174 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_839)))->BgL_exitz00) =
				((BgL_nodez00_bglt) BgL_vz00_840), BUNSPEC);
		}

	}



/* &jump-ex-it/Cinfo-exit-set! */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2exitzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8033, obj_t BgL_oz00_8034, obj_t BgL_vz00_8035)
	{
		{	/* Cfa/cinfo.sch 1174 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2setz12ze0zzcfa_approxz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8034),
				((BgL_nodez00_bglt) BgL_vz00_8035));
		}

	}



/* jump-ex-it/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2typez20zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_841)
	{
		{	/* Cfa/cinfo.sch 1175 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_841)))->BgL_typez00);
		}

	}



/* &jump-ex-it/Cinfo-type */
	BgL_typez00_bglt BGl_z62jumpzd2exzd2itzf2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_8036, obj_t BgL_oz00_8037)
	{
		{	/* Cfa/cinfo.sch 1175 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2typez20zzcfa_approxz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8037));
		}

	}



/* jump-ex-it/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_842, BgL_typez00_bglt BgL_vz00_843)
	{
		{	/* Cfa/cinfo.sch 1176 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_842)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_843), BUNSPEC);
		}

	}



/* &jump-ex-it/Cinfo-type-set! */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8038, obj_t BgL_oz00_8039, obj_t BgL_vz00_8040)
	{
		{	/* Cfa/cinfo.sch 1176 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8039),
				((BgL_typez00_bglt) BgL_vz00_8040));
		}

	}



/* jump-ex-it/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2locz20zzcfa_approxz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_844)
	{
		{	/* Cfa/cinfo.sch 1177 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_844)))->BgL_locz00);
		}

	}



/* &jump-ex-it/Cinfo-loc */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2locz42zzcfa_approxz00(obj_t
		BgL_envz00_8041, obj_t BgL_oz00_8042)
	{
		{	/* Cfa/cinfo.sch 1177 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2locz20zzcfa_approxz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8042));
		}

	}



/* make-pre-make-box */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2prezd2makezd2boxzd2zzcfa_approxz00(obj_t BgL_loc1589z00_847,
		BgL_typez00_bglt BgL_type1590z00_848, obj_t BgL_sidezd2effect1591zd2_849,
		obj_t BgL_key1592z00_850, BgL_nodez00_bglt BgL_value1593z00_851,
		BgL_typez00_bglt BgL_vtype1594z00_852, obj_t BgL_stackable1595z00_853)
	{
		{	/* Cfa/cinfo.sch 1181 */
			{	/* Cfa/cinfo.sch 1181 */
				BgL_makezd2boxzd2_bglt BgL_new1280z00_8844;

				{	/* Cfa/cinfo.sch 1181 */
					BgL_makezd2boxzd2_bglt BgL_tmp1278z00_8845;
					BgL_prezd2makezd2boxz00_bglt BgL_wide1279z00_8846;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_12582;

						{	/* Cfa/cinfo.sch 1181 */
							BgL_makezd2boxzd2_bglt BgL_new1277z00_8847;

							BgL_new1277z00_8847 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.sch 1181 */
								long BgL_arg1770z00_8848;

								BgL_arg1770z00_8848 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1277z00_8847),
									BgL_arg1770z00_8848);
							}
							{	/* Cfa/cinfo.sch 1181 */
								BgL_objectz00_bglt BgL_tmpz00_12587;

								BgL_tmpz00_12587 = ((BgL_objectz00_bglt) BgL_new1277z00_8847);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12587, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1277z00_8847);
							BgL_auxz00_12582 = BgL_new1277z00_8847;
						}
						BgL_tmp1278z00_8845 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_12582);
					}
					BgL_wide1279z00_8846 =
						((BgL_prezd2makezd2boxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_prezd2makezd2boxz00_bgl))));
					{	/* Cfa/cinfo.sch 1181 */
						obj_t BgL_auxz00_12595;
						BgL_objectz00_bglt BgL_tmpz00_12593;

						BgL_auxz00_12595 = ((obj_t) BgL_wide1279z00_8846);
						BgL_tmpz00_12593 = ((BgL_objectz00_bglt) BgL_tmp1278z00_8845);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12593, BgL_auxz00_12595);
					}
					((BgL_objectz00_bglt) BgL_tmp1278z00_8845);
					{	/* Cfa/cinfo.sch 1181 */
						long BgL_arg1769z00_8849;

						BgL_arg1769z00_8849 =
							BGL_CLASS_NUM(BGl_prezd2makezd2boxz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1278z00_8845), BgL_arg1769z00_8849);
					}
					BgL_new1280z00_8844 = ((BgL_makezd2boxzd2_bglt) BgL_tmp1278z00_8845);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1280z00_8844)))->BgL_locz00) =
					((obj_t) BgL_loc1589z00_847), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1280z00_8844)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1590z00_848), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1280z00_8844)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1591zd2_849), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1280z00_8844)))->BgL_keyz00) =
					((obj_t) BgL_key1592z00_850), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1280z00_8844)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1593z00_851), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1280z00_8844)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1594z00_852), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1280z00_8844)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1595z00_853), BUNSPEC);
				return BgL_new1280z00_8844;
			}
		}

	}



/* &make-pre-make-box */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2prezd2makezd2boxzb0zzcfa_approxz00(obj_t
		BgL_envz00_8043, obj_t BgL_loc1589z00_8044, obj_t BgL_type1590z00_8045,
		obj_t BgL_sidezd2effect1591zd2_8046, obj_t BgL_key1592z00_8047,
		obj_t BgL_value1593z00_8048, obj_t BgL_vtype1594z00_8049,
		obj_t BgL_stackable1595z00_8050)
	{
		{	/* Cfa/cinfo.sch 1181 */
			return
				BGl_makezd2prezd2makezd2boxzd2zzcfa_approxz00(BgL_loc1589z00_8044,
				((BgL_typez00_bglt) BgL_type1590z00_8045),
				BgL_sidezd2effect1591zd2_8046, BgL_key1592z00_8047,
				((BgL_nodez00_bglt) BgL_value1593z00_8048),
				((BgL_typez00_bglt) BgL_vtype1594z00_8049), BgL_stackable1595z00_8050);
		}

	}



/* pre-make-box? */
	BGL_EXPORTED_DEF bool_t BGl_prezd2makezd2boxzf3zf3zzcfa_approxz00(obj_t
		BgL_objz00_854)
	{
		{	/* Cfa/cinfo.sch 1182 */
			{	/* Cfa/cinfo.sch 1182 */
				obj_t BgL_classz00_8850;

				BgL_classz00_8850 = BGl_prezd2makezd2boxz00zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_854))
					{	/* Cfa/cinfo.sch 1182 */
						BgL_objectz00_bglt BgL_arg1820z00_8851;

						BgL_arg1820z00_8851 = (BgL_objectz00_bglt) (BgL_objz00_854);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1182 */
								long BgL_idxz00_8852;

								BgL_idxz00_8852 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8851);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8852 + ((long) 4))) == BgL_classz00_8850);
							}
						else
							{	/* Cfa/cinfo.sch 1182 */
								bool_t BgL_res2128z00_8855;

								{	/* Cfa/cinfo.sch 1182 */
									obj_t BgL_oclassz00_8856;

									{	/* Cfa/cinfo.sch 1182 */
										long BgL_arg1828z00_8857;

										{	/* Cfa/cinfo.sch 1182 */
											long BgL_arg1829z00_8858;

											BgL_arg1829z00_8858 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8851);
											BgL_arg1828z00_8857 = (BgL_arg1829z00_8858 - OBJECT_TYPE);
										}
										BgL_oclassz00_8856 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8857);
									}
									{	/* Cfa/cinfo.sch 1182 */
										bool_t BgL__ortest_1111z00_8859;

										BgL__ortest_1111z00_8859 =
											(BgL_classz00_8850 == BgL_oclassz00_8856);
										if (BgL__ortest_1111z00_8859)
											{	/* Cfa/cinfo.sch 1182 */
												BgL_res2128z00_8855 = BgL__ortest_1111z00_8859;
											}
										else
											{	/* Cfa/cinfo.sch 1182 */
												long BgL_odepthz00_8860;

												BgL_odepthz00_8860 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8856);
												if ((((long) 4) < BgL_odepthz00_8860))
													{	/* Cfa/cinfo.sch 1182 */
														obj_t BgL_arg1816z00_8861;

														BgL_arg1816z00_8861 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8856,
															((long) 4));
														BgL_res2128z00_8855 =
															(BgL_arg1816z00_8861 == BgL_classz00_8850);
													}
												else
													{	/* Cfa/cinfo.sch 1182 */
														BgL_res2128z00_8855 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2128z00_8855;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1182 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &pre-make-box? */
	obj_t BGl_z62prezd2makezd2boxzf3z91zzcfa_approxz00(obj_t BgL_envz00_8051,
		obj_t BgL_objz00_8052)
	{
		{	/* Cfa/cinfo.sch 1182 */
			return BBOOL(BGl_prezd2makezd2boxzf3zf3zzcfa_approxz00(BgL_objz00_8052));
		}

	}



/* pre-make-box-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_prezd2makezd2boxzd2nilzd2zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1183 */
			{	/* Cfa/cinfo.sch 1183 */
				obj_t BgL_classz00_5859;

				BgL_classz00_5859 = BGl_prezd2makezd2boxz00zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1183 */
					obj_t BgL__ortest_1113z00_5860;

					BgL__ortest_1113z00_5860 = BGL_CLASS_NIL(BgL_classz00_5859);
					if (CBOOL(BgL__ortest_1113z00_5860))
						{	/* Cfa/cinfo.sch 1183 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1113z00_5860);
						}
					else
						{	/* Cfa/cinfo.sch 1183 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5859));
						}
				}
			}
		}

	}



/* &pre-make-box-nil */
	BgL_makezd2boxzd2_bglt BGl_z62prezd2makezd2boxzd2nilzb0zzcfa_approxz00(obj_t
		BgL_envz00_8053)
	{
		{	/* Cfa/cinfo.sch 1183 */
			return BGl_prezd2makezd2boxzd2nilzd2zzcfa_approxz00();
		}

	}



/* pre-make-box-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2stackablezd2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_855)
	{
		{	/* Cfa/cinfo.sch 1184 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_855)))->BgL_stackablez00);
		}

	}



/* &pre-make-box-stackable */
	obj_t BGl_z62prezd2makezd2boxzd2stackablezb0zzcfa_approxz00(obj_t
		BgL_envz00_8054, obj_t BgL_oz00_8055)
	{
		{	/* Cfa/cinfo.sch 1184 */
			return
				BGl_prezd2makezd2boxzd2stackablezd2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8055));
		}

	}



/* pre-make-box-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2stackablezd2setz12z12zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_856, obj_t BgL_vz00_857)
	{
		{	/* Cfa/cinfo.sch 1185 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_856)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_857), BUNSPEC);
		}

	}



/* &pre-make-box-stackable-set! */
	obj_t BGl_z62prezd2makezd2boxzd2stackablezd2setz12z70zzcfa_approxz00(obj_t
		BgL_envz00_8056, obj_t BgL_oz00_8057, obj_t BgL_vz00_8058)
	{
		{	/* Cfa/cinfo.sch 1185 */
			return
				BGl_prezd2makezd2boxzd2stackablezd2setz12z12zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8057), BgL_vz00_8058);
		}

	}



/* pre-make-box-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_prezd2makezd2boxzd2vtypezd2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_858)
	{
		{	/* Cfa/cinfo.sch 1186 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_858)))->BgL_vtypez00);
		}

	}



/* &pre-make-box-vtype */
	BgL_typez00_bglt BGl_z62prezd2makezd2boxzd2vtypezb0zzcfa_approxz00(obj_t
		BgL_envz00_8059, obj_t BgL_oz00_8060)
	{
		{	/* Cfa/cinfo.sch 1186 */
			return
				BGl_prezd2makezd2boxzd2vtypezd2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8060));
		}

	}



/* pre-make-box-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2vtypezd2setz12z12zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_859, BgL_typez00_bglt BgL_vz00_860)
	{
		{	/* Cfa/cinfo.sch 1187 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_859)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_860), BUNSPEC);
		}

	}



/* &pre-make-box-vtype-set! */
	obj_t BGl_z62prezd2makezd2boxzd2vtypezd2setz12z70zzcfa_approxz00(obj_t
		BgL_envz00_8061, obj_t BgL_oz00_8062, obj_t BgL_vz00_8063)
	{
		{	/* Cfa/cinfo.sch 1187 */
			return
				BGl_prezd2makezd2boxzd2vtypezd2setz12z12zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8062),
				((BgL_typez00_bglt) BgL_vz00_8063));
		}

	}



/* pre-make-box-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_prezd2makezd2boxzd2valuezd2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_861)
	{
		{	/* Cfa/cinfo.sch 1188 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_861)))->BgL_valuez00);
		}

	}



/* &pre-make-box-value */
	BgL_nodez00_bglt BGl_z62prezd2makezd2boxzd2valuezb0zzcfa_approxz00(obj_t
		BgL_envz00_8064, obj_t BgL_oz00_8065)
	{
		{	/* Cfa/cinfo.sch 1188 */
			return
				BGl_prezd2makezd2boxzd2valuezd2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8065));
		}

	}



/* pre-make-box-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2valuezd2setz12z12zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_862, BgL_nodez00_bglt BgL_vz00_863)
	{
		{	/* Cfa/cinfo.sch 1189 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_862)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_863), BUNSPEC);
		}

	}



/* &pre-make-box-value-set! */
	obj_t BGl_z62prezd2makezd2boxzd2valuezd2setz12z70zzcfa_approxz00(obj_t
		BgL_envz00_8066, obj_t BgL_oz00_8067, obj_t BgL_vz00_8068)
	{
		{	/* Cfa/cinfo.sch 1189 */
			return
				BGl_prezd2makezd2boxzd2valuezd2setz12z12zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8067),
				((BgL_nodez00_bglt) BgL_vz00_8068));
		}

	}



/* pre-make-box-key */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2keyzd2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_864)
	{
		{	/* Cfa/cinfo.sch 1190 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_864)))->BgL_keyz00);
		}

	}



/* &pre-make-box-key */
	obj_t BGl_z62prezd2makezd2boxzd2keyzb0zzcfa_approxz00(obj_t BgL_envz00_8069,
		obj_t BgL_oz00_8070)
	{
		{	/* Cfa/cinfo.sch 1190 */
			return
				BGl_prezd2makezd2boxzd2keyzd2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8070));
		}

	}



/* pre-make-box-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2keyzd2setz12z12zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_865, obj_t BgL_vz00_866)
	{
		{	/* Cfa/cinfo.sch 1191 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_865)))->BgL_keyz00) =
				((obj_t) BgL_vz00_866), BUNSPEC);
		}

	}



/* &pre-make-box-key-set! */
	obj_t BGl_z62prezd2makezd2boxzd2keyzd2setz12z70zzcfa_approxz00(obj_t
		BgL_envz00_8071, obj_t BgL_oz00_8072, obj_t BgL_vz00_8073)
	{
		{	/* Cfa/cinfo.sch 1191 */
			return
				BGl_prezd2makezd2boxzd2keyzd2setz12z12zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8072), BgL_vz00_8073);
		}

	}



/* pre-make-box-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2sidezd2effectz00zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_867)
	{
		{	/* Cfa/cinfo.sch 1192 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_867)))->BgL_sidezd2effectzd2);
		}

	}



/* &pre-make-box-side-effect */
	obj_t BGl_z62prezd2makezd2boxzd2sidezd2effectz62zzcfa_approxz00(obj_t
		BgL_envz00_8074, obj_t BgL_oz00_8075)
	{
		{	/* Cfa/cinfo.sch 1192 */
			return
				BGl_prezd2makezd2boxzd2sidezd2effectz00zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8075));
		}

	}



/* pre-make-box-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2sidezd2effectzd2setz12zc0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_868, obj_t BgL_vz00_869)
	{
		{	/* Cfa/cinfo.sch 1193 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_868)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_869), BUNSPEC);
		}

	}



/* &pre-make-box-side-effect-set! */
	obj_t BGl_z62prezd2makezd2boxzd2sidezd2effectzd2setz12za2zzcfa_approxz00(obj_t
		BgL_envz00_8076, obj_t BgL_oz00_8077, obj_t BgL_vz00_8078)
	{
		{	/* Cfa/cinfo.sch 1193 */
			return
				BGl_prezd2makezd2boxzd2sidezd2effectzd2setz12zc0zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8077), BgL_vz00_8078);
		}

	}



/* pre-make-box-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_prezd2makezd2boxzd2typezd2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_870)
	{
		{	/* Cfa/cinfo.sch 1194 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_870)))->BgL_typez00);
		}

	}



/* &pre-make-box-type */
	BgL_typez00_bglt BGl_z62prezd2makezd2boxzd2typezb0zzcfa_approxz00(obj_t
		BgL_envz00_8079, obj_t BgL_oz00_8080)
	{
		{	/* Cfa/cinfo.sch 1194 */
			return
				BGl_prezd2makezd2boxzd2typezd2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8080));
		}

	}



/* pre-make-box-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2typezd2setz12z12zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_871, BgL_typez00_bglt BgL_vz00_872)
	{
		{	/* Cfa/cinfo.sch 1195 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_871)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_872), BUNSPEC);
		}

	}



/* &pre-make-box-type-set! */
	obj_t BGl_z62prezd2makezd2boxzd2typezd2setz12z70zzcfa_approxz00(obj_t
		BgL_envz00_8081, obj_t BgL_oz00_8082, obj_t BgL_vz00_8083)
	{
		{	/* Cfa/cinfo.sch 1195 */
			return
				BGl_prezd2makezd2boxzd2typezd2setz12z12zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8082),
				((BgL_typez00_bglt) BgL_vz00_8083));
		}

	}



/* pre-make-box-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2loczd2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_873)
	{
		{	/* Cfa/cinfo.sch 1196 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_873)))->BgL_locz00);
		}

	}



/* &pre-make-box-loc */
	obj_t BGl_z62prezd2makezd2boxzd2loczb0zzcfa_approxz00(obj_t BgL_envz00_8084,
		obj_t BgL_oz00_8085)
	{
		{	/* Cfa/cinfo.sch 1196 */
			return
				BGl_prezd2makezd2boxzd2loczd2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8085));
		}

	}



/* make-make-box/Cinfo */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxzf2Cinfozf2zzcfa_approxz00(obj_t BgL_loc1579z00_876,
		BgL_typez00_bglt BgL_type1580z00_877, obj_t BgL_sidezd2effect1581zd2_878,
		obj_t BgL_key1582z00_879, BgL_nodez00_bglt BgL_value1583z00_880,
		BgL_typez00_bglt BgL_vtype1584z00_881, obj_t BgL_stackable1585z00_882,
		BgL_approxz00_bglt BgL_approx1586z00_883)
	{
		{	/* Cfa/cinfo.sch 1200 */
			{	/* Cfa/cinfo.sch 1200 */
				BgL_makezd2boxzd2_bglt BgL_new1284z00_8862;

				{	/* Cfa/cinfo.sch 1200 */
					BgL_makezd2boxzd2_bglt BgL_tmp1282z00_8863;
					BgL_makezd2boxzf2cinfoz20_bglt BgL_wide1283z00_8864;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_12704;

						{	/* Cfa/cinfo.sch 1200 */
							BgL_makezd2boxzd2_bglt BgL_new1281z00_8865;

							BgL_new1281z00_8865 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.sch 1200 */
								long BgL_arg1777z00_8866;

								BgL_arg1777z00_8866 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1281z00_8865),
									BgL_arg1777z00_8866);
							}
							{	/* Cfa/cinfo.sch 1200 */
								BgL_objectz00_bglt BgL_tmpz00_12709;

								BgL_tmpz00_12709 = ((BgL_objectz00_bglt) BgL_new1281z00_8865);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12709, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1281z00_8865);
							BgL_auxz00_12704 = BgL_new1281z00_8865;
						}
						BgL_tmp1282z00_8863 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_12704);
					}
					BgL_wide1283z00_8864 =
						((BgL_makezd2boxzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 1200 */
						obj_t BgL_auxz00_12717;
						BgL_objectz00_bglt BgL_tmpz00_12715;

						BgL_auxz00_12717 = ((obj_t) BgL_wide1283z00_8864);
						BgL_tmpz00_12715 = ((BgL_objectz00_bglt) BgL_tmp1282z00_8863);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12715, BgL_auxz00_12717);
					}
					((BgL_objectz00_bglt) BgL_tmp1282z00_8863);
					{	/* Cfa/cinfo.sch 1200 */
						long BgL_arg1771z00_8867;

						BgL_arg1771z00_8867 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1282z00_8863), BgL_arg1771z00_8867);
					}
					BgL_new1284z00_8862 = ((BgL_makezd2boxzd2_bglt) BgL_tmp1282z00_8863);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1284z00_8862)))->BgL_locz00) =
					((obj_t) BgL_loc1579z00_876), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1284z00_8862)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1580z00_877), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1284z00_8862)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1581zd2_878), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1284z00_8862)))->BgL_keyz00) =
					((obj_t) BgL_key1582z00_879), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1284z00_8862)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1583z00_880), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1284z00_8862)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1584z00_881), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1284z00_8862)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1585z00_882), BUNSPEC);
				{
					BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_12739;

					{
						obj_t BgL_auxz00_12740;

						{	/* Cfa/cinfo.sch 1200 */
							BgL_objectz00_bglt BgL_tmpz00_12741;

							BgL_tmpz00_12741 = ((BgL_objectz00_bglt) BgL_new1284z00_8862);
							BgL_auxz00_12740 = BGL_OBJECT_WIDENING(BgL_tmpz00_12741);
						}
						BgL_auxz00_12739 =
							((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_12740);
					}
					((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_12739))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1586z00_883), BUNSPEC);
				}
				return BgL_new1284z00_8862;
			}
		}

	}



/* &make-make-box/Cinfo */
	BgL_makezd2boxzd2_bglt
		BGl_z62makezd2makezd2boxzf2Cinfoz90zzcfa_approxz00(obj_t BgL_envz00_8086,
		obj_t BgL_loc1579z00_8087, obj_t BgL_type1580z00_8088,
		obj_t BgL_sidezd2effect1581zd2_8089, obj_t BgL_key1582z00_8090,
		obj_t BgL_value1583z00_8091, obj_t BgL_vtype1584z00_8092,
		obj_t BgL_stackable1585z00_8093, obj_t BgL_approx1586z00_8094)
	{
		{	/* Cfa/cinfo.sch 1200 */
			return
				BGl_makezd2makezd2boxzf2Cinfozf2zzcfa_approxz00(BgL_loc1579z00_8087,
				((BgL_typez00_bglt) BgL_type1580z00_8088),
				BgL_sidezd2effect1581zd2_8089, BgL_key1582z00_8090,
				((BgL_nodez00_bglt) BgL_value1583z00_8091),
				((BgL_typez00_bglt) BgL_vtype1584z00_8092), BgL_stackable1585z00_8093,
				((BgL_approxz00_bglt) BgL_approx1586z00_8094));
		}

	}



/* make-box/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_makezd2boxzf2Cinfozf3zd3zzcfa_approxz00(obj_t
		BgL_objz00_884)
	{
		{	/* Cfa/cinfo.sch 1201 */
			{	/* Cfa/cinfo.sch 1201 */
				obj_t BgL_classz00_8868;

				BgL_classz00_8868 = BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_884))
					{	/* Cfa/cinfo.sch 1201 */
						BgL_objectz00_bglt BgL_arg1820z00_8869;

						BgL_arg1820z00_8869 = (BgL_objectz00_bglt) (BgL_objz00_884);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1201 */
								long BgL_idxz00_8870;

								BgL_idxz00_8870 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8869);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8870 + ((long) 4))) == BgL_classz00_8868);
							}
						else
							{	/* Cfa/cinfo.sch 1201 */
								bool_t BgL_res2129z00_8873;

								{	/* Cfa/cinfo.sch 1201 */
									obj_t BgL_oclassz00_8874;

									{	/* Cfa/cinfo.sch 1201 */
										long BgL_arg1828z00_8875;

										{	/* Cfa/cinfo.sch 1201 */
											long BgL_arg1829z00_8876;

											BgL_arg1829z00_8876 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8869);
											BgL_arg1828z00_8875 = (BgL_arg1829z00_8876 - OBJECT_TYPE);
										}
										BgL_oclassz00_8874 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8875);
									}
									{	/* Cfa/cinfo.sch 1201 */
										bool_t BgL__ortest_1111z00_8877;

										BgL__ortest_1111z00_8877 =
											(BgL_classz00_8868 == BgL_oclassz00_8874);
										if (BgL__ortest_1111z00_8877)
											{	/* Cfa/cinfo.sch 1201 */
												BgL_res2129z00_8873 = BgL__ortest_1111z00_8877;
											}
										else
											{	/* Cfa/cinfo.sch 1201 */
												long BgL_odepthz00_8878;

												BgL_odepthz00_8878 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8874);
												if ((((long) 4) < BgL_odepthz00_8878))
													{	/* Cfa/cinfo.sch 1201 */
														obj_t BgL_arg1816z00_8879;

														BgL_arg1816z00_8879 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8874,
															((long) 4));
														BgL_res2129z00_8873 =
															(BgL_arg1816z00_8879 == BgL_classz00_8868);
													}
												else
													{	/* Cfa/cinfo.sch 1201 */
														BgL_res2129z00_8873 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2129z00_8873;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1201 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &make-box/Cinfo? */
	obj_t BGl_z62makezd2boxzf2Cinfozf3zb1zzcfa_approxz00(obj_t BgL_envz00_8095,
		obj_t BgL_objz00_8096)
	{
		{	/* Cfa/cinfo.sch 1201 */
			return
				BBOOL(BGl_makezd2boxzf2Cinfozf3zd3zzcfa_approxz00(BgL_objz00_8096));
		}

	}



/* make-box/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzf2Cinfozd2nilzf2zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1202 */
			{	/* Cfa/cinfo.sch 1202 */
				obj_t BgL_classz00_5907;

				BgL_classz00_5907 = BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1202 */
					obj_t BgL__ortest_1113z00_5908;

					BgL__ortest_1113z00_5908 = BGL_CLASS_NIL(BgL_classz00_5907);
					if (CBOOL(BgL__ortest_1113z00_5908))
						{	/* Cfa/cinfo.sch 1202 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1113z00_5908);
						}
					else
						{	/* Cfa/cinfo.sch 1202 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5907));
						}
				}
			}
		}

	}



/* &make-box/Cinfo-nil */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzf2Cinfozd2nilz90zzcfa_approxz00(obj_t
		BgL_envz00_8097)
	{
		{	/* Cfa/cinfo.sch 1202 */
			return BGl_makezd2boxzf2Cinfozd2nilzf2zzcfa_approxz00();
		}

	}



/* make-box/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2boxzf2Cinfozd2approxzf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_885)
	{
		{	/* Cfa/cinfo.sch 1203 */
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_12779;

				{
					obj_t BgL_auxz00_12780;

					{	/* Cfa/cinfo.sch 1203 */
						BgL_objectz00_bglt BgL_tmpz00_12781;

						BgL_tmpz00_12781 = ((BgL_objectz00_bglt) BgL_oz00_885);
						BgL_auxz00_12780 = BGL_OBJECT_WIDENING(BgL_tmpz00_12781);
					}
					BgL_auxz00_12779 =
						((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_12780);
				}
				return
					(((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_12779))->
					BgL_approxz00);
			}
		}

	}



/* &make-box/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62makezd2boxzf2Cinfozd2approxz90zzcfa_approxz00(obj_t
		BgL_envz00_8098, obj_t BgL_oz00_8099)
	{
		{	/* Cfa/cinfo.sch 1203 */
			return
				BGl_makezd2boxzf2Cinfozd2approxzf2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8099));
		}

	}



/* make-box/Cinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2stackablezf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_888)
	{
		{	/* Cfa/cinfo.sch 1205 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_888)))->BgL_stackablez00);
		}

	}



/* &make-box/Cinfo-stackable */
	obj_t BGl_z62makezd2boxzf2Cinfozd2stackablez90zzcfa_approxz00(obj_t
		BgL_envz00_8100, obj_t BgL_oz00_8101)
	{
		{	/* Cfa/cinfo.sch 1205 */
			return
				BGl_makezd2boxzf2Cinfozd2stackablezf2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8101));
		}

	}



/* make-box/Cinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2stackablezd2setz12z32zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_889, obj_t BgL_vz00_890)
	{
		{	/* Cfa/cinfo.sch 1206 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_889)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_890), BUNSPEC);
		}

	}



/* &make-box/Cinfo-stackable-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2stackablezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_8102, obj_t BgL_oz00_8103, obj_t BgL_vz00_8104)
	{
		{	/* Cfa/cinfo.sch 1206 */
			return
				BGl_makezd2boxzf2Cinfozd2stackablezd2setz12z32zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8103), BgL_vz00_8104);
		}

	}



/* make-box/Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzf2Cinfozd2vtypezf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_891)
	{
		{	/* Cfa/cinfo.sch 1207 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_891)))->BgL_vtypez00);
		}

	}



/* &make-box/Cinfo-vtype */
	BgL_typez00_bglt BGl_z62makezd2boxzf2Cinfozd2vtypez90zzcfa_approxz00(obj_t
		BgL_envz00_8105, obj_t BgL_oz00_8106)
	{
		{	/* Cfa/cinfo.sch 1207 */
			return
				BGl_makezd2boxzf2Cinfozd2vtypezf2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8106));
		}

	}



/* make-box/Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2vtypezd2setz12z32zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_892, BgL_typez00_bglt BgL_vz00_893)
	{
		{	/* Cfa/cinfo.sch 1208 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_892)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_893), BUNSPEC);
		}

	}



/* &make-box/Cinfo-vtype-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2vtypezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_8107, obj_t BgL_oz00_8108, obj_t BgL_vz00_8109)
	{
		{	/* Cfa/cinfo.sch 1208 */
			return
				BGl_makezd2boxzf2Cinfozd2vtypezd2setz12z32zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8108),
				((BgL_typez00_bglt) BgL_vz00_8109));
		}

	}



/* make-box/Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_makezd2boxzf2Cinfozd2valuezf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_894)
	{
		{	/* Cfa/cinfo.sch 1209 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_894)))->BgL_valuez00);
		}

	}



/* &make-box/Cinfo-value */
	BgL_nodez00_bglt BGl_z62makezd2boxzf2Cinfozd2valuez90zzcfa_approxz00(obj_t
		BgL_envz00_8110, obj_t BgL_oz00_8111)
	{
		{	/* Cfa/cinfo.sch 1209 */
			return
				BGl_makezd2boxzf2Cinfozd2valuezf2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8111));
		}

	}



/* make-box/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2valuezd2setz12z32zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_895, BgL_nodez00_bglt BgL_vz00_896)
	{
		{	/* Cfa/cinfo.sch 1210 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_895)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_896), BUNSPEC);
		}

	}



/* &make-box/Cinfo-value-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2valuezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_8112, obj_t BgL_oz00_8113, obj_t BgL_vz00_8114)
	{
		{	/* Cfa/cinfo.sch 1210 */
			return
				BGl_makezd2boxzf2Cinfozd2valuezd2setz12z32zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8113),
				((BgL_nodez00_bglt) BgL_vz00_8114));
		}

	}



/* make-box/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2keyzf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_897)
	{
		{	/* Cfa/cinfo.sch 1211 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_897)))->BgL_keyz00);
		}

	}



/* &make-box/Cinfo-key */
	obj_t BGl_z62makezd2boxzf2Cinfozd2keyz90zzcfa_approxz00(obj_t BgL_envz00_8115,
		obj_t BgL_oz00_8116)
	{
		{	/* Cfa/cinfo.sch 1211 */
			return
				BGl_makezd2boxzf2Cinfozd2keyzf2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8116));
		}

	}



/* make-box/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2keyzd2setz12z32zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_898, obj_t BgL_vz00_899)
	{
		{	/* Cfa/cinfo.sch 1212 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_898)))->BgL_keyz00) =
				((obj_t) BgL_vz00_899), BUNSPEC);
		}

	}



/* &make-box/Cinfo-key-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2keyzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_8117, obj_t BgL_oz00_8118, obj_t BgL_vz00_8119)
	{
		{	/* Cfa/cinfo.sch 1212 */
			return
				BGl_makezd2boxzf2Cinfozd2keyzd2setz12z32zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8118), BgL_vz00_8119);
		}

	}



/* make-box/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2sidezd2effectz20zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_900)
	{
		{	/* Cfa/cinfo.sch 1213 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_900)))->BgL_sidezd2effectzd2);
		}

	}



/* &make-box/Cinfo-side-effect */
	obj_t BGl_z62makezd2boxzf2Cinfozd2sidezd2effectz42zzcfa_approxz00(obj_t
		BgL_envz00_8120, obj_t BgL_oz00_8121)
	{
		{	/* Cfa/cinfo.sch 1213 */
			return
				BGl_makezd2boxzf2Cinfozd2sidezd2effectz20zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8121));
		}

	}



/* make-box/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_901, obj_t BgL_vz00_902)
	{
		{	/* Cfa/cinfo.sch 1214 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_901)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_902), BUNSPEC);
		}

	}



/* &make-box/Cinfo-side-effect-set! */
	obj_t
		BGl_z62makezd2boxzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8122, obj_t BgL_oz00_8123, obj_t BgL_vz00_8124)
	{
		{	/* Cfa/cinfo.sch 1214 */
			return
				BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8123), BgL_vz00_8124);
		}

	}



/* make-box/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzf2Cinfozd2typezf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_903)
	{
		{	/* Cfa/cinfo.sch 1215 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_903)))->BgL_typez00);
		}

	}



/* &make-box/Cinfo-type */
	BgL_typez00_bglt BGl_z62makezd2boxzf2Cinfozd2typez90zzcfa_approxz00(obj_t
		BgL_envz00_8125, obj_t BgL_oz00_8126)
	{
		{	/* Cfa/cinfo.sch 1215 */
			return
				BGl_makezd2boxzf2Cinfozd2typezf2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8126));
		}

	}



/* make-box/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2typezd2setz12z32zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_904, BgL_typez00_bglt BgL_vz00_905)
	{
		{	/* Cfa/cinfo.sch 1216 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_904)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_905), BUNSPEC);
		}

	}



/* &make-box/Cinfo-type-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2typezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_8127, obj_t BgL_oz00_8128, obj_t BgL_vz00_8129)
	{
		{	/* Cfa/cinfo.sch 1216 */
			return
				BGl_makezd2boxzf2Cinfozd2typezd2setz12z32zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8128),
				((BgL_typez00_bglt) BgL_vz00_8129));
		}

	}



/* make-box/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2loczf2zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_906)
	{
		{	/* Cfa/cinfo.sch 1217 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_906)))->BgL_locz00);
		}

	}



/* &make-box/Cinfo-loc */
	obj_t BGl_z62makezd2boxzf2Cinfozd2locz90zzcfa_approxz00(obj_t BgL_envz00_8130,
		obj_t BgL_oz00_8131)
	{
		{	/* Cfa/cinfo.sch 1217 */
			return
				BGl_makezd2boxzf2Cinfozd2loczf2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8131));
		}

	}



/* make-make-box/O-Cinfo */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxzf2Ozd2Cinfoz20zzcfa_approxz00(obj_t
		BgL_loc1568z00_909, BgL_typez00_bglt BgL_type1569z00_910,
		obj_t BgL_sidezd2effect1570zd2_911, obj_t BgL_key1571z00_912,
		BgL_nodez00_bglt BgL_value1572z00_913,
		BgL_typez00_bglt BgL_vtype1574z00_914, obj_t BgL_stackable1575z00_915,
		BgL_approxz00_bglt BgL_approx1576z00_916,
		BgL_approxz00_bglt BgL_valuezd2approx1577zd2_917)
	{
		{	/* Cfa/cinfo.sch 1221 */
			{	/* Cfa/cinfo.sch 1221 */
				BgL_makezd2boxzd2_bglt BgL_new1289z00_8880;

				{	/* Cfa/cinfo.sch 1221 */
					BgL_makezd2boxzd2_bglt BgL_tmp1287z00_8881;
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_wide1288z00_8882;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_12843;

						{	/* Cfa/cinfo.sch 1221 */
							BgL_makezd2boxzd2_bglt BgL_new1286z00_8883;

							BgL_new1286z00_8883 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.sch 1221 */
								long BgL_arg1781z00_8884;

								BgL_arg1781z00_8884 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1286z00_8883),
									BgL_arg1781z00_8884);
							}
							{	/* Cfa/cinfo.sch 1221 */
								BgL_objectz00_bglt BgL_tmpz00_12848;

								BgL_tmpz00_12848 = ((BgL_objectz00_bglt) BgL_new1286z00_8883);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12848, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1286z00_8883);
							BgL_auxz00_12843 = BgL_new1286z00_8883;
						}
						BgL_tmp1287z00_8881 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_12843);
					}
					BgL_wide1288z00_8882 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2ozd2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1221 */
						obj_t BgL_auxz00_12856;
						BgL_objectz00_bglt BgL_tmpz00_12854;

						BgL_auxz00_12856 = ((obj_t) BgL_wide1288z00_8882);
						BgL_tmpz00_12854 = ((BgL_objectz00_bglt) BgL_tmp1287z00_8881);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12854, BgL_auxz00_12856);
					}
					((BgL_objectz00_bglt) BgL_tmp1287z00_8881);
					{	/* Cfa/cinfo.sch 1221 */
						long BgL_arg1778z00_8885;

						BgL_arg1778z00_8885 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1287z00_8881), BgL_arg1778z00_8885);
					}
					BgL_new1289z00_8880 = ((BgL_makezd2boxzd2_bglt) BgL_tmp1287z00_8881);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1289z00_8880)))->BgL_locz00) =
					((obj_t) BgL_loc1568z00_909), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1289z00_8880)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1569z00_910), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1289z00_8880)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1570zd2_911), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1289z00_8880)))->BgL_keyz00) =
					((obj_t) BgL_key1571z00_912), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1289z00_8880)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1572z00_913), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1289z00_8880)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1574z00_914), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1289z00_8880)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1575z00_915), BUNSPEC);
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_12878;

					{
						obj_t BgL_auxz00_12879;

						{	/* Cfa/cinfo.sch 1221 */
							BgL_objectz00_bglt BgL_tmpz00_12880;

							BgL_tmpz00_12880 = ((BgL_objectz00_bglt) BgL_new1289z00_8880);
							BgL_auxz00_12879 = BGL_OBJECT_WIDENING(BgL_tmpz00_12880);
						}
						BgL_auxz00_12878 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_12879);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_12878))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1576z00_916), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_12885;

					{
						obj_t BgL_auxz00_12886;

						{	/* Cfa/cinfo.sch 1221 */
							BgL_objectz00_bglt BgL_tmpz00_12887;

							BgL_tmpz00_12887 = ((BgL_objectz00_bglt) BgL_new1289z00_8880);
							BgL_auxz00_12886 = BGL_OBJECT_WIDENING(BgL_tmpz00_12887);
						}
						BgL_auxz00_12885 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_12886);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_12885))->
							BgL_valuezd2approxzd2) =
						((BgL_approxz00_bglt) BgL_valuezd2approx1577zd2_917), BUNSPEC);
				}
				return BgL_new1289z00_8880;
			}
		}

	}



/* &make-make-box/O-Cinfo */
	BgL_makezd2boxzd2_bglt
		BGl_z62makezd2makezd2boxzf2Ozd2Cinfoz42zzcfa_approxz00(obj_t
		BgL_envz00_8132, obj_t BgL_loc1568z00_8133, obj_t BgL_type1569z00_8134,
		obj_t BgL_sidezd2effect1570zd2_8135, obj_t BgL_key1571z00_8136,
		obj_t BgL_value1572z00_8137, obj_t BgL_vtype1574z00_8138,
		obj_t BgL_stackable1575z00_8139, obj_t BgL_approx1576z00_8140,
		obj_t BgL_valuezd2approx1577zd2_8141)
	{
		{	/* Cfa/cinfo.sch 1221 */
			return
				BGl_makezd2makezd2boxzf2Ozd2Cinfoz20zzcfa_approxz00(BgL_loc1568z00_8133,
				((BgL_typez00_bglt) BgL_type1569z00_8134),
				BgL_sidezd2effect1570zd2_8135, BgL_key1571z00_8136,
				((BgL_nodez00_bglt) BgL_value1572z00_8137),
				((BgL_typez00_bglt) BgL_vtype1574z00_8138), BgL_stackable1575z00_8139,
				((BgL_approxz00_bglt) BgL_approx1576z00_8140),
				((BgL_approxz00_bglt) BgL_valuezd2approx1577zd2_8141));
		}

	}



/* make-box/O-Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_makezd2boxzf2Ozd2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_918)
	{
		{	/* Cfa/cinfo.sch 1222 */
			{	/* Cfa/cinfo.sch 1222 */
				obj_t BgL_classz00_8886;

				BgL_classz00_8886 = BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_918))
					{	/* Cfa/cinfo.sch 1222 */
						BgL_objectz00_bglt BgL_arg1820z00_8887;

						BgL_arg1820z00_8887 = (BgL_objectz00_bglt) (BgL_objz00_918);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1222 */
								long BgL_idxz00_8888;

								BgL_idxz00_8888 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8887);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8888 + ((long) 4))) == BgL_classz00_8886);
							}
						else
							{	/* Cfa/cinfo.sch 1222 */
								bool_t BgL_res2130z00_8891;

								{	/* Cfa/cinfo.sch 1222 */
									obj_t BgL_oclassz00_8892;

									{	/* Cfa/cinfo.sch 1222 */
										long BgL_arg1828z00_8893;

										{	/* Cfa/cinfo.sch 1222 */
											long BgL_arg1829z00_8894;

											BgL_arg1829z00_8894 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8887);
											BgL_arg1828z00_8893 = (BgL_arg1829z00_8894 - OBJECT_TYPE);
										}
										BgL_oclassz00_8892 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8893);
									}
									{	/* Cfa/cinfo.sch 1222 */
										bool_t BgL__ortest_1111z00_8895;

										BgL__ortest_1111z00_8895 =
											(BgL_classz00_8886 == BgL_oclassz00_8892);
										if (BgL__ortest_1111z00_8895)
											{	/* Cfa/cinfo.sch 1222 */
												BgL_res2130z00_8891 = BgL__ortest_1111z00_8895;
											}
										else
											{	/* Cfa/cinfo.sch 1222 */
												long BgL_odepthz00_8896;

												BgL_odepthz00_8896 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8892);
												if ((((long) 4) < BgL_odepthz00_8896))
													{	/* Cfa/cinfo.sch 1222 */
														obj_t BgL_arg1816z00_8897;

														BgL_arg1816z00_8897 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8892,
															((long) 4));
														BgL_res2130z00_8891 =
															(BgL_arg1816z00_8897 == BgL_classz00_8886);
													}
												else
													{	/* Cfa/cinfo.sch 1222 */
														BgL_res2130z00_8891 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2130z00_8891;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1222 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &make-box/O-Cinfo? */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozf3z63zzcfa_approxz00(obj_t
		BgL_envz00_8142, obj_t BgL_objz00_8143)
	{
		{	/* Cfa/cinfo.sch 1222 */
			return
				BBOOL(BGl_makezd2boxzf2Ozd2Cinfozf3z01zzcfa_approxz00(BgL_objz00_8143));
		}

	}



/* make-box/O-Cinfo-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1223 */
			{	/* Cfa/cinfo.sch 1223 */
				obj_t BgL_classz00_5957;

				BgL_classz00_5957 = BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1223 */
					obj_t BgL__ortest_1113z00_5958;

					BgL__ortest_1113z00_5958 = BGL_CLASS_NIL(BgL_classz00_5957);
					if (CBOOL(BgL__ortest_1113z00_5958))
						{	/* Cfa/cinfo.sch 1223 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1113z00_5958);
						}
					else
						{	/* Cfa/cinfo.sch 1223 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5957));
						}
				}
			}
		}

	}



/* &make-box/O-Cinfo-nil */
	BgL_makezd2boxzd2_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2nilz42zzcfa_approxz00(obj_t BgL_envz00_8144)
	{
		{	/* Cfa/cinfo.sch 1223 */
			return BGl_makezd2boxzf2Ozd2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* make-box/O-Cinfo-value-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2approxzf2zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_919)
	{
		{	/* Cfa/cinfo.sch 1224 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_12926;

				{
					obj_t BgL_auxz00_12927;

					{	/* Cfa/cinfo.sch 1224 */
						BgL_objectz00_bglt BgL_tmpz00_12928;

						BgL_tmpz00_12928 = ((BgL_objectz00_bglt) BgL_oz00_919);
						BgL_auxz00_12927 = BGL_OBJECT_WIDENING(BgL_tmpz00_12928);
					}
					BgL_auxz00_12926 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_12927);
				}
				return
					(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_12926))->
					BgL_valuezd2approxzd2);
			}
		}

	}



/* &make-box/O-Cinfo-value-approx */
	BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2approxz90zzcfa_approxz00(obj_t
		BgL_envz00_8145, obj_t BgL_oz00_8146)
	{
		{	/* Cfa/cinfo.sch 1224 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2approxzf2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8146));
		}

	}



/* make-box/O-Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2approxz20zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_922)
	{
		{	/* Cfa/cinfo.sch 1226 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_12935;

				{
					obj_t BgL_auxz00_12936;

					{	/* Cfa/cinfo.sch 1226 */
						BgL_objectz00_bglt BgL_tmpz00_12937;

						BgL_tmpz00_12937 = ((BgL_objectz00_bglt) BgL_oz00_922);
						BgL_auxz00_12936 = BGL_OBJECT_WIDENING(BgL_tmpz00_12937);
					}
					BgL_auxz00_12935 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_12936);
				}
				return
					(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_12935))->
					BgL_approxz00);
			}
		}

	}



/* &make-box/O-Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_8147, obj_t BgL_oz00_8148)
	{
		{	/* Cfa/cinfo.sch 1226 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8148));
		}

	}



/* make-box/O-Cinfo-approx-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_923, BgL_approxz00_bglt BgL_vz00_924)
	{
		{	/* Cfa/cinfo.sch 1227 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_12944;

				{
					obj_t BgL_auxz00_12945;

					{	/* Cfa/cinfo.sch 1227 */
						BgL_objectz00_bglt BgL_tmpz00_12946;

						BgL_tmpz00_12946 = ((BgL_objectz00_bglt) BgL_oz00_923);
						BgL_auxz00_12945 = BGL_OBJECT_WIDENING(BgL_tmpz00_12946);
					}
					BgL_auxz00_12944 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_12945);
				}
				return
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_12944))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_vz00_924), BUNSPEC);
			}
		}

	}



/* &make-box/O-Cinfo-approx-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2approxzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8149, obj_t BgL_oz00_8150, obj_t BgL_vz00_8151)
	{
		{	/* Cfa/cinfo.sch 1227 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2setz12ze0zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8150),
				((BgL_approxz00_bglt) BgL_vz00_8151));
		}

	}



/* make-box/O-Cinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2stackablez20zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_925)
	{
		{	/* Cfa/cinfo.sch 1228 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_925)))->BgL_stackablez00);
		}

	}



/* &make-box/O-Cinfo-stackable */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablez42zzcfa_approxz00(obj_t
		BgL_envz00_8152, obj_t BgL_oz00_8153)
	{
		{	/* Cfa/cinfo.sch 1228 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2stackablez20zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8153));
		}

	}



/* make-box/O-Cinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_926, obj_t BgL_vz00_927)
	{
		{	/* Cfa/cinfo.sch 1229 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_926)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_927), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-stackable-set! */
	obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8154, obj_t BgL_oz00_8155, obj_t BgL_vz00_8156)
	{
		{	/* Cfa/cinfo.sch 1229 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12ze0zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8155), BgL_vz00_8156);
		}

	}



/* make-box/O-Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2vtypez20zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_928)
	{
		{	/* Cfa/cinfo.sch 1230 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_928)))->BgL_vtypez00);
		}

	}



/* &make-box/O-Cinfo-vtype */
	BgL_typez00_bglt BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypez42zzcfa_approxz00(obj_t
		BgL_envz00_8157, obj_t BgL_oz00_8158)
	{
		{	/* Cfa/cinfo.sch 1230 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2vtypez20zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8158));
		}

	}



/* make-box/O-Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_929, BgL_typez00_bglt BgL_vz00_930)
	{
		{	/* Cfa/cinfo.sch 1231 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_929)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_930), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-vtype-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8159, obj_t BgL_oz00_8160, obj_t BgL_vz00_8161)
	{
		{	/* Cfa/cinfo.sch 1231 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8160),
				((BgL_typez00_bglt) BgL_vz00_8161));
		}

	}



/* make-box/O-Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2valuez20zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_931)
	{
		{	/* Cfa/cinfo.sch 1232 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_931)))->BgL_valuez00);
		}

	}



/* &make-box/O-Cinfo-value */
	BgL_nodez00_bglt BGl_z62makezd2boxzf2Ozd2Cinfozd2valuez42zzcfa_approxz00(obj_t
		BgL_envz00_8162, obj_t BgL_oz00_8163)
	{
		{	/* Cfa/cinfo.sch 1232 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2valuez20zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8163));
		}

	}



/* make-box/O-Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_932, BgL_nodez00_bglt BgL_vz00_933)
	{
		{	/* Cfa/cinfo.sch 1233 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_932)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_933), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-value-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8164, obj_t BgL_oz00_8165, obj_t BgL_vz00_8166)
	{
		{	/* Cfa/cinfo.sch 1233 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2setz12ze0zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8165),
				((BgL_nodez00_bglt) BgL_vz00_8166));
		}

	}



/* make-box/O-Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2keyz20zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_934)
	{
		{	/* Cfa/cinfo.sch 1234 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_934)))->BgL_keyz00);
		}

	}



/* &make-box/O-Cinfo-key */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2keyz42zzcfa_approxz00(obj_t
		BgL_envz00_8167, obj_t BgL_oz00_8168)
	{
		{	/* Cfa/cinfo.sch 1234 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2keyz20zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8168));
		}

	}



/* make-box/O-Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_935, obj_t BgL_vz00_936)
	{
		{	/* Cfa/cinfo.sch 1235 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_935)))->BgL_keyz00) =
				((obj_t) BgL_vz00_936), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-key-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8169, obj_t BgL_oz00_8170, obj_t BgL_vz00_8171)
	{
		{	/* Cfa/cinfo.sch 1235 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8170), BgL_vz00_8171);
		}

	}



/* make-box/O-Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_937)
	{
		{	/* Cfa/cinfo.sch 1236 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_937)))->BgL_sidezd2effectzd2);
		}

	}



/* &make-box/O-Cinfo-side-effect */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_approxz00(obj_t
		BgL_envz00_8172, obj_t BgL_oz00_8173)
	{
		{	/* Cfa/cinfo.sch 1236 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8173));
		}

	}



/* make-box/O-Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_938, obj_t BgL_vz00_939)
	{
		{	/* Cfa/cinfo.sch 1237 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_938)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_939), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-side-effect-set! */
	obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00
		(obj_t BgL_envz00_8174, obj_t BgL_oz00_8175, obj_t BgL_vz00_8176)
	{
		{	/* Cfa/cinfo.sch 1237 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8175), BgL_vz00_8176);
		}

	}



/* make-box/O-Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2typez20zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_940)
	{
		{	/* Cfa/cinfo.sch 1238 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_940)))->BgL_typez00);
		}

	}



/* &make-box/O-Cinfo-type */
	BgL_typez00_bglt BGl_z62makezd2boxzf2Ozd2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_8177, obj_t BgL_oz00_8178)
	{
		{	/* Cfa/cinfo.sch 1238 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2typez20zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8178));
		}

	}



/* make-box/O-Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_approxz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_941, BgL_typez00_bglt BgL_vz00_942)
	{
		{	/* Cfa/cinfo.sch 1239 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_941)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_942), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-type-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8179, obj_t BgL_oz00_8180, obj_t BgL_vz00_8181)
	{
		{	/* Cfa/cinfo.sch 1239 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8180),
				((BgL_typez00_bglt) BgL_vz00_8181));
		}

	}



/* make-box/O-Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2locz20zzcfa_approxz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_943)
	{
		{	/* Cfa/cinfo.sch 1240 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_943)))->BgL_locz00);
		}

	}



/* &make-box/O-Cinfo-loc */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2locz42zzcfa_approxz00(obj_t
		BgL_envz00_8182, obj_t BgL_oz00_8183)
	{
		{	/* Cfa/cinfo.sch 1240 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2locz20zzcfa_approxz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8183));
		}

	}



/* make-box-set!/Cinfo */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12zf2Cinfoze0zzcfa_approxz00(obj_t BgL_loc1561z00_946,
		BgL_typez00_bglt BgL_type1562z00_947, BgL_varz00_bglt BgL_var1563z00_948,
		BgL_nodez00_bglt BgL_value1564z00_949,
		BgL_typez00_bglt BgL_vtype1565z00_950,
		BgL_approxz00_bglt BgL_approx1566z00_951)
	{
		{	/* Cfa/cinfo.sch 1244 */
			{	/* Cfa/cinfo.sch 1244 */
				BgL_boxzd2setz12zc0_bglt BgL_new1293z00_8898;

				{	/* Cfa/cinfo.sch 1244 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1291z00_8899;
					BgL_boxzd2setz12zf2cinfoz32_bglt BgL_wide1292z00_8900;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_13009;

						{	/* Cfa/cinfo.sch 1244 */
							BgL_boxzd2setz12zc0_bglt BgL_new1290z00_8901;

							BgL_new1290z00_8901 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Cfa/cinfo.sch 1244 */
								long BgL_arg1787z00_8902;

								BgL_arg1787z00_8902 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1290z00_8901),
									BgL_arg1787z00_8902);
							}
							{	/* Cfa/cinfo.sch 1244 */
								BgL_objectz00_bglt BgL_tmpz00_13014;

								BgL_tmpz00_13014 = ((BgL_objectz00_bglt) BgL_new1290z00_8901);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13014, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1290z00_8901);
							BgL_auxz00_13009 = BgL_new1290z00_8901;
						}
						BgL_tmp1291z00_8899 = ((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_13009);
					}
					BgL_wide1292z00_8900 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2cinfoz32_bgl))));
					{	/* Cfa/cinfo.sch 1244 */
						obj_t BgL_auxz00_13022;
						BgL_objectz00_bglt BgL_tmpz00_13020;

						BgL_auxz00_13022 = ((obj_t) BgL_wide1292z00_8900);
						BgL_tmpz00_13020 = ((BgL_objectz00_bglt) BgL_tmp1291z00_8899);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13020, BgL_auxz00_13022);
					}
					((BgL_objectz00_bglt) BgL_tmp1291z00_8899);
					{	/* Cfa/cinfo.sch 1244 */
						long BgL_arg1785z00_8903;

						BgL_arg1785z00_8903 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1291z00_8899), BgL_arg1785z00_8903);
					}
					BgL_new1293z00_8898 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1291z00_8899);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1293z00_8898)))->BgL_locz00) =
					((obj_t) BgL_loc1561z00_946), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1293z00_8898)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1562z00_947), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1293z00_8898)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1563z00_948), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1293z00_8898)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1564z00_949), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1293z00_8898)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1565z00_950), BUNSPEC);
				{
					BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_13040;

					{
						obj_t BgL_auxz00_13041;

						{	/* Cfa/cinfo.sch 1244 */
							BgL_objectz00_bglt BgL_tmpz00_13042;

							BgL_tmpz00_13042 = ((BgL_objectz00_bglt) BgL_new1293z00_8898);
							BgL_auxz00_13041 = BGL_OBJECT_WIDENING(BgL_tmpz00_13042);
						}
						BgL_auxz00_13040 =
							((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_13041);
					}
					((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_13040))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1566z00_951), BUNSPEC);
				}
				return BgL_new1293z00_8898;
			}
		}

	}



/* &make-box-set!/Cinfo */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12zf2Cinfoz82zzcfa_approxz00(obj_t BgL_envz00_8184,
		obj_t BgL_loc1561z00_8185, obj_t BgL_type1562z00_8186,
		obj_t BgL_var1563z00_8187, obj_t BgL_value1564z00_8188,
		obj_t BgL_vtype1565z00_8189, obj_t BgL_approx1566z00_8190)
	{
		{	/* Cfa/cinfo.sch 1244 */
			return
				BGl_makezd2boxzd2setz12zf2Cinfoze0zzcfa_approxz00(BgL_loc1561z00_8185,
				((BgL_typez00_bglt) BgL_type1562z00_8186),
				((BgL_varz00_bglt) BgL_var1563z00_8187),
				((BgL_nodez00_bglt) BgL_value1564z00_8188),
				((BgL_typez00_bglt) BgL_vtype1565z00_8189),
				((BgL_approxz00_bglt) BgL_approx1566z00_8190));
		}

	}



/* box-set!/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2setz12zf2Cinfozf3zc1zzcfa_approxz00(obj_t
		BgL_objz00_952)
	{
		{	/* Cfa/cinfo.sch 1245 */
			{	/* Cfa/cinfo.sch 1245 */
				obj_t BgL_classz00_8904;

				BgL_classz00_8904 = BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_952))
					{	/* Cfa/cinfo.sch 1245 */
						BgL_objectz00_bglt BgL_arg1820z00_8905;

						BgL_arg1820z00_8905 = (BgL_objectz00_bglt) (BgL_objz00_952);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1245 */
								long BgL_idxz00_8906;

								BgL_idxz00_8906 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8905);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8906 + ((long) 3))) == BgL_classz00_8904);
							}
						else
							{	/* Cfa/cinfo.sch 1245 */
								bool_t BgL_res2131z00_8909;

								{	/* Cfa/cinfo.sch 1245 */
									obj_t BgL_oclassz00_8910;

									{	/* Cfa/cinfo.sch 1245 */
										long BgL_arg1828z00_8911;

										{	/* Cfa/cinfo.sch 1245 */
											long BgL_arg1829z00_8912;

											BgL_arg1829z00_8912 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8905);
											BgL_arg1828z00_8911 = (BgL_arg1829z00_8912 - OBJECT_TYPE);
										}
										BgL_oclassz00_8910 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8911);
									}
									{	/* Cfa/cinfo.sch 1245 */
										bool_t BgL__ortest_1111z00_8913;

										BgL__ortest_1111z00_8913 =
											(BgL_classz00_8904 == BgL_oclassz00_8910);
										if (BgL__ortest_1111z00_8913)
											{	/* Cfa/cinfo.sch 1245 */
												BgL_res2131z00_8909 = BgL__ortest_1111z00_8913;
											}
										else
											{	/* Cfa/cinfo.sch 1245 */
												long BgL_odepthz00_8914;

												BgL_odepthz00_8914 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8910);
												if ((((long) 3) < BgL_odepthz00_8914))
													{	/* Cfa/cinfo.sch 1245 */
														obj_t BgL_arg1816z00_8915;

														BgL_arg1816z00_8915 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8910,
															((long) 3));
														BgL_res2131z00_8909 =
															(BgL_arg1816z00_8915 == BgL_classz00_8904);
													}
												else
													{	/* Cfa/cinfo.sch 1245 */
														BgL_res2131z00_8909 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2131z00_8909;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1245 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-set!/Cinfo? */
	obj_t BGl_z62boxzd2setz12zf2Cinfozf3za3zzcfa_approxz00(obj_t BgL_envz00_8191,
		obj_t BgL_objz00_8192)
	{
		{	/* Cfa/cinfo.sch 1245 */
			return
				BBOOL(BGl_boxzd2setz12zf2Cinfozf3zc1zzcfa_approxz00(BgL_objz00_8192));
		}

	}



/* box-set!/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zf2Cinfozd2nilze0zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1246 */
			{	/* Cfa/cinfo.sch 1246 */
				obj_t BgL_classz00_6008;

				BgL_classz00_6008 = BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1246 */
					obj_t BgL__ortest_1113z00_6009;

					BgL__ortest_1113z00_6009 = BGL_CLASS_NIL(BgL_classz00_6008);
					if (CBOOL(BgL__ortest_1113z00_6009))
						{	/* Cfa/cinfo.sch 1246 */
							return ((BgL_boxzd2setz12zc0_bglt) BgL__ortest_1113z00_6009);
						}
					else
						{	/* Cfa/cinfo.sch 1246 */
							return
								((BgL_boxzd2setz12zc0_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_6008));
						}
				}
			}
		}

	}



/* &box-set!/Cinfo-nil */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2nilz82zzcfa_approxz00(obj_t BgL_envz00_8193)
	{
		{	/* Cfa/cinfo.sch 1246 */
			return BGl_boxzd2setz12zf2Cinfozd2nilze0zzcfa_approxz00();
		}

	}



/* box-set!/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_boxzd2setz12zf2Cinfozd2approxze0zzcfa_approxz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_953)
	{
		{	/* Cfa/cinfo.sch 1247 */
			{
				BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_13081;

				{
					obj_t BgL_auxz00_13082;

					{	/* Cfa/cinfo.sch 1247 */
						BgL_objectz00_bglt BgL_tmpz00_13083;

						BgL_tmpz00_13083 = ((BgL_objectz00_bglt) BgL_oz00_953);
						BgL_auxz00_13082 = BGL_OBJECT_WIDENING(BgL_tmpz00_13083);
					}
					BgL_auxz00_13081 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_13082);
				}
				return
					(((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_13081))->
					BgL_approxz00);
			}
		}

	}



/* &box-set!/Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2approxz82zzcfa_approxz00(obj_t
		BgL_envz00_8194, obj_t BgL_oz00_8195)
	{
		{	/* Cfa/cinfo.sch 1247 */
			return
				BGl_boxzd2setz12zf2Cinfozd2approxze0zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8195));
		}

	}



/* box-set!/Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2vtypeze0zzcfa_approxz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_956)
	{
		{	/* Cfa/cinfo.sch 1249 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_956)))->BgL_vtypez00);
		}

	}



/* &box-set!/Cinfo-vtype */
	BgL_typez00_bglt BGl_z62boxzd2setz12zf2Cinfozd2vtypez82zzcfa_approxz00(obj_t
		BgL_envz00_8196, obj_t BgL_oz00_8197)
	{
		{	/* Cfa/cinfo.sch 1249 */
			return
				BGl_boxzd2setz12zf2Cinfozd2vtypeze0zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8197));
		}

	}



/* box-set!/Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2vtypezd2setz12z20zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_957, BgL_typez00_bglt BgL_vz00_958)
	{
		{	/* Cfa/cinfo.sch 1250 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_957)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_958), BUNSPEC);
		}

	}



/* &box-set!/Cinfo-vtype-set! */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2vtypezd2setz12z42zzcfa_approxz00(obj_t
		BgL_envz00_8198, obj_t BgL_oz00_8199, obj_t BgL_vz00_8200)
	{
		{	/* Cfa/cinfo.sch 1250 */
			return
				BGl_boxzd2setz12zf2Cinfozd2vtypezd2setz12z20zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8199),
				((BgL_typez00_bglt) BgL_vz00_8200));
		}

	}



/* box-set!/Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2valueze0zzcfa_approxz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_959)
	{
		{	/* Cfa/cinfo.sch 1251 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_959)))->BgL_valuez00);
		}

	}



/* &box-set!/Cinfo-value */
	BgL_nodez00_bglt BGl_z62boxzd2setz12zf2Cinfozd2valuez82zzcfa_approxz00(obj_t
		BgL_envz00_8201, obj_t BgL_oz00_8202)
	{
		{	/* Cfa/cinfo.sch 1251 */
			return
				BGl_boxzd2setz12zf2Cinfozd2valueze0zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8202));
		}

	}



/* box-set!/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2valuezd2setz12z20zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_960, BgL_nodez00_bglt BgL_vz00_961)
	{
		{	/* Cfa/cinfo.sch 1252 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_960)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_961), BUNSPEC);
		}

	}



/* &box-set!/Cinfo-value-set! */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2valuezd2setz12z42zzcfa_approxz00(obj_t
		BgL_envz00_8203, obj_t BgL_oz00_8204, obj_t BgL_vz00_8205)
	{
		{	/* Cfa/cinfo.sch 1252 */
			return
				BGl_boxzd2setz12zf2Cinfozd2valuezd2setz12z20zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8204),
				((BgL_nodez00_bglt) BgL_vz00_8205));
		}

	}



/* box-set!/Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2setz12zf2Cinfozd2varze0zzcfa_approxz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_962)
	{
		{	/* Cfa/cinfo.sch 1253 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_962)))->BgL_varz00);
		}

	}



/* &box-set!/Cinfo-var */
	BgL_varz00_bglt BGl_z62boxzd2setz12zf2Cinfozd2varz82zzcfa_approxz00(obj_t
		BgL_envz00_8206, obj_t BgL_oz00_8207)
	{
		{	/* Cfa/cinfo.sch 1253 */
			return
				BGl_boxzd2setz12zf2Cinfozd2varze0zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8207));
		}

	}



/* box-set!/Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2varzd2setz12z20zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_963, BgL_varz00_bglt BgL_vz00_964)
	{
		{	/* Cfa/cinfo.sch 1254 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_963)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_964), BUNSPEC);
		}

	}



/* &box-set!/Cinfo-var-set! */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2varzd2setz12z42zzcfa_approxz00(obj_t
		BgL_envz00_8208, obj_t BgL_oz00_8209, obj_t BgL_vz00_8210)
	{
		{	/* Cfa/cinfo.sch 1254 */
			return
				BGl_boxzd2setz12zf2Cinfozd2varzd2setz12z20zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8209),
				((BgL_varz00_bglt) BgL_vz00_8210));
		}

	}



/* box-set!/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2typeze0zzcfa_approxz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_965)
	{
		{	/* Cfa/cinfo.sch 1255 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_965)))->BgL_typez00);
		}

	}



/* &box-set!/Cinfo-type */
	BgL_typez00_bglt BGl_z62boxzd2setz12zf2Cinfozd2typez82zzcfa_approxz00(obj_t
		BgL_envz00_8211, obj_t BgL_oz00_8212)
	{
		{	/* Cfa/cinfo.sch 1255 */
			return
				BGl_boxzd2setz12zf2Cinfozd2typeze0zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8212));
		}

	}



/* box-set!/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2typezd2setz12z20zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_966, BgL_typez00_bglt BgL_vz00_967)
	{
		{	/* Cfa/cinfo.sch 1256 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_966)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_967), BUNSPEC);
		}

	}



/* &box-set!/Cinfo-type-set! */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2typezd2setz12z42zzcfa_approxz00(obj_t
		BgL_envz00_8213, obj_t BgL_oz00_8214, obj_t BgL_vz00_8215)
	{
		{	/* Cfa/cinfo.sch 1256 */
			return
				BGl_boxzd2setz12zf2Cinfozd2typezd2setz12z20zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8214),
				((BgL_typez00_bglt) BgL_vz00_8215));
		}

	}



/* box-set!/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2locze0zzcfa_approxz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_968)
	{
		{	/* Cfa/cinfo.sch 1257 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_968)))->BgL_locz00);
		}

	}



/* &box-set!/Cinfo-loc */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2locz82zzcfa_approxz00(obj_t
		BgL_envz00_8216, obj_t BgL_oz00_8217)
	{
		{	/* Cfa/cinfo.sch 1257 */
			return
				BGl_boxzd2setz12zf2Cinfozd2locze0zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8217));
		}

	}



/* make-box-ref/Cinfo */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refzf2Cinfozf2zzcfa_approxz00(obj_t BgL_loc1553z00_971,
		BgL_typez00_bglt BgL_type1554z00_972, obj_t BgL_sidezd2effect1555zd2_973,
		obj_t BgL_key1556z00_974, BgL_varz00_bglt BgL_var1557z00_975,
		BgL_typez00_bglt BgL_vtype1558z00_976,
		BgL_approxz00_bglt BgL_approx1559z00_977)
	{
		{	/* Cfa/cinfo.sch 1261 */
			{	/* Cfa/cinfo.sch 1261 */
				BgL_boxzd2refzd2_bglt BgL_new1297z00_8916;

				{	/* Cfa/cinfo.sch 1261 */
					BgL_boxzd2refzd2_bglt BgL_tmp1295z00_8917;
					BgL_boxzd2refzf2cinfoz20_bglt BgL_wide1296z00_8918;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_13130;

						{	/* Cfa/cinfo.sch 1261 */
							BgL_boxzd2refzd2_bglt BgL_new1294z00_8919;

							BgL_new1294z00_8919 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Cfa/cinfo.sch 1261 */
								long BgL_arg1790z00_8920;

								BgL_arg1790z00_8920 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1294z00_8919),
									BgL_arg1790z00_8920);
							}
							{	/* Cfa/cinfo.sch 1261 */
								BgL_objectz00_bglt BgL_tmpz00_13135;

								BgL_tmpz00_13135 = ((BgL_objectz00_bglt) BgL_new1294z00_8919);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13135, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1294z00_8919);
							BgL_auxz00_13130 = BgL_new1294z00_8919;
						}
						BgL_tmp1295z00_8917 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_13130);
					}
					BgL_wide1296z00_8918 =
						((BgL_boxzd2refzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 1261 */
						obj_t BgL_auxz00_13143;
						BgL_objectz00_bglt BgL_tmpz00_13141;

						BgL_auxz00_13143 = ((obj_t) BgL_wide1296z00_8918);
						BgL_tmpz00_13141 = ((BgL_objectz00_bglt) BgL_tmp1295z00_8917);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13141, BgL_auxz00_13143);
					}
					((BgL_objectz00_bglt) BgL_tmp1295z00_8917);
					{	/* Cfa/cinfo.sch 1261 */
						long BgL_arg1789z00_8921;

						BgL_arg1789z00_8921 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1295z00_8917), BgL_arg1789z00_8921);
					}
					BgL_new1297z00_8916 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1295z00_8917);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1297z00_8916)))->BgL_locz00) =
					((obj_t) BgL_loc1553z00_971), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1297z00_8916)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1554z00_972), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1297z00_8916)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1555zd2_973), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1297z00_8916)))->BgL_keyz00) =
					((obj_t) BgL_key1556z00_974), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1297z00_8916)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1557z00_975), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1297z00_8916)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1558z00_976), BUNSPEC);
				{
					BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_13163;

					{
						obj_t BgL_auxz00_13164;

						{	/* Cfa/cinfo.sch 1261 */
							BgL_objectz00_bglt BgL_tmpz00_13165;

							BgL_tmpz00_13165 = ((BgL_objectz00_bglt) BgL_new1297z00_8916);
							BgL_auxz00_13164 = BGL_OBJECT_WIDENING(BgL_tmpz00_13165);
						}
						BgL_auxz00_13163 =
							((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_13164);
					}
					((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_13163))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1559z00_977), BUNSPEC);
				}
				return BgL_new1297z00_8916;
			}
		}

	}



/* &make-box-ref/Cinfo */
	BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refzf2Cinfoz90zzcfa_approxz00(obj_t
		BgL_envz00_8218, obj_t BgL_loc1553z00_8219, obj_t BgL_type1554z00_8220,
		obj_t BgL_sidezd2effect1555zd2_8221, obj_t BgL_key1556z00_8222,
		obj_t BgL_var1557z00_8223, obj_t BgL_vtype1558z00_8224,
		obj_t BgL_approx1559z00_8225)
	{
		{	/* Cfa/cinfo.sch 1261 */
			return
				BGl_makezd2boxzd2refzf2Cinfozf2zzcfa_approxz00(BgL_loc1553z00_8219,
				((BgL_typez00_bglt) BgL_type1554z00_8220),
				BgL_sidezd2effect1555zd2_8221, BgL_key1556z00_8222,
				((BgL_varz00_bglt) BgL_var1557z00_8223),
				((BgL_typez00_bglt) BgL_vtype1558z00_8224),
				((BgL_approxz00_bglt) BgL_approx1559z00_8225));
		}

	}



/* box-ref/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2refzf2Cinfozf3zd3zzcfa_approxz00(obj_t
		BgL_objz00_978)
	{
		{	/* Cfa/cinfo.sch 1262 */
			{	/* Cfa/cinfo.sch 1262 */
				obj_t BgL_classz00_8922;

				BgL_classz00_8922 = BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_978))
					{	/* Cfa/cinfo.sch 1262 */
						BgL_objectz00_bglt BgL_arg1820z00_8923;

						BgL_arg1820z00_8923 = (BgL_objectz00_bglt) (BgL_objz00_978);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1262 */
								long BgL_idxz00_8924;

								BgL_idxz00_8924 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8923);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8924 + ((long) 4))) == BgL_classz00_8922);
							}
						else
							{	/* Cfa/cinfo.sch 1262 */
								bool_t BgL_res2132z00_8927;

								{	/* Cfa/cinfo.sch 1262 */
									obj_t BgL_oclassz00_8928;

									{	/* Cfa/cinfo.sch 1262 */
										long BgL_arg1828z00_8929;

										{	/* Cfa/cinfo.sch 1262 */
											long BgL_arg1829z00_8930;

											BgL_arg1829z00_8930 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8923);
											BgL_arg1828z00_8929 = (BgL_arg1829z00_8930 - OBJECT_TYPE);
										}
										BgL_oclassz00_8928 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8929);
									}
									{	/* Cfa/cinfo.sch 1262 */
										bool_t BgL__ortest_1111z00_8931;

										BgL__ortest_1111z00_8931 =
											(BgL_classz00_8922 == BgL_oclassz00_8928);
										if (BgL__ortest_1111z00_8931)
											{	/* Cfa/cinfo.sch 1262 */
												BgL_res2132z00_8927 = BgL__ortest_1111z00_8931;
											}
										else
											{	/* Cfa/cinfo.sch 1262 */
												long BgL_odepthz00_8932;

												BgL_odepthz00_8932 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8928);
												if ((((long) 4) < BgL_odepthz00_8932))
													{	/* Cfa/cinfo.sch 1262 */
														obj_t BgL_arg1816z00_8933;

														BgL_arg1816z00_8933 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8928,
															((long) 4));
														BgL_res2132z00_8927 =
															(BgL_arg1816z00_8933 == BgL_classz00_8922);
													}
												else
													{	/* Cfa/cinfo.sch 1262 */
														BgL_res2132z00_8927 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2132z00_8927;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1262 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-ref/Cinfo? */
	obj_t BGl_z62boxzd2refzf2Cinfozf3zb1zzcfa_approxz00(obj_t BgL_envz00_8226,
		obj_t BgL_objz00_8227)
	{
		{	/* Cfa/cinfo.sch 1262 */
			return BBOOL(BGl_boxzd2refzf2Cinfozf3zd3zzcfa_approxz00(BgL_objz00_8227));
		}

	}



/* box-ref/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzf2Cinfozd2nilzf2zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1263 */
			{	/* Cfa/cinfo.sch 1263 */
				obj_t BgL_classz00_6057;

				BgL_classz00_6057 = BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1263 */
					obj_t BgL__ortest_1113z00_6058;

					BgL__ortest_1113z00_6058 = BGL_CLASS_NIL(BgL_classz00_6057);
					if (CBOOL(BgL__ortest_1113z00_6058))
						{	/* Cfa/cinfo.sch 1263 */
							return ((BgL_boxzd2refzd2_bglt) BgL__ortest_1113z00_6058);
						}
					else
						{	/* Cfa/cinfo.sch 1263 */
							return
								((BgL_boxzd2refzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_6057));
						}
				}
			}
		}

	}



/* &box-ref/Cinfo-nil */
	BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzf2Cinfozd2nilz90zzcfa_approxz00(obj_t
		BgL_envz00_8228)
	{
		{	/* Cfa/cinfo.sch 1263 */
			return BGl_boxzd2refzf2Cinfozd2nilzf2zzcfa_approxz00();
		}

	}



/* box-ref/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_boxzd2refzf2Cinfozd2approxzf2zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_979)
	{
		{	/* Cfa/cinfo.sch 1264 */
			{
				BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_13203;

				{
					obj_t BgL_auxz00_13204;

					{	/* Cfa/cinfo.sch 1264 */
						BgL_objectz00_bglt BgL_tmpz00_13205;

						BgL_tmpz00_13205 = ((BgL_objectz00_bglt) BgL_oz00_979);
						BgL_auxz00_13204 = BGL_OBJECT_WIDENING(BgL_tmpz00_13205);
					}
					BgL_auxz00_13203 = ((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_13204);
				}
				return
					(((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_13203))->
					BgL_approxz00);
			}
		}

	}



/* &box-ref/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62boxzd2refzf2Cinfozd2approxz90zzcfa_approxz00(obj_t
		BgL_envz00_8229, obj_t BgL_oz00_8230)
	{
		{	/* Cfa/cinfo.sch 1264 */
			return
				BGl_boxzd2refzf2Cinfozd2approxzf2zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8230));
		}

	}



/* box-ref/Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzf2Cinfozd2vtypezf2zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_982)
	{
		{	/* Cfa/cinfo.sch 1266 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_982)))->BgL_vtypez00);
		}

	}



/* &box-ref/Cinfo-vtype */
	BgL_typez00_bglt BGl_z62boxzd2refzf2Cinfozd2vtypez90zzcfa_approxz00(obj_t
		BgL_envz00_8231, obj_t BgL_oz00_8232)
	{
		{	/* Cfa/cinfo.sch 1266 */
			return
				BGl_boxzd2refzf2Cinfozd2vtypezf2zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8232));
		}

	}



/* box-ref/Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2vtypezd2setz12z32zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_983, BgL_typez00_bglt BgL_vz00_984)
	{
		{	/* Cfa/cinfo.sch 1267 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_983)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_984), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-vtype-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2vtypezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_8233, obj_t BgL_oz00_8234, obj_t BgL_vz00_8235)
	{
		{	/* Cfa/cinfo.sch 1267 */
			return
				BGl_boxzd2refzf2Cinfozd2vtypezd2setz12z32zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8234),
				((BgL_typez00_bglt) BgL_vz00_8235));
		}

	}



/* box-ref/Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2refzf2Cinfozd2varzf2zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_985)
	{
		{	/* Cfa/cinfo.sch 1268 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_985)))->BgL_varz00);
		}

	}



/* &box-ref/Cinfo-var */
	BgL_varz00_bglt BGl_z62boxzd2refzf2Cinfozd2varz90zzcfa_approxz00(obj_t
		BgL_envz00_8236, obj_t BgL_oz00_8237)
	{
		{	/* Cfa/cinfo.sch 1268 */
			return
				BGl_boxzd2refzf2Cinfozd2varzf2zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8237));
		}

	}



/* box-ref/Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2varzd2setz12z32zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_986, BgL_varz00_bglt BgL_vz00_987)
	{
		{	/* Cfa/cinfo.sch 1269 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_986)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_987), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-var-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2varzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_8238, obj_t BgL_oz00_8239, obj_t BgL_vz00_8240)
	{
		{	/* Cfa/cinfo.sch 1269 */
			return
				BGl_boxzd2refzf2Cinfozd2varzd2setz12z32zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8239),
				((BgL_varz00_bglt) BgL_vz00_8240));
		}

	}



/* box-ref/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2keyzf2zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_988)
	{
		{	/* Cfa/cinfo.sch 1270 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_988)))->BgL_keyz00);
		}

	}



/* &box-ref/Cinfo-key */
	obj_t BGl_z62boxzd2refzf2Cinfozd2keyz90zzcfa_approxz00(obj_t BgL_envz00_8241,
		obj_t BgL_oz00_8242)
	{
		{	/* Cfa/cinfo.sch 1270 */
			return
				BGl_boxzd2refzf2Cinfozd2keyzf2zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8242));
		}

	}



/* box-ref/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2keyzd2setz12z32zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_989, obj_t BgL_vz00_990)
	{
		{	/* Cfa/cinfo.sch 1271 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_989)))->BgL_keyz00) =
				((obj_t) BgL_vz00_990), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-key-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2keyzd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_8243, obj_t BgL_oz00_8244, obj_t BgL_vz00_8245)
	{
		{	/* Cfa/cinfo.sch 1271 */
			return
				BGl_boxzd2refzf2Cinfozd2keyzd2setz12z32zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8244), BgL_vz00_8245);
		}

	}



/* box-ref/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2sidezd2effectz20zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_991)
	{
		{	/* Cfa/cinfo.sch 1272 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_991)))->BgL_sidezd2effectzd2);
		}

	}



/* &box-ref/Cinfo-side-effect */
	obj_t BGl_z62boxzd2refzf2Cinfozd2sidezd2effectz42zzcfa_approxz00(obj_t
		BgL_envz00_8246, obj_t BgL_oz00_8247)
	{
		{	/* Cfa/cinfo.sch 1272 */
			return
				BGl_boxzd2refzf2Cinfozd2sidezd2effectz20zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8247));
		}

	}



/* box-ref/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_992, obj_t BgL_vz00_993)
	{
		{	/* Cfa/cinfo.sch 1273 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_992)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_993), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-side-effect-set! */
	obj_t
		BGl_z62boxzd2refzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8248, obj_t BgL_oz00_8249, obj_t BgL_vz00_8250)
	{
		{	/* Cfa/cinfo.sch 1273 */
			return
				BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8249), BgL_vz00_8250);
		}

	}



/* box-ref/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzf2Cinfozd2typezf2zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_994)
	{
		{	/* Cfa/cinfo.sch 1274 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_994)))->BgL_typez00);
		}

	}



/* &box-ref/Cinfo-type */
	BgL_typez00_bglt BGl_z62boxzd2refzf2Cinfozd2typez90zzcfa_approxz00(obj_t
		BgL_envz00_8251, obj_t BgL_oz00_8252)
	{
		{	/* Cfa/cinfo.sch 1274 */
			return
				BGl_boxzd2refzf2Cinfozd2typezf2zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8252));
		}

	}



/* box-ref/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2typezd2setz12z32zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_995, BgL_typez00_bglt BgL_vz00_996)
	{
		{	/* Cfa/cinfo.sch 1275 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_995)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_996), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-type-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2typezd2setz12z50zzcfa_approxz00(obj_t
		BgL_envz00_8253, obj_t BgL_oz00_8254, obj_t BgL_vz00_8255)
	{
		{	/* Cfa/cinfo.sch 1275 */
			return
				BGl_boxzd2refzf2Cinfozd2typezd2setz12z32zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8254),
				((BgL_typez00_bglt) BgL_vz00_8255));
		}

	}



/* box-ref/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2loczf2zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_997)
	{
		{	/* Cfa/cinfo.sch 1276 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_997)))->BgL_locz00);
		}

	}



/* &box-ref/Cinfo-loc */
	obj_t BGl_z62boxzd2refzf2Cinfozd2locz90zzcfa_approxz00(obj_t BgL_envz00_8256,
		obj_t BgL_oz00_8257)
	{
		{	/* Cfa/cinfo.sch 1276 */
			return
				BGl_boxzd2refzf2Cinfozd2loczf2zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8257));
		}

	}



/* make-box-set!/O-Cinfo */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12zf2Ozd2Cinfoz32zzcfa_approxz00(obj_t
		BgL_loc1546z00_1000, BgL_typez00_bglt BgL_type1547z00_1001,
		BgL_varz00_bglt BgL_var1548z00_1002, BgL_nodez00_bglt BgL_value1549z00_1003,
		BgL_typez00_bglt BgL_vtype1550z00_1004,
		BgL_approxz00_bglt BgL_approx1551z00_1005)
	{
		{	/* Cfa/cinfo.sch 1280 */
			{	/* Cfa/cinfo.sch 1280 */
				BgL_boxzd2setz12zc0_bglt BgL_new1301z00_8934;

				{	/* Cfa/cinfo.sch 1280 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1299z00_8935;
					BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_wide1300z00_8936;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_13259;

						{	/* Cfa/cinfo.sch 1280 */
							BgL_boxzd2setz12zc0_bglt BgL_new1298z00_8937;

							BgL_new1298z00_8937 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Cfa/cinfo.sch 1280 */
								long BgL_arg1812z00_8938;

								BgL_arg1812z00_8938 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1298z00_8937),
									BgL_arg1812z00_8938);
							}
							{	/* Cfa/cinfo.sch 1280 */
								BgL_objectz00_bglt BgL_tmpz00_13264;

								BgL_tmpz00_13264 = ((BgL_objectz00_bglt) BgL_new1298z00_8937);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13264, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1298z00_8937);
							BgL_auxz00_13259 = BgL_new1298z00_8937;
						}
						BgL_tmp1299z00_8935 = ((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_13259);
					}
					BgL_wide1300z00_8936 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2ozd2cinfoze0_bgl))));
					{	/* Cfa/cinfo.sch 1280 */
						obj_t BgL_auxz00_13272;
						BgL_objectz00_bglt BgL_tmpz00_13270;

						BgL_auxz00_13272 = ((obj_t) BgL_wide1300z00_8936);
						BgL_tmpz00_13270 = ((BgL_objectz00_bglt) BgL_tmp1299z00_8935);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13270, BgL_auxz00_13272);
					}
					((BgL_objectz00_bglt) BgL_tmp1299z00_8935);
					{	/* Cfa/cinfo.sch 1280 */
						long BgL_arg1811z00_8939;

						BgL_arg1811z00_8939 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1299z00_8935), BgL_arg1811z00_8939);
					}
					BgL_new1301z00_8934 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1299z00_8935);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1301z00_8934)))->BgL_locz00) =
					((obj_t) BgL_loc1546z00_1000), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1301z00_8934)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1547z00_1001), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1301z00_8934)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1548z00_1002), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1301z00_8934)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1549z00_1003), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1301z00_8934)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1550z00_1004), BUNSPEC);
				{
					BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_13290;

					{
						obj_t BgL_auxz00_13291;

						{	/* Cfa/cinfo.sch 1280 */
							BgL_objectz00_bglt BgL_tmpz00_13292;

							BgL_tmpz00_13292 = ((BgL_objectz00_bglt) BgL_new1301z00_8934);
							BgL_auxz00_13291 = BGL_OBJECT_WIDENING(BgL_tmpz00_13292);
						}
						BgL_auxz00_13290 =
							((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_13291);
					}
					((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_13290))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1551z00_1005), BUNSPEC);
				}
				return BgL_new1301z00_8934;
			}
		}

	}



/* &make-box-set!/O-Cinfo */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12zf2Ozd2Cinfoz50zzcfa_approxz00(obj_t
		BgL_envz00_8258, obj_t BgL_loc1546z00_8259, obj_t BgL_type1547z00_8260,
		obj_t BgL_var1548z00_8261, obj_t BgL_value1549z00_8262,
		obj_t BgL_vtype1550z00_8263, obj_t BgL_approx1551z00_8264)
	{
		{	/* Cfa/cinfo.sch 1280 */
			return
				BGl_makezd2boxzd2setz12zf2Ozd2Cinfoz32zzcfa_approxz00
				(BgL_loc1546z00_8259, ((BgL_typez00_bglt) BgL_type1547z00_8260),
				((BgL_varz00_bglt) BgL_var1548z00_8261),
				((BgL_nodez00_bglt) BgL_value1549z00_8262),
				((BgL_typez00_bglt) BgL_vtype1550z00_8263),
				((BgL_approxz00_bglt) BgL_approx1551z00_8264));
		}

	}



/* box-set!/O-Cinfo? */
	BGL_EXPORTED_DEF bool_t
		BGl_boxzd2setz12zf2Ozd2Cinfozf3z13zzcfa_approxz00(obj_t BgL_objz00_1006)
	{
		{	/* Cfa/cinfo.sch 1281 */
			{	/* Cfa/cinfo.sch 1281 */
				obj_t BgL_classz00_8940;

				BgL_classz00_8940 = BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_1006))
					{	/* Cfa/cinfo.sch 1281 */
						BgL_objectz00_bglt BgL_arg1820z00_8941;

						BgL_arg1820z00_8941 = (BgL_objectz00_bglt) (BgL_objz00_1006);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1281 */
								long BgL_idxz00_8942;

								BgL_idxz00_8942 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8941);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8942 + ((long) 3))) == BgL_classz00_8940);
							}
						else
							{	/* Cfa/cinfo.sch 1281 */
								bool_t BgL_res2133z00_8945;

								{	/* Cfa/cinfo.sch 1281 */
									obj_t BgL_oclassz00_8946;

									{	/* Cfa/cinfo.sch 1281 */
										long BgL_arg1828z00_8947;

										{	/* Cfa/cinfo.sch 1281 */
											long BgL_arg1829z00_8948;

											BgL_arg1829z00_8948 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8941);
											BgL_arg1828z00_8947 = (BgL_arg1829z00_8948 - OBJECT_TYPE);
										}
										BgL_oclassz00_8946 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8947);
									}
									{	/* Cfa/cinfo.sch 1281 */
										bool_t BgL__ortest_1111z00_8949;

										BgL__ortest_1111z00_8949 =
											(BgL_classz00_8940 == BgL_oclassz00_8946);
										if (BgL__ortest_1111z00_8949)
											{	/* Cfa/cinfo.sch 1281 */
												BgL_res2133z00_8945 = BgL__ortest_1111z00_8949;
											}
										else
											{	/* Cfa/cinfo.sch 1281 */
												long BgL_odepthz00_8950;

												BgL_odepthz00_8950 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8946);
												if ((((long) 3) < BgL_odepthz00_8950))
													{	/* Cfa/cinfo.sch 1281 */
														obj_t BgL_arg1816z00_8951;

														BgL_arg1816z00_8951 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8946,
															((long) 3));
														BgL_res2133z00_8945 =
															(BgL_arg1816z00_8951 == BgL_classz00_8940);
													}
												else
													{	/* Cfa/cinfo.sch 1281 */
														BgL_res2133z00_8945 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2133z00_8945;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1281 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-set!/O-Cinfo? */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozf3z71zzcfa_approxz00(obj_t
		BgL_envz00_8265, obj_t BgL_objz00_8266)
	{
		{	/* Cfa/cinfo.sch 1281 */
			return
				BBOOL(BGl_boxzd2setz12zf2Ozd2Cinfozf3z13zzcfa_approxz00
				(BgL_objz00_8266));
		}

	}



/* box-set!/O-Cinfo-nil */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2nilz32zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1282 */
			{	/* Cfa/cinfo.sch 1282 */
				obj_t BgL_classz00_6106;

				BgL_classz00_6106 = BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1282 */
					obj_t BgL__ortest_1113z00_6107;

					BgL__ortest_1113z00_6107 = BGL_CLASS_NIL(BgL_classz00_6106);
					if (CBOOL(BgL__ortest_1113z00_6107))
						{	/* Cfa/cinfo.sch 1282 */
							return ((BgL_boxzd2setz12zc0_bglt) BgL__ortest_1113z00_6107);
						}
					else
						{	/* Cfa/cinfo.sch 1282 */
							return
								((BgL_boxzd2setz12zc0_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_6106));
						}
				}
			}
		}

	}



/* &box-set!/O-Cinfo-nil */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2nilz50zzcfa_approxz00(obj_t
		BgL_envz00_8267)
	{
		{	/* Cfa/cinfo.sch 1282 */
			return BGl_boxzd2setz12zf2Ozd2Cinfozd2nilz32zzcfa_approxz00();
		}

	}



/* box-set!/O-Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2approxz32zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_1007)
	{
		{	/* Cfa/cinfo.sch 1283 */
			{
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_13331;

				{
					obj_t BgL_auxz00_13332;

					{	/* Cfa/cinfo.sch 1283 */
						BgL_objectz00_bglt BgL_tmpz00_13333;

						BgL_tmpz00_13333 = ((BgL_objectz00_bglt) BgL_oz00_1007);
						BgL_auxz00_13332 = BGL_OBJECT_WIDENING(BgL_tmpz00_13333);
					}
					BgL_auxz00_13331 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_13332);
				}
				return
					(((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_13331))->
					BgL_approxz00);
			}
		}

	}



/* &box-set!/O-Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2approxz50zzcfa_approxz00(obj_t
		BgL_envz00_8268, obj_t BgL_oz00_8269)
	{
		{	/* Cfa/cinfo.sch 1283 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2approxz32zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8269));
		}

	}



/* box-set!/O-Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypez32zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_1010)
	{
		{	/* Cfa/cinfo.sch 1285 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_1010)))->BgL_vtypez00);
		}

	}



/* &box-set!/O-Cinfo-vtype */
	BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypez50zzcfa_approxz00(obj_t
		BgL_envz00_8270, obj_t BgL_oz00_8271)
	{
		{	/* Cfa/cinfo.sch 1285 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypez32zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8271));
		}

	}



/* box-set!/O-Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12zf2zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_1011, BgL_typez00_bglt BgL_vz00_1012)
	{
		{	/* Cfa/cinfo.sch 1286 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_1011)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_1012), BUNSPEC);
		}

	}



/* &box-set!/O-Cinfo-vtype-set! */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12z90zzcfa_approxz00(obj_t
		BgL_envz00_8272, obj_t BgL_oz00_8273, obj_t BgL_vz00_8274)
	{
		{	/* Cfa/cinfo.sch 1286 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12zf2zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8273),
				((BgL_typez00_bglt) BgL_vz00_8274));
		}

	}



/* box-set!/O-Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2valuez32zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_1013)
	{
		{	/* Cfa/cinfo.sch 1287 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_1013)))->BgL_valuez00);
		}

	}



/* &box-set!/O-Cinfo-value */
	BgL_nodez00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuez50zzcfa_approxz00(obj_t
		BgL_envz00_8275, obj_t BgL_oz00_8276)
	{
		{	/* Cfa/cinfo.sch 1287 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2valuez32zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8276));
		}

	}



/* box-set!/O-Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12zf2zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_1014, BgL_nodez00_bglt BgL_vz00_1015)
	{
		{	/* Cfa/cinfo.sch 1288 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_1014)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_1015), BUNSPEC);
		}

	}



/* &box-set!/O-Cinfo-value-set! */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12z90zzcfa_approxz00(obj_t
		BgL_envz00_8277, obj_t BgL_oz00_8278, obj_t BgL_vz00_8279)
	{
		{	/* Cfa/cinfo.sch 1288 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12zf2zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8278),
				((BgL_nodez00_bglt) BgL_vz00_8279));
		}

	}



/* box-set!/O-Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2varz32zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_1016)
	{
		{	/* Cfa/cinfo.sch 1289 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_1016)))->BgL_varz00);
		}

	}



/* &box-set!/O-Cinfo-var */
	BgL_varz00_bglt BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varz50zzcfa_approxz00(obj_t
		BgL_envz00_8280, obj_t BgL_oz00_8281)
	{
		{	/* Cfa/cinfo.sch 1289 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2varz32zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8281));
		}

	}



/* box-set!/O-Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12zf2zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_1017, BgL_varz00_bglt BgL_vz00_1018)
	{
		{	/* Cfa/cinfo.sch 1290 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_1017)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_1018), BUNSPEC);
		}

	}



/* &box-set!/O-Cinfo-var-set! */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12z90zzcfa_approxz00(obj_t
		BgL_envz00_8282, obj_t BgL_oz00_8283, obj_t BgL_vz00_8284)
	{
		{	/* Cfa/cinfo.sch 1290 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12zf2zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8283),
				((BgL_varz00_bglt) BgL_vz00_8284));
		}

	}



/* box-set!/O-Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2typez32zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_1019)
	{
		{	/* Cfa/cinfo.sch 1291 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1019)))->BgL_typez00);
		}

	}



/* &box-set!/O-Cinfo-type */
	BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typez50zzcfa_approxz00(obj_t
		BgL_envz00_8285, obj_t BgL_oz00_8286)
	{
		{	/* Cfa/cinfo.sch 1291 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2typez32zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8286));
		}

	}



/* box-set!/O-Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12zf2zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_1020, BgL_typez00_bglt BgL_vz00_1021)
	{
		{	/* Cfa/cinfo.sch 1292 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_1020)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_1021), BUNSPEC);
		}

	}



/* &box-set!/O-Cinfo-type-set! */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12z90zzcfa_approxz00(obj_t
		BgL_envz00_8287, obj_t BgL_oz00_8288, obj_t BgL_vz00_8289)
	{
		{	/* Cfa/cinfo.sch 1292 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12zf2zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8288),
				((BgL_typez00_bglt) BgL_vz00_8289));
		}

	}



/* box-set!/O-Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2locz32zzcfa_approxz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_1022)
	{
		{	/* Cfa/cinfo.sch 1293 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1022)))->BgL_locz00);
		}

	}



/* &box-set!/O-Cinfo-loc */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2locz50zzcfa_approxz00(obj_t
		BgL_envz00_8290, obj_t BgL_oz00_8291)
	{
		{	/* Cfa/cinfo.sch 1293 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2locz32zzcfa_approxz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8291));
		}

	}



/* make-box-ref/O-Cinfo */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refzf2Ozd2Cinfoz20zzcfa_approxz00(obj_t
		BgL_loc1537z00_1025, BgL_typez00_bglt BgL_type1538z00_1026,
		obj_t BgL_sidezd2effect1539zd2_1027, obj_t BgL_key1540z00_1028,
		BgL_varz00_bglt BgL_var1541z00_1029, BgL_typez00_bglt BgL_vtype1542z00_1030,
		BgL_approxz00_bglt BgL_approx1543z00_1031)
	{
		{	/* Cfa/cinfo.sch 1297 */
			{	/* Cfa/cinfo.sch 1297 */
				BgL_boxzd2refzd2_bglt BgL_new1305z00_8952;

				{	/* Cfa/cinfo.sch 1297 */
					BgL_boxzd2refzd2_bglt BgL_tmp1303z00_8953;
					BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_wide1304z00_8954;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_13380;

						{	/* Cfa/cinfo.sch 1297 */
							BgL_boxzd2refzd2_bglt BgL_new1302z00_8955;

							BgL_new1302z00_8955 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Cfa/cinfo.sch 1297 */
								long BgL_arg1817z00_8956;

								BgL_arg1817z00_8956 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1302z00_8955),
									BgL_arg1817z00_8956);
							}
							{	/* Cfa/cinfo.sch 1297 */
								BgL_objectz00_bglt BgL_tmpz00_13385;

								BgL_tmpz00_13385 = ((BgL_objectz00_bglt) BgL_new1302z00_8955);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13385, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1302z00_8955);
							BgL_auxz00_13380 = BgL_new1302z00_8955;
						}
						BgL_tmp1303z00_8953 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_13380);
					}
					BgL_wide1304z00_8954 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2ozd2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1297 */
						obj_t BgL_auxz00_13393;
						BgL_objectz00_bglt BgL_tmpz00_13391;

						BgL_auxz00_13393 = ((obj_t) BgL_wide1304z00_8954);
						BgL_tmpz00_13391 = ((BgL_objectz00_bglt) BgL_tmp1303z00_8953);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13391, BgL_auxz00_13393);
					}
					((BgL_objectz00_bglt) BgL_tmp1303z00_8953);
					{	/* Cfa/cinfo.sch 1297 */
						long BgL_arg1813z00_8957;

						BgL_arg1813z00_8957 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1303z00_8953), BgL_arg1813z00_8957);
					}
					BgL_new1305z00_8952 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1303z00_8953);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1305z00_8952)))->BgL_locz00) =
					((obj_t) BgL_loc1537z00_1025), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1305z00_8952)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1538z00_1026), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1305z00_8952)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1539zd2_1027), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1305z00_8952)))->BgL_keyz00) =
					((obj_t) BgL_key1540z00_1028), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1305z00_8952)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1541z00_1029), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1305z00_8952)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1542z00_1030), BUNSPEC);
				{
					BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_13413;

					{
						obj_t BgL_auxz00_13414;

						{	/* Cfa/cinfo.sch 1297 */
							BgL_objectz00_bglt BgL_tmpz00_13415;

							BgL_tmpz00_13415 = ((BgL_objectz00_bglt) BgL_new1305z00_8952);
							BgL_auxz00_13414 = BGL_OBJECT_WIDENING(BgL_tmpz00_13415);
						}
						BgL_auxz00_13413 =
							((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_13414);
					}
					((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_13413))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1543z00_1031), BUNSPEC);
				}
				return BgL_new1305z00_8952;
			}
		}

	}



/* &make-box-ref/O-Cinfo */
	BgL_boxzd2refzd2_bglt
		BGl_z62makezd2boxzd2refzf2Ozd2Cinfoz42zzcfa_approxz00(obj_t BgL_envz00_8292,
		obj_t BgL_loc1537z00_8293, obj_t BgL_type1538z00_8294,
		obj_t BgL_sidezd2effect1539zd2_8295, obj_t BgL_key1540z00_8296,
		obj_t BgL_var1541z00_8297, obj_t BgL_vtype1542z00_8298,
		obj_t BgL_approx1543z00_8299)
	{
		{	/* Cfa/cinfo.sch 1297 */
			return
				BGl_makezd2boxzd2refzf2Ozd2Cinfoz20zzcfa_approxz00(BgL_loc1537z00_8293,
				((BgL_typez00_bglt) BgL_type1538z00_8294),
				BgL_sidezd2effect1539zd2_8295, BgL_key1540z00_8296,
				((BgL_varz00_bglt) BgL_var1541z00_8297),
				((BgL_typez00_bglt) BgL_vtype1542z00_8298),
				((BgL_approxz00_bglt) BgL_approx1543z00_8299));
		}

	}



/* box-ref/O-Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2refzf2Ozd2Cinfozf3z01zzcfa_approxz00(obj_t
		BgL_objz00_1032)
	{
		{	/* Cfa/cinfo.sch 1298 */
			{	/* Cfa/cinfo.sch 1298 */
				obj_t BgL_classz00_8958;

				BgL_classz00_8958 = BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_1032))
					{	/* Cfa/cinfo.sch 1298 */
						BgL_objectz00_bglt BgL_arg1820z00_8959;

						BgL_arg1820z00_8959 = (BgL_objectz00_bglt) (BgL_objz00_1032);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1298 */
								long BgL_idxz00_8960;

								BgL_idxz00_8960 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8959);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8960 + ((long) 4))) == BgL_classz00_8958);
							}
						else
							{	/* Cfa/cinfo.sch 1298 */
								bool_t BgL_res2134z00_8963;

								{	/* Cfa/cinfo.sch 1298 */
									obj_t BgL_oclassz00_8964;

									{	/* Cfa/cinfo.sch 1298 */
										long BgL_arg1828z00_8965;

										{	/* Cfa/cinfo.sch 1298 */
											long BgL_arg1829z00_8966;

											BgL_arg1829z00_8966 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8959);
											BgL_arg1828z00_8965 = (BgL_arg1829z00_8966 - OBJECT_TYPE);
										}
										BgL_oclassz00_8964 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8965);
									}
									{	/* Cfa/cinfo.sch 1298 */
										bool_t BgL__ortest_1111z00_8967;

										BgL__ortest_1111z00_8967 =
											(BgL_classz00_8958 == BgL_oclassz00_8964);
										if (BgL__ortest_1111z00_8967)
											{	/* Cfa/cinfo.sch 1298 */
												BgL_res2134z00_8963 = BgL__ortest_1111z00_8967;
											}
										else
											{	/* Cfa/cinfo.sch 1298 */
												long BgL_odepthz00_8968;

												BgL_odepthz00_8968 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8964);
												if ((((long) 4) < BgL_odepthz00_8968))
													{	/* Cfa/cinfo.sch 1298 */
														obj_t BgL_arg1816z00_8969;

														BgL_arg1816z00_8969 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8964,
															((long) 4));
														BgL_res2134z00_8963 =
															(BgL_arg1816z00_8969 == BgL_classz00_8958);
													}
												else
													{	/* Cfa/cinfo.sch 1298 */
														BgL_res2134z00_8963 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2134z00_8963;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1298 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-ref/O-Cinfo? */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozf3z63zzcfa_approxz00(obj_t BgL_envz00_8300,
		obj_t BgL_objz00_8301)
	{
		{	/* Cfa/cinfo.sch 1298 */
			return
				BBOOL(BGl_boxzd2refzf2Ozd2Cinfozf3z01zzcfa_approxz00(BgL_objz00_8301));
		}

	}



/* box-ref/O-Cinfo-nil */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2nilz20zzcfa_approxz00(void)
	{
		{	/* Cfa/cinfo.sch 1299 */
			{	/* Cfa/cinfo.sch 1299 */
				obj_t BgL_classz00_6155;

				BgL_classz00_6155 = BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1299 */
					obj_t BgL__ortest_1113z00_6156;

					BgL__ortest_1113z00_6156 = BGL_CLASS_NIL(BgL_classz00_6155);
					if (CBOOL(BgL__ortest_1113z00_6156))
						{	/* Cfa/cinfo.sch 1299 */
							return ((BgL_boxzd2refzd2_bglt) BgL__ortest_1113z00_6156);
						}
					else
						{	/* Cfa/cinfo.sch 1299 */
							return
								((BgL_boxzd2refzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_6155));
						}
				}
			}
		}

	}



/* &box-ref/O-Cinfo-nil */
	BgL_boxzd2refzd2_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2nilz42zzcfa_approxz00(obj_t BgL_envz00_8302)
	{
		{	/* Cfa/cinfo.sch 1299 */
			return BGl_boxzd2refzf2Ozd2Cinfozd2nilz20zzcfa_approxz00();
		}

	}



/* box-ref/O-Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2approxz20zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1033)
	{
		{	/* Cfa/cinfo.sch 1300 */
			{
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_13453;

				{
					obj_t BgL_auxz00_13454;

					{	/* Cfa/cinfo.sch 1300 */
						BgL_objectz00_bglt BgL_tmpz00_13455;

						BgL_tmpz00_13455 = ((BgL_objectz00_bglt) BgL_oz00_1033);
						BgL_auxz00_13454 = BGL_OBJECT_WIDENING(BgL_tmpz00_13455);
					}
					BgL_auxz00_13453 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_13454);
				}
				return
					(((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_13453))->
					BgL_approxz00);
			}
		}

	}



/* &box-ref/O-Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2approxz42zzcfa_approxz00(obj_t
		BgL_envz00_8303, obj_t BgL_oz00_8304)
	{
		{	/* Cfa/cinfo.sch 1300 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2approxz20zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8304));
		}

	}



/* box-ref/O-Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2vtypez20zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1036)
	{
		{	/* Cfa/cinfo.sch 1302 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_1036)))->BgL_vtypez00);
		}

	}



/* &box-ref/O-Cinfo-vtype */
	BgL_typez00_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypez42zzcfa_approxz00(obj_t
		BgL_envz00_8305, obj_t BgL_oz00_8306)
	{
		{	/* Cfa/cinfo.sch 1302 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2vtypez20zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8306));
		}

	}



/* box-ref/O-Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1037, BgL_typez00_bglt BgL_vz00_1038)
	{
		{	/* Cfa/cinfo.sch 1303 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_1037)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_1038), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-vtype-set! */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8307, obj_t BgL_oz00_8308, obj_t BgL_vz00_8309)
	{
		{	/* Cfa/cinfo.sch 1303 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8308),
				((BgL_typez00_bglt) BgL_vz00_8309));
		}

	}



/* box-ref/O-Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2varz20zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1039)
	{
		{	/* Cfa/cinfo.sch 1304 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_1039)))->BgL_varz00);
		}

	}



/* &box-ref/O-Cinfo-var */
	BgL_varz00_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2varz42zzcfa_approxz00(obj_t
		BgL_envz00_8310, obj_t BgL_oz00_8311)
	{
		{	/* Cfa/cinfo.sch 1304 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2varz20zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8311));
		}

	}



/* box-ref/O-Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2varzd2setz12ze0zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1040, BgL_varz00_bglt BgL_vz00_1041)
	{
		{	/* Cfa/cinfo.sch 1305 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_1040)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_1041), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-var-set! */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2varzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8312, obj_t BgL_oz00_8313, obj_t BgL_vz00_8314)
	{
		{	/* Cfa/cinfo.sch 1305 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2varzd2setz12ze0zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8313),
				((BgL_varz00_bglt) BgL_vz00_8314));
		}

	}



/* box-ref/O-Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2keyz20zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1042)
	{
		{	/* Cfa/cinfo.sch 1306 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_1042)))->BgL_keyz00);
		}

	}



/* &box-ref/O-Cinfo-key */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2keyz42zzcfa_approxz00(obj_t
		BgL_envz00_8315, obj_t BgL_oz00_8316)
	{
		{	/* Cfa/cinfo.sch 1306 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2keyz20zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8316));
		}

	}



/* box-ref/O-Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1043, obj_t BgL_vz00_1044)
	{
		{	/* Cfa/cinfo.sch 1307 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_1043)))->BgL_keyz00) =
				((obj_t) BgL_vz00_1044), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-key-set! */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8317, obj_t BgL_oz00_8318, obj_t BgL_vz00_8319)
	{
		{	/* Cfa/cinfo.sch 1307 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8318), BgL_vz00_8319);
		}

	}



/* box-ref/O-Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1045)
	{
		{	/* Cfa/cinfo.sch 1308 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_1045)))->
				BgL_sidezd2effectzd2);
		}

	}



/* &box-ref/O-Cinfo-side-effect */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_approxz00(obj_t
		BgL_envz00_8320, obj_t BgL_oz00_8321)
	{
		{	/* Cfa/cinfo.sch 1308 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8321));
		}

	}



/* box-ref/O-Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1046, obj_t BgL_vz00_1047)
	{
		{	/* Cfa/cinfo.sch 1309 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_1046)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_1047), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-side-effect-set! */
	obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_approxz00
		(obj_t BgL_envz00_8322, obj_t BgL_oz00_8323, obj_t BgL_vz00_8324)
	{
		{	/* Cfa/cinfo.sch 1309 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8323), BgL_vz00_8324);
		}

	}



/* box-ref/O-Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2typez20zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1048)
	{
		{	/* Cfa/cinfo.sch 1310 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1048)))->BgL_typez00);
		}

	}



/* &box-ref/O-Cinfo-type */
	BgL_typez00_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2typez42zzcfa_approxz00(obj_t
		BgL_envz00_8325, obj_t BgL_oz00_8326)
	{
		{	/* Cfa/cinfo.sch 1310 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2typez20zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8326));
		}

	}



/* box-ref/O-Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_approxz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1049, BgL_typez00_bglt BgL_vz00_1050)
	{
		{	/* Cfa/cinfo.sch 1311 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_1049)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_1050), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-type-set! */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_approxz00(obj_t
		BgL_envz00_8327, obj_t BgL_oz00_8328, obj_t BgL_vz00_8329)
	{
		{	/* Cfa/cinfo.sch 1311 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8328),
				((BgL_typez00_bglt) BgL_vz00_8329));
		}

	}



/* box-ref/O-Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2locz20zzcfa_approxz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1051)
	{
		{	/* Cfa/cinfo.sch 1312 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1051)))->BgL_locz00);
		}

	}



/* &box-ref/O-Cinfo-loc */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2locz42zzcfa_approxz00(obj_t
		BgL_envz00_8330, obj_t BgL_oz00_8331)
	{
		{	/* Cfa/cinfo.sch 1312 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2locz20zzcfa_approxz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8331));
		}

	}



/* declare-approx-sets! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00(void)
	{
		{	/* Cfa/approx.scm 61 */
			return (BGl_za2alloczd2setza2zd2zzcfa_approxz00 =
				BGl_declarezd2setz12zc0zzcfa_setz00
				(BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
					(BGl_getzd2allocszd2zzcfa_collectz00())), BUNSPEC);
		}

	}



/* &declare-approx-sets! */
	obj_t BGl_z62declarezd2approxzd2setsz12z70zzcfa_approxz00(obj_t
		BgL_envz00_8332)
	{
		{	/* Cfa/approx.scm 61 */
			return BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
		}

	}



/* node-key */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2keyzd2zzcfa_approxz00(BgL_nodezf2effectzf2_bglt BgL_nodez00_1054)
	{
		{	/* Cfa/approx.scm 68 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_nodez00_1054))->BgL_keyz00);
		}

	}



/* &node-key */
	obj_t BGl_z62nodezd2keyzb0zzcfa_approxz00(obj_t BgL_envz00_8333,
		obj_t BgL_nodez00_8334)
	{
		{	/* Cfa/approx.scm 68 */
			return
				BGl_nodezd2keyzd2zzcfa_approxz00(
				((BgL_nodezf2effectzf2_bglt) BgL_nodez00_8334));
		}

	}



/* node-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(BgL_nodezf2effectzf2_bglt
		BgL_nodez00_1055, obj_t BgL_keyz00_1056)
	{
		{	/* Cfa/approx.scm 74 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_nodez00_1055))->BgL_keyz00) =
				((obj_t) BgL_keyz00_1056), BUNSPEC);
		}

	}



/* &node-key-set! */
	obj_t BGl_z62nodezd2keyzd2setz12z70zzcfa_approxz00(obj_t BgL_envz00_8335,
		obj_t BgL_nodez00_8336, obj_t BgL_keyz00_8337)
	{
		{	/* Cfa/approx.scm 74 */
			return
				BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(
				((BgL_nodezf2effectzf2_bglt) BgL_nodez00_8336), BgL_keyz00_8337);
		}

	}



/* approx-check-has-procedure? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2checkzd2haszd2procedurezf3z21zzcfa_approxz00(BgL_approxz00_bglt
		BgL_approxz00_1057)
	{
		{	/* Cfa/approx.scm 80 */
			{	/* Cfa/approx.scm 81 */
				obj_t BgL_resz00_8345;

				BgL_resz00_8345 = MAKE_CELL(BFALSE);
				{	/* Cfa/approx.scm 83 */
					obj_t BgL_zc3z04anonymousza31823ze3z87_8338;

					BgL_zc3z04anonymousza31823ze3z87_8338 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31823ze3ze5zzcfa_approxz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31823ze3z87_8338,
						(int) (((long) 0)), ((obj_t) BgL_resz00_8345));
					BGl_setzd2forzd2eachz00zzcfa_setz00
						(BgL_zc3z04anonymousza31823ze3z87_8338,
						(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_1057))->
							BgL_allocsz00));
				}
				return CBOOL(CELL_REF(BgL_resz00_8345));
			}
		}

	}



/* &approx-check-has-procedure? */
	obj_t BGl_z62approxzd2checkzd2haszd2procedurezf3z43zzcfa_approxz00(obj_t
		BgL_envz00_8339, obj_t BgL_approxz00_8340)
	{
		{	/* Cfa/approx.scm 80 */
			return
				BBOOL(BGl_approxzd2checkzd2haszd2procedurezf3z21zzcfa_approxz00(
					((BgL_approxz00_bglt) BgL_approxz00_8340)));
		}

	}



/* &<@anonymous:1823> */
	obj_t BGl_z62zc3z04anonymousza31823ze3ze5zzcfa_approxz00(obj_t
		BgL_envz00_8341, obj_t BgL_appz00_8343)
	{
		{	/* Cfa/approx.scm 82 */
			{	/* Cfa/approx.scm 83 */
				obj_t BgL_resz00_8342;

				BgL_resz00_8342 = PROCEDURE_REF(BgL_envz00_8341, (int) (((long) 0)));
				{	/* Cfa/approx.scm 83 */
					bool_t BgL_test2879z00_13533;

					{	/* Cfa/approx.scm 83 */
						obj_t BgL_classz00_8970;

						BgL_classz00_8970 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_appz00_8343))
							{	/* Cfa/approx.scm 83 */
								BgL_objectz00_bglt BgL_arg1820z00_8971;

								BgL_arg1820z00_8971 = (BgL_objectz00_bglt) (BgL_appz00_8343);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/approx.scm 83 */
										long BgL_idxz00_8972;

										BgL_idxz00_8972 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8971);
										BgL_test2879z00_13533 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8972 + ((long) 4))) == BgL_classz00_8970);
									}
								else
									{	/* Cfa/approx.scm 83 */
										bool_t BgL_res2135z00_8975;

										{	/* Cfa/approx.scm 83 */
											obj_t BgL_oclassz00_8976;

											{	/* Cfa/approx.scm 83 */
												long BgL_arg1828z00_8977;

												{	/* Cfa/approx.scm 83 */
													long BgL_arg1829z00_8978;

													BgL_arg1829z00_8978 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8971);
													BgL_arg1828z00_8977 =
														(BgL_arg1829z00_8978 - OBJECT_TYPE);
												}
												BgL_oclassz00_8976 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8977);
											}
											{	/* Cfa/approx.scm 83 */
												bool_t BgL__ortest_1111z00_8979;

												BgL__ortest_1111z00_8979 =
													(BgL_classz00_8970 == BgL_oclassz00_8976);
												if (BgL__ortest_1111z00_8979)
													{	/* Cfa/approx.scm 83 */
														BgL_res2135z00_8975 = BgL__ortest_1111z00_8979;
													}
												else
													{	/* Cfa/approx.scm 83 */
														long BgL_odepthz00_8980;

														BgL_odepthz00_8980 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8976);
														if ((((long) 4) < BgL_odepthz00_8980))
															{	/* Cfa/approx.scm 83 */
																obj_t BgL_arg1816z00_8981;

																BgL_arg1816z00_8981 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8976,
																	((long) 4));
																BgL_res2135z00_8975 =
																	(BgL_arg1816z00_8981 == BgL_classz00_8970);
															}
														else
															{	/* Cfa/approx.scm 83 */
																BgL_res2135z00_8975 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2879z00_13533 = BgL_res2135z00_8975;
									}
							}
						else
							{	/* Cfa/approx.scm 83 */
								BgL_test2879z00_13533 = ((bool_t) 0);
							}
					}
					if (BgL_test2879z00_13533)
						{	/* Cfa/approx.scm 84 */
							obj_t BgL_auxz00_8982;

							BgL_auxz00_8982 = BTRUE;
							return CELL_SET(BgL_resz00_8342, BgL_auxz00_8982);
						}
					else
						{	/* Cfa/approx.scm 83 */
							return BFALSE;
						}
				}
			}
		}

	}



/* union-approx! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt BgL_dstz00_1058,
		BgL_approxz00_bglt BgL_srcz00_1059)
	{
		{	/* Cfa/approx.scm 91 */
			if (
				(((BgL_approxz00_bglt) COBJECT(BgL_srcz00_1059))->
					BgL_haszd2procedurezf3z21))
				{	/* Cfa/approx.scm 93 */
					((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1058))->
							BgL_haszd2procedurezf3z21) = ((bool_t) ((bool_t) 1)), BUNSPEC);
				}
			else
				{	/* Cfa/approx.scm 93 */
					BFALSE;
				}
			{	/* Cfa/approx.scm 96 */
				obj_t BgL_arg1830z00_4039;

				BgL_arg1830z00_4039 =
					BGl_getzd2srczd2approxzd2typezd2zzcfa_approxz00(BgL_srcz00_1059);
				BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_dstz00_1058,
					((BgL_typez00_bglt) BgL_arg1830z00_4039));
			}
			{	/* Cfa/approx.scm 98 */
				bool_t BgL_test2885z00_13559;

				{	/* Cfa/approx.scm 98 */
					BgL_typez00_bglt BgL_arg1844z00_4045;

					BgL_arg1844z00_4045 =
						(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1058))->BgL_typez00);
					BgL_test2885z00_13559 =
						(((obj_t) BgL_arg1844z00_4045) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2885z00_13559)
					{	/* Cfa/approx.scm 98 */
						BFALSE;
					}
				else
					{	/* Cfa/approx.scm 99 */
						bool_t BgL_test2886z00_13563;

						{	/* Cfa/approx.scm 99 */
							obj_t BgL_arg1840z00_4044;

							BgL_arg1840z00_4044 =
								(((BgL_approxz00_bglt) COBJECT(BgL_srcz00_1059))->
								BgL_allocsz00);
							BgL_test2886z00_13563 =
								CBOOL(BGl_setzd2anyzd2zzcfa_setz00
								(BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00,
									BgL_arg1840z00_4044));
						}
						if (BgL_test2886z00_13563)
							{	/* Cfa/approx.scm 99 */
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_dstz00_1058,
									((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00));
							}
						else
							{	/* Cfa/approx.scm 99 */
								BFALSE;
							}
					}
			}
			{	/* Cfa/approx.scm 102 */
				bool_t BgL_test2887z00_13569;

				{	/* Cfa/approx.scm 102 */
					bool_t BgL_test2888z00_13570;

					{	/* Cfa/approx.scm 102 */
						BgL_typez00_bglt BgL_arg1851z00_4053;

						BgL_arg1851z00_4053 =
							(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1058))->BgL_typez00);
						BgL_test2888z00_13570 =
							(
							((obj_t) BgL_arg1851z00_4053) ==
							BGl_za2procedureza2z00zztype_cachez00);
					}
					if (BgL_test2888z00_13570)
						{	/* Cfa/approx.scm 102 */
							BgL_test2887z00_13569 = ((bool_t) 1);
						}
					else
						{	/* Cfa/approx.scm 103 */
							BgL_typez00_bglt BgL_arg1850z00_4052;

							BgL_arg1850z00_4052 =
								(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1058))->BgL_typez00);
							BgL_test2887z00_13569 =
								(
								((obj_t) BgL_arg1850z00_4052) == BGl_za2_za2z00zztype_cachez00);
						}
				}
				if (BgL_test2887z00_13569)
					{	/* Cfa/approx.scm 102 */
						BFALSE;
					}
				else
					{	/* Cfa/approx.scm 102 */
						BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_srcz00_1059,
							BGl_string2160z00zzcfa_approxz00);
					}
			}
			if ((((BgL_approxz00_bglt) COBJECT(BgL_srcz00_1059))->BgL_topzf3zf3))
				{	/* Cfa/approx.scm 106 */
					BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_dstz00_1058);
				}
			else
				{	/* Cfa/approx.scm 106 */
					BFALSE;
				}
			{	/* Cfa/approx.scm 109 */
				bool_t BgL_test2890z00_13581;

				{	/* Cfa/approx.scm 109 */
					obj_t BgL_arg1859z00_4059;
					obj_t BgL_arg1860z00_4060;

					BgL_arg1859z00_4059 =
						(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1058))->BgL_allocsz00);
					BgL_arg1860z00_4060 =
						(((BgL_approxz00_bglt) COBJECT(BgL_srcz00_1059))->BgL_allocsz00);
					{	/* Cfa/approx.scm 109 */
						obj_t BgL_list1861z00_4061;

						BgL_list1861z00_4061 = MAKE_YOUNG_PAIR(BgL_arg1860z00_4060, BNIL);
						BgL_test2890z00_13581 =
							CBOOL(BGl_setzd2unionz12zc0zzcfa_setz00(BgL_arg1859z00_4059,
								BgL_list1861z00_4061));
					}
				}
				if (BgL_test2890z00_13581)
					{	/* Cfa/approx.scm 109 */
						BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF(((long)
									0)));
					}
				else
					{	/* Cfa/approx.scm 109 */
						BFALSE;
					}
			}
			return BgL_dstz00_1058;
		}

	}



/* &union-approx! */
	BgL_approxz00_bglt BGl_z62unionzd2approxz12za2zzcfa_approxz00(obj_t
		BgL_envz00_8347, obj_t BgL_dstz00_8348, obj_t BgL_srcz00_8349)
	{
		{	/* Cfa/approx.scm 91 */
			return
				BGl_unionzd2approxz12zc0zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_8348),
				((BgL_approxz00_bglt) BgL_srcz00_8349));
		}

	}



/* union-approx/type! */
	BgL_approxz00_bglt
		BGl_unionzd2approxzf2typez12z32zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_1060, BgL_approxz00_bglt BgL_srcz00_1061,
		BgL_typez00_bglt BgL_tyz00_1062)
	{
		{	/* Cfa/approx.scm 117 */
			if ((((BgL_approxz00_bglt) COBJECT(BgL_srcz00_1061))->BgL_topzf3zf3))
				{	/* Cfa/approx.scm 130 */
					BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_dstz00_1060);
				}
			else
				{	/* Cfa/approx.scm 130 */
					BFALSE;
				}
			if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_tyz00_1062))
				{	/* Cfa/approx.scm 132 */
					if ((((obj_t) BgL_tyz00_1062) == BGl_za2vectorza2z00zztype_cachez00))
						{	/* Cfa/approx.scm 134 */
							if (CBOOL(BGl_setzd2unionzf2typez12ze70zd5zzcfa_approxz00
									(BgL_dstz00_1060, BgL_srcz00_1061,
										BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00)))
								{	/* Cfa/approx.scm 135 */
									BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF((
												(long) 0)));
								}
							else
								{	/* Cfa/approx.scm 135 */
									BFALSE;
								}
						}
					else
						{	/* Cfa/approx.scm 134 */
							if (
								(((obj_t) BgL_tyz00_1062) ==
									BGl_za2procedureza2z00zztype_cachez00))
								{	/* Cfa/approx.scm 137 */
									if (
										(((BgL_approxz00_bglt) COBJECT(BgL_srcz00_1061))->
											BgL_haszd2procedurezf3z21))
										{	/* Cfa/approx.scm 138 */
											((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1060))->
													BgL_haszd2procedurezf3z21) =
												((bool_t) ((bool_t) 1)), BUNSPEC);
										}
									else
										{	/* Cfa/approx.scm 138 */
											BFALSE;
										}
									if (CBOOL(BGl_setzd2unionzf2typez12ze70zd5zzcfa_approxz00
											(BgL_dstz00_1060, BgL_srcz00_1061,
												BGl_procedurezd2approxzf3zd2envzf3zzcfa_approxz00)))
										{	/* Cfa/approx.scm 140 */
											BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF((
														(long) 0)));
										}
									else
										{	/* Cfa/approx.scm 140 */
											BFALSE;
										}
								}
							else
								{	/* Cfa/approx.scm 142 */
									bool_t BgL_test2898z00_13616;

									if (
										(((obj_t) BgL_tyz00_1062) ==
											BGl_za2pairza2z00zztype_cachez00))
										{	/* Cfa/approx.scm 142 */
											BgL_test2898z00_13616 = ((bool_t) 1);
										}
									else
										{	/* Cfa/approx.scm 142 */
											if (
												(((obj_t) BgL_tyz00_1062) ==
													BGl_za2epairza2z00zztype_cachez00))
												{	/* Cfa/approx.scm 143 */
													BgL_test2898z00_13616 = ((bool_t) 1);
												}
											else
												{	/* Cfa/approx.scm 143 */
													if (
														(((obj_t) BgL_tyz00_1062) ==
															BGl_za2pairzd2nilza2zd2zztype_cachez00))
														{	/* Cfa/approx.scm 144 */
															BgL_test2898z00_13616 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 144 */
															BgL_test2898z00_13616 =
																(
																((obj_t) BgL_tyz00_1062) ==
																BGl_za2listza2z00zztype_cachez00);
														}
												}
										}
									if (BgL_test2898z00_13616)
										{	/* Cfa/approx.scm 142 */
											if (CBOOL(BGl_setzd2unionzf2typez12ze70zd5zzcfa_approxz00
													(BgL_dstz00_1060, BgL_srcz00_1061,
														BGl_conszd2approxzf3zd2envzf3zzcfa_approxz00)))
												{	/* Cfa/approx.scm 146 */
													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
														(CNST_TABLE_REF(((long) 0)));
												}
											else
												{	/* Cfa/approx.scm 146 */
													BFALSE;
												}
										}
									else
										{	/* Cfa/approx.scm 142 */
											if (
												(((obj_t) BgL_tyz00_1062) ==
													BGl_za2structza2z00zztype_cachez00))
												{	/* Cfa/approx.scm 148 */
													if (CBOOL
														(BGl_setzd2unionzf2typez12ze70zd5zzcfa_approxz00
															(BgL_dstz00_1060, BgL_srcz00_1061,
																BGl_structzd2approxzf3zd2envzf3zzcfa_approxz00)))
														{	/* Cfa/approx.scm 149 */
															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																(CNST_TABLE_REF(((long) 0)));
														}
													else
														{	/* Cfa/approx.scm 149 */
															BFALSE;
														}
												}
											else
												{	/* Cfa/approx.scm 151 */
													bool_t BgL_test2905z00_13641;

													if (
														(((obj_t) BgL_tyz00_1062) ==
															BGl_za2symbolza2z00zztype_cachez00))
														{	/* Cfa/approx.scm 151 */
															BgL_test2905z00_13641 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 151 */
															if (
																(((obj_t) BgL_tyz00_1062) ==
																	BGl_za2keywordza2z00zztype_cachez00))
																{	/* Cfa/approx.scm 152 */
																	BgL_test2905z00_13641 = ((bool_t) 1);
																}
															else
																{	/* Cfa/approx.scm 152 */
																	if (
																		(((obj_t) BgL_tyz00_1062) ==
																			BGl_za2unspecza2z00zztype_cachez00))
																		{	/* Cfa/approx.scm 153 */
																			BgL_test2905z00_13641 = ((bool_t) 1);
																		}
																	else
																		{	/* Cfa/approx.scm 153 */
																			if (
																				(((obj_t) BgL_tyz00_1062) ==
																					BGl_za2bstringza2z00zztype_cachez00))
																				{	/* Cfa/approx.scm 154 */
																					BgL_test2905z00_13641 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/approx.scm 154 */
																					if (
																						(((obj_t) BgL_tyz00_1062) ==
																							BGl_za2bintza2z00zztype_cachez00))
																						{	/* Cfa/approx.scm 155 */
																							BgL_test2905z00_13641 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Cfa/approx.scm 155 */
																							if (
																								(((obj_t) BgL_tyz00_1062) ==
																									BGl_za2belongza2z00zztype_cachez00))
																								{	/* Cfa/approx.scm 156 */
																									BgL_test2905z00_13641 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/approx.scm 156 */
																									if (
																										(((obj_t) BgL_tyz00_1062) ==
																											BGl_za2bllongza2z00zztype_cachez00))
																										{	/* Cfa/approx.scm 157 */
																											BgL_test2905z00_13641 =
																												((bool_t) 1);
																										}
																									else
																										{	/* Cfa/approx.scm 157 */
																											if (
																												(((obj_t)
																														BgL_tyz00_1062) ==
																													BGl_za2bignumza2z00zztype_cachez00))
																												{	/* Cfa/approx.scm 158 */
																													BgL_test2905z00_13641
																														= ((bool_t) 1);
																												}
																											else
																												{	/* Cfa/approx.scm 158 */
																													if (
																														(((obj_t)
																																BgL_tyz00_1062)
																															==
																															BGl_za2realza2z00zztype_cachez00))
																														{	/* Cfa/approx.scm 159 */
																															BgL_test2905z00_13641
																																= ((bool_t) 1);
																														}
																													else
																														{	/* Cfa/approx.scm 159 */
																															if (
																																(((obj_t)
																																		BgL_tyz00_1062)
																																	==
																																	BGl_za2bcharza2z00zztype_cachez00))
																																{	/* Cfa/approx.scm 160 */
																																	BgL_test2905z00_13641
																																		=
																																		((bool_t)
																																		1);
																																}
																															else
																																{	/* Cfa/approx.scm 160 */
																																	if (
																																		(((obj_t)
																																				BgL_tyz00_1062)
																																			==
																																			BGl_za2nilza2z00zz__evalz00))
																																		{	/* Cfa/approx.scm 161 */
																																			BgL_test2905z00_13641
																																				=
																																				(
																																				(bool_t)
																																				1);
																																		}
																																	else
																																		{	/* Cfa/approx.scm 161 */
																																			BgL_test2905z00_13641
																																				=
																																				(((obj_t) BgL_tyz00_1062) == BGl_za2bboolza2z00zztype_cachez00);
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
													if (BgL_test2905z00_13641)
														{	/* Cfa/approx.scm 151 */
															BFALSE;
														}
													else
														{	/* Cfa/approx.scm 163 */
															bool_t BgL_test2917z00_13677;

															{	/* Cfa/approx.scm 163 */
																obj_t BgL_arg1876z00_4076;
																obj_t BgL_arg1877z00_4077;

																BgL_arg1876z00_4076 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_dstz00_1060))->BgL_allocsz00);
																BgL_arg1877z00_4077 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_srcz00_1061))->BgL_allocsz00);
																{	/* Cfa/approx.scm 163 */
																	obj_t BgL_list1878z00_4078;

																	BgL_list1878z00_4078 =
																		MAKE_YOUNG_PAIR(BgL_arg1877z00_4077, BNIL);
																	BgL_test2917z00_13677 =
																		CBOOL(BGl_setzd2unionz12zc0zzcfa_setz00
																		(BgL_arg1876z00_4076,
																			BgL_list1878z00_4078));
																}
															}
															if (BgL_test2917z00_13677)
																{	/* Cfa/approx.scm 163 */
																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																		(CNST_TABLE_REF(((long) 0)));
																}
															else
																{	/* Cfa/approx.scm 163 */
																	BFALSE;
																}
														}
												}
										}
								}
						}
				}
			else
				{	/* Cfa/approx.scm 132 */
					BFALSE;
				}
			return BgL_dstz00_1060;
		}

	}



/* set-union/type!~0 */
	obj_t BGl_setzd2unionzf2typez12ze70zd5zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_4079, BgL_approxz00_bglt BgL_srcz00_4080, obj_t BgL_predz00_4081)
	{
		{	/* Cfa/approx.scm 128 */
			{	/* Cfa/approx.scm 121 */
				obj_t BgL_resz00_8365;
				obj_t BgL_setz00_4084;

				BgL_resz00_8365 = MAKE_CELL(BFALSE);
				BgL_setz00_4084 =
					(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_4079))->BgL_allocsz00);
				{	/* Cfa/approx.scm 123 */
					obj_t BgL_arg1882z00_4086;

					BgL_arg1882z00_4086 =
						(((BgL_approxz00_bglt) COBJECT(BgL_srcz00_4080))->BgL_allocsz00);
					{	/* Cfa/approx.scm 124 */
						obj_t BgL_zc3z04anonymousza31883ze3z87_8352;

						BgL_zc3z04anonymousza31883ze3z87_8352 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31883ze3ze5zzcfa_approxz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31883ze3z87_8352,
							(int) (((long) 0)), BgL_setz00_4084);
						PROCEDURE_SET(BgL_zc3z04anonymousza31883ze3z87_8352,
							(int) (((long) 1)), ((obj_t) BgL_resz00_8365));
						PROCEDURE_SET(BgL_zc3z04anonymousza31883ze3z87_8352,
							(int) (((long) 2)), BgL_predz00_4081);
						BGl_setzd2forzd2eachz00zzcfa_setz00
							(BgL_zc3z04anonymousza31883ze3z87_8352, BgL_arg1882z00_4086);
				}}
				return CELL_REF(BgL_resz00_8365);
			}
		}

	}



/* &<@anonymous:1883> */
	obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzcfa_approxz00(obj_t
		BgL_envz00_8353, obj_t BgL_vz00_8357)
	{
		{	/* Cfa/approx.scm 123 */
			{	/* Cfa/approx.scm 124 */
				obj_t BgL_setz00_8354;
				obj_t BgL_resz00_8355;
				obj_t BgL_predz00_8356;

				BgL_setz00_8354 = PROCEDURE_REF(BgL_envz00_8353, (int) (((long) 0)));
				BgL_resz00_8355 = PROCEDURE_REF(BgL_envz00_8353, (int) (((long) 1)));
				BgL_predz00_8356 =
					((obj_t) PROCEDURE_REF(BgL_envz00_8353, (int) (((long) 2))));
				{	/* Cfa/approx.scm 124 */
					bool_t BgL_test2918z00_13705;

					if (CBOOL(
							((obj_t(*)(obj_t, obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_predz00_8356)) (BgL_predz00_8356,
								BgL_vz00_8357, BEOA)))
						{	/* Cfa/approx.scm 124 */
							bool_t BgL_test2920z00_13712;

							{	/* Cfa/approx.scm 124 */
								obj_t BgL_keyz00_8983;

								BgL_keyz00_8983 =
									(((BgL_nodezf2effectzf2_bglt) COBJECT(
											((BgL_nodezf2effectzf2_bglt) BgL_vz00_8357)))->
									BgL_keyz00);
								{	/* Cfa/approx.scm 124 */

									{	/* Cfa/approx.scm 124 */
										long BgL_tmpz00_13715;

										{	/* Cfa/approx.scm 124 */
											long BgL_tmpz00_13716;

											{	/* Cfa/approx.scm 124 */
												unsigned char BgL_tmpz00_13720;

												{	/* Cfa/approx.scm 124 */
													obj_t BgL_stringz00_8984;

													BgL_stringz00_8984 =
														STRUCT_REF(
														((obj_t) BgL_setz00_8354), (int) (((long) 0)));
													BgL_tmpz00_13720 =
														STRING_REF(BgL_stringz00_8984,
														(long) CINT(CAR(((obj_t) BgL_keyz00_8983))));
												}
												BgL_tmpz00_13716 = (BgL_tmpz00_13720);
											}
											BgL_tmpz00_13715 =
												(
												(long) CINT(CDR(
														((obj_t) BgL_keyz00_8983))) & BgL_tmpz00_13716);
										}
										BgL_test2920z00_13712 = (BgL_tmpz00_13715 > ((long) 0));
							}}}
							if (BgL_test2920z00_13712)
								{	/* Cfa/approx.scm 124 */
									BgL_test2918z00_13705 = ((bool_t) 0);
								}
							else
								{	/* Cfa/approx.scm 124 */
									BgL_test2918z00_13705 = ((bool_t) 1);
								}
						}
					else
						{	/* Cfa/approx.scm 124 */
							BgL_test2918z00_13705 = ((bool_t) 0);
						}
					if (BgL_test2918z00_13705)
						{	/* Cfa/approx.scm 124 */
							BGl_setzd2extendz12zc0zzcfa_setz00(BgL_setz00_8354,
								BgL_vz00_8357);
							{	/* Cfa/approx.scm 126 */
								obj_t BgL_auxz00_8985;

								BgL_auxz00_8985 = BTRUE;
								return CELL_SET(BgL_resz00_8355, BgL_auxz00_8985);
							}
						}
					else
						{	/* Cfa/approx.scm 124 */
							return BFALSE;
						}
				}
			}
		}

	}



/* union-approx-filter! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_1063, BgL_approxz00_bglt BgL_srcz00_1064)
	{
		{	/* Cfa/approx.scm 175 */
			{	/* Cfa/approx.scm 176 */
				BgL_typez00_bglt BgL_tyz00_4096;

				BgL_tyz00_4096 =
					(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1063))->BgL_typez00);
				{	/* Cfa/approx.scm 177 */
					bool_t BgL_test2921z00_13733;

					if (
						(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1063))->
							BgL_typezd2lockedzf3z21))
						{	/* Cfa/approx.scm 177 */
							if ((((obj_t) BgL_tyz00_4096) == BGl_za2_za2z00zztype_cachez00))
								{	/* Cfa/approx.scm 177 */
									BgL_test2921z00_13733 = ((bool_t) 1);
								}
							else
								{	/* Cfa/approx.scm 177 */
									BgL_test2921z00_13733 =
										(
										((obj_t) BgL_tyz00_4096) ==
										BGl_za2objza2z00zztype_cachez00);
								}
						}
					else
						{	/* Cfa/approx.scm 177 */
							BgL_test2921z00_13733 = ((bool_t) 1);
						}
					if (BgL_test2921z00_13733)
						{	/* Cfa/approx.scm 177 */
							BGL_TAIL return
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_dstz00_1063,
								BgL_srcz00_1064);
						}
					else
						{	/* Cfa/approx.scm 177 */
							return
								BGl_unionzd2approxzf2typez12z32zzcfa_approxz00(BgL_dstz00_1063,
								BgL_srcz00_1064, BgL_tyz00_4096);
						}
				}
			}
		}

	}



/* &union-approx-filter! */
	BgL_approxz00_bglt BGl_z62unionzd2approxzd2filterz12z70zzcfa_approxz00(obj_t
		BgL_envz00_8367, obj_t BgL_dstz00_8368, obj_t BgL_srcz00_8369)
	{
		{	/* Cfa/approx.scm 175 */
			return
				BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_8368),
				((BgL_approxz00_bglt) BgL_srcz00_8369));
		}

	}



/* &vector-approx? */
	obj_t BGl_z62vectorzd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_8350,
		obj_t BgL_xz00_8351)
	{
		{	/* Cfa/approx.scm 184 */
			{	/* Cfa/approx.scm 185 */
				bool_t BgL_tmpz00_13746;

				{	/* Cfa/approx.scm 185 */
					bool_t BgL__ortest_1306z00_8986;

					{	/* Cfa/approx.scm 185 */
						obj_t BgL_classz00_8987;

						BgL_classz00_8987 = BGl_makezd2vectorzd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_xz00_8351))
							{	/* Cfa/approx.scm 185 */
								BgL_objectz00_bglt BgL_arg1820z00_8988;

								BgL_arg1820z00_8988 = (BgL_objectz00_bglt) (BgL_xz00_8351);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/approx.scm 185 */
										long BgL_idxz00_8989;

										BgL_idxz00_8989 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8988);
										BgL__ortest_1306z00_8986 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8989 + ((long) 4))) == BgL_classz00_8987);
									}
								else
									{	/* Cfa/approx.scm 185 */
										bool_t BgL_res2136z00_8992;

										{	/* Cfa/approx.scm 185 */
											obj_t BgL_oclassz00_8993;

											{	/* Cfa/approx.scm 185 */
												long BgL_arg1828z00_8994;

												{	/* Cfa/approx.scm 185 */
													long BgL_arg1829z00_8995;

													BgL_arg1829z00_8995 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8988);
													BgL_arg1828z00_8994 =
														(BgL_arg1829z00_8995 - OBJECT_TYPE);
												}
												BgL_oclassz00_8993 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8994);
											}
											{	/* Cfa/approx.scm 185 */
												bool_t BgL__ortest_1111z00_8996;

												BgL__ortest_1111z00_8996 =
													(BgL_classz00_8987 == BgL_oclassz00_8993);
												if (BgL__ortest_1111z00_8996)
													{	/* Cfa/approx.scm 185 */
														BgL_res2136z00_8992 = BgL__ortest_1111z00_8996;
													}
												else
													{	/* Cfa/approx.scm 185 */
														long BgL_odepthz00_8997;

														BgL_odepthz00_8997 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8993);
														if ((((long) 4) < BgL_odepthz00_8997))
															{	/* Cfa/approx.scm 185 */
																obj_t BgL_arg1816z00_8998;

																BgL_arg1816z00_8998 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8993,
																	((long) 4));
																BgL_res2136z00_8992 =
																	(BgL_arg1816z00_8998 == BgL_classz00_8987);
															}
														else
															{	/* Cfa/approx.scm 185 */
																BgL_res2136z00_8992 = ((bool_t) 0);
															}
													}
											}
										}
										BgL__ortest_1306z00_8986 = BgL_res2136z00_8992;
									}
							}
						else
							{	/* Cfa/approx.scm 185 */
								BgL__ortest_1306z00_8986 = ((bool_t) 0);
							}
					}
					if (BgL__ortest_1306z00_8986)
						{	/* Cfa/approx.scm 185 */
							BgL_tmpz00_13746 = BgL__ortest_1306z00_8986;
						}
					else
						{	/* Cfa/approx.scm 185 */
							obj_t BgL_classz00_8999;

							BgL_classz00_8999 = BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
							if (BGL_OBJECTP(BgL_xz00_8351))
								{	/* Cfa/approx.scm 185 */
									BgL_objectz00_bglt BgL_arg1823z00_9000;
									long BgL_arg1824z00_9001;

									BgL_arg1823z00_9000 = (BgL_objectz00_bglt) (BgL_xz00_8351);
									BgL_arg1824z00_9001 = BGL_CLASS_DEPTH(BgL_classz00_8999);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/approx.scm 185 */
											long BgL_idxz00_9002;

											BgL_idxz00_9002 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1823z00_9000);
											BgL_tmpz00_13746 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_9002 + BgL_arg1824z00_9001)) ==
												BgL_classz00_8999);
										}
									else
										{	/* Cfa/approx.scm 185 */
											bool_t BgL_res2137z00_9005;

											{	/* Cfa/approx.scm 185 */
												obj_t BgL_oclassz00_9006;

												{	/* Cfa/approx.scm 185 */
													long BgL_arg1828z00_9007;

													{	/* Cfa/approx.scm 185 */
														long BgL_arg1829z00_9008;

														BgL_arg1829z00_9008 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1823z00_9000);
														BgL_arg1828z00_9007 =
															(BgL_arg1829z00_9008 - OBJECT_TYPE);
													}
													BgL_oclassz00_9006 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_9007);
												}
												{	/* Cfa/approx.scm 185 */
													bool_t BgL__ortest_1111z00_9009;

													BgL__ortest_1111z00_9009 =
														(BgL_classz00_8999 == BgL_oclassz00_9006);
													if (BgL__ortest_1111z00_9009)
														{	/* Cfa/approx.scm 185 */
															BgL_res2137z00_9005 = BgL__ortest_1111z00_9009;
														}
													else
														{	/* Cfa/approx.scm 185 */
															long BgL_odepthz00_9010;

															BgL_odepthz00_9010 =
																BGL_CLASS_DEPTH(BgL_oclassz00_9006);
															if ((BgL_arg1824z00_9001 < BgL_odepthz00_9010))
																{	/* Cfa/approx.scm 185 */
																	obj_t BgL_arg1816z00_9011;

																	BgL_arg1816z00_9011 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9006,
																		BgL_arg1824z00_9001);
																	BgL_res2137z00_9005 =
																		(BgL_arg1816z00_9011 == BgL_classz00_8999);
																}
															else
																{	/* Cfa/approx.scm 185 */
																	BgL_res2137z00_9005 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_tmpz00_13746 = BgL_res2137z00_9005;
										}
								}
							else
								{	/* Cfa/approx.scm 185 */
									BgL_tmpz00_13746 = ((bool_t) 0);
								}
						}
				}
				return BBOOL(BgL_tmpz00_13746);
			}
		}

	}



/* &procedure-approx? */
	obj_t BGl_z62procedurezd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_8359,
		obj_t BgL_xz00_8360)
	{
		{	/* Cfa/approx.scm 190 */
			{	/* Cfa/approx.scm 191 */
				bool_t BgL_tmpz00_13788;

				{	/* Cfa/approx.scm 191 */
					obj_t BgL_classz00_9012;

					BgL_classz00_9012 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_xz00_8360))
						{	/* Cfa/approx.scm 191 */
							BgL_objectz00_bglt BgL_arg1820z00_9013;

							BgL_arg1820z00_9013 = (BgL_objectz00_bglt) (BgL_xz00_8360);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/approx.scm 191 */
									long BgL_idxz00_9014;

									BgL_idxz00_9014 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9013);
									BgL_tmpz00_13788 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_9014 + ((long) 4))) == BgL_classz00_9012);
								}
							else
								{	/* Cfa/approx.scm 191 */
									bool_t BgL_res2138z00_9017;

									{	/* Cfa/approx.scm 191 */
										obj_t BgL_oclassz00_9018;

										{	/* Cfa/approx.scm 191 */
											long BgL_arg1828z00_9019;

											{	/* Cfa/approx.scm 191 */
												long BgL_arg1829z00_9020;

												BgL_arg1829z00_9020 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9013);
												BgL_arg1828z00_9019 =
													(BgL_arg1829z00_9020 - OBJECT_TYPE);
											}
											BgL_oclassz00_9018 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_9019);
										}
										{	/* Cfa/approx.scm 191 */
											bool_t BgL__ortest_1111z00_9021;

											BgL__ortest_1111z00_9021 =
												(BgL_classz00_9012 == BgL_oclassz00_9018);
											if (BgL__ortest_1111z00_9021)
												{	/* Cfa/approx.scm 191 */
													BgL_res2138z00_9017 = BgL__ortest_1111z00_9021;
												}
											else
												{	/* Cfa/approx.scm 191 */
													long BgL_odepthz00_9022;

													BgL_odepthz00_9022 =
														BGL_CLASS_DEPTH(BgL_oclassz00_9018);
													if ((((long) 4) < BgL_odepthz00_9022))
														{	/* Cfa/approx.scm 191 */
															obj_t BgL_arg1816z00_9023;

															BgL_arg1816z00_9023 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9018,
																((long) 4));
															BgL_res2138z00_9017 =
																(BgL_arg1816z00_9023 == BgL_classz00_9012);
														}
													else
														{	/* Cfa/approx.scm 191 */
															BgL_res2138z00_9017 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_tmpz00_13788 = BgL_res2138z00_9017;
								}
						}
					else
						{	/* Cfa/approx.scm 191 */
							BgL_tmpz00_13788 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_13788);
			}
		}

	}



/* &cons-approx? */
	obj_t BGl_z62conszd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_8361,
		obj_t BgL_xz00_8362)
	{
		{	/* Cfa/approx.scm 196 */
			{	/* Cfa/approx.scm 197 */
				bool_t BgL_tmpz00_13809;

				{	/* Cfa/approx.scm 197 */
					obj_t BgL_classz00_9024;

					BgL_classz00_9024 = BGl_conszd2appzd2zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_xz00_8362))
						{	/* Cfa/approx.scm 197 */
							BgL_objectz00_bglt BgL_arg1820z00_9025;

							BgL_arg1820z00_9025 = (BgL_objectz00_bglt) (BgL_xz00_8362);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/approx.scm 197 */
									long BgL_idxz00_9026;

									BgL_idxz00_9026 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9025);
									BgL_tmpz00_13809 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_9026 + ((long) 4))) == BgL_classz00_9024);
								}
							else
								{	/* Cfa/approx.scm 197 */
									bool_t BgL_res2139z00_9029;

									{	/* Cfa/approx.scm 197 */
										obj_t BgL_oclassz00_9030;

										{	/* Cfa/approx.scm 197 */
											long BgL_arg1828z00_9031;

											{	/* Cfa/approx.scm 197 */
												long BgL_arg1829z00_9032;

												BgL_arg1829z00_9032 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9025);
												BgL_arg1828z00_9031 =
													(BgL_arg1829z00_9032 - OBJECT_TYPE);
											}
											BgL_oclassz00_9030 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_9031);
										}
										{	/* Cfa/approx.scm 197 */
											bool_t BgL__ortest_1111z00_9033;

											BgL__ortest_1111z00_9033 =
												(BgL_classz00_9024 == BgL_oclassz00_9030);
											if (BgL__ortest_1111z00_9033)
												{	/* Cfa/approx.scm 197 */
													BgL_res2139z00_9029 = BgL__ortest_1111z00_9033;
												}
											else
												{	/* Cfa/approx.scm 197 */
													long BgL_odepthz00_9034;

													BgL_odepthz00_9034 =
														BGL_CLASS_DEPTH(BgL_oclassz00_9030);
													if ((((long) 4) < BgL_odepthz00_9034))
														{	/* Cfa/approx.scm 197 */
															obj_t BgL_arg1816z00_9035;

															BgL_arg1816z00_9035 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9030,
																((long) 4));
															BgL_res2139z00_9029 =
																(BgL_arg1816z00_9035 == BgL_classz00_9024);
														}
													else
														{	/* Cfa/approx.scm 197 */
															BgL_res2139z00_9029 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_tmpz00_13809 = BgL_res2139z00_9029;
								}
						}
					else
						{	/* Cfa/approx.scm 197 */
							BgL_tmpz00_13809 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_13809);
			}
		}

	}



/* &struct-approx? */
	obj_t BGl_z62structzd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_8363,
		obj_t BgL_xz00_8364)
	{
		{	/* Cfa/approx.scm 202 */
			{	/* Cfa/approx.scm 203 */
				bool_t BgL_tmpz00_13830;

				{	/* Cfa/approx.scm 203 */
					obj_t BgL_classz00_9036;

					BgL_classz00_9036 = BGl_makezd2structzd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_xz00_8364))
						{	/* Cfa/approx.scm 203 */
							BgL_objectz00_bglt BgL_arg1820z00_9037;

							BgL_arg1820z00_9037 = (BgL_objectz00_bglt) (BgL_xz00_8364);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/approx.scm 203 */
									long BgL_idxz00_9038;

									BgL_idxz00_9038 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9037);
									BgL_tmpz00_13830 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_9038 + ((long) 4))) == BgL_classz00_9036);
								}
							else
								{	/* Cfa/approx.scm 203 */
									bool_t BgL_res2140z00_9041;

									{	/* Cfa/approx.scm 203 */
										obj_t BgL_oclassz00_9042;

										{	/* Cfa/approx.scm 203 */
											long BgL_arg1828z00_9043;

											{	/* Cfa/approx.scm 203 */
												long BgL_arg1829z00_9044;

												BgL_arg1829z00_9044 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9037);
												BgL_arg1828z00_9043 =
													(BgL_arg1829z00_9044 - OBJECT_TYPE);
											}
											BgL_oclassz00_9042 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_9043);
										}
										{	/* Cfa/approx.scm 203 */
											bool_t BgL__ortest_1111z00_9045;

											BgL__ortest_1111z00_9045 =
												(BgL_classz00_9036 == BgL_oclassz00_9042);
											if (BgL__ortest_1111z00_9045)
												{	/* Cfa/approx.scm 203 */
													BgL_res2140z00_9041 = BgL__ortest_1111z00_9045;
												}
											else
												{	/* Cfa/approx.scm 203 */
													long BgL_odepthz00_9046;

													BgL_odepthz00_9046 =
														BGL_CLASS_DEPTH(BgL_oclassz00_9042);
													if ((((long) 4) < BgL_odepthz00_9046))
														{	/* Cfa/approx.scm 203 */
															obj_t BgL_arg1816z00_9047;

															BgL_arg1816z00_9047 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9042,
																((long) 4));
															BgL_res2140z00_9041 =
																(BgL_arg1816z00_9047 == BgL_classz00_9036);
														}
													else
														{	/* Cfa/approx.scm 203 */
															BgL_res2140z00_9041 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_tmpz00_13830 = BgL_res2140z00_9041;
								}
						}
					else
						{	/* Cfa/approx.scm 203 */
							BgL_tmpz00_13830 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_13830);
			}
		}

	}



/* get-src-approx-type */
	obj_t BGl_getzd2srczd2approxzd2typezd2zzcfa_approxz00(BgL_approxz00_bglt
		BgL_az00_1069)
	{
		{	/* Cfa/approx.scm 212 */
			{	/* Cfa/approx.scm 213 */
				BgL_typez00_bglt BgL_typez00_4101;

				BgL_typez00_4101 =
					(((BgL_approxz00_bglt) COBJECT(BgL_az00_1069))->BgL_typez00);
				if ((((obj_t) BgL_typez00_4101) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/approx.scm 215 */
						return ((obj_t) BgL_typez00_4101);
					}
				else
					{	/* Cfa/approx.scm 217 */
						bool_t BgL_test2946z00_13856;

						{	/* Cfa/approx.scm 217 */
							obj_t BgL_arg1894z00_4108;

							BgL_arg1894z00_4108 =
								BGl_setzd2lengthzd2zzcfa_setz00(
								(((BgL_approxz00_bglt) COBJECT(BgL_az00_1069))->BgL_allocsz00));
							BgL_test2946z00_13856 =
								((long) CINT(BgL_arg1894z00_4108) == ((long) 0));
						}
						if (BgL_test2946z00_13856)
							{	/* Cfa/approx.scm 217 */
								return ((obj_t) BgL_typez00_4101);
							}
						else
							{	/* Cfa/approx.scm 220 */
								obj_t BgL_allocsz00_4105;

								BgL_allocsz00_4105 =
									(((BgL_approxz00_bglt) COBJECT(BgL_az00_1069))->
									BgL_allocsz00);
								if (CBOOL(BGl_setzd2anyzd2zzcfa_setz00
										(BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00,
											BgL_allocsz00_4105)))
									{	/* Cfa/approx.scm 222 */
										bool_t BgL_test2948z00_13866;

										if (
											(((obj_t) BgL_typez00_4101) ==
												BGl_za2vectorza2z00zztype_cachez00))
											{	/* Cfa/approx.scm 222 */
												BgL_test2948z00_13866 =
													CBOOL(BGl_setzd2everyzd2zzcfa_setz00
													(BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00,
														BgL_allocsz00_4105));
											}
										else
											{	/* Cfa/approx.scm 222 */
												BgL_test2948z00_13866 = ((bool_t) 0);
											}
										if (BgL_test2948z00_13866)
											{	/* Cfa/approx.scm 222 */
												return BGl_za2vectorza2z00zztype_cachez00;
											}
										else
											{	/* Cfa/approx.scm 222 */
												return BGl_za2objza2z00zztype_cachez00;
											}
									}
								else
									{	/* Cfa/approx.scm 221 */
										return ((obj_t) BgL_typez00_4101);
									}
							}
					}
			}
		}

	}



/* approx-set-type! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_1070, BgL_typez00_bglt BgL_typez00_1071)
	{
		{	/* Cfa/approx.scm 234 */
			{	/* Cfa/approx.scm 235 */
				BgL_typez00_bglt BgL_dtypez00_4110;

				BgL_dtypez00_4110 =
					(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1070))->BgL_typez00);
				if (
					(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1070))->
						BgL_typezd2lockedzf3z21))
					{	/* Cfa/approx.scm 237 */
						return BFALSE;
					}
				else
					{	/* Cfa/approx.scm 237 */
						if ((((obj_t) BgL_typez00_1071) == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/approx.scm 239 */
								return BFALSE;
							}
						else
							{	/* Cfa/approx.scm 239 */
								if ((((obj_t) BgL_dtypez00_4110) == ((obj_t) BgL_typez00_1071)))
									{	/* Cfa/approx.scm 241 */
										return BFALSE;
									}
								else
									{	/* Cfa/approx.scm 243 */
										bool_t BgL_test2953z00_13883;

										{	/* Cfa/approx.scm 243 */
											bool_t BgL_test2954z00_13884;

											if (
												(((obj_t) BgL_dtypez00_4110) ==
													BGl_za2longza2z00zztype_cachez00))
												{	/* Cfa/approx.scm 243 */
													BgL_test2954z00_13884 =
														(
														((obj_t) BgL_typez00_1071) ==
														BGl_za2intza2z00zztype_cachez00);
												}
											else
												{	/* Cfa/approx.scm 243 */
													BgL_test2954z00_13884 = ((bool_t) 0);
												}
											if (BgL_test2954z00_13884)
												{	/* Cfa/approx.scm 243 */
													BgL_test2953z00_13883 = ((bool_t) 1);
												}
											else
												{	/* Cfa/approx.scm 244 */
													bool_t BgL_test2956z00_13890;

													if (
														(((obj_t) BgL_dtypez00_4110) ==
															BGl_za2intza2z00zztype_cachez00))
														{	/* Cfa/approx.scm 244 */
															BgL_test2956z00_13890 =
																(
																((obj_t) BgL_typez00_1071) ==
																BGl_za2longza2z00zztype_cachez00);
														}
													else
														{	/* Cfa/approx.scm 244 */
															BgL_test2956z00_13890 = ((bool_t) 0);
														}
													if (BgL_test2956z00_13890)
														{	/* Cfa/approx.scm 244 */
															BgL_test2953z00_13883 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 244 */
															if (
																(((obj_t) BgL_dtypez00_4110) ==
																	BGl_za2bintza2z00zztype_cachez00))
																{	/* Cfa/approx.scm 245 */
																	bool_t BgL__ortest_1308z00_4171;

																	BgL__ortest_1308z00_4171 =
																		(
																		((obj_t) BgL_typez00_1071) ==
																		BGl_za2intza2z00zztype_cachez00);
																	if (BgL__ortest_1308z00_4171)
																		{	/* Cfa/approx.scm 245 */
																			BgL_test2953z00_13883 =
																				BgL__ortest_1308z00_4171;
																		}
																	else
																		{	/* Cfa/approx.scm 245 */
																			BgL_test2953z00_13883 =
																				(
																				((obj_t) BgL_typez00_1071) ==
																				BGl_za2longza2z00zztype_cachez00);
																		}
																}
															else
																{	/* Cfa/approx.scm 245 */
																	BgL_test2953z00_13883 = ((bool_t) 0);
																}
														}
												}
										}
										if (BgL_test2953z00_13883)
											{	/* Cfa/approx.scm 243 */
												return BFALSE;
											}
										else
											{	/* Cfa/approx.scm 248 */
												bool_t BgL_test2960z00_13904;

												{	/* Cfa/approx.scm 248 */
													bool_t BgL_test2961z00_13905;

													if (
														(((obj_t) BgL_dtypez00_4110) ==
															BGl_za2longza2z00zztype_cachez00))
														{	/* Cfa/approx.scm 248 */
															BgL_test2961z00_13905 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 248 */
															BgL_test2961z00_13905 =
																(
																((obj_t) BgL_dtypez00_4110) ==
																BGl_za2intza2z00zztype_cachez00);
														}
													if (BgL_test2961z00_13905)
														{	/* Cfa/approx.scm 248 */
															BgL_test2960z00_13904 =
																(
																((obj_t) BgL_typez00_1071) ==
																BGl_za2bintza2z00zztype_cachez00);
														}
													else
														{	/* Cfa/approx.scm 248 */
															BgL_test2960z00_13904 = ((bool_t) 0);
														}
												}
												if (BgL_test2960z00_13904)
													{	/* Cfa/approx.scm 248 */
														{	/* Cfa/approx.scm 249 */
															BgL_typez00_bglt BgL_vz00_6401;

															BgL_vz00_6401 =
																((BgL_typez00_bglt)
																BGl_za2bintza2z00zztype_cachez00);
															((((BgL_approxz00_bglt)
																		COBJECT(BgL_dstz00_1070))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_vz00_6401), BUNSPEC);
														}
														return BTRUE;
													}
												else
													{	/* Cfa/approx.scm 251 */
														bool_t BgL_test2963z00_13915;

														if (
															(((obj_t) BgL_dtypez00_4110) ==
																BGl_za2epairza2z00zztype_cachez00))
															{	/* Cfa/approx.scm 251 */
																BgL_test2963z00_13915 =
																	(
																	((obj_t) BgL_typez00_1071) ==
																	BGl_za2pairza2z00zztype_cachez00);
															}
														else
															{	/* Cfa/approx.scm 251 */
																BgL_test2963z00_13915 = ((bool_t) 0);
															}
														if (BgL_test2963z00_13915)
															{	/* Cfa/approx.scm 251 */
																{	/* Cfa/approx.scm 253 */
																	BgL_typez00_bglt BgL_vz00_6403;

																	BgL_vz00_6403 =
																		((BgL_typez00_bglt)
																		BGl_za2pairza2z00zztype_cachez00);
																	((((BgL_approxz00_bglt)
																				COBJECT(BgL_dstz00_1070))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_vz00_6403),
																		BUNSPEC);
																}
																return
																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																	(CNST_TABLE_REF(((long) 1)));
															}
														else
															{	/* Cfa/approx.scm 255 */
																bool_t BgL_test2965z00_13925;

																if (
																	(((obj_t) BgL_dtypez00_4110) ==
																		BGl_za2pairzd2nilza2zd2zztype_cachez00))
																	{	/* Cfa/approx.scm 256 */
																		bool_t BgL__ortest_1309z00_4164;

																		BgL__ortest_1309z00_4164 =
																			(
																			((obj_t) BgL_typez00_1071) ==
																			BGl_za2bnilza2z00zztype_cachez00);
																		if (BgL__ortest_1309z00_4164)
																			{	/* Cfa/approx.scm 256 */
																				BgL_test2965z00_13925 =
																					BgL__ortest_1309z00_4164;
																			}
																		else
																			{	/* Cfa/approx.scm 257 */
																				bool_t BgL__ortest_1310z00_4165;

																				BgL__ortest_1310z00_4165 =
																					(
																					((obj_t) BgL_typez00_1071) ==
																					BGl_za2pairza2z00zztype_cachez00);
																				if (BgL__ortest_1310z00_4165)
																					{	/* Cfa/approx.scm 257 */
																						BgL_test2965z00_13925 =
																							BgL__ortest_1310z00_4165;
																					}
																				else
																					{	/* Cfa/approx.scm 257 */
																						bool_t BgL__ortest_1311z00_4166;

																						BgL__ortest_1311z00_4166 =
																							(
																							((obj_t) BgL_typez00_1071) ==
																							BGl_za2epairza2z00zztype_cachez00);
																						if (BgL__ortest_1311z00_4166)
																							{	/* Cfa/approx.scm 257 */
																								BgL_test2965z00_13925 =
																									BgL__ortest_1311z00_4166;
																							}
																						else
																							{	/* Cfa/approx.scm 257 */
																								BgL_test2965z00_13925 =
																									(
																									((obj_t) BgL_typez00_1071) ==
																									BGl_za2listza2z00zztype_cachez00);
																							}
																					}
																			}
																	}
																else
																	{	/* Cfa/approx.scm 255 */
																		BgL_test2965z00_13925 = ((bool_t) 0);
																	}
																if (BgL_test2965z00_13925)
																	{	/* Cfa/approx.scm 255 */
																		return BFALSE;
																	}
																else
																	{	/* Cfa/approx.scm 261 */
																		bool_t BgL_test2970z00_13940;

																		if (BGl_bigloozd2typezf3z21zztype_typez00
																			(BgL_dtypez00_4110))
																			{	/* Cfa/approx.scm 261 */
																				BgL_typez00_bglt BgL_arg1928z00_4163;

																				BgL_arg1928z00_4163 =
																					BGl_getzd2bigloozd2typez00zztype_cachez00
																					(BgL_typez00_1071);
																				BgL_test2970z00_13940 =
																					(((obj_t) BgL_dtypez00_4110) ==
																					((obj_t) BgL_arg1928z00_4163));
																			}
																		else
																			{	/* Cfa/approx.scm 261 */
																				BgL_test2970z00_13940 = ((bool_t) 0);
																			}
																		if (BgL_test2970z00_13940)
																			{	/* Cfa/approx.scm 261 */
																				return BTRUE;
																			}
																		else
																			{	/* Cfa/approx.scm 265 */
																				bool_t BgL_test2972z00_13947;

																				{	/* Cfa/approx.scm 265 */
																					bool_t BgL_test2973z00_13948;

																					if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_dtypez00_4110))
																						{	/* Cfa/approx.scm 265 */
																							BgL_typez00_bglt
																								BgL_arg1927z00_4161;
																							BgL_arg1927z00_4161 =
																								BGl_getzd2bigloozd2typez00zztype_cachez00
																								(BgL_typez00_1071);
																							BgL_test2973z00_13948 =
																								(((obj_t) BgL_dtypez00_4110) ==
																								((obj_t) BgL_arg1927z00_4161));
																						}
																					else
																						{	/* Cfa/approx.scm 265 */
																							BgL_test2973z00_13948 =
																								((bool_t) 0);
																						}
																					if (BgL_test2973z00_13948)
																						{	/* Cfa/approx.scm 265 */
																							BgL_test2972z00_13947 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Cfa/approx.scm 265 */
																							if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_1071))
																								{	/* Cfa/approx.scm 266 */
																									BgL_typez00_bglt
																										BgL_arg1926z00_4159;
																									BgL_arg1926z00_4159 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_dtypez00_4110);
																									BgL_test2972z00_13947 =
																										(((obj_t) BgL_typez00_1071)
																										==
																										((obj_t)
																											BgL_arg1926z00_4159));
																								}
																							else
																								{	/* Cfa/approx.scm 266 */
																									BgL_test2972z00_13947 =
																										((bool_t) 0);
																								}
																						}
																				}
																				if (BgL_test2972z00_13947)
																					{	/* Cfa/approx.scm 265 */
																						if (
																							(((obj_t) BgL_typez00_1071) ==
																								BGl_za2objza2z00zztype_cachez00))
																							{	/* Cfa/approx.scm 268 */
																								((((BgL_approxz00_bglt)
																											COBJECT
																											(BgL_dstz00_1070))->
																										BgL_typez00) =
																									((BgL_typez00_bglt)
																										BgL_typez00_1071), BUNSPEC);
																							}
																						else
																							{	/* Cfa/approx.scm 268 */
																								BFALSE;
																							}
																						return BTRUE;
																					}
																				else
																					{	/* Cfa/approx.scm 271 */
																						bool_t BgL_test2977z00_13965;

																						{	/* Cfa/approx.scm 271 */
																							bool_t BgL_test2978z00_13966;

																							if (
																								(((obj_t) BgL_dtypez00_4110) ==
																									BGl_za2bnilza2z00zztype_cachez00))
																								{	/* Cfa/approx.scm 271 */
																									BgL_test2978z00_13966 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/approx.scm 271 */
																									if (
																										(((obj_t) BgL_dtypez00_4110)
																											==
																											BGl_za2pairza2z00zztype_cachez00))
																										{	/* Cfa/approx.scm 271 */
																											BgL_test2978z00_13966 =
																												((bool_t) 1);
																										}
																									else
																										{	/* Cfa/approx.scm 271 */
																											BgL_test2978z00_13966 =
																												(
																												((obj_t)
																													BgL_dtypez00_4110) ==
																												BGl_za2epairza2z00zztype_cachez00);
																										}
																								}
																							if (BgL_test2978z00_13966)
																								{	/* Cfa/approx.scm 272 */
																									bool_t
																										BgL__ortest_1313z00_4153;
																									BgL__ortest_1313z00_4153 =
																										(((obj_t) BgL_typez00_1071)
																										==
																										BGl_za2bnilza2z00zztype_cachez00);
																									if (BgL__ortest_1313z00_4153)
																										{	/* Cfa/approx.scm 272 */
																											BgL_test2977z00_13965 =
																												BgL__ortest_1313z00_4153;
																										}
																									else
																										{	/* Cfa/approx.scm 273 */
																											bool_t
																												BgL__ortest_1314z00_4154;
																											BgL__ortest_1314z00_4154 =
																												(((obj_t)
																													BgL_typez00_1071) ==
																												BGl_za2pairza2z00zztype_cachez00);
																											if (BgL__ortest_1314z00_4154)
																												{	/* Cfa/approx.scm 273 */
																													BgL_test2977z00_13965
																														=
																														BgL__ortest_1314z00_4154;
																												}
																											else
																												{	/* Cfa/approx.scm 273 */
																													bool_t
																														BgL__ortest_1315z00_4155;
																													BgL__ortest_1315z00_4155
																														=
																														(((obj_t)
																															BgL_typez00_1071)
																														==
																														BGl_za2epairza2z00zztype_cachez00);
																													if (BgL__ortest_1315z00_4155)
																														{	/* Cfa/approx.scm 273 */
																															BgL_test2977z00_13965
																																=
																																BgL__ortest_1315z00_4155;
																														}
																													else
																														{	/* Cfa/approx.scm 274 */
																															bool_t
																																BgL__ortest_1316z00_4156;
																															BgL__ortest_1316z00_4156
																																=
																																(((obj_t)
																																	BgL_typez00_1071)
																																==
																																BGl_za2pairzd2nilza2zd2zztype_cachez00);
																															if (BgL__ortest_1316z00_4156)
																																{	/* Cfa/approx.scm 274 */
																																	BgL_test2977z00_13965
																																		=
																																		BgL__ortest_1316z00_4156;
																																}
																															else
																																{	/* Cfa/approx.scm 274 */
																																	BgL_test2977z00_13965
																																		=
																																		(((obj_t)
																																			BgL_typez00_1071)
																																		==
																																		BGl_za2listza2z00zztype_cachez00);
																																}
																														}
																												}
																										}
																								}
																							else
																								{	/* Cfa/approx.scm 271 */
																									BgL_test2977z00_13965 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test2977z00_13965)
																							{	/* Cfa/approx.scm 271 */
																								{	/* Cfa/approx.scm 277 */
																									BgL_typez00_bglt
																										BgL_vz00_6407;
																									BgL_vz00_6407 =
																										((BgL_typez00_bglt)
																										BGl_za2pairzd2nilza2zd2zztype_cachez00);
																									((((BgL_approxz00_bglt)
																												COBJECT
																												(BgL_dstz00_1070))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_vz00_6407), BUNSPEC);
																								}
																								return
																									BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																									(CNST_TABLE_REF(((long) 1)));
																							}
																						else
																							{	/* Cfa/approx.scm 279 */
																								bool_t BgL_test2985z00_13993;

																								{	/* Cfa/approx.scm 279 */
																									bool_t BgL_test2986z00_13994;

																									{	/* Cfa/approx.scm 279 */
																										obj_t BgL_classz00_6408;

																										BgL_classz00_6408 =
																											BGl_tclassz00zzobject_classz00;
																										{	/* Cfa/approx.scm 279 */
																											BgL_objectz00_bglt
																												BgL_arg1820z00_6410;
																											{	/* Cfa/approx.scm 279 */
																												obj_t BgL_tmpz00_13995;

																												BgL_tmpz00_13995 =
																													((obj_t)
																													((BgL_objectz00_bglt)
																														BgL_dtypez00_4110));
																												BgL_arg1820z00_6410 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_13995);
																											}
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Cfa/approx.scm 279 */
																													long BgL_idxz00_6416;

																													BgL_idxz00_6416 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1820z00_6410);
																													BgL_test2986z00_13994
																														=
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_6416 +
																																((long) 2))) ==
																														BgL_classz00_6408);
																												}
																											else
																												{	/* Cfa/approx.scm 279 */
																													bool_t
																														BgL_res2141z00_6438;
																													{	/* Cfa/approx.scm 279 */
																														obj_t
																															BgL_oclassz00_6424;
																														{	/* Cfa/approx.scm 279 */
																															long
																																BgL_arg1828z00_6430;
																															{	/* Cfa/approx.scm 279 */
																																long
																																	BgL_arg1829z00_6431;
																																BgL_arg1829z00_6431
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1820z00_6410);
																																BgL_arg1828z00_6430
																																	=
																																	(BgL_arg1829z00_6431
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_6424
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1828z00_6430);
																														}
																														{	/* Cfa/approx.scm 279 */
																															bool_t
																																BgL__ortest_1111z00_6425;
																															BgL__ortest_1111z00_6425
																																=
																																(BgL_classz00_6408
																																==
																																BgL_oclassz00_6424);
																															if (BgL__ortest_1111z00_6425)
																																{	/* Cfa/approx.scm 279 */
																																	BgL_res2141z00_6438
																																		=
																																		BgL__ortest_1111z00_6425;
																																}
																															else
																																{	/* Cfa/approx.scm 279 */
																																	long
																																		BgL_odepthz00_6426;
																																	BgL_odepthz00_6426
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_6424);
																																	if ((((long)
																																				2) <
																																			BgL_odepthz00_6426))
																																		{	/* Cfa/approx.scm 279 */
																																			obj_t
																																				BgL_arg1816z00_6428;
																																			BgL_arg1816z00_6428
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_6424,
																																				((long)
																																					2));
																																			BgL_res2141z00_6438
																																				=
																																				(BgL_arg1816z00_6428
																																				==
																																				BgL_classz00_6408);
																																		}
																																	else
																																		{	/* Cfa/approx.scm 279 */
																																			BgL_res2141z00_6438
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test2986z00_13994
																														=
																														BgL_res2141z00_6438;
																												}
																										}
																									}
																									if (BgL_test2986z00_13994)
																										{	/* Cfa/approx.scm 279 */
																											obj_t BgL_classz00_6439;

																											BgL_classz00_6439 =
																												BGl_tclassz00zzobject_classz00;
																											{	/* Cfa/approx.scm 279 */
																												BgL_objectz00_bglt
																													BgL_arg1820z00_6441;
																												{	/* Cfa/approx.scm 279 */
																													obj_t
																														BgL_tmpz00_14015;
																													BgL_tmpz00_14015 =
																														((obj_t)
																														BgL_typez00_1071);
																													BgL_arg1820z00_6441 =
																														(BgL_objectz00_bglt)
																														(BgL_tmpz00_14015);
																												}
																												if (BGL_CONDEXPAND_ISA_ARCH64())
																													{	/* Cfa/approx.scm 279 */
																														long
																															BgL_idxz00_6447;
																														BgL_idxz00_6447 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1820z00_6441);
																														BgL_test2985z00_13993
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_6447
																																	+
																																	((long) 2)))
																															==
																															BgL_classz00_6439);
																													}
																												else
																													{	/* Cfa/approx.scm 279 */
																														bool_t
																															BgL_res2142z00_6469;
																														{	/* Cfa/approx.scm 279 */
																															obj_t
																																BgL_oclassz00_6455;
																															{	/* Cfa/approx.scm 279 */
																																long
																																	BgL_arg1828z00_6461;
																																{	/* Cfa/approx.scm 279 */
																																	long
																																		BgL_arg1829z00_6462;
																																	BgL_arg1829z00_6462
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1820z00_6441);
																																	BgL_arg1828z00_6461
																																		=
																																		(BgL_arg1829z00_6462
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_6455
																																	=
																																	VECTOR_REF
																																	(BGl_za2classesza2z00zz__objectz00,
																																	BgL_arg1828z00_6461);
																															}
																															{	/* Cfa/approx.scm 279 */
																																bool_t
																																	BgL__ortest_1111z00_6456;
																																BgL__ortest_1111z00_6456
																																	=
																																	(BgL_classz00_6439
																																	==
																																	BgL_oclassz00_6455);
																																if (BgL__ortest_1111z00_6456)
																																	{	/* Cfa/approx.scm 279 */
																																		BgL_res2142z00_6469
																																			=
																																			BgL__ortest_1111z00_6456;
																																	}
																																else
																																	{	/* Cfa/approx.scm 279 */
																																		long
																																			BgL_odepthz00_6457;
																																		BgL_odepthz00_6457
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_oclassz00_6455);
																																		if ((((long)
																																					2) <
																																				BgL_odepthz00_6457))
																																			{	/* Cfa/approx.scm 279 */
																																				obj_t
																																					BgL_arg1816z00_6459;
																																				BgL_arg1816z00_6459
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_oclassz00_6455,
																																					((long) 2));
																																				BgL_res2142z00_6469
																																					=
																																					(BgL_arg1816z00_6459
																																					==
																																					BgL_classz00_6439);
																																			}
																																		else
																																			{	/* Cfa/approx.scm 279 */
																																				BgL_res2142z00_6469
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_test2985z00_13993
																															=
																															BgL_res2142z00_6469;
																													}
																											}
																										}
																									else
																										{	/* Cfa/approx.scm 279 */
																											BgL_test2985z00_13993 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test2985z00_13993)
																									{	/* Cfa/approx.scm 280 */
																										obj_t BgL_superz00_4143;

																										BgL_superz00_4143 =
																											BGl_findzd2commonzd2superzd2classzd2zzobject_classz00
																											(((BgL_typez00_bglt)
																												BgL_dtypez00_4110),
																											((BgL_typez00_bglt)
																												BgL_typez00_1071));
																										if ((BgL_superz00_4143 ==
																												((obj_t)
																													BgL_dtypez00_4110)))
																											{	/* Cfa/approx.scm 282 */
																												return BFALSE;
																											}
																										else
																											{	/* Cfa/approx.scm 282 */
																												if (CBOOL
																													(BgL_superz00_4143))
																													{	/* Cfa/approx.scm 284 */
																														((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1070))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_superz00_4143)), BUNSPEC);
																														return
																															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																															(CNST_TABLE_REF((
																																	(long) 1)));
																													}
																												else
																													{	/* Cfa/approx.scm 284 */
																														{	/* Cfa/approx.scm 289 */
																															BgL_typez00_bglt
																																BgL_vz00_6473;
																															BgL_vz00_6473 =
																																(
																																(BgL_typez00_bglt)
																																BGl_za2objza2z00zztype_cachez00);
																															((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1070))->BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_6473), BUNSPEC);
																														}
																														return
																															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																															(CNST_TABLE_REF((
																																	(long) 1)));
																									}}}
																								else
																									{	/* Cfa/approx.scm 279 */
																										if (
																											(((obj_t)
																													BgL_dtypez00_4110) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/approx.scm 291 */
																												return BFALSE;
																											}
																										else
																											{	/* Cfa/approx.scm 293 */
																												bool_t
																													BgL_test2996z00_14053;
																												if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_dtypez00_4110))
																													{	/* Cfa/approx.scm 293 */
																														BgL_test2996z00_14053
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Cfa/approx.scm 293 */
																														if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_1071))
																															{	/* Cfa/approx.scm 293 */
																																BgL_test2996z00_14053
																																	=
																																	((bool_t) 0);
																															}
																														else
																															{	/* Cfa/approx.scm 293 */
																																BgL_test2996z00_14053
																																	=
																																	((bool_t) 1);
																															}
																													}
																												if (BgL_test2996z00_14053)
																													{	/* Cfa/approx.scm 293 */
																														if (BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_1071, BgL_dtypez00_4110))
																															{	/* Cfa/approx.scm 295 */
																																return BFALSE;
																															}
																														else
																															{	/* Cfa/approx.scm 295 */
																																if (BGl_czd2subtypezf3z21zztype_miscz00(BgL_dtypez00_4110, BgL_typez00_1071))
																																	{	/* Cfa/approx.scm 297 */
																																		((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1070))->BgL_typez00) = ((BgL_typez00_bglt) BgL_typez00_1071), BUNSPEC);
																																		return
																																			BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																																			(CNST_TABLE_REF
																																			(((long)
																																					1)));
																																	}
																																else
																																	{	/* Cfa/approx.scm 297 */
																																		{	/* Cfa/approx.scm 301 */
																																			BgL_typez00_bglt
																																				BgL_vz00_6477;
																																			BgL_vz00_6477
																																				=
																																				(
																																				(BgL_typez00_bglt)
																																				BGl_za2objza2z00zztype_cachez00);
																																			((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1070))->BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_6477), BUNSPEC);
																																		}
																																		return
																																			BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																																			(CNST_TABLE_REF
																																			(((long)
																																					1)));
																													}}}
																												else
																													{	/* Cfa/approx.scm 293 */
																														if (
																															(((obj_t)
																																	BgL_dtypez00_4110)
																																==
																																BGl_za2_za2z00zztype_cachez00))
																															{	/* Cfa/approx.scm 303 */
																																((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1070))->BgL_typez00) = ((BgL_typez00_bglt) BgL_typez00_1071), BUNSPEC);
																																return
																																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																																	(CNST_TABLE_REF
																																	(((long) 1)));
																															}
																														else
																															{	/* Cfa/approx.scm 303 */
																																{	/* Cfa/approx.scm 307 */
																																	BgL_typez00_bglt
																																		BgL_vz00_6481;
																																	BgL_vz00_6481
																																		=
																																		(
																																		(BgL_typez00_bglt)
																																		BGl_za2objza2z00zztype_cachez00);
																																	((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1070))->BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_6481), BUNSPEC);
																																}
																																return
																																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																																	(CNST_TABLE_REF
																																	(((long) 1)));
		}}}}}}}}}}}}}}}}

	}



/* &approx-set-type! */
	obj_t BGl_z62approxzd2setzd2typez12z70zzcfa_approxz00(obj_t BgL_envz00_8370,
		obj_t BgL_dstz00_8371, obj_t BgL_typez00_8372)
	{
		{	/* Cfa/approx.scm 234 */
			return
				BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_8371),
				((BgL_typez00_bglt) BgL_typez00_8372));
		}

	}



/* approx-set-top! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_1072)
	{
		{	/* Cfa/approx.scm 313 */
		BGl_approxzd2setzd2topz12z12zzcfa_approxz00:
			if ((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1072))->BgL_topzf3zf3))
				{	/* Cfa/approx.scm 315 */
					BFALSE;
				}
			else
				{	/* Cfa/approx.scm 315 */
					((((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1072))->BgL_topzf3zf3) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF(((long) 2)));
				}
			{	/* Cfa/approx.scm 318 */
				bool_t BgL_test3003z00_14087;

				{	/* Cfa/approx.scm 318 */
					obj_t BgL_arg1933z00_4177;

					BgL_arg1933z00_4177 =
						(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1072))->BgL_dupz00);
					{	/* Cfa/approx.scm 318 */
						obj_t BgL_classz00_6484;

						BgL_classz00_6484 = BGl_approxz00zzcfa_infoz00;
						if (BGL_OBJECTP(BgL_arg1933z00_4177))
							{	/* Cfa/approx.scm 318 */
								BgL_objectz00_bglt BgL_arg1820z00_6486;

								BgL_arg1820z00_6486 =
									(BgL_objectz00_bglt) (BgL_arg1933z00_4177);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/approx.scm 318 */
										long BgL_idxz00_6492;

										BgL_idxz00_6492 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6486);
										BgL_test3003z00_14087 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6492 + ((long) 1))) == BgL_classz00_6484);
									}
								else
									{	/* Cfa/approx.scm 318 */
										bool_t BgL_res2143z00_6514;

										{	/* Cfa/approx.scm 318 */
											obj_t BgL_oclassz00_6500;

											{	/* Cfa/approx.scm 318 */
												long BgL_arg1828z00_6506;

												{	/* Cfa/approx.scm 318 */
													long BgL_arg1829z00_6507;

													BgL_arg1829z00_6507 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6486);
													BgL_arg1828z00_6506 =
														(BgL_arg1829z00_6507 - OBJECT_TYPE);
												}
												BgL_oclassz00_6500 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_6506);
											}
											{	/* Cfa/approx.scm 318 */
												bool_t BgL__ortest_1111z00_6501;

												BgL__ortest_1111z00_6501 =
													(BgL_classz00_6484 == BgL_oclassz00_6500);
												if (BgL__ortest_1111z00_6501)
													{	/* Cfa/approx.scm 318 */
														BgL_res2143z00_6514 = BgL__ortest_1111z00_6501;
													}
												else
													{	/* Cfa/approx.scm 318 */
														long BgL_odepthz00_6502;

														BgL_odepthz00_6502 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6500);
														if ((((long) 1) < BgL_odepthz00_6502))
															{	/* Cfa/approx.scm 318 */
																obj_t BgL_arg1816z00_6504;

																BgL_arg1816z00_6504 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6500,
																	((long) 1));
																BgL_res2143z00_6514 =
																	(BgL_arg1816z00_6504 == BgL_classz00_6484);
															}
														else
															{	/* Cfa/approx.scm 318 */
																BgL_res2143z00_6514 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3003z00_14087 = BgL_res2143z00_6514;
									}
							}
						else
							{	/* Cfa/approx.scm 318 */
								BgL_test3003z00_14087 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test3003z00_14087)
					{	/* Cfa/approx.scm 319 */
						obj_t BgL_arg1932z00_4176;

						BgL_arg1932z00_4176 =
							(((BgL_approxz00_bglt) COBJECT(BgL_dstz00_1072))->BgL_dupz00);
						{
							BgL_approxz00_bglt BgL_dstz00_14109;

							BgL_dstz00_14109 = ((BgL_approxz00_bglt) BgL_arg1932z00_4176);
							BgL_dstz00_1072 = BgL_dstz00_14109;
							goto BGl_approxzd2setzd2topz12z12zzcfa_approxz00;
						}
					}
				else
					{	/* Cfa/approx.scm 318 */
						return BFALSE;
					}
			}
		}

	}



/* &approx-set-top! */
	obj_t BGl_z62approxzd2setzd2topz12z70zzcfa_approxz00(obj_t BgL_envz00_8373,
		obj_t BgL_dstz00_8374)
	{
		{	/* Cfa/approx.scm 313 */
			return
				BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_8374));
		}

	}



/* make-empty-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2emptyzd2approxz00zzcfa_approxz00(void)
	{
		{	/* Cfa/approx.scm 324 */
			{	/* Cfa/approx.scm 325 */
				obj_t BgL_allocsz00_4178;

				BgL_allocsz00_4178 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				{	/* Cfa/approx.scm 326 */
					BgL_approxz00_bglt BgL_new1319z00_4179;

					{	/* Cfa/approx.scm 327 */
						BgL_approxz00_bglt BgL_new1318z00_4180;

						BgL_new1318z00_4180 =
							((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_approxz00_bgl))));
						{	/* Cfa/approx.scm 327 */
							long BgL_arg1934z00_4181;

							BgL_arg1934z00_4181 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1318z00_4180),
								BgL_arg1934z00_4181);
						}
						BgL_new1319z00_4179 = BgL_new1318z00_4180;
					}
					((((BgL_approxz00_bglt) COBJECT(BgL_new1319z00_4179))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1319z00_4179))->
							BgL_typezd2lockedzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1319z00_4179))->
							BgL_allocsz00) = ((obj_t) BgL_allocsz00_4178), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1319z00_4179))->
							BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1319z00_4179))->
							BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1319z00_4179))->BgL_dupz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1319z00_4179))->
							BgL_haszd2procedurezf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					return BgL_new1319z00_4179;
				}
			}
		}

	}



/* &make-empty-approx */
	BgL_approxz00_bglt BGl_z62makezd2emptyzd2approxz62zzcfa_approxz00(obj_t
		BgL_envz00_8375)
	{
		{	/* Cfa/approx.scm 324 */
			return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
		}

	}



/* make-type-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt
		BgL_typez00_1073)
	{
		{	/* Cfa/approx.scm 333 */
			{	/* Cfa/approx.scm 334 */
				obj_t BgL_allocsz00_4182;

				BgL_allocsz00_4182 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				{	/* Cfa/approx.scm 335 */
					BgL_approxz00_bglt BgL_new1321z00_4183;

					{	/* Cfa/approx.scm 337 */
						BgL_approxz00_bglt BgL_new1320z00_4184;

						BgL_new1320z00_4184 =
							((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_approxz00_bgl))));
						{	/* Cfa/approx.scm 337 */
							long BgL_arg1936z00_4185;

							BgL_arg1936z00_4185 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1320z00_4184),
								BgL_arg1936z00_4185);
						}
						BgL_new1321z00_4183 = BgL_new1320z00_4184;
					}
					((((BgL_approxz00_bglt) COBJECT(BgL_new1321z00_4183))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_typez00_1073), BUNSPEC);
					{
						bool_t BgL_auxz00_14133;

						if ((((obj_t) BgL_typez00_1073) == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/approx.scm 336 */
								BgL_auxz00_14133 = ((bool_t) 0);
							}
						else
							{	/* Cfa/approx.scm 336 */
								BgL_auxz00_14133 = ((bool_t) 1);
							}
						((((BgL_approxz00_bglt) COBJECT(BgL_new1321z00_4183))->
								BgL_typezd2lockedzf3z21) =
							((bool_t) BgL_auxz00_14133), BUNSPEC);
					}
					((((BgL_approxz00_bglt) COBJECT(BgL_new1321z00_4183))->
							BgL_allocsz00) = ((obj_t) BgL_allocsz00_4182), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1321z00_4183))->
							BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1321z00_4183))->
							BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1321z00_4183))->BgL_dupz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1321z00_4183))->
							BgL_haszd2procedurezf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					return BgL_new1321z00_4183;
				}
			}
		}

	}



/* &make-type-approx */
	BgL_approxz00_bglt BGl_z62makezd2typezd2approxz62zzcfa_approxz00(obj_t
		BgL_envz00_8376, obj_t BgL_typez00_8377)
	{
		{	/* Cfa/approx.scm 333 */
			return
				BGl_makezd2typezd2approxz00zzcfa_approxz00(
				((BgL_typez00_bglt) BgL_typez00_8377));
		}

	}



/* make-type-alloc-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt
		BgL_typez00_1074, BgL_nodez00_bglt BgL_allocz00_1075)
	{
		{	/* Cfa/approx.scm 343 */
			{	/* Cfa/approx.scm 344 */
				obj_t BgL_allocsz00_4186;

				BgL_allocsz00_4186 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				BGl_setzd2extendz12zc0zzcfa_setz00(BgL_allocsz00_4186,
					((obj_t) BgL_allocz00_1075));
				{	/* Cfa/approx.scm 346 */
					BgL_approxz00_bglt BgL_new1323z00_4187;

					{	/* Cfa/approx.scm 348 */
						BgL_approxz00_bglt BgL_new1322z00_4188;

						BgL_new1322z00_4188 =
							((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_approxz00_bgl))));
						{	/* Cfa/approx.scm 348 */
							long BgL_arg1937z00_4189;

							BgL_arg1937z00_4189 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1322z00_4188),
								BgL_arg1937z00_4189);
						}
						BgL_new1323z00_4187 = BgL_new1322z00_4188;
					}
					((((BgL_approxz00_bglt) COBJECT(BgL_new1323z00_4187))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_typez00_1074), BUNSPEC);
					{
						bool_t BgL_auxz00_14153;

						if ((((obj_t) BgL_typez00_1074) == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/approx.scm 347 */
								BgL_auxz00_14153 = ((bool_t) 0);
							}
						else
							{	/* Cfa/approx.scm 347 */
								BgL_auxz00_14153 = ((bool_t) 1);
							}
						((((BgL_approxz00_bglt) COBJECT(BgL_new1323z00_4187))->
								BgL_typezd2lockedzf3z21) =
							((bool_t) BgL_auxz00_14153), BUNSPEC);
					}
					((((BgL_approxz00_bglt) COBJECT(BgL_new1323z00_4187))->
							BgL_allocsz00) = ((obj_t) BgL_allocsz00_4186), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1323z00_4187))->
							BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1323z00_4187))->
							BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1323z00_4187))->BgL_dupz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						bool_t BgL_auxz00_14162;

						{	/* Cfa/approx.scm 350 */
							obj_t BgL_classz00_6524;

							BgL_classz00_6524 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
							{	/* Cfa/approx.scm 350 */
								BgL_objectz00_bglt BgL_arg1820z00_6526;

								{	/* Cfa/approx.scm 350 */
									obj_t BgL_tmpz00_14163;

									BgL_tmpz00_14163 = ((obj_t) BgL_allocz00_1075);
									BgL_arg1820z00_6526 = (BgL_objectz00_bglt) (BgL_tmpz00_14163);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/approx.scm 350 */
										long BgL_idxz00_6532;

										BgL_idxz00_6532 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6526);
										{	/* Cfa/approx.scm 350 */
											obj_t BgL_arg1814z00_6533;

											{	/* Cfa/approx.scm 350 */
												long BgL_arg1815z00_6534;

												BgL_arg1815z00_6534 = (BgL_idxz00_6532 + ((long) 4));
												{	/* Cfa/approx.scm 350 */
													obj_t BgL_vectorz00_6536;

													BgL_vectorz00_6536 =
														BGl_za2inheritancesza2z00zz__objectz00;
													BgL_arg1814z00_6533 =
														VECTOR_REF(BgL_vectorz00_6536, BgL_arg1815z00_6534);
											}}
											BgL_auxz00_14162 =
												(BgL_arg1814z00_6533 == BgL_classz00_6524);
									}}
								else
									{	/* Cfa/approx.scm 350 */
										bool_t BgL_res2144z00_6554;

										{	/* Cfa/approx.scm 350 */
											obj_t BgL_oclassz00_6540;

											{	/* Cfa/approx.scm 350 */
												long BgL_arg1828z00_6546;

												{	/* Cfa/approx.scm 350 */
													long BgL_arg1829z00_6547;

													BgL_arg1829z00_6547 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6526);
													BgL_arg1828z00_6546 =
														(BgL_arg1829z00_6547 - OBJECT_TYPE);
												}
												{	/* Cfa/approx.scm 350 */
													obj_t BgL_vectorz00_6551;

													BgL_vectorz00_6551 =
														BGl_za2classesza2z00zz__objectz00;
													BgL_oclassz00_6540 =
														VECTOR_REF(BgL_vectorz00_6551, BgL_arg1828z00_6546);
											}}
											{	/* Cfa/approx.scm 350 */
												bool_t BgL__ortest_1111z00_6541;

												BgL__ortest_1111z00_6541 =
													(BgL_classz00_6524 == BgL_oclassz00_6540);
												if (BgL__ortest_1111z00_6541)
													{	/* Cfa/approx.scm 350 */
														BgL_res2144z00_6554 = BgL__ortest_1111z00_6541;
													}
												else
													{	/* Cfa/approx.scm 350 */
														long BgL_odepthz00_6542;

														BgL_odepthz00_6542 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6540);
														if ((((long) 4) < BgL_odepthz00_6542))
															{	/* Cfa/approx.scm 350 */
																obj_t BgL_arg1816z00_6544;

																BgL_arg1816z00_6544 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6540,
																	((long) 4));
																BgL_res2144z00_6554 =
																	(BgL_arg1816z00_6544 == BgL_classz00_6524);
															}
														else
															{	/* Cfa/approx.scm 350 */
																BgL_res2144z00_6554 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_auxz00_14162 = BgL_res2144z00_6554;
									}
							}
						}
						((((BgL_approxz00_bglt) COBJECT(BgL_new1323z00_4187))->
								BgL_haszd2procedurezf3z21) =
							((bool_t) BgL_auxz00_14162), BUNSPEC);
					}
					return BgL_new1323z00_4187;
				}
			}
		}

	}



/* &make-type-alloc-approx */
	BgL_approxz00_bglt BGl_z62makezd2typezd2alloczd2approxzb0zzcfa_approxz00(obj_t
		BgL_envz00_8378, obj_t BgL_typez00_8379, obj_t BgL_allocz00_8380)
	{
		{	/* Cfa/approx.scm 343 */
			return
				BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
				((BgL_typez00_bglt) BgL_typez00_8379),
				((BgL_nodez00_bglt) BgL_allocz00_8380));
		}

	}



/* for-each-approx-alloc */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t
		BgL_procz00_1077, BgL_approxz00_bglt BgL_approxz00_1078)
	{
		{	/* Cfa/approx.scm 374 */
			return
				BGl_setzd2forzd2eachz00zzcfa_setz00(BgL_procz00_1077,
				(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_1078))->BgL_allocsz00));
		}

	}



/* &for-each-approx-alloc */
	obj_t BGl_z62forzd2eachzd2approxzd2alloczb0zzcfa_approxz00(obj_t
		BgL_envz00_8381, obj_t BgL_procz00_8382, obj_t BgL_approxz00_8383)
	{
		{	/* Cfa/approx.scm 374 */
			return
				BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_procz00_8382,
				((BgL_approxz00_bglt) BgL_approxz00_8383));
		}

	}



/* empty-approx-alloc? */
	BGL_EXPORTED_DEF obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt
		BgL_approxz00_1079)
	{
		{	/* Cfa/approx.scm 381 */
			{	/* Cfa/approx.scm 382 */
				obj_t BgL_arg1939z00_6557;

				BgL_arg1939z00_6557 =
					BGl_setzd2lengthzd2zzcfa_setz00(
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_1079))->BgL_allocsz00));
				return BBOOL(((long) CINT(BgL_arg1939z00_6557) == ((long) 0)));
		}}

	}



/* &empty-approx-alloc? */
	obj_t BGl_z62emptyzd2approxzd2alloczf3z91zzcfa_approxz00(obj_t
		BgL_envz00_8384, obj_t BgL_approxz00_8385)
	{
		{	/* Cfa/approx.scm 381 */
			return
				BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_approxz00_8385));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_approxz00(void)
	{
		{	/* Cfa/approx.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_approxz00(void)
	{
		{	/* Cfa/approx.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
				BGl_proc2161z00zzcfa_approxz00, BGl_nodez00zzast_nodez00,
				BGl_string2162z00zzcfa_approxz00);
		}

	}



/* &get-node-atom-value1585 */
	obj_t BGl_z62getzd2nodezd2atomzd2value1585zb0zzcfa_approxz00(obj_t
		BgL_envz00_8387, obj_t BgL_nodez00_8388)
	{
		{	/* Cfa/approx.scm 389 */
			return CNST_TABLE_REF(((long) 3));
		}

	}



/* get-node-atom-value */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt
		BgL_nodez00_1080)
	{
		{	/* Cfa/approx.scm 389 */
			{	/* Cfa/approx.scm 389 */
				obj_t BgL_method1587z00_4198;

				{	/* Cfa/approx.scm 389 */
					obj_t BgL_res2149z00_6591;

					{	/* Cfa/approx.scm 389 */
						long BgL_objzd2classzd2numz00_6562;

						BgL_objzd2classzd2numz00_6562 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_1080));
						{	/* Cfa/approx.scm 389 */
							obj_t BgL_arg1825z00_6563;

							BgL_arg1825z00_6563 =
								PROCEDURE_REF
								(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
								(int) (((long) 1)));
							{	/* Cfa/approx.scm 389 */
								int BgL_offsetz00_6566;

								BgL_offsetz00_6566 = (int) (BgL_objzd2classzd2numz00_6562);
								{	/* Cfa/approx.scm 389 */
									long BgL_offsetz00_6567;

									BgL_offsetz00_6567 =
										((long) (BgL_offsetz00_6566) - OBJECT_TYPE);
									{	/* Cfa/approx.scm 389 */
										long BgL_modz00_6568;

										BgL_modz00_6568 =
											(BgL_offsetz00_6567 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/approx.scm 389 */
											long BgL_restz00_6570;

											BgL_restz00_6570 =
												(BgL_offsetz00_6567 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/approx.scm 389 */

												{	/* Cfa/approx.scm 389 */
													obj_t BgL_bucketz00_6572;

													BgL_bucketz00_6572 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_6563), BgL_modz00_6568);
													BgL_res2149z00_6591 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6572), BgL_restz00_6570);
					}}}}}}}}
					BgL_method1587z00_4198 = BgL_res2149z00_6591;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1587z00_4198)) (BgL_method1587z00_4198,
					((obj_t) BgL_nodez00_1080), BEOA);
			}
		}

	}



/* &get-node-atom-value */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezb0zzcfa_approxz00(obj_t
		BgL_envz00_8389, obj_t BgL_nodez00_8390)
	{
		{	/* Cfa/approx.scm 389 */
			return
				BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
				((BgL_nodez00_bglt) BgL_nodez00_8390));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_approxz00(void)
	{
		{	/* Cfa/approx.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_approxz00zzcfa_infoz00,
				BGl_proc2163z00zzcfa_approxz00, BGl_string2164z00zzcfa_approxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
				BGl_atomz00zzast_nodez00, BGl_proc2165z00zzcfa_approxz00,
				BGl_string2166z00zzcfa_approxz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
				BGl_varz00zzast_nodez00, BGl_proc2167z00zzcfa_approxz00,
				BGl_string2166z00zzcfa_approxz00);
		}

	}



/* &get-node-atom-value-1591 */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezd21591z62zzcfa_approxz00(obj_t
		BgL_envz00_8394, obj_t BgL_nodez00_8395)
	{
		{	/* Cfa/approx.scm 401 */
			{	/* Cfa/approx.scm 402 */
				BgL_variablez00_bglt BgL_vz00_9050;

				BgL_vz00_9050 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_8395)))->BgL_variablez00);
				{	/* Cfa/approx.scm 403 */
					bool_t BgL_test3013z00_14236;

					{	/* Cfa/approx.scm 403 */
						bool_t BgL_test3014z00_14237;

						{	/* Cfa/approx.scm 403 */
							obj_t BgL_classz00_9051;

							BgL_classz00_9051 = BGl_reshapedzd2localzd2zzcfa_infoz00;
							{	/* Cfa/approx.scm 403 */
								BgL_objectz00_bglt BgL_arg1820z00_9052;

								{	/* Cfa/approx.scm 403 */
									obj_t BgL_tmpz00_14238;

									BgL_tmpz00_14238 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_9050));
									BgL_arg1820z00_9052 = (BgL_objectz00_bglt) (BgL_tmpz00_14238);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/approx.scm 403 */
										long BgL_idxz00_9053;

										BgL_idxz00_9053 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9052);
										BgL_test3014z00_14237 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_9053 + ((long) 3))) == BgL_classz00_9051);
									}
								else
									{	/* Cfa/approx.scm 403 */
										bool_t BgL_res2150z00_9056;

										{	/* Cfa/approx.scm 403 */
											obj_t BgL_oclassz00_9057;

											{	/* Cfa/approx.scm 403 */
												long BgL_arg1828z00_9058;

												{	/* Cfa/approx.scm 403 */
													long BgL_arg1829z00_9059;

													BgL_arg1829z00_9059 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9052);
													BgL_arg1828z00_9058 =
														(BgL_arg1829z00_9059 - OBJECT_TYPE);
												}
												BgL_oclassz00_9057 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_9058);
											}
											{	/* Cfa/approx.scm 403 */
												bool_t BgL__ortest_1111z00_9060;

												BgL__ortest_1111z00_9060 =
													(BgL_classz00_9051 == BgL_oclassz00_9057);
												if (BgL__ortest_1111z00_9060)
													{	/* Cfa/approx.scm 403 */
														BgL_res2150z00_9056 = BgL__ortest_1111z00_9060;
													}
												else
													{	/* Cfa/approx.scm 403 */
														long BgL_odepthz00_9061;

														BgL_odepthz00_9061 =
															BGL_CLASS_DEPTH(BgL_oclassz00_9057);
														if ((((long) 3) < BgL_odepthz00_9061))
															{	/* Cfa/approx.scm 403 */
																obj_t BgL_arg1816z00_9062;

																BgL_arg1816z00_9062 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9057,
																	((long) 3));
																BgL_res2150z00_9056 =
																	(BgL_arg1816z00_9062 == BgL_classz00_9051);
															}
														else
															{	/* Cfa/approx.scm 403 */
																BgL_res2150z00_9056 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3014z00_14237 = BgL_res2150z00_9056;
									}
							}
						}
						if (BgL_test3014z00_14237)
							{	/* Cfa/approx.scm 403 */
								obj_t BgL_arg1957z00_9063;

								{
									BgL_reshapedzd2localzd2_bglt BgL_auxz00_14258;

									{
										obj_t BgL_auxz00_14259;

										{	/* Cfa/approx.scm 403 */
											BgL_objectz00_bglt BgL_tmpz00_14260;

											BgL_tmpz00_14260 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_vz00_9050));
											BgL_auxz00_14259 = BGL_OBJECT_WIDENING(BgL_tmpz00_14260);
										}
										BgL_auxz00_14258 =
											((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_14259);
									}
									BgL_arg1957z00_9063 =
										(((BgL_reshapedzd2localzd2_bglt)
											COBJECT(BgL_auxz00_14258))->BgL_bindingzd2valuezd2);
								}
								{	/* Cfa/approx.scm 403 */
									obj_t BgL_classz00_9064;

									BgL_classz00_9064 = BGl_nodez00zzast_nodez00;
									if (BGL_OBJECTP(BgL_arg1957z00_9063))
										{	/* Cfa/approx.scm 403 */
											BgL_objectz00_bglt BgL_arg1820z00_9065;

											BgL_arg1820z00_9065 =
												(BgL_objectz00_bglt) (BgL_arg1957z00_9063);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Cfa/approx.scm 403 */
													long BgL_idxz00_9066;

													BgL_idxz00_9066 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9065);
													BgL_test3013z00_14236 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_9066 + ((long) 1))) ==
														BgL_classz00_9064);
												}
											else
												{	/* Cfa/approx.scm 403 */
													bool_t BgL_res2151z00_9069;

													{	/* Cfa/approx.scm 403 */
														obj_t BgL_oclassz00_9070;

														{	/* Cfa/approx.scm 403 */
															long BgL_arg1828z00_9071;

															{	/* Cfa/approx.scm 403 */
																long BgL_arg1829z00_9072;

																BgL_arg1829z00_9072 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9065);
																BgL_arg1828z00_9071 =
																	(BgL_arg1829z00_9072 - OBJECT_TYPE);
															}
															BgL_oclassz00_9070 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_9071);
														}
														{	/* Cfa/approx.scm 403 */
															bool_t BgL__ortest_1111z00_9073;

															BgL__ortest_1111z00_9073 =
																(BgL_classz00_9064 == BgL_oclassz00_9070);
															if (BgL__ortest_1111z00_9073)
																{	/* Cfa/approx.scm 403 */
																	BgL_res2151z00_9069 =
																		BgL__ortest_1111z00_9073;
																}
															else
																{	/* Cfa/approx.scm 403 */
																	long BgL_odepthz00_9074;

																	BgL_odepthz00_9074 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_9070);
																	if ((((long) 1) < BgL_odepthz00_9074))
																		{	/* Cfa/approx.scm 403 */
																			obj_t BgL_arg1816z00_9075;

																			BgL_arg1816z00_9075 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_9070, ((long) 1));
																			BgL_res2151z00_9069 =
																				(BgL_arg1816z00_9075 ==
																				BgL_classz00_9064);
																		}
																	else
																		{	/* Cfa/approx.scm 403 */
																			BgL_res2151z00_9069 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3013z00_14236 = BgL_res2151z00_9069;
												}
										}
									else
										{	/* Cfa/approx.scm 403 */
											BgL_test3013z00_14236 = ((bool_t) 0);
										}
								}
							}
						else
							{	/* Cfa/approx.scm 403 */
								BgL_test3013z00_14236 = ((bool_t) 0);
							}
					}
					if (BgL_test3013z00_14236)
						{	/* Cfa/approx.scm 404 */
							obj_t BgL_arg1956z00_9076;

							{
								BgL_reshapedzd2localzd2_bglt BgL_auxz00_14285;

								{
									obj_t BgL_auxz00_14286;

									{	/* Cfa/approx.scm 404 */
										BgL_objectz00_bglt BgL_tmpz00_14287;

										BgL_tmpz00_14287 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_vz00_9050));
										BgL_auxz00_14286 = BGL_OBJECT_WIDENING(BgL_tmpz00_14287);
									}
									BgL_auxz00_14285 =
										((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_14286);
								}
								BgL_arg1956z00_9076 =
									(((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_14285))->
									BgL_bindingzd2valuezd2);
							}
							return
								BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
								((BgL_nodez00_bglt) BgL_arg1956z00_9076));
						}
					else
						{	/* Cfa/approx.scm 403 */
							return CNST_TABLE_REF(((long) 3));
		}}}}

	}



/* &get-node-atom-value-1589 */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezd21589z62zzcfa_approxz00(obj_t
		BgL_envz00_8396, obj_t BgL_nodez00_8397)
	{
		{	/* Cfa/approx.scm 395 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_nodez00_8397)))->BgL_valuez00);
		}

	}



/* &shape-approx1584 */
	obj_t BGl_z62shapezd2approx1584zb0zzcfa_approxz00(obj_t BgL_envz00_8398,
		obj_t BgL_expz00_8399)
	{
		{	/* Cfa/approx.scm 355 */
			{	/* Cfa/approx.scm 357 */
				obj_t BgL_keysz00_9079;

				BgL_keysz00_9079 =
					BGl_setzd2ze3vectorz31zzcfa_setz00(
					(((BgL_approxz00_bglt) COBJECT(
								((BgL_approxz00_bglt) BgL_expz00_8399)))->BgL_allocsz00));
				{	/* Cfa/approx.scm 358 */
					long BgL_slenz00_9080;

					BgL_slenz00_9080 =
						(VECTOR_LENGTH(((obj_t) BgL_keysz00_9079)) + ((long) 2));
					{	/* Cfa/approx.scm 359 */
						obj_t BgL_structz00_9081;

						{	/* Cfa/approx.scm 360 */
							obj_t BgL_keyz00_9082;
							int BgL_lenz00_9083;

							BgL_keyz00_9082 = CNST_TABLE_REF(((long) 4));
							BgL_lenz00_9083 = (int) (BgL_slenz00_9080);
							BgL_structz00_9081 =
								make_struct(BgL_keyz00_9082, BgL_lenz00_9083, BUNSPEC);
						}
						{	/* Cfa/approx.scm 360 */

							{	/* Cfa/approx.scm 361 */
								obj_t BgL_auxz00_14309;
								int BgL_tmpz00_14307;

								BgL_auxz00_14309 =
									(((BgL_typez00_bglt) COBJECT(
											(((BgL_approxz00_bglt) COBJECT(
														((BgL_approxz00_bglt) BgL_expz00_8399)))->
												BgL_typez00)))->BgL_idz00);
								BgL_tmpz00_14307 = (int) (((long) 0));
								STRUCT_SET(BgL_structz00_9081, BgL_tmpz00_14307,
									BgL_auxz00_14309);
							}
							{	/* Cfa/approx.scm 362 */
								obj_t BgL_arg1944z00_9084;

								if (
									(((BgL_approxz00_bglt) COBJECT(
												((BgL_approxz00_bglt) BgL_expz00_8399)))->
										BgL_topzf3zf3))
									{	/* Cfa/approx.scm 362 */
										BgL_arg1944z00_9084 = CNST_TABLE_REF(((long) 5));
									}
								else
									{	/* Cfa/approx.scm 362 */
										BgL_arg1944z00_9084 = CNST_TABLE_REF(((long) 6));
									}
								{	/* Cfa/approx.scm 362 */
									int BgL_tmpz00_14319;

									BgL_tmpz00_14319 = (int) (((long) 1));
									STRUCT_SET(BgL_structz00_9081, BgL_tmpz00_14319,
										BgL_arg1944z00_9084);
							}}
							{
								long BgL_rz00_9086;
								long BgL_wz00_9087;

								BgL_rz00_9086 = ((long) 2);
								BgL_wz00_9087 = ((long) 0);
							BgL_loopz00_9085:
								if (
									(BgL_wz00_9087 == VECTOR_LENGTH(((obj_t) BgL_keysz00_9079))))
									{	/* Cfa/approx.scm 365 */
										return BgL_structz00_9081;
									}
								else
									{	/* Cfa/approx.scm 365 */
										{	/* Cfa/approx.scm 368 */
											obj_t BgL_arg1948z00_9088;

											{	/* Cfa/approx.scm 368 */
												obj_t BgL_arg1949z00_9089;

												BgL_arg1949z00_9089 =
													VECTOR_REF(((obj_t) BgL_keysz00_9079), BgL_wz00_9087);
												BgL_arg1948z00_9088 =
													(((BgL_nodezf2effectzf2_bglt) COBJECT(
															((BgL_nodezf2effectzf2_bglt)
																BgL_arg1949z00_9089)))->BgL_keyz00);
											}
											{	/* Cfa/approx.scm 368 */
												int BgL_tmpz00_14330;

												BgL_tmpz00_14330 = (int) (BgL_rz00_9086);
												STRUCT_SET(BgL_structz00_9081, BgL_tmpz00_14330,
													BgL_arg1948z00_9088);
										}}
										{
											long BgL_wz00_14335;
											long BgL_rz00_14333;

											BgL_rz00_14333 = (BgL_rz00_9086 + ((long) 1));
											BgL_wz00_14335 = (BgL_wz00_9087 + ((long) 1));
											BgL_wz00_9087 = BgL_wz00_14335;
											BgL_rz00_9086 = BgL_rz00_14333;
											goto BgL_loopz00_9085;
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_approxz00(void)
	{
		{	/* Cfa/approx.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_collectz00(((long) 220306886),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 5932721),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2168z00zzcfa_approxz00));
		}

	}

#ifdef __cplusplus
}
#endif
