/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00(void);
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t);
	static bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_closurez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00(void);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00(void);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00(void);
	static bool_t BGl_showze70ze7zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00(void);
	static obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t);
	static obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_gczd2rootszd2initz00zzcfa_closurez00(void);
	static obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00(void);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31693ze3ze5zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzcfa_closurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00(void);
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_closurez00(void);
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	extern obj_t BGl_setzd2headzd2zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00(void);
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00(void);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00(void);
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	static bool_t BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[20];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzcfa_closurez00,
		BgL_bgl_za762za7c3za704anonymo2234za7,
		BGl_z62zc3z04anonymousza31678ze3ze5zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzcfa_closurez00,
		BgL_bgl_za762za7c3za704anonymo2235za7,
		BGl_z62zc3z04anonymousza31693ze3ze5zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2makeza7d22236za7,
		BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762addza7d2funcall2237z00,
		BGl_z62addzd2funcallz12za2zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2225z00zzcfa_closurez00,
		BgL_bgl_string2225za700za7za7c2238za7, "   . Light closures", 19);
	      DEFINE_STRING(BGl_string2228z00zzcfa_closurez00,
		BgL_bgl_string2228za700za7za7c2239za7, ": ", 2);
	      DEFINE_STRING(BGl_string2229z00zzcfa_closurez00,
		BgL_bgl_string2229za700za7za7c2240za7, "      ", 6);
	      DEFINE_STRING(BGl_string2230z00zzcfa_closurez00,
		BgL_bgl_string2230za700za7za7c2241za7, "        ", 8);
	      DEFINE_STRING(BGl_string2231z00zzcfa_closurez00,
		BgL_bgl_string2231za700za7za7c2242za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string2232z00zzcfa_closurez00,
		BgL_bgl_string2232za700za7za7c2243za7,
		"make-l-procedure make-el-procedure procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X nothing-to-do slfun selfun done ok \077\077? light elight static ",
		203);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2procedu2244z00,
		BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedurezd2listzd2envzd2zzcfa_closurez00,
		BgL_bgl_za762getza7d2procedu2245z00,
		BGl_z62getzd2procedurezd2listz62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2closuresz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762typeza7d2closur2246z00,
		BGl_z62typezd2closuresz12za2zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt2247z00,
		BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
		BgL_bgl_za762stopza7d2closur2248z00,
		BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt2249z00,
		BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl_za762approxza7d2proc2250z00,
		BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2refza2zd2zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2funcallzd2listza2zd2zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00));
		   
			 ADD_ROOT((void *) (&BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_4916, char *BgL_fromz00_4917)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_closurez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					return BGl_toplevelzd2initzd2zzcfa_closurez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_closure");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_4881;

				{	/* Cfa/closure.scm 25 */
					obj_t BgL_stringz00_4888;

					BgL_stringz00_4888 = BGl_string2232z00zzcfa_closurez00;
					{	/* Cfa/closure.scm 25 */
						obj_t BgL_startz00_4889;

						BgL_startz00_4889 = BINT(((long) 0));
						{	/* Cfa/closure.scm 25 */
							obj_t BgL_endz00_4890;

							BgL_endz00_4890 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4888)));
							{	/* Cfa/closure.scm 25 */

								BgL_cportz00_4881 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4888, BgL_startz00_4889, BgL_endz00_4890);
				}}}}
				{
					long BgL_iz00_4882;

					BgL_iz00_4882 = ((long) 19);
				BgL_loopz00_4883:
					if ((BgL_iz00_4882 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg2233z00_4884;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_4886;

										BgL_locationz00_4886 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg2233z00_4884 =
												BGl_readz00zz__readerz00(BgL_cportz00_4881,
												BgL_locationz00_4886);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_tmpz00_4944;

									BgL_tmpz00_4944 = (int) (BgL_iz00_4882);
									CNST_TABLE_SET(BgL_tmpz00_4944, BgL_arg2233z00_4884);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_4887;

								BgL_auxz00_4887 = (int) ((BgL_iz00_4882 - ((long) 1)));
								{
									long BgL_iz00_4949;

									BgL_iz00_4949 = (long) (BgL_auxz00_4887);
									BgL_iz00_4882 = BgL_iz00_4949;
									goto BgL_loopz00_4883;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}

	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 56 */
			{	/* Cfa/closure.scm 57 */
				long BgL_n1z00_4025;

				BgL_n1z00_4025 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_4025 >= ((long) 2)));
		}}

	}



/* &closure-optimization? */
	obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_4859)
	{
		{	/* Cfa/closure.scm 56 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}

	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_23)
	{
		{	/* Cfa/closure.scm 62 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 63 */
					{	/* Cfa/closure.scm 64 */
						obj_t BgL_list1593z00_3026;

						{	/* Cfa/closure.scm 64 */
							obj_t BgL_arg1598z00_3027;

							BgL_arg1598z00_3027 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_list1593z00_3026 =
								MAKE_YOUNG_PAIR(BGl_string2225z00zzcfa_closurez00,
								BgL_arg1598z00_3027);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1593z00_3026);
					}
					BGl_startzd2closurezd2cachez00zzcfa_closurez00();
					{
						obj_t BgL_l1517z00_3029;

						BgL_l1517z00_3029 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3z04anonymousza31599ze3z87_3030:
						if (PAIRP(BgL_l1517z00_3029))
							{	/* Cfa/closure.scm 73 */
								{	/* Cfa/closure.scm 75 */
									obj_t BgL_appz00_3032;

									BgL_appz00_3032 = CAR(BgL_l1517z00_3029);
									{	/* Cfa/closure.scm 76 */
										BgL_variablez00_bglt BgL_funz00_3034;

										{
											BgL_varz00_bglt BgL_auxz00_4968;

											{	/* Cfa/closure.scm 76 */
												obj_t BgL_pairz00_4028;

												BgL_pairz00_4028 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_3032))))->
													BgL_argsz00);
												BgL_auxz00_4968 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_4028));
											}
											BgL_funz00_3034 =
												(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4968))->
												BgL_variablez00);
										}
										{	/* Cfa/closure.scm 76 */
											obj_t BgL_cloz00_3035;

											BgL_cloz00_3035 =
												(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_funz00_3034))))->
																	BgL_valuez00)))))->BgL_thezd2closurezd2);
											{	/* Cfa/closure.scm 77 */
												bool_t BgL_lostzf3zf3_3036;

												{	/* Cfa/closure.scm 78 */
													long BgL_arg1646z00_3060;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4981;

														{
															obj_t BgL_auxz00_4982;

															{	/* Cfa/closure.scm 78 */
																BgL_objectz00_bglt BgL_tmpz00_4983;

																BgL_tmpz00_4983 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_3032));
																BgL_auxz00_4982 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4983);
															}
															BgL_auxz00_4981 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_4982);
														}
														BgL_arg1646z00_3060 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_4981))->BgL_lostzd2stampzd2);
													}
													BgL_lostzf3zf3_3036 =
														(BgL_arg1646z00_3060 > ((long) -1));
												}
												{	/* Cfa/closure.scm 78 */
													obj_t BgL_siza7eza7_3037;

													{	/* Cfa/closure.scm 79 */
														obj_t BgL_arg1641z00_3058;

														{	/* Cfa/closure.scm 79 */
															obj_t BgL_pairz00_4034;

															BgL_pairz00_4034 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_3032))))->
																BgL_argsz00);
															BgL_arg1641z00_3058 =
																CAR(CDR(CDR(BgL_pairz00_4034)));
														}
														BgL_siza7eza7_3037 =
															BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
															((BgL_nodez00_bglt) BgL_arg1641z00_3058));
													}
													{	/* Cfa/closure.scm 79 */

														{	/* Cfa/closure.scm 81 */
															bool_t BgL_test2255z00_4998;

															if (BgL_lostzf3zf3_3036)
																{	/* Cfa/closure.scm 81 */
																	BgL_test2255z00_4998 = ((bool_t) 1);
																}
															else
																{	/* Cfa/closure.scm 82 */
																	bool_t BgL_test2257z00_5000;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5001;
																		{
																			obj_t BgL_auxz00_5002;

																			{	/* Cfa/closure.scm 82 */
																				BgL_objectz00_bglt BgL_tmpz00_5003;

																				BgL_tmpz00_5003 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_3032));
																				BgL_auxz00_5002 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5003);
																			}
																			BgL_auxz00_5001 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5002);
																		}
																		BgL_test2257z00_5000 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_5001))->
																			BgL_xzd2tzf3z21);
																	}
																	if (BgL_test2257z00_5000)
																		{	/* Cfa/closure.scm 82 */
																			if (
																				((((BgL_funz00_bglt) COBJECT(
																								((BgL_funz00_bglt)
																									((BgL_sfunz00_bglt)
																										(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_funz00_3034))))->BgL_valuez00)))))->BgL_arityz00) < ((long) 0)))
																				{	/* Cfa/closure.scm 83 */
																					BgL_test2255z00_4998 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/closure.scm 83 */
																					if (INTEGERP(BgL_siza7eza7_3037))
																						{	/* Cfa/closure.scm 85 */
																							bool_t BgL_test2260z00_5019;

																							{	/* Cfa/closure.scm 85 */
																								obj_t BgL_classz00_4044;

																								BgL_classz00_4044 =
																									BGl_globalz00zzast_varz00;
																								if (BGL_OBJECTP
																									(BgL_cloz00_3035))
																									{	/* Cfa/closure.scm 85 */
																										BgL_objectz00_bglt
																											BgL_arg1820z00_4046;
																										BgL_arg1820z00_4046 =
																											(BgL_objectz00_bglt)
																											(BgL_cloz00_3035);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Cfa/closure.scm 85 */
																												long BgL_idxz00_4052;

																												BgL_idxz00_4052 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1820z00_4046);
																												BgL_test2260z00_5019 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_4052 +
																															((long) 2))) ==
																													BgL_classz00_4044);
																											}
																										else
																											{	/* Cfa/closure.scm 85 */
																												bool_t
																													BgL_res2206z00_4074;
																												{	/* Cfa/closure.scm 85 */
																													obj_t
																														BgL_oclassz00_4060;
																													{	/* Cfa/closure.scm 85 */
																														long
																															BgL_arg1828z00_4066;
																														{	/* Cfa/closure.scm 85 */
																															long
																																BgL_arg1829z00_4067;
																															BgL_arg1829z00_4067
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1820z00_4046);
																															BgL_arg1828z00_4066
																																=
																																(BgL_arg1829z00_4067
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_4060 =
																															VECTOR_REF
																															(BGl_za2classesza2z00zz__objectz00,
																															BgL_arg1828z00_4066);
																													}
																													{	/* Cfa/closure.scm 85 */
																														bool_t
																															BgL__ortest_1111z00_4061;
																														BgL__ortest_1111z00_4061
																															=
																															(BgL_classz00_4044
																															==
																															BgL_oclassz00_4060);
																														if (BgL__ortest_1111z00_4061)
																															{	/* Cfa/closure.scm 85 */
																																BgL_res2206z00_4074
																																	=
																																	BgL__ortest_1111z00_4061;
																															}
																														else
																															{	/* Cfa/closure.scm 85 */
																																long
																																	BgL_odepthz00_4062;
																																BgL_odepthz00_4062
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_oclassz00_4060);
																																if ((((long) 2)
																																		<
																																		BgL_odepthz00_4062))
																																	{	/* Cfa/closure.scm 85 */
																																		obj_t
																																			BgL_arg1816z00_4064;
																																		BgL_arg1816z00_4064
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_oclassz00_4060,
																																			((long)
																																				2));
																																		BgL_res2206z00_4074
																																			=
																																			(BgL_arg1816z00_4064
																																			==
																																			BgL_classz00_4044);
																																	}
																																else
																																	{	/* Cfa/closure.scm 85 */
																																		BgL_res2206z00_4074
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test2260z00_5019 =
																													BgL_res2206z00_4074;
																											}
																									}
																								else
																									{	/* Cfa/closure.scm 85 */
																										BgL_test2260z00_5019 =
																											((bool_t) 0);
																									}
																							}
																							if (BgL_test2260z00_5019)
																								{	/* Cfa/closure.scm 85 */
																									if (
																										((((BgL_globalz00_bglt)
																													COBJECT((
																															(BgL_globalz00_bglt)
																															BgL_cloz00_3035)))->
																												BgL_importz00) ==
																											CNST_TABLE_REF(((long)
																													0))))
																										{	/* Cfa/closure.scm 86 */
																											BgL_test2255z00_4998 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Cfa/closure.scm 86 */
																											BgL_test2255z00_4998 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 85 */
																									BgL_test2255z00_4998 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 84 */
																							BgL_test2255z00_4998 =
																								((bool_t) 1);
																						}
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 82 */
																			BgL_test2255z00_4998 = ((bool_t) 1);
																		}
																}
															if (BgL_test2255z00_4998)
																{	/* Cfa/closure.scm 81 */
																	BNIL;
																}
															else
																{	/* Cfa/closure.scm 81 */
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5044;
																		{
																			obj_t BgL_auxz00_5045;

																			{	/* Cfa/closure.scm 103 */
																				BgL_objectz00_bglt BgL_tmpz00_5046;

																				BgL_tmpz00_5046 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_3032));
																				BgL_auxz00_5045 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5046);
																			}
																			BgL_auxz00_5044 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5045);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					COBJECT(BgL_auxz00_5044))->BgL_xz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5052;
																		{
																			obj_t BgL_auxz00_5053;

																			{	/* Cfa/closure.scm 104 */
																				BgL_objectz00_bglt BgL_tmpz00_5054;

																				BgL_tmpz00_5054 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_3032));
																				BgL_auxz00_5053 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5054);
																			}
																			BgL_auxz00_5052 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5053);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					COBJECT(BgL_auxz00_5052))->BgL_tz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																}
														}
													}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l1517z00_5060;

									BgL_l1517z00_5060 = CDR(BgL_l1517z00_3029);
									BgL_l1517z00_3029 = BgL_l1517z00_5060;
									goto BgL_zc3z04anonymousza31599ze3z87_3030;
								}
							}
						else
							{	/* Cfa/closure.scm 73 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{
						obj_t BgL_l1519z00_3067;

						BgL_l1519z00_3067 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3z04anonymousza31654ze3z87_3068:
						if (PAIRP(BgL_l1519z00_3067))
							{	/* Cfa/closure.scm 111 */
								{	/* Cfa/closure.scm 112 */
									obj_t BgL_allocz00_3070;

									BgL_allocz00_3070 = CAR(BgL_l1519z00_3067);
									{	/* Cfa/closure.scm 113 */
										BgL_valuez00_bglt BgL_fz00_3072;

										{
											BgL_variablez00_bglt BgL_auxz00_5067;

											{
												BgL_varz00_bglt BgL_auxz00_5068;

												{	/* Cfa/closure.scm 113 */
													obj_t BgL_pairz00_4080;

													BgL_pairz00_4080 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_3070))))->
														BgL_argsz00);
													BgL_auxz00_5068 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_4080));
												}
												BgL_auxz00_5067 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5068))->
													BgL_variablez00);
											}
											BgL_fz00_3072 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_5067))->
												BgL_valuez00);
										}
										{	/* Cfa/closure.scm 115 */
											bool_t BgL_test2267z00_5076;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5077;

												{
													obj_t BgL_auxz00_5078;

													{	/* Cfa/closure.scm 115 */
														BgL_objectz00_bglt BgL_tmpz00_5079;

														BgL_tmpz00_5079 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_allocz00_3070));
														BgL_auxz00_5078 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5079);
													}
													BgL_auxz00_5077 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_5078);
												}
												BgL_test2267z00_5076 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_5077))->BgL_xz00);
											}
											if (BgL_test2267z00_5076)
												{	/* Cfa/closure.scm 115 */
													obj_t BgL_vz00_4085;

													BgL_vz00_4085 = CNST_TABLE_REF(((long) 1));
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_fz00_3072)))->
															BgL_strengthz00) =
														((obj_t) BgL_vz00_4085), BUNSPEC);
												}
											else
												{	/* Cfa/closure.scm 116 */
													bool_t BgL_test2268z00_5088;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5089;

														{
															obj_t BgL_auxz00_5090;

															{	/* Cfa/closure.scm 116 */
																BgL_objectz00_bglt BgL_tmpz00_5091;

																BgL_tmpz00_5091 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_3070));
																BgL_auxz00_5090 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5091);
															}
															BgL_auxz00_5089 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5090);
														}
														BgL_test2268z00_5088 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_5089))->BgL_tz00);
													}
													if (BgL_test2268z00_5088)
														{	/* Cfa/closure.scm 116 */
															obj_t BgL_vz00_4088;

															BgL_vz00_4088 = CNST_TABLE_REF(((long) 2));
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_fz00_3072)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_4088), BUNSPEC);
														}
													else
														{	/* Cfa/closure.scm 117 */
															obj_t BgL_vz00_4090;

															BgL_vz00_4090 = CNST_TABLE_REF(((long) 3));
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_fz00_3072)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_4090), BUNSPEC);
								}}}}}
								{
									obj_t BgL_l1519z00_5103;

									BgL_l1519z00_5103 = CDR(BgL_l1519z00_3067);
									BgL_l1519z00_3067 = BgL_l1519z00_5103;
									goto BgL_zc3z04anonymousza31654ze3z87_3068;
								}
							}
						else
							{	/* Cfa/closure.scm 111 */
								((bool_t) 1);
							}
					}
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_23);
				}
			else
				{	/* Cfa/closure.scm 63 */
					return BFALSE;
				}
		}

	}



/* &closure-optimization! */
	obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t
		BgL_envz00_4860, obj_t BgL_globalsz00_4861)
	{
		{	/* Cfa/closure.scm 62 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_4861);
		}

	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_24)
	{
		{	/* Cfa/closure.scm 133 */
			{
				obj_t BgL_l1521z00_3081;

				BgL_l1521z00_3081 = BgL_funcallzd2listzd2_24;
			BgL_zc3z04anonymousza31674ze3z87_3082:
				if (PAIRP(BgL_l1521z00_3081))
					{	/* Cfa/closure.scm 135 */
						{	/* Cfa/closure.scm 136 */
							BgL_funcallz00_bglt BgL_appz00_3084;

							BgL_appz00_3084 = ((BgL_funcallz00_bglt) CAR(BgL_l1521z00_3081));
							{	/* Cfa/closure.scm 137 */
								BgL_nodez00_bglt BgL_funz00_3085;

								BgL_funz00_3085 =
									(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_3084))->
									BgL_funz00);
								{	/* Cfa/closure.scm 137 */
									BgL_approxz00_bglt BgL_approxz00_3086;

									BgL_approxz00_3086 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3085);
									{	/* Cfa/closure.scm 138 */
										obj_t BgL_allocz00_3087;

										BgL_allocz00_3087 =
											(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3086))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 139 */
											BgL_typez00_bglt BgL_typez00_3088;

											BgL_typez00_3088 =
												(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3086))->
												BgL_typez00);
											{	/* Cfa/closure.scm 140 */
												bool_t BgL_topzf3zf3_3089;

												BgL_topzf3zf3_3089 =
													(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3086))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 141 */

													if (BgL_topzf3zf3_3089)
														{	/* Cfa/closure.scm 143 */
															if (
																(((BgL_approxz00_bglt)
																		COBJECT(BgL_approxz00_3086))->
																	BgL_haszd2procedurezf3z21))
																{	/* Cfa/closure.scm 146 */
																	BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																		(BGl_proc2226z00zzcfa_closurez00,
																		BgL_approxz00_3086);
																}
															else
																{	/* Cfa/closure.scm 146 */
																	BFALSE;
																}
														}
													else
														{	/* Cfa/closure.scm 156 */
															bool_t BgL_test2272z00_5124;

															{	/* Cfa/closure.scm 156 */
																obj_t BgL_arg1697z00_3112;

																BgL_arg1697z00_3112 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_3087);
																BgL_test2272z00_5124 =
																	((long) CINT(BgL_arg1697z00_3112) ==
																	((long) 0));
															}
															if (BgL_test2272z00_5124)
																{	/* Cfa/closure.scm 156 */
																	CNST_TABLE_REF(((long) 4));
																}
															else
																{	/* Cfa/closure.scm 159 */
																	bool_t BgL_test2273z00_5129;

																	{	/* Cfa/closure.scm 159 */
																		bool_t BgL_test2274z00_5130;

																		{	/* Cfa/closure.scm 159 */
																			obj_t BgL_arg1696z00_3111;

																			BgL_arg1696z00_3111 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_3087);
																			BgL_test2274z00_5130 =
																				((long) CINT(BgL_arg1696z00_3111) ==
																				((long) 1));
																		}
																		if (BgL_test2274z00_5130)
																			{	/* Cfa/closure.scm 160 */
																				obj_t BgL__ortest_1162z00_3110;

																				BgL__ortest_1162z00_3110 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_1162z00_3110))
																					{	/* Cfa/closure.scm 160 */
																						BgL_test2273z00_5129 =
																							CBOOL(BgL__ortest_1162z00_3110);
																					}
																				else
																					{	/* Cfa/closure.scm 160 */
																						BgL_test2273z00_5129 =
																							(
																							((obj_t) BgL_typez00_3088) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 159 */
																				BgL_test2273z00_5129 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2273z00_5129)
																		{	/* Cfa/closure.scm 159 */
																			CNST_TABLE_REF(((long) 4));
																		}
																	else
																		{	/* Cfa/closure.scm 159 */
																			if (
																				(((BgL_approxz00_bglt)
																						COBJECT(BgL_approxz00_3086))->
																					BgL_haszd2procedurezf3z21))
																				{	/* Cfa/closure.scm 167 */
																					BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																						(BGl_proc2227z00zzcfa_closurez00,
																						BgL_approxz00_3086);
																				}
																			else
																				{	/* Cfa/closure.scm 167 */
																					BFALSE;
																				}
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1521z00_5143;

							BgL_l1521z00_5143 = CDR(BgL_l1521z00_3081);
							BgL_l1521z00_3081 = BgL_l1521z00_5143;
							goto BgL_zc3z04anonymousza31674ze3z87_3082;
						}
					}
				else
					{	/* Cfa/closure.scm 135 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* &<@anonymous:1678> */
	obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzcfa_closurez00(obj_t
		BgL_envz00_4864, obj_t BgL_allocz00_4865)
	{
		{	/* Cfa/closure.scm 148 */
			{	/* Cfa/closure.scm 149 */
				bool_t BgL_test2277z00_5145;

				{	/* Cfa/closure.scm 149 */
					obj_t BgL_classz00_4892;

					BgL_classz00_4892 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_allocz00_4865))
						{	/* Cfa/closure.scm 149 */
							BgL_objectz00_bglt BgL_arg1820z00_4893;

							BgL_arg1820z00_4893 = (BgL_objectz00_bglt) (BgL_allocz00_4865);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/closure.scm 149 */
									long BgL_idxz00_4894;

									BgL_idxz00_4894 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4893);
									BgL_test2277z00_5145 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4894 + ((long) 4))) == BgL_classz00_4892);
								}
							else
								{	/* Cfa/closure.scm 149 */
									bool_t BgL_res2207z00_4897;

									{	/* Cfa/closure.scm 149 */
										obj_t BgL_oclassz00_4898;

										{	/* Cfa/closure.scm 149 */
											long BgL_arg1828z00_4899;

											{	/* Cfa/closure.scm 149 */
												long BgL_arg1829z00_4900;

												BgL_arg1829z00_4900 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4893);
												BgL_arg1828z00_4899 =
													(BgL_arg1829z00_4900 - OBJECT_TYPE);
											}
											BgL_oclassz00_4898 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4899);
										}
										{	/* Cfa/closure.scm 149 */
											bool_t BgL__ortest_1111z00_4901;

											BgL__ortest_1111z00_4901 =
												(BgL_classz00_4892 == BgL_oclassz00_4898);
											if (BgL__ortest_1111z00_4901)
												{	/* Cfa/closure.scm 149 */
													BgL_res2207z00_4897 = BgL__ortest_1111z00_4901;
												}
											else
												{	/* Cfa/closure.scm 149 */
													long BgL_odepthz00_4902;

													BgL_odepthz00_4902 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4898);
													if ((((long) 4) < BgL_odepthz00_4902))
														{	/* Cfa/closure.scm 149 */
															obj_t BgL_arg1816z00_4903;

															BgL_arg1816z00_4903 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4898,
																((long) 4));
															BgL_res2207z00_4897 =
																(BgL_arg1816z00_4903 == BgL_classz00_4892);
														}
													else
														{	/* Cfa/closure.scm 149 */
															BgL_res2207z00_4897 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2277z00_5145 = BgL_res2207z00_4897;
								}
						}
					else
						{	/* Cfa/closure.scm 149 */
							BgL_test2277z00_5145 = ((bool_t) 0);
						}
				}
				if (BgL_test2277z00_5145)
					{	/* Cfa/closure.scm 149 */
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5165;

							{
								obj_t BgL_auxz00_5166;

								{	/* Cfa/closure.scm 153 */
									BgL_objectz00_bglt BgL_tmpz00_5167;

									BgL_tmpz00_5167 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_4865));
									BgL_auxz00_5166 = BGL_OBJECT_WIDENING(BgL_tmpz00_5167);
								}
								BgL_auxz00_5165 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5166);
							}
							((((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_5165))->BgL_tz00) =
								((bool_t) ((bool_t) 0)), BUNSPEC);
						}
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5173;

							{
								obj_t BgL_auxz00_5174;

								{	/* Cfa/closure.scm 154 */
									BgL_objectz00_bglt BgL_tmpz00_5175;

									BgL_tmpz00_5175 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_4865));
									BgL_auxz00_5174 = BGL_OBJECT_WIDENING(BgL_tmpz00_5175);
								}
								BgL_auxz00_5173 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5174);
							}
							return
								((((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_5173))->BgL_xz00) =
								((bool_t) ((bool_t) 0)), BUNSPEC);
						}
					}
				else
					{	/* Cfa/closure.scm 149 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:1693> */
	obj_t BGl_z62zc3z04anonymousza31693ze3ze5zzcfa_closurez00(obj_t
		BgL_envz00_4866, obj_t BgL_allocz00_4867)
	{
		{	/* Cfa/closure.scm 169 */
			{	/* Cfa/closure.scm 170 */
				bool_t BgL_test2282z00_5181;

				{	/* Cfa/closure.scm 170 */
					obj_t BgL_classz00_4904;

					BgL_classz00_4904 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_allocz00_4867))
						{	/* Cfa/closure.scm 170 */
							BgL_objectz00_bglt BgL_arg1820z00_4905;

							BgL_arg1820z00_4905 = (BgL_objectz00_bglt) (BgL_allocz00_4867);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/closure.scm 170 */
									long BgL_idxz00_4906;

									BgL_idxz00_4906 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4905);
									BgL_test2282z00_5181 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4906 + ((long) 4))) == BgL_classz00_4904);
								}
							else
								{	/* Cfa/closure.scm 170 */
									bool_t BgL_res2208z00_4909;

									{	/* Cfa/closure.scm 170 */
										obj_t BgL_oclassz00_4910;

										{	/* Cfa/closure.scm 170 */
											long BgL_arg1828z00_4911;

											{	/* Cfa/closure.scm 170 */
												long BgL_arg1829z00_4912;

												BgL_arg1829z00_4912 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4905);
												BgL_arg1828z00_4911 =
													(BgL_arg1829z00_4912 - OBJECT_TYPE);
											}
											BgL_oclassz00_4910 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4911);
										}
										{	/* Cfa/closure.scm 170 */
											bool_t BgL__ortest_1111z00_4913;

											BgL__ortest_1111z00_4913 =
												(BgL_classz00_4904 == BgL_oclassz00_4910);
											if (BgL__ortest_1111z00_4913)
												{	/* Cfa/closure.scm 170 */
													BgL_res2208z00_4909 = BgL__ortest_1111z00_4913;
												}
											else
												{	/* Cfa/closure.scm 170 */
													long BgL_odepthz00_4914;

													BgL_odepthz00_4914 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4910);
													if ((((long) 4) < BgL_odepthz00_4914))
														{	/* Cfa/closure.scm 170 */
															obj_t BgL_arg1816z00_4915;

															BgL_arg1816z00_4915 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4910,
																((long) 4));
															BgL_res2208z00_4909 =
																(BgL_arg1816z00_4915 == BgL_classz00_4904);
														}
													else
														{	/* Cfa/closure.scm 170 */
															BgL_res2208z00_4909 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2282z00_5181 = BgL_res2208z00_4909;
								}
						}
					else
						{	/* Cfa/closure.scm 170 */
							BgL_test2282z00_5181 = ((bool_t) 0);
						}
				}
				if (BgL_test2282z00_5181)
					{	/* Cfa/closure.scm 170 */
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5201;

							{
								obj_t BgL_auxz00_5202;

								{	/* Cfa/closure.scm 174 */
									BgL_objectz00_bglt BgL_tmpz00_5203;

									BgL_tmpz00_5203 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_4867));
									BgL_auxz00_5202 = BGL_OBJECT_WIDENING(BgL_tmpz00_5203);
								}
								BgL_auxz00_5201 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5202);
							}
							return
								((((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_5201))->BgL_xz00) =
								((bool_t) ((bool_t) 0)), BUNSPEC);
						}
					}
				else
					{	/* Cfa/closure.scm 170 */
						return BFALSE;
					}
			}
		}

	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t
		BgL_funcallzd2listzd2_25)
	{
		{	/* Cfa/closure.scm 187 */
			{
				bool_t BgL_continuezf3zf3_3116;

				BgL_continuezf3zf3_3116 = ((bool_t) 1);
			BgL_zc3z04anonymousza31699ze3z87_3117:
				if (BgL_continuezf3zf3_3116)
					{	/* Cfa/closure.scm 192 */
						bool_t BgL_continuezf3zf3_3118;

						BgL_continuezf3zf3_3118 = ((bool_t) 0);
						{
							obj_t BgL_l1525z00_3120;

							BgL_l1525z00_3120 = BgL_funcallzd2listzd2_25;
						BgL_zc3z04anonymousza31700ze3z87_3121:
							if (PAIRP(BgL_l1525z00_3120))
								{	/* Cfa/closure.scm 193 */
									{	/* Cfa/closure.scm 195 */
										obj_t BgL_appz00_3123;

										BgL_appz00_3123 = CAR(BgL_l1525z00_3120);
										{	/* Cfa/closure.scm 196 */
											BgL_nodez00_bglt BgL_funz00_3124;

											BgL_funz00_3124 =
												(((BgL_funcallz00_bglt) COBJECT(
														((BgL_funcallz00_bglt) BgL_appz00_3123)))->
												BgL_funz00);
											{	/* Cfa/closure.scm 196 */
												BgL_approxz00_bglt BgL_approxz00_3125;

												BgL_approxz00_3125 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3124);
												{	/* Cfa/closure.scm 197 */
													obj_t BgL_allocz00_3126;

													BgL_allocz00_3126 =
														BGl_setzd2ze3listz31zzcfa_setz00(
														(((BgL_approxz00_bglt)
																COBJECT(BgL_approxz00_3125))->BgL_allocsz00));
													{	/* Cfa/closure.scm 198 */
														BgL_typez00_bglt BgL_typez00_3127;

														BgL_typez00_3127 =
															(((BgL_approxz00_bglt)
																COBJECT(BgL_approxz00_3125))->BgL_typez00);
														{	/* Cfa/closure.scm 199 */
															bool_t BgL_tzd2initzf3z21_3128;

															{	/* Cfa/closure.scm 200 */
																bool_t BgL__ortest_1163z00_3152;

																BgL__ortest_1163z00_3152 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_approxz00_3125))->
																	BgL_topzf3zf3);
																if (BgL__ortest_1163z00_3152)
																	{	/* Cfa/closure.scm 200 */
																		BgL_tzd2initzf3z21_3128 =
																			BgL__ortest_1163z00_3152;
																	}
																else
																	{	/* Cfa/closure.scm 201 */
																		bool_t BgL_test2290z00_5221;

																		if (
																			(((obj_t) BgL_typez00_3127) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 201 */
																				BgL_test2290z00_5221 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 201 */
																				BgL_test2290z00_5221 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_test2290z00_5221)
																			{	/* Cfa/closure.scm 201 */
																				BgL_tzd2initzf3z21_3128 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 201 */
																				BgL_tzd2initzf3z21_3128 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 200 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_3130;
																	obj_t BgL_allocsz00_3131;

																	BgL_onezd2nonzd2tzf3zf3_3130 =
																		BgL_tzd2initzf3z21_3128;
																	BgL_allocsz00_3131 = BgL_allocz00_3126;
																BgL_zc3z04anonymousza31702ze3z87_3132:
																	if (NULLP(BgL_allocsz00_3131))
																		{	/* Cfa/closure.scm 209 */
																			CNST_TABLE_REF(((long) 5));
																		}
																	else
																		{	/* Cfa/closure.scm 209 */
																			if (BgL_onezd2nonzd2tzf3zf3_3130)
																				{
																					obj_t BgL_l1523z00_3135;

																					{	/* Cfa/closure.scm 212 */
																						bool_t BgL_tmpz00_5230;

																						BgL_l1523z00_3135 =
																							BgL_allocz00_3126;
																					BgL_zc3z04anonymousza31704ze3z87_3136:
																						if (PAIRP
																							(BgL_l1523z00_3135))
																							{	/* Cfa/closure.scm 212 */
																								{	/* Cfa/closure.scm 214 */
																									obj_t BgL_allocz00_3138;

																									BgL_allocz00_3138 =
																										CAR(BgL_l1523z00_3135);
																									{	/* Cfa/closure.scm 214 */
																										bool_t BgL_test2295z00_5234;

																										{	/* Cfa/closure.scm 214 */
																											obj_t BgL_classz00_4179;

																											BgL_classz00_4179 =
																												BGl_makezd2procedurezd2appz00zzcfa_info2z00;
																											if (BGL_OBJECTP
																												(BgL_allocz00_3138))
																												{	/* Cfa/closure.scm 214 */
																													BgL_objectz00_bglt
																														BgL_arg1820z00_4181;
																													BgL_arg1820z00_4181 =
																														(BgL_objectz00_bglt)
																														(BgL_allocz00_3138);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Cfa/closure.scm 214 */
																															long
																																BgL_idxz00_4187;
																															BgL_idxz00_4187 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1820z00_4181);
																															BgL_test2295z00_5234
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_4187
																																		+
																																		((long) 4)))
																																==
																																BgL_classz00_4179);
																														}
																													else
																														{	/* Cfa/closure.scm 214 */
																															bool_t
																																BgL_res2209z00_4209;
																															{	/* Cfa/closure.scm 214 */
																																obj_t
																																	BgL_oclassz00_4195;
																																{	/* Cfa/closure.scm 214 */
																																	long
																																		BgL_arg1828z00_4201;
																																	{	/* Cfa/closure.scm 214 */
																																		long
																																			BgL_arg1829z00_4202;
																																		BgL_arg1829z00_4202
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1820z00_4181);
																																		BgL_arg1828z00_4201
																																			=
																																			(BgL_arg1829z00_4202
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_4195
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1828z00_4201);
																																}
																																{	/* Cfa/closure.scm 214 */
																																	bool_t
																																		BgL__ortest_1111z00_4196;
																																	BgL__ortest_1111z00_4196
																																		=
																																		(BgL_classz00_4179
																																		==
																																		BgL_oclassz00_4195);
																																	if (BgL__ortest_1111z00_4196)
																																		{	/* Cfa/closure.scm 214 */
																																			BgL_res2209z00_4209
																																				=
																																				BgL__ortest_1111z00_4196;
																																		}
																																	else
																																		{	/* Cfa/closure.scm 214 */
																																			long
																																				BgL_odepthz00_4197;
																																			BgL_odepthz00_4197
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_4195);
																																			if ((((long) 4) < BgL_odepthz00_4197))
																																				{	/* Cfa/closure.scm 214 */
																																					obj_t
																																						BgL_arg1816z00_4199;
																																					BgL_arg1816z00_4199
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_4195,
																																						((long) 4));
																																					BgL_res2209z00_4209
																																						=
																																						(BgL_arg1816z00_4199
																																						==
																																						BgL_classz00_4179);
																																				}
																																			else
																																				{	/* Cfa/closure.scm 214 */
																																					BgL_res2209z00_4209
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test2295z00_5234
																																=
																																BgL_res2209z00_4209;
																														}
																												}
																											else
																												{	/* Cfa/closure.scm 214 */
																													BgL_test2295z00_5234 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test2295z00_5234)
																											{	/* Cfa/closure.scm 216 */
																												bool_t
																													BgL_test2300z00_5254;
																												{
																													BgL_makezd2procedurezd2appz00_bglt
																														BgL_auxz00_5255;
																													{
																														obj_t
																															BgL_auxz00_5256;
																														{	/* Cfa/closure.scm 216 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_5257;
																															BgL_tmpz00_5257 =
																																(
																																(BgL_objectz00_bglt)
																																((BgL_appz00_bglt) BgL_allocz00_3138));
																															BgL_auxz00_5256 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_5257);
																														}
																														BgL_auxz00_5255 =
																															(
																															(BgL_makezd2procedurezd2appz00_bglt)
																															BgL_auxz00_5256);
																													}
																													BgL_test2300z00_5254 =
																														(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5255))->BgL_tz00);
																												}
																												if (BgL_test2300z00_5254)
																													{	/* Cfa/closure.scm 216 */
																														{
																															BgL_makezd2procedurezd2appz00_bglt
																																BgL_auxz00_5263;
																															{
																																obj_t
																																	BgL_auxz00_5264;
																																{	/* Cfa/closure.scm 217 */
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_5265;
																																	BgL_tmpz00_5265
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		((BgL_appz00_bglt) BgL_allocz00_3138));
																																	BgL_auxz00_5264
																																		=
																																		BGL_OBJECT_WIDENING
																																		(BgL_tmpz00_5265);
																																}
																																BgL_auxz00_5263
																																	=
																																	(
																																	(BgL_makezd2procedurezd2appz00_bglt)
																																	BgL_auxz00_5264);
																															}
																															((((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5263))->BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																														}
																														BgL_continuezf3zf3_3118
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Cfa/closure.scm 216 */
																														BFALSE;
																													}
																											}
																										else
																											{	/* Cfa/closure.scm 214 */
																												BFALSE;
																											}
																									}
																								}
																								{
																									obj_t BgL_l1523z00_5271;

																									BgL_l1523z00_5271 =
																										CDR(BgL_l1523z00_3135);
																									BgL_l1523z00_3135 =
																										BgL_l1523z00_5271;
																									goto
																										BgL_zc3z04anonymousza31704ze3z87_3136;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 212 */
																								BgL_tmpz00_5230 = ((bool_t) 1);
																							}
																						BBOOL(BgL_tmpz00_5230);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 220 */
																					bool_t BgL_test2301z00_5274;

																					{	/* Cfa/closure.scm 220 */
																						obj_t BgL_arg1723z00_3150;

																						BgL_arg1723z00_3150 =
																							CAR(((obj_t) BgL_allocsz00_3131));
																						{	/* Cfa/closure.scm 220 */
																							obj_t BgL_classz00_4214;

																							BgL_classz00_4214 =
																								BGl_makezd2procedurezd2appz00zzcfa_info2z00;
																							if (BGL_OBJECTP
																								(BgL_arg1723z00_3150))
																								{	/* Cfa/closure.scm 220 */
																									BgL_objectz00_bglt
																										BgL_arg1820z00_4216;
																									BgL_arg1820z00_4216 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1723z00_3150);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Cfa/closure.scm 220 */
																											long BgL_idxz00_4222;

																											BgL_idxz00_4222 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1820z00_4216);
																											BgL_test2301z00_5274 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4222 +
																														((long) 4))) ==
																												BgL_classz00_4214);
																										}
																									else
																										{	/* Cfa/closure.scm 220 */
																											bool_t
																												BgL_res2210z00_4244;
																											{	/* Cfa/closure.scm 220 */
																												obj_t
																													BgL_oclassz00_4230;
																												{	/* Cfa/closure.scm 220 */
																													long
																														BgL_arg1828z00_4236;
																													{	/* Cfa/closure.scm 220 */
																														long
																															BgL_arg1829z00_4237;
																														BgL_arg1829z00_4237
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1820z00_4216);
																														BgL_arg1828z00_4236
																															=
																															(BgL_arg1829z00_4237
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4230 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1828z00_4236);
																												}
																												{	/* Cfa/closure.scm 220 */
																													bool_t
																														BgL__ortest_1111z00_4231;
																													BgL__ortest_1111z00_4231
																														=
																														(BgL_classz00_4214
																														==
																														BgL_oclassz00_4230);
																													if (BgL__ortest_1111z00_4231)
																														{	/* Cfa/closure.scm 220 */
																															BgL_res2210z00_4244
																																=
																																BgL__ortest_1111z00_4231;
																														}
																													else
																														{	/* Cfa/closure.scm 220 */
																															long
																																BgL_odepthz00_4232;
																															BgL_odepthz00_4232
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_4230);
																															if ((((long) 4) <
																																	BgL_odepthz00_4232))
																																{	/* Cfa/closure.scm 220 */
																																	obj_t
																																		BgL_arg1816z00_4234;
																																	BgL_arg1816z00_4234
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_4230,
																																		((long) 4));
																																	BgL_res2210z00_4244
																																		=
																																		(BgL_arg1816z00_4234
																																		==
																																		BgL_classz00_4214);
																																}
																															else
																																{	/* Cfa/closure.scm 220 */
																																	BgL_res2210z00_4244
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2301z00_5274 =
																												BgL_res2210z00_4244;
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 220 */
																									BgL_test2301z00_5274 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2301z00_5274)
																						{	/* Cfa/closure.scm 221 */
																							BgL_appz00_bglt BgL_i1165z00_3146;

																							BgL_i1165z00_3146 =
																								((BgL_appz00_bglt)
																								CAR(
																									((obj_t)
																										BgL_allocsz00_3131)));
																							{	/* Cfa/closure.scm 222 */
																								bool_t BgL_test2306z00_5299;

																								{
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_auxz00_5300;
																									{
																										obj_t BgL_auxz00_5301;

																										{	/* Cfa/closure.scm 222 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_5302;
																											BgL_tmpz00_5302 =
																												((BgL_objectz00_bglt)
																												BgL_i1165z00_3146);
																											BgL_auxz00_5301 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_5302);
																										}
																										BgL_auxz00_5300 =
																											(
																											(BgL_makezd2procedurezd2appz00_bglt)
																											BgL_auxz00_5301);
																									}
																									BgL_test2306z00_5299 =
																										(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5300))->BgL_tz00);
																								}
																								if (BgL_test2306z00_5299)
																									{	/* Cfa/closure.scm 223 */
																										obj_t BgL_arg1720z00_3148;

																										BgL_arg1720z00_3148 =
																											CDR(
																											((obj_t)
																												BgL_allocsz00_3131));
																										{
																											obj_t BgL_allocsz00_5309;

																											BgL_allocsz00_5309 =
																												BgL_arg1720z00_3148;
																											BgL_allocsz00_3131 =
																												BgL_allocsz00_5309;
																											goto
																												BgL_zc3z04anonymousza31702ze3z87_3132;
																										}
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_5310;
																										BgL_onezd2nonzd2tzf3zf3_5310
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_3130
																											=
																											BgL_onezd2nonzd2tzf3zf3_5310;
																										goto
																											BgL_zc3z04anonymousza31702ze3z87_3132;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 220 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{	/* Cfa/closure.scm 227 */
																									obj_t BgL_arg1721z00_3149;

																									BgL_arg1721z00_3149 =
																										CDR(
																										((obj_t)
																											BgL_allocsz00_3131));
																									{
																										obj_t BgL_allocsz00_5315;

																										BgL_allocsz00_5315 =
																											BgL_arg1721z00_3149;
																										BgL_allocsz00_3131 =
																											BgL_allocsz00_5315;
																										goto
																											BgL_zc3z04anonymousza31702ze3z87_3132;
																									}
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_5316;
																									BgL_onezd2nonzd2tzf3zf3_5316 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_3130 =
																										BgL_onezd2nonzd2tzf3zf3_5316;
																									goto
																										BgL_zc3z04anonymousza31702ze3z87_3132;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l1525z00_5317;

										BgL_l1525z00_5317 = CDR(BgL_l1525z00_3120);
										BgL_l1525z00_3120 = BgL_l1525z00_5317;
										goto BgL_zc3z04anonymousza31700ze3z87_3121;
									}
								}
							else
								{	/* Cfa/closure.scm 193 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_5319;

							BgL_continuezf3zf3_5319 = BgL_continuezf3zf3_3118;
							BgL_continuezf3zf3_3116 = BgL_continuezf3zf3_5319;
							goto BgL_zc3z04anonymousza31699ze3z87_3117;
						}
					}
				else
					{	/* Cfa/closure.scm 190 */
						return BUNSPEC;
					}
			}
		}

	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 256 */
			{
				obj_t BgL_appz00_3203;
				obj_t BgL_appz00_3173;

				{
					obj_t BgL_l1527z00_3164;

					BgL_l1527z00_3164 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_zc3z04anonymousza31735ze3z87_3165:
					if (PAIRP(BgL_l1527z00_3164))
						{	/* Cfa/closure.scm 298 */
							{	/* Cfa/closure.scm 299 */
								obj_t BgL_appz00_3167;

								BgL_appz00_3167 = CAR(BgL_l1527z00_3164);
								{	/* Cfa/closure.scm 301 */
									bool_t BgL_test2309z00_5323;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5324;

										{
											obj_t BgL_auxz00_5325;

											{	/* Cfa/closure.scm 301 */
												BgL_objectz00_bglt BgL_tmpz00_5326;

												BgL_tmpz00_5326 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_appz00_3167));
												BgL_auxz00_5325 = BGL_OBJECT_WIDENING(BgL_tmpz00_5326);
											}
											BgL_auxz00_5324 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5325);
										}
										BgL_test2309z00_5323 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_5324))->BgL_xz00);
									}
									if (BgL_test2309z00_5323)
										{	/* Cfa/closure.scm 301 */
											BgL_appz00_3173 = BgL_appz00_3167;
											{	/* Cfa/closure.scm 260 */
												obj_t BgL_siza7eza7_3176;

												{	/* Cfa/closure.scm 260 */
													obj_t BgL_arg1778z00_3200;

													{	/* Cfa/closure.scm 260 */
														obj_t BgL_pairz00_4250;

														BgL_pairz00_4250 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_appz00_3173))))->
															BgL_argsz00);
														BgL_arg1778z00_3200 =
															CAR(CDR(CDR(BgL_pairz00_4250)));
													}
													BgL_siza7eza7_3176 =
														BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
														((BgL_nodez00_bglt) BgL_arg1778z00_3200));
												}
												{	/* Cfa/closure.scm 260 */
													BgL_variablez00_bglt BgL_ffunz00_3177;

													{
														BgL_varz00_bglt BgL_auxz00_5340;

														{	/* Cfa/closure.scm 261 */
															obj_t BgL_pairz00_4256;

															BgL_pairz00_4256 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_3173))))->
																BgL_argsz00);
															BgL_auxz00_5340 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_4256));
														}
														BgL_ffunz00_3177 =
															(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5340))->
															BgL_variablez00);
													}
													{	/* Cfa/closure.scm 261 */
														BgL_valuez00_bglt BgL_sfunz00_3178;

														BgL_sfunz00_3178 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_ffunz00_3177))->BgL_valuez00);
														{	/* Cfa/closure.scm 262 */

															if (
																((long) CINT(BgL_siza7eza7_3176) < ((long) 1)))
																{	/* Cfa/closure.scm 264 */
																	{	/* Cfa/closure.scm 265 */
																		bool_t BgL_test2311z00_5351;

																		{	/* Cfa/closure.scm 265 */
																			bool_t BgL_test2312z00_5352;

																			{	/* Cfa/closure.scm 265 */
																				obj_t BgL_classz00_4260;

																				BgL_classz00_4260 =
																					BGl_globalz00zzast_varz00;
																				{	/* Cfa/closure.scm 265 */
																					BgL_objectz00_bglt
																						BgL_arg1820z00_4262;
																					{	/* Cfa/closure.scm 265 */
																						obj_t BgL_tmpz00_5353;

																						BgL_tmpz00_5353 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_ffunz00_3177));
																						BgL_arg1820z00_4262 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_5353);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Cfa/closure.scm 265 */
																							long BgL_idxz00_4268;

																							BgL_idxz00_4268 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1820z00_4262);
																							BgL_test2312z00_5352 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_4268 +
																										((long) 2))) ==
																								BgL_classz00_4260);
																						}
																					else
																						{	/* Cfa/closure.scm 265 */
																							bool_t BgL_res2211z00_4290;

																							{	/* Cfa/closure.scm 265 */
																								obj_t BgL_oclassz00_4276;

																								{	/* Cfa/closure.scm 265 */
																									long BgL_arg1828z00_4282;

																									{	/* Cfa/closure.scm 265 */
																										long BgL_arg1829z00_4283;

																										BgL_arg1829z00_4283 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1820z00_4262);
																										BgL_arg1828z00_4282 =
																											(BgL_arg1829z00_4283 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_4276 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1828z00_4282);
																								}
																								{	/* Cfa/closure.scm 265 */
																									bool_t
																										BgL__ortest_1111z00_4277;
																									BgL__ortest_1111z00_4277 =
																										(BgL_classz00_4260 ==
																										BgL_oclassz00_4276);
																									if (BgL__ortest_1111z00_4277)
																										{	/* Cfa/closure.scm 265 */
																											BgL_res2211z00_4290 =
																												BgL__ortest_1111z00_4277;
																										}
																									else
																										{	/* Cfa/closure.scm 265 */
																											long BgL_odepthz00_4278;

																											BgL_odepthz00_4278 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_4276);
																											if ((((long) 2) <
																													BgL_odepthz00_4278))
																												{	/* Cfa/closure.scm 265 */
																													obj_t
																														BgL_arg1816z00_4280;
																													BgL_arg1816z00_4280 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_4276,
																														((long) 2));
																													BgL_res2211z00_4290 =
																														(BgL_arg1816z00_4280
																														==
																														BgL_classz00_4260);
																												}
																											else
																												{	/* Cfa/closure.scm 265 */
																													BgL_res2211z00_4290 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2312z00_5352 =
																								BgL_res2211z00_4290;
																						}
																				}
																			}
																			if (BgL_test2312z00_5352)
																				{	/* Cfa/closure.scm 266 */
																					bool_t BgL_test2316z00_5373;

																					{	/* Cfa/closure.scm 266 */
																						obj_t BgL_arg1763z00_3193;

																						BgL_arg1763z00_3193 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											BgL_sfunz00_3178))))->
																							BgL_thezd2closurezd2);
																						{	/* Cfa/closure.scm 266 */
																							obj_t BgL_classz00_4292;

																							BgL_classz00_4292 =
																								BGl_globalz00zzast_varz00;
																							if (BGL_OBJECTP
																								(BgL_arg1763z00_3193))
																								{	/* Cfa/closure.scm 266 */
																									BgL_objectz00_bglt
																										BgL_arg1820z00_4294;
																									BgL_arg1820z00_4294 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1763z00_3193);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Cfa/closure.scm 266 */
																											long BgL_idxz00_4300;

																											BgL_idxz00_4300 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1820z00_4294);
																											BgL_test2316z00_5373 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4300 +
																														((long) 2))) ==
																												BgL_classz00_4292);
																										}
																									else
																										{	/* Cfa/closure.scm 266 */
																											bool_t
																												BgL_res2212z00_4322;
																											{	/* Cfa/closure.scm 266 */
																												obj_t
																													BgL_oclassz00_4308;
																												{	/* Cfa/closure.scm 266 */
																													long
																														BgL_arg1828z00_4314;
																													{	/* Cfa/closure.scm 266 */
																														long
																															BgL_arg1829z00_4315;
																														BgL_arg1829z00_4315
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1820z00_4294);
																														BgL_arg1828z00_4314
																															=
																															(BgL_arg1829z00_4315
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4308 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1828z00_4314);
																												}
																												{	/* Cfa/closure.scm 266 */
																													bool_t
																														BgL__ortest_1111z00_4309;
																													BgL__ortest_1111z00_4309
																														=
																														(BgL_classz00_4292
																														==
																														BgL_oclassz00_4308);
																													if (BgL__ortest_1111z00_4309)
																														{	/* Cfa/closure.scm 266 */
																															BgL_res2212z00_4322
																																=
																																BgL__ortest_1111z00_4309;
																														}
																													else
																														{	/* Cfa/closure.scm 266 */
																															long
																																BgL_odepthz00_4310;
																															BgL_odepthz00_4310
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_4308);
																															if ((((long) 2) <
																																	BgL_odepthz00_4310))
																																{	/* Cfa/closure.scm 266 */
																																	obj_t
																																		BgL_arg1816z00_4312;
																																	BgL_arg1816z00_4312
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_4308,
																																		((long) 2));
																																	BgL_res2212z00_4322
																																		=
																																		(BgL_arg1816z00_4312
																																		==
																																		BgL_classz00_4292);
																																}
																															else
																																{	/* Cfa/closure.scm 266 */
																																	BgL_res2212z00_4322
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2316z00_5373 =
																												BgL_res2212z00_4322;
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 266 */
																									BgL_test2316z00_5373 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2316z00_5373)
																						{	/* Cfa/closure.scm 267 */
																							BgL_valuez00_bglt
																								BgL_arg1756z00_3191;
																							BgL_arg1756z00_3191 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt) ((
																														(BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																((BgL_sfunz00_bglt) BgL_sfunz00_3178))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																							{	/* Cfa/closure.scm 267 */
																								obj_t BgL_classz00_4325;

																								BgL_classz00_4325 =
																									BGl_scnstz00zzast_varz00;
																								{	/* Cfa/closure.scm 267 */
																									BgL_objectz00_bglt
																										BgL_arg1820z00_4327;
																									{	/* Cfa/closure.scm 267 */
																										obj_t BgL_tmpz00_5402;

																										BgL_tmpz00_5402 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_arg1756z00_3191));
																										BgL_arg1820z00_4327 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_5402);
																									}
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Cfa/closure.scm 267 */
																											long BgL_idxz00_4333;

																											BgL_idxz00_4333 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1820z00_4327);
																											BgL_test2311z00_5351 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4333 +
																														((long) 2))) ==
																												BgL_classz00_4325);
																										}
																									else
																										{	/* Cfa/closure.scm 267 */
																											bool_t
																												BgL_res2213z00_4355;
																											{	/* Cfa/closure.scm 267 */
																												obj_t
																													BgL_oclassz00_4341;
																												{	/* Cfa/closure.scm 267 */
																													long
																														BgL_arg1828z00_4347;
																													{	/* Cfa/closure.scm 267 */
																														long
																															BgL_arg1829z00_4348;
																														BgL_arg1829z00_4348
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1820z00_4327);
																														BgL_arg1828z00_4347
																															=
																															(BgL_arg1829z00_4348
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4341 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1828z00_4347);
																												}
																												{	/* Cfa/closure.scm 267 */
																													bool_t
																														BgL__ortest_1111z00_4342;
																													BgL__ortest_1111z00_4342
																														=
																														(BgL_classz00_4325
																														==
																														BgL_oclassz00_4341);
																													if (BgL__ortest_1111z00_4342)
																														{	/* Cfa/closure.scm 267 */
																															BgL_res2213z00_4355
																																=
																																BgL__ortest_1111z00_4342;
																														}
																													else
																														{	/* Cfa/closure.scm 267 */
																															long
																																BgL_odepthz00_4343;
																															BgL_odepthz00_4343
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_4341);
																															if ((((long) 2) <
																																	BgL_odepthz00_4343))
																																{	/* Cfa/closure.scm 267 */
																																	obj_t
																																		BgL_arg1816z00_4345;
																																	BgL_arg1816z00_4345
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_4341,
																																		((long) 2));
																																	BgL_res2213z00_4355
																																		=
																																		(BgL_arg1816z00_4345
																																		==
																																		BgL_classz00_4325);
																																}
																															else
																																{	/* Cfa/closure.scm 267 */
																																	BgL_res2213z00_4355
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2311z00_5351 =
																												BgL_res2213z00_4355;
																										}
																								}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 266 */
																							BgL_test2311z00_5351 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 265 */
																					BgL_test2311z00_5351 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2311z00_5351)
																			{	/* Cfa/closure.scm 268 */
																				BgL_valuez00_bglt BgL_arg1754z00_3187;

																				BgL_arg1754z00_3187 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_funz00_bglt) COBJECT(
																												((BgL_funz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_sfunz00_3178))))->
																										BgL_thezd2closurezd2)))))->
																					BgL_valuez00);
																				{	/* Cfa/closure.scm 268 */
																					obj_t BgL_vz00_4359;

																					BgL_vz00_4359 =
																						CNST_TABLE_REF(((long) 6));
																					((((BgL_scnstz00_bglt) COBJECT(
																									((BgL_scnstz00_bglt)
																										BgL_arg1754z00_3187)))->
																							BgL_classz00) =
																						((obj_t) BgL_vz00_4359), BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 265 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 270 */
																		BgL_varz00_bglt BgL_arg1765z00_3194;

																		BgL_arg1765z00_3194 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3173))))->BgL_funz00);
																		{	/* Cfa/closure.scm 270 */
																			BgL_variablez00_bglt BgL_vz00_4361;

																			BgL_vz00_4361 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1765z00_3194))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4361),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 271 */
																		BgL_varz00_bglt BgL_arg1766z00_3195;

																		BgL_arg1766z00_3195 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3173))))->BgL_funz00);
																		{	/* Cfa/closure.scm 271 */
																			BgL_typez00_bglt BgL_vz00_4363;

																			BgL_vz00_4363 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1766z00_3195)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_4363),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3173))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																		BUNSPEC);
																}
															else
																{	/* Cfa/closure.scm 264 */
																	{	/* Cfa/closure.scm 274 */
																		BgL_varz00_bglt BgL_arg1769z00_3196;

																		BgL_arg1769z00_3196 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3173))))->BgL_funz00);
																		{	/* Cfa/closure.scm 274 */
																			BgL_variablez00_bglt BgL_vz00_4365;

																			BgL_vz00_4365 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1769z00_3196))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4365),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 275 */
																		BgL_varz00_bglt BgL_arg1770z00_3197;

																		BgL_arg1770z00_3197 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3173))))->BgL_funz00);
																		{	/* Cfa/closure.scm 275 */
																			BgL_typez00_bglt BgL_vz00_4367;

																			BgL_vz00_4367 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1770z00_3197)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_4367),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3173))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																		BUNSPEC);
																}
														}
													}
												}
											}
											{
												obj_t BgL_auxz00_5461;

												{	/* Cfa/closure.scm 277 */
													obj_t BgL_pairz00_4368;

													BgL_pairz00_4368 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_3173))))->
														BgL_argsz00);
													{	/* Cfa/closure.scm 277 */
														obj_t BgL_pairz00_4371;

														BgL_pairz00_4371 = CDR(BgL_pairz00_4368);
														BgL_auxz00_5461 = CDR(BgL_pairz00_4371);
													}
												}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_3173))))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_5461), BUNSPEC);
											}
											BgL_appz00_3173;
										}
									else
										{	/* Cfa/closure.scm 302 */
											bool_t BgL_test2324z00_5470;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5471;

												{
													obj_t BgL_auxz00_5472;

													{	/* Cfa/closure.scm 302 */
														BgL_objectz00_bglt BgL_tmpz00_5473;

														BgL_tmpz00_5473 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_appz00_3167));
														BgL_auxz00_5472 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5473);
													}
													BgL_auxz00_5471 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_5472);
												}
												BgL_test2324z00_5470 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_5471))->BgL_tz00);
											}
											if (BgL_test2324z00_5470)
												{	/* Cfa/closure.scm 302 */
													BgL_appz00_3203 = BgL_appz00_3167;
													{	/* Cfa/closure.scm 282 */
														obj_t BgL_siza7eza7_3206;

														{	/* Cfa/closure.scm 282 */
															obj_t BgL_arg1846z00_3230;

															{	/* Cfa/closure.scm 282 */
																obj_t BgL_pairz00_4372;

																BgL_pairz00_4372 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_appz00_3203))))->
																	BgL_argsz00);
																BgL_arg1846z00_3230 =
																	CAR(CDR(CDR(BgL_pairz00_4372)));
															}
															BgL_siza7eza7_3206 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg1846z00_3230));
														}
														{	/* Cfa/closure.scm 282 */
															BgL_variablez00_bglt BgL_ffunz00_3207;

															{
																BgL_varz00_bglt BgL_auxz00_5487;

																{	/* Cfa/closure.scm 283 */
																	obj_t BgL_pairz00_4378;

																	BgL_pairz00_4378 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_appz00_3203))))->BgL_argsz00);
																	BgL_auxz00_5487 =
																		((BgL_varz00_bglt) CAR(BgL_pairz00_4378));
																}
																BgL_ffunz00_3207 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_auxz00_5487))->BgL_variablez00);
															}
															{	/* Cfa/closure.scm 283 */
																BgL_valuez00_bglt BgL_sfunz00_3208;

																BgL_sfunz00_3208 =
																	(((BgL_variablez00_bglt)
																		COBJECT(BgL_ffunz00_3207))->BgL_valuez00);
																{	/* Cfa/closure.scm 284 */

																	{	/* Cfa/closure.scm 285 */
																		bool_t BgL_test2325z00_5495;

																		{	/* Cfa/closure.scm 285 */
																			bool_t BgL_test2326z00_5496;

																			{	/* Cfa/closure.scm 285 */
																				obj_t BgL_classz00_4381;

																				BgL_classz00_4381 =
																					BGl_globalz00zzast_varz00;
																				{	/* Cfa/closure.scm 285 */
																					BgL_objectz00_bglt
																						BgL_arg1820z00_4383;
																					{	/* Cfa/closure.scm 285 */
																						obj_t BgL_tmpz00_5497;

																						BgL_tmpz00_5497 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_ffunz00_3207));
																						BgL_arg1820z00_4383 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_5497);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Cfa/closure.scm 285 */
																							long BgL_idxz00_4389;

																							BgL_idxz00_4389 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1820z00_4383);
																							BgL_test2326z00_5496 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_4389 +
																										((long) 2))) ==
																								BgL_classz00_4381);
																						}
																					else
																						{	/* Cfa/closure.scm 285 */
																							bool_t BgL_res2214z00_4411;

																							{	/* Cfa/closure.scm 285 */
																								obj_t BgL_oclassz00_4397;

																								{	/* Cfa/closure.scm 285 */
																									long BgL_arg1828z00_4403;

																									{	/* Cfa/closure.scm 285 */
																										long BgL_arg1829z00_4404;

																										BgL_arg1829z00_4404 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1820z00_4383);
																										BgL_arg1828z00_4403 =
																											(BgL_arg1829z00_4404 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_4397 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1828z00_4403);
																								}
																								{	/* Cfa/closure.scm 285 */
																									bool_t
																										BgL__ortest_1111z00_4398;
																									BgL__ortest_1111z00_4398 =
																										(BgL_classz00_4381 ==
																										BgL_oclassz00_4397);
																									if (BgL__ortest_1111z00_4398)
																										{	/* Cfa/closure.scm 285 */
																											BgL_res2214z00_4411 =
																												BgL__ortest_1111z00_4398;
																										}
																									else
																										{	/* Cfa/closure.scm 285 */
																											long BgL_odepthz00_4399;

																											BgL_odepthz00_4399 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_4397);
																											if ((((long) 2) <
																													BgL_odepthz00_4399))
																												{	/* Cfa/closure.scm 285 */
																													obj_t
																														BgL_arg1816z00_4401;
																													BgL_arg1816z00_4401 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_4397,
																														((long) 2));
																													BgL_res2214z00_4411 =
																														(BgL_arg1816z00_4401
																														==
																														BgL_classz00_4381);
																												}
																											else
																												{	/* Cfa/closure.scm 285 */
																													BgL_res2214z00_4411 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2326z00_5496 =
																								BgL_res2214z00_4411;
																						}
																				}
																			}
																			if (BgL_test2326z00_5496)
																				{	/* Cfa/closure.scm 286 */
																					bool_t BgL_test2330z00_5517;

																					{	/* Cfa/closure.scm 286 */
																						obj_t BgL_arg1830z00_3222;

																						BgL_arg1830z00_3222 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											BgL_sfunz00_3208))))->
																							BgL_thezd2closurezd2);
																						{	/* Cfa/closure.scm 286 */
																							obj_t BgL_classz00_4413;

																							BgL_classz00_4413 =
																								BGl_globalz00zzast_varz00;
																							if (BGL_OBJECTP
																								(BgL_arg1830z00_3222))
																								{	/* Cfa/closure.scm 286 */
																									BgL_objectz00_bglt
																										BgL_arg1820z00_4415;
																									BgL_arg1820z00_4415 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1830z00_3222);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Cfa/closure.scm 286 */
																											long BgL_idxz00_4421;

																											BgL_idxz00_4421 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1820z00_4415);
																											BgL_test2330z00_5517 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4421 +
																														((long) 2))) ==
																												BgL_classz00_4413);
																										}
																									else
																										{	/* Cfa/closure.scm 286 */
																											bool_t
																												BgL_res2215z00_4443;
																											{	/* Cfa/closure.scm 286 */
																												obj_t
																													BgL_oclassz00_4429;
																												{	/* Cfa/closure.scm 286 */
																													long
																														BgL_arg1828z00_4435;
																													{	/* Cfa/closure.scm 286 */
																														long
																															BgL_arg1829z00_4436;
																														BgL_arg1829z00_4436
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1820z00_4415);
																														BgL_arg1828z00_4435
																															=
																															(BgL_arg1829z00_4436
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4429 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1828z00_4435);
																												}
																												{	/* Cfa/closure.scm 286 */
																													bool_t
																														BgL__ortest_1111z00_4430;
																													BgL__ortest_1111z00_4430
																														=
																														(BgL_classz00_4413
																														==
																														BgL_oclassz00_4429);
																													if (BgL__ortest_1111z00_4430)
																														{	/* Cfa/closure.scm 286 */
																															BgL_res2215z00_4443
																																=
																																BgL__ortest_1111z00_4430;
																														}
																													else
																														{	/* Cfa/closure.scm 286 */
																															long
																																BgL_odepthz00_4431;
																															BgL_odepthz00_4431
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_4429);
																															if ((((long) 2) <
																																	BgL_odepthz00_4431))
																																{	/* Cfa/closure.scm 286 */
																																	obj_t
																																		BgL_arg1816z00_4433;
																																	BgL_arg1816z00_4433
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_4429,
																																		((long) 2));
																																	BgL_res2215z00_4443
																																		=
																																		(BgL_arg1816z00_4433
																																		==
																																		BgL_classz00_4413);
																																}
																															else
																																{	/* Cfa/closure.scm 286 */
																																	BgL_res2215z00_4443
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2330z00_5517 =
																												BgL_res2215z00_4443;
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 286 */
																									BgL_test2330z00_5517 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2330z00_5517)
																						{	/* Cfa/closure.scm 287 */
																							BgL_valuez00_bglt
																								BgL_arg1821z00_3220;
																							BgL_arg1821z00_3220 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt) ((
																														(BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																((BgL_sfunz00_bglt) BgL_sfunz00_3208))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																							{	/* Cfa/closure.scm 287 */
																								obj_t BgL_classz00_4446;

																								BgL_classz00_4446 =
																									BGl_scnstz00zzast_varz00;
																								{	/* Cfa/closure.scm 287 */
																									BgL_objectz00_bglt
																										BgL_arg1820z00_4448;
																									{	/* Cfa/closure.scm 287 */
																										obj_t BgL_tmpz00_5546;

																										BgL_tmpz00_5546 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_arg1821z00_3220));
																										BgL_arg1820z00_4448 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_5546);
																									}
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Cfa/closure.scm 287 */
																											long BgL_idxz00_4454;

																											BgL_idxz00_4454 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1820z00_4448);
																											BgL_test2325z00_5495 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4454 +
																														((long) 2))) ==
																												BgL_classz00_4446);
																										}
																									else
																										{	/* Cfa/closure.scm 287 */
																											bool_t
																												BgL_res2216z00_4476;
																											{	/* Cfa/closure.scm 287 */
																												obj_t
																													BgL_oclassz00_4462;
																												{	/* Cfa/closure.scm 287 */
																													long
																														BgL_arg1828z00_4468;
																													{	/* Cfa/closure.scm 287 */
																														long
																															BgL_arg1829z00_4469;
																														BgL_arg1829z00_4469
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1820z00_4448);
																														BgL_arg1828z00_4468
																															=
																															(BgL_arg1829z00_4469
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4462 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1828z00_4468);
																												}
																												{	/* Cfa/closure.scm 287 */
																													bool_t
																														BgL__ortest_1111z00_4463;
																													BgL__ortest_1111z00_4463
																														=
																														(BgL_classz00_4446
																														==
																														BgL_oclassz00_4462);
																													if (BgL__ortest_1111z00_4463)
																														{	/* Cfa/closure.scm 287 */
																															BgL_res2216z00_4476
																																=
																																BgL__ortest_1111z00_4463;
																														}
																													else
																														{	/* Cfa/closure.scm 287 */
																															long
																																BgL_odepthz00_4464;
																															BgL_odepthz00_4464
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_4462);
																															if ((((long) 2) <
																																	BgL_odepthz00_4464))
																																{	/* Cfa/closure.scm 287 */
																																	obj_t
																																		BgL_arg1816z00_4466;
																																	BgL_arg1816z00_4466
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_4462,
																																		((long) 2));
																																	BgL_res2216z00_4476
																																		=
																																		(BgL_arg1816z00_4466
																																		==
																																		BgL_classz00_4446);
																																}
																															else
																																{	/* Cfa/closure.scm 287 */
																																	BgL_res2216z00_4476
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2325z00_5495 =
																												BgL_res2216z00_4476;
																										}
																								}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 286 */
																							BgL_test2325z00_5495 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 285 */
																					BgL_test2325z00_5495 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2325z00_5495)
																			{	/* Cfa/closure.scm 288 */
																				BgL_valuez00_bglt BgL_arg1817z00_3216;

																				BgL_arg1817z00_3216 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_funz00_bglt) COBJECT(
																												((BgL_funz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_sfunz00_3208))))->
																										BgL_thezd2closurezd2)))))->
																					BgL_valuez00);
																				{	/* Cfa/closure.scm 288 */
																					obj_t BgL_vz00_4480;

																					BgL_vz00_4480 =
																						CNST_TABLE_REF(((long) 7));
																					((((BgL_scnstz00_bglt) COBJECT(
																									((BgL_scnstz00_bglt)
																										BgL_arg1817z00_3216)))->
																							BgL_classz00) =
																						((obj_t) BgL_vz00_4480), BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 285 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 290 */
																		BgL_varz00_bglt BgL_arg1833z00_3223;

																		BgL_arg1833z00_3223 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3203))))->BgL_funz00);
																		{	/* Cfa/closure.scm 290 */
																			BgL_variablez00_bglt BgL_vz00_4482;

																			BgL_vz00_4482 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1833z00_3223))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4482),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 292 */
																		BgL_varz00_bglt BgL_arg1835z00_3224;

																		BgL_arg1835z00_3224 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3203))))->BgL_funz00);
																		{	/* Cfa/closure.scm 292 */
																			BgL_typez00_bglt BgL_vz00_4484;

																			BgL_vz00_4484 =
																				((BgL_typez00_bglt)
																				BGl_za2procedureza2z00zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1835z00_3224)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_4484),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3203))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedureza2z00zztype_cachez00)),
																		BUNSPEC);
																	{	/* Cfa/closure.scm 294 */
																		obj_t BgL_arg1836z00_3225;
																		obj_t BgL_arg1837z00_3226;

																		BgL_arg1836z00_3225 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3203))))->BgL_argsz00);
																		{	/* Cfa/closure.scm 294 */
																			obj_t BgL_pairz00_4485;

																			BgL_pairz00_4485 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_3203))))->
																				BgL_argsz00);
																			BgL_arg1837z00_3226 =
																				CDR(CDR(BgL_pairz00_4485));
																		}
																		{	/* Cfa/closure.scm 294 */
																			obj_t BgL_tmpz00_5598;

																			BgL_tmpz00_5598 =
																				((obj_t) BgL_arg1836z00_3225);
																			SET_CDR(BgL_tmpz00_5598,
																				BgL_arg1837z00_3226);
																		}
																	}
																	BgL_appz00_3203;
																}
															}
														}
													}
												}
											else
												{	/* Cfa/closure.scm 302 */
													BFALSE;
												}
										}
								}
							}
							{
								obj_t BgL_l1527z00_5601;

								BgL_l1527z00_5601 = CDR(BgL_l1527z00_3164);
								BgL_l1527z00_3164 = BgL_l1527z00_5601;
								goto BgL_zc3z04anonymousza31735ze3z87_3165;
							}
						}
					else
						{	/* Cfa/closure.scm 298 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 308 */
			{
				obj_t BgL_l1534z00_3235;

				BgL_l1534z00_3235 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_zc3z04anonymousza31848ze3z87_3236:
				if (PAIRP(BgL_l1534z00_3235))
					{	/* Cfa/closure.scm 312 */
						{	/* Cfa/closure.scm 313 */
							BgL_funcallz00_bglt BgL_appz00_3238;

							BgL_appz00_3238 = ((BgL_funcallz00_bglt) CAR(BgL_l1534z00_3235));
							{	/* Cfa/closure.scm 314 */
								BgL_nodez00_bglt BgL_funz00_3239;

								BgL_funz00_3239 =
									(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_3238))->
									BgL_funz00);
								{	/* Cfa/closure.scm 314 */
									BgL_approxz00_bglt BgL_approxz00_3240;

									BgL_approxz00_3240 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3239);
									{	/* Cfa/closure.scm 315 */
										obj_t BgL_alloczd2listzd2_3241;

										BgL_alloczd2listzd2_3241 =
											BGl_setzd2ze3listz31zzcfa_setz00(
											(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3240))->
												BgL_allocsz00));
										{	/* Cfa/closure.scm 316 */

											{	/* Cfa/closure.scm 317 */
												bool_t BgL_test2339z00_5611;

												if (PAIRP(BgL_alloczd2listzd2_3241))
													{	/* Cfa/closure.scm 318 */
														bool_t BgL_test2341z00_5614;

														{	/* Cfa/closure.scm 318 */
															obj_t BgL_arg1883z00_3286;

															BgL_arg1883z00_3286 =
																CAR(BgL_alloczd2listzd2_3241);
															{	/* Cfa/closure.scm 318 */
																obj_t BgL_classz00_4498;

																BgL_classz00_4498 =
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00;
																if (BGL_OBJECTP(BgL_arg1883z00_3286))
																	{	/* Cfa/closure.scm 318 */
																		BgL_objectz00_bglt BgL_arg1820z00_4500;

																		BgL_arg1820z00_4500 =
																			(BgL_objectz00_bglt)
																			(BgL_arg1883z00_3286);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Cfa/closure.scm 318 */
																				long BgL_idxz00_4506;

																				BgL_idxz00_4506 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_4500);
																				BgL_test2341z00_5614 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_4506 + ((long) 4))) ==
																					BgL_classz00_4498);
																			}
																		else
																			{	/* Cfa/closure.scm 318 */
																				bool_t BgL_res2217z00_4528;

																				{	/* Cfa/closure.scm 318 */
																					obj_t BgL_oclassz00_4514;

																					{	/* Cfa/closure.scm 318 */
																						long BgL_arg1828z00_4520;

																						{	/* Cfa/closure.scm 318 */
																							long BgL_arg1829z00_4521;

																							BgL_arg1829z00_4521 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_4500);
																							BgL_arg1828z00_4520 =
																								(BgL_arg1829z00_4521 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_4514 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_4520);
																					}
																					{	/* Cfa/closure.scm 318 */
																						bool_t BgL__ortest_1111z00_4515;

																						BgL__ortest_1111z00_4515 =
																							(BgL_classz00_4498 ==
																							BgL_oclassz00_4514);
																						if (BgL__ortest_1111z00_4515)
																							{	/* Cfa/closure.scm 318 */
																								BgL_res2217z00_4528 =
																									BgL__ortest_1111z00_4515;
																							}
																						else
																							{	/* Cfa/closure.scm 318 */
																								long BgL_odepthz00_4516;

																								BgL_odepthz00_4516 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_4514);
																								if ((((long) 4) <
																										BgL_odepthz00_4516))
																									{	/* Cfa/closure.scm 318 */
																										obj_t BgL_arg1816z00_4518;

																										BgL_arg1816z00_4518 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_4514,
																											((long) 4));
																										BgL_res2217z00_4528 =
																											(BgL_arg1816z00_4518 ==
																											BgL_classz00_4498);
																									}
																								else
																									{	/* Cfa/closure.scm 318 */
																										BgL_res2217z00_4528 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2341z00_5614 =
																					BgL_res2217z00_4528;
																			}
																	}
																else
																	{	/* Cfa/closure.scm 318 */
																		BgL_test2341z00_5614 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test2341z00_5614)
															{	/* Cfa/closure.scm 318 */
																BgL_test2339z00_5611 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 318 */
																BgL_test2339z00_5611 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 317 */
														BgL_test2339z00_5611 = ((bool_t) 1);
													}
												if (BgL_test2339z00_5611)
													{	/* Cfa/closure.scm 317 */
														CNST_TABLE_REF(((long) 8));
													}
												else
													{	/* Cfa/closure.scm 322 */
														BgL_appz00_bglt BgL_allocz00_3247;

														BgL_allocz00_3247 =
															((BgL_appz00_bglt)
															CAR(((obj_t) BgL_alloczd2listzd2_3241)));
														{	/* Cfa/closure.scm 325 */
															bool_t BgL_test2346z00_5639;

															{
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_auxz00_5640;
																{
																	obj_t BgL_auxz00_5641;

																	{	/* Cfa/closure.scm 325 */
																		BgL_objectz00_bglt BgL_tmpz00_5642;

																		BgL_tmpz00_5642 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) BgL_allocz00_3247));
																		BgL_auxz00_5641 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5642);
																	}
																	BgL_auxz00_5640 =
																		((BgL_makezd2procedurezd2appz00_bglt)
																		BgL_auxz00_5641);
																}
																BgL_test2346z00_5639 =
																	(((BgL_makezd2procedurezd2appz00_bglt)
																		COBJECT(BgL_auxz00_5640))->BgL_xz00);
															}
															if (BgL_test2346z00_5639)
																{	/* Cfa/closure.scm 325 */
																	{	/* Cfa/closure.scm 330 */
																		BgL_refz00_bglt BgL_arg1857z00_3250;

																		{	/* Cfa/closure.scm 330 */
																			BgL_nodez00_bglt
																				BgL_duplicated1173z00_3251;
																			BgL_refz00_bglt BgL_new1171z00_3252;

																			{	/* Cfa/closure.scm 330 */
																				obj_t BgL_pairz00_4531;

																				BgL_pairz00_4531 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_3247))))->
																					BgL_argsz00);
																				BgL_duplicated1173z00_3251 =
																					((BgL_nodez00_bglt)
																					CAR(BgL_pairz00_4531));
																			}
																			{	/* Cfa/closure.scm 331 */
																				BgL_refz00_bglt BgL_new1175z00_3262;

																				BgL_new1175z00_3262 =
																					((BgL_refz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_refz00_bgl))));
																				{	/* Cfa/closure.scm 331 */
																					long BgL_arg1868z00_3263;

																					BgL_arg1868z00_3263 =
																						BGL_CLASS_NUM
																						(BGl_refz00zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1175z00_3262),
																						BgL_arg1868z00_3263);
																				}
																				{	/* Cfa/closure.scm 331 */
																					BgL_objectz00_bglt BgL_tmpz00_5657;

																					BgL_tmpz00_5657 =
																						((BgL_objectz00_bglt)
																						BgL_new1175z00_3262);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_5657, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1175z00_3262);
																				BgL_new1171z00_3252 =
																					BgL_new1175z00_3262;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1171z00_3252)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							COBJECT
																							(BgL_duplicated1173z00_3251))->
																						BgL_locz00)), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_5664;

																				{	/* Cfa/closure.scm 332 */
																					obj_t BgL_arg1859z00_3253;
																					BgL_typez00_bglt BgL_arg1860z00_3254;

																					{	/* Cfa/closure.scm 332 */
																						BgL_approxz00_bglt
																							BgL_arg1861z00_3255;
																						obj_t BgL_arg1862z00_3256;

																						{
																							BgL_makezd2procedurezd2appz00_bglt
																								BgL_auxz00_5666;
																							{
																								obj_t BgL_auxz00_5667;

																								{	/* Cfa/closure.scm 332 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_5668;
																									BgL_tmpz00_5668 =
																										((BgL_objectz00_bglt) (
																											(BgL_appz00_bglt)
																											BgL_allocz00_3247));
																									BgL_auxz00_5667 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_5668);
																								}
																								BgL_auxz00_5666 =
																									(
																									(BgL_makezd2procedurezd2appz00_bglt)
																									BgL_auxz00_5667);
																							}
																							BgL_arg1861z00_3255 =
																								(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5666))->BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 332 */
																							obj_t BgL_pairz00_4537;

																							BgL_pairz00_4537 =
																								(((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												BgL_allocz00_3247))))->
																								BgL_argsz00);
																							BgL_arg1862z00_3256 =
																								CAR(BgL_pairz00_4537);
																						}
																						BgL_arg1859z00_3253 =
																							BGl_getzd2approxzd2typez00zzcfa_typez00
																							(BgL_arg1861z00_3255,
																							BgL_arg1862z00_3256);
																					}
																					{
																						BgL_nodez00_bglt BgL_auxz00_5679;

																						{
																							BgL_varz00_bglt BgL_auxz00_5680;

																							{	/* Cfa/closure.scm 333 */
																								obj_t BgL_pairz00_4538;

																								BgL_pairz00_4538 =
																									(((BgL_appz00_bglt) COBJECT(
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_allocz00_3247))))->
																									BgL_argsz00);
																								BgL_auxz00_5680 =
																									((BgL_varz00_bglt)
																									CAR(BgL_pairz00_4538));
																							}
																							BgL_auxz00_5679 =
																								((BgL_nodez00_bglt)
																								BgL_auxz00_5680);
																						}
																						BgL_arg1860z00_3254 =
																							(((BgL_nodez00_bglt)
																								COBJECT(BgL_auxz00_5679))->
																							BgL_typez00);
																					}
																					BgL_auxz00_5664 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(((BgL_typez00_bglt)
																							BgL_arg1859z00_3253),
																						BgL_arg1860z00_3254);
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1171z00_3252)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_5664),
																					BUNSPEC);
																			}
																			((((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								BgL_new1171z00_3252)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) ((
																							(BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_duplicated1173z00_3251)))->
																						BgL_variablez00)), BUNSPEC);
																			BgL_arg1857z00_3250 = BgL_new1171z00_3252;
																		}
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_3238))->
																				BgL_funz00) =
																			((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																					BgL_arg1857z00_3250)), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 334 */
																		obj_t BgL_arg1870z00_3264;

																		{	/* Cfa/closure.scm 334 */
																			obj_t BgL_arg1871z00_3265;

																			{	/* Cfa/closure.scm 334 */
																				obj_t BgL_pairz00_4542;

																				BgL_pairz00_4542 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_3247))))->
																					BgL_argsz00);
																				BgL_arg1871z00_3265 =
																					CAR(BgL_pairz00_4542);
																			}
																			{	/* Cfa/closure.scm 334 */
																				obj_t BgL_list1872z00_3266;

																				BgL_list1872z00_3266 =
																					MAKE_YOUNG_PAIR(BgL_arg1871z00_3265,
																					BNIL);
																				BgL_arg1870z00_3264 =
																					BgL_list1872z00_3266;
																		}}
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_3238))->
																				BgL_functionsz00) =
																			((obj_t) BgL_arg1870z00_3264), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 335 */
																		obj_t BgL_vz00_4546;

																		BgL_vz00_4546 = CNST_TABLE_REF(((long) 1));
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_3238))->
																				BgL_strengthz00) =
																			((obj_t) BgL_vz00_4546), BUNSPEC);
																}}
															else
																{	/* Cfa/closure.scm 336 */
																	bool_t BgL_test2347z00_5705;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5706;
																		{
																			obj_t BgL_auxz00_5707;

																			{	/* Cfa/closure.scm 336 */
																				BgL_objectz00_bglt BgL_tmpz00_5708;

																				BgL_tmpz00_5708 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_allocz00_3247));
																				BgL_auxz00_5707 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5708);
																			}
																			BgL_auxz00_5706 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5707);
																		}
																		BgL_test2347z00_5705 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_5706))->BgL_tz00);
																	}
																	if (BgL_test2347z00_5705)
																		{	/* Cfa/closure.scm 336 */
																			{	/* Cfa/closure.scm 339 */
																				obj_t BgL_fz00_3269;

																				if (NULLP(BgL_alloczd2listzd2_3241))
																					{	/* Cfa/closure.scm 339 */
																						BgL_fz00_3269 = BNIL;
																					}
																				else
																					{	/* Cfa/closure.scm 339 */
																						obj_t BgL_head1531z00_3272;

																						BgL_head1531z00_3272 =
																							MAKE_YOUNG_PAIR(BNIL, BNIL);
																						{
																							obj_t BgL_l1529z00_3274;
																							obj_t BgL_tail1532z00_3275;

																							BgL_l1529z00_3274 =
																								BgL_alloczd2listzd2_3241;
																							BgL_tail1532z00_3275 =
																								BgL_head1531z00_3272;
																						BgL_zc3z04anonymousza31876ze3z87_3276:
																							if (NULLP
																								(BgL_l1529z00_3274))
																								{	/* Cfa/closure.scm 339 */
																									BgL_fz00_3269 =
																										CDR(BgL_head1531z00_3272);
																								}
																							else
																								{	/* Cfa/closure.scm 339 */
																									obj_t BgL_newtail1533z00_3278;

																									{	/* Cfa/closure.scm 339 */
																										obj_t BgL_arg1880z00_3280;

																										{	/* Cfa/closure.scm 340 */
																											obj_t BgL_pairz00_4551;

																											BgL_pairz00_4551 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																CAR(((obj_t)
																																		BgL_l1529z00_3274))))))->
																												BgL_argsz00);
																											BgL_arg1880z00_3280 =
																												CAR(BgL_pairz00_4551);
																										}
																										BgL_newtail1533z00_3278 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1880z00_3280,
																											BNIL);
																									}
																									SET_CDR(BgL_tail1532z00_3275,
																										BgL_newtail1533z00_3278);
																									{	/* Cfa/closure.scm 339 */
																										obj_t BgL_arg1879z00_3279;

																										BgL_arg1879z00_3279 =
																											CDR(
																											((obj_t)
																												BgL_l1529z00_3274));
																										{
																											obj_t
																												BgL_tail1532z00_5731;
																											obj_t BgL_l1529z00_5730;

																											BgL_l1529z00_5730 =
																												BgL_arg1879z00_3279;
																											BgL_tail1532z00_5731 =
																												BgL_newtail1533z00_3278;
																											BgL_tail1532z00_3275 =
																												BgL_tail1532z00_5731;
																											BgL_l1529z00_3274 =
																												BgL_l1529z00_5730;
																											goto
																												BgL_zc3z04anonymousza31876ze3z87_3276;
																										}
																									}
																								}
																						}
																					}
																				((((BgL_funcallz00_bglt)
																							COBJECT(BgL_appz00_3238))->
																						BgL_functionsz00) =
																					((obj_t) BgL_fz00_3269), BUNSPEC);
																				{	/* Cfa/closure.scm 343 */
																					obj_t BgL_vz00_4556;

																					BgL_vz00_4556 =
																						CNST_TABLE_REF(((long) 2));
																					((((BgL_funcallz00_bglt)
																								COBJECT(BgL_appz00_3238))->
																							BgL_strengthz00) =
																						((obj_t) BgL_vz00_4556), BUNSPEC);
																		}}}
																	else
																		{	/* Cfa/closure.scm 336 */
																			CNST_TABLE_REF(((long) 8));
						}}}}}}}}}}
						{
							obj_t BgL_l1534z00_5736;

							BgL_l1534z00_5736 = CDR(BgL_l1534z00_3235);
							BgL_l1534z00_3235 = BgL_l1534z00_5736;
							goto BgL_zc3z04anonymousza31848ze3z87_3236;
						}
					}
				else
					{	/* Cfa/closure.scm 312 */
						((bool_t) 1);
					}
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/closure.scm 348 */
					{	/* Cfa/closure.scm 354 */
						obj_t BgL_funcallzd2lzd2_3290;

						{	/* Cfa/closure.scm 354 */
							obj_t BgL_hook1540z00_3314;

							BgL_hook1540z00_3314 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1537z00_3316;
								obj_t BgL_h1538z00_3317;

								BgL_l1537z00_3316 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
								BgL_h1538z00_3317 = BgL_hook1540z00_3314;
							BgL_zc3z04anonymousza31900ze3z87_3318:
								if (NULLP(BgL_l1537z00_3316))
									{	/* Cfa/closure.scm 354 */
										BgL_funcallzd2lzd2_3290 = CDR(BgL_hook1540z00_3314);
									}
								else
									{	/* Cfa/closure.scm 354 */
										if (
											((((BgL_funcallz00_bglt) COBJECT(
															((BgL_funcallz00_bglt)
																CAR(
																	((obj_t) BgL_l1537z00_3316)))))->
													BgL_strengthz00) == CNST_TABLE_REF(((long) 2))))
											{	/* Cfa/closure.scm 354 */
												obj_t BgL_nh1539z00_3323;

												{	/* Cfa/closure.scm 354 */
													obj_t BgL_arg1906z00_3325;

													BgL_arg1906z00_3325 =
														CAR(((obj_t) BgL_l1537z00_3316));
													BgL_nh1539z00_3323 =
														MAKE_YOUNG_PAIR(BgL_arg1906z00_3325, BNIL);
												}
												SET_CDR(BgL_h1538z00_3317, BgL_nh1539z00_3323);
												{	/* Cfa/closure.scm 354 */
													obj_t BgL_arg1904z00_3324;

													BgL_arg1904z00_3324 =
														CDR(((obj_t) BgL_l1537z00_3316));
													{
														obj_t BgL_h1538z00_5758;
														obj_t BgL_l1537z00_5757;

														BgL_l1537z00_5757 = BgL_arg1904z00_3324;
														BgL_h1538z00_5758 = BgL_nh1539z00_3323;
														BgL_h1538z00_3317 = BgL_h1538z00_5758;
														BgL_l1537z00_3316 = BgL_l1537z00_5757;
														goto BgL_zc3z04anonymousza31900ze3z87_3318;
													}
												}
											}
										else
											{	/* Cfa/closure.scm 354 */
												obj_t BgL_arg1907z00_3326;

												BgL_arg1907z00_3326 = CDR(((obj_t) BgL_l1537z00_3316));
												{
													obj_t BgL_l1537z00_5761;

													BgL_l1537z00_5761 = BgL_arg1907z00_3326;
													BgL_l1537z00_3316 = BgL_l1537z00_5761;
													goto BgL_zc3z04anonymousza31900ze3z87_3318;
												}
											}
									}
							}
						}
						{

						BgL_zc3z04anonymousza31886ze3z87_3292:
							{	/* Cfa/closure.scm 358 */
								bool_t BgL_contz00_3293;

								BgL_contz00_3293 = ((bool_t) 0);
								{
									obj_t BgL_l1541z00_3295;

									BgL_l1541z00_3295 = BgL_funcallzd2lzd2_3290;
								BgL_zc3z04anonymousza31887ze3z87_3296:
									if (PAIRP(BgL_l1541z00_3295))
										{	/* Cfa/closure.scm 359 */
											{	/* Cfa/closure.scm 360 */
												BgL_funcallz00_bglt BgL_appz00_3298;

												BgL_appz00_3298 =
													((BgL_funcallz00_bglt) CAR(BgL_l1541z00_3295));
												{	/* Cfa/closure.scm 360 */
													BgL_nodez00_bglt BgL_funz00_3299;

													BgL_funz00_3299 =
														(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_3298))->
														BgL_funz00);
													{	/* Cfa/closure.scm 360 */
														BgL_approxz00_bglt BgL_approxz00_3300;

														BgL_approxz00_3300 =
															BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3299);
														{	/* Cfa/closure.scm 361 */
															obj_t BgL_appsz00_3301;

															BgL_appsz00_3301 =
																BGl_setzd2ze3listz31zzcfa_setz00(
																(((BgL_approxz00_bglt)
																		COBJECT(BgL_approxz00_3300))->
																	BgL_allocsz00));
															{	/* Cfa/closure.scm 362 */

																if (PAIRP(BgL_appsz00_3301))
																	{	/* Cfa/closure.scm 363 */
																		{	/* Cfa/closure.scm 364 */
																			bool_t BgL_test2355z00_5772;

																			{	/* Cfa/closure.scm 364 */
																				obj_t BgL_tmpz00_5773;

																				BgL_tmpz00_5773 = CDR(BgL_appsz00_3301);
																				BgL_test2355z00_5772 =
																					PAIRP(BgL_tmpz00_5773);
																			}
																			if (BgL_test2355z00_5772)
																				{	/* Cfa/closure.scm 366 */
																					bool_t BgL__ortest_1176z00_3305;

																					BgL__ortest_1176z00_3305 =
																						BGl_mergezd2appzd2typesz12z12zzcfa_closurez00
																						(BgL_appsz00_3301);
																					if (BgL__ortest_1176z00_3305)
																						{	/* Cfa/closure.scm 366 */
																							BgL_contz00_3293 =
																								BgL__ortest_1176z00_3305;
																						}
																					else
																						{	/* Cfa/closure.scm 366 */
																							BgL_contz00_3293 =
																								BgL_contz00_3293;
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 364 */
																					BFALSE;
																				}
																		}
																		{	/* Cfa/closure.scm 367 */
																			bool_t BgL_mz00_3307;

																			{	/* Cfa/closure.scm 368 */
																				BgL_approxz00_bglt BgL_arg1894z00_3309;

																				BgL_arg1894z00_3309 =
																					BGl_cfaz12z12zzcfa_cfaz00(
																					((BgL_nodez00_bglt) BgL_appz00_3298));
																				BgL_mz00_3307 =
																					BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00
																					(BgL_appsz00_3301,
																					BgL_arg1894z00_3309);
																			}
																			{	/* Cfa/closure.scm 369 */
																				bool_t BgL__ortest_1177z00_3308;

																				BgL__ortest_1177z00_3308 =
																					BgL_contz00_3293;
																				if (BgL__ortest_1177z00_3308)
																					{	/* Cfa/closure.scm 369 */
																						BgL_contz00_3293 =
																							BgL__ortest_1177z00_3308;
																					}
																				else
																					{	/* Cfa/closure.scm 369 */
																						BgL_contz00_3293 = BgL_mz00_3307;
																					}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 363 */
																		BFALSE;
																	}
															}
														}
													}
												}
											}
											{
												obj_t BgL_l1541z00_5782;

												BgL_l1541z00_5782 = CDR(BgL_l1541z00_3295);
												BgL_l1541z00_3295 = BgL_l1541z00_5782;
												goto BgL_zc3z04anonymousza31887ze3z87_3296;
											}
										}
									else
										{	/* Cfa/closure.scm 359 */
											((bool_t) 1);
										}
								}
								if (BgL_contz00_3293)
									{	/* Cfa/closure.scm 371 */
										goto BgL_zc3z04anonymousza31886ze3z87_3292;
									}
								else
									{	/* Cfa/closure.scm 371 */
										return ((bool_t) 0);
									}
							}
						}
					}
				}
			else
				{	/* Cfa/closure.scm 348 */
					return ((bool_t) 0);
				}
		}

	}



/* merge-app-return-types! */
	bool_t BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00(obj_t
		BgL_appsz00_28, BgL_approxz00_bglt BgL_approxz00_29)
	{
		{	/* Cfa/closure.scm 377 */
			{	/* Cfa/closure.scm 378 */
				obj_t BgL_app0z00_3330;

				BgL_app0z00_3330 = CAR(BgL_appsz00_28);
				{	/* Cfa/closure.scm 378 */
					BgL_variablez00_bglt BgL_f0z00_3331;

					{
						BgL_varz00_bglt BgL_auxz00_5786;

						{	/* Cfa/closure.scm 379 */
							obj_t BgL_pairz00_4572;

							BgL_pairz00_4572 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_app0z00_3330))))->BgL_argsz00);
							BgL_auxz00_5786 = ((BgL_varz00_bglt) CAR(BgL_pairz00_4572));
						}
						BgL_f0z00_3331 =
							(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5786))->BgL_variablez00);
					}
					{	/* Cfa/closure.scm 379 */
						BgL_approxz00_bglt BgL_r0z00_3332;

						{	/* Cfa/closure.scm 380 */
							BgL_sfunz00_bglt BgL_oz00_4575;

							BgL_oz00_4575 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_f0z00_3331))->
									BgL_valuez00));
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_5795;

								{
									obj_t BgL_auxz00_5796;

									{	/* Cfa/closure.scm 380 */
										BgL_objectz00_bglt BgL_tmpz00_5797;

										BgL_tmpz00_5797 = ((BgL_objectz00_bglt) BgL_oz00_4575);
										BgL_auxz00_5796 = BGL_OBJECT_WIDENING(BgL_tmpz00_5797);
									}
									BgL_auxz00_5795 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_5796);
								}
								BgL_r0z00_3332 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt)
										COBJECT(BgL_auxz00_5795))->BgL_approxz00);
							}
						}
						{	/* Cfa/closure.scm 380 */
							BgL_typez00_bglt BgL_rt0z00_3333;

							BgL_rt0z00_3333 =
								(((BgL_approxz00_bglt) COBJECT(BgL_r0z00_3332))->BgL_typez00);
							{	/* Cfa/closure.scm 381 */
								BgL_typez00_bglt BgL_brt0z00_3334;

								BgL_brt0z00_3334 =
									BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_rt0z00_3333);
								{	/* Cfa/closure.scm 382 */
									BgL_typez00_bglt BgL_atz00_3335;

									BgL_atz00_3335 =
										(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_29))->
										BgL_typez00);
									{	/* Cfa/closure.scm 383 */

										{	/* Cfa/closure.scm 384 */
											bool_t BgL_test2359z00_5805;

											if (
												(((obj_t) BgL_rt0z00_3333) == ((obj_t) BgL_atz00_3335)))
												{	/* Cfa/closure.scm 384 */
													BgL_test2359z00_5805 = ((bool_t) 1);
												}
											else
												{	/* Cfa/closure.scm 384 */
													if (BGl_bigloozd2typezf3z21zztype_typez00
														(BgL_rt0z00_3333))
														{	/* Cfa/closure.scm 384 */
															BgL_test2359z00_5805 =
																BGl_bigloozd2typezf3z21zztype_typez00
																(BgL_atz00_3335);
														}
													else
														{	/* Cfa/closure.scm 384 */
															BgL_test2359z00_5805 = ((bool_t) 0);
														}
												}
											if (BgL_test2359z00_5805)
												{	/* Cfa/closure.scm 384 */
													return ((bool_t) 0);
												}
											else
												{	/* Cfa/closure.scm 384 */
													((((BgL_approxz00_bglt) COBJECT(BgL_approxz00_29))->
															BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_approxz00_bglt)
																	COBJECT(BgL_r0z00_3332))->BgL_typez00)),
														BUNSPEC);
													return ((bool_t) 1);
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* merge-app-types! */
	bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t BgL_apps0z00_30)
	{
		{	/* Cfa/closure.scm 391 */
			{
				BgL_appz00_bglt BgL_app0z00_3356;
				BgL_appz00_bglt BgL_app1z00_3357;

				{	/* Cfa/closure.scm 460 */
					obj_t BgL_g1184z00_3344;

					BgL_g1184z00_3344 = CDR(((obj_t) BgL_apps0z00_30));
					{
						obj_t BgL_appsz00_3346;
						bool_t BgL_contz00_3347;

						BgL_appsz00_3346 = BgL_g1184z00_3344;
						BgL_contz00_3347 = ((bool_t) 0);
					BgL_zc3z04anonymousza31916ze3z87_3348:
						if (NULLP(BgL_appsz00_3346))
							{	/* Cfa/closure.scm 462 */
								return BgL_contz00_3347;
							}
						else
							{	/* Cfa/closure.scm 464 */
								obj_t BgL_arg1918z00_3350;
								bool_t BgL_arg1919z00_3351;

								BgL_arg1918z00_3350 = CDR(((obj_t) BgL_appsz00_3346));
								{	/* Cfa/closure.scm 464 */
									bool_t BgL__ortest_1185z00_3352;

									{	/* Cfa/closure.scm 464 */
										obj_t BgL_arg1920z00_3353;
										obj_t BgL_arg1921z00_3354;

										BgL_arg1920z00_3353 = CAR(((obj_t) BgL_apps0z00_30));
										BgL_arg1921z00_3354 = CAR(((obj_t) BgL_appsz00_3346));
										BgL_app0z00_3356 = ((BgL_appz00_bglt) BgL_arg1920z00_3353);
										BgL_app1z00_3357 = ((BgL_appz00_bglt) BgL_arg1921z00_3354);
										{	/* Cfa/closure.scm 394 */
											BgL_variablez00_bglt BgL_f0z00_3359;

											{
												BgL_varz00_bglt BgL_auxz00_5825;

												{	/* Cfa/closure.scm 394 */
													obj_t BgL_pairz00_4583;

													BgL_pairz00_4583 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_app0z00_3356)))->
														BgL_argsz00);
													BgL_auxz00_5825 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_4583));
												}
												BgL_f0z00_3359 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5825))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 394 */
												BgL_variablez00_bglt BgL_f1z00_3360;

												{
													BgL_varz00_bglt BgL_auxz00_5831;

													{	/* Cfa/closure.scm 395 */
														obj_t BgL_pairz00_4586;

														BgL_pairz00_4586 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_app1z00_3357)))->
															BgL_argsz00);
														BgL_auxz00_5831 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4586));
													}
													BgL_f1z00_3360 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5831))->
														BgL_variablez00);
												}
												{	/* Cfa/closure.scm 395 */

													{	/* Cfa/closure.scm 397 */
														BgL_approxz00_bglt BgL_r0z00_3361;

														{	/* Cfa/closure.scm 397 */
															BgL_sfunz00_bglt BgL_oz00_4589;

															BgL_oz00_4589 =
																((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt)
																		COBJECT(BgL_f0z00_3359))->BgL_valuez00));
															{
																BgL_internzd2sfunzf2cinfoz20_bglt
																	BgL_auxz00_5839;
																{
																	obj_t BgL_auxz00_5840;

																	{	/* Cfa/closure.scm 397 */
																		BgL_objectz00_bglt BgL_tmpz00_5841;

																		BgL_tmpz00_5841 =
																			((BgL_objectz00_bglt) BgL_oz00_4589);
																		BgL_auxz00_5840 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5841);
																	}
																	BgL_auxz00_5839 =
																		((BgL_internzd2sfunzf2cinfoz20_bglt)
																		BgL_auxz00_5840);
																}
																BgL_r0z00_3361 =
																	(((BgL_internzd2sfunzf2cinfoz20_bglt)
																		COBJECT(BgL_auxz00_5839))->BgL_approxz00);
															}
														}
														{	/* Cfa/closure.scm 397 */
															BgL_approxz00_bglt BgL_r1z00_3362;

															{	/* Cfa/closure.scm 398 */
																BgL_sfunz00_bglt BgL_oz00_4592;

																BgL_oz00_4592 =
																	((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt)
																			COBJECT(BgL_f1z00_3360))->BgL_valuez00));
																{
																	BgL_internzd2sfunzf2cinfoz20_bglt
																		BgL_auxz00_5848;
																	{
																		obj_t BgL_auxz00_5849;

																		{	/* Cfa/closure.scm 398 */
																			BgL_objectz00_bglt BgL_tmpz00_5850;

																			BgL_tmpz00_5850 =
																				((BgL_objectz00_bglt) BgL_oz00_4592);
																			BgL_auxz00_5849 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5850);
																		}
																		BgL_auxz00_5848 =
																			((BgL_internzd2sfunzf2cinfoz20_bglt)
																			BgL_auxz00_5849);
																	}
																	BgL_r1z00_3362 =
																		(((BgL_internzd2sfunzf2cinfoz20_bglt)
																			COBJECT(BgL_auxz00_5848))->BgL_approxz00);
																}
															}
															{	/* Cfa/closure.scm 398 */
																BgL_typez00_bglt BgL_rt0z00_3363;

																BgL_rt0z00_3363 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_r0z00_3361))->BgL_typez00);
																{	/* Cfa/closure.scm 399 */
																	BgL_typez00_bglt BgL_rt1z00_3364;

																	BgL_rt1z00_3364 =
																		(((BgL_approxz00_bglt)
																			COBJECT(BgL_r1z00_3362))->BgL_typez00);
																	{	/* Cfa/closure.scm 400 */
																		BgL_typez00_bglt BgL_brt0z00_3365;

																		BgL_brt0z00_3365 =
																			BGl_getzd2bigloozd2typez00zztype_cachez00
																			(BgL_rt0z00_3363);
																		{	/* Cfa/closure.scm 401 */
																			BgL_typez00_bglt BgL_brt1z00_3366;

																			BgL_brt1z00_3366 =
																				BGl_getzd2bigloozd2typez00zztype_cachez00
																				(BgL_rt1z00_3364);
																			{	/* Cfa/closure.scm 402 */

																				{	/* Cfa/closure.scm 403 */
																					bool_t BgL_test2363z00_5859;

																					if (
																						(((obj_t) BgL_rt0z00_3363) ==
																							((obj_t) BgL_rt1z00_3364)))
																						{	/* Cfa/closure.scm 403 */
																							BgL_test2363z00_5859 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Cfa/closure.scm 403 */
																							if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_rt0z00_3363))
																								{	/* Cfa/closure.scm 404 */
																									BgL_test2363z00_5859 =
																										BGl_bigloozd2typezf3z21zztype_typez00
																										(BgL_rt1z00_3364);
																								}
																							else
																								{	/* Cfa/closure.scm 404 */
																									BgL_test2363z00_5859 =
																										((bool_t) 0);
																								}
																						}
																					if (BgL_test2363z00_5859)
																						{	/* Cfa/closure.scm 403 */
																							BFALSE;
																						}
																					else
																						{	/* Cfa/closure.scm 403 */
																							if (
																								(((obj_t) BgL_rt0z00_3363) ==
																									((obj_t) BgL_brt0z00_3365)))
																								{	/* Cfa/closure.scm 405 */
																									BFALSE;
																								}
																							else
																								{	/* Cfa/closure.scm 405 */
																									((((BgL_approxz00_bglt)
																												COBJECT
																												(BgL_r0z00_3361))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_brt0z00_3365),
																										BUNSPEC);
																								}
																							if (
																								(((obj_t) BgL_rt1z00_3364) ==
																									((obj_t) BgL_brt1z00_3366)))
																								{	/* Cfa/closure.scm 407 */
																									BFALSE;
																								}
																							else
																								{	/* Cfa/closure.scm 407 */
																									((((BgL_approxz00_bglt)
																												COBJECT
																												(BgL_r1z00_3362))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_brt1z00_3366),
																										BUNSPEC);
																								}
																						}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
													{	/* Cfa/closure.scm 409 */
														obj_t BgL_g1180z00_3372;
														obj_t BgL_g1182z00_3373;

														{	/* Cfa/closure.scm 409 */
															obj_t BgL_pairz00_4602;

															BgL_pairz00_4602 =
																(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					COBJECT(BgL_f0z00_3359))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1180z00_3372 = CDR(BgL_pairz00_4602);
														}
														{	/* Cfa/closure.scm 410 */
															obj_t BgL_pairz00_4605;

															BgL_pairz00_4605 =
																(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					COBJECT(BgL_f1z00_3360))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1182z00_3373 = CDR(BgL_pairz00_4605);
														}
														{
															obj_t BgL_a0z00_3375;
															obj_t BgL_a1z00_3376;
															bool_t BgL_contz00_3377;

															BgL_a0z00_3375 = BgL_g1180z00_3372;
															BgL_a1z00_3376 = BgL_g1182z00_3373;
															BgL_contz00_3377 = ((bool_t) 0);
														BgL_zc3z04anonymousza31926ze3z87_3378:
															{	/* Cfa/closure.scm 412 */
																bool_t BgL_test2368z00_5885;

																if (PAIRP(BgL_a0z00_3375))
																	{	/* Cfa/closure.scm 412 */
																		BgL_test2368z00_5885 =
																			PAIRP(BgL_a1z00_3376);
																	}
																else
																	{	/* Cfa/closure.scm 412 */
																		BgL_test2368z00_5885 = ((bool_t) 0);
																	}
																if (BgL_test2368z00_5885)
																	{	/* Cfa/closure.scm 413 */
																		BgL_approxz00_bglt BgL_p0z00_3381;

																		{	/* Cfa/closure.scm 413 */
																			BgL_svarz00_bglt BgL_oz00_4608;

																			BgL_oz00_4608 =
																				((BgL_svarz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								CAR(BgL_a0z00_3375))))->
																					BgL_valuez00));
																			{
																				BgL_svarzf2cinfozf2_bglt
																					BgL_auxz00_5893;
																				{
																					obj_t BgL_auxz00_5894;

																					{	/* Cfa/closure.scm 413 */
																						BgL_objectz00_bglt BgL_tmpz00_5895;

																						BgL_tmpz00_5895 =
																							((BgL_objectz00_bglt)
																							BgL_oz00_4608);
																						BgL_auxz00_5894 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_5895);
																					}
																					BgL_auxz00_5893 =
																						((BgL_svarzf2cinfozf2_bglt)
																						BgL_auxz00_5894);
																				}
																				BgL_p0z00_3381 =
																					(((BgL_svarzf2cinfozf2_bglt)
																						COBJECT(BgL_auxz00_5893))->
																					BgL_approxz00);
																			}
																		}
																		{	/* Cfa/closure.scm 413 */
																			BgL_approxz00_bglt BgL_p1z00_3382;

																			{	/* Cfa/closure.scm 414 */
																				BgL_svarz00_bglt BgL_oz00_4612;

																				BgL_oz00_4612 =
																					((BgL_svarz00_bglt)
																					(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									CAR(BgL_a1z00_3376))))->
																						BgL_valuez00));
																				{
																					BgL_svarzf2cinfozf2_bglt
																						BgL_auxz00_5904;
																					{
																						obj_t BgL_auxz00_5905;

																						{	/* Cfa/closure.scm 414 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_5906;
																							BgL_tmpz00_5906 =
																								((BgL_objectz00_bglt)
																								BgL_oz00_4612);
																							BgL_auxz00_5905 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_5906);
																						}
																						BgL_auxz00_5904 =
																							((BgL_svarzf2cinfozf2_bglt)
																							BgL_auxz00_5905);
																					}
																					BgL_p1z00_3382 =
																						(((BgL_svarzf2cinfozf2_bglt)
																							COBJECT(BgL_auxz00_5904))->
																						BgL_approxz00);
																				}
																			}
																			{	/* Cfa/closure.scm 414 */
																				BgL_typez00_bglt BgL_t0z00_3383;

																				BgL_t0z00_3383 =
																					(((BgL_approxz00_bglt)
																						COBJECT(BgL_p0z00_3381))->
																					BgL_typez00);
																				{	/* Cfa/closure.scm 415 */
																					BgL_typez00_bglt BgL_t1z00_3384;

																					BgL_t1z00_3384 =
																						(((BgL_approxz00_bglt)
																							COBJECT(BgL_p1z00_3382))->
																						BgL_typez00);
																					{	/* Cfa/closure.scm 416 */

																						{	/* Cfa/closure.scm 417 */
																							bool_t BgL_test2370z00_5913;

																							if (
																								(((obj_t) BgL_t0z00_3383) ==
																									((obj_t) BgL_t1z00_3384)))
																								{	/* Cfa/closure.scm 417 */
																									BgL_test2370z00_5913 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/closure.scm 417 */
																									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t0z00_3383))
																										{	/* Cfa/closure.scm 417 */
																											BgL_test2370z00_5913 =
																												BGl_bigloozd2typezf3z21zztype_typez00
																												(BgL_t1z00_3384);
																										}
																									else
																										{	/* Cfa/closure.scm 417 */
																											BgL_test2370z00_5913 =
																												((bool_t) 0);
																										}
																								}
																							if (BgL_test2370z00_5913)
																								{
																									obj_t BgL_a1z00_5923;
																									obj_t BgL_a0z00_5921;

																									BgL_a0z00_5921 =
																										CDR(BgL_a0z00_3375);
																									BgL_a1z00_5923 =
																										CDR(BgL_a1z00_3376);
																									BgL_a1z00_3376 =
																										BgL_a1z00_5923;
																									BgL_a0z00_3375 =
																										BgL_a0z00_5921;
																									goto
																										BgL_zc3z04anonymousza31926ze3z87_3378;
																								}
																							else
																								{	/* Cfa/closure.scm 440 */
																									BgL_typez00_bglt
																										BgL_bt0z00_3389;
																									BgL_typez00_bglt
																										BgL_bt1z00_3390;
																									bool_t BgL_contz00_3391;

																									BgL_bt0z00_3389 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_t0z00_3383);
																									BgL_bt1z00_3390 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_t1z00_3384);
																									BgL_contz00_3391 =
																										((bool_t) 0);
																									if ((((obj_t) ((
																														(BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a0z00_3375))))->
																													BgL_typez00)) ==
																											((obj_t)
																												BgL_bt0z00_3389)))
																										{	/* Cfa/closure.scm 443 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 443 */
																											{	/* Cfa/closure.scm 445 */
																												obj_t
																													BgL_arg1936z00_3395;
																												BgL_arg1936z00_3395 =
																													CAR(BgL_a0z00_3375);
																												((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_arg1936z00_3395)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_bt0z00_3389), BUNSPEC);
																											}
																											((((BgL_approxz00_bglt)
																														COBJECT
																														(BgL_p0z00_3381))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_bt0z00_3389),
																												BUNSPEC);
																											BgL_contz00_3391 =
																												((bool_t) 1);
																										}
																									if (
																										(((obj_t)
																												(((BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a1z00_3376))))->
																													BgL_typez00)) ==
																											((obj_t)
																												BgL_bt1z00_3390)))
																										{	/* Cfa/closure.scm 449 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 449 */
																											{	/* Cfa/closure.scm 451 */
																												obj_t
																													BgL_arg1942z00_3401;
																												BgL_arg1942z00_3401 =
																													CAR(BgL_a1z00_3376);
																												((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_arg1942z00_3401)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_bt1z00_3390), BUNSPEC);
																											}
																											((((BgL_approxz00_bglt)
																														COBJECT
																														(BgL_p1z00_3382))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_bt1z00_3390),
																												BUNSPEC);
																											BgL_contz00_3391 =
																												((bool_t) 1);
																										}
																									{	/* Cfa/closure.scm 457 */
																										obj_t BgL_arg1945z00_3404;
																										obj_t BgL_arg1946z00_3405;

																										BgL_arg1945z00_3404 =
																											CDR(BgL_a0z00_3375);
																										BgL_arg1946z00_3405 =
																											CDR(BgL_a1z00_3376);
																										{
																											bool_t BgL_contz00_5953;
																											obj_t BgL_a1z00_5952;
																											obj_t BgL_a0z00_5951;

																											BgL_a0z00_5951 =
																												BgL_arg1945z00_3404;
																											BgL_a1z00_5952 =
																												BgL_arg1946z00_3405;
																											BgL_contz00_5953 =
																												BgL_contz00_3391;
																											BgL_contz00_3377 =
																												BgL_contz00_5953;
																											BgL_a1z00_3376 =
																												BgL_a1z00_5952;
																											BgL_a0z00_3375 =
																												BgL_a0z00_5951;
																											goto
																												BgL_zc3z04anonymousza31926ze3z87_3378;
																										}
																									}
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 412 */
																		BgL__ortest_1185z00_3352 = BgL_contz00_3377;
																	}
															}
														}
													}
												}
											}
										}
									}
									if (BgL__ortest_1185z00_3352)
										{	/* Cfa/closure.scm 464 */
											BgL_arg1919z00_3351 = BgL__ortest_1185z00_3352;
										}
									else
										{	/* Cfa/closure.scm 464 */
											BgL_arg1919z00_3351 = BgL_contz00_3347;
										}
								}
								{
									bool_t BgL_contz00_5958;
									obj_t BgL_appsz00_5957;

									BgL_appsz00_5957 = BgL_arg1918z00_3350;
									BgL_contz00_5958 = BgL_arg1919z00_3351;
									BgL_contz00_3347 = BgL_contz00_5958;
									BgL_appsz00_3346 = BgL_appsz00_5957;
									goto BgL_zc3z04anonymousza31916ze3z87_3348;
								}
							}
					}
				}
			}
		}

	}



/* type-closures! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 469 */
			{
				BgL_appz00_bglt BgL_appz00_3431;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Cfa/closure.scm 496 */
						obj_t BgL_g1548z00_3423;

						BgL_g1548z00_3423 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
						{
							obj_t BgL_l1546z00_3425;

							{	/* Cfa/closure.scm 496 */
								bool_t BgL_tmpz00_5961;

								BgL_l1546z00_3425 = BgL_g1548z00_3423;
							BgL_zc3z04anonymousza31959ze3z87_3426:
								if (PAIRP(BgL_l1546z00_3425))
									{	/* Cfa/closure.scm 496 */
										{	/* Cfa/closure.scm 496 */
											obj_t BgL_arg1961z00_3428;

											BgL_arg1961z00_3428 = CAR(BgL_l1546z00_3425);
											BgL_appz00_3431 = ((BgL_appz00_bglt) BgL_arg1961z00_3428);
											{	/* Cfa/closure.scm 480 */
												bool_t BgL_test2378z00_5965;

												{	/* Cfa/closure.scm 480 */
													bool_t BgL_test2379z00_5966;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5967;

														{
															obj_t BgL_auxz00_5968;

															{	/* Cfa/closure.scm 480 */
																BgL_objectz00_bglt BgL_tmpz00_5969;

																BgL_tmpz00_5969 =
																	((BgL_objectz00_bglt) BgL_appz00_3431);
																BgL_auxz00_5968 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5969);
															}
															BgL_auxz00_5967 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5968);
														}
														BgL_test2379z00_5966 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_5967))->BgL_xz00);
													}
													if (BgL_test2379z00_5966)
														{	/* Cfa/closure.scm 480 */
															BgL_test2378z00_5965 = ((bool_t) 1);
														}
													else
														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_5974;
															{
																obj_t BgL_auxz00_5975;

																{	/* Cfa/closure.scm 480 */
																	BgL_objectz00_bglt BgL_tmpz00_5976;

																	BgL_tmpz00_5976 =
																		((BgL_objectz00_bglt) BgL_appz00_3431);
																	BgL_auxz00_5975 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_5976);
																}
																BgL_auxz00_5974 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_5975);
															}
															BgL_test2378z00_5965 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_5974))->BgL_tz00);
														}
												}
												if (BgL_test2378z00_5965)
													{	/* Cfa/closure.scm 480 */
														((bool_t) 0);
													}
												else
													{	/* Cfa/closure.scm 482 */
														BgL_variablez00_bglt BgL_varz00_3436;

														{
															BgL_varz00_bglt BgL_auxz00_5981;

															{	/* Cfa/closure.scm 482 */
																obj_t BgL_pairz00_4640;

																BgL_pairz00_4640 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_appz00_3431)))->
																	BgL_argsz00);
																BgL_auxz00_5981 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_4640));
															}
															BgL_varz00_3436 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5981))->
																BgL_variablez00);
														}
														{	/* Cfa/closure.scm 482 */
															BgL_valuez00_bglt BgL_sfunz00_3437;

															BgL_sfunz00_3437 =
																(((BgL_variablez00_bglt)
																	COBJECT(BgL_varz00_3436))->BgL_valuez00);
															{	/* Cfa/closure.scm 483 */

																((((BgL_variablez00_bglt)
																			COBJECT(BgL_varz00_3436))->BgL_typez00) =
																	((BgL_typez00_bglt)
																		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																		((((BgL_variablez00_bglt)
																					COBJECT(BgL_varz00_3436))->
																				BgL_typez00))), BUNSPEC);
																{	/* Cfa/closure.scm 486 */
																	obj_t BgL_g1545z00_3440;

																	{	/* Cfa/closure.scm 493 */
																		obj_t BgL_pairz00_4647;

																		BgL_pairz00_4647 =
																			(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_sfunz00_3437)))->BgL_argsz00);
																		BgL_g1545z00_3440 = CDR(BgL_pairz00_4647);
																	}
																	{
																		obj_t BgL_l1543z00_3442;

																		BgL_l1543z00_3442 = BgL_g1545z00_3440;
																	BgL_zc3z04anonymousza31968ze3z87_3443:
																		if (PAIRP(BgL_l1543z00_3442))
																			{	/* Cfa/closure.scm 493 */
																				{	/* Cfa/closure.scm 487 */
																					obj_t BgL_az00_3445;

																					BgL_az00_3445 =
																						CAR(BgL_l1543z00_3442);
																					{	/* Cfa/closure.scm 487 */
																						BgL_approxz00_bglt BgL_pz00_3446;

																						{	/* Cfa/closure.scm 487 */
																							BgL_svarz00_bglt BgL_oz00_4650;

																							BgL_oz00_4650 =
																								((BgL_svarz00_bglt)
																								(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt)
																												BgL_az00_3445)))->
																									BgL_valuez00));
																							{
																								BgL_svarzf2cinfozf2_bglt
																									BgL_auxz00_6000;
																								{
																									obj_t BgL_auxz00_6001;

																									{	/* Cfa/closure.scm 487 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_6002;
																										BgL_tmpz00_6002 =
																											((BgL_objectz00_bglt)
																											BgL_oz00_4650);
																										BgL_auxz00_6001 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_6002);
																									}
																									BgL_auxz00_6000 =
																										((BgL_svarzf2cinfozf2_bglt)
																										BgL_auxz00_6001);
																								}
																								BgL_pz00_3446 =
																									(((BgL_svarzf2cinfozf2_bglt)
																										COBJECT(BgL_auxz00_6000))->
																									BgL_approxz00);
																							}
																						}
																						{	/* Cfa/closure.scm 487 */
																							BgL_typez00_bglt BgL_tz00_3447;

																							BgL_tz00_3447 =
																								(((BgL_approxz00_bglt)
																									COBJECT(BgL_pz00_3446))->
																								BgL_typez00);
																							{	/* Cfa/closure.scm 488 */

																								{	/* Cfa/closure.scm 492 */
																									BgL_typez00_bglt
																										BgL_arg1970z00_3448;
																									BgL_arg1970z00_3448 =
																										BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																										(BgL_tz00_3447);
																									((((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														BgL_az00_3445)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_arg1970z00_3448),
																										BUNSPEC);
																								}
																							}
																						}
																					}
																				}
																				{
																					obj_t BgL_l1543z00_6011;

																					BgL_l1543z00_6011 =
																						CDR(BgL_l1543z00_3442);
																					BgL_l1543z00_3442 = BgL_l1543z00_6011;
																					goto
																						BgL_zc3z04anonymousza31968ze3z87_3443;
																				}
																			}
																		else
																			{	/* Cfa/closure.scm 493 */
																				((bool_t) 1);
																			}
																	}
																}
															}
														}
													}
											}
										}
										{
											obj_t BgL_l1546z00_6014;

											BgL_l1546z00_6014 = CDR(BgL_l1546z00_3425);
											BgL_l1546z00_3425 = BgL_l1546z00_6014;
											goto BgL_zc3z04anonymousza31959ze3z87_3426;
										}
									}
								else
									{	/* Cfa/closure.scm 496 */
										BgL_tmpz00_5961 = ((bool_t) 1);
									}
								return BBOOL(BgL_tmpz00_5961);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 495 */
						return BFALSE;
					}
			}
		}

	}



/* &type-closures! */
	obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t BgL_envz00_4868)
	{
		{	/* Cfa/closure.scm 469 */
			return BGl_typezd2closuresz12zc0zzcfa_closurez00();
		}

	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 501 */
			{
				obj_t BgL_l1549z00_3458;

				BgL_l1549z00_3458 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_zc3z04anonymousza31976ze3z87_3459:
				if (PAIRP(BgL_l1549z00_3458))
					{	/* Cfa/closure.scm 502 */
						{	/* Cfa/closure.scm 504 */
							obj_t BgL_appz00_3461;

							BgL_appz00_3461 = CAR(BgL_l1549z00_3458);
							{	/* Cfa/closure.scm 504 */
								BgL_approxz00_bglt BgL_approxz00_3463;

								{	/* Cfa/closure.scm 505 */
									obj_t BgL_arg1982z00_3475;

									{	/* Cfa/closure.scm 505 */
										obj_t BgL_pairz00_4662;

										BgL_pairz00_4662 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_appz00_3461)))->BgL_argsz00);
										BgL_arg1982z00_3475 = CAR(BgL_pairz00_4662);
									}
									BgL_approxz00_3463 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg1982z00_3475));
								}
								{	/* Cfa/closure.scm 505 */
									BgL_varz00_bglt BgL_funz00_3464;

									BgL_funz00_3464 =
										(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_appz00_3461)))->BgL_funz00);
									{	/* Cfa/closure.scm 506 */
										BgL_variablez00_bglt BgL_vfunz00_3465;

										BgL_vfunz00_3465 =
											(((BgL_varz00_bglt) COBJECT(BgL_funz00_3464))->
											BgL_variablez00);
										{	/* Cfa/closure.scm 507 */
											obj_t BgL_allocz00_3466;

											{	/* Cfa/closure.scm 508 */
												obj_t BgL_arg1981z00_3472;

												BgL_arg1981z00_3472 =
													(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3463))->
													BgL_allocsz00);
												{	/* Cfa/closure.scm 508 */

													BgL_allocz00_3466 =
														BGl_setzd2headzd2zzcfa_setz00(BgL_arg1981z00_3472,
														BFALSE);
												}
											}
											{	/* Cfa/closure.scm 508 */

												{	/* Cfa/closure.scm 509 */
													bool_t BgL_test2382z00_6031;

													{	/* Cfa/closure.scm 509 */
														obj_t BgL_classz00_4666;

														BgL_classz00_4666 =
															BGl_makezd2procedurezd2appz00zzcfa_info2z00;
														if (BGL_OBJECTP(BgL_allocz00_3466))
															{	/* Cfa/closure.scm 509 */
																BgL_objectz00_bglt BgL_arg1820z00_4668;

																BgL_arg1820z00_4668 =
																	(BgL_objectz00_bglt) (BgL_allocz00_3466);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Cfa/closure.scm 509 */
																		long BgL_idxz00_4674;

																		BgL_idxz00_4674 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_4668);
																		BgL_test2382z00_6031 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_4674 + ((long) 4))) ==
																			BgL_classz00_4666);
																	}
																else
																	{	/* Cfa/closure.scm 509 */
																		bool_t BgL_res2220z00_4696;

																		{	/* Cfa/closure.scm 509 */
																			obj_t BgL_oclassz00_4682;

																			{	/* Cfa/closure.scm 509 */
																				long BgL_arg1828z00_4688;

																				{	/* Cfa/closure.scm 509 */
																					long BgL_arg1829z00_4689;

																					BgL_arg1829z00_4689 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_4668);
																					BgL_arg1828z00_4688 =
																						(BgL_arg1829z00_4689 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_4682 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_4688);
																			}
																			{	/* Cfa/closure.scm 509 */
																				bool_t BgL__ortest_1111z00_4683;

																				BgL__ortest_1111z00_4683 =
																					(BgL_classz00_4666 ==
																					BgL_oclassz00_4682);
																				if (BgL__ortest_1111z00_4683)
																					{	/* Cfa/closure.scm 509 */
																						BgL_res2220z00_4696 =
																							BgL__ortest_1111z00_4683;
																					}
																				else
																					{	/* Cfa/closure.scm 509 */
																						long BgL_odepthz00_4684;

																						BgL_odepthz00_4684 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_4682);
																						if ((((long) 4) <
																								BgL_odepthz00_4684))
																							{	/* Cfa/closure.scm 509 */
																								obj_t BgL_arg1816z00_4686;

																								BgL_arg1816z00_4686 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_4682,
																									((long) 4));
																								BgL_res2220z00_4696 =
																									(BgL_arg1816z00_4686 ==
																									BgL_classz00_4666);
																							}
																						else
																							{	/* Cfa/closure.scm 509 */
																								BgL_res2220z00_4696 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2382z00_6031 = BgL_res2220z00_4696;
																	}
															}
														else
															{	/* Cfa/closure.scm 509 */
																BgL_test2382z00_6031 = ((bool_t) 0);
															}
													}
													if (BgL_test2382z00_6031)
														{	/* Cfa/closure.scm 513 */
															bool_t BgL_test2387z00_6051;

															{
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_auxz00_6052;
																{
																	obj_t BgL_auxz00_6053;

																	{	/* Cfa/closure.scm 513 */
																		BgL_objectz00_bglt BgL_tmpz00_6054;

																		BgL_tmpz00_6054 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_allocz00_3466)));
																		BgL_auxz00_6053 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6054);
																	}
																	BgL_auxz00_6052 =
																		((BgL_makezd2procedurezd2appz00_bglt)
																		BgL_auxz00_6053);
																}
																BgL_test2387z00_6051 =
																	(((BgL_makezd2procedurezd2appz00_bglt)
																		COBJECT(BgL_auxz00_6052))->BgL_xz00);
															}
															if (BgL_test2387z00_6051)
																{	/* Cfa/closure.scm 513 */
																	if (
																		(((obj_t) BgL_vfunz00_3465) ==
																			BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																		{	/* Cfa/closure.scm 515 */
																			BgL_variablez00_bglt BgL_vz00_4699;

																			BgL_vz00_4699 =
																				((BgL_variablez00_bglt)
																				BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_funz00_3464))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4699),
																				BUNSPEC);
																		}
																	else
																		{	/* Cfa/closure.scm 516 */
																			BgL_variablez00_bglt BgL_vz00_4701;

																			BgL_vz00_4701 =
																				((BgL_variablez00_bglt)
																				BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_funz00_3464))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4701),
																				BUNSPEC);
																		}
																}
															else
																{	/* Cfa/closure.scm 517 */
																	bool_t BgL_test2389z00_6068;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_6069;
																		{
																			obj_t BgL_auxz00_6070;

																			{	/* Cfa/closure.scm 517 */
																				BgL_objectz00_bglt BgL_tmpz00_6071;

																				BgL_tmpz00_6071 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_allocz00_3466)));
																				BgL_auxz00_6070 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_6071);
																			}
																			BgL_auxz00_6069 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_6070);
																		}
																		BgL_test2389z00_6068 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_6069))->BgL_tz00);
																	}
																	if (BgL_test2389z00_6068)
																		{	/* Cfa/closure.scm 517 */
																			if (
																				(((obj_t) BgL_vfunz00_3465) ==
																					BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																				{	/* Cfa/closure.scm 519 */
																					BgL_variablez00_bglt BgL_vz00_4704;

																					BgL_vz00_4704 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								COBJECT(BgL_funz00_3464))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4704), BUNSPEC);
																				}
																			else
																				{	/* Cfa/closure.scm 520 */
																					BgL_variablez00_bglt BgL_vz00_4706;

																					BgL_vz00_4706 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								COBJECT(BgL_funz00_3464))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4706), BUNSPEC);
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 517 */
																			BFALSE;
																		}
																}
														}
													else
														{	/* Cfa/closure.scm 509 */
															BFALSE;
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1549z00_6085;

							BgL_l1549z00_6085 = CDR(BgL_l1549z00_3458);
							BgL_l1549z00_3458 = BgL_l1549z00_6085;
							goto BgL_zc3z04anonymousza31976ze3z87_3459;
						}
					}
				else
					{	/* Cfa/closure.scm 502 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_31)
	{
		{	/* Cfa/closure.scm 526 */
			{
				obj_t BgL_xpz00_3483;
				obj_t BgL_tpz00_3484;
				obj_t BgL_allocsz00_3485;

				BgL_xpz00_3483 = BNIL;
				BgL_tpz00_3484 = BNIL;
				BgL_allocsz00_3485 = BgL_allocsz00_31;
			BgL_zc3z04anonymousza31985ze3z87_3486:
				if (NULLP(BgL_allocsz00_3485))
					{	/* Cfa/closure.scm 537 */
						BGl_showze70ze7zzcfa_closurez00(CNST_TABLE_REF(((long) 9)),
							BgL_xpz00_3483);
						BGl_showze70ze7zzcfa_closurez00(CNST_TABLE_REF(((long) 10)),
							BgL_tpz00_3484);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 542 */
						BgL_appz00_bglt BgL_i1190z00_3488;

						BgL_i1190z00_3488 =
							((BgL_appz00_bglt) CAR(((obj_t) BgL_allocsz00_3485)));
						{	/* Cfa/closure.scm 544 */
							bool_t BgL_test2392z00_6096;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6097;

								{
									obj_t BgL_auxz00_6098;

									{	/* Cfa/closure.scm 544 */
										BgL_objectz00_bglt BgL_tmpz00_6099;

										BgL_tmpz00_6099 = ((BgL_objectz00_bglt) BgL_i1190z00_3488);
										BgL_auxz00_6098 = BGL_OBJECT_WIDENING(BgL_tmpz00_6099);
									}
									BgL_auxz00_6097 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_6098);
								}
								BgL_test2392z00_6096 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_6097))->BgL_xz00);
							}
							if (BgL_test2392z00_6096)
								{	/* Cfa/closure.scm 545 */
									obj_t BgL_arg1988z00_3490;
									obj_t BgL_arg1989z00_3491;

									{	/* Cfa/closure.scm 545 */
										BgL_variablez00_bglt BgL_arg1990z00_3492;

										{
											BgL_varz00_bglt BgL_auxz00_6104;

											{	/* Cfa/closure.scm 545 */
												obj_t BgL_pairz00_4714;

												BgL_pairz00_4714 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_i1190z00_3488)))->
													BgL_argsz00);
												BgL_auxz00_6104 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_4714));
											}
											BgL_arg1990z00_3492 =
												(((BgL_varz00_bglt) COBJECT(BgL_auxz00_6104))->
												BgL_variablez00);
										}
										BgL_arg1988z00_3490 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1990z00_3492), BgL_xpz00_3483);
									}
									BgL_arg1989z00_3491 = CDR(((obj_t) BgL_allocsz00_3485));
									{
										obj_t BgL_allocsz00_6115;
										obj_t BgL_xpz00_6114;

										BgL_xpz00_6114 = BgL_arg1988z00_3490;
										BgL_allocsz00_6115 = BgL_arg1989z00_3491;
										BgL_allocsz00_3485 = BgL_allocsz00_6115;
										BgL_xpz00_3483 = BgL_xpz00_6114;
										goto BgL_zc3z04anonymousza31985ze3z87_3486;
									}
								}
							else
								{	/* Cfa/closure.scm 546 */
									bool_t BgL_test2393z00_6116;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6117;

										{
											obj_t BgL_auxz00_6118;

											{	/* Cfa/closure.scm 546 */
												BgL_objectz00_bglt BgL_tmpz00_6119;

												BgL_tmpz00_6119 =
													((BgL_objectz00_bglt) BgL_i1190z00_3488);
												BgL_auxz00_6118 = BGL_OBJECT_WIDENING(BgL_tmpz00_6119);
											}
											BgL_auxz00_6117 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_6118);
										}
										BgL_test2393z00_6116 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_6117))->BgL_tz00);
									}
									if (BgL_test2393z00_6116)
										{	/* Cfa/closure.scm 547 */
											obj_t BgL_arg1994z00_3496;
											obj_t BgL_arg1995z00_3497;

											{	/* Cfa/closure.scm 547 */
												BgL_variablez00_bglt BgL_arg1996z00_3498;

												{
													BgL_varz00_bglt BgL_auxz00_6124;

													{	/* Cfa/closure.scm 547 */
														obj_t BgL_pairz00_4718;

														BgL_pairz00_4718 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_i1190z00_3488)))->
															BgL_argsz00);
														BgL_auxz00_6124 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4718));
													}
													BgL_arg1996z00_3498 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_6124))->
														BgL_variablez00);
												}
												BgL_arg1994z00_3496 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1996z00_3498), BgL_tpz00_3484);
											}
											BgL_arg1995z00_3497 = CDR(((obj_t) BgL_allocsz00_3485));
											{
												obj_t BgL_allocsz00_6135;
												obj_t BgL_tpz00_6134;

												BgL_tpz00_6134 = BgL_arg1994z00_3496;
												BgL_allocsz00_6135 = BgL_arg1995z00_3497;
												BgL_allocsz00_3485 = BgL_allocsz00_6135;
												BgL_tpz00_3484 = BgL_tpz00_6134;
												goto BgL_zc3z04anonymousza31985ze3z87_3486;
											}
										}
									else
										{	/* Cfa/closure.scm 549 */
											obj_t BgL_arg1999z00_3501;

											BgL_arg1999z00_3501 = CDR(((obj_t) BgL_allocsz00_3485));
											{
												obj_t BgL_allocsz00_6138;

												BgL_allocsz00_6138 = BgL_arg1999z00_3501;
												BgL_allocsz00_3485 = BgL_allocsz00_6138;
												goto BgL_zc3z04anonymousza31985ze3z87_3486;
											}
										}
								}
						}
					}
			}
		}

	}



/* show~0 */
	bool_t BGl_showze70ze7zzcfa_closurez00(obj_t BgL_propz00_3503,
		obj_t BgL_lz00_3504)
	{
		{	/* Cfa/closure.scm 533 */
			if (NULLP(BgL_lz00_3504))
				{	/* Cfa/closure.scm 528 */
					return ((bool_t) 0);
				}
			else
				{	/* Cfa/closure.scm 528 */
					{	/* Cfa/closure.scm 530 */
						obj_t BgL_arg2002z00_3507;

						BgL_arg2002z00_3507 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_3504));
						{	/* Cfa/closure.scm 530 */
							obj_t BgL_list2003z00_3508;

							{	/* Cfa/closure.scm 530 */
								obj_t BgL_arg2004z00_3509;

								{	/* Cfa/closure.scm 530 */
									obj_t BgL_arg2005z00_3510;

									{	/* Cfa/closure.scm 530 */
										obj_t BgL_arg2006z00_3511;

										{	/* Cfa/closure.scm 530 */
											obj_t BgL_arg2007z00_3512;

											BgL_arg2007z00_3512 =
												MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
											BgL_arg2006z00_3511 =
												MAKE_YOUNG_PAIR(BgL_arg2002z00_3507,
												BgL_arg2007z00_3512);
										}
										BgL_arg2005z00_3510 =
											MAKE_YOUNG_PAIR(BGl_string2228z00zzcfa_closurez00,
											BgL_arg2006z00_3511);
									}
									BgL_arg2004z00_3509 =
										MAKE_YOUNG_PAIR(BgL_propz00_3503, BgL_arg2005z00_3510);
								}
								BgL_list2003z00_3508 =
									MAKE_YOUNG_PAIR(BGl_string2229z00zzcfa_closurez00,
									BgL_arg2004z00_3509);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list2003z00_3508);
					}}
					{	/* Cfa/closure.scm 531 */
						obj_t BgL_g1553z00_3514;

						BgL_g1553z00_3514 = CDR(BgL_lz00_3504);
						{
							obj_t BgL_l1551z00_3516;

							BgL_l1551z00_3516 = BgL_g1553z00_3514;
						BgL_zc3z04anonymousza32009ze3z87_3517:
							if (PAIRP(BgL_l1551z00_3516))
								{	/* Cfa/closure.scm 533 */
									{	/* Cfa/closure.scm 532 */
										obj_t BgL_xz00_3519;

										BgL_xz00_3519 = CAR(BgL_l1551z00_3516);
										{	/* Cfa/closure.scm 532 */
											obj_t BgL_arg2011z00_3520;

											BgL_arg2011z00_3520 =
												BGl_shapez00zztools_shapez00(BgL_xz00_3519);
											{	/* Cfa/closure.scm 532 */
												obj_t BgL_list2012z00_3521;

												{	/* Cfa/closure.scm 532 */
													obj_t BgL_arg2013z00_3522;

													{	/* Cfa/closure.scm 532 */
														obj_t BgL_arg2014z00_3523;

														BgL_arg2014z00_3523 =
															MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
															BNIL);
														BgL_arg2013z00_3522 =
															MAKE_YOUNG_PAIR(BgL_arg2011z00_3520,
															BgL_arg2014z00_3523);
													}
													BgL_list2012z00_3521 =
														MAKE_YOUNG_PAIR(BGl_string2230z00zzcfa_closurez00,
														BgL_arg2013z00_3522);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list2012z00_3521);
									}}}
									{
										obj_t BgL_l1551z00_6162;

										BgL_l1551z00_6162 = CDR(BgL_l1551z00_3516);
										BgL_l1551z00_3516 = BgL_l1551z00_6162;
										goto BgL_zc3z04anonymousza32009ze3z87_3517;
									}
								}
							else
								{	/* Cfa/closure.scm 533 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}

	}



/* get-procedure-list */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 561 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}

	}



/* &get-procedure-list */
	obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t BgL_envz00_4869)
	{
		{	/* Cfa/closure.scm 561 */
			return BGl_getzd2procedurezd2listz00zzcfa_closurez00();
		}

	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_32)
	{
		{	/* Cfa/closure.scm 567 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 568 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_astz00_32),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 568 */
					return BFALSE;
				}
		}

	}



/* &add-funcall! */
	obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t BgL_envz00_4870,
		obj_t BgL_astz00_4871)
	{
		{	/* Cfa/closure.scm 567 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4871));
		}

	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_33)
	{
		{	/* Cfa/closure.scm 574 */
			return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
				MAKE_YOUNG_PAIR(
					((obj_t) BgL_astz00_33),
					BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
		}

	}



/* &add-make-procedure! */
	obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t
		BgL_envz00_4872, obj_t BgL_astz00_4873)
	{
		{	/* Cfa/closure.scm 574 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4873));
		}

	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_34)
	{
		{	/* Cfa/closure.scm 580 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 581 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_astz00_34),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 581 */
					return BFALSE;
				}
		}

	}



/* &add-procedure-ref! */
	obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t
		BgL_envz00_4874, obj_t BgL_astz00_4875)
	{
		{	/* Cfa/closure.scm 580 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4875));
		}

	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_35)
	{
		{	/* Cfa/closure.scm 587 */
			{	/* Cfa/closure.scm 588 */
				bool_t BgL_test2398z00_6183;

				{	/* Cfa/closure.scm 588 */
					BgL_typez00_bglt BgL_arg2026z00_3541;

					BgL_arg2026z00_3541 =
						(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_35))->BgL_typez00);
					BgL_test2398z00_6183 =
						(
						((obj_t) BgL_arg2026z00_3541) ==
						BGl_za2procedureza2z00zztype_cachez00);
				}
				if (BgL_test2398z00_6183)
					{	/* Cfa/closure.scm 589 */
						bool_t BgL_test2399z00_6187;

						{	/* Cfa/closure.scm 589 */
							obj_t BgL_arg2024z00_3539;

							BgL_arg2024z00_3539 =
								BGl_setzd2lengthzd2zzcfa_setz00(
								(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_35))->
									BgL_allocsz00));
							BgL_test2399z00_6187 =
								((long) CINT(BgL_arg2024z00_3539) == ((long) 1));
						}
						if (BgL_test2399z00_6187)
							{	/* Cfa/closure.scm 590 */
								obj_t BgL_allocz00_3534;

								{	/* Cfa/closure.scm 590 */
									obj_t BgL_arg2023z00_3536;

									BgL_arg2023z00_3536 =
										(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_35))->
										BgL_allocsz00);
									{	/* Cfa/closure.scm 590 */

										BgL_allocz00_3534 =
											BGl_setzd2headzd2zzcfa_setz00(BgL_arg2023z00_3536,
											BFALSE);
									}
								}
								{	/* Cfa/closure.scm 591 */
									bool_t BgL_test2400z00_6194;

									{	/* Cfa/closure.scm 591 */
										obj_t BgL_classz00_4728;

										BgL_classz00_4728 =
											BGl_makezd2procedurezd2appz00zzcfa_info2z00;
										if (BGL_OBJECTP(BgL_allocz00_3534))
											{	/* Cfa/closure.scm 591 */
												BgL_objectz00_bglt BgL_arg1820z00_4730;

												BgL_arg1820z00_4730 =
													(BgL_objectz00_bglt) (BgL_allocz00_3534);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cfa/closure.scm 591 */
														long BgL_idxz00_4736;

														BgL_idxz00_4736 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4730);
														BgL_test2400z00_6194 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4736 + ((long) 4))) ==
															BgL_classz00_4728);
													}
												else
													{	/* Cfa/closure.scm 591 */
														bool_t BgL_res2221z00_4758;

														{	/* Cfa/closure.scm 591 */
															obj_t BgL_oclassz00_4744;

															{	/* Cfa/closure.scm 591 */
																long BgL_arg1828z00_4750;

																{	/* Cfa/closure.scm 591 */
																	long BgL_arg1829z00_4751;

																	BgL_arg1829z00_4751 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4730);
																	BgL_arg1828z00_4750 =
																		(BgL_arg1829z00_4751 - OBJECT_TYPE);
																}
																BgL_oclassz00_4744 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_4750);
															}
															{	/* Cfa/closure.scm 591 */
																bool_t BgL__ortest_1111z00_4745;

																BgL__ortest_1111z00_4745 =
																	(BgL_classz00_4728 == BgL_oclassz00_4744);
																if (BgL__ortest_1111z00_4745)
																	{	/* Cfa/closure.scm 591 */
																		BgL_res2221z00_4758 =
																			BgL__ortest_1111z00_4745;
																	}
																else
																	{	/* Cfa/closure.scm 591 */
																		long BgL_odepthz00_4746;

																		BgL_odepthz00_4746 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4744);
																		if ((((long) 4) < BgL_odepthz00_4746))
																			{	/* Cfa/closure.scm 591 */
																				obj_t BgL_arg1816z00_4748;

																				BgL_arg1816z00_4748 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4744, ((long) 4));
																				BgL_res2221z00_4758 =
																					(BgL_arg1816z00_4748 ==
																					BgL_classz00_4728);
																			}
																		else
																			{	/* Cfa/closure.scm 591 */
																				BgL_res2221z00_4758 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2400z00_6194 = BgL_res2221z00_4758;
													}
											}
										else
											{	/* Cfa/closure.scm 591 */
												BgL_test2400z00_6194 = ((bool_t) 0);
											}
									}
									if (BgL_test2400z00_6194)
										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6214;

											{
												obj_t BgL_auxz00_6215;

												{	/* Cfa/closure.scm 592 */
													BgL_objectz00_bglt BgL_tmpz00_6216;

													BgL_tmpz00_6216 =
														((BgL_objectz00_bglt)
														((BgL_appz00_bglt) BgL_allocz00_3534));
													BgL_auxz00_6215 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6216);
												}
												BgL_auxz00_6214 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_6215);
											}
											return
												(((BgL_makezd2procedurezd2appz00_bglt)
													COBJECT(BgL_auxz00_6214))->BgL_xz00);
										}
									else
										{	/* Cfa/closure.scm 591 */
											return ((bool_t) 0);
										}
								}
							}
						else
							{	/* Cfa/closure.scm 589 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 588 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &approx-procedure-el? */
	obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t
		BgL_envz00_4876, obj_t BgL_approxz00_4877)
	{
		{	/* Cfa/closure.scm 587 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					((BgL_approxz00_bglt) BgL_approxz00_4877)));
		}

	}



/* start-closure-cache */
	obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 609 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 12)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 12))), BUNSPEC);
		}

	}



/* stop-closure-cache */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 622 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}

	}



/* &stop-closure-cache */
	obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t BgL_envz00_4878)
	{
		{	/* Cfa/closure.scm 622 */
			return BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 54924680),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 5932721),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315872512),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 93933605),
				BSTRING_TO_STRING(BGl_string2231z00zzcfa_closurez00));
		}

	}

#ifdef __cplusplus
}
#endif
