/*===========================================================================*/
/*   (Cfa/collect.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/collect.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_prezd2conszd2appz00_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                          *BgL_prezd2conszd2appz00_bglt;

	typedef struct BgL_prezd2conszd2refzd2appzd2_bgl
	{
		obj_t BgL_getz00;
	}                                *BgL_prezd2conszd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2conszd2setz12zd2appzc0_bgl
	{
		obj_t BgL_getz00;
	}                                   *BgL_prezd2conszd2setz12zd2appzc0_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_prezd2valloczf2cinfoz20_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                              *BgL_prezd2valloczf2cinfoz20_bglt;


	static obj_t BGl_z62nodezd2collectz12zd2appzd2ly1730za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2setzd2ex1750za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2extern1734z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	static obj_t BGl_z62nodezd2collectz12zd2condit1740z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_collectz00(void);
	extern obj_t BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	static bool_t BGl_nodezd2collectza2z12z62zzcfa_collectz00(obj_t, obj_t);
	extern obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00;
	static obj_t BGl_z62nodezd2collectz12zd2boxzd2re1758za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_pairzd2optimzd2quotezd2maxlenzd2zzcfa_pairz00(void);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	static obj_t BGl_z62nodezd2collectz12zd2var1719z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_collectz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2atom1715z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00;
	extern bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00(void);
	static obj_t BGl_z62nodezd2collectz12zd2boxzd2se1756za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00;
	static obj_t BGl_z62nodezd2collectz12zd2kwote1717z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12za2zzcfa_collectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2sequen1721z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_getzd2atypeze70z35zzcfa_collectz00(obj_t);
	extern obj_t BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00;
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_collectz00(void);
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00;
	extern obj_t BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00;
	extern obj_t BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzcfa_collectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2sync1723z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = BUNSPEC;
	static obj_t BGl_z62nodezd2collectz12zd2fail1742z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz121712za2zzcfa_collectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62collectzd2allzd2approxz12z70zzcfa_collectz00(obj_t,
		obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00(void);
	extern obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_collectz00 = BUNSPEC;
	static obj_t BGl_z62nodezd2collectz12zd2funcal1732z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern bool_t BGl_pairzd2optimzf3z21zzcfa_pairz00(void);
	static obj_t BGl_toplevelzd2initzd2zzcfa_collectz00(void);
	static obj_t BGl_z62nodezd2collectz12zd2switch1744z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00;
	static obj_t BGl_genericzd2initzd2zzcfa_collectz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2makezd2b1754za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2warningzd2setz12z12zz__paramz00(int);
	static obj_t BGl_z62nodezd2collectz12zd2jumpzd2e1752za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2app1725z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00;
	extern obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2allocszd2zzcfa_collectz00(void);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_collectz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_collectz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_collectz00(void);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_z62getzd2allocszb0zzcfa_collectz00(obj_t);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2cast1736z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2letzd2va1748za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2letzd2fu1746za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2valloc1727z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_prezd2conszd2appz00zzcfa_info2z00;
	extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
	static obj_t BGl_z62nodezd2collectz12zd2setq1738z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[23];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2225z00,
		BGl_z62nodezd2collectz12zd2kwote1717z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2226z00,
		BGl_z62nodezd2collectz12zd2var1719z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2227z00,
		BGl_z62nodezd2collectz12zd2sequen1721z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2228z00,
		BGl_z62nodezd2collectz12zd2sync1723z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2229z00,
		BGl_z62nodezd2collectz12zd2app1725z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2230z00,
		BGl_z62nodezd2collectz12zd2valloc1727z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2231z00,
		BGl_z62nodezd2collectz12zd2appzd2ly1730za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2232z00,
		BGl_z62nodezd2collectz12zd2funcal1732z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2233z00,
		BGl_z62nodezd2collectz12zd2extern1734z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2234z00,
		BGl_z62nodezd2collectz12zd2cast1736z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2235z00,
		BGl_z62nodezd2collectz12zd2setq1738z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2236z00,
		BGl_z62nodezd2collectz12zd2condit1740z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2237z00,
		BGl_z62nodezd2collectz12zd2fail1742z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2238z00,
		BGl_z62nodezd2collectz12zd2switch1744z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2239z00,
		BGl_z62nodezd2collectz12zd2letzd2fu1746za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2240z00,
		BGl_z62nodezd2collectz12zd2letzd2va1748za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2241z00,
		BGl_z62nodezd2collectz12zd2setzd2ex1750za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2242z00,
		BGl_z62nodezd2collectz12zd2jumpzd2e1752za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2243z00,
		BGl_z62nodezd2collectz12zd2makezd2b1754za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2244z00,
		BGl_z62nodezd2collectz12zd2boxzd2se1756za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2245z00,
		BGl_z62nodezd2collectz12zd2boxzd2re1758za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2246z00,
		BGl_z62nodezd2collectz12za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2197z00zzcfa_collectz00,
		BgL_bgl_string2197za700za7za7c2247za7, "node-collect!1712", 17);
	      DEFINE_STRING(BGl_string2198z00zzcfa_collectz00,
		BgL_bgl_string2198za700za7za7c2248za7, "No method for this object", 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_collectzd2allzd2approxz12zd2envzc0zzcfa_collectz00,
		BgL_bgl_za762collectza7d2all2249z00,
		BGl_z62collectzd2allzd2approxz12z70zzcfa_collectz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string2200z00zzcfa_collectz00,
		BgL_bgl_string2200za700za7za7c2250za7, "node-collect!", 13);
	      DEFINE_STRING(BGl_string2222z00zzcfa_collectz00,
		BgL_bgl_string2222za700za7za7c2251za7, "cfa_collect", 11);
	      DEFINE_STRING(BGl_string2223z00zzcfa_collectz00,
		BgL_bgl_string2223za700za7za7c2252za7,
		"real string boolean char integer quote (quote ()) (pragma::obj \"\") $set-cdr! $set-car! $cdr $car $cons $struct-set! $struct-ref $make-struct $make-vector procedure-set! procedure-ref make-va-procedure make-fx-procedure c-eq? node-collect!1712 ",
		243);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2253z00,
		BGl_z62nodezd2collectz121712za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2254z00,
		BGl_z62nodezd2collectz12zd2atom1715z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2allocszd2envz00zzcfa_collectz00,
		BgL_bgl_za762getza7d2allocsza72255za7,
		BGl_z62getzd2allocszb0zzcfa_collectz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2usedzd2allocza2zd2zzcfa_collectz00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_collectz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long
		BgL_checksumz00_5366, char *BgL_fromz00_5367)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_collectz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_collectz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_collectz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_collectz00();
					BGl_cnstzd2initzd2zzcfa_collectz00();
					BGl_importedzd2moduleszd2initz00zzcfa_collectz00();
					BGl_genericzd2initzd2zzcfa_collectz00();
					BGl_methodzd2initzd2zzcfa_collectz00();
					return BGl_toplevelzd2initzd2zzcfa_collectz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_collect");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			{	/* Cfa/collect.scm 15 */
				obj_t BgL_cportz00_5164;

				{	/* Cfa/collect.scm 15 */
					obj_t BgL_stringz00_5171;

					BgL_stringz00_5171 = BGl_string2223z00zzcfa_collectz00;
					{	/* Cfa/collect.scm 15 */
						obj_t BgL_startz00_5172;

						BgL_startz00_5172 = BINT(((long) 0));
						{	/* Cfa/collect.scm 15 */
							obj_t BgL_endz00_5173;

							BgL_endz00_5173 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5171)));
							{	/* Cfa/collect.scm 15 */

								BgL_cportz00_5164 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5171, BgL_startz00_5172, BgL_endz00_5173);
				}}}}
				{
					long BgL_iz00_5165;

					BgL_iz00_5165 = ((long) 22);
				BgL_loopz00_5166:
					if ((BgL_iz00_5165 == ((long) -1)))
						{	/* Cfa/collect.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/collect.scm 15 */
							{	/* Cfa/collect.scm 15 */
								obj_t BgL_arg2224z00_5167;

								{	/* Cfa/collect.scm 15 */

									{	/* Cfa/collect.scm 15 */
										obj_t BgL_locationz00_5169;

										BgL_locationz00_5169 = BBOOL(((bool_t) 0));
										{	/* Cfa/collect.scm 15 */

											BgL_arg2224z00_5167 =
												BGl_readz00zz__readerz00(BgL_cportz00_5164,
												BgL_locationz00_5169);
										}
									}
								}
								{	/* Cfa/collect.scm 15 */
									int BgL_tmpz00_5401;

									BgL_tmpz00_5401 = (int) (BgL_iz00_5165);
									CNST_TABLE_SET(BgL_tmpz00_5401, BgL_arg2224z00_5167);
							}}
							{	/* Cfa/collect.scm 15 */
								int BgL_auxz00_5170;

								BgL_auxz00_5170 = (int) ((BgL_iz00_5165 - ((long) 1)));
								{
									long BgL_iz00_5406;

									BgL_iz00_5406 = (long) (BgL_auxz00_5170);
									BgL_iz00_5165 = BgL_iz00_5406;
									goto BgL_loopz00_5166;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			return (BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = BNIL, BUNSPEC);
		}

	}



/* collect-all-approx! */
	BGL_EXPORTED_DEF obj_t BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Cfa/collect.scm 46 */
			{
				obj_t BgL_l1699z00_3560;

				{	/* Cfa/collect.scm 48 */
					bool_t BgL_tmpz00_5409;

					BgL_l1699z00_3560 = BgL_globalsz00_3;
				BgL_zc3z04anonymousza31766ze3z87_3561:
					if (PAIRP(BgL_l1699z00_3560))
						{	/* Cfa/collect.scm 48 */
							{	/* Cfa/collect.scm 48 */
								obj_t BgL_globalz00_3563;

								BgL_globalz00_3563 = CAR(BgL_l1699z00_3560);
								{	/* Cfa/collect.scm 48 */
									BgL_valuez00_bglt BgL_arg1769z00_3564;

									BgL_arg1769z00_3564 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_3563))))->
										BgL_valuez00);
									{	/* Cfa/collect.scm 55 */
										obj_t BgL_arg1771z00_4620;

										BgL_arg1771z00_4620 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_arg1769z00_3564)))->
											BgL_bodyz00);
										BGl_nodezd2collectz12zc0zzcfa_collectz00(((BgL_nodez00_bglt)
												BgL_arg1771z00_4620),
											((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
													BgL_globalz00_3563)));
									}
								}
							}
							{
								obj_t BgL_l1699z00_5422;

								BgL_l1699z00_5422 = CDR(BgL_l1699z00_3560);
								BgL_l1699z00_3560 = BgL_l1699z00_5422;
								goto BgL_zc3z04anonymousza31766ze3z87_3561;
							}
						}
					else
						{	/* Cfa/collect.scm 48 */
							BgL_tmpz00_5409 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_5409);
				}
			}
		}

	}



/* &collect-all-approx! */
	obj_t BGl_z62collectzd2allzd2approxz12z70zzcfa_collectz00(obj_t
		BgL_envz00_5062, obj_t BgL_globalsz00_5063)
	{
		{	/* Cfa/collect.scm 46 */
			return
				BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(BgL_globalsz00_5063);
		}

	}



/* node-collect*! */
	bool_t BGl_nodezd2collectza2z12z62zzcfa_collectz00(obj_t BgL_nodeza2za2_52,
		obj_t BgL_ownerz00_53)
	{
		{	/* Cfa/collect.scm 393 */
			{
				obj_t BgL_l1710z00_3569;

				BgL_l1710z00_3569 = BgL_nodeza2za2_52;
			BgL_zc3z04anonymousza31772ze3z87_3570:
				if (PAIRP(BgL_l1710z00_3569))
					{	/* Cfa/collect.scm 394 */
						{	/* Cfa/collect.scm 394 */
							obj_t BgL_nodez00_3572;

							BgL_nodez00_3572 = CAR(BgL_l1710z00_3569);
							BGl_nodezd2collectz12zc0zzcfa_collectz00(
								((BgL_nodez00_bglt) BgL_nodez00_3572),
								((BgL_variablez00_bglt) BgL_ownerz00_53));
						}
						{
							obj_t BgL_l1710z00_5432;

							BgL_l1710z00_5432 = CDR(BgL_l1710z00_3569);
							BgL_l1710z00_3569 = BgL_l1710z00_5432;
							goto BgL_zc3z04anonymousza31772ze3z87_3570;
						}
					}
				else
					{	/* Cfa/collect.scm 394 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* get-allocs */
	BGL_EXPORTED_DEF obj_t BGl_getzd2allocszd2zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 416 */
			return BGl_za2usedzd2allocza2zd2zzcfa_collectz00;
		}

	}



/* &get-allocs */
	obj_t BGl_z62getzd2allocszb0zzcfa_collectz00(obj_t BgL_envz00_5064)
	{
		{	/* Cfa/collect.scm 416 */
			return BGl_getzd2allocszd2zzcfa_collectz00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_proc2196z00zzcfa_collectz00, BGl_nodez00zzast_nodez00,
				BGl_string2197z00zzcfa_collectz00);
		}

	}



/* &node-collect!1712 */
	obj_t BGl_z62nodezd2collectz121712za2zzcfa_collectz00(obj_t BgL_envz00_5066,
		obj_t BgL_nodez00_5067, obj_t BgL_ownerz00_5068)
	{
		{	/* Cfa/collect.scm 60 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string2198z00zzcfa_collectz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_5067)));
		}

	}



/* node-collect! */
	obj_t BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_nodez00_bglt BgL_nodez00_6,
		BgL_variablez00_bglt BgL_ownerz00_7)
	{
		{	/* Cfa/collect.scm 60 */
			{	/* Cfa/collect.scm 60 */
				obj_t BgL_method1713z00_3580;

				{	/* Cfa/collect.scm 60 */
					obj_t BgL_res2188z00_4657;

					{	/* Cfa/collect.scm 60 */
						long BgL_objzd2classzd2numz00_4628;

						BgL_objzd2classzd2numz00_4628 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
						{	/* Cfa/collect.scm 60 */
							obj_t BgL_arg1825z00_4629;

							BgL_arg1825z00_4629 =
								PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
								(int) (((long) 1)));
							{	/* Cfa/collect.scm 60 */
								int BgL_offsetz00_4632;

								BgL_offsetz00_4632 = (int) (BgL_objzd2classzd2numz00_4628);
								{	/* Cfa/collect.scm 60 */
									long BgL_offsetz00_4633;

									BgL_offsetz00_4633 =
										((long) (BgL_offsetz00_4632) - OBJECT_TYPE);
									{	/* Cfa/collect.scm 60 */
										long BgL_modz00_4634;

										BgL_modz00_4634 =
											(BgL_offsetz00_4633 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/collect.scm 60 */
											long BgL_restz00_4636;

											BgL_restz00_4636 =
												(BgL_offsetz00_4633 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/collect.scm 60 */

												{	/* Cfa/collect.scm 60 */
													obj_t BgL_bucketz00_4638;

													BgL_bucketz00_4638 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4629), BgL_modz00_4634);
													BgL_res2188z00_4657 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4638), BgL_restz00_4636);
					}}}}}}}}
					BgL_method1713z00_3580 = BgL_res2188z00_4657;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1713z00_3580)) (BgL_method1713z00_3580,
					((obj_t) BgL_nodez00_6), ((obj_t) BgL_ownerz00_7), BEOA);
			}
		}

	}



/* &node-collect! */
	obj_t BGl_z62nodezd2collectz12za2zzcfa_collectz00(obj_t BgL_envz00_5069,
		obj_t BgL_nodez00_5070, obj_t BgL_ownerz00_5071)
	{
		{	/* Cfa/collect.scm 60 */
			return
				BGl_nodezd2collectz12zc0zzcfa_collectz00(
				((BgL_nodez00_bglt) BgL_nodez00_5070),
				((BgL_variablez00_bglt) BgL_ownerz00_5071));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_atomz00zzast_nodez00, BGl_proc2199z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_kwotez00zzast_nodez00, BGl_proc2201z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_varz00zzast_nodez00, BGl_proc2202z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2203z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_syncz00zzast_nodez00, BGl_proc2204z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_appz00zzast_nodez00, BGl_proc2205z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_vallocz00zzast_nodez00, BGl_proc2206z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2207z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2208z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_externz00zzast_nodez00, BGl_proc2209z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_castz00zzast_nodez00, BGl_proc2210z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_setqz00zzast_nodez00, BGl_proc2211z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2212z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_failz00zzast_nodez00, BGl_proc2213z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_switchz00zzast_nodez00, BGl_proc2214z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2215z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2216z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2217z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2218z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2219z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2220z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2221z00zzcfa_collectz00,
				BGl_string2200z00zzcfa_collectz00);
		}

	}



/* &node-collect!-box-re1758 */
	obj_t BGl_z62nodezd2collectz12zd2boxzd2re1758za2zzcfa_collectz00(obj_t
		BgL_envz00_5098, obj_t BgL_nodez00_5099, obj_t BgL_ownerz00_5100)
	{
		{	/* Cfa/collect.scm 386 */
			{	/* Cfa/collect.scm 388 */
				BgL_varz00_bglt BgL_arg1983z00_5178;

				BgL_arg1983z00_5178 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_5099)))->BgL_varz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(
					((BgL_nodez00_bglt) BgL_arg1983z00_5178),
					((BgL_variablez00_bglt) BgL_ownerz00_5100));
			}
		}

	}



/* &node-collect!-box-se1756 */
	obj_t BGl_z62nodezd2collectz12zd2boxzd2se1756za2zzcfa_collectz00(obj_t
		BgL_envz00_5101, obj_t BgL_nodez00_5102, obj_t BgL_ownerz00_5103)
	{
		{	/* Cfa/collect.scm 378 */
			{	/* Cfa/collect.scm 380 */
				BgL_varz00_bglt BgL_arg1981z00_5180;

				BgL_arg1981z00_5180 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5102)))->BgL_varz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(
					((BgL_nodez00_bglt) BgL_arg1981z00_5180),
					((BgL_variablez00_bglt) BgL_ownerz00_5103));
			}
			{	/* Cfa/collect.scm 381 */
				BgL_nodez00_bglt BgL_arg1982z00_5181;

				BgL_arg1982z00_5181 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5102)))->BgL_valuez00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1982z00_5181,
					((BgL_variablez00_bglt) BgL_ownerz00_5103));
			}
		}

	}



/* &node-collect!-make-b1754 */
	obj_t BGl_z62nodezd2collectz12zd2makezd2b1754za2zzcfa_collectz00(obj_t
		BgL_envz00_5104, obj_t BgL_nodez00_5105, obj_t BgL_ownerz00_5106)
	{
		{	/* Cfa/collect.scm 368 */
			{	/* Cfa/collect.scm 369 */
				BgL_nodez00_bglt BgL_arg1978z00_5183;

				BgL_arg1978z00_5183 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_5105)))->BgL_valuez00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1978z00_5183,
					((BgL_variablez00_bglt) BgL_ownerz00_5106));
			}
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/collect.scm 370 */
					BGl_za2usedzd2allocza2zd2zzcfa_collectz00 =
						MAKE_YOUNG_PAIR(
						((obj_t)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_5105)),
						BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
					{	/* Cfa/collect.scm 373 */
						BgL_prezd2makezd2boxz00_bglt BgL_wide1266z00_5184;

						BgL_wide1266z00_5184 =
							((BgL_prezd2makezd2boxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_prezd2makezd2boxz00_bgl))));
						{	/* Cfa/collect.scm 373 */
							obj_t BgL_auxz00_5526;
							BgL_objectz00_bglt BgL_tmpz00_5522;

							BgL_auxz00_5526 = ((obj_t) BgL_wide1266z00_5184);
							BgL_tmpz00_5522 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_5105)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5522, BgL_auxz00_5526);
						}
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_5105)));
						{	/* Cfa/collect.scm 373 */
							long BgL_arg1980z00_5185;

							BgL_arg1980z00_5185 =
								BGL_CLASS_NUM(BGl_prezd2makezd2boxz00zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nodez00_5105))),
								BgL_arg1980z00_5185);
						}
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_5105)));
					}
					return
						((obj_t)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_5105)));
				}
			else
				{	/* Cfa/collect.scm 370 */
					return BFALSE;
				}
		}

	}



/* &node-collect!-jump-e1752 */
	obj_t BGl_z62nodezd2collectz12zd2jumpzd2e1752za2zzcfa_collectz00(obj_t
		BgL_envz00_5107, obj_t BgL_nodez00_5108, obj_t BgL_ownerz00_5109)
	{
		{	/* Cfa/collect.scm 360 */
			{	/* Cfa/collect.scm 362 */
				BgL_nodez00_bglt BgL_arg1976z00_5187;

				BgL_arg1976z00_5187 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5108)))->BgL_exitz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1976z00_5187,
					((BgL_variablez00_bglt) BgL_ownerz00_5109));
			}
			{	/* Cfa/collect.scm 363 */
				BgL_nodez00_bglt BgL_arg1977z00_5188;

				BgL_arg1977z00_5188 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5108)))->BgL_valuez00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1977z00_5188,
					((BgL_variablez00_bglt) BgL_ownerz00_5109));
			}
		}

	}



/* &node-collect!-set-ex1750 */
	obj_t BGl_z62nodezd2collectz12zd2setzd2ex1750za2zzcfa_collectz00(obj_t
		BgL_envz00_5110, obj_t BgL_nodez00_5111, obj_t BgL_ownerz00_5112)
	{
		{	/* Cfa/collect.scm 352 */
			{	/* Cfa/collect.scm 354 */
				BgL_nodez00_bglt BgL_arg1974z00_5190;

				BgL_arg1974z00_5190 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5111)))->BgL_onexitz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1974z00_5190,
					((BgL_variablez00_bglt) BgL_ownerz00_5112));
			}
			{	/* Cfa/collect.scm 355 */
				BgL_nodez00_bglt BgL_arg1975z00_5191;

				BgL_arg1975z00_5191 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5111)))->BgL_bodyz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1975z00_5191,
					((BgL_variablez00_bglt) BgL_ownerz00_5112));
			}
		}

	}



/* &node-collect!-let-va1748 */
	obj_t BGl_z62nodezd2collectz12zd2letzd2va1748za2zzcfa_collectz00(obj_t
		BgL_envz00_5113, obj_t BgL_nodez00_5114, obj_t BgL_ownerz00_5115)
	{
		{	/* Cfa/collect.scm 342 */
			{	/* Cfa/collect.scm 344 */
				obj_t BgL_g1709z00_5193;

				BgL_g1709z00_5193 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5114)))->BgL_bindingsz00);
				{
					obj_t BgL_l1707z00_5195;

					BgL_l1707z00_5195 = BgL_g1709z00_5193;
				BgL_zc3z04anonymousza31969ze3z87_5194:
					if (PAIRP(BgL_l1707z00_5195))
						{	/* Cfa/collect.scm 344 */
							{	/* Cfa/collect.scm 345 */
								obj_t BgL_bindingz00_5196;

								BgL_bindingz00_5196 = CAR(BgL_l1707z00_5195);
								{	/* Cfa/collect.scm 345 */
									obj_t BgL_arg1971z00_5197;

									BgL_arg1971z00_5197 = CDR(((obj_t) BgL_bindingz00_5196));
									BGl_nodezd2collectz12zc0zzcfa_collectz00(
										((BgL_nodez00_bglt) BgL_arg1971z00_5197),
										((BgL_variablez00_bglt) BgL_ownerz00_5115));
								}
							}
							{
								obj_t BgL_l1707z00_5569;

								BgL_l1707z00_5569 = CDR(BgL_l1707z00_5195);
								BgL_l1707z00_5195 = BgL_l1707z00_5569;
								goto BgL_zc3z04anonymousza31969ze3z87_5194;
							}
						}
					else
						{	/* Cfa/collect.scm 344 */
							((bool_t) 1);
						}
				}
			}
			{	/* Cfa/collect.scm 347 */
				BgL_nodez00_bglt BgL_arg1973z00_5198;

				BgL_arg1973z00_5198 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5114)))->BgL_bodyz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1973z00_5198,
					((BgL_variablez00_bglt) BgL_ownerz00_5115));
			}
		}

	}



/* &node-collect!-let-fu1746 */
	obj_t BGl_z62nodezd2collectz12zd2letzd2fu1746za2zzcfa_collectz00(obj_t
		BgL_envz00_5116, obj_t BgL_nodez00_5117, obj_t BgL_ownerz00_5118)
	{
		{	/* Cfa/collect.scm 331 */
			{	/* Cfa/collect.scm 333 */
				obj_t BgL_g1706z00_5200;

				BgL_g1706z00_5200 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5117)))->BgL_localsz00);
				{
					obj_t BgL_l1704z00_5202;

					BgL_l1704z00_5202 = BgL_g1706z00_5200;
				BgL_zc3z04anonymousza31964ze3z87_5201:
					if (PAIRP(BgL_l1704z00_5202))
						{	/* Cfa/collect.scm 333 */
							{	/* Cfa/collect.scm 334 */
								obj_t BgL_lz00_5203;

								BgL_lz00_5203 = CAR(BgL_l1704z00_5202);
								{	/* Cfa/collect.scm 334 */
									BgL_valuez00_bglt BgL_fz00_5204;

									BgL_fz00_5204 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_lz00_5203))))->BgL_valuez00);
									{	/* Cfa/collect.scm 335 */
										obj_t BgL_arg1966z00_5205;

										BgL_arg1966z00_5205 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_fz00_5204)))->BgL_bodyz00);
										BGl_nodezd2collectz12zc0zzcfa_collectz00(
											((BgL_nodez00_bglt) BgL_arg1966z00_5205),
											((BgL_variablez00_bglt) BgL_lz00_5203));
									}
								}
							}
							{
								obj_t BgL_l1704z00_5588;

								BgL_l1704z00_5588 = CDR(BgL_l1704z00_5202);
								BgL_l1704z00_5202 = BgL_l1704z00_5588;
								goto BgL_zc3z04anonymousza31964ze3z87_5201;
							}
						}
					else
						{	/* Cfa/collect.scm 333 */
							((bool_t) 1);
						}
				}
			}
			{	/* Cfa/collect.scm 337 */
				BgL_nodez00_bglt BgL_arg1968z00_5206;

				BgL_arg1968z00_5206 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5117)))->BgL_bodyz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1968z00_5206,
					((BgL_variablez00_bglt) BgL_ownerz00_5118));
			}
		}

	}



/* &node-collect!-switch1744 */
	obj_t BGl_z62nodezd2collectz12zd2switch1744z70zzcfa_collectz00(obj_t
		BgL_envz00_5119, obj_t BgL_nodez00_5120, obj_t BgL_ownerz00_5121)
	{
		{	/* Cfa/collect.scm 321 */
			{	/* Cfa/collect.scm 322 */
				bool_t BgL_tmpz00_5594;

				{	/* Cfa/collect.scm 323 */
					BgL_nodez00_bglt BgL_arg1959z00_5208;

					BgL_arg1959z00_5208 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_5120)))->BgL_testz00);
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1959z00_5208,
						((BgL_variablez00_bglt) BgL_ownerz00_5121));
				}
				{	/* Cfa/collect.scm 324 */
					obj_t BgL_g1703z00_5209;

					BgL_g1703z00_5209 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_5120)))->BgL_clausesz00);
					{
						obj_t BgL_l1701z00_5211;

						BgL_l1701z00_5211 = BgL_g1703z00_5209;
					BgL_zc3z04anonymousza31960ze3z87_5210:
						if (PAIRP(BgL_l1701z00_5211))
							{	/* Cfa/collect.scm 324 */
								{	/* Cfa/collect.scm 325 */
									obj_t BgL_clausez00_5212;

									BgL_clausez00_5212 = CAR(BgL_l1701z00_5211);
									{	/* Cfa/collect.scm 325 */
										obj_t BgL_arg1962z00_5213;

										BgL_arg1962z00_5213 = CDR(((obj_t) BgL_clausez00_5212));
										BGl_nodezd2collectz12zc0zzcfa_collectz00(
											((BgL_nodez00_bglt) BgL_arg1962z00_5213),
											((BgL_variablez00_bglt) BgL_ownerz00_5121));
									}
								}
								{
									obj_t BgL_l1701z00_5609;

									BgL_l1701z00_5609 = CDR(BgL_l1701z00_5211);
									BgL_l1701z00_5211 = BgL_l1701z00_5609;
									goto BgL_zc3z04anonymousza31960ze3z87_5210;
								}
							}
						else
							{	/* Cfa/collect.scm 324 */
								BgL_tmpz00_5594 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_5594);
			}
		}

	}



/* &node-collect!-fail1742 */
	obj_t BGl_z62nodezd2collectz12zd2fail1742z70zzcfa_collectz00(obj_t
		BgL_envz00_5122, obj_t BgL_nodez00_5123, obj_t BgL_ownerz00_5124)
	{
		{	/* Cfa/collect.scm 312 */
			{	/* Cfa/collect.scm 314 */
				BgL_nodez00_bglt BgL_arg1956z00_5215;

				BgL_arg1956z00_5215 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5123)))->BgL_procz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1956z00_5215,
					((BgL_variablez00_bglt) BgL_ownerz00_5124));
			}
			{	/* Cfa/collect.scm 315 */
				BgL_nodez00_bglt BgL_arg1957z00_5216;

				BgL_arg1957z00_5216 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5123)))->BgL_msgz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1957z00_5216,
					((BgL_variablez00_bglt) BgL_ownerz00_5124));
			}
			{	/* Cfa/collect.scm 316 */
				BgL_nodez00_bglt BgL_arg1958z00_5217;

				BgL_arg1958z00_5217 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5123)))->BgL_objz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1958z00_5217,
					((BgL_variablez00_bglt) BgL_ownerz00_5124));
			}
		}

	}



/* &node-collect!-condit1740 */
	obj_t BGl_z62nodezd2collectz12zd2condit1740z70zzcfa_collectz00(obj_t
		BgL_envz00_5125, obj_t BgL_nodez00_5126, obj_t BgL_ownerz00_5127)
	{
		{	/* Cfa/collect.scm 303 */
			{	/* Cfa/collect.scm 305 */
				BgL_nodez00_bglt BgL_arg1953z00_5219;

				BgL_arg1953z00_5219 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5126)))->BgL_testz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1953z00_5219,
					((BgL_variablez00_bglt) BgL_ownerz00_5127));
			}
			{	/* Cfa/collect.scm 306 */
				BgL_nodez00_bglt BgL_arg1954z00_5220;

				BgL_arg1954z00_5220 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5126)))->BgL_truez00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1954z00_5220,
					((BgL_variablez00_bglt) BgL_ownerz00_5127));
			}
			{	/* Cfa/collect.scm 307 */
				BgL_nodez00_bglt BgL_arg1955z00_5221;

				BgL_arg1955z00_5221 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5126)))->BgL_falsez00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1955z00_5221,
					((BgL_variablez00_bglt) BgL_ownerz00_5127));
			}
		}

	}



/* &node-collect!-setq1738 */
	obj_t BGl_z62nodezd2collectz12zd2setq1738z70zzcfa_collectz00(obj_t
		BgL_envz00_5128, obj_t BgL_nodez00_5129, obj_t BgL_ownerz00_5130)
	{
		{	/* Cfa/collect.scm 296 */
			{	/* Cfa/collect.scm 298 */
				BgL_nodez00_bglt BgL_arg1952z00_5223;

				BgL_arg1952z00_5223 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_5129)))->BgL_valuez00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1952z00_5223,
					((BgL_variablez00_bglt) BgL_ownerz00_5130));
			}
		}

	}



/* &node-collect!-cast1736 */
	obj_t BGl_z62nodezd2collectz12zd2cast1736z70zzcfa_collectz00(obj_t
		BgL_envz00_5131, obj_t BgL_nodez00_5132, obj_t BgL_ownerz00_5133)
	{
		{	/* Cfa/collect.scm 289 */
			{	/* Cfa/collect.scm 291 */
				BgL_nodez00_bglt BgL_arg1951z00_5225;

				BgL_arg1951z00_5225 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_5132)))->BgL_argz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1951z00_5225,
					((BgL_variablez00_bglt) BgL_ownerz00_5133));
			}
		}

	}



/* &node-collect!-extern1734 */
	obj_t BGl_z62nodezd2collectz12zd2extern1734z70zzcfa_collectz00(obj_t
		BgL_envz00_5134, obj_t BgL_nodez00_5135, obj_t BgL_ownerz00_5136)
	{
		{	/* Cfa/collect.scm 282 */
			return
				BBOOL(BGl_nodezd2collectza2z12z62zzcfa_collectz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_5135)))->BgL_exprza2za2),
					BgL_ownerz00_5136));
		}

	}



/* &node-collect!-funcal1732 */
	obj_t BGl_z62nodezd2collectz12zd2funcal1732z70zzcfa_collectz00(obj_t
		BgL_envz00_5137, obj_t BgL_nodez00_5138, obj_t BgL_ownerz00_5139)
	{
		{	/* Cfa/collect.scm 273 */
			{	/* Cfa/collect.scm 274 */
				bool_t BgL_tmpz00_5648;

				BGl_addzd2funcallz12zc0zzcfa_closurez00(
					((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5138)));
				{	/* Cfa/collect.scm 276 */
					BgL_nodez00_bglt BgL_arg1948z00_5228;

					BgL_arg1948z00_5228 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_5138)))->BgL_funz00);
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1948z00_5228,
						((BgL_variablez00_bglt) BgL_ownerz00_5139));
				}
				BgL_tmpz00_5648 =
					BGl_nodezd2collectza2z12z62zzcfa_collectz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_5138)))->BgL_argsz00),
					BgL_ownerz00_5139);
				return BBOOL(BgL_tmpz00_5648);
			}
		}

	}



/* &node-collect!-app-ly1730 */
	obj_t BGl_z62nodezd2collectz12zd2appzd2ly1730za2zzcfa_collectz00(obj_t
		BgL_envz00_5140, obj_t BgL_nodez00_5141, obj_t BgL_ownerz00_5142)
	{
		{	/* Cfa/collect.scm 265 */
			{	/* Cfa/collect.scm 267 */
				BgL_nodez00_bglt BgL_arg1946z00_5230;

				BgL_arg1946z00_5230 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_5141)))->BgL_funz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1946z00_5230,
					((BgL_variablez00_bglt) BgL_ownerz00_5142));
			}
			{	/* Cfa/collect.scm 268 */
				BgL_nodez00_bglt BgL_arg1947z00_5231;

				BgL_arg1947z00_5231 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_5141)))->BgL_argz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1947z00_5231,
					((BgL_variablez00_bglt) BgL_ownerz00_5142));
			}
		}

	}



/* &node-collect!-valloc1727 */
	obj_t BGl_z62nodezd2collectz12zd2valloc1727z70zzcfa_collectz00(obj_t
		BgL_envz00_5143, obj_t BgL_nodez00_5144, obj_t BgL_ownerz00_5145)
	{
		{	/* Cfa/collect.scm 255 */
			{	/* Cfa/collect.scm 257 */
				obj_t BgL_arg1943z00_5233;

				BgL_arg1943z00_5233 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_5144))))->BgL_exprza2za2);
				BGl_nodezd2collectza2z12z62zzcfa_collectz00(BgL_arg1943z00_5233,
					BgL_ownerz00_5145);
			}
			if (BGl_vectorzd2optimzf3z21zzcfa_vectorz00())
				{	/* Cfa/collect.scm 258 */
					BGl_za2usedzd2allocza2zd2zzcfa_collectz00 =
						MAKE_YOUNG_PAIR(
						((obj_t)
							((BgL_vallocz00_bglt) BgL_nodez00_5144)),
						BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
					{	/* Cfa/collect.scm 260 */
						BgL_prezd2valloczf2cinfoz20_bglt BgL_wide1250z00_5234;

						BgL_wide1250z00_5234 =
							((BgL_prezd2valloczf2cinfoz20_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_prezd2valloczf2cinfoz20_bgl))));
						{	/* Cfa/collect.scm 260 */
							obj_t BgL_auxz00_5682;
							BgL_objectz00_bglt BgL_tmpz00_5678;

							BgL_auxz00_5682 = ((obj_t) BgL_wide1250z00_5234);
							BgL_tmpz00_5678 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5144)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5678, BgL_auxz00_5682);
						}
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5144)));
						{	/* Cfa/collect.scm 260 */
							long BgL_arg1945z00_5235;

							BgL_arg1945z00_5235 =
								BGL_CLASS_NUM(BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_5144))),
								BgL_arg1945z00_5235);
						}
						((BgL_vallocz00_bglt)
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5144)));
					}
					{
						BgL_prezd2valloczf2cinfoz20_bglt BgL_auxz00_5696;

						{
							obj_t BgL_auxz00_5697;

							{	/* Cfa/collect.scm 260 */
								BgL_objectz00_bglt BgL_tmpz00_5698;

								BgL_tmpz00_5698 =
									((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_5144)));
								BgL_auxz00_5697 = BGL_OBJECT_WIDENING(BgL_tmpz00_5698);
							}
							BgL_auxz00_5696 =
								((BgL_prezd2valloczf2cinfoz20_bglt) BgL_auxz00_5697);
						}
						((((BgL_prezd2valloczf2cinfoz20_bglt) COBJECT(BgL_auxz00_5696))->
								BgL_ownerz00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
									BgL_ownerz00_5145)), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5144)));
				}
			else
				{	/* Cfa/collect.scm 258 */
					return BFALSE;
				}
		}

	}



/* &node-collect!-app1725 */
	obj_t BGl_z62nodezd2collectz12zd2app1725z70zzcfa_collectz00(obj_t
		BgL_envz00_5146, obj_t BgL_nodez00_5147, obj_t BgL_ownerz00_5148)
	{
		{	/* Cfa/collect.scm 181 */
			BGl_nodezd2collectza2z12z62zzcfa_collectz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_5147)))->BgL_argsz00),
				BgL_ownerz00_5148);
			{	/* Cfa/collect.scm 184 */
				BgL_varz00_bglt BgL_arg1889z00_5237;

				BgL_arg1889z00_5237 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_5147)))->BgL_funz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(
					((BgL_nodez00_bglt) BgL_arg1889z00_5237),
					((BgL_variablez00_bglt) BgL_ownerz00_5148));
			}
			{	/* Cfa/collect.scm 185 */
				BgL_variablez00_bglt BgL_vz00_5238;

				BgL_vz00_5238 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_5147)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Cfa/collect.scm 186 */
					bool_t BgL_test2265z00_5720;

					{	/* Cfa/collect.scm 186 */
						obj_t BgL_classz00_5239;

						BgL_classz00_5239 = BGl_globalz00zzast_varz00;
						{	/* Cfa/collect.scm 186 */
							BgL_objectz00_bglt BgL_arg1820z00_5240;

							{	/* Cfa/collect.scm 186 */
								obj_t BgL_tmpz00_5721;

								BgL_tmpz00_5721 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5238));
								BgL_arg1820z00_5240 = (BgL_objectz00_bglt) (BgL_tmpz00_5721);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/collect.scm 186 */
									long BgL_idxz00_5241;

									BgL_idxz00_5241 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5240);
									BgL_test2265z00_5720 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5241 + ((long) 2))) == BgL_classz00_5239);
								}
							else
								{	/* Cfa/collect.scm 186 */
									bool_t BgL_res2191z00_5244;

									{	/* Cfa/collect.scm 186 */
										obj_t BgL_oclassz00_5245;

										{	/* Cfa/collect.scm 186 */
											long BgL_arg1828z00_5246;

											{	/* Cfa/collect.scm 186 */
												long BgL_arg1829z00_5247;

												BgL_arg1829z00_5247 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5240);
												BgL_arg1828z00_5246 =
													(BgL_arg1829z00_5247 - OBJECT_TYPE);
											}
											BgL_oclassz00_5245 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_5246);
										}
										{	/* Cfa/collect.scm 186 */
											bool_t BgL__ortest_1111z00_5248;

											BgL__ortest_1111z00_5248 =
												(BgL_classz00_5239 == BgL_oclassz00_5245);
											if (BgL__ortest_1111z00_5248)
												{	/* Cfa/collect.scm 186 */
													BgL_res2191z00_5244 = BgL__ortest_1111z00_5248;
												}
											else
												{	/* Cfa/collect.scm 186 */
													long BgL_odepthz00_5249;

													BgL_odepthz00_5249 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5245);
													if ((((long) 2) < BgL_odepthz00_5249))
														{	/* Cfa/collect.scm 186 */
															obj_t BgL_arg1816z00_5250;

															BgL_arg1816z00_5250 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5245,
																((long) 2));
															BgL_res2191z00_5244 =
																(BgL_arg1816z00_5250 == BgL_classz00_5239);
														}
													else
														{	/* Cfa/collect.scm 186 */
															BgL_res2191z00_5244 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2265z00_5720 = BgL_res2191z00_5244;
								}
						}
					}
					if (BgL_test2265z00_5720)
						{	/* Cfa/collect.scm 187 */
							bool_t BgL_test2269z00_5741;

							{	/* Cfa/collect.scm 187 */
								BgL_valuez00_bglt BgL_arg1941z00_5251;

								BgL_arg1941z00_5251 =
									(((BgL_variablez00_bglt) COBJECT(BgL_vz00_5238))->
									BgL_valuez00);
								{	/* Cfa/collect.scm 187 */
									obj_t BgL_classz00_5252;

									BgL_classz00_5252 = BGl_cfunz00zzast_varz00;
									{	/* Cfa/collect.scm 187 */
										BgL_objectz00_bglt BgL_arg1820z00_5253;

										{	/* Cfa/collect.scm 187 */
											obj_t BgL_tmpz00_5743;

											BgL_tmpz00_5743 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1941z00_5251));
											BgL_arg1820z00_5253 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5743);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/collect.scm 187 */
												long BgL_idxz00_5254;

												BgL_idxz00_5254 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5253);
												BgL_test2269z00_5741 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5254 + ((long) 3))) ==
													BgL_classz00_5252);
											}
										else
											{	/* Cfa/collect.scm 187 */
												bool_t BgL_res2192z00_5257;

												{	/* Cfa/collect.scm 187 */
													obj_t BgL_oclassz00_5258;

													{	/* Cfa/collect.scm 187 */
														long BgL_arg1828z00_5259;

														{	/* Cfa/collect.scm 187 */
															long BgL_arg1829z00_5260;

															BgL_arg1829z00_5260 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5253);
															BgL_arg1828z00_5259 =
																(BgL_arg1829z00_5260 - OBJECT_TYPE);
														}
														BgL_oclassz00_5258 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_5259);
													}
													{	/* Cfa/collect.scm 187 */
														bool_t BgL__ortest_1111z00_5261;

														BgL__ortest_1111z00_5261 =
															(BgL_classz00_5252 == BgL_oclassz00_5258);
														if (BgL__ortest_1111z00_5261)
															{	/* Cfa/collect.scm 187 */
																BgL_res2192z00_5257 = BgL__ortest_1111z00_5261;
															}
														else
															{	/* Cfa/collect.scm 187 */
																long BgL_odepthz00_5262;

																BgL_odepthz00_5262 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5258);
																if ((((long) 3) < BgL_odepthz00_5262))
																	{	/* Cfa/collect.scm 187 */
																		obj_t BgL_arg1816z00_5263;

																		BgL_arg1816z00_5263 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5258, ((long) 3));
																		BgL_res2192z00_5257 =
																			(BgL_arg1816z00_5263 ==
																			BgL_classz00_5252);
																	}
																else
																	{	/* Cfa/collect.scm 187 */
																		BgL_res2192z00_5257 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2269z00_5741 = BgL_res2192z00_5257;
											}
									}
								}
							}
							if (BgL_test2269z00_5741)
								{	/* Cfa/collect.scm 193 */
									obj_t BgL_casezd2valuezd2_5264;

									BgL_casezd2valuezd2_5264 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_5238))))->BgL_idz00);
									if ((BgL_casezd2valuezd2_5264 == CNST_TABLE_REF(((long) 1))))
										{	/* Cfa/collect.scm 195 */
											bool_t BgL_test2274z00_5769;

											if (CBOOL
												(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/collect.scm 195 */
													BgL_test2274z00_5769 = ((bool_t) 1);
												}
											else
												{	/* Cfa/collect.scm 195 */
													BgL_test2274z00_5769 =
														CBOOL
														(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00);
												}
											if (BgL_test2274z00_5769)
												{	/* Cfa/collect.scm 195 */
													{	/* Cfa/collect.scm 197 */
														BgL_prezd2arithmeticzd2appz00_bglt
															BgL_wide1188z00_5265;
														BgL_wide1188z00_5265 =
															((BgL_prezd2arithmeticzd2appz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_prezd2arithmeticzd2appz00_bgl))));
														{	/* Cfa/collect.scm 197 */
															obj_t BgL_auxz00_5778;
															BgL_objectz00_bglt BgL_tmpz00_5774;

															BgL_auxz00_5778 = ((obj_t) BgL_wide1188z00_5265);
															BgL_tmpz00_5774 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5147)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5774,
																BgL_auxz00_5778);
														}
														((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5147)));
														{	/* Cfa/collect.scm 197 */
															long BgL_arg1898z00_5266;

															BgL_arg1898z00_5266 =
																BGL_CLASS_NUM
																(BGl_prezd2arithmeticzd2appz00zzcfa_info2z00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_appz00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_5147))), BgL_arg1898z00_5266);
														}
														((BgL_appz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5147)));
													}
													{
														BgL_prezd2arithmeticzd2appz00_bglt BgL_auxz00_5792;

														{
															obj_t BgL_auxz00_5793;

															{	/* Cfa/collect.scm 198 */
																BgL_objectz00_bglt BgL_tmpz00_5794;

																BgL_tmpz00_5794 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5147)));
																BgL_auxz00_5793 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5794);
															}
															BgL_auxz00_5792 =
																((BgL_prezd2arithmeticzd2appz00_bglt)
																BgL_auxz00_5793);
														}
														((((BgL_prezd2arithmeticzd2appz00_bglt)
																	COBJECT(BgL_auxz00_5792))->
																BgL_speczd2typeszd2) =
															((obj_t)
																BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7
																(((BgL_globalz00_bglt) BgL_vz00_5238))),
															BUNSPEC);
													}
													return
														((obj_t)
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_5147)));
												}
											else
												{	/* Cfa/collect.scm 195 */
													return BFALSE;
												}
										}
									else
										{	/* Cfa/collect.scm 193 */
											if (
												(BgL_casezd2valuezd2_5264 ==
													CNST_TABLE_REF(((long) 2))))
												{	/* Cfa/collect.scm 193 */
													BGl_za2usedzd2allocza2zd2zzcfa_collectz00 =
														MAKE_YOUNG_PAIR(
														((obj_t)
															((BgL_appz00_bglt) BgL_nodez00_5147)),
														BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
													{	/* Cfa/collect.scm 201 */
														BgL_prezd2makezd2procedurezd2appzd2_bglt
															BgL_wide1192z00_5267;
														BgL_wide1192z00_5267 =
															((BgL_prezd2makezd2procedurezd2appzd2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_prezd2makezd2procedurezd2appzd2_bgl))));
														{	/* Cfa/collect.scm 201 */
															obj_t BgL_auxz00_5817;
															BgL_objectz00_bglt BgL_tmpz00_5813;

															BgL_auxz00_5817 = ((obj_t) BgL_wide1192z00_5267);
															BgL_tmpz00_5813 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5147)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5813,
																BgL_auxz00_5817);
														}
														((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5147)));
														{	/* Cfa/collect.scm 201 */
															long BgL_arg1900z00_5268;

															BgL_arg1900z00_5268 =
																BGL_CLASS_NUM
																(BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_appz00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_5147))), BgL_arg1900z00_5268);
														}
														((BgL_appz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5147)));
													}
													{
														BgL_prezd2makezd2procedurezd2appzd2_bglt
															BgL_auxz00_5831;
														{
															obj_t BgL_auxz00_5832;

															{	/* Cfa/collect.scm 201 */
																BgL_objectz00_bglt BgL_tmpz00_5833;

																BgL_tmpz00_5833 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5147)));
																BgL_auxz00_5832 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5833);
															}
															BgL_auxz00_5831 =
																((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																BgL_auxz00_5832);
														}
														((((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																	COBJECT(BgL_auxz00_5831))->BgL_ownerz00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_ownerz00_5148)), BUNSPEC);
													}
													return
														((obj_t)
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_5147)));
												}
											else
												{	/* Cfa/collect.scm 193 */
													if (
														(BgL_casezd2valuezd2_5264 ==
															CNST_TABLE_REF(((long) 3))))
														{	/* Cfa/collect.scm 193 */
															BGl_za2usedzd2allocza2zd2zzcfa_collectz00 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	((BgL_appz00_bglt) BgL_nodez00_5147)),
																BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
															{	/* Cfa/collect.scm 204 */
																BgL_prezd2makezd2procedurezd2appzd2_bglt
																	BgL_wide1196z00_5269;
																BgL_wide1196z00_5269 =
																	((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_prezd2makezd2procedurezd2appzd2_bgl))));
																{	/* Cfa/collect.scm 204 */
																	obj_t BgL_auxz00_5855;
																	BgL_objectz00_bglt BgL_tmpz00_5851;

																	BgL_auxz00_5855 =
																		((obj_t) BgL_wide1196z00_5269);
																	BgL_tmpz00_5851 =
																		((BgL_objectz00_bglt)
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_nodez00_5147)));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5851,
																		BgL_auxz00_5855);
																}
																((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5147)));
																{	/* Cfa/collect.scm 204 */
																	long BgL_arg1902z00_5270;

																	BgL_arg1902z00_5270 =
																		BGL_CLASS_NUM
																		(BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) ((BgL_appz00_bglt)
																					BgL_nodez00_5147))),
																		BgL_arg1902z00_5270);
																}
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5147)));
															}
															{
																BgL_prezd2makezd2procedurezd2appzd2_bglt
																	BgL_auxz00_5869;
																{
																	obj_t BgL_auxz00_5870;

																	{	/* Cfa/collect.scm 204 */
																		BgL_objectz00_bglt BgL_tmpz00_5871;

																		BgL_tmpz00_5871 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_5147)));
																		BgL_auxz00_5870 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5871);
																	}
																	BgL_auxz00_5869 =
																		((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																		BgL_auxz00_5870);
																}
																((((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																			COBJECT(BgL_auxz00_5869))->BgL_ownerz00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_ownerz00_5148)), BUNSPEC);
															}
															return
																((obj_t)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5147)));
														}
													else
														{	/* Cfa/collect.scm 193 */
															if (
																(BgL_casezd2valuezd2_5264 ==
																	CNST_TABLE_REF(((long) 4))))
																{	/* Cfa/collect.scm 193 */
																	{	/* Cfa/collect.scm 206 */
																		BgL_prezd2procedurezd2refzd2appzd2_bglt
																			BgL_wide1200z00_5271;
																		BgL_wide1200z00_5271 =
																			((BgL_prezd2procedurezd2refzd2appzd2_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_prezd2procedurezd2refzd2appzd2_bgl))));
																		{	/* Cfa/collect.scm 206 */
																			obj_t BgL_auxz00_5890;
																			BgL_objectz00_bglt BgL_tmpz00_5886;

																			BgL_auxz00_5890 =
																				((obj_t) BgL_wide1200z00_5271);
																			BgL_tmpz00_5886 =
																				((BgL_objectz00_bglt)
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_nodez00_5147)));
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5886,
																				BgL_auxz00_5890);
																		}
																		((BgL_objectz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_5147)));
																		{	/* Cfa/collect.scm 206 */
																			long BgL_arg1904z00_5272;

																			BgL_arg1904z00_5272 =
																				BGL_CLASS_NUM
																				(BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt) (
																						(BgL_appz00_bglt) ((BgL_appz00_bglt)
																							BgL_nodez00_5147))),
																				BgL_arg1904z00_5272);
																		}
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_5147)));
																	}
																	return
																		((obj_t)
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_nodez00_5147)));
																}
															else
																{	/* Cfa/collect.scm 193 */
																	if (
																		(BgL_casezd2valuezd2_5264 ==
																			CNST_TABLE_REF(((long) 5))))
																		{	/* Cfa/collect.scm 193 */
																			{	/* Cfa/collect.scm 208 */
																				BgL_prezd2procedurezd2setz12zd2appzc0_bglt
																					BgL_wide1204z00_5273;
																				BgL_wide1204z00_5273 =
																					(
																					(BgL_prezd2procedurezd2setz12zd2appzc0_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_prezd2procedurezd2setz12zd2appzc0_bgl))));
																				{	/* Cfa/collect.scm 208 */
																					obj_t BgL_auxz00_5915;
																					BgL_objectz00_bglt BgL_tmpz00_5911;

																					BgL_auxz00_5915 =
																						((obj_t) BgL_wide1204z00_5273);
																					BgL_tmpz00_5911 =
																						((BgL_objectz00_bglt)
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_nodez00_5147)));
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_5911, BgL_auxz00_5915);
																				}
																				((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_nodez00_5147)));
																				{	/* Cfa/collect.scm 208 */
																					long BgL_arg1906z00_5274;

																					BgL_arg1906z00_5274 =
																						BGL_CLASS_NUM
																						(BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt) (
																								(BgL_appz00_bglt) (
																									(BgL_appz00_bglt)
																									BgL_nodez00_5147))),
																						BgL_arg1906z00_5274);
																				}
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_nodez00_5147)));
																			}
																			return
																				((obj_t)
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_nodez00_5147)));
																		}
																	else
																		{	/* Cfa/collect.scm 193 */
																			if (
																				(BgL_casezd2valuezd2_5264 ==
																					CNST_TABLE_REF(((long) 6))))
																				{	/* Cfa/collect.scm 193 */
																					if (BGl_vectorzd2optimzf3z21zzcfa_vectorz00())
																						{	/* Cfa/collect.scm 210 */
																							BGl_za2usedzd2allocza2zd2zzcfa_collectz00
																								=
																								MAKE_YOUNG_PAIR(((obj_t) (
																										(BgL_appz00_bglt)
																										BgL_nodez00_5147)),
																								BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
																							{	/* Cfa/collect.scm 212 */
																								BgL_prezd2makezd2vectorzd2appzd2_bglt
																									BgL_wide1208z00_5275;
																								BgL_wide1208z00_5275 =
																									(
																									(BgL_prezd2makezd2vectorzd2appzd2_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_prezd2makezd2vectorzd2appzd2_bgl))));
																								{	/* Cfa/collect.scm 212 */
																									obj_t BgL_auxz00_5945;
																									BgL_objectz00_bglt
																										BgL_tmpz00_5941;
																									BgL_auxz00_5945 =
																										((obj_t)
																										BgL_wide1208z00_5275);
																									BgL_tmpz00_5941 =
																										((BgL_objectz00_bglt) (
																											(BgL_appz00_bglt) (
																												(BgL_appz00_bglt)
																												BgL_nodez00_5147)));
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_5941,
																										BgL_auxz00_5945);
																								}
																								((BgL_objectz00_bglt)
																									((BgL_appz00_bglt)
																										((BgL_appz00_bglt)
																											BgL_nodez00_5147)));
																								{	/* Cfa/collect.scm 212 */
																									long BgL_arg1910z00_5276;

																									BgL_arg1910z00_5276 =
																										BGL_CLASS_NUM
																										(BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt) (
																												(BgL_appz00_bglt) (
																													(BgL_appz00_bglt)
																													BgL_nodez00_5147))),
																										BgL_arg1910z00_5276);
																								}
																								((BgL_appz00_bglt)
																									((BgL_appz00_bglt)
																										((BgL_appz00_bglt)
																											BgL_nodez00_5147)));
																							}
																							{
																								BgL_prezd2makezd2vectorzd2appzd2_bglt
																									BgL_auxz00_5959;
																								{
																									obj_t BgL_auxz00_5960;

																									{	/* Cfa/collect.scm 212 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_5961;
																										BgL_tmpz00_5961 =
																											((BgL_objectz00_bglt) (
																												(BgL_appz00_bglt) (
																													(BgL_appz00_bglt)
																													BgL_nodez00_5147)));
																										BgL_auxz00_5960 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_5961);
																									}
																									BgL_auxz00_5959 =
																										(
																										(BgL_prezd2makezd2vectorzd2appzd2_bglt)
																										BgL_auxz00_5960);
																								}
																								((((BgL_prezd2makezd2vectorzd2appzd2_bglt) COBJECT(BgL_auxz00_5959))->BgL_ownerz00) = ((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_ownerz00_5148)), BUNSPEC);
																							}
																							return
																								((obj_t)
																								((BgL_appz00_bglt)
																									((BgL_appz00_bglt)
																										BgL_nodez00_5147)));
																						}
																					else
																						{	/* Cfa/collect.scm 210 */
																							return BFALSE;
																						}
																				}
																			else
																				{	/* Cfa/collect.scm 193 */
																					if (
																						(BgL_casezd2valuezd2_5264 ==
																							CNST_TABLE_REF(((long) 7))))
																						{	/* Cfa/collect.scm 193 */
																							if (
																								((long)
																									CINT
																									(BGl_za2optimza2z00zzengine_paramz00)
																									>= ((long) 2)))
																								{	/* Cfa/collect.scm 214 */
																									BGl_za2usedzd2allocza2zd2zzcfa_collectz00
																										=
																										MAKE_YOUNG_PAIR(((obj_t) (
																												(BgL_appz00_bglt)
																												BgL_nodez00_5147)),
																										BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
																									{	/* Cfa/collect.scm 216 */
																										BgL_prezd2makezd2structzd2appzd2_bglt
																											BgL_wide1212z00_5277;
																										BgL_wide1212z00_5277 =
																											(
																											(BgL_prezd2makezd2structzd2appzd2_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_prezd2makezd2structzd2appzd2_bgl))));
																										{	/* Cfa/collect.scm 216 */
																											obj_t BgL_auxz00_5986;
																											BgL_objectz00_bglt
																												BgL_tmpz00_5982;
																											BgL_auxz00_5986 =
																												((obj_t)
																												BgL_wide1212z00_5277);
																											BgL_tmpz00_5982 =
																												((BgL_objectz00_bglt) (
																													(BgL_appz00_bglt) (
																														(BgL_appz00_bglt)
																														BgL_nodez00_5147)));
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_5982,
																												BgL_auxz00_5986);
																										}
																										((BgL_objectz00_bglt)
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_nodez00_5147)));
																										{	/* Cfa/collect.scm 216 */
																											long BgL_arg1914z00_5278;

																											BgL_arg1914z00_5278 =
																												BGL_CLASS_NUM
																												(BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt) (
																														(BgL_appz00_bglt) (
																															(BgL_appz00_bglt)
																															BgL_nodez00_5147))),
																												BgL_arg1914z00_5278);
																										}
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_nodez00_5147)));
																									}
																									{
																										BgL_prezd2makezd2structzd2appzd2_bglt
																											BgL_auxz00_6000;
																										{
																											obj_t BgL_auxz00_6001;

																											{	/* Cfa/collect.scm 216 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_6002;
																												BgL_tmpz00_6002 =
																													((BgL_objectz00_bglt)
																													((BgL_appz00_bglt) (
																															(BgL_appz00_bglt)
																															BgL_nodez00_5147)));
																												BgL_auxz00_6001 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_6002);
																											}
																											BgL_auxz00_6000 =
																												(
																												(BgL_prezd2makezd2structzd2appzd2_bglt)
																												BgL_auxz00_6001);
																										}
																										((((BgL_prezd2makezd2structzd2appzd2_bglt) COBJECT(BgL_auxz00_6000))->BgL_ownerz00) = ((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_ownerz00_5148)), BUNSPEC);
																									}
																									return
																										((obj_t)
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												BgL_nodez00_5147)));
																								}
																							else
																								{	/* Cfa/collect.scm 214 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Cfa/collect.scm 193 */
																							if (
																								(BgL_casezd2valuezd2_5264 ==
																									CNST_TABLE_REF(((long) 8))))
																								{	/* Cfa/collect.scm 193 */
																									if (
																										((long)
																											CINT
																											(BGl_za2optimza2z00zzengine_paramz00)
																											>= ((long) 2)))
																										{	/* Cfa/collect.scm 218 */
																											{	/* Cfa/collect.scm 219 */
																												BgL_prezd2structzd2refzd2appzd2_bglt
																													BgL_wide1216z00_5279;
																												BgL_wide1216z00_5279 =
																													(
																													(BgL_prezd2structzd2refzd2appzd2_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_prezd2structzd2refzd2appzd2_bgl))));
																												{	/* Cfa/collect.scm 219 */
																													obj_t BgL_auxz00_6024;
																													BgL_objectz00_bglt
																														BgL_tmpz00_6020;
																													BgL_auxz00_6024 =
																														((obj_t)
																														BgL_wide1216z00_5279);
																													BgL_tmpz00_6020 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_appz00_bglt) (
																																(BgL_appz00_bglt)
																																BgL_nodez00_5147)));
																													BGL_OBJECT_WIDENING_SET
																														(BgL_tmpz00_6020,
																														BgL_auxz00_6024);
																												}
																												((BgL_objectz00_bglt)
																													((BgL_appz00_bglt)
																														((BgL_appz00_bglt)
																															BgL_nodez00_5147)));
																												{	/* Cfa/collect.scm 219 */
																													long
																														BgL_arg1917z00_5280;
																													BgL_arg1917z00_5280 =
																														BGL_CLASS_NUM
																														(BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00);
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147))), BgL_arg1917z00_5280);
																												}
																												((BgL_appz00_bglt)
																													((BgL_appz00_bglt)
																														((BgL_appz00_bglt)
																															BgL_nodez00_5147)));
																											}
																											return
																												((obj_t)
																												((BgL_appz00_bglt)
																													((BgL_appz00_bglt)
																														BgL_nodez00_5147)));
																										}
																									else
																										{	/* Cfa/collect.scm 218 */
																											return BFALSE;
																										}
																								}
																							else
																								{	/* Cfa/collect.scm 193 */
																									if (
																										(BgL_casezd2valuezd2_5264 ==
																											CNST_TABLE_REF(((long)
																													9))))
																										{	/* Cfa/collect.scm 193 */
																											if (
																												((long)
																													CINT
																													(BGl_za2optimza2z00zzengine_paramz00)
																													>= ((long) 2)))
																												{	/* Cfa/collect.scm 221 */
																													{	/* Cfa/collect.scm 222 */
																														BgL_prezd2structzd2setz12zd2appzc0_bglt
																															BgL_wide1220z00_5281;
																														BgL_wide1220z00_5281
																															=
																															(
																															(BgL_prezd2structzd2setz12zd2appzc0_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_prezd2structzd2setz12zd2appzc0_bgl))));
																														{	/* Cfa/collect.scm 222 */
																															obj_t
																																BgL_auxz00_6052;
																															BgL_objectz00_bglt
																																BgL_tmpz00_6048;
																															BgL_auxz00_6052 =
																																((obj_t)
																																BgL_wide1220z00_5281);
																															BgL_tmpz00_6048 =
																																(
																																(BgL_objectz00_bglt)
																																((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_6048,
																																BgL_auxz00_6052);
																														}
																														((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																														{	/* Cfa/collect.scm 222 */
																															long
																																BgL_arg1920z00_5282;
																															BgL_arg1920z00_5282
																																=
																																BGL_CLASS_NUM
																																(BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00);
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147))), BgL_arg1920z00_5282);
																														}
																														((BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																((BgL_appz00_bglt) BgL_nodez00_5147)));
																													}
																													return
																														((obj_t)
																														((BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																BgL_nodez00_5147)));
																												}
																											else
																												{	/* Cfa/collect.scm 221 */
																													return BFALSE;
																												}
																										}
																									else
																										{	/* Cfa/collect.scm 193 */
																											if (
																												(BgL_casezd2valuezd2_5264
																													==
																													CNST_TABLE_REF(((long)
																															10))))
																												{	/* Cfa/collect.scm 193 */
																													if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																														{	/* Cfa/collect.scm 224 */
																															BGl_za2usedzd2allocza2zd2zzcfa_collectz00
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t) (
																																		(BgL_appz00_bglt)
																																		BgL_nodez00_5147)),
																																BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
																															{	/* Cfa/collect.scm 226 */
																																BgL_prezd2conszd2appz00_bglt
																																	BgL_wide1224z00_5283;
																																BgL_wide1224z00_5283
																																	=
																																	(
																																	(BgL_prezd2conszd2appz00_bglt)
																																	BOBJECT
																																	(GC_MALLOC
																																		(sizeof
																																			(struct
																																				BgL_prezd2conszd2appz00_bgl))));
																																{	/* Cfa/collect.scm 226 */
																																	obj_t
																																		BgL_auxz00_6082;
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_6078;
																																	BgL_auxz00_6082
																																		=
																																		((obj_t)
																																		BgL_wide1224z00_5283);
																																	BgL_tmpz00_6078
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																	BGL_OBJECT_WIDENING_SET
																																		(BgL_tmpz00_6078,
																																		BgL_auxz00_6082);
																																}
																																((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																{	/* Cfa/collect.scm 226 */
																																	long
																																		BgL_arg1924z00_5284;
																																	BgL_arg1924z00_5284
																																		=
																																		BGL_CLASS_NUM
																																		(BGl_prezd2conszd2appz00zzcfa_info2z00);
																																	BGL_OBJECT_CLASS_NUM_SET
																																		(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147))), BgL_arg1924z00_5284);
																																}
																																((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																															}
																															{
																																BgL_prezd2conszd2appz00_bglt
																																	BgL_auxz00_6096;
																																{
																																	obj_t
																																		BgL_auxz00_6097;
																																	{	/* Cfa/collect.scm 226 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_6098;
																																		BgL_tmpz00_6098
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																		BgL_auxz00_6097
																																			=
																																			BGL_OBJECT_WIDENING
																																			(BgL_tmpz00_6098);
																																	}
																																	BgL_auxz00_6096
																																		=
																																		(
																																		(BgL_prezd2conszd2appz00_bglt)
																																		BgL_auxz00_6097);
																																}
																																((((BgL_prezd2conszd2appz00_bglt) COBJECT(BgL_auxz00_6096))->BgL_ownerz00) = ((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_ownerz00_5148)), BUNSPEC);
																															}
																															return
																																((obj_t)
																																((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																														}
																													else
																														{	/* Cfa/collect.scm 224 */
																															return BFALSE;
																														}
																												}
																											else
																												{	/* Cfa/collect.scm 193 */
																													if (
																														(BgL_casezd2valuezd2_5264
																															==
																															CNST_TABLE_REF((
																																	(long) 11))))
																														{	/* Cfa/collect.scm 193 */
																															if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																																{	/* Cfa/collect.scm 228 */
																																	{	/* Cfa/collect.scm 229 */
																																		BgL_prezd2conszd2refzd2appzd2_bglt
																																			BgL_wide1228z00_5285;
																																		BgL_wide1228z00_5285
																																			=
																																			(
																																			(BgL_prezd2conszd2refzd2appzd2_bglt)
																																			BOBJECT
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_prezd2conszd2refzd2appzd2_bgl))));
																																		{	/* Cfa/collect.scm 229 */
																																			obj_t
																																				BgL_auxz00_6119;
																																			BgL_objectz00_bglt
																																				BgL_tmpz00_6115;
																																			BgL_auxz00_6119
																																				=
																																				((obj_t)
																																				BgL_wide1228z00_5285);
																																			BgL_tmpz00_6115
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																			BGL_OBJECT_WIDENING_SET
																																				(BgL_tmpz00_6115,
																																				BgL_auxz00_6119);
																																		}
																																		((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																		{	/* Cfa/collect.scm 229 */
																																			long
																																				BgL_arg1927z00_5286;
																																			BgL_arg1927z00_5286
																																				=
																																				BGL_CLASS_NUM
																																				(BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147))), BgL_arg1927z00_5286);
																																		}
																																		((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																	}
																																	{
																																		BgL_prezd2conszd2refzd2appzd2_bglt
																																			BgL_auxz00_6133;
																																		{
																																			obj_t
																																				BgL_auxz00_6134;
																																			{	/* Cfa/collect.scm 230 */
																																				BgL_objectz00_bglt
																																					BgL_tmpz00_6135;
																																				BgL_tmpz00_6135
																																					=
																																					(
																																					(BgL_objectz00_bglt)
																																					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																				BgL_auxz00_6134
																																					=
																																					BGL_OBJECT_WIDENING
																																					(BgL_tmpz00_6135);
																																			}
																																			BgL_auxz00_6133
																																				=
																																				(
																																				(BgL_prezd2conszd2refzd2appzd2_bglt)
																																				BgL_auxz00_6134);
																																		}
																																		((((BgL_prezd2conszd2refzd2appzd2_bglt) COBJECT(BgL_auxz00_6133))->BgL_getz00) = ((obj_t) BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00), BUNSPEC);
																																	}
																																	return
																																		((obj_t)
																																		((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																}
																															else
																																{	/* Cfa/collect.scm 228 */
																																	return BFALSE;
																																}
																														}
																													else
																														{	/* Cfa/collect.scm 193 */
																															if (
																																(BgL_casezd2valuezd2_5264
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			12))))
																																{	/* Cfa/collect.scm 193 */
																																	if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																																		{	/* Cfa/collect.scm 232 */
																																			{	/* Cfa/collect.scm 233 */
																																				BgL_prezd2conszd2refzd2appzd2_bglt
																																					BgL_wide1232z00_5287;
																																				BgL_wide1232z00_5287
																																					=
																																					(
																																					(BgL_prezd2conszd2refzd2appzd2_bglt)
																																					BOBJECT
																																					(GC_MALLOC
																																						(sizeof
																																							(struct
																																								BgL_prezd2conszd2refzd2appzd2_bgl))));
																																				{	/* Cfa/collect.scm 233 */
																																					obj_t
																																						BgL_auxz00_6155;
																																					BgL_objectz00_bglt
																																						BgL_tmpz00_6151;
																																					BgL_auxz00_6155
																																						=
																																						(
																																						(obj_t)
																																						BgL_wide1232z00_5287);
																																					BgL_tmpz00_6151
																																						=
																																						(
																																						(BgL_objectz00_bglt)
																																						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																					BGL_OBJECT_WIDENING_SET
																																						(BgL_tmpz00_6151,
																																						BgL_auxz00_6155);
																																				}
																																				((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																				{	/* Cfa/collect.scm 233 */
																																					long
																																						BgL_arg1930z00_5288;
																																					BgL_arg1930z00_5288
																																						=
																																						BGL_CLASS_NUM
																																						(BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00);
																																					BGL_OBJECT_CLASS_NUM_SET
																																						(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147))), BgL_arg1930z00_5288);
																																				}
																																				((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																			}
																																			{
																																				BgL_prezd2conszd2refzd2appzd2_bglt
																																					BgL_auxz00_6169;
																																				{
																																					obj_t
																																						BgL_auxz00_6170;
																																					{	/* Cfa/collect.scm 234 */
																																						BgL_objectz00_bglt
																																							BgL_tmpz00_6171;
																																						BgL_tmpz00_6171
																																							=
																																							(
																																							(BgL_objectz00_bglt)
																																							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																						BgL_auxz00_6170
																																							=
																																							BGL_OBJECT_WIDENING
																																							(BgL_tmpz00_6171);
																																					}
																																					BgL_auxz00_6169
																																						=
																																						(
																																						(BgL_prezd2conszd2refzd2appzd2_bglt)
																																						BgL_auxz00_6170);
																																				}
																																				((((BgL_prezd2conszd2refzd2appzd2_bglt) COBJECT(BgL_auxz00_6169))->BgL_getz00) = ((obj_t) BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00), BUNSPEC);
																																			}
																																			return
																																				((obj_t)
																																				((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																		}
																																	else
																																		{	/* Cfa/collect.scm 232 */
																																			return
																																				BFALSE;
																																		}
																																}
																															else
																																{	/* Cfa/collect.scm 193 */
																																	if (
																																		(BgL_casezd2valuezd2_5264
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					13))))
																																		{	/* Cfa/collect.scm 193 */
																																			if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																																				{	/* Cfa/collect.scm 236 */
																																					{	/* Cfa/collect.scm 237 */
																																						BgL_prezd2conszd2setz12zd2appzc0_bglt
																																							BgL_wide1236z00_5289;
																																						BgL_wide1236z00_5289
																																							=
																																							(
																																							(BgL_prezd2conszd2setz12zd2appzc0_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_prezd2conszd2setz12zd2appzc0_bgl))));
																																						{	/* Cfa/collect.scm 237 */
																																							obj_t
																																								BgL_auxz00_6191;
																																							BgL_objectz00_bglt
																																								BgL_tmpz00_6187;
																																							BgL_auxz00_6191
																																								=
																																								(
																																								(obj_t)
																																								BgL_wide1236z00_5289);
																																							BgL_tmpz00_6187
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_tmpz00_6187,
																																								BgL_auxz00_6191);
																																						}
																																						((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																						{	/* Cfa/collect.scm 237 */
																																							long
																																								BgL_arg1933z00_5290;
																																							BgL_arg1933z00_5290
																																								=
																																								BGL_CLASS_NUM
																																								(BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00);
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147))), BgL_arg1933z00_5290);
																																						}
																																						((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																					}
																																					{
																																						BgL_prezd2conszd2setz12zd2appzc0_bglt
																																							BgL_auxz00_6205;
																																						{
																																							obj_t
																																								BgL_auxz00_6206;
																																							{	/* Cfa/collect.scm 238 */
																																								BgL_objectz00_bglt
																																									BgL_tmpz00_6207;
																																								BgL_tmpz00_6207
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																								BgL_auxz00_6206
																																									=
																																									BGL_OBJECT_WIDENING
																																									(BgL_tmpz00_6207);
																																							}
																																							BgL_auxz00_6205
																																								=
																																								(
																																								(BgL_prezd2conszd2setz12zd2appzc0_bglt)
																																								BgL_auxz00_6206);
																																						}
																																						((((BgL_prezd2conszd2setz12zd2appzc0_bglt) COBJECT(BgL_auxz00_6205))->BgL_getz00) = ((obj_t) BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00), BUNSPEC);
																																					}
																																					return
																																						(
																																						(obj_t)
																																						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																				}
																																			else
																																				{	/* Cfa/collect.scm 236 */
																																					return
																																						BFALSE;
																																				}
																																		}
																																	else
																																		{	/* Cfa/collect.scm 193 */
																																			if (
																																				(BgL_casezd2valuezd2_5264
																																					==
																																					CNST_TABLE_REF
																																					(((long) 14))))
																																				{	/* Cfa/collect.scm 193 */
																																					if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																																						{	/* Cfa/collect.scm 240 */
																																							{	/* Cfa/collect.scm 241 */
																																								BgL_prezd2conszd2setz12zd2appzc0_bglt
																																									BgL_wide1240z00_5291;
																																								BgL_wide1240z00_5291
																																									=
																																									(
																																									(BgL_prezd2conszd2setz12zd2appzc0_bglt)
																																									BOBJECT
																																									(GC_MALLOC
																																										(sizeof
																																											(struct
																																												BgL_prezd2conszd2setz12zd2appzc0_bgl))));
																																								{	/* Cfa/collect.scm 241 */
																																									obj_t
																																										BgL_auxz00_6227;
																																									BgL_objectz00_bglt
																																										BgL_tmpz00_6223;
																																									BgL_auxz00_6227
																																										=
																																										(
																																										(obj_t)
																																										BgL_wide1240z00_5291);
																																									BgL_tmpz00_6223
																																										=
																																										(
																																										(BgL_objectz00_bglt)
																																										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																									BGL_OBJECT_WIDENING_SET
																																										(BgL_tmpz00_6223,
																																										BgL_auxz00_6227);
																																								}
																																								((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																								{	/* Cfa/collect.scm 241 */
																																									long
																																										BgL_arg1936z00_5292;
																																									BgL_arg1936z00_5292
																																										=
																																										BGL_CLASS_NUM
																																										(BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00);
																																									BGL_OBJECT_CLASS_NUM_SET
																																										(
																																										((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147))), BgL_arg1936z00_5292);
																																								}
																																								((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																							}
																																							{
																																								BgL_prezd2conszd2setz12zd2appzc0_bglt
																																									BgL_auxz00_6241;
																																								{
																																									obj_t
																																										BgL_auxz00_6242;
																																									{	/* Cfa/collect.scm 242 */
																																										BgL_objectz00_bglt
																																											BgL_tmpz00_6243;
																																										BgL_tmpz00_6243
																																											=
																																											(
																																											(BgL_objectz00_bglt)
																																											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																										BgL_auxz00_6242
																																											=
																																											BGL_OBJECT_WIDENING
																																											(BgL_tmpz00_6243);
																																									}
																																									BgL_auxz00_6241
																																										=
																																										(
																																										(BgL_prezd2conszd2setz12zd2appzc0_bglt)
																																										BgL_auxz00_6242);
																																								}
																																								((((BgL_prezd2conszd2setz12zd2appzc0_bglt) COBJECT(BgL_auxz00_6241))->BgL_getz00) = ((obj_t) BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00), BUNSPEC);
																																							}
																																							return
																																								(
																																								(obj_t)
																																								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5147)));
																																						}
																																					else
																																						{	/* Cfa/collect.scm 240 */
																																							return
																																								BFALSE;
																																						}
																																				}
																																			else
																																				{	/* Cfa/collect.scm 193 */
																																					return
																																						BUNSPEC;
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
							else
								{	/* Cfa/collect.scm 244 */
									bool_t BgL_test2298z00_6253;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/collect.scm 244 */
											BgL_test2298z00_6253 = ((bool_t) 1);
										}
									else
										{	/* Cfa/collect.scm 244 */
											BgL_test2298z00_6253 =
												CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00);
										}
									if (BgL_test2298z00_6253)
										{	/* Cfa/collect.scm 244 */
											if (CBOOL
												(BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7((
															(BgL_globalz00_bglt) BgL_vz00_5238))))
												{	/* Cfa/collect.scm 247 */
													obj_t BgL_typesz00_5293;

													BgL_typesz00_5293 =
														BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7
														(((BgL_globalz00_bglt) BgL_vz00_5238));
													if (PAIRP(BgL_typesz00_5293))
														{	/* Cfa/collect.scm 248 */
															{	/* Cfa/collect.scm 249 */
																BgL_prezd2arithmeticzd2appz00_bglt
																	BgL_wide1244z00_5294;
																BgL_wide1244z00_5294 =
																	((BgL_prezd2arithmeticzd2appz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_prezd2arithmeticzd2appz00_bgl))));
																{	/* Cfa/collect.scm 249 */
																	obj_t BgL_auxz00_6270;
																	BgL_objectz00_bglt BgL_tmpz00_6266;

																	BgL_auxz00_6270 =
																		((obj_t) BgL_wide1244z00_5294);
																	BgL_tmpz00_6266 =
																		((BgL_objectz00_bglt)
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_nodez00_5147)));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6266,
																		BgL_auxz00_6270);
																}
																((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5147)));
																{	/* Cfa/collect.scm 249 */
																	long BgL_arg1940z00_5295;

																	BgL_arg1940z00_5295 =
																		BGL_CLASS_NUM
																		(BGl_prezd2arithmeticzd2appz00zzcfa_info2z00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) ((BgL_appz00_bglt)
																					BgL_nodez00_5147))),
																		BgL_arg1940z00_5295);
																}
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5147)));
															}
															{
																BgL_prezd2arithmeticzd2appz00_bglt
																	BgL_auxz00_6284;
																{
																	obj_t BgL_auxz00_6285;

																	{	/* Cfa/collect.scm 250 */
																		BgL_objectz00_bglt BgL_tmpz00_6286;

																		BgL_tmpz00_6286 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_5147)));
																		BgL_auxz00_6285 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6286);
																	}
																	BgL_auxz00_6284 =
																		((BgL_prezd2arithmeticzd2appz00_bglt)
																		BgL_auxz00_6285);
																}
																((((BgL_prezd2arithmeticzd2appz00_bglt)
																			COBJECT(BgL_auxz00_6284))->
																		BgL_speczd2typeszd2) =
																	((obj_t) BgL_typesz00_5293), BUNSPEC);
															}
															return
																((obj_t)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5147)));
														}
													else
														{	/* Cfa/collect.scm 248 */
															return BFALSE;
														}
												}
											else
												{	/* Cfa/collect.scm 246 */
													return BFALSE;
												}
										}
									else
										{	/* Cfa/collect.scm 244 */
											return BFALSE;
										}
								}
						}
					else
						{	/* Cfa/collect.scm 186 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &node-collect!-sync1723 */
	obj_t BGl_z62nodezd2collectz12zd2sync1723z70zzcfa_collectz00(obj_t
		BgL_envz00_5149, obj_t BgL_nodez00_5150, obj_t BgL_ownerz00_5151)
	{
		{	/* Cfa/collect.scm 173 */
			{	/* Cfa/collect.scm 174 */
				BgL_nodez00_bglt BgL_arg1885z00_5297;

				BgL_arg1885z00_5297 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5150)))->BgL_mutexz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1885z00_5297,
					((BgL_variablez00_bglt) BgL_ownerz00_5151));
			}
			{	/* Cfa/collect.scm 175 */
				BgL_nodez00_bglt BgL_arg1886z00_5298;

				BgL_arg1886z00_5298 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5150)))->BgL_prelockz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1886z00_5298,
					((BgL_variablez00_bglt) BgL_ownerz00_5151));
			}
			{	/* Cfa/collect.scm 176 */
				BgL_nodez00_bglt BgL_arg1887z00_5299;

				BgL_arg1887z00_5299 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5150)))->BgL_bodyz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1887z00_5299,
					((BgL_variablez00_bglt) BgL_ownerz00_5151));
			}
		}

	}



/* &node-collect!-sequen1721 */
	obj_t BGl_z62nodezd2collectz12zd2sequen1721z70zzcfa_collectz00(obj_t
		BgL_envz00_5152, obj_t BgL_nodez00_5153, obj_t BgL_ownerz00_5154)
	{
		{	/* Cfa/collect.scm 167 */
			return
				BBOOL(BGl_nodezd2collectza2z12z62zzcfa_collectz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_5153)))->BgL_nodesz00),
					BgL_ownerz00_5154));
		}

	}



/* &node-collect!-var1719 */
	obj_t BGl_z62nodezd2collectz12zd2var1719z70zzcfa_collectz00(obj_t
		BgL_envz00_5155, obj_t BgL_nodez00_5156, obj_t BgL_ownerz00_5157)
	{
		{	/* Cfa/collect.scm 150 */
			{	/* Cfa/collect.scm 151 */
				BgL_variablez00_bglt BgL_vz00_5302;

				BgL_vz00_5302 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_5156)))->BgL_variablez00);
				{	/* Cfa/collect.scm 152 */
					bool_t BgL_test2302z00_6314;

					{	/* Cfa/collect.scm 152 */
						bool_t BgL_test2303z00_6315;

						{	/* Cfa/collect.scm 152 */
							obj_t BgL_classz00_5303;

							BgL_classz00_5303 = BGl_globalz00zzast_varz00;
							{	/* Cfa/collect.scm 152 */
								BgL_objectz00_bglt BgL_arg1820z00_5304;

								{	/* Cfa/collect.scm 152 */
									obj_t BgL_tmpz00_6316;

									BgL_tmpz00_6316 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5302));
									BgL_arg1820z00_5304 = (BgL_objectz00_bglt) (BgL_tmpz00_6316);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/collect.scm 152 */
										long BgL_idxz00_5305;

										BgL_idxz00_5305 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5304);
										BgL_test2303z00_6315 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5305 + ((long) 2))) == BgL_classz00_5303);
									}
								else
									{	/* Cfa/collect.scm 152 */
										bool_t BgL_res2189z00_5308;

										{	/* Cfa/collect.scm 152 */
											obj_t BgL_oclassz00_5309;

											{	/* Cfa/collect.scm 152 */
												long BgL_arg1828z00_5310;

												{	/* Cfa/collect.scm 152 */
													long BgL_arg1829z00_5311;

													BgL_arg1829z00_5311 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5304);
													BgL_arg1828z00_5310 =
														(BgL_arg1829z00_5311 - OBJECT_TYPE);
												}
												BgL_oclassz00_5309 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_5310);
											}
											{	/* Cfa/collect.scm 152 */
												bool_t BgL__ortest_1111z00_5312;

												BgL__ortest_1111z00_5312 =
													(BgL_classz00_5303 == BgL_oclassz00_5309);
												if (BgL__ortest_1111z00_5312)
													{	/* Cfa/collect.scm 152 */
														BgL_res2189z00_5308 = BgL__ortest_1111z00_5312;
													}
												else
													{	/* Cfa/collect.scm 152 */
														long BgL_odepthz00_5313;

														BgL_odepthz00_5313 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5309);
														if ((((long) 2) < BgL_odepthz00_5313))
															{	/* Cfa/collect.scm 152 */
																obj_t BgL_arg1816z00_5314;

																BgL_arg1816z00_5314 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5309,
																	((long) 2));
																BgL_res2189z00_5308 =
																	(BgL_arg1816z00_5314 == BgL_classz00_5303);
															}
														else
															{	/* Cfa/collect.scm 152 */
																BgL_res2189z00_5308 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2303z00_6315 = BgL_res2189z00_5308;
									}
							}
						}
						if (BgL_test2303z00_6315)
							{	/* Cfa/collect.scm 153 */
								bool_t BgL_test2307z00_6336;

								{	/* Cfa/collect.scm 153 */
									obj_t BgL_arg1883z00_5315;

									BgL_arg1883z00_5315 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_vz00_5302)))->BgL_modulez00);
									BgL_test2307z00_6336 =
										(BgL_arg1883z00_5315 ==
										BGl_za2moduleza2z00zzmodule_modulez00);
								}
								if (BgL_test2307z00_6336)
									{	/* Cfa/collect.scm 154 */
										bool_t BgL_test2308z00_6340;

										{	/* Cfa/collect.scm 154 */
											BgL_valuez00_bglt BgL_arg1882z00_5316;

											BgL_arg1882z00_5316 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_vz00_5302))))->
												BgL_valuez00);
											{	/* Cfa/collect.scm 154 */
												obj_t BgL_classz00_5317;

												BgL_classz00_5317 = BGl_scnstz00zzast_varz00;
												{	/* Cfa/collect.scm 154 */
													BgL_objectz00_bglt BgL_arg1820z00_5318;

													{	/* Cfa/collect.scm 154 */
														obj_t BgL_tmpz00_6344;

														BgL_tmpz00_6344 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1882z00_5316));
														BgL_arg1820z00_5318 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6344);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Cfa/collect.scm 154 */
															long BgL_idxz00_5319;

															BgL_idxz00_5319 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5318);
															BgL_test2308z00_6340 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5319 + ((long) 2))) ==
																BgL_classz00_5317);
														}
													else
														{	/* Cfa/collect.scm 154 */
															bool_t BgL_res2190z00_5322;

															{	/* Cfa/collect.scm 154 */
																obj_t BgL_oclassz00_5323;

																{	/* Cfa/collect.scm 154 */
																	long BgL_arg1828z00_5324;

																	{	/* Cfa/collect.scm 154 */
																		long BgL_arg1829z00_5325;

																		BgL_arg1829z00_5325 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5318);
																		BgL_arg1828z00_5324 =
																			(BgL_arg1829z00_5325 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5323 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_5324);
																}
																{	/* Cfa/collect.scm 154 */
																	bool_t BgL__ortest_1111z00_5326;

																	BgL__ortest_1111z00_5326 =
																		(BgL_classz00_5317 == BgL_oclassz00_5323);
																	if (BgL__ortest_1111z00_5326)
																		{	/* Cfa/collect.scm 154 */
																			BgL_res2190z00_5322 =
																				BgL__ortest_1111z00_5326;
																		}
																	else
																		{	/* Cfa/collect.scm 154 */
																			long BgL_odepthz00_5327;

																			BgL_odepthz00_5327 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_5323);
																			if ((((long) 2) < BgL_odepthz00_5327))
																				{	/* Cfa/collect.scm 154 */
																					obj_t BgL_arg1816z00_5328;

																					BgL_arg1816z00_5328 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_5323, ((long) 2));
																					BgL_res2190z00_5322 =
																						(BgL_arg1816z00_5328 ==
																						BgL_classz00_5317);
																				}
																			else
																				{	/* Cfa/collect.scm 154 */
																					BgL_res2190z00_5322 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2308z00_6340 = BgL_res2190z00_5322;
														}
												}
											}
										}
										if (BgL_test2308z00_6340)
											{	/* Cfa/collect.scm 155 */
												bool_t BgL_test2312z00_6364;

												{	/* Cfa/collect.scm 155 */
													obj_t BgL_arg1879z00_5329;

													BgL_arg1879z00_5329 =
														(((BgL_scnstz00_bglt) COBJECT(
																((BgL_scnstz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_vz00_5302))))->
																		BgL_valuez00))))->BgL_nodez00);
													BgL_test2312z00_6364 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1879z00_5329,
															BGl_za2usedzd2allocza2zd2zzcfa_collectz00));
												}
												if (BgL_test2312z00_6364)
													{	/* Cfa/collect.scm 155 */
														BgL_test2302z00_6314 = ((bool_t) 0);
													}
												else
													{	/* Cfa/collect.scm 155 */
														BgL_test2302z00_6314 = ((bool_t) 1);
													}
											}
										else
											{	/* Cfa/collect.scm 154 */
												BgL_test2302z00_6314 = ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/collect.scm 153 */
										BgL_test2302z00_6314 = ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/collect.scm 152 */
								BgL_test2302z00_6314 = ((bool_t) 0);
							}
					}
					if (BgL_test2302z00_6314)
						{	/* Cfa/collect.scm 152 */
							{	/* Cfa/collect.scm 161 */
								obj_t BgL_arg1876z00_5330;

								BgL_arg1876z00_5330 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_vz00_5302))))->
													BgL_valuez00))))->BgL_nodez00);
								BGl_nodezd2collectz12zc0zzcfa_collectz00(((BgL_nodez00_bglt)
										BgL_arg1876z00_5330),
									((BgL_variablez00_bglt) BgL_ownerz00_5157));
							}
						}
					else
						{	/* Cfa/collect.scm 152 */
							BFALSE;
						}
				}
			}
			return BUNSPEC;
		}

	}



/* &node-collect!-kwote1717 */
	obj_t BGl_z62nodezd2collectz12zd2kwote1717z70zzcfa_collectz00(obj_t
		BgL_envz00_5158, obj_t BgL_nodez00_5159, obj_t BgL_ownerz00_5160)
	{
		{	/* Cfa/collect.scm 71 */
			{
				obj_t BgL_valuez00_5352;
				obj_t BgL_valuez00_5339;
				obj_t BgL_vectorz00_5335;

				{	/* Cfa/collect.scm 137 */
					obj_t BgL_valuez00_5362;

					BgL_valuez00_5362 =
						(((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt) BgL_nodez00_5159)))->BgL_valuez00);
					{	/* Cfa/collect.scm 139 */
						bool_t BgL_test2313z00_6382;

						if (VECTORP(BgL_valuez00_5362))
							{	/* Cfa/collect.scm 139 */
								BgL_test2313z00_6382 =
									BGl_vectorzd2optimzf3z21zzcfa_vectorz00();
							}
						else
							{	/* Cfa/collect.scm 139 */
								BgL_test2313z00_6382 = ((bool_t) 0);
							}
						if (BgL_test2313z00_6382)
							{	/* Cfa/collect.scm 139 */
								BgL_valuez00_5339 = BgL_valuez00_5362;
								{	/* Cfa/collect.scm 101 */
									int BgL_warningz00_5340;

									{	/* Cfa/collect.scm 101 */
										int BgL_wanz00_5341;

										BgL_wanz00_5341 = BGl_bigloozd2warningzd2zz__paramz00();
										BGl_bigloozd2warningzd2setz12z12zz__paramz00(
											(int) (((long) 0)));
										BgL_warningz00_5340 = BgL_wanz00_5341;
									}
									{	/* Cfa/collect.scm 101 */
										obj_t BgL_backendz00_5342;

										BgL_backendz00_5342 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										{	/* Cfa/collect.scm 104 */
											bool_t BgL_pragmazf3zf3_5343;

											{	/* Cfa/collect.scm 105 */
												bool_t BgL_tgtz00_5344;

												BgL_tgtz00_5344 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_backendz00_5342)))->
													BgL_pragmazd2supportzd2);
												((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
																	BgL_backendz00_5342)))->
														BgL_pragmazd2supportzd2) =
													((bool_t) ((bool_t) 1)), BUNSPEC);
												BgL_pragmazf3zf3_5343 = BgL_tgtz00_5344;
											}
											{	/* Cfa/collect.scm 105 */
												BgL_nodez00_bglt BgL_dummyz00_5345;

												{	/* Cfa/collect.scm 109 */
													obj_t BgL_arg1835z00_5346;

													{	/* Cfa/collect.scm 109 */
														obj_t BgL_arg1836z00_5347;

														{	/* Cfa/collect.scm 109 */
															obj_t BgL_arg1840z00_5348;

															{	/* Cfa/collect.scm 110 */
																obj_t BgL_arg1844z00_5349;

																{	/* Cfa/collect.scm 110 */
																	bool_t BgL_test2315z00_6394;

																	BgL_vectorz00_5335 = BgL_valuez00_5339;
																	if (
																		(VECTOR_LENGTH(BgL_vectorz00_5335) ==
																			((long) 0)))
																		{	/* Cfa/collect.scm 83 */
																			BgL_test2315z00_6394 = ((bool_t) 0);
																		}
																	else
																		{	/* Cfa/collect.scm 85 */
																			obj_t BgL_atypez00_5336;

																			BgL_atypez00_5336 =
																				BGl_getzd2atypeze70z35zzcfa_collectz00
																				(VECTOR_REF(BgL_vectorz00_5335,
																					((long) 0)));
																			{
																				long BgL_iz00_5338;

																				BgL_iz00_5338 = ((long) 1);
																			BgL_loopz00_5337:
																				if (CBOOL(BgL_atypez00_5336))
																					{	/* Cfa/collect.scm 88 */
																						if (
																							(BgL_iz00_5338 ==
																								VECTOR_LENGTH
																								(BgL_vectorz00_5335)))
																							{	/* Cfa/collect.scm 90 */
																								BgL_test2315z00_6394 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Cfa/collect.scm 90 */
																								if (
																									(BGl_getzd2atypeze70z35zzcfa_collectz00
																										(VECTOR_REF
																											(BgL_vectorz00_5335,
																												BgL_iz00_5338)) ==
																										BgL_atypez00_5336))
																									{
																										long BgL_iz00_6409;

																										BgL_iz00_6409 =
																											(BgL_iz00_5338 +
																											((long) 1));
																										BgL_iz00_5338 =
																											BgL_iz00_6409;
																										goto BgL_loopz00_5337;
																									}
																								else
																									{	/* Cfa/collect.scm 92 */
																										BgL_test2315z00_6394 =
																											((bool_t) 0);
																									}
																							}
																					}
																				else
																					{	/* Cfa/collect.scm 88 */
																						BgL_test2315z00_6394 = ((bool_t) 0);
																					}
																			}
																		}
																	if (BgL_test2315z00_6394)
																		{	/* Cfa/collect.scm 110 */
																			BgL_arg1844z00_5349 =
																				VECTOR_REF(BgL_valuez00_5339,
																				((long) 0));
																		}
																	else
																		{	/* Cfa/collect.scm 110 */
																			BgL_arg1844z00_5349 =
																				CNST_TABLE_REF(((long) 15));
																}}
																BgL_arg1840z00_5348 =
																	MAKE_YOUNG_PAIR(BgL_arg1844z00_5349, BNIL);
															}
															BgL_arg1836z00_5347 =
																MAKE_YOUNG_PAIR(BINT(VECTOR_LENGTH
																	(BgL_valuez00_5339)), BgL_arg1840z00_5348);
														}
														BgL_arg1835z00_5346 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
															BgL_arg1836z00_5347);
													}
													BgL_dummyz00_5345 =
														BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
														(BgL_arg1835z00_5346, BFALSE);
												}
												{	/* Cfa/collect.scm 108 */

													((((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_backendz00_5342)))->
															BgL_pragmazd2supportzd2) =
														((bool_t) BgL_pragmazf3zf3_5343), BUNSPEC);
													BGl_bigloozd2warningzd2setz12z12zz__paramz00
														(BgL_warningz00_5340);
													{	/* Cfa/collect.scm 116 */
														BgL_kwotezf2nodezf2_bglt BgL_wide1177z00_5350;

														BgL_wide1177z00_5350 =
															((BgL_kwotezf2nodezf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_kwotezf2nodezf2_bgl))));
														{	/* Cfa/collect.scm 116 */
															obj_t BgL_auxz00_6428;
															BgL_objectz00_bglt BgL_tmpz00_6424;

															BgL_auxz00_6428 = ((obj_t) BgL_wide1177z00_5350);
															BgL_tmpz00_6424 =
																((BgL_objectz00_bglt)
																((BgL_kwotez00_bglt)
																	((BgL_kwotez00_bglt) BgL_nodez00_5159)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6424,
																BgL_auxz00_6428);
														}
														((BgL_objectz00_bglt)
															((BgL_kwotez00_bglt)
																((BgL_kwotez00_bglt) BgL_nodez00_5159)));
														{	/* Cfa/collect.scm 116 */
															long BgL_arg1833z00_5351;

															BgL_arg1833z00_5351 =
																BGL_CLASS_NUM(BGl_kwotezf2nodezf2zzcfa_infoz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt)
																	((BgL_kwotez00_bglt)
																		((BgL_kwotez00_bglt) BgL_nodez00_5159))),
																BgL_arg1833z00_5351);
														}
														((BgL_kwotez00_bglt)
															((BgL_kwotez00_bglt)
																((BgL_kwotez00_bglt) BgL_nodez00_5159)));
													}
													{
														BgL_kwotezf2nodezf2_bglt BgL_auxz00_6442;

														{
															obj_t BgL_auxz00_6443;

															{	/* Cfa/collect.scm 116 */
																BgL_objectz00_bglt BgL_tmpz00_6444;

																BgL_tmpz00_6444 =
																	((BgL_objectz00_bglt)
																	((BgL_kwotez00_bglt)
																		((BgL_kwotez00_bglt) BgL_nodez00_5159)));
																BgL_auxz00_6443 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6444);
															}
															BgL_auxz00_6442 =
																((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_6443);
														}
														((((BgL_kwotezf2nodezf2_bglt)
																	COBJECT(BgL_auxz00_6442))->BgL_nodez00) =
															((BgL_nodez00_bglt) BgL_dummyz00_5345), BUNSPEC);
													}
													((BgL_kwotez00_bglt)
														((BgL_kwotez00_bglt) BgL_nodez00_5159));
													return
														BGl_nodezd2collectz12zc0zzcfa_collectz00
														(BgL_dummyz00_5345,
														((BgL_variablez00_bglt) BgL_ownerz00_5160));
												}
											}
										}
									}
								}
							}
						else
							{	/* Cfa/collect.scm 142 */
								bool_t BgL_test2320z00_6455;

								if (PAIRP(BgL_valuez00_5362))
									{	/* Cfa/collect.scm 142 */
										if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
											{	/* Cfa/collect.scm 142 */
												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
													(BgL_valuez00_5362))
													{	/* Cfa/collect.scm 143 */
														long BgL_arg1789z00_5363;
														obj_t BgL_arg1790z00_5364;

														BgL_arg1789z00_5363 =
															bgl_list_length(BgL_valuez00_5362);
														BgL_arg1790z00_5364 =
															BGl_pairzd2optimzd2quotezd2maxlenzd2zzcfa_pairz00
															();
														BgL_test2320z00_6455 =
															(BgL_arg1789z00_5363 <
															(long) CINT(BgL_arg1790z00_5364));
													}
												else
													{	/* Cfa/collect.scm 142 */
														BgL_test2320z00_6455 = ((bool_t) 0);
													}
											}
										else
											{	/* Cfa/collect.scm 142 */
												BgL_test2320z00_6455 = ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/collect.scm 142 */
										BgL_test2320z00_6455 = ((bool_t) 0);
									}
								if (BgL_test2320z00_6455)
									{	/* Cfa/collect.scm 142 */
										BgL_valuez00_5352 = BgL_valuez00_5362;
										{	/* Cfa/collect.scm 120 */
											int BgL_warningz00_5353;

											{	/* Cfa/collect.scm 120 */
												int BgL_wanz00_5354;

												BgL_wanz00_5354 = BGl_bigloozd2warningzd2zz__paramz00();
												BGl_bigloozd2warningzd2setz12z12zz__paramz00(
													(int) (((long) 0)));
												BgL_warningz00_5353 = BgL_wanz00_5354;
											}
											{	/* Cfa/collect.scm 120 */
												obj_t BgL_backendz00_5355;

												BgL_backendz00_5355 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{	/* Cfa/collect.scm 123 */
													bool_t BgL_pragmazf3zf3_5356;

													{	/* Cfa/collect.scm 124 */
														bool_t BgL_tgtz00_5357;

														BgL_tgtz00_5357 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_backendz00_5355)))->
															BgL_pragmazd2supportzd2);
														((((BgL_backendz00_bglt)
																	COBJECT(((BgL_backendz00_bglt)
																			BgL_backendz00_5355)))->
																BgL_pragmazd2supportzd2) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
														BgL_pragmazf3zf3_5356 = BgL_tgtz00_5357;
													}
													{	/* Cfa/collect.scm 124 */
														obj_t BgL_expz00_5358;

														BgL_expz00_5358 =
															BGl_loopze70ze7zzcfa_collectz00
															(BgL_valuez00_5352);
														{	/* Cfa/collect.scm 127 */
															BgL_nodez00_bglt BgL_dummyz00_5359;

															BgL_dummyz00_5359 =
																BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																(BgL_expz00_5358, BFALSE);
															{	/* Cfa/collect.scm 131 */

																((((BgL_backendz00_bglt) COBJECT(
																				((BgL_backendz00_bglt)
																					BgL_backendz00_5355)))->
																		BgL_pragmazd2supportzd2) =
																	((bool_t) BgL_pragmazf3zf3_5356), BUNSPEC);
																BGl_bigloozd2warningzd2setz12z12zz__paramz00
																	(BgL_warningz00_5353);
																{	/* Cfa/collect.scm 134 */
																	BgL_kwotezf2nodezf2_bglt BgL_wide1182z00_5360;

																	BgL_wide1182z00_5360 =
																		((BgL_kwotezf2nodezf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_kwotezf2nodezf2_bgl))));
																	{	/* Cfa/collect.scm 134 */
																		obj_t BgL_auxz00_6484;
																		BgL_objectz00_bglt BgL_tmpz00_6480;

																		BgL_auxz00_6484 =
																			((obj_t) BgL_wide1182z00_5360);
																		BgL_tmpz00_6480 =
																			((BgL_objectz00_bglt)
																			((BgL_kwotez00_bglt)
																				((BgL_kwotez00_bglt)
																					BgL_nodez00_5159)));
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6480,
																			BgL_auxz00_6484);
																	}
																	((BgL_objectz00_bglt)
																		((BgL_kwotez00_bglt)
																			((BgL_kwotez00_bglt) BgL_nodez00_5159)));
																	{	/* Cfa/collect.scm 134 */
																		long BgL_arg1847z00_5361;

																		BgL_arg1847z00_5361 =
																			BGL_CLASS_NUM
																			(BGl_kwotezf2nodezf2zzcfa_infoz00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt) (
																					(BgL_kwotez00_bglt) (
																						(BgL_kwotez00_bglt)
																						BgL_nodez00_5159))),
																			BgL_arg1847z00_5361);
																	}
																	((BgL_kwotez00_bglt)
																		((BgL_kwotez00_bglt)
																			((BgL_kwotez00_bglt) BgL_nodez00_5159)));
																}
																{
																	BgL_kwotezf2nodezf2_bglt BgL_auxz00_6498;

																	{
																		obj_t BgL_auxz00_6499;

																		{	/* Cfa/collect.scm 134 */
																			BgL_objectz00_bglt BgL_tmpz00_6500;

																			BgL_tmpz00_6500 =
																				((BgL_objectz00_bglt)
																				((BgL_kwotez00_bglt)
																					((BgL_kwotez00_bglt)
																						BgL_nodez00_5159)));
																			BgL_auxz00_6499 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_6500);
																		}
																		BgL_auxz00_6498 =
																			((BgL_kwotezf2nodezf2_bglt)
																			BgL_auxz00_6499);
																	}
																	((((BgL_kwotezf2nodezf2_bglt)
																				COBJECT(BgL_auxz00_6498))->
																			BgL_nodez00) =
																		((BgL_nodez00_bglt) BgL_dummyz00_5359),
																		BUNSPEC);
																}
																((BgL_kwotez00_bglt)
																	((BgL_kwotez00_bglt) BgL_nodez00_5159));
																return
																	BGl_nodezd2collectz12zc0zzcfa_collectz00
																	(BgL_dummyz00_5359,
																	((BgL_variablez00_bglt) BgL_ownerz00_5160));
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* Cfa/collect.scm 142 */
										return BFALSE;
									}
							}
					}
				}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzcfa_collectz00(obj_t BgL_vz00_3670)
	{
		{	/* Cfa/collect.scm 127 */
			if (NULLP(BgL_vz00_3670))
				{	/* Cfa/collect.scm 128 */
					return CNST_TABLE_REF(((long) 16));
				}
			else
				{	/* Cfa/collect.scm 130 */
					obj_t BgL_arg1850z00_3673;

					{	/* Cfa/collect.scm 130 */
						obj_t BgL_arg1851z00_3674;
						obj_t BgL_arg1854z00_3675;

						{	/* Cfa/collect.scm 130 */
							obj_t BgL_arg1856z00_3676;

							{	/* Cfa/collect.scm 130 */
								obj_t BgL_arg1857z00_3677;

								BgL_arg1857z00_3677 = CAR(((obj_t) BgL_vz00_3670));
								BgL_arg1856z00_3676 =
									MAKE_YOUNG_PAIR(BgL_arg1857z00_3677, BNIL);
							}
							BgL_arg1851z00_3674 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 17)),
								BgL_arg1856z00_3676);
						}
						{	/* Cfa/collect.scm 130 */
							obj_t BgL_arg1859z00_3678;

							{	/* Cfa/collect.scm 130 */
								obj_t BgL_arg1860z00_3679;

								BgL_arg1860z00_3679 = CDR(((obj_t) BgL_vz00_3670));
								BgL_arg1859z00_3678 =
									BGl_loopze70ze7zzcfa_collectz00(BgL_arg1860z00_3679);
							}
							BgL_arg1854z00_3675 = MAKE_YOUNG_PAIR(BgL_arg1859z00_3678, BNIL);
						}
						BgL_arg1850z00_3673 =
							MAKE_YOUNG_PAIR(BgL_arg1851z00_3674, BgL_arg1854z00_3675);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)), BgL_arg1850z00_3673);
		}}

	}



/* get-atype~0 */
	obj_t BGl_getzd2atypeze70z35zzcfa_collectz00(obj_t BgL_valuez00_3627)
	{
		{	/* Cfa/collect.scm 81 */
			if (INTEGERP(BgL_valuez00_3627))
				{	/* Cfa/collect.scm 76 */
					return CNST_TABLE_REF(((long) 18));
				}
			else
				{	/* Cfa/collect.scm 76 */
					if (CHARP(BgL_valuez00_3627))
						{	/* Cfa/collect.scm 77 */
							return CNST_TABLE_REF(((long) 19));
						}
					else
						{	/* Cfa/collect.scm 77 */
							if (BOOLEANP(BgL_valuez00_3627))
								{	/* Cfa/collect.scm 78 */
									return CNST_TABLE_REF(((long) 20));
								}
							else
								{	/* Cfa/collect.scm 78 */
									if (STRINGP(BgL_valuez00_3627))
										{	/* Cfa/collect.scm 79 */
											return CNST_TABLE_REF(((long) 21));
										}
									else
										{	/* Cfa/collect.scm 80 */
											bool_t BgL_test2329z00_6538;

											if (INTEGERP(BgL_valuez00_3627))
												{	/* Cfa/collect.scm 80 */
													BgL_test2329z00_6538 = ((bool_t) 1);
												}
											else
												{	/* Cfa/collect.scm 80 */
													BgL_test2329z00_6538 = REALP(BgL_valuez00_3627);
												}
											if (BgL_test2329z00_6538)
												{	/* Cfa/collect.scm 80 */
													return CNST_TABLE_REF(((long) 22));
												}
											else
												{	/* Cfa/collect.scm 80 */
													return BFALSE;
												}
										}
								}
						}
				}
		}

	}



/* &node-collect!-atom1715 */
	obj_t BGl_z62nodezd2collectz12zd2atom1715z70zzcfa_collectz00(obj_t
		BgL_envz00_5161, obj_t BgL_nodez00_5162, obj_t BgL_ownerz00_5163)
	{
		{	/* Cfa/collect.scm 65 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(((long) 185547682),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(((long) 374743292),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_vectorz00(((long) 146804578),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_pairz00(((long) 37668556),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_structz00(((long) 306923863),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_boxz00(((long) 370344659),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string2222z00zzcfa_collectz00));
		}

	}

#ifdef __cplusplus
}
#endif
