/*===========================================================================*/
/*   (Cfa/setup.scm)                                                         */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/setup.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_literalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                         *BgL_literalzf2cinfozf2_bglt;

	typedef struct BgL_genpatchidzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_genpatchidzf2cinfozf2_bglt;

	typedef struct BgL_patchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_patchzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_switchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_switchzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_pragmazf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_pragmazf2cinfozf2_bglt;

	typedef struct BgL_getfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_getfieldzf2cinfozf2_bglt;

	typedef struct BgL_setfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_setfieldzf2cinfozf2_bglt;

	typedef struct BgL_newzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                     *BgL_newzf2cinfozf2_bglt;

	typedef struct BgL_instanceofzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_instanceofzf2cinfozf2_bglt;

	typedef struct BgL_castzd2nullzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_castzd2nullzf2cinfoz20_bglt;


	static obj_t BGl_z62nodezd2setupz12zd2cast1812z70zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_newzf2Cinfozf2zzcfa_info3z00;
	static obj_t BGl_z62nodezd2setupz12zd2genpatch1800z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12zd2setq1814z70zzcfa_setupz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1762z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2getfield1802z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1766z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1768z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_pragmazf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62variablezd2valuezd2setup1770z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1772z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1774z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1776z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1778z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62nodezd2setupz12zd2kwote1757z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2structza2z00zztype_cachez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_sexitz00zzast_varz00;
	static obj_t BGl_z62nodezd2setupz12zd2literal1753z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2setfield1804z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_setupz00(void);
	static obj_t BGl_z62nodezd2setupz12zd2patch1755z70zzcfa_setupz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2sync1784z70zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_reshapedzd2localzd2zzcfa_infoz00;
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2var1761z70zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_switchzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_setupz00(void);
	extern obj_t BGl_literalzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2setzd2exzd2i1826z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2conditio1816z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_prezd2clozd2envz00zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_castzd2nullzf2Cinfoz20zzcfa_info3z00;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern obj_t BGl_svarz00zzast_varz00;
	static obj_t BGl_z62nodezd2setupz12zd2closure1780z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_failzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_setqzf2Cinfozf2zzcfa_infoz00;
	static bool_t BGl_alloczd2typezf3z21zzcfa_setupz00(BgL_typez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2castzd2nul1810za2zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_setupz00(void);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00(void);
	extern obj_t BGl_instanceofzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_za2optimzd2cfazd2applyzd2trackingzf3za2z21zzengine_paramz00;
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2sequence1782z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2letzd2fun1822za2zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2kwotezf2no1759z82zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62funzd2setupz12zd2sfun1790z70zzcfa_setupz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2new1806z70zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_cvarz00zzast_varz00;
	extern obj_t BGl_patchz00zzast_nodez00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_getfieldzf2Cinfozf2zzcfa_info3z00;
	BGL_EXPORTED_DECL obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_setupz00 = BUNSPEC;
	static obj_t BGl_z62nodezd2setupz12zd2switch1820z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_newz00zzast_nodez00;
	extern obj_t BGl_patchzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2appzd2ly1794za2zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62nodezd2setupz12zd2fail1818z70zzcfa_setupz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2initialzd2approxz12z70zzcfa_setupz00(obj_t, obj_t);
	extern bool_t BGl_pairzd2optimzf3z21zzcfa_pairz00(void);
	static obj_t BGl_toplevelzd2initzd2zzcfa_setupz00(void);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_setupz00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2letzd2var1824za2zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t);
	extern obj_t BGl_reshapedzd2globalzd2zzcfa_infoz00;
	extern obj_t BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2setupz12zd2funcall1796z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62funzd2setupz12zd2cfun1792z70zzcfa_setupz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12zd2instance1808z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_funzd2setupz12zc0zzcfa_setupz00(BgL_funz00_bglt, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static obj_t BGl_z62nodezd2setupza2z12z00zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62nodezd2setupz12zd2jumpzd2exzd21828z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62funzd2setupz12za2zzcfa_setupz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2app1786z70zzcfa_setupz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz121750za2zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12zd2pragma1798z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12za2zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_setupz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setupz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_setupz00(void);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t
		BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static obj_t BGl_z62variablezd2valuezd2setupz12z70zzcfa_setupz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_genpatchidz00zzast_nodez00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
	static obj_t BGl_z62funzd2setupz121787za2zzcfa_setupz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern obj_t BGl_setfieldzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2forcezd2loosezd2localzd2functionzf3za2z21zzengine_paramz00;
	extern obj_t BGl_cfunzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string2305z00zzcfa_setupz00,
		BgL_bgl_string2305za700za7za7c2341za7, "variable-value-setup!", 21);
	      DEFINE_STRING(BGl_string2317z00zzcfa_setupz00,
		BgL_bgl_string2317za700za7za7c2342za7, "fun-setup!", 10);
	      DEFINE_STRING(BGl_string2337z00zzcfa_setupz00,
		BgL_bgl_string2337za700za7za7c2343za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2338z00zzcfa_setupz00,
		BgL_bgl_string2338za700za7za7c2344za7, "cfa_setup", 9);
	      DEFINE_STRING(BGl_string2339z00zzcfa_setupz00,
		BgL_bgl_string2339za700za7za7c2345za7,
		"static already-done (sfun sgfun) import read node-setup!1750 variable-value-setup1762 ",
		86);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2291z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72346za7,
		BGl_z62nodezd2setupz121750za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2293z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2347z00,
		BGl_z62variablezd2valuezd2setup1762z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2295z00zzcfa_setupz00,
		BgL_bgl_za762funza7d2setupza712348za7,
		BGl_z62funzd2setupz121787za2zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2298z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72349za7,
		BGl_z62nodezd2setupz12zd2literal1753z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2350z00,
		BGl_z62variablezd2valuezd2setupz12z70zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72351za7,
		BGl_z62nodezd2setupz12za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2300z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72352za7,
		BGl_z62nodezd2setupz12zd2patch1755z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2301z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72353za7,
		BGl_z62nodezd2setupz12zd2kwote1757z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2302z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72354za7,
		BGl_z62nodezd2setupz12zd2kwotezf2no1759z82zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72355za7,
		BGl_z62nodezd2setupz12zd2var1761z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2304z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2356z00,
		BGl_z62variablezd2valuezd2setup1766z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2306z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2357z00,
		BGl_z62variablezd2valuezd2setup1768z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2307z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2358z00,
		BGl_z62variablezd2valuezd2setup1770z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2308z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2359z00,
		BGl_z62variablezd2valuezd2setup1772z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2309z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2360z00,
		BGl_z62variablezd2valuezd2setup1774z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2310z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2361z00,
		BGl_z62variablezd2valuezd2setup1776z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2311z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2362z00,
		BGl_z62variablezd2valuezd2setup1778z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2312z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72363za7,
		BGl_z62nodezd2setupz12zd2closure1780z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2313z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72364za7,
		BGl_z62nodezd2setupz12zd2sequence1782z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2314z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72365za7,
		BGl_z62nodezd2setupz12zd2sync1784z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2315z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72366za7,
		BGl_z62nodezd2setupz12zd2app1786z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2316z00zzcfa_setupz00,
		BgL_bgl_za762funza7d2setupza712367za7,
		BGl_z62funzd2setupz12zd2sfun1790z70zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzcfa_setupz00,
		BgL_bgl_za762funza7d2setupza712368za7,
		BGl_z62funzd2setupz12zd2cfun1792z70zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72369za7,
		BGl_z62nodezd2setupz12zd2appzd2ly1794za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72370za7,
		BGl_z62nodezd2setupz12zd2funcall1796z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72371za7,
		BGl_z62nodezd2setupz12zd2pragma1798z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72372za7,
		BGl_z62nodezd2setupz12zd2genpatch1800z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72373za7,
		BGl_z62nodezd2setupz12zd2getfield1802z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72374za7,
		BGl_z62nodezd2setupz12zd2setfield1804z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72375za7,
		BGl_z62nodezd2setupz12zd2new1806z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72376za7,
		BGl_z62nodezd2setupz12zd2instance1808z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72377za7,
		BGl_z62nodezd2setupz12zd2castzd2nul1810za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72378za7,
		BGl_z62nodezd2setupz12zd2cast1812z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72379za7,
		BGl_z62nodezd2setupz12zd2setq1814z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72380za7,
		BGl_z62nodezd2setupz12zd2conditio1816z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72381za7,
		BGl_z62nodezd2setupz12zd2fail1818z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72382za7,
		BGl_z62nodezd2setupz12zd2switch1820z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72383za7,
		BGl_z62nodezd2setupz12zd2letzd2fun1822za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72384za7,
		BGl_z62nodezd2setupz12zd2letzd2var1824za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72385za7,
		BGl_z62nodezd2setupz12zd2setzd2exzd2i1826z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72386za7,
		BGl_z62nodezd2setupz12zd2jumpzd2exzd21828z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2292z00zzcfa_setupz00,
		BgL_bgl_string2292za700za7za7c2387za7, "node-setup!1750", 15);
	      DEFINE_STRING(BGl_string2294z00zzcfa_setupz00,
		BgL_bgl_string2294za700za7za7c2388za7, "variable-value-setup1762", 24);
	      DEFINE_STRING(BGl_string2296z00zzcfa_setupz00,
		BgL_bgl_string2296za700za7za7c2389za7, "fun-setup!1787", 14);
	      DEFINE_STRING(BGl_string2297z00zzcfa_setupz00,
		BgL_bgl_string2297za700za7za7c2390za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2299z00zzcfa_setupz00,
		BgL_bgl_string2299za700za7za7c2391za7, "node-setup!", 11);
	      DEFINE_STATIC_BGL_GENERIC(BGl_funzd2setupz12zd2envz12zzcfa_setupz00,
		BgL_bgl_za762funza7d2setupza712392za7,
		BGl_z62funzd2setupz12za2zzcfa_setupz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2initialzd2approxz12zd2envzc0zzcfa_setupz00,
		BgL_bgl_za762setza7d2initial2393z00,
		BGl_z62setzd2initialzd2approxz12z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2setupza2z12zd2envzb0zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72394za7,
		BGl_z62nodezd2setupza2z12z00zzcfa_setupz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_setupz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long
		BgL_checksumz00_6130, char *BgL_fromz00_6131)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_setupz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_setupz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_setupz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_setupz00();
					BGl_cnstzd2initzd2zzcfa_setupz00();
					BGl_importedzd2moduleszd2initz00zzcfa_setupz00();
					BGl_genericzd2initzd2zzcfa_setupz00();
					BGl_methodzd2initzd2zzcfa_setupz00();
					return BGl_toplevelzd2initzd2zzcfa_setupz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_setup");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_setup");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_setup");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			{	/* Cfa/setup.scm 15 */
				obj_t BgL_cportz00_5747;

				{	/* Cfa/setup.scm 15 */
					obj_t BgL_stringz00_5754;

					BgL_stringz00_5754 = BGl_string2339z00zzcfa_setupz00;
					{	/* Cfa/setup.scm 15 */
						obj_t BgL_startz00_5755;

						BgL_startz00_5755 = BINT(((long) 0));
						{	/* Cfa/setup.scm 15 */
							obj_t BgL_endz00_5756;

							BgL_endz00_5756 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5754)));
							{	/* Cfa/setup.scm 15 */

								BgL_cportz00_5747 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5754, BgL_startz00_5755, BgL_endz00_5756);
				}}}}
				{
					long BgL_iz00_5748;

					BgL_iz00_5748 = ((long) 6);
				BgL_loopz00_5749:
					if ((BgL_iz00_5748 == ((long) -1)))
						{	/* Cfa/setup.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/setup.scm 15 */
							{	/* Cfa/setup.scm 15 */
								obj_t BgL_arg2340z00_5750;

								{	/* Cfa/setup.scm 15 */

									{	/* Cfa/setup.scm 15 */
										obj_t BgL_locationz00_5752;

										BgL_locationz00_5752 = BBOOL(((bool_t) 0));
										{	/* Cfa/setup.scm 15 */

											BgL_arg2340z00_5750 =
												BGl_readz00zz__readerz00(BgL_cportz00_5747,
												BgL_locationz00_5752);
										}
									}
								}
								{	/* Cfa/setup.scm 15 */
									int BgL_tmpz00_6161;

									BgL_tmpz00_6161 = (int) (BgL_iz00_5748);
									CNST_TABLE_SET(BgL_tmpz00_6161, BgL_arg2340z00_5750);
							}}
							{	/* Cfa/setup.scm 15 */
								int BgL_auxz00_5753;

								BgL_auxz00_5753 = (int) ((BgL_iz00_5748 - ((long) 1)));
								{
									long BgL_iz00_6166;

									BgL_iz00_6166 = (long) (BgL_auxz00_5753);
									BgL_iz00_5748 = BgL_iz00_6166;
									goto BgL_loopz00_5749;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			return BUNSPEC;
		}

	}



/* set-initial-approx! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Cfa/setup.scm 38 */
			{
				obj_t BgL_l1734z00_3475;

				{	/* Cfa/setup.scm 40 */
					bool_t BgL_tmpz00_6169;

					BgL_l1734z00_3475 = BgL_globalsz00_3;
				BgL_zc3z04anonymousza31834ze3z87_3476:
					if (PAIRP(BgL_l1734z00_3475))
						{	/* Cfa/setup.scm 40 */
							{	/* Cfa/setup.scm 42 */
								obj_t BgL_globalz00_3478;

								BgL_globalz00_3478 = CAR(BgL_l1734z00_3475);
								{	/* Cfa/setup.scm 43 */
									BgL_valuez00_bglt BgL_funz00_3479;

									BgL_funz00_3479 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_3478))))->
										BgL_valuez00);
									BGl_funzd2setupz12zc0zzcfa_setupz00(((BgL_funz00_bglt)
											BgL_funz00_3479), BgL_globalz00_3478);
									{	/* Cfa/setup.scm 45 */
										obj_t BgL_g1733z00_3480;

										BgL_g1733z00_3480 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_3479)))->BgL_argsz00);
										{
											obj_t BgL_l1731z00_3482;

											BgL_l1731z00_3482 = BgL_g1733z00_3480;
										BgL_zc3z04anonymousza31836ze3z87_3483:
											if (PAIRP(BgL_l1731z00_3482))
												{	/* Cfa/setup.scm 49 */
													{	/* Cfa/setup.scm 46 */
														obj_t BgL_localz00_3485;

														BgL_localz00_3485 = CAR(BgL_l1731z00_3482);
														{	/* Cfa/setup.scm 46 */
															BgL_reshapedzd2localzd2_bglt BgL_wide1176z00_3488;

															BgL_wide1176z00_3488 =
																((BgL_reshapedzd2localzd2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_reshapedzd2localzd2_bgl))));
															{	/* Cfa/setup.scm 46 */
																obj_t BgL_auxz00_6188;
																BgL_objectz00_bglt BgL_tmpz00_6184;

																BgL_auxz00_6188 =
																	((obj_t) BgL_wide1176z00_3488);
																BgL_tmpz00_6184 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_3485)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6184,
																	BgL_auxz00_6188);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_3485)));
															{	/* Cfa/setup.scm 46 */
																long BgL_arg1840z00_3489;

																BgL_arg1840z00_3489 =
																	BGL_CLASS_NUM
																	(BGl_reshapedzd2localzd2zzcfa_infoz00);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) ((BgL_localz00_bglt)
																				BgL_localz00_3485))),
																	BgL_arg1840z00_3489);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_3485)));
														}
														{
															BgL_reshapedzd2localzd2_bglt BgL_auxz00_6202;

															{
																obj_t BgL_auxz00_6203;

																{	/* Cfa/setup.scm 46 */
																	BgL_objectz00_bglt BgL_tmpz00_6204;

																	BgL_tmpz00_6204 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_3485)));
																	BgL_auxz00_6203 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6204);
																}
																BgL_auxz00_6202 =
																	((BgL_reshapedzd2localzd2_bglt)
																	BgL_auxz00_6203);
															}
															((((BgL_reshapedzd2localzd2_bglt)
																		COBJECT(BgL_auxz00_6202))->
																	BgL_bindingzd2valuezd2) =
																((obj_t) BFALSE), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_3485));
														{	/* Cfa/setup.scm 47 */
															BgL_valuez00_bglt BgL_arg1844z00_3491;

															BgL_arg1844z00_3491 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_localz00_3485))))->BgL_valuez00);
															BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00
																(BgL_arg1844z00_3491,
																((BgL_variablez00_bglt) BgL_localz00_3485));
													}}
													{
														obj_t BgL_l1731z00_6218;

														BgL_l1731z00_6218 = CDR(BgL_l1731z00_3482);
														BgL_l1731z00_3482 = BgL_l1731z00_6218;
														goto BgL_zc3z04anonymousza31836ze3z87_3483;
													}
												}
											else
												{	/* Cfa/setup.scm 49 */
													((bool_t) 1);
												}
										}
									}
								}
								{	/* Cfa/setup.scm 50 */
									obj_t BgL_arg1846z00_3494;

									BgL_arg1846z00_3494 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_3478))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_nodezd2setupz12zc0zzcfa_setupz00(((BgL_nodez00_bglt)
											BgL_arg1846z00_3494));
								}
							}
							{
								obj_t BgL_l1734z00_6227;

								BgL_l1734z00_6227 = CDR(BgL_l1734z00_3475);
								BgL_l1734z00_3475 = BgL_l1734z00_6227;
								goto BgL_zc3z04anonymousza31834ze3z87_3476;
							}
						}
					else
						{	/* Cfa/setup.scm 40 */
							BgL_tmpz00_6169 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_6169);
				}
			}
		}

	}



/* &set-initial-approx! */
	obj_t BGl_z62setzd2initialzd2approxz12z70zzcfa_setupz00(obj_t BgL_envz00_5607,
		obj_t BgL_globalsz00_5608)
	{
		{	/* Cfa/setup.scm 38 */
			return
				BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(BgL_globalsz00_5608);
		}

	}



/* alloc-type? */
	bool_t BGl_alloczd2typezf3z21zzcfa_setupz00(BgL_typez00_bglt BgL_typez00_10)
	{
		{	/* Cfa/setup.scm 111 */
			if ((((obj_t) BgL_typez00_10) == BGl_za2vectorza2z00zztype_cachez00))
				{	/* Cfa/setup.scm 113 */
					return ((bool_t) 1);
				}
			else
				{	/* Cfa/setup.scm 113 */
					if (
						(((obj_t) BgL_typez00_10) == BGl_za2procedureza2z00zztype_cachez00))
						{	/* Cfa/setup.scm 114 */
							return ((bool_t) 1);
						}
					else
						{	/* Cfa/setup.scm 114 */
							if (
								(((obj_t) BgL_typez00_10) ==
									BGl_za2structza2z00zztype_cachez00))
								{	/* Cfa/setup.scm 115 */
									return ((bool_t) 1);
								}
							else
								{	/* Cfa/setup.scm 115 */
									if (
										(((obj_t) BgL_typez00_10) ==
											BGl_za2pairza2z00zztype_cachez00))
										{	/* Cfa/setup.scm 116 */
											return BGl_pairzd2optimzf3z21zzcfa_pairz00();
										}
									else
										{	/* Cfa/setup.scm 116 */
											return ((bool_t) 0);
										}
								}
						}
				}
		}

	}



/* node-setup*! */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t
		BgL_nodeza2za2_55)
	{
		{	/* Cfa/setup.scm 487 */
			{
				obj_t BgL_l1748z00_3499;

				{	/* Cfa/setup.scm 488 */
					bool_t BgL_tmpz00_6244;

					BgL_l1748z00_3499 = BgL_nodeza2za2_55;
				BgL_zc3z04anonymousza31849ze3z87_3500:
					if (PAIRP(BgL_l1748z00_3499))
						{	/* Cfa/setup.scm 488 */
							{	/* Cfa/setup.scm 488 */
								obj_t BgL_arg1851z00_3502;

								BgL_arg1851z00_3502 = CAR(BgL_l1748z00_3499);
								BGl_nodezd2setupz12zc0zzcfa_setupz00(
									((BgL_nodez00_bglt) BgL_arg1851z00_3502));
							}
							{
								obj_t BgL_l1748z00_6250;

								BgL_l1748z00_6250 = CDR(BgL_l1748z00_3499);
								BgL_l1748z00_3499 = BgL_l1748z00_6250;
								goto BgL_zc3z04anonymousza31849ze3z87_3500;
							}
						}
					else
						{	/* Cfa/setup.scm 488 */
							BgL_tmpz00_6244 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_6244);
				}
			}
		}

	}



/* &node-setup*! */
	obj_t BGl_z62nodezd2setupza2z12z00zzcfa_setupz00(obj_t BgL_envz00_5609,
		obj_t BgL_nodeza2za2_5610)
	{
		{	/* Cfa/setup.scm 487 */
			return BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_nodeza2za2_5610);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_proc2291z00zzcfa_setupz00, BGl_nodez00zzast_nodez00,
				BGl_string2292z00zzcfa_setupz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_proc2293z00zzcfa_setupz00, BGl_valuez00zzast_varz00,
				BGl_string2294z00zzcfa_setupz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_funzd2setupz12zd2envz12zzcfa_setupz00,
				BGl_proc2295z00zzcfa_setupz00, BGl_funz00zzast_varz00,
				BGl_string2296z00zzcfa_setupz00);
		}

	}



/* &fun-setup!1787 */
	obj_t BGl_z62funzd2setupz121787za2zzcfa_setupz00(obj_t BgL_envz00_5614,
		obj_t BgL_funz00_5615, obj_t BgL_varz00_5616)
	{
		{	/* Cfa/setup.scm 232 */
			{	/* Cfa/setup.scm 233 */
				bool_t BgL_test2404z00_6257;

				{	/* Cfa/setup.scm 233 */
					bool_t BgL_test2405z00_6258;

					{	/* Cfa/setup.scm 233 */
						obj_t BgL_classz00_5759;

						BgL_classz00_5759 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_varz00_5616))
							{	/* Cfa/setup.scm 233 */
								BgL_objectz00_bglt BgL_arg1820z00_5760;

								BgL_arg1820z00_5760 = (BgL_objectz00_bglt) (BgL_varz00_5616);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/setup.scm 233 */
										long BgL_idxz00_5761;

										BgL_idxz00_5761 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5760);
										BgL_test2405z00_6258 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5761 + ((long) 2))) == BgL_classz00_5759);
									}
								else
									{	/* Cfa/setup.scm 233 */
										bool_t BgL_res2258z00_5764;

										{	/* Cfa/setup.scm 233 */
											obj_t BgL_oclassz00_5765;

											{	/* Cfa/setup.scm 233 */
												long BgL_arg1828z00_5766;

												{	/* Cfa/setup.scm 233 */
													long BgL_arg1829z00_5767;

													BgL_arg1829z00_5767 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5760);
													BgL_arg1828z00_5766 =
														(BgL_arg1829z00_5767 - OBJECT_TYPE);
												}
												BgL_oclassz00_5765 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_5766);
											}
											{	/* Cfa/setup.scm 233 */
												bool_t BgL__ortest_1111z00_5768;

												BgL__ortest_1111z00_5768 =
													(BgL_classz00_5759 == BgL_oclassz00_5765);
												if (BgL__ortest_1111z00_5768)
													{	/* Cfa/setup.scm 233 */
														BgL_res2258z00_5764 = BgL__ortest_1111z00_5768;
													}
												else
													{	/* Cfa/setup.scm 233 */
														long BgL_odepthz00_5769;

														BgL_odepthz00_5769 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5765);
														if ((((long) 2) < BgL_odepthz00_5769))
															{	/* Cfa/setup.scm 233 */
																obj_t BgL_arg1816z00_5770;

																BgL_arg1816z00_5770 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5765,
																	((long) 2));
																BgL_res2258z00_5764 =
																	(BgL_arg1816z00_5770 == BgL_classz00_5759);
															}
														else
															{	/* Cfa/setup.scm 233 */
																BgL_res2258z00_5764 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2405z00_6258 = BgL_res2258z00_5764;
									}
							}
						else
							{	/* Cfa/setup.scm 233 */
								BgL_test2405z00_6258 = ((bool_t) 0);
							}
					}
					if (BgL_test2405z00_6258)
						{	/* Cfa/setup.scm 233 */
							bool_t BgL_test2410z00_6278;

							{	/* Cfa/setup.scm 233 */
								obj_t BgL_classz00_5771;

								BgL_classz00_5771 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
								if (BGL_OBJECTP(BgL_varz00_5616))
									{	/* Cfa/setup.scm 233 */
										BgL_objectz00_bglt BgL_arg1820z00_5772;

										BgL_arg1820z00_5772 =
											(BgL_objectz00_bglt) (BgL_varz00_5616);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/setup.scm 233 */
												long BgL_idxz00_5773;

												BgL_idxz00_5773 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5772);
												BgL_test2410z00_6278 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5773 + ((long) 3))) ==
													BgL_classz00_5771);
											}
										else
											{	/* Cfa/setup.scm 233 */
												bool_t BgL_res2259z00_5776;

												{	/* Cfa/setup.scm 233 */
													obj_t BgL_oclassz00_5777;

													{	/* Cfa/setup.scm 233 */
														long BgL_arg1828z00_5778;

														{	/* Cfa/setup.scm 233 */
															long BgL_arg1829z00_5779;

															BgL_arg1829z00_5779 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5772);
															BgL_arg1828z00_5778 =
																(BgL_arg1829z00_5779 - OBJECT_TYPE);
														}
														BgL_oclassz00_5777 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_5778);
													}
													{	/* Cfa/setup.scm 233 */
														bool_t BgL__ortest_1111z00_5780;

														BgL__ortest_1111z00_5780 =
															(BgL_classz00_5771 == BgL_oclassz00_5777);
														if (BgL__ortest_1111z00_5780)
															{	/* Cfa/setup.scm 233 */
																BgL_res2259z00_5776 = BgL__ortest_1111z00_5780;
															}
														else
															{	/* Cfa/setup.scm 233 */
																long BgL_odepthz00_5781;

																BgL_odepthz00_5781 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5777);
																if ((((long) 3) < BgL_odepthz00_5781))
																	{	/* Cfa/setup.scm 233 */
																		obj_t BgL_arg1816z00_5782;

																		BgL_arg1816z00_5782 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5777, ((long) 3));
																		BgL_res2259z00_5776 =
																			(BgL_arg1816z00_5782 ==
																			BgL_classz00_5771);
																	}
																else
																	{	/* Cfa/setup.scm 233 */
																		BgL_res2259z00_5776 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2410z00_6278 = BgL_res2259z00_5776;
											}
									}
								else
									{	/* Cfa/setup.scm 233 */
										BgL_test2410z00_6278 = ((bool_t) 0);
									}
							}
							if (BgL_test2410z00_6278)
								{	/* Cfa/setup.scm 233 */
									BgL_test2404z00_6257 = ((bool_t) 0);
								}
							else
								{	/* Cfa/setup.scm 233 */
									BgL_test2404z00_6257 = ((bool_t) 1);
								}
						}
					else
						{	/* Cfa/setup.scm 233 */
							BgL_test2404z00_6257 = ((bool_t) 0);
						}
				}
				if (BgL_test2404z00_6257)
					{	/* Cfa/setup.scm 233 */
						{	/* Cfa/setup.scm 234 */
							BgL_reshapedzd2globalzd2_bglt BgL_wide1237z00_5783;

							BgL_wide1237z00_5783 =
								((BgL_reshapedzd2globalzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_reshapedzd2globalzd2_bgl))));
							{	/* Cfa/setup.scm 234 */
								obj_t BgL_auxz00_6303;
								BgL_objectz00_bglt BgL_tmpz00_6299;

								BgL_auxz00_6303 = ((obj_t) BgL_wide1237z00_5783);
								BgL_tmpz00_6299 =
									((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5616)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6299, BgL_auxz00_6303);
							}
							((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5616)));
							{	/* Cfa/setup.scm 234 */
								long BgL_arg1864z00_5784;

								BgL_arg1864z00_5784 =
									BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_varz00_5616))),
									BgL_arg1864z00_5784);
							}
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5616)));
						}
						((obj_t)
							((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5616)));
					}
				else
					{	/* Cfa/setup.scm 233 */
						BFALSE;
					}
			}
			return BUNSPEC;
		}

	}



/* &variable-value-setup1762 */
	obj_t BGl_z62variablezd2valuezd2setup1762z62zzcfa_setupz00(obj_t
		BgL_envz00_5617, obj_t BgL_valuez00_5618, obj_t BgL_variablez00_5619)
	{
		{	/* Cfa/setup.scm 122 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string2297z00zzcfa_setupz00,
				((obj_t) ((BgL_valuez00_bglt) BgL_valuez00_5618)));
		}

	}



/* &node-setup!1750 */
	obj_t BGl_z62nodezd2setupz121750za2zzcfa_setupz00(obj_t BgL_envz00_5620,
		obj_t BgL_nodez00_5621)
	{
		{	/* Cfa/setup.scm 56 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string2297z00zzcfa_setupz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_5621)));
		}

	}



/* node-setup! */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Cfa/setup.scm 56 */
			{	/* Cfa/setup.scm 56 */
				obj_t BgL_method1751z00_3529;

				{	/* Cfa/setup.scm 56 */
					obj_t BgL_res2264z00_4750;

					{	/* Cfa/setup.scm 56 */
						long BgL_objzd2classzd2numz00_4721;

						BgL_objzd2classzd2numz00_4721 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Cfa/setup.scm 56 */
							obj_t BgL_arg1825z00_4722;

							BgL_arg1825z00_4722 =
								PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
								(int) (((long) 1)));
							{	/* Cfa/setup.scm 56 */
								int BgL_offsetz00_4725;

								BgL_offsetz00_4725 = (int) (BgL_objzd2classzd2numz00_4721);
								{	/* Cfa/setup.scm 56 */
									long BgL_offsetz00_4726;

									BgL_offsetz00_4726 =
										((long) (BgL_offsetz00_4725) - OBJECT_TYPE);
									{	/* Cfa/setup.scm 56 */
										long BgL_modz00_4727;

										BgL_modz00_4727 =
											(BgL_offsetz00_4726 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/setup.scm 56 */
											long BgL_restz00_4729;

											BgL_restz00_4729 =
												(BgL_offsetz00_4726 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/setup.scm 56 */

												{	/* Cfa/setup.scm 56 */
													obj_t BgL_bucketz00_4731;

													BgL_bucketz00_4731 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4722), BgL_modz00_4727);
													BgL_res2264z00_4750 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4731), BgL_restz00_4729);
					}}}}}}}}
					BgL_method1751z00_3529 = BgL_res2264z00_4750;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1751z00_3529)) (BgL_method1751z00_3529,
					((obj_t) BgL_nodez00_4), BEOA);
			}
		}

	}



/* &node-setup! */
	obj_t BGl_z62nodezd2setupz12za2zzcfa_setupz00(obj_t BgL_envz00_5622,
		obj_t BgL_nodez00_5623)
	{
		{	/* Cfa/setup.scm 56 */
			return
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
				((BgL_nodez00_bglt) BgL_nodez00_5623));
		}

	}



/* variable-value-setup! */
	obj_t BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(BgL_valuez00_bglt
		BgL_valuez00_11, BgL_variablez00_bglt BgL_variablez00_12)
	{
		{	/* Cfa/setup.scm 122 */
			{	/* Cfa/setup.scm 122 */
				obj_t BgL_method1764z00_3530;

				{	/* Cfa/setup.scm 122 */
					obj_t BgL_res2269z00_4781;

					{	/* Cfa/setup.scm 122 */
						long BgL_objzd2classzd2numz00_4752;

						BgL_objzd2classzd2numz00_4752 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_11));
						{	/* Cfa/setup.scm 122 */
							obj_t BgL_arg1825z00_4753;

							BgL_arg1825z00_4753 =
								PROCEDURE_REF
								(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
								(int) (((long) 1)));
							{	/* Cfa/setup.scm 122 */
								int BgL_offsetz00_4756;

								BgL_offsetz00_4756 = (int) (BgL_objzd2classzd2numz00_4752);
								{	/* Cfa/setup.scm 122 */
									long BgL_offsetz00_4757;

									BgL_offsetz00_4757 =
										((long) (BgL_offsetz00_4756) - OBJECT_TYPE);
									{	/* Cfa/setup.scm 122 */
										long BgL_modz00_4758;

										BgL_modz00_4758 =
											(BgL_offsetz00_4757 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/setup.scm 122 */
											long BgL_restz00_4760;

											BgL_restz00_4760 =
												(BgL_offsetz00_4757 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/setup.scm 122 */

												{	/* Cfa/setup.scm 122 */
													obj_t BgL_bucketz00_4762;

													BgL_bucketz00_4762 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4753), BgL_modz00_4758);
													BgL_res2269z00_4781 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4762), BgL_restz00_4760);
					}}}}}}}}
					BgL_method1764z00_3530 = BgL_res2269z00_4781;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1764z00_3530)) (BgL_method1764z00_3530,
					((obj_t) BgL_valuez00_11), ((obj_t) BgL_variablez00_12), BEOA);
			}
		}

	}



/* &variable-value-setup! */
	obj_t BGl_z62variablezd2valuezd2setupz12z70zzcfa_setupz00(obj_t
		BgL_envz00_5624, obj_t BgL_valuez00_5625, obj_t BgL_variablez00_5626)
	{
		{	/* Cfa/setup.scm 122 */
			return
				BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(
				((BgL_valuez00_bglt) BgL_valuez00_5625),
				((BgL_variablez00_bglt) BgL_variablez00_5626));
		}

	}



/* fun-setup! */
	obj_t BGl_funzd2setupz12zc0zzcfa_setupz00(BgL_funz00_bglt BgL_funz00_31,
		obj_t BgL_varz00_32)
	{
		{	/* Cfa/setup.scm 232 */
			{	/* Cfa/setup.scm 232 */
				obj_t BgL_method1788z00_3531;

				{	/* Cfa/setup.scm 232 */
					obj_t BgL_res2274z00_4812;

					{	/* Cfa/setup.scm 232 */
						long BgL_objzd2classzd2numz00_4783;

						BgL_objzd2classzd2numz00_4783 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_31));
						{	/* Cfa/setup.scm 232 */
							obj_t BgL_arg1825z00_4784;

							BgL_arg1825z00_4784 =
								PROCEDURE_REF(BGl_funzd2setupz12zd2envz12zzcfa_setupz00,
								(int) (((long) 1)));
							{	/* Cfa/setup.scm 232 */
								int BgL_offsetz00_4787;

								BgL_offsetz00_4787 = (int) (BgL_objzd2classzd2numz00_4783);
								{	/* Cfa/setup.scm 232 */
									long BgL_offsetz00_4788;

									BgL_offsetz00_4788 =
										((long) (BgL_offsetz00_4787) - OBJECT_TYPE);
									{	/* Cfa/setup.scm 232 */
										long BgL_modz00_4789;

										BgL_modz00_4789 =
											(BgL_offsetz00_4788 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/setup.scm 232 */
											long BgL_restz00_4791;

											BgL_restz00_4791 =
												(BgL_offsetz00_4788 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/setup.scm 232 */

												{	/* Cfa/setup.scm 232 */
													obj_t BgL_bucketz00_4793;

													BgL_bucketz00_4793 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4784), BgL_modz00_4789);
													BgL_res2274z00_4812 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4793), BgL_restz00_4791);
					}}}}}}}}
					BgL_method1788z00_3531 = BgL_res2274z00_4812;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1788z00_3531)) (BgL_method1788z00_3531,
					((obj_t) BgL_funz00_31), BgL_varz00_32, BEOA);
			}
		}

	}



/* &fun-setup! */
	obj_t BGl_z62funzd2setupz12za2zzcfa_setupz00(obj_t BgL_envz00_5627,
		obj_t BgL_funz00_5628, obj_t BgL_varz00_5629)
	{
		{	/* Cfa/setup.scm 232 */
			return
				BGl_funzd2setupz12zc0zzcfa_setupz00(
				((BgL_funz00_bglt) BgL_funz00_5628), BgL_varz00_5629);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_literalz00zzast_nodez00, BGl_proc2298z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_patchz00zzast_nodez00,
				BGl_proc2300z00zzcfa_setupz00, BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2301z00zzcfa_setupz00, BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_kwotezf2nodezf2zzcfa_infoz00, BGl_proc2302z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_varz00zzast_nodez00,
				BGl_proc2303z00zzcfa_setupz00, BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_sfunz00zzast_varz00, BGl_proc2304z00zzcfa_setupz00,
				BGl_string2305z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_svarz00zzast_varz00, BGl_proc2306z00zzcfa_setupz00,
				BGl_string2305z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_prezd2clozd2envz00zzcfa_infoz00, BGl_proc2307z00zzcfa_setupz00,
				BGl_string2305z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_sexitz00zzast_varz00, BGl_proc2308z00zzcfa_setupz00,
				BGl_string2305z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2309z00zzcfa_setupz00,
				BGl_string2305z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_scnstz00zzast_varz00, BGl_proc2310z00zzcfa_setupz00,
				BGl_string2305z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_cvarz00zzast_varz00, BGl_proc2311z00zzcfa_setupz00,
				BGl_string2305z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_closurez00zzast_nodez00, BGl_proc2312z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2313z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_syncz00zzast_nodez00,
				BGl_proc2314z00zzcfa_setupz00, BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_appz00zzast_nodez00,
				BGl_proc2315z00zzcfa_setupz00, BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BGl_sfunz00zzast_varz00,
				BGl_proc2316z00zzcfa_setupz00, BGl_string2317z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BGl_cfunz00zzast_varz00,
				BGl_proc2318z00zzcfa_setupz00, BGl_string2317z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2319z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2320z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc2321z00zzcfa_setupz00, BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_genpatchidz00zzast_nodez00, BGl_proc2322z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_getfieldz00zzast_nodez00, BGl_proc2323z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_setfieldz00zzast_nodez00, BGl_proc2324z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_newz00zzast_nodez00,
				BGl_proc2325z00zzcfa_setupz00, BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2326z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc2327z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_castz00zzast_nodez00,
				BGl_proc2328z00zzcfa_setupz00, BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_setqz00zzast_nodez00,
				BGl_proc2329z00zzcfa_setupz00, BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2330z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_failz00zzast_nodez00,
				BGl_proc2331z00zzcfa_setupz00, BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_switchz00zzast_nodez00,
				BGl_proc2332z00zzcfa_setupz00, BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2333z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2334z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2335z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2336z00zzcfa_setupz00,
				BGl_string2299z00zzcfa_setupz00);
		}

	}



/* &node-setup!-jump-ex-1828 */
	obj_t BGl_z62nodezd2setupz12zd2jumpzd2exzd21828z70zzcfa_setupz00(obj_t
		BgL_envz00_5666, obj_t BgL_nodez00_5667)
	{
		{	/* Cfa/setup.scm 476 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5667)))->BgL_exitz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5667)))->BgL_valuez00));
			{	/* Cfa/setup.scm 480 */
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_wide1361z00_5789;

				BgL_wide1361z00_5789 =
					((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jumpzd2exzd2itzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 480 */
					obj_t BgL_auxz00_6475;
					BgL_objectz00_bglt BgL_tmpz00_6471;

					BgL_auxz00_6475 = ((obj_t) BgL_wide1361z00_5789);
					BgL_tmpz00_6471 =
						((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5667)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6471, BgL_auxz00_6475);
				}
				((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5667)));
				{	/* Cfa/setup.scm 480 */
					long BgL_arg2063z00_5790;

					BgL_arg2063z00_5790 =
						BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5667))),
						BgL_arg2063z00_5790);
				}
				((BgL_jumpzd2exzd2itz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5667)));
			}
			{
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_6489;

				{
					obj_t BgL_auxz00_6490;

					{	/* Cfa/setup.scm 481 */
						BgL_objectz00_bglt BgL_tmpz00_6491;

						BgL_tmpz00_6491 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5667)));
						BgL_auxz00_6490 = BGL_OBJECT_WIDENING(BgL_tmpz00_6491);
					}
					BgL_auxz00_6489 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_6490);
				}
				((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6489))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			((BgL_jumpzd2exzd2itz00_bglt)
				((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5667));
			{	/* Cfa/setup.scm 482 */
				BgL_approxz00_bglt BgL_arg2065z00_5791;

				{
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_6502;

					{
						obj_t BgL_auxz00_6503;

						{	/* Cfa/setup.scm 482 */
							BgL_objectz00_bglt BgL_tmpz00_6504;

							BgL_tmpz00_6504 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5667)));
							BgL_auxz00_6503 = BGL_OBJECT_WIDENING(BgL_tmpz00_6504);
						}
						BgL_auxz00_6502 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_6503);
					}
					BgL_arg2065z00_5791 =
						(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6502))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2065z00_5791);
			}
		}

	}



/* &node-setup!-set-ex-i1826 */
	obj_t BGl_z62nodezd2setupz12zd2setzd2exzd2i1826z70zzcfa_setupz00(obj_t
		BgL_envz00_5668, obj_t BgL_nodez00_5669)
	{
		{	/* Cfa/setup.scm 463 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5669)))->BgL_bodyz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5669)))->BgL_onexitz00));
			{	/* Cfa/setup.scm 467 */
				BgL_varz00_bglt BgL_arg2056z00_5793;

				BgL_arg2056z00_5793 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5669)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg2056z00_5793));
			}
			{	/* Cfa/setup.scm 468 */
				BgL_localz00_bglt BgL_tmp1350z00_5794;

				BgL_tmp1350z00_5794 =
					((BgL_localz00_bglt)
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5669)))->
									BgL_varz00)))->BgL_variablez00));
				{	/* Cfa/setup.scm 468 */
					BgL_reshapedzd2localzd2_bglt BgL_wide1352z00_5795;

					BgL_wide1352z00_5795 =
						((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_reshapedzd2localzd2_bgl))));
					{	/* Cfa/setup.scm 468 */
						obj_t BgL_auxz00_6530;
						BgL_objectz00_bglt BgL_tmpz00_6527;

						BgL_auxz00_6530 = ((obj_t) BgL_wide1352z00_5795);
						BgL_tmpz00_6527 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1350z00_5794));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6527, BgL_auxz00_6530);
					}
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1350z00_5794));
					{	/* Cfa/setup.scm 468 */
						long BgL_arg2057z00_5796;

						BgL_arg2057z00_5796 =
							BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_tmp1350z00_5794)),
							BgL_arg2057z00_5796);
					}
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_tmp1350z00_5794));
				}
				{
					BgL_reshapedzd2localzd2_bglt BgL_auxz00_6541;

					{
						obj_t BgL_auxz00_6542;

						{	/* Cfa/setup.scm 468 */
							BgL_objectz00_bglt BgL_tmpz00_6543;

							BgL_tmpz00_6543 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_tmp1350z00_5794));
							BgL_auxz00_6542 = BGL_OBJECT_WIDENING(BgL_tmpz00_6543);
						}
						BgL_auxz00_6541 = ((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6542);
					}
					((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_6541))->
							BgL_bindingzd2valuezd2) = ((obj_t) BFALSE), BUNSPEC);
				}
				((BgL_localz00_bglt) BgL_tmp1350z00_5794);
			}
			{	/* Cfa/setup.scm 469 */
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_wide1356z00_5797;

				BgL_wide1356z00_5797 =
					((BgL_setzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setzd2exzd2itzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 469 */
					obj_t BgL_auxz00_6555;
					BgL_objectz00_bglt BgL_tmpz00_6551;

					BgL_auxz00_6555 = ((obj_t) BgL_wide1356z00_5797);
					BgL_tmpz00_6551 =
						((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5669)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6551, BgL_auxz00_6555);
				}
				((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5669)));
				{	/* Cfa/setup.scm 469 */
					long BgL_arg2059z00_5798;

					BgL_arg2059z00_5798 =
						BGL_CLASS_NUM(BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5669))),
						BgL_arg2059z00_5798);
				}
				((BgL_setzd2exzd2itz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5669)));
			}
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_6569;

				{
					obj_t BgL_auxz00_6570;

					{	/* Cfa/setup.scm 470 */
						BgL_objectz00_bglt BgL_tmpz00_6571;

						BgL_tmpz00_6571 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5669)));
						BgL_auxz00_6570 = BGL_OBJECT_WIDENING(BgL_tmpz00_6571);
					}
					BgL_auxz00_6569 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_6570);
				}
				((((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6569))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			((BgL_setzd2exzd2itz00_bglt)
				((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5669));
			{	/* Cfa/setup.scm 471 */
				BgL_approxz00_bglt BgL_arg2060z00_5799;

				{
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_6582;

					{
						obj_t BgL_auxz00_6583;

						{	/* Cfa/setup.scm 471 */
							BgL_objectz00_bglt BgL_tmpz00_6584;

							BgL_tmpz00_6584 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5669)));
							BgL_auxz00_6583 = BGL_OBJECT_WIDENING(BgL_tmpz00_6584);
						}
						BgL_auxz00_6582 =
							((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_6583);
					}
					BgL_arg2060z00_5799 =
						(((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6582))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2060z00_5799);
			}
		}

	}



/* &node-setup!-let-var1824 */
	obj_t BGl_z62nodezd2setupz12zd2letzd2var1824za2zzcfa_setupz00(obj_t
		BgL_envz00_5670, obj_t BgL_nodez00_5671)
	{
		{	/* Cfa/setup.scm 436 */
			{	/* Cfa/setup.scm 439 */
				obj_t BgL_g1747z00_5801;

				BgL_g1747z00_5801 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5671)))->BgL_bindingsz00);
				{
					obj_t BgL_l1745z00_5803;

					BgL_l1745z00_5803 = BgL_g1747z00_5801;
				BgL_zc3z04anonymousza32044ze3z87_5802:
					if (PAIRP(BgL_l1745z00_5803))
						{	/* Cfa/setup.scm 439 */
							{	/* Cfa/setup.scm 440 */
								obj_t BgL_bindingz00_5804;

								BgL_bindingz00_5804 = CAR(BgL_l1745z00_5803);
								{	/* Cfa/setup.scm 440 */
									obj_t BgL_varz00_5805;
									obj_t BgL_valz00_5806;

									BgL_varz00_5805 = CAR(((obj_t) BgL_bindingz00_5804));
									BgL_valz00_5806 = CDR(((obj_t) BgL_bindingz00_5804));
									{	/* Cfa/setup.scm 442 */
										BgL_valuez00_bglt BgL_arg2046z00_5807;

										BgL_arg2046z00_5807 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5805))))->
											BgL_valuez00);
										BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00
											(BgL_arg2046z00_5807,
											((BgL_variablez00_bglt) BgL_varz00_5805));
									}
									BGl_nodezd2setupz12zc0zzcfa_setupz00(
										((BgL_nodez00_bglt) BgL_valz00_5806));
									{	/* Cfa/setup.scm 447 */
										BgL_reshapedzd2localzd2_bglt BgL_wide1347z00_5808;

										BgL_wide1347z00_5808 =
											((BgL_reshapedzd2localzd2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_reshapedzd2localzd2_bgl))));
										{	/* Cfa/setup.scm 447 */
											obj_t BgL_auxz00_6613;
											BgL_objectz00_bglt BgL_tmpz00_6609;

											BgL_auxz00_6613 = ((obj_t) BgL_wide1347z00_5808);
											BgL_tmpz00_6609 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_varz00_5805)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6609, BgL_auxz00_6613);
										}
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_varz00_5805)));
										{	/* Cfa/setup.scm 447 */
											long BgL_arg2047z00_5809;

											BgL_arg2047z00_5809 =
												BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5805))),
												BgL_arg2047z00_5809);
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_varz00_5805)));
									}
									{
										obj_t BgL_auxz00_6635;
										BgL_reshapedzd2localzd2_bglt BgL_auxz00_6627;

										if (
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_5805))))->
													BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
											{	/* Cfa/setup.scm 448 */
												BgL_auxz00_6635 = BgL_valz00_5806;
											}
										else
											{	/* Cfa/setup.scm 448 */
												BgL_auxz00_6635 = BFALSE;
											}
										{
											obj_t BgL_auxz00_6628;

											{	/* Cfa/setup.scm 448 */
												BgL_objectz00_bglt BgL_tmpz00_6629;

												BgL_tmpz00_6629 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5805)));
												BgL_auxz00_6628 = BGL_OBJECT_WIDENING(BgL_tmpz00_6629);
											}
											BgL_auxz00_6627 =
												((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6628);
										}
										((((BgL_reshapedzd2localzd2_bglt)
													COBJECT(BgL_auxz00_6627))->BgL_bindingzd2valuezd2) =
											((obj_t) BgL_auxz00_6635), BUNSPEC);
									}
									((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_varz00_5805));
									BNIL;
								}
							}
							{
								obj_t BgL_l1745z00_6645;

								BgL_l1745z00_6645 = CDR(BgL_l1745z00_5803);
								BgL_l1745z00_5803 = BgL_l1745z00_6645;
								goto BgL_zc3z04anonymousza32044ze3z87_5802;
							}
						}
					else
						{	/* Cfa/setup.scm 439 */
							((bool_t) 1);
						}
				}
			}
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5671)))->BgL_bodyz00));
			return BNIL;
		}

	}



/* &node-setup!-let-fun1822 */
	obj_t BGl_z62nodezd2setupz12zd2letzd2fun1822za2zzcfa_setupz00(obj_t
		BgL_envz00_5672, obj_t BgL_nodez00_5673)
	{
		{	/* Cfa/setup.scm 419 */
			{	/* Cfa/setup.scm 421 */
				obj_t BgL_g1744z00_5811;

				BgL_g1744z00_5811 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5673)))->BgL_localsz00);
				{
					obj_t BgL_l1742z00_5813;

					BgL_l1742z00_5813 = BgL_g1744z00_5811;
				BgL_zc3z04anonymousza32031ze3z87_5812:
					if (PAIRP(BgL_l1742z00_5813))
						{	/* Cfa/setup.scm 421 */
							{	/* Cfa/setup.scm 422 */
								obj_t BgL_lz00_5814;

								BgL_lz00_5814 = CAR(BgL_l1742z00_5813);
								{	/* Cfa/setup.scm 422 */
									BgL_reshapedzd2localzd2_bglt BgL_wide1338z00_5815;

									BgL_wide1338z00_5815 =
										((BgL_reshapedzd2localzd2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_reshapedzd2localzd2_bgl))));
									{	/* Cfa/setup.scm 422 */
										obj_t BgL_auxz00_6660;
										BgL_objectz00_bglt BgL_tmpz00_6656;

										BgL_auxz00_6660 = ((obj_t) BgL_wide1338z00_5815);
										BgL_tmpz00_6656 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_lz00_5814)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6656, BgL_auxz00_6660);
									}
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_5814)));
									{	/* Cfa/setup.scm 422 */
										long BgL_arg2033z00_5816;

										BgL_arg2033z00_5816 =
											BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_lz00_5814))),
											BgL_arg2033z00_5816);
									}
									((BgL_localz00_bglt)
										((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_5814)));
								}
								{
									BgL_reshapedzd2localzd2_bglt BgL_auxz00_6674;

									{
										obj_t BgL_auxz00_6675;

										{	/* Cfa/setup.scm 422 */
											BgL_objectz00_bglt BgL_tmpz00_6676;

											BgL_tmpz00_6676 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_lz00_5814)));
											BgL_auxz00_6675 = BGL_OBJECT_WIDENING(BgL_tmpz00_6676);
										}
										BgL_auxz00_6674 =
											((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6675);
									}
									((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_6674))->
											BgL_bindingzd2valuezd2) = ((obj_t) BFALSE), BUNSPEC);
								}
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_5814));
								{	/* Cfa/setup.scm 423 */
									BgL_valuez00_bglt BgL_funz00_5817;

									BgL_funz00_5817 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_lz00_5814))))->BgL_valuez00);
									{	/* Cfa/setup.scm 424 */
										obj_t BgL_g1741z00_5818;

										BgL_g1741z00_5818 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_5817)))->BgL_argsz00);
										{
											obj_t BgL_l1739z00_5820;

											BgL_l1739z00_5820 = BgL_g1741z00_5818;
										BgL_zc3z04anonymousza32034ze3z87_5819:
											if (PAIRP(BgL_l1739z00_5820))
												{	/* Cfa/setup.scm 428 */
													{	/* Cfa/setup.scm 425 */
														obj_t BgL_localz00_5821;

														BgL_localz00_5821 = CAR(BgL_l1739z00_5820);
														{	/* Cfa/setup.scm 425 */
															BgL_reshapedzd2localzd2_bglt BgL_wide1342z00_5822;

															BgL_wide1342z00_5822 =
																((BgL_reshapedzd2localzd2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_reshapedzd2localzd2_bgl))));
															{	/* Cfa/setup.scm 425 */
																obj_t BgL_auxz00_6698;
																BgL_objectz00_bglt BgL_tmpz00_6694;

																BgL_auxz00_6698 =
																	((obj_t) BgL_wide1342z00_5822);
																BgL_tmpz00_6694 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_5821)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6694,
																	BgL_auxz00_6698);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_5821)));
															{	/* Cfa/setup.scm 425 */
																long BgL_arg2037z00_5823;

																BgL_arg2037z00_5823 =
																	BGL_CLASS_NUM
																	(BGl_reshapedzd2localzd2zzcfa_infoz00);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) ((BgL_localz00_bglt)
																				BgL_localz00_5821))),
																	BgL_arg2037z00_5823);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_5821)));
														}
														{
															BgL_reshapedzd2localzd2_bglt BgL_auxz00_6712;

															{
																obj_t BgL_auxz00_6713;

																{	/* Cfa/setup.scm 425 */
																	BgL_objectz00_bglt BgL_tmpz00_6714;

																	BgL_tmpz00_6714 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_5821)));
																	BgL_auxz00_6713 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6714);
																}
																BgL_auxz00_6712 =
																	((BgL_reshapedzd2localzd2_bglt)
																	BgL_auxz00_6713);
															}
															((((BgL_reshapedzd2localzd2_bglt)
																		COBJECT(BgL_auxz00_6712))->
																	BgL_bindingzd2valuezd2) =
																((obj_t) BFALSE), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_5821));
														{	/* Cfa/setup.scm 426 */
															BgL_valuez00_bglt BgL_arg2039z00_5824;

															BgL_arg2039z00_5824 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_localz00_5821))))->BgL_valuez00);
															BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00
																(BgL_arg2039z00_5824,
																((BgL_variablez00_bglt) BgL_localz00_5821));
													}}
													{
														obj_t BgL_l1739z00_6728;

														BgL_l1739z00_6728 = CDR(BgL_l1739z00_5820);
														BgL_l1739z00_5820 = BgL_l1739z00_6728;
														goto BgL_zc3z04anonymousza32034ze3z87_5819;
													}
												}
											else
												{	/* Cfa/setup.scm 428 */
													((bool_t) 1);
												}
										}
									}
									{	/* Cfa/setup.scm 429 */
										obj_t BgL_arg2041z00_5825;

										BgL_arg2041z00_5825 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_5817)))->BgL_bodyz00);
										BGl_nodezd2setupz12zc0zzcfa_setupz00(
											((BgL_nodez00_bglt) BgL_arg2041z00_5825));
									}
								}
							}
							{
								obj_t BgL_l1742z00_6734;

								BgL_l1742z00_6734 = CDR(BgL_l1742z00_5813);
								BgL_l1742z00_5813 = BgL_l1742z00_6734;
								goto BgL_zc3z04anonymousza32031ze3z87_5812;
							}
						}
					else
						{	/* Cfa/setup.scm 421 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5673)))->BgL_bodyz00));
		}

	}



/* &node-setup!-switch1820 */
	obj_t BGl_z62nodezd2setupz12zd2switch1820z70zzcfa_setupz00(obj_t
		BgL_envz00_5674, obj_t BgL_nodez00_5675)
	{
		{	/* Cfa/setup.scm 407 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_5675)))->BgL_testz00));
			{	/* Cfa/setup.scm 410 */
				obj_t BgL_g1738z00_5827;

				BgL_g1738z00_5827 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_5675)))->BgL_clausesz00);
				{
					obj_t BgL_l1736z00_5829;

					BgL_l1736z00_5829 = BgL_g1738z00_5827;
				BgL_zc3z04anonymousza32025ze3z87_5828:
					if (PAIRP(BgL_l1736z00_5829))
						{	/* Cfa/setup.scm 410 */
							{	/* Cfa/setup.scm 411 */
								obj_t BgL_clausez00_5830;

								BgL_clausez00_5830 = CAR(BgL_l1736z00_5829);
								{	/* Cfa/setup.scm 411 */
									obj_t BgL_arg2028z00_5831;

									BgL_arg2028z00_5831 = CDR(((obj_t) BgL_clausez00_5830));
									BGl_nodezd2setupz12zc0zzcfa_setupz00(
										((BgL_nodez00_bglt) BgL_arg2028z00_5831));
								}
							}
							{
								obj_t BgL_l1736z00_6751;

								BgL_l1736z00_6751 = CDR(BgL_l1736z00_5829);
								BgL_l1736z00_5829 = BgL_l1736z00_6751;
								goto BgL_zc3z04anonymousza32025ze3z87_5828;
							}
						}
					else
						{	/* Cfa/setup.scm 410 */
							((bool_t) 1);
						}
				}
			}
			{	/* Cfa/setup.scm 413 */
				BgL_switchzf2cinfozf2_bglt BgL_wide1333z00_5832;

				BgL_wide1333z00_5832 =
					((BgL_switchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_switchzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 413 */
					obj_t BgL_auxz00_6758;
					BgL_objectz00_bglt BgL_tmpz00_6754;

					BgL_auxz00_6758 = ((obj_t) BgL_wide1333z00_5832);
					BgL_tmpz00_6754 =
						((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5675)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6754, BgL_auxz00_6758);
				}
				((BgL_objectz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5675)));
				{	/* Cfa/setup.scm 413 */
					long BgL_arg2030z00_5833;

					BgL_arg2030z00_5833 =
						BGL_CLASS_NUM(BGl_switchzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_nodez00_5675))), BgL_arg2030z00_5833);
				}
				((BgL_switchz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5675)));
			}
			{
				BgL_switchzf2cinfozf2_bglt BgL_auxz00_6772;

				{
					obj_t BgL_auxz00_6773;

					{	/* Cfa/setup.scm 414 */
						BgL_objectz00_bglt BgL_tmpz00_6774;

						BgL_tmpz00_6774 =
							((BgL_objectz00_bglt)
							((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5675)));
						BgL_auxz00_6773 = BGL_OBJECT_WIDENING(BgL_tmpz00_6774);
					}
					BgL_auxz00_6772 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_6773);
				}
				((((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6772))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
					BUNSPEC);
			}
			return
				((obj_t)
				((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5675)));
		}

	}



/* &node-setup!-fail1818 */
	obj_t BGl_z62nodezd2setupz12zd2fail1818z70zzcfa_setupz00(obj_t
		BgL_envz00_5676, obj_t BgL_nodez00_5677)
	{
		{	/* Cfa/setup.scm 396 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5677)))->BgL_procz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5677)))->BgL_msgz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5677)))->BgL_objz00));
			{	/* Cfa/setup.scm 401 */
				BgL_failzf2cinfozf2_bglt BgL_wide1328z00_5835;

				BgL_wide1328z00_5835 =
					((BgL_failzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_failzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 401 */
					obj_t BgL_auxz00_6799;
					BgL_objectz00_bglt BgL_tmpz00_6795;

					BgL_auxz00_6799 = ((obj_t) BgL_wide1328z00_5835);
					BgL_tmpz00_6795 =
						((BgL_objectz00_bglt)
						((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5677)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6795, BgL_auxz00_6799);
				}
				((BgL_objectz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5677)));
				{	/* Cfa/setup.scm 401 */
					long BgL_arg2023z00_5836;

					BgL_arg2023z00_5836 = BGL_CLASS_NUM(BGl_failzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_nodez00_5677))), BgL_arg2023z00_5836);
				}
				((BgL_failz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5677)));
			}
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_6813;

				{
					obj_t BgL_auxz00_6814;

					{	/* Cfa/setup.scm 402 */
						BgL_objectz00_bglt BgL_tmpz00_6815;

						BgL_tmpz00_6815 =
							((BgL_objectz00_bglt)
							((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5677)));
						BgL_auxz00_6814 = BGL_OBJECT_WIDENING(BgL_tmpz00_6815);
					}
					BgL_auxz00_6813 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_6814);
				}
				((((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6813))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			return
				((obj_t) ((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5677)));
		}

	}



/* &node-setup!-conditio1816 */
	obj_t BGl_z62nodezd2setupz12zd2conditio1816z70zzcfa_setupz00(obj_t
		BgL_envz00_5678, obj_t BgL_nodez00_5679)
	{
		{	/* Cfa/setup.scm 385 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5679)))->BgL_testz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5679)))->BgL_truez00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5679)))->BgL_falsez00));
			{	/* Cfa/setup.scm 390 */
				BgL_conditionalzf2cinfozf2_bglt BgL_wide1323z00_5838;

				BgL_wide1323z00_5838 =
					((BgL_conditionalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_conditionalzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 390 */
					obj_t BgL_auxz00_6841;
					BgL_objectz00_bglt BgL_tmpz00_6837;

					BgL_auxz00_6841 = ((obj_t) BgL_wide1323z00_5838);
					BgL_tmpz00_6837 =
						((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_5679)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6837, BgL_auxz00_6841);
				}
				((BgL_objectz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_nodez00_5679)));
				{	/* Cfa/setup.scm 390 */
					long BgL_arg2019z00_5839;

					BgL_arg2019z00_5839 =
						BGL_CLASS_NUM(BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_5679))),
						BgL_arg2019z00_5839);
				}
				((BgL_conditionalz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_nodez00_5679)));
			}
			{
				BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_6855;

				{
					obj_t BgL_auxz00_6856;

					{	/* Cfa/setup.scm 391 */
						BgL_objectz00_bglt BgL_tmpz00_6857;

						BgL_tmpz00_6857 =
							((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_5679)));
						BgL_auxz00_6856 = BGL_OBJECT_WIDENING(BgL_tmpz00_6857);
					}
					BgL_auxz00_6855 = ((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_6856);
				}
				((((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6855))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
					BUNSPEC);
			}
			return
				((obj_t)
				((BgL_conditionalz00_bglt)
					((BgL_conditionalz00_bglt) BgL_nodez00_5679)));
		}

	}



/* &node-setup!-setq1814 */
	obj_t BGl_z62nodezd2setupz12zd2setq1814z70zzcfa_setupz00(obj_t
		BgL_envz00_5680, obj_t BgL_nodez00_5681)
	{
		{	/* Cfa/setup.scm 374 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_5681)))->BgL_valuez00));
			{	/* Tools/trace.sch 53 */
				BgL_varz00_bglt BgL_arg2013z00_5841;

				BgL_arg2013z00_5841 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_5681)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg2013z00_5841));
			}
			{	/* Tools/trace.sch 53 */
				BgL_setqzf2cinfozf2_bglt BgL_wide1318z00_5842;

				BgL_wide1318z00_5842 =
					((BgL_setqzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setqzf2cinfozf2_bgl))));
				{	/* Tools/trace.sch 53 */
					obj_t BgL_auxz00_6880;
					BgL_objectz00_bglt BgL_tmpz00_6876;

					BgL_auxz00_6880 = ((obj_t) BgL_wide1318z00_5842);
					BgL_tmpz00_6876 =
						((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5681)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6876, BgL_auxz00_6880);
				}
				((BgL_objectz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5681)));
				{	/* Tools/trace.sch 53 */
					long BgL_arg2014z00_5843;

					BgL_arg2014z00_5843 = BGL_CLASS_NUM(BGl_setqzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt)
								((BgL_setqz00_bglt) BgL_nodez00_5681))), BgL_arg2014z00_5843);
				}
				((BgL_setqz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5681)));
			}
			{
				BgL_setqzf2cinfozf2_bglt BgL_auxz00_6894;

				{
					obj_t BgL_auxz00_6895;

					{	/* Tools/trace.sch 53 */
						BgL_objectz00_bglt BgL_tmpz00_6896;

						BgL_tmpz00_6896 =
							((BgL_objectz00_bglt)
							((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5681)));
						BgL_auxz00_6895 = BGL_OBJECT_WIDENING(BgL_tmpz00_6896);
					}
					BgL_auxz00_6894 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_6895);
				}
				((((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6894))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
			}
			return
				((obj_t) ((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5681)));
		}

	}



/* &node-setup!-cast1812 */
	obj_t BGl_z62nodezd2setupz12zd2cast1812z70zzcfa_setupz00(obj_t
		BgL_envz00_5682, obj_t BgL_nodez00_5683)
	{
		{	/* Cfa/setup.scm 367 */
			return
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_5683)))->BgL_argz00));
		}

	}



/* &node-setup!-cast-nul1810 */
	obj_t BGl_z62nodezd2setupz12zd2castzd2nul1810za2zzcfa_setupz00(obj_t
		BgL_envz00_5684, obj_t BgL_nodez00_5685)
	{
		{	/* Cfa/setup.scm 359 */
			{	/* Cfa/setup.scm 361 */
				BgL_castzd2nullzf2cinfoz20_bglt BgL_wide1312z00_5846;

				BgL_wide1312z00_5846 =
					((BgL_castzd2nullzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzd2nullzf2cinfoz20_bgl))));
				{	/* Cfa/setup.scm 361 */
					obj_t BgL_auxz00_6916;
					BgL_objectz00_bglt BgL_tmpz00_6912;

					BgL_auxz00_6916 = ((obj_t) BgL_wide1312z00_5846);
					BgL_tmpz00_6912 =
						((BgL_objectz00_bglt)
						((BgL_castzd2nullzd2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_nodez00_5685)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6912, BgL_auxz00_6916);
				}
				((BgL_objectz00_bglt)
					((BgL_castzd2nullzd2_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_nodez00_5685)));
				{	/* Cfa/setup.scm 361 */
					long BgL_arg2008z00_5847;

					BgL_arg2008z00_5847 =
						BGL_CLASS_NUM(BGl_castzd2nullzf2Cinfoz20zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_castzd2nullzd2_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nodez00_5685))),
						BgL_arg2008z00_5847);
				}
				((BgL_castzd2nullzd2_bglt)
					((BgL_castzd2nullzd2_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_nodez00_5685)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_6938;
				BgL_castzd2nullzf2cinfoz20_bglt BgL_auxz00_6930;

				{	/* Cfa/setup.scm 362 */
					BgL_typez00_bglt BgL_arg2010z00_5848;

					BgL_arg2010z00_5848 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nodez00_5685))))->BgL_typez00);
					BgL_auxz00_6938 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2010z00_5848);
				}
				{
					obj_t BgL_auxz00_6931;

					{	/* Cfa/setup.scm 362 */
						BgL_objectz00_bglt BgL_tmpz00_6932;

						BgL_tmpz00_6932 =
							((BgL_objectz00_bglt)
							((BgL_castzd2nullzd2_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nodez00_5685)));
						BgL_auxz00_6931 = BGL_OBJECT_WIDENING(BgL_tmpz00_6932);
					}
					BgL_auxz00_6930 = ((BgL_castzd2nullzf2cinfoz20_bglt) BgL_auxz00_6931);
				}
				((((BgL_castzd2nullzf2cinfoz20_bglt) COBJECT(BgL_auxz00_6930))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_6938), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_castzd2nullzd2_bglt)
					((BgL_castzd2nullzd2_bglt) BgL_nodez00_5685)));
		}

	}



/* &node-setup!-instance1808 */
	obj_t BGl_z62nodezd2setupz12zd2instance1808z70zzcfa_setupz00(obj_t
		BgL_envz00_5686, obj_t BgL_nodez00_5687)
	{
		{	/* Cfa/setup.scm 349 */
			{	/* Cfa/setup.scm 351 */
				obj_t BgL_arg2004z00_5850;

				BgL_arg2004z00_5850 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_nodez00_5687))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2004z00_5850);
			}
			{	/* Cfa/setup.scm 352 */
				BgL_instanceofzf2cinfozf2_bglt BgL_wide1306z00_5851;

				BgL_wide1306z00_5851 =
					((BgL_instanceofzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_instanceofzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 352 */
					obj_t BgL_auxz00_6956;
					BgL_objectz00_bglt BgL_tmpz00_6952;

					BgL_auxz00_6956 = ((obj_t) BgL_wide1306z00_5851);
					BgL_tmpz00_6952 =
						((BgL_objectz00_bglt)
						((BgL_instanceofz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nodez00_5687)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6952, BgL_auxz00_6956);
				}
				((BgL_objectz00_bglt)
					((BgL_instanceofz00_bglt)
						((BgL_instanceofz00_bglt) BgL_nodez00_5687)));
				{	/* Cfa/setup.scm 352 */
					long BgL_arg2005z00_5852;

					BgL_arg2005z00_5852 =
						BGL_CLASS_NUM(BGl_instanceofzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt)
								((BgL_instanceofz00_bglt) BgL_nodez00_5687))),
						BgL_arg2005z00_5852);
				}
				((BgL_instanceofz00_bglt)
					((BgL_instanceofz00_bglt)
						((BgL_instanceofz00_bglt) BgL_nodez00_5687)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_6978;
				BgL_instanceofzf2cinfozf2_bglt BgL_auxz00_6970;

				{	/* Cfa/setup.scm 353 */
					BgL_typez00_bglt BgL_arg2006z00_5853;

					BgL_arg2006z00_5853 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_instanceofz00_bglt) BgL_nodez00_5687))))->BgL_typez00);
					BgL_auxz00_6978 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2006z00_5853);
				}
				{
					obj_t BgL_auxz00_6971;

					{	/* Cfa/setup.scm 353 */
						BgL_objectz00_bglt BgL_tmpz00_6972;

						BgL_tmpz00_6972 =
							((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt)
								((BgL_instanceofz00_bglt) BgL_nodez00_5687)));
						BgL_auxz00_6971 = BGL_OBJECT_WIDENING(BgL_tmpz00_6972);
					}
					BgL_auxz00_6970 = ((BgL_instanceofzf2cinfozf2_bglt) BgL_auxz00_6971);
				}
				((((BgL_instanceofzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6970))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_6978), BUNSPEC);
			}
			((BgL_instanceofz00_bglt) ((BgL_instanceofz00_bglt) BgL_nodez00_5687));
			{	/* Cfa/setup.scm 354 */
				BgL_approxz00_bglt BgL_arg2007z00_5854;

				{
					BgL_instanceofzf2cinfozf2_bglt BgL_auxz00_6986;

					{
						obj_t BgL_auxz00_6987;

						{	/* Cfa/setup.scm 354 */
							BgL_objectz00_bglt BgL_tmpz00_6988;

							BgL_tmpz00_6988 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nodez00_5687)));
							BgL_auxz00_6987 = BGL_OBJECT_WIDENING(BgL_tmpz00_6988);
						}
						BgL_auxz00_6986 =
							((BgL_instanceofzf2cinfozf2_bglt) BgL_auxz00_6987);
					}
					BgL_arg2007z00_5854 =
						(((BgL_instanceofzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6986))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2007z00_5854);
			}
		}

	}



/* &node-setup!-new1806 */
	obj_t BGl_z62nodezd2setupz12zd2new1806z70zzcfa_setupz00(obj_t BgL_envz00_5688,
		obj_t BgL_nodez00_5689)
	{
		{	/* Cfa/setup.scm 339 */
			{	/* Cfa/setup.scm 341 */
				obj_t BgL_arg2000z00_5856;

				BgL_arg2000z00_5856 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_nodez00_5689))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2000z00_5856);
			}
			{	/* Cfa/setup.scm 342 */
				BgL_newzf2cinfozf2_bglt BgL_wide1301z00_5857;

				BgL_wide1301z00_5857 =
					((BgL_newzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_newzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 342 */
					obj_t BgL_auxz00_7005;
					BgL_objectz00_bglt BgL_tmpz00_7001;

					BgL_auxz00_7005 = ((obj_t) BgL_wide1301z00_5857);
					BgL_tmpz00_7001 =
						((BgL_objectz00_bglt)
						((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5689)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7001, BgL_auxz00_7005);
				}
				((BgL_objectz00_bglt)
					((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5689)));
				{	/* Cfa/setup.scm 342 */
					long BgL_arg2001z00_5858;

					BgL_arg2001z00_5858 = BGL_CLASS_NUM(BGl_newzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_newz00_bglt)
								((BgL_newz00_bglt) BgL_nodez00_5689))), BgL_arg2001z00_5858);
				}
				((BgL_newz00_bglt)
					((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5689)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7027;
				BgL_newzf2cinfozf2_bglt BgL_auxz00_7019;

				{	/* Cfa/setup.scm 343 */
					BgL_typez00_bglt BgL_arg2002z00_5859;

					BgL_arg2002z00_5859 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_nodez00_5689))))->BgL_typez00);
					BgL_auxz00_7027 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2002z00_5859);
				}
				{
					obj_t BgL_auxz00_7020;

					{	/* Cfa/setup.scm 343 */
						BgL_objectz00_bglt BgL_tmpz00_7021;

						BgL_tmpz00_7021 =
							((BgL_objectz00_bglt)
							((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5689)));
						BgL_auxz00_7020 = BGL_OBJECT_WIDENING(BgL_tmpz00_7021);
					}
					BgL_auxz00_7019 = ((BgL_newzf2cinfozf2_bglt) BgL_auxz00_7020);
				}
				((((BgL_newzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7019))->BgL_approxz00) =
					((BgL_approxz00_bglt) BgL_auxz00_7027), BUNSPEC);
			}
			((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5689));
			{	/* Cfa/setup.scm 344 */
				BgL_approxz00_bglt BgL_arg2003z00_5860;

				{
					BgL_newzf2cinfozf2_bglt BgL_auxz00_7035;

					{
						obj_t BgL_auxz00_7036;

						{	/* Cfa/setup.scm 344 */
							BgL_objectz00_bglt BgL_tmpz00_7037;

							BgL_tmpz00_7037 =
								((BgL_objectz00_bglt)
								((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5689)));
							BgL_auxz00_7036 = BGL_OBJECT_WIDENING(BgL_tmpz00_7037);
						}
						BgL_auxz00_7035 = ((BgL_newzf2cinfozf2_bglt) BgL_auxz00_7036);
					}
					BgL_arg2003z00_5860 =
						(((BgL_newzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7035))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2003z00_5860);
			}
		}

	}



/* &node-setup!-setfield1804 */
	obj_t BGl_z62nodezd2setupz12zd2setfield1804z70zzcfa_setupz00(obj_t
		BgL_envz00_5690, obj_t BgL_nodez00_5691)
	{
		{	/* Cfa/setup.scm 329 */
			{	/* Cfa/setup.scm 331 */
				obj_t BgL_arg1996z00_5862;

				BgL_arg1996z00_5862 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_5691))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1996z00_5862);
			}
			{	/* Cfa/setup.scm 332 */
				BgL_setfieldzf2cinfozf2_bglt BgL_wide1296z00_5863;

				BgL_wide1296z00_5863 =
					((BgL_setfieldzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setfieldzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 332 */
					obj_t BgL_auxz00_7054;
					BgL_objectz00_bglt BgL_tmpz00_7050;

					BgL_auxz00_7054 = ((obj_t) BgL_wide1296z00_5863);
					BgL_tmpz00_7050 =
						((BgL_objectz00_bglt)
						((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_5691)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7050, BgL_auxz00_7054);
				}
				((BgL_objectz00_bglt)
					((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_5691)));
				{	/* Cfa/setup.scm 332 */
					long BgL_arg1997z00_5864;

					BgL_arg1997z00_5864 =
						BGL_CLASS_NUM(BGl_setfieldzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_5691))),
						BgL_arg1997z00_5864);
				}
				((BgL_setfieldz00_bglt)
					((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_5691)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7076;
				BgL_setfieldzf2cinfozf2_bglt BgL_auxz00_7068;

				{	/* Cfa/setup.scm 333 */
					BgL_typez00_bglt BgL_arg1998z00_5865;

					BgL_arg1998z00_5865 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setfieldz00_bglt) BgL_nodez00_5691))))->BgL_typez00);
					BgL_auxz00_7076 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1998z00_5865);
				}
				{
					obj_t BgL_auxz00_7069;

					{	/* Cfa/setup.scm 333 */
						BgL_objectz00_bglt BgL_tmpz00_7070;

						BgL_tmpz00_7070 =
							((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_5691)));
						BgL_auxz00_7069 = BGL_OBJECT_WIDENING(BgL_tmpz00_7070);
					}
					BgL_auxz00_7068 = ((BgL_setfieldzf2cinfozf2_bglt) BgL_auxz00_7069);
				}
				((((BgL_setfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7068))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7076), BUNSPEC);
			}
			((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_5691));
			{	/* Cfa/setup.scm 334 */
				BgL_approxz00_bglt BgL_arg1999z00_5866;

				{
					BgL_setfieldzf2cinfozf2_bglt BgL_auxz00_7084;

					{
						obj_t BgL_auxz00_7085;

						{	/* Cfa/setup.scm 334 */
							BgL_objectz00_bglt BgL_tmpz00_7086;

							BgL_tmpz00_7086 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nodez00_5691)));
							BgL_auxz00_7085 = BGL_OBJECT_WIDENING(BgL_tmpz00_7086);
						}
						BgL_auxz00_7084 = ((BgL_setfieldzf2cinfozf2_bglt) BgL_auxz00_7085);
					}
					BgL_arg1999z00_5866 =
						(((BgL_setfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7084))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1999z00_5866);
			}
		}

	}



/* &node-setup!-getfield1802 */
	obj_t BGl_z62nodezd2setupz12zd2getfield1802z70zzcfa_setupz00(obj_t
		BgL_envz00_5692, obj_t BgL_nodez00_5693)
	{
		{	/* Cfa/setup.scm 319 */
			{	/* Cfa/setup.scm 321 */
				obj_t BgL_arg1992z00_5868;

				BgL_arg1992z00_5868 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_5693))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1992z00_5868);
			}
			{	/* Cfa/setup.scm 322 */
				BgL_getfieldzf2cinfozf2_bglt BgL_wide1291z00_5869;

				BgL_wide1291z00_5869 =
					((BgL_getfieldzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_getfieldzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 322 */
					obj_t BgL_auxz00_7103;
					BgL_objectz00_bglt BgL_tmpz00_7099;

					BgL_auxz00_7103 = ((obj_t) BgL_wide1291z00_5869);
					BgL_tmpz00_7099 =
						((BgL_objectz00_bglt)
						((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_5693)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7099, BgL_auxz00_7103);
				}
				((BgL_objectz00_bglt)
					((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_5693)));
				{	/* Cfa/setup.scm 322 */
					long BgL_arg1993z00_5870;

					BgL_arg1993z00_5870 =
						BGL_CLASS_NUM(BGl_getfieldzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_5693))),
						BgL_arg1993z00_5870);
				}
				((BgL_getfieldz00_bglt)
					((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_5693)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7125;
				BgL_getfieldzf2cinfozf2_bglt BgL_auxz00_7117;

				{	/* Cfa/setup.scm 323 */
					BgL_typez00_bglt BgL_arg1994z00_5871;

					BgL_arg1994z00_5871 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_getfieldz00_bglt) BgL_nodez00_5693))))->BgL_typez00);
					BgL_auxz00_7125 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1994z00_5871);
				}
				{
					obj_t BgL_auxz00_7118;

					{	/* Cfa/setup.scm 323 */
						BgL_objectz00_bglt BgL_tmpz00_7119;

						BgL_tmpz00_7119 =
							((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_5693)));
						BgL_auxz00_7118 = BGL_OBJECT_WIDENING(BgL_tmpz00_7119);
					}
					BgL_auxz00_7117 = ((BgL_getfieldzf2cinfozf2_bglt) BgL_auxz00_7118);
				}
				((((BgL_getfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7117))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7125), BUNSPEC);
			}
			((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_5693));
			{	/* Cfa/setup.scm 324 */
				BgL_approxz00_bglt BgL_arg1995z00_5872;

				{
					BgL_getfieldzf2cinfozf2_bglt BgL_auxz00_7133;

					{
						obj_t BgL_auxz00_7134;

						{	/* Cfa/setup.scm 324 */
							BgL_objectz00_bglt BgL_tmpz00_7135;

							BgL_tmpz00_7135 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt)
									((BgL_getfieldz00_bglt) BgL_nodez00_5693)));
							BgL_auxz00_7134 = BGL_OBJECT_WIDENING(BgL_tmpz00_7135);
						}
						BgL_auxz00_7133 = ((BgL_getfieldzf2cinfozf2_bglt) BgL_auxz00_7134);
					}
					BgL_arg1995z00_5872 =
						(((BgL_getfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7133))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1995z00_5872);
			}
		}

	}



/* &node-setup!-genpatch1800 */
	obj_t BGl_z62nodezd2setupz12zd2genpatch1800z70zzcfa_setupz00(obj_t
		BgL_envz00_5694, obj_t BgL_nodez00_5695)
	{
		{	/* Cfa/setup.scm 310 */
			{	/* Cfa/setup.scm 312 */
				obj_t BgL_arg1990z00_5874;

				BgL_arg1990z00_5874 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_nodez00_5695))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1990z00_5874);
			}
			{	/* Cfa/setup.scm 313 */
				BgL_genpatchidzf2cinfozf2_bglt BgL_wide1286z00_5875;

				BgL_wide1286z00_5875 =
					((BgL_genpatchidzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_genpatchidzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 313 */
					obj_t BgL_auxz00_7152;
					BgL_objectz00_bglt BgL_tmpz00_7148;

					BgL_auxz00_7152 = ((obj_t) BgL_wide1286z00_5875);
					BgL_tmpz00_7148 =
						((BgL_objectz00_bglt)
						((BgL_genpatchidz00_bglt)
							((BgL_genpatchidz00_bglt) BgL_nodez00_5695)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7148, BgL_auxz00_7152);
				}
				((BgL_objectz00_bglt)
					((BgL_genpatchidz00_bglt)
						((BgL_genpatchidz00_bglt) BgL_nodez00_5695)));
				{	/* Cfa/setup.scm 313 */
					long BgL_arg1991z00_5876;

					BgL_arg1991z00_5876 =
						BGL_CLASS_NUM(BGl_genpatchidzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_genpatchidz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_nodez00_5695))),
						BgL_arg1991z00_5876);
				}
				((BgL_genpatchidz00_bglt)
					((BgL_genpatchidz00_bglt)
						((BgL_genpatchidz00_bglt) BgL_nodez00_5695)));
			}
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_7166;

				{
					obj_t BgL_auxz00_7167;

					{	/* Cfa/setup.scm 314 */
						BgL_objectz00_bglt BgL_tmpz00_7168;

						BgL_tmpz00_7168 =
							((BgL_objectz00_bglt)
							((BgL_genpatchidz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_nodez00_5695)));
						BgL_auxz00_7167 = BGL_OBJECT_WIDENING(BgL_tmpz00_7168);
					}
					BgL_auxz00_7166 = ((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_7167);
				}
				((((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7166))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2longza2z00zztype_cachez00))), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_genpatchidz00_bglt) ((BgL_genpatchidz00_bglt) BgL_nodez00_5695)));
		}

	}



/* &node-setup!-pragma1798 */
	obj_t BGl_z62nodezd2setupz12zd2pragma1798z70zzcfa_setupz00(obj_t
		BgL_envz00_5696, obj_t BgL_nodez00_5697)
	{
		{	/* Cfa/setup.scm 300 */
			{	/* Cfa/setup.scm 302 */
				obj_t BgL_arg1986z00_5878;

				BgL_arg1986z00_5878 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_nodez00_5697))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1986z00_5878);
			}
			{	/* Cfa/setup.scm 303 */
				BgL_pragmazf2cinfozf2_bglt BgL_wide1281z00_5879;

				BgL_wide1281z00_5879 =
					((BgL_pragmazf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pragmazf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 303 */
					obj_t BgL_auxz00_7189;
					BgL_objectz00_bglt BgL_tmpz00_7185;

					BgL_auxz00_7189 = ((obj_t) BgL_wide1281z00_5879);
					BgL_tmpz00_7185 =
						((BgL_objectz00_bglt)
						((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5697)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7185, BgL_auxz00_7189);
				}
				((BgL_objectz00_bglt)
					((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5697)));
				{	/* Cfa/setup.scm 303 */
					long BgL_arg1987z00_5880;

					BgL_arg1987z00_5880 =
						BGL_CLASS_NUM(BGl_pragmazf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_pragmaz00_bglt)
								((BgL_pragmaz00_bglt) BgL_nodez00_5697))), BgL_arg1987z00_5880);
				}
				((BgL_pragmaz00_bglt)
					((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5697)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7211;
				BgL_pragmazf2cinfozf2_bglt BgL_auxz00_7203;

				{	/* Cfa/setup.scm 304 */
					BgL_typez00_bglt BgL_arg1988z00_5881;

					BgL_arg1988z00_5881 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_pragmaz00_bglt) BgL_nodez00_5697))))->BgL_typez00);
					BgL_auxz00_7211 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1988z00_5881);
				}
				{
					obj_t BgL_auxz00_7204;

					{	/* Cfa/setup.scm 304 */
						BgL_objectz00_bglt BgL_tmpz00_7205;

						BgL_tmpz00_7205 =
							((BgL_objectz00_bglt)
							((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5697)));
						BgL_auxz00_7204 = BGL_OBJECT_WIDENING(BgL_tmpz00_7205);
					}
					BgL_auxz00_7203 = ((BgL_pragmazf2cinfozf2_bglt) BgL_auxz00_7204);
				}
				((((BgL_pragmazf2cinfozf2_bglt) COBJECT(BgL_auxz00_7203))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7211), BUNSPEC);
			}
			((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5697));
			{	/* Cfa/setup.scm 305 */
				BgL_approxz00_bglt BgL_arg1989z00_5882;

				{
					BgL_pragmazf2cinfozf2_bglt BgL_auxz00_7219;

					{
						obj_t BgL_auxz00_7220;

						{	/* Cfa/setup.scm 305 */
							BgL_objectz00_bglt BgL_tmpz00_7221;

							BgL_tmpz00_7221 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5697)));
							BgL_auxz00_7220 = BGL_OBJECT_WIDENING(BgL_tmpz00_7221);
						}
						BgL_auxz00_7219 = ((BgL_pragmazf2cinfozf2_bglt) BgL_auxz00_7220);
					}
					BgL_arg1989z00_5882 =
						(((BgL_pragmazf2cinfozf2_bglt) COBJECT(BgL_auxz00_7219))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1989z00_5882);
			}
		}

	}



/* &node-setup!-funcall1796 */
	obj_t BGl_z62nodezd2setupz12zd2funcall1796z70zzcfa_setupz00(obj_t
		BgL_envz00_5698, obj_t BgL_nodez00_5699)
	{
		{	/* Cfa/setup.scm 283 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_5699)))->BgL_funz00));
			BGl_nodezd2setupza2z12z62zzcfa_setupz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_5699)))->BgL_argsz00));
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/setup.scm 287 */
					{	/* Cfa/setup.scm 288 */
						BgL_funcallzf2cinfozf2_bglt BgL_wide1272z00_5884;

						BgL_wide1272z00_5884 =
							((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_funcallzf2cinfozf2_bgl))));
						{	/* Cfa/setup.scm 288 */
							obj_t BgL_auxz00_7242;
							BgL_objectz00_bglt BgL_tmpz00_7238;

							BgL_auxz00_7242 = ((obj_t) BgL_wide1272z00_5884);
							BgL_tmpz00_7238 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_5699)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7238, BgL_auxz00_7242);
						}
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5699)));
						{	/* Cfa/setup.scm 288 */
							long BgL_arg1975z00_5885;

							BgL_arg1975z00_5885 =
								BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5699))),
								BgL_arg1975z00_5885);
						}
						((BgL_funcallz00_bglt)
							((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5699)));
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7256;

						{
							obj_t BgL_auxz00_7257;

							{	/* Cfa/setup.scm 289 */
								BgL_objectz00_bglt BgL_tmpz00_7258;

								BgL_tmpz00_7258 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5699)));
								BgL_auxz00_7257 = BGL_OBJECT_WIDENING(BgL_tmpz00_7258);
							}
							BgL_auxz00_7256 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7257);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7256))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7266;

						{
							obj_t BgL_auxz00_7267;

							{	/* Cfa/setup.scm 290 */
								BgL_objectz00_bglt BgL_tmpz00_7268;

								BgL_tmpz00_7268 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5699)));
								BgL_auxz00_7267 = BGL_OBJECT_WIDENING(BgL_tmpz00_7268);
							}
							BgL_auxz00_7266 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7267);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7266))->
								BgL_vazd2approxzd2) =
							((BgL_approxz00_bglt)
								BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
					}
					{
						bool_t BgL_auxz00_7284;
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7276;

						{	/* Cfa/setup.scm 290 */
							obj_t BgL_arg1976z00_5886;

							{	/* Cfa/setup.scm 290 */
								obj_t BgL_arg1977z00_5887;

								{	/* Cfa/setup.scm 290 */
									obj_t BgL_classz00_5888;

									BgL_classz00_5888 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
									BgL_arg1977z00_5887 = BGL_CLASS_ALL_FIELDS(BgL_classz00_5888);
								}
								BgL_arg1976z00_5886 =
									VECTOR_REF(BgL_arg1977z00_5887, ((long) 8));
							}
							BgL_auxz00_7284 =
								CBOOL(BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
								(BgL_arg1976z00_5886));
						}
						{
							obj_t BgL_auxz00_7277;

							{	/* Cfa/setup.scm 290 */
								BgL_objectz00_bglt BgL_tmpz00_7278;

								BgL_tmpz00_7278 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5699)));
								BgL_auxz00_7277 = BGL_OBJECT_WIDENING(BgL_tmpz00_7278);
							}
							BgL_auxz00_7276 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7277);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7276))->
								BgL_arityzd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_auxz00_7284), BUNSPEC);
					}
					{
						bool_t BgL_auxz00_7298;
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7290;

						{	/* Cfa/setup.scm 290 */
							obj_t BgL_arg1978z00_5889;

							{	/* Cfa/setup.scm 290 */
								obj_t BgL_arg1979z00_5890;

								{	/* Cfa/setup.scm 290 */
									obj_t BgL_classz00_5891;

									BgL_classz00_5891 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
									BgL_arg1979z00_5890 = BGL_CLASS_ALL_FIELDS(BgL_classz00_5891);
								}
								BgL_arg1978z00_5889 =
									VECTOR_REF(BgL_arg1979z00_5890, ((long) 9));
							}
							BgL_auxz00_7298 =
								CBOOL(BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
								(BgL_arg1978z00_5889));
						}
						{
							obj_t BgL_auxz00_7291;

							{	/* Cfa/setup.scm 290 */
								BgL_objectz00_bglt BgL_tmpz00_7292;

								BgL_tmpz00_7292 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5699)));
								BgL_auxz00_7291 = BGL_OBJECT_WIDENING(BgL_tmpz00_7292);
							}
							BgL_auxz00_7290 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7291);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7290))->
								BgL_typezd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_auxz00_7298), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5699)));
				}
			else
				{	/* Cfa/setup.scm 287 */
					{	/* Cfa/setup.scm 292 */
						BgL_funcallzf2cinfozf2_bglt BgL_wide1276z00_5892;

						BgL_wide1276z00_5892 =
							((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_funcallzf2cinfozf2_bgl))));
						{	/* Cfa/setup.scm 292 */
							obj_t BgL_auxz00_7312;
							BgL_objectz00_bglt BgL_tmpz00_7308;

							BgL_auxz00_7312 = ((obj_t) BgL_wide1276z00_5892);
							BgL_tmpz00_7308 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_5699)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7308, BgL_auxz00_7312);
						}
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5699)));
						{	/* Cfa/setup.scm 292 */
							long BgL_arg1980z00_5893;

							BgL_arg1980z00_5893 =
								BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5699))),
								BgL_arg1980z00_5893);
						}
						((BgL_funcallz00_bglt)
							((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5699)));
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7326;

						{
							obj_t BgL_auxz00_7327;

							{	/* Cfa/setup.scm 293 */
								BgL_objectz00_bglt BgL_tmpz00_7328;

								BgL_tmpz00_7328 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5699)));
								BgL_auxz00_7327 = BGL_OBJECT_WIDENING(BgL_tmpz00_7328);
							}
							BgL_auxz00_7326 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7327);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7326))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7337;

						{
							obj_t BgL_auxz00_7338;

							{	/* Cfa/setup.scm 294 */
								BgL_objectz00_bglt BgL_tmpz00_7339;

								BgL_tmpz00_7339 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5699)));
								BgL_auxz00_7338 = BGL_OBJECT_WIDENING(BgL_tmpz00_7339);
							}
							BgL_auxz00_7337 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7338);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7337))->
								BgL_vazd2approxzd2) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					{
						bool_t BgL_auxz00_7356;
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7348;

						{	/* Cfa/setup.scm 294 */
							obj_t BgL_arg1981z00_5894;

							{	/* Cfa/setup.scm 294 */
								obj_t BgL_arg1982z00_5895;

								{	/* Cfa/setup.scm 294 */
									obj_t BgL_classz00_5896;

									BgL_classz00_5896 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
									BgL_arg1982z00_5895 = BGL_CLASS_ALL_FIELDS(BgL_classz00_5896);
								}
								BgL_arg1981z00_5894 =
									VECTOR_REF(BgL_arg1982z00_5895, ((long) 8));
							}
							BgL_auxz00_7356 =
								CBOOL(BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
								(BgL_arg1981z00_5894));
						}
						{
							obj_t BgL_auxz00_7349;

							{	/* Cfa/setup.scm 294 */
								BgL_objectz00_bglt BgL_tmpz00_7350;

								BgL_tmpz00_7350 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5699)));
								BgL_auxz00_7349 = BGL_OBJECT_WIDENING(BgL_tmpz00_7350);
							}
							BgL_auxz00_7348 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7349);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7348))->
								BgL_arityzd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_auxz00_7356), BUNSPEC);
					}
					{
						bool_t BgL_auxz00_7370;
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7362;

						{	/* Cfa/setup.scm 294 */
							obj_t BgL_arg1983z00_5897;

							{	/* Cfa/setup.scm 294 */
								obj_t BgL_arg1984z00_5898;

								{	/* Cfa/setup.scm 294 */
									obj_t BgL_classz00_5899;

									BgL_classz00_5899 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
									BgL_arg1984z00_5898 = BGL_CLASS_ALL_FIELDS(BgL_classz00_5899);
								}
								BgL_arg1983z00_5897 =
									VECTOR_REF(BgL_arg1984z00_5898, ((long) 9));
							}
							BgL_auxz00_7370 =
								CBOOL(BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
								(BgL_arg1983z00_5897));
						}
						{
							obj_t BgL_auxz00_7363;

							{	/* Cfa/setup.scm 294 */
								BgL_objectz00_bglt BgL_tmpz00_7364;

								BgL_tmpz00_7364 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5699)));
								BgL_auxz00_7363 = BGL_OBJECT_WIDENING(BgL_tmpz00_7364);
							}
							BgL_auxz00_7362 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7363);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7362))->
								BgL_typezd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_auxz00_7370), BUNSPEC);
					}
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5699));
					{	/* Cfa/setup.scm 295 */
						BgL_approxz00_bglt BgL_arg1985z00_5900;

						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7378;

							{
								obj_t BgL_auxz00_7379;

								{	/* Cfa/setup.scm 295 */
									BgL_objectz00_bglt BgL_tmpz00_7380;

									BgL_tmpz00_7380 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nodez00_5699)));
									BgL_auxz00_7379 = BGL_OBJECT_WIDENING(BgL_tmpz00_7380);
								}
								BgL_auxz00_7378 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7379);
							}
							BgL_arg1985z00_5900 =
								(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7378))->
								BgL_vazd2approxzd2);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1985z00_5900);
					}
				}
		}

	}



/* &node-setup!-app-ly1794 */
	obj_t BGl_z62nodezd2setupz12zd2appzd2ly1794za2zzcfa_setupz00(obj_t
		BgL_envz00_5700, obj_t BgL_nodez00_5701)
	{
		{	/* Cfa/setup.scm 268 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701)))->BgL_funz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701)))->BgL_argz00));
			if (CBOOL
				(BGl_za2optimzd2cfazd2applyzd2trackingzf3za2z21zzengine_paramz00))
				{	/* Cfa/setup.scm 272 */
					{	/* Cfa/setup.scm 273 */
						BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1263z00_5902;

						BgL_wide1263z00_5902 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appzd2lyzf2cinfoz20_bgl))));
						{	/* Cfa/setup.scm 273 */
							obj_t BgL_auxz00_7401;
							BgL_objectz00_bglt BgL_tmpz00_7397;

							BgL_auxz00_7401 = ((obj_t) BgL_wide1263z00_5902);
							BgL_tmpz00_7397 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7397, BgL_auxz00_7401);
						}
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701)));
						{	/* Cfa/setup.scm 273 */
							long BgL_arg1970z00_5903;

							BgL_arg1970z00_5903 =
								BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701))),
								BgL_arg1970z00_5903);
						}
						((BgL_appzd2lyzd2_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701)));
					}
					{
						BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7415;

						{
							obj_t BgL_auxz00_7416;

							{	/* Cfa/setup.scm 274 */
								BgL_objectz00_bglt BgL_tmpz00_7417;

								BgL_tmpz00_7417 =
									((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701)));
								BgL_auxz00_7416 = BGL_OBJECT_WIDENING(BgL_tmpz00_7417);
							}
							BgL_auxz00_7415 =
								((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7416);
						}
						((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_7415))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701)));
				}
			else
				{	/* Cfa/setup.scm 272 */
					{	/* Cfa/setup.scm 276 */
						BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1267z00_5904;

						BgL_wide1267z00_5904 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appzd2lyzf2cinfoz20_bgl))));
						{	/* Cfa/setup.scm 276 */
							obj_t BgL_auxz00_7433;
							BgL_objectz00_bglt BgL_tmpz00_7429;

							BgL_auxz00_7433 = ((obj_t) BgL_wide1267z00_5904);
							BgL_tmpz00_7429 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7429, BgL_auxz00_7433);
						}
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701)));
						{	/* Cfa/setup.scm 276 */
							long BgL_arg1971z00_5905;

							BgL_arg1971z00_5905 =
								BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701))),
								BgL_arg1971z00_5905);
						}
						((BgL_appzd2lyzd2_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701)));
					}
					{
						BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7447;

						{
							obj_t BgL_auxz00_7448;

							{	/* Cfa/setup.scm 277 */
								BgL_objectz00_bglt BgL_tmpz00_7449;

								BgL_tmpz00_7449 =
									((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701)));
								BgL_auxz00_7448 = BGL_OBJECT_WIDENING(BgL_tmpz00_7449);
							}
							BgL_auxz00_7447 =
								((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7448);
						}
						((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_7447))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701));
					{	/* Cfa/setup.scm 278 */
						BgL_approxz00_bglt BgL_arg1972z00_5906;

						{
							BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7460;

							{
								obj_t BgL_auxz00_7461;

								{	/* Cfa/setup.scm 278 */
									BgL_objectz00_bglt BgL_tmpz00_7462;

									BgL_tmpz00_7462 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_5701)));
									BgL_auxz00_7461 = BGL_OBJECT_WIDENING(BgL_tmpz00_7462);
								}
								BgL_auxz00_7460 =
									((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7461);
							}
							BgL_arg1972z00_5906 =
								(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_7460))->
								BgL_approxz00);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1972z00_5906);
					}
				}
		}

	}



/* &fun-setup!-cfun1792 */
	obj_t BGl_z62funzd2setupz12zd2cfun1792z70zzcfa_setupz00(obj_t BgL_envz00_5702,
		obj_t BgL_funz00_5703, obj_t BgL_varz00_5704)
	{
		{	/* Cfa/setup.scm 257 */
			{
				BgL_cfunz00_bglt BgL_auxz00_7470;

				{	/* Cfa/setup.scm 258 */
					bool_t BgL_test2422z00_7471;

					{	/* Cfa/setup.scm 258 */
						obj_t BgL_classz00_5908;

						BgL_classz00_5908 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
						if (BGL_OBJECTP(BgL_varz00_5704))
							{	/* Cfa/setup.scm 258 */
								BgL_objectz00_bglt BgL_arg1820z00_5909;

								BgL_arg1820z00_5909 = (BgL_objectz00_bglt) (BgL_varz00_5704);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/setup.scm 258 */
										long BgL_idxz00_5910;

										BgL_idxz00_5910 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5909);
										BgL_test2422z00_7471 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5910 + ((long) 3))) == BgL_classz00_5908);
									}
								else
									{	/* Cfa/setup.scm 258 */
										bool_t BgL_res2285z00_5913;

										{	/* Cfa/setup.scm 258 */
											obj_t BgL_oclassz00_5914;

											{	/* Cfa/setup.scm 258 */
												long BgL_arg1828z00_5915;

												{	/* Cfa/setup.scm 258 */
													long BgL_arg1829z00_5916;

													BgL_arg1829z00_5916 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5909);
													BgL_arg1828z00_5915 =
														(BgL_arg1829z00_5916 - OBJECT_TYPE);
												}
												BgL_oclassz00_5914 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_5915);
											}
											{	/* Cfa/setup.scm 258 */
												bool_t BgL__ortest_1111z00_5917;

												BgL__ortest_1111z00_5917 =
													(BgL_classz00_5908 == BgL_oclassz00_5914);
												if (BgL__ortest_1111z00_5917)
													{	/* Cfa/setup.scm 258 */
														BgL_res2285z00_5913 = BgL__ortest_1111z00_5917;
													}
												else
													{	/* Cfa/setup.scm 258 */
														long BgL_odepthz00_5918;

														BgL_odepthz00_5918 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5914);
														if ((((long) 3) < BgL_odepthz00_5918))
															{	/* Cfa/setup.scm 258 */
																obj_t BgL_arg1816z00_5919;

																BgL_arg1816z00_5919 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5914,
																	((long) 3));
																BgL_res2285z00_5913 =
																	(BgL_arg1816z00_5919 == BgL_classz00_5908);
															}
														else
															{	/* Cfa/setup.scm 258 */
																BgL_res2285z00_5913 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2422z00_7471 = BgL_res2285z00_5913;
									}
							}
						else
							{	/* Cfa/setup.scm 258 */
								BgL_test2422z00_7471 = ((bool_t) 0);
							}
					}
					if (BgL_test2422z00_7471)
						{	/* Cfa/setup.scm 258 */
							BFALSE;
						}
					else
						{	/* Cfa/setup.scm 258 */
							{	/* Cfa/setup.scm 259 */
								BgL_reshapedzd2globalzd2_bglt BgL_wide1254z00_5920;

								BgL_wide1254z00_5920 =
									((BgL_reshapedzd2globalzd2_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_reshapedzd2globalzd2_bgl))));
								{	/* Cfa/setup.scm 259 */
									obj_t BgL_auxz00_7496;
									BgL_objectz00_bglt BgL_tmpz00_7492;

									BgL_auxz00_7496 = ((obj_t) BgL_wide1254z00_5920);
									BgL_tmpz00_7492 =
										((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_varz00_5704)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7492, BgL_auxz00_7496);
								}
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5704)));
								{	/* Cfa/setup.scm 259 */
									long BgL_arg1965z00_5921;

									BgL_arg1965z00_5921 =
										BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_5704))),
										BgL_arg1965z00_5921);
								}
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5704)));
							}
							((obj_t)
								((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5704)));
				}}
				{	/* Cfa/setup.scm 260 */
					BgL_approxz00_bglt BgL_approxz00_5922;

					{	/* Cfa/setup.scm 260 */
						BgL_typez00_bglt BgL_arg1967z00_5923;

						BgL_arg1967z00_5923 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5704))))->BgL_typez00);
						BgL_approxz00_5922 =
							BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1967z00_5923);
					}
					BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_5922);
					{	/* Cfa/setup.scm 262 */
						BgL_cfunzf2cinfozf2_bglt BgL_wide1258z00_5924;

						BgL_wide1258z00_5924 =
							((BgL_cfunzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cfunzf2cinfozf2_bgl))));
						{	/* Cfa/setup.scm 262 */
							obj_t BgL_auxz00_7523;
							BgL_objectz00_bglt BgL_tmpz00_7519;

							BgL_auxz00_7523 = ((obj_t) BgL_wide1258z00_5924);
							BgL_tmpz00_7519 =
								((BgL_objectz00_bglt)
								((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5703)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7519, BgL_auxz00_7523);
						}
						((BgL_objectz00_bglt)
							((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5703)));
						{	/* Cfa/setup.scm 262 */
							long BgL_arg1966z00_5925;

							BgL_arg1966z00_5925 =
								BGL_CLASS_NUM(BGl_cfunzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_cfunz00_bglt)
										((BgL_cfunz00_bglt) BgL_funz00_5703))),
								BgL_arg1966z00_5925);
						}
						((BgL_cfunz00_bglt)
							((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5703)));
					}
					{
						BgL_cfunzf2cinfozf2_bglt BgL_auxz00_7537;

						{
							obj_t BgL_auxz00_7538;

							{	/* Cfa/setup.scm 263 */
								BgL_objectz00_bglt BgL_tmpz00_7539;

								BgL_tmpz00_7539 =
									((BgL_objectz00_bglt)
									((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5703)));
								BgL_auxz00_7538 = BGL_OBJECT_WIDENING(BgL_tmpz00_7539);
							}
							BgL_auxz00_7537 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_7538);
						}
						((((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7537))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) BgL_approxz00_5922), BUNSPEC);
					}
					BgL_auxz00_7470 =
						((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5703));
				}
				return ((obj_t) BgL_auxz00_7470);
			}
		}

	}



/* &fun-setup!-sfun1790 */
	obj_t BGl_z62funzd2setupz12zd2sfun1790z70zzcfa_setupz00(obj_t BgL_envz00_5705,
		obj_t BgL_funz00_5706, obj_t BgL_varz00_5707)
	{
		{	/* Cfa/setup.scm 240 */
			{
				BgL_sfunz00_bglt BgL_auxz00_7549;

				{	/* Cfa/setup.scm 241 */
					bool_t BgL_test2427z00_7550;

					{	/* Cfa/setup.scm 241 */
						bool_t BgL_test2428z00_7551;

						{	/* Cfa/setup.scm 241 */
							obj_t BgL_classz00_5927;

							BgL_classz00_5927 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_varz00_5707))
								{	/* Cfa/setup.scm 241 */
									BgL_objectz00_bglt BgL_arg1820z00_5928;

									BgL_arg1820z00_5928 = (BgL_objectz00_bglt) (BgL_varz00_5707);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/setup.scm 241 */
											long BgL_idxz00_5929;

											BgL_idxz00_5929 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5928);
											BgL_test2428z00_7551 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5929 + ((long) 2))) == BgL_classz00_5927);
										}
									else
										{	/* Cfa/setup.scm 241 */
											bool_t BgL_res2282z00_5932;

											{	/* Cfa/setup.scm 241 */
												obj_t BgL_oclassz00_5933;

												{	/* Cfa/setup.scm 241 */
													long BgL_arg1828z00_5934;

													{	/* Cfa/setup.scm 241 */
														long BgL_arg1829z00_5935;

														BgL_arg1829z00_5935 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5928);
														BgL_arg1828z00_5934 =
															(BgL_arg1829z00_5935 - OBJECT_TYPE);
													}
													BgL_oclassz00_5933 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_5934);
												}
												{	/* Cfa/setup.scm 241 */
													bool_t BgL__ortest_1111z00_5936;

													BgL__ortest_1111z00_5936 =
														(BgL_classz00_5927 == BgL_oclassz00_5933);
													if (BgL__ortest_1111z00_5936)
														{	/* Cfa/setup.scm 241 */
															BgL_res2282z00_5932 = BgL__ortest_1111z00_5936;
														}
													else
														{	/* Cfa/setup.scm 241 */
															long BgL_odepthz00_5937;

															BgL_odepthz00_5937 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5933);
															if ((((long) 2) < BgL_odepthz00_5937))
																{	/* Cfa/setup.scm 241 */
																	obj_t BgL_arg1816z00_5938;

																	BgL_arg1816z00_5938 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5933,
																		((long) 2));
																	BgL_res2282z00_5932 =
																		(BgL_arg1816z00_5938 == BgL_classz00_5927);
																}
															else
																{	/* Cfa/setup.scm 241 */
																	BgL_res2282z00_5932 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2428z00_7551 = BgL_res2282z00_5932;
										}
								}
							else
								{	/* Cfa/setup.scm 241 */
									BgL_test2428z00_7551 = ((bool_t) 0);
								}
						}
						if (BgL_test2428z00_7551)
							{	/* Cfa/setup.scm 241 */
								bool_t BgL_test2433z00_7571;

								{	/* Cfa/setup.scm 241 */
									obj_t BgL_classz00_5939;

									BgL_classz00_5939 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
									if (BGL_OBJECTP(BgL_varz00_5707))
										{	/* Cfa/setup.scm 241 */
											BgL_objectz00_bglt BgL_arg1820z00_5940;

											BgL_arg1820z00_5940 =
												(BgL_objectz00_bglt) (BgL_varz00_5707);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Cfa/setup.scm 241 */
													long BgL_idxz00_5941;

													BgL_idxz00_5941 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5940);
													BgL_test2433z00_7571 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5941 + ((long) 3))) ==
														BgL_classz00_5939);
												}
											else
												{	/* Cfa/setup.scm 241 */
													bool_t BgL_res2283z00_5944;

													{	/* Cfa/setup.scm 241 */
														obj_t BgL_oclassz00_5945;

														{	/* Cfa/setup.scm 241 */
															long BgL_arg1828z00_5946;

															{	/* Cfa/setup.scm 241 */
																long BgL_arg1829z00_5947;

																BgL_arg1829z00_5947 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5940);
																BgL_arg1828z00_5946 =
																	(BgL_arg1829z00_5947 - OBJECT_TYPE);
															}
															BgL_oclassz00_5945 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_5946);
														}
														{	/* Cfa/setup.scm 241 */
															bool_t BgL__ortest_1111z00_5948;

															BgL__ortest_1111z00_5948 =
																(BgL_classz00_5939 == BgL_oclassz00_5945);
															if (BgL__ortest_1111z00_5948)
																{	/* Cfa/setup.scm 241 */
																	BgL_res2283z00_5944 =
																		BgL__ortest_1111z00_5948;
																}
															else
																{	/* Cfa/setup.scm 241 */
																	long BgL_odepthz00_5949;

																	BgL_odepthz00_5949 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_5945);
																	if ((((long) 3) < BgL_odepthz00_5949))
																		{	/* Cfa/setup.scm 241 */
																			obj_t BgL_arg1816z00_5950;

																			BgL_arg1816z00_5950 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_5945, ((long) 3));
																			BgL_res2283z00_5944 =
																				(BgL_arg1816z00_5950 ==
																				BgL_classz00_5939);
																		}
																	else
																		{	/* Cfa/setup.scm 241 */
																			BgL_res2283z00_5944 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2433z00_7571 = BgL_res2283z00_5944;
												}
										}
									else
										{	/* Cfa/setup.scm 241 */
											BgL_test2433z00_7571 = ((bool_t) 0);
										}
								}
								if (BgL_test2433z00_7571)
									{	/* Cfa/setup.scm 241 */
										BgL_test2427z00_7550 = ((bool_t) 0);
									}
								else
									{	/* Cfa/setup.scm 241 */
										BgL_test2427z00_7550 = ((bool_t) 1);
									}
							}
						else
							{	/* Cfa/setup.scm 241 */
								BgL_test2427z00_7550 = ((bool_t) 0);
							}
					}
					if (BgL_test2427z00_7550)
						{	/* Cfa/setup.scm 241 */
							{	/* Cfa/setup.scm 242 */
								BgL_reshapedzd2globalzd2_bglt BgL_wide1241z00_5951;

								BgL_wide1241z00_5951 =
									((BgL_reshapedzd2globalzd2_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_reshapedzd2globalzd2_bgl))));
								{	/* Cfa/setup.scm 242 */
									obj_t BgL_auxz00_7596;
									BgL_objectz00_bglt BgL_tmpz00_7592;

									BgL_auxz00_7596 = ((obj_t) BgL_wide1241z00_5951);
									BgL_tmpz00_7592 =
										((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_varz00_5707)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7592, BgL_auxz00_7596);
								}
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5707)));
								{	/* Cfa/setup.scm 242 */
									long BgL_arg1955z00_5952;

									BgL_arg1955z00_5952 =
										BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_5707))),
										BgL_arg1955z00_5952);
								}
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5707)));
							}
							((obj_t)
								((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5707)));
						}
					else
						{	/* Cfa/setup.scm 241 */
							BFALSE;
						}
				}
				{	/* Cfa/setup.scm 243 */
					bool_t BgL_test2438z00_7613;

					{	/* Cfa/setup.scm 243 */
						bool_t BgL_test2439z00_7614;

						{	/* Cfa/setup.scm 243 */
							obj_t BgL_classz00_5953;

							BgL_classz00_5953 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_varz00_5707))
								{	/* Cfa/setup.scm 243 */
									BgL_objectz00_bglt BgL_arg1820z00_5954;

									BgL_arg1820z00_5954 = (BgL_objectz00_bglt) (BgL_varz00_5707);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/setup.scm 243 */
											long BgL_idxz00_5955;

											BgL_idxz00_5955 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5954);
											BgL_test2439z00_7614 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5955 + ((long) 2))) == BgL_classz00_5953);
										}
									else
										{	/* Cfa/setup.scm 243 */
											bool_t BgL_res2284z00_5958;

											{	/* Cfa/setup.scm 243 */
												obj_t BgL_oclassz00_5959;

												{	/* Cfa/setup.scm 243 */
													long BgL_arg1828z00_5960;

													{	/* Cfa/setup.scm 243 */
														long BgL_arg1829z00_5961;

														BgL_arg1829z00_5961 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5954);
														BgL_arg1828z00_5960 =
															(BgL_arg1829z00_5961 - OBJECT_TYPE);
													}
													BgL_oclassz00_5959 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_5960);
												}
												{	/* Cfa/setup.scm 243 */
													bool_t BgL__ortest_1111z00_5962;

													BgL__ortest_1111z00_5962 =
														(BgL_classz00_5953 == BgL_oclassz00_5959);
													if (BgL__ortest_1111z00_5962)
														{	/* Cfa/setup.scm 243 */
															BgL_res2284z00_5958 = BgL__ortest_1111z00_5962;
														}
													else
														{	/* Cfa/setup.scm 243 */
															long BgL_odepthz00_5963;

															BgL_odepthz00_5963 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5959);
															if ((((long) 2) < BgL_odepthz00_5963))
																{	/* Cfa/setup.scm 243 */
																	obj_t BgL_arg1816z00_5964;

																	BgL_arg1816z00_5964 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5959,
																		((long) 2));
																	BgL_res2284z00_5958 =
																		(BgL_arg1816z00_5964 == BgL_classz00_5953);
																}
															else
																{	/* Cfa/setup.scm 243 */
																	BgL_res2284z00_5958 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2439z00_7614 = BgL_res2284z00_5958;
										}
								}
							else
								{	/* Cfa/setup.scm 243 */
									BgL_test2439z00_7614 = ((bool_t) 0);
								}
						}
						if (BgL_test2439z00_7614)
							{	/* Cfa/setup.scm 243 */
								BgL_test2438z00_7613 =
									(
									(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_varz00_5707)))->
										BgL_importz00) == CNST_TABLE_REF(((long) 3)));
							}
						else
							{	/* Cfa/setup.scm 243 */
								BgL_test2438z00_7613 = ((bool_t) 0);
							}
					}
					if (BgL_test2438z00_7613)
						{	/* Cfa/setup.scm 244 */
							BgL_approxz00_bglt BgL_approxz00_5965;

							{	/* Cfa/setup.scm 244 */
								BgL_typez00_bglt BgL_arg1960z00_5966;

								BgL_arg1960z00_5966 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_5707))))->BgL_typez00);
								BgL_approxz00_5965 =
									BGl_makezd2typezd2approxz00zzcfa_approxz00
									(BgL_arg1960z00_5966);
							}
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_5965);
							{	/* Cfa/setup.scm 246 */
								BgL_externzd2sfunzf2cinfoz20_bglt BgL_wide1245z00_5967;

								BgL_wide1245z00_5967 =
									((BgL_externzd2sfunzf2cinfoz20_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_externzd2sfunzf2cinfoz20_bgl))));
								{	/* Cfa/setup.scm 246 */
									obj_t BgL_auxz00_7648;
									BgL_objectz00_bglt BgL_tmpz00_7644;

									BgL_auxz00_7648 = ((obj_t) BgL_wide1245z00_5967);
									BgL_tmpz00_7644 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5706)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7644, BgL_auxz00_7648);
								}
								((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5706)));
								{	/* Cfa/setup.scm 246 */
									long BgL_arg1959z00_5968;

									BgL_arg1959z00_5968 =
										BGL_CLASS_NUM(BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5706))),
										BgL_arg1959z00_5968);
								}
								((BgL_sfunz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5706)));
							}
							{
								BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_7662;

								{
									obj_t BgL_auxz00_7663;

									{	/* Cfa/setup.scm 247 */
										BgL_objectz00_bglt BgL_tmpz00_7664;

										BgL_tmpz00_7664 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5706)));
										BgL_auxz00_7663 = BGL_OBJECT_WIDENING(BgL_tmpz00_7664);
									}
									BgL_auxz00_7662 =
										((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7663);
								}
								((((BgL_externzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7662))->BgL_polymorphiczf3zf3) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_7671;

								{
									obj_t BgL_auxz00_7672;

									{	/* Cfa/setup.scm 247 */
										BgL_objectz00_bglt BgL_tmpz00_7673;

										BgL_tmpz00_7673 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5706)));
										BgL_auxz00_7672 = BGL_OBJECT_WIDENING(BgL_tmpz00_7673);
									}
									BgL_auxz00_7671 =
										((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7672);
								}
								((((BgL_externzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7671))->BgL_approxz00) =
									((BgL_approxz00_bglt) BgL_approxz00_5965), BUNSPEC);
							}
							BgL_auxz00_7549 =
								((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5706)));
						}
					else
						{	/* Cfa/setup.scm 248 */
							BgL_approxz00_bglt BgL_approxz00_5969;

							{	/* Cfa/setup.scm 248 */
								BgL_typez00_bglt BgL_arg1962z00_5970;

								BgL_arg1962z00_5970 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_5707)))->BgL_typez00);
								BgL_approxz00_5969 =
									BGl_makezd2typezd2approxz00zzcfa_approxz00
									(BgL_arg1962z00_5970);
							}
							if (CBOOL
								(BGl_za2optimzd2cfazd2forcezd2loosezd2localzd2functionzf3za2z21zzengine_paramz00))
								{	/* Cfa/setup.scm 249 */
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00
										(BgL_approxz00_5969);
								}
							else
								{	/* Cfa/setup.scm 249 */
									BFALSE;
								}
							{	/* Cfa/setup.scm 251 */
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_wide1249z00_5971;

								BgL_wide1249z00_5971 =
									((BgL_internzd2sfunzf2cinfoz20_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_internzd2sfunzf2cinfoz20_bgl))));
								{	/* Cfa/setup.scm 251 */
									obj_t BgL_auxz00_7694;
									BgL_objectz00_bglt BgL_tmpz00_7690;

									BgL_auxz00_7694 = ((obj_t) BgL_wide1249z00_5971);
									BgL_tmpz00_7690 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5706)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7690, BgL_auxz00_7694);
								}
								((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5706)));
								{	/* Cfa/setup.scm 251 */
									long BgL_arg1961z00_5972;

									BgL_arg1961z00_5972 =
										BGL_CLASS_NUM(BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5706))),
										BgL_arg1961z00_5972);
								}
								((BgL_sfunz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5706)));
							}
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_7708;

								{
									obj_t BgL_auxz00_7709;

									{	/* Cfa/setup.scm 252 */
										BgL_objectz00_bglt BgL_tmpz00_7710;

										BgL_tmpz00_7710 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5706)));
										BgL_auxz00_7709 = BGL_OBJECT_WIDENING(BgL_tmpz00_7710);
									}
									BgL_auxz00_7708 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7709);
								}
								((((BgL_internzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7708))->BgL_polymorphiczf3zf3) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_7717;

								{
									obj_t BgL_auxz00_7718;

									{	/* Cfa/setup.scm 252 */
										BgL_objectz00_bglt BgL_tmpz00_7719;

										BgL_tmpz00_7719 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5706)));
										BgL_auxz00_7718 = BGL_OBJECT_WIDENING(BgL_tmpz00_7719);
									}
									BgL_auxz00_7717 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7718);
								}
								((((BgL_internzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7717))->BgL_approxz00) =
									((BgL_approxz00_bglt) BgL_approxz00_5969), BUNSPEC);
							}
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_7726;

								{
									obj_t BgL_auxz00_7727;

									{	/* Cfa/setup.scm 252 */
										BgL_objectz00_bglt BgL_tmpz00_7728;

										BgL_tmpz00_7728 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5706)));
										BgL_auxz00_7727 = BGL_OBJECT_WIDENING(BgL_tmpz00_7728);
									}
									BgL_auxz00_7726 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7727);
								}
								((((BgL_internzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7726))->BgL_stampz00) =
									((long) ((long) -1)), BUNSPEC);
							}
							BgL_auxz00_7549 =
								((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5706)));
				}}
				return ((obj_t) BgL_auxz00_7549);
			}
		}

	}



/* &node-setup!-app1786 */
	obj_t BGl_z62nodezd2setupz12zd2app1786z70zzcfa_setupz00(obj_t BgL_envz00_5708,
		obj_t BgL_nodez00_5709)
	{
		{	/* Cfa/setup.scm 222 */
			BGl_nodezd2setupza2z12z62zzcfa_setupz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_5709)))->BgL_argsz00));
			{	/* Tools/trace.sch 53 */
				BgL_variablez00_bglt BgL_variablez00_5974;

				BgL_variablez00_5974 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_5709)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Tools/trace.sch 53 */
					BgL_valuez00_bglt BgL_arg1950z00_5975;

					BgL_arg1950z00_5975 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_5974))->
						BgL_valuez00);
					return BGl_funzd2setupz12zc0zzcfa_setupz00(((BgL_funz00_bglt)
							BgL_arg1950z00_5975), ((obj_t) BgL_variablez00_5974));
				}
			}
		}

	}



/* &node-setup!-sync1784 */
	obj_t BGl_z62nodezd2setupz12zd2sync1784z70zzcfa_setupz00(obj_t
		BgL_envz00_5710, obj_t BgL_nodez00_5711)
	{
		{	/* Cfa/setup.scm 213 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5711)))->BgL_mutexz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5711)))->BgL_prelockz00));
			return
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5711)))->BgL_bodyz00));
		}

	}



/* &node-setup!-sequence1782 */
	obj_t BGl_z62nodezd2setupz12zd2sequence1782z70zzcfa_setupz00(obj_t
		BgL_envz00_5712, obj_t BgL_nodez00_5713)
	{
		{	/* Cfa/setup.scm 206 */
			return
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_5713)))->BgL_nodesz00));
		}

	}



/* &node-setup!-closure1780 */
	obj_t BGl_z62nodezd2setupz12zd2closure1780z70zzcfa_setupz00(obj_t
		BgL_envz00_5714, obj_t BgL_nodez00_5715)
	{
		{	/* Cfa/setup.scm 200 */
			{	/* Cfa/setup.scm 201 */
				obj_t BgL_arg1944z00_5979;

				BgL_arg1944z00_5979 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_5715)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2299z00zzcfa_setupz00, BGl_string2337z00zzcfa_setupz00,
					BgL_arg1944z00_5979);
			}
		}

	}



/* &variable-value-setup1778 */
	obj_t BGl_z62variablezd2valuezd2setup1778z62zzcfa_setupz00(obj_t
		BgL_envz00_5716, obj_t BgL_valuez00_5717, obj_t BgL_varz00_5718)
	{
		{	/* Cfa/setup.scm 191 */
			{	/* Cfa/setup.scm 192 */
				BgL_cvarzf2cinfozf2_bglt BgL_wide1230z00_5981;

				BgL_wide1230z00_5981 =
					((BgL_cvarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cvarzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 192 */
					obj_t BgL_auxz00_7770;
					BgL_objectz00_bglt BgL_tmpz00_7766;

					BgL_auxz00_7770 = ((obj_t) BgL_wide1230z00_5981);
					BgL_tmpz00_7766 =
						((BgL_objectz00_bglt)
						((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5717)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7766, BgL_auxz00_7770);
				}
				((BgL_objectz00_bglt)
					((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5717)));
				{	/* Cfa/setup.scm 192 */
					long BgL_arg1938z00_5982;

					BgL_arg1938z00_5982 = BGL_CLASS_NUM(BGl_cvarzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_cvarz00_bglt)
								((BgL_cvarz00_bglt) BgL_valuez00_5717))), BgL_arg1938z00_5982);
				}
				((BgL_cvarz00_bglt)
					((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5717)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7792;
				BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7784;

				{	/* Cfa/setup.scm 193 */
					BgL_typez00_bglt BgL_arg1939z00_5983;

					BgL_arg1939z00_5983 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_varz00_5718)))->BgL_typez00);
					BgL_auxz00_7792 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1939z00_5983);
				}
				{
					obj_t BgL_auxz00_7785;

					{	/* Cfa/setup.scm 193 */
						BgL_objectz00_bglt BgL_tmpz00_7786;

						BgL_tmpz00_7786 =
							((BgL_objectz00_bglt)
							((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5717)));
						BgL_auxz00_7785 = BGL_OBJECT_WIDENING(BgL_tmpz00_7786);
					}
					BgL_auxz00_7784 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7785);
				}
				((((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7784))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7792), BUNSPEC);
			}
			((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5717));
			{	/* Cfa/setup.scm 194 */
				bool_t BgL_test2445z00_7799;

				{	/* Cfa/setup.scm 194 */
					BgL_typez00_bglt BgL_arg1943z00_5984;

					BgL_arg1943z00_5984 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_varz00_5718)))->BgL_typez00);
					BgL_test2445z00_7799 =
						BGl_alloczd2typezf3z21zzcfa_setupz00(BgL_arg1943z00_5984);
				}
				if (BgL_test2445z00_7799)
					{	/* Cfa/setup.scm 195 */
						BgL_approxz00_bglt BgL_arg1942z00_5985;

						{
							BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7803;

							{
								obj_t BgL_auxz00_7804;

								{	/* Cfa/setup.scm 195 */
									BgL_objectz00_bglt BgL_tmpz00_7805;

									BgL_tmpz00_7805 =
										((BgL_objectz00_bglt)
										((BgL_cvarz00_bglt)
											((BgL_cvarz00_bglt) BgL_valuez00_5717)));
									BgL_auxz00_7804 = BGL_OBJECT_WIDENING(BgL_tmpz00_7805);
								}
								BgL_auxz00_7803 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7804);
							}
							BgL_arg1942z00_5985 =
								(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7803))->
								BgL_approxz00);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1942z00_5985);
					}
				else
					{	/* Cfa/setup.scm 194 */
						return BFALSE;
					}
			}
		}

	}



/* &variable-value-setup1776 */
	obj_t BGl_z62variablezd2valuezd2setup1776z62zzcfa_setupz00(obj_t
		BgL_envz00_5719, obj_t BgL_valuez00_5720, obj_t BgL_varz00_5721)
	{
		{	/* Cfa/setup.scm 169 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_test2446z00_7813;

				{	/* Tools/trace.sch 53 */
					obj_t BgL_classz00_5987;

					BgL_classz00_5987 = BGl_globalz00zzast_varz00;
					if (BGL_OBJECTP(BgL_varz00_5721))
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1820z00_5988;

							BgL_arg1820z00_5988 = (BgL_objectz00_bglt) (BgL_varz00_5721);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_5989;

									BgL_idxz00_5989 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5988);
									BgL_test2446z00_7813 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5989 + ((long) 2))) == BgL_classz00_5987);
								}
							else
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res2280z00_5992;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_5993;

										{	/* Tools/trace.sch 53 */
											long BgL_arg1828z00_5994;

											{	/* Tools/trace.sch 53 */
												long BgL_arg1829z00_5995;

												BgL_arg1829z00_5995 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5988);
												BgL_arg1828z00_5994 =
													(BgL_arg1829z00_5995 - OBJECT_TYPE);
											}
											BgL_oclassz00_5993 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_5994);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1111z00_5996;

											BgL__ortest_1111z00_5996 =
												(BgL_classz00_5987 == BgL_oclassz00_5993);
											if (BgL__ortest_1111z00_5996)
												{	/* Tools/trace.sch 53 */
													BgL_res2280z00_5992 = BgL__ortest_1111z00_5996;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_5997;

													BgL_odepthz00_5997 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5993);
													if ((((long) 2) < BgL_odepthz00_5997))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1816z00_5998;

															BgL_arg1816z00_5998 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5993,
																((long) 2));
															BgL_res2280z00_5992 =
																(BgL_arg1816z00_5998 == BgL_classz00_5987);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res2280z00_5992 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2446z00_7813 = BgL_res2280z00_5992;
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_test2446z00_7813 = ((bool_t) 0);
						}
				}
				if (BgL_test2446z00_7813)
					{	/* Tools/trace.sch 53 */
						bool_t BgL_test2451z00_7833;

						{	/* Tools/trace.sch 53 */
							bool_t BgL_test2452z00_7834;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_arg1934z00_5999;

								BgL_arg1934z00_5999 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_varz00_5721)))->BgL_modulez00);
								BgL_test2452z00_7834 =
									(BgL_arg1934z00_5999 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2452z00_7834)
								{	/* Tools/trace.sch 53 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												(((BgL_scnstz00_bglt) COBJECT(
															((BgL_scnstz00_bglt) BgL_valuez00_5720)))->
													BgL_classz00), CNST_TABLE_REF(((long) 4)))))
										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1932z00_6000;

											BgL_arg1932z00_6000 =
												(((BgL_scnstz00_bglt) COBJECT(
														((BgL_scnstz00_bglt) BgL_valuez00_5720)))->
												BgL_nodez00);
											{	/* Tools/trace.sch 53 */
												obj_t BgL_classz00_6001;

												BgL_classz00_6001 =
													BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
												if (BGL_OBJECTP(BgL_arg1932z00_6000))
													{	/* Tools/trace.sch 53 */
														BgL_objectz00_bglt BgL_arg1820z00_6002;

														BgL_arg1820z00_6002 =
															(BgL_objectz00_bglt) (BgL_arg1932z00_6000);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Tools/trace.sch 53 */
																long BgL_idxz00_6003;

																BgL_idxz00_6003 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_6002);
																BgL_test2451z00_7833 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_6003 + ((long) 4))) ==
																	BgL_classz00_6001);
															}
														else
															{	/* Tools/trace.sch 53 */
																bool_t BgL_res2281z00_6006;

																{	/* Tools/trace.sch 53 */
																	obj_t BgL_oclassz00_6007;

																	{	/* Tools/trace.sch 53 */
																		long BgL_arg1828z00_6008;

																		{	/* Tools/trace.sch 53 */
																			long BgL_arg1829z00_6009;

																			BgL_arg1829z00_6009 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_6002);
																			BgL_arg1828z00_6008 =
																				(BgL_arg1829z00_6009 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_6007 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_6008);
																	}
																	{	/* Tools/trace.sch 53 */
																		bool_t BgL__ortest_1111z00_6010;

																		BgL__ortest_1111z00_6010 =
																			(BgL_classz00_6001 == BgL_oclassz00_6007);
																		if (BgL__ortest_1111z00_6010)
																			{	/* Tools/trace.sch 53 */
																				BgL_res2281z00_6006 =
																					BgL__ortest_1111z00_6010;
																			}
																		else
																			{	/* Tools/trace.sch 53 */
																				long BgL_odepthz00_6011;

																				BgL_odepthz00_6011 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_6007);
																				if ((((long) 4) < BgL_odepthz00_6011))
																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1816z00_6012;

																						BgL_arg1816z00_6012 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_6007, ((long) 4));
																						BgL_res2281z00_6006 =
																							(BgL_arg1816z00_6012 ==
																							BgL_classz00_6001);
																					}
																				else
																					{	/* Tools/trace.sch 53 */
																						BgL_res2281z00_6006 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2451z00_7833 = BgL_res2281z00_6006;
															}
													}
												else
													{	/* Tools/trace.sch 53 */
														BgL_test2451z00_7833 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_test2451z00_7833 = ((bool_t) 0);
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_test2451z00_7833 = ((bool_t) 0);
								}
						}
						if (BgL_test2451z00_7833)
							{	/* Tools/trace.sch 53 */
								obj_t BgL_nodez00_6013;

								BgL_nodez00_6013 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt) BgL_valuez00_5720)))->BgL_nodez00);
								BGl_nodezd2setupz12zc0zzcfa_setupz00(
									((BgL_nodez00_bglt) BgL_nodez00_6013));
								{	/* Tools/trace.sch 53 */
									BgL_scnstzf2cinfozf2_bglt BgL_wide1218z00_6014;

									BgL_wide1218z00_6014 =
										((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_scnstzf2cinfozf2_bgl))));
									{	/* Tools/trace.sch 53 */
										obj_t BgL_auxz00_7874;
										BgL_objectz00_bglt BgL_tmpz00_7870;

										BgL_auxz00_7874 = ((obj_t) BgL_wide1218z00_6014);
										BgL_tmpz00_7870 =
											((BgL_objectz00_bglt)
											((BgL_scnstz00_bglt)
												((BgL_scnstz00_bglt) BgL_valuez00_5720)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7870, BgL_auxz00_7874);
									}
									((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5720)));
									{	/* Tools/trace.sch 53 */
										long BgL_arg1928z00_6015;

										BgL_arg1928z00_6015 =
											BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_scnstz00_bglt)
													((BgL_scnstz00_bglt) BgL_valuez00_5720))),
											BgL_arg1928z00_6015);
									}
									((BgL_scnstz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5720)));
								}
								{
									BgL_approxz00_bglt BgL_auxz00_7896;
									BgL_scnstzf2cinfozf2_bglt BgL_auxz00_7888;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_7897;

										{
											obj_t BgL_auxz00_7898;

											{	/* Tools/trace.sch 53 */
												BgL_objectz00_bglt BgL_tmpz00_7899;

												BgL_tmpz00_7899 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_6013));
												BgL_auxz00_7898 = BGL_OBJECT_WIDENING(BgL_tmpz00_7899);
											}
											BgL_auxz00_7897 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_7898);
										}
										BgL_auxz00_7896 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_7897))->BgL_approxz00);
									}
									{
										obj_t BgL_auxz00_7889;

										{	/* Tools/trace.sch 53 */
											BgL_objectz00_bglt BgL_tmpz00_7890;

											BgL_tmpz00_7890 =
												((BgL_objectz00_bglt)
												((BgL_scnstz00_bglt)
													((BgL_scnstz00_bglt) BgL_valuez00_5720)));
											BgL_auxz00_7889 = BGL_OBJECT_WIDENING(BgL_tmpz00_7890);
										}
										BgL_auxz00_7888 =
											((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_7889);
									}
									((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7888))->
											BgL_approxz00) =
										((BgL_approxz00_bglt) BgL_auxz00_7896), BUNSPEC);
								}
								return
									((obj_t)
									((BgL_scnstz00_bglt)
										((BgL_scnstz00_bglt) BgL_valuez00_5720)));
							}
						else
							{	/* Tools/trace.sch 53 */
								BgL_scnstz00_bglt BgL_valuez00_6016;

								{	/* Tools/trace.sch 53 */
									BgL_scnstzf2cinfozf2_bglt BgL_wide1222z00_6017;

									BgL_wide1222z00_6017 =
										((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_scnstzf2cinfozf2_bgl))));
									{	/* Tools/trace.sch 53 */
										obj_t BgL_auxz00_7914;
										BgL_objectz00_bglt BgL_tmpz00_7910;

										BgL_auxz00_7914 = ((obj_t) BgL_wide1222z00_6017);
										BgL_tmpz00_7910 =
											((BgL_objectz00_bglt)
											((BgL_scnstz00_bglt)
												((BgL_scnstz00_bglt) BgL_valuez00_5720)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7910, BgL_auxz00_7914);
									}
									((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5720)));
									{	/* Tools/trace.sch 53 */
										long BgL_arg1930z00_6018;

										BgL_arg1930z00_6018 =
											BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_scnstz00_bglt)
													((BgL_scnstz00_bglt) BgL_valuez00_5720))),
											BgL_arg1930z00_6018);
									}
									((BgL_scnstz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5720)));
								}
								{
									BgL_approxz00_bglt BgL_auxz00_7936;
									BgL_scnstzf2cinfozf2_bglt BgL_auxz00_7928;

									{	/* Tools/trace.sch 53 */
										BgL_typez00_bglt BgL_arg1931z00_6019;

										BgL_arg1931z00_6019 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_varz00_5721)))->
											BgL_typez00);
										BgL_auxz00_7936 =
											BGl_makezd2typezd2approxz00zzcfa_approxz00
											(BgL_arg1931z00_6019);
									}
									{
										obj_t BgL_auxz00_7929;

										{	/* Tools/trace.sch 53 */
											BgL_objectz00_bglt BgL_tmpz00_7930;

											BgL_tmpz00_7930 =
												((BgL_objectz00_bglt)
												((BgL_scnstz00_bglt)
													((BgL_scnstz00_bglt) BgL_valuez00_5720)));
											BgL_auxz00_7929 = BGL_OBJECT_WIDENING(BgL_tmpz00_7930);
										}
										BgL_auxz00_7928 =
											((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_7929);
									}
									((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7928))->
											BgL_approxz00) =
										((BgL_approxz00_bglt) BgL_auxz00_7936), BUNSPEC);
								}
								BgL_valuez00_6016 =
									((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_5720));
								{	/* Tools/trace.sch 53 */
									BgL_approxz00_bglt BgL_arg1929z00_6020;

									{
										BgL_scnstzf2cinfozf2_bglt BgL_auxz00_7943;

										{
											obj_t BgL_auxz00_7944;

											{	/* Tools/trace.sch 53 */
												BgL_objectz00_bglt BgL_tmpz00_7945;

												BgL_tmpz00_7945 =
													((BgL_objectz00_bglt) BgL_valuez00_6016);
												BgL_auxz00_7944 = BGL_OBJECT_WIDENING(BgL_tmpz00_7945);
											}
											BgL_auxz00_7943 =
												((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_7944);
										}
										BgL_arg1929z00_6020 =
											(((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7943))->
											BgL_approxz00);
									}
									return
										BGl_approxzd2setzd2topz12z12zzcfa_approxz00
										(BgL_arg1929z00_6020);
								}
							}
					}
				else
					{	/* Tools/trace.sch 53 */
						{	/* Tools/trace.sch 53 */
							BgL_scnstzf2cinfozf2_bglt BgL_wide1226z00_6021;

							BgL_wide1226z00_6021 =
								((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_scnstzf2cinfozf2_bgl))));
							{	/* Tools/trace.sch 53 */
								obj_t BgL_auxz00_7956;
								BgL_objectz00_bglt BgL_tmpz00_7952;

								BgL_auxz00_7956 = ((obj_t) BgL_wide1226z00_6021);
								BgL_tmpz00_7952 =
									((BgL_objectz00_bglt)
									((BgL_scnstz00_bglt)
										((BgL_scnstz00_bglt) BgL_valuez00_5720)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7952, BgL_auxz00_7956);
							}
							((BgL_objectz00_bglt)
								((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_5720)));
							{	/* Tools/trace.sch 53 */
								long BgL_arg1936z00_6022;

								BgL_arg1936z00_6022 =
									BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5720))),
									BgL_arg1936z00_6022);
							}
							((BgL_scnstz00_bglt)
								((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_5720)));
						}
						{
							BgL_approxz00_bglt BgL_auxz00_7978;
							BgL_scnstzf2cinfozf2_bglt BgL_auxz00_7970;

							{	/* Tools/trace.sch 53 */
								BgL_typez00_bglt BgL_arg1937z00_6023;

								BgL_arg1937z00_6023 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_5721)))->BgL_typez00);
								BgL_auxz00_7978 =
									BGl_makezd2typezd2approxz00zzcfa_approxz00
									(BgL_arg1937z00_6023);
							}
							{
								obj_t BgL_auxz00_7971;

								{	/* Tools/trace.sch 53 */
									BgL_objectz00_bglt BgL_tmpz00_7972;

									BgL_tmpz00_7972 =
										((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5720)));
									BgL_auxz00_7971 = BGL_OBJECT_WIDENING(BgL_tmpz00_7972);
								}
								BgL_auxz00_7970 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_7971);
							}
							((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7970))->
									BgL_approxz00) =
								((BgL_approxz00_bglt) BgL_auxz00_7978), BUNSPEC);
						}
						return
							((obj_t)
							((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_5720)));
					}
			}
		}

	}



/* &variable-value-setup1774 */
	obj_t BGl_z62variablezd2valuezd2setup1774z62zzcfa_setupz00(obj_t
		BgL_envz00_5722, obj_t BgL_valuez00_5723, obj_t BgL_varz00_5724)
	{
		{	/* Cfa/setup.scm 163 */
			return CNST_TABLE_REF(((long) 5));
		}

	}



/* &variable-value-setup1772 */
	obj_t BGl_z62variablezd2valuezd2setup1772z62zzcfa_setupz00(obj_t
		BgL_envz00_5725, obj_t BgL_valuez00_5726, obj_t BgL_varz00_5727)
	{
		{	/* Cfa/setup.scm 156 */
			{
				BgL_sexitz00_bglt BgL_auxz00_7987;

				{	/* Cfa/setup.scm 157 */
					BgL_sexitzf2cinfozf2_bglt BgL_wide1214z00_6026;

					BgL_wide1214z00_6026 =
						((BgL_sexitzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2cinfozf2_bgl))));
					{	/* Cfa/setup.scm 157 */
						obj_t BgL_auxz00_7993;
						BgL_objectz00_bglt BgL_tmpz00_7989;

						BgL_auxz00_7993 = ((obj_t) BgL_wide1214z00_6026);
						BgL_tmpz00_7989 =
							((BgL_objectz00_bglt)
							((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5726)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7989, BgL_auxz00_7993);
					}
					((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5726)));
					{	/* Cfa/setup.scm 157 */
						long BgL_arg1917z00_6027;

						BgL_arg1917z00_6027 =
							BGL_CLASS_NUM(BGl_sexitzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt)
									((BgL_sexitz00_bglt) BgL_valuez00_5726))),
							BgL_arg1917z00_6027);
					}
					((BgL_sexitz00_bglt)
						((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5726)));
				}
				{
					BgL_approxz00_bglt BgL_auxz00_8015;
					BgL_sexitzf2cinfozf2_bglt BgL_auxz00_8007;

					{	/* Cfa/setup.scm 158 */
						BgL_typez00_bglt BgL_arg1918z00_6028;

						BgL_arg1918z00_6028 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_5727)))->BgL_typez00);
						BgL_auxz00_8015 =
							BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1918z00_6028);
					}
					{
						obj_t BgL_auxz00_8008;

						{	/* Cfa/setup.scm 158 */
							BgL_objectz00_bglt BgL_tmpz00_8009;

							BgL_tmpz00_8009 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5726)));
							BgL_auxz00_8008 = BGL_OBJECT_WIDENING(BgL_tmpz00_8009);
						}
						BgL_auxz00_8007 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_8008);
					}
					((((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8007))->
							BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_8015), BUNSPEC);
				}
				BgL_auxz00_7987 =
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5726));
				return ((obj_t) BgL_auxz00_7987);
			}
		}

	}



/* &variable-value-setup1770 */
	obj_t BGl_z62variablezd2valuezd2setup1770z62zzcfa_setupz00(obj_t
		BgL_envz00_5728, obj_t BgL_valuez00_5729, obj_t BgL_varz00_5730)
	{
		{	/* Cfa/setup.scm 148 */
			{

				{	/* Cfa/setup.scm 148 */
					obj_t BgL_nextzd2method1769zd2_6031;

					BgL_nextzd2method1769zd2_6031 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_svarz00_bglt) BgL_valuez00_5729)),
						BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
						BGl_prezd2clozd2envz00zzcfa_infoz00);
					((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1769zd2_6031))
						(BgL_nextzd2method1769zd2_6031,
						((obj_t) ((BgL_svarz00_bglt) BgL_valuez00_5729)), BgL_varz00_5730,
						BEOA);
				}
				{	/* Cfa/setup.scm 151 */
					BgL_valuez00_bglt BgL_arg1916z00_6032;

					BgL_arg1916z00_6032 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_varz00_5730))))->BgL_valuez00);
					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_8036;

						{
							obj_t BgL_auxz00_8037;

							{	/* Cfa/setup.scm 151 */
								BgL_objectz00_bglt BgL_tmpz00_8038;

								BgL_tmpz00_8038 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_arg1916z00_6032));
								BgL_auxz00_8037 = BGL_OBJECT_WIDENING(BgL_tmpz00_8038);
							}
							BgL_auxz00_8036 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8037);
						}
						return
							((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8036))->
								BgL_clozd2envzf3z21) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
				}
			}
		}

	}



/* &variable-value-setup1768 */
	obj_t BGl_z62variablezd2valuezd2setup1768z62zzcfa_setupz00(obj_t
		BgL_envz00_5731, obj_t BgL_valuez00_5732, obj_t BgL_varz00_5733)
	{
		{	/* Cfa/setup.scm 135 */
			{	/* Cfa/setup.scm 136 */
				BgL_typez00_bglt BgL_typz00_6035;

				BgL_typz00_6035 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_5733)))->BgL_typez00);
				{	/* Cfa/setup.scm 137 */
					bool_t BgL_test2458z00_8046;

					{	/* Cfa/setup.scm 137 */
						obj_t BgL_classz00_6036;

						BgL_classz00_6036 = BGl_globalz00zzast_varz00;
						{	/* Cfa/setup.scm 137 */
							BgL_objectz00_bglt BgL_arg1820z00_6037;

							{	/* Cfa/setup.scm 137 */
								obj_t BgL_tmpz00_8047;

								BgL_tmpz00_8047 =
									((obj_t) ((BgL_variablez00_bglt) BgL_varz00_5733));
								BgL_arg1820z00_6037 = (BgL_objectz00_bglt) (BgL_tmpz00_8047);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/setup.scm 137 */
									long BgL_idxz00_6038;

									BgL_idxz00_6038 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6037);
									BgL_test2458z00_8046 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6038 + ((long) 2))) == BgL_classz00_6036);
								}
							else
								{	/* Cfa/setup.scm 137 */
									bool_t BgL_res2279z00_6041;

									{	/* Cfa/setup.scm 137 */
										obj_t BgL_oclassz00_6042;

										{	/* Cfa/setup.scm 137 */
											long BgL_arg1828z00_6043;

											{	/* Cfa/setup.scm 137 */
												long BgL_arg1829z00_6044;

												BgL_arg1829z00_6044 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6037);
												BgL_arg1828z00_6043 =
													(BgL_arg1829z00_6044 - OBJECT_TYPE);
											}
											BgL_oclassz00_6042 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_6043);
										}
										{	/* Cfa/setup.scm 137 */
											bool_t BgL__ortest_1111z00_6045;

											BgL__ortest_1111z00_6045 =
												(BgL_classz00_6036 == BgL_oclassz00_6042);
											if (BgL__ortest_1111z00_6045)
												{	/* Cfa/setup.scm 137 */
													BgL_res2279z00_6041 = BgL__ortest_1111z00_6045;
												}
											else
												{	/* Cfa/setup.scm 137 */
													long BgL_odepthz00_6046;

													BgL_odepthz00_6046 =
														BGL_CLASS_DEPTH(BgL_oclassz00_6042);
													if ((((long) 2) < BgL_odepthz00_6046))
														{	/* Cfa/setup.scm 137 */
															obj_t BgL_arg1816z00_6047;

															BgL_arg1816z00_6047 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6042,
																((long) 2));
															BgL_res2279z00_6041 =
																(BgL_arg1816z00_6047 == BgL_classz00_6036);
														}
													else
														{	/* Cfa/setup.scm 137 */
															BgL_res2279z00_6041 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2458z00_8046 = BgL_res2279z00_6041;
								}
						}
					}
					if (BgL_test2458z00_8046)
						{	/* Cfa/setup.scm 138 */
							BgL_svarz00_bglt BgL_valuez00_6048;

							{	/* Cfa/setup.scm 138 */
								BgL_svarzf2cinfozf2_bglt BgL_wide1206z00_6049;

								BgL_wide1206z00_6049 =
									((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_svarzf2cinfozf2_bgl))));
								{	/* Cfa/setup.scm 138 */
									obj_t BgL_auxz00_8072;
									BgL_objectz00_bglt BgL_tmpz00_8068;

									BgL_auxz00_8072 = ((obj_t) BgL_wide1206z00_6049);
									BgL_tmpz00_8068 =
										((BgL_objectz00_bglt)
										((BgL_svarz00_bglt)
											((BgL_svarz00_bglt) BgL_valuez00_5732)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8068, BgL_auxz00_8072);
								}
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5732)));
								{	/* Cfa/setup.scm 138 */
									long BgL_arg1914z00_6050;

									BgL_arg1914z00_6050 =
										BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5732))),
										BgL_arg1914z00_6050);
								}
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5732)));
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8086;

								{
									obj_t BgL_auxz00_8087;

									{	/* Cfa/setup.scm 139 */
										BgL_objectz00_bglt BgL_tmpz00_8088;

										BgL_tmpz00_8088 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5732)));
										BgL_auxz00_8087 = BGL_OBJECT_WIDENING(BgL_tmpz00_8088);
									}
									BgL_auxz00_8086 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8087);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8086))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2typezd2approxz00zzcfa_approxz00
										(BgL_typz00_6035)), BUNSPEC);
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8096;

								{
									obj_t BgL_auxz00_8097;

									{	/* Cfa/setup.scm 139 */
										BgL_objectz00_bglt BgL_tmpz00_8098;

										BgL_tmpz00_8098 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5732)));
										BgL_auxz00_8097 = BGL_OBJECT_WIDENING(BgL_tmpz00_8098);
									}
									BgL_auxz00_8096 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8097);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8096))->
										BgL_clozd2envzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8105;

								{
									obj_t BgL_auxz00_8106;

									{	/* Cfa/setup.scm 139 */
										BgL_objectz00_bglt BgL_tmpz00_8107;

										BgL_tmpz00_8107 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5732)));
										BgL_auxz00_8106 = BGL_OBJECT_WIDENING(BgL_tmpz00_8107);
									}
									BgL_auxz00_8105 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8106);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8105))->
										BgL_stampz00) = ((long) ((long) -1)), BUNSPEC);
							}
							BgL_valuez00_6048 =
								((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5732));
							{	/* Cfa/setup.scm 140 */
								bool_t BgL_test2462z00_8116;

								if (
									((((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt)
														((BgL_variablez00_bglt) BgL_varz00_5733))))->
											BgL_importz00) == CNST_TABLE_REF(((long) 6))))
									{	/* Cfa/setup.scm 140 */
										BgL_test2462z00_8116 = ((bool_t) 0);
									}
								else
									{	/* Cfa/setup.scm 140 */
										BgL_test2462z00_8116 =
											BGl_alloczd2typezf3z21zzcfa_setupz00(BgL_typz00_6035);
									}
								if (BgL_test2462z00_8116)
									{	/* Cfa/setup.scm 141 */
										BgL_approxz00_bglt BgL_arg1910z00_6051;

										{
											BgL_svarzf2cinfozf2_bglt BgL_auxz00_8124;

											{
												obj_t BgL_auxz00_8125;

												{	/* Cfa/setup.scm 141 */
													BgL_objectz00_bglt BgL_tmpz00_8126;

													BgL_tmpz00_8126 =
														((BgL_objectz00_bglt) BgL_valuez00_6048);
													BgL_auxz00_8125 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8126);
												}
												BgL_auxz00_8124 =
													((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8125);
											}
											BgL_arg1910z00_6051 =
												(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8124))->
												BgL_approxz00);
										}
										return
											BGl_approxzd2setzd2topz12z12zzcfa_approxz00
											(BgL_arg1910z00_6051);
									}
								else
									{	/* Cfa/setup.scm 140 */
										return BFALSE;
									}
							}
						}
					else
						{	/* Cfa/setup.scm 137 */
							{	/* Cfa/setup.scm 142 */
								BgL_svarzf2cinfozf2_bglt BgL_wide1210z00_6052;

								BgL_wide1210z00_6052 =
									((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_svarzf2cinfozf2_bgl))));
								{	/* Cfa/setup.scm 142 */
									obj_t BgL_auxz00_8137;
									BgL_objectz00_bglt BgL_tmpz00_8133;

									BgL_auxz00_8137 = ((obj_t) BgL_wide1210z00_6052);
									BgL_tmpz00_8133 =
										((BgL_objectz00_bglt)
										((BgL_svarz00_bglt)
											((BgL_svarz00_bglt) BgL_valuez00_5732)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8133, BgL_auxz00_8137);
								}
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5732)));
								{	/* Cfa/setup.scm 142 */
									long BgL_arg1915z00_6053;

									BgL_arg1915z00_6053 =
										BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5732))),
										BgL_arg1915z00_6053);
								}
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5732)));
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8151;

								{
									obj_t BgL_auxz00_8152;

									{	/* Cfa/setup.scm 143 */
										BgL_objectz00_bglt BgL_tmpz00_8153;

										BgL_tmpz00_8153 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5732)));
										BgL_auxz00_8152 = BGL_OBJECT_WIDENING(BgL_tmpz00_8153);
									}
									BgL_auxz00_8151 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8152);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8151))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2typezd2approxz00zzcfa_approxz00
										(BgL_typz00_6035)), BUNSPEC);
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8161;

								{
									obj_t BgL_auxz00_8162;

									{	/* Cfa/setup.scm 143 */
										BgL_objectz00_bglt BgL_tmpz00_8163;

										BgL_tmpz00_8163 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5732)));
										BgL_auxz00_8162 = BGL_OBJECT_WIDENING(BgL_tmpz00_8163);
									}
									BgL_auxz00_8161 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8162);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8161))->
										BgL_clozd2envzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8170;

								{
									obj_t BgL_auxz00_8171;

									{	/* Cfa/setup.scm 143 */
										BgL_objectz00_bglt BgL_tmpz00_8172;

										BgL_tmpz00_8172 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5732)));
										BgL_auxz00_8171 = BGL_OBJECT_WIDENING(BgL_tmpz00_8172);
									}
									BgL_auxz00_8170 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8171);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8170))->
										BgL_stampz00) = ((long) ((long) -1)), BUNSPEC);
							}
							return
								((obj_t)
								((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5732)));
						}
				}
			}
		}

	}



/* &variable-value-setup1766 */
	obj_t BGl_z62variablezd2valuezd2setup1766z62zzcfa_setupz00(obj_t
		BgL_envz00_5734, obj_t BgL_valuez00_5735, obj_t BgL_varz00_5736)
	{
		{	/* Cfa/setup.scm 127 */
			return BUNSPEC;
		}

	}



/* &node-setup!-var1761 */
	obj_t BGl_z62nodezd2setupz12zd2var1761z70zzcfa_setupz00(obj_t BgL_envz00_5737,
		obj_t BgL_nodez00_5738)
	{
		{	/* Cfa/setup.scm 95 */
			BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(
				(((BgL_variablez00_bglt) COBJECT(
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_5738)))->BgL_variablez00)))->
					BgL_valuez00),
				(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_nodez00_5738)))->
					BgL_variablez00));
			{	/* Cfa/setup.scm 100 */
				bool_t BgL_test2464z00_8188;

				{	/* Cfa/setup.scm 100 */
					bool_t BgL_test2465z00_8189;

					{	/* Cfa/setup.scm 100 */
						BgL_variablez00_bglt BgL_arg1904z00_6056;

						BgL_arg1904z00_6056 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_nodez00_5738)))->BgL_variablez00);
						{	/* Cfa/setup.scm 100 */
							obj_t BgL_classz00_6057;

							BgL_classz00_6057 = BGl_localz00zzast_varz00;
							{	/* Cfa/setup.scm 100 */
								BgL_objectz00_bglt BgL_arg1820z00_6058;

								{	/* Cfa/setup.scm 100 */
									obj_t BgL_tmpz00_8192;

									BgL_tmpz00_8192 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1904z00_6056));
									BgL_arg1820z00_6058 = (BgL_objectz00_bglt) (BgL_tmpz00_8192);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/setup.scm 100 */
										long BgL_idxz00_6059;

										BgL_idxz00_6059 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6058);
										BgL_test2465z00_8189 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6059 + ((long) 2))) == BgL_classz00_6057);
									}
								else
									{	/* Cfa/setup.scm 100 */
										bool_t BgL_res2275z00_6062;

										{	/* Cfa/setup.scm 100 */
											obj_t BgL_oclassz00_6063;

											{	/* Cfa/setup.scm 100 */
												long BgL_arg1828z00_6064;

												{	/* Cfa/setup.scm 100 */
													long BgL_arg1829z00_6065;

													BgL_arg1829z00_6065 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6058);
													BgL_arg1828z00_6064 =
														(BgL_arg1829z00_6065 - OBJECT_TYPE);
												}
												BgL_oclassz00_6063 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_6064);
											}
											{	/* Cfa/setup.scm 100 */
												bool_t BgL__ortest_1111z00_6066;

												BgL__ortest_1111z00_6066 =
													(BgL_classz00_6057 == BgL_oclassz00_6063);
												if (BgL__ortest_1111z00_6066)
													{	/* Cfa/setup.scm 100 */
														BgL_res2275z00_6062 = BgL__ortest_1111z00_6066;
													}
												else
													{	/* Cfa/setup.scm 100 */
														long BgL_odepthz00_6067;

														BgL_odepthz00_6067 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6063);
														if ((((long) 2) < BgL_odepthz00_6067))
															{	/* Cfa/setup.scm 100 */
																obj_t BgL_arg1816z00_6068;

																BgL_arg1816z00_6068 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6063,
																	((long) 2));
																BgL_res2275z00_6062 =
																	(BgL_arg1816z00_6068 == BgL_classz00_6057);
															}
														else
															{	/* Cfa/setup.scm 100 */
																BgL_res2275z00_6062 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2465z00_8189 = BgL_res2275z00_6062;
									}
							}
						}
					}
					if (BgL_test2465z00_8189)
						{	/* Cfa/setup.scm 100 */
							bool_t BgL_test2469z00_8212;

							{	/* Cfa/setup.scm 100 */
								BgL_variablez00_bglt BgL_arg1903z00_6069;

								BgL_arg1903z00_6069 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_5738)))->BgL_variablez00);
								{	/* Cfa/setup.scm 100 */
									obj_t BgL_classz00_6070;

									BgL_classz00_6070 = BGl_reshapedzd2localzd2zzcfa_infoz00;
									{	/* Cfa/setup.scm 100 */
										BgL_objectz00_bglt BgL_arg1820z00_6071;

										{	/* Cfa/setup.scm 100 */
											obj_t BgL_tmpz00_8215;

											BgL_tmpz00_8215 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1903z00_6069));
											BgL_arg1820z00_6071 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8215);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/setup.scm 100 */
												long BgL_idxz00_6072;

												BgL_idxz00_6072 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6071);
												BgL_test2469z00_8212 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6072 + ((long) 3))) ==
													BgL_classz00_6070);
											}
										else
											{	/* Cfa/setup.scm 100 */
												bool_t BgL_res2276z00_6075;

												{	/* Cfa/setup.scm 100 */
													obj_t BgL_oclassz00_6076;

													{	/* Cfa/setup.scm 100 */
														long BgL_arg1828z00_6077;

														{	/* Cfa/setup.scm 100 */
															long BgL_arg1829z00_6078;

															BgL_arg1829z00_6078 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6071);
															BgL_arg1828z00_6077 =
																(BgL_arg1829z00_6078 - OBJECT_TYPE);
														}
														BgL_oclassz00_6076 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_6077);
													}
													{	/* Cfa/setup.scm 100 */
														bool_t BgL__ortest_1111z00_6079;

														BgL__ortest_1111z00_6079 =
															(BgL_classz00_6070 == BgL_oclassz00_6076);
														if (BgL__ortest_1111z00_6079)
															{	/* Cfa/setup.scm 100 */
																BgL_res2276z00_6075 = BgL__ortest_1111z00_6079;
															}
														else
															{	/* Cfa/setup.scm 100 */
																long BgL_odepthz00_6080;

																BgL_odepthz00_6080 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_6076);
																if ((((long) 3) < BgL_odepthz00_6080))
																	{	/* Cfa/setup.scm 100 */
																		obj_t BgL_arg1816z00_6081;

																		BgL_arg1816z00_6081 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_6076, ((long) 3));
																		BgL_res2276z00_6075 =
																			(BgL_arg1816z00_6081 ==
																			BgL_classz00_6070);
																	}
																else
																	{	/* Cfa/setup.scm 100 */
																		BgL_res2276z00_6075 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2469z00_8212 = BgL_res2276z00_6075;
											}
									}
								}
							}
							if (BgL_test2469z00_8212)
								{	/* Cfa/setup.scm 100 */
									BgL_test2464z00_8188 = ((bool_t) 0);
								}
							else
								{	/* Cfa/setup.scm 100 */
									BgL_test2464z00_8188 = ((bool_t) 1);
								}
						}
					else
						{	/* Cfa/setup.scm 100 */
							BgL_test2464z00_8188 = ((bool_t) 0);
						}
				}
				if (BgL_test2464z00_8188)
					{	/* Cfa/setup.scm 101 */
						BgL_localz00_bglt BgL_tmp1195z00_6082;

						BgL_tmp1195z00_6082 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_5738)))->BgL_variablez00));
						{	/* Cfa/setup.scm 101 */
							BgL_reshapedzd2localzd2_bglt BgL_wide1197z00_6083;

							BgL_wide1197z00_6083 =
								((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_reshapedzd2localzd2_bgl))));
							{	/* Cfa/setup.scm 101 */
								obj_t BgL_auxz00_8242;
								BgL_objectz00_bglt BgL_tmpz00_8239;

								BgL_auxz00_8242 = ((obj_t) BgL_wide1197z00_6083);
								BgL_tmpz00_8239 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_tmp1195z00_6082));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8239, BgL_auxz00_8242);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1195z00_6082));
							{	/* Cfa/setup.scm 101 */
								long BgL_arg1889z00_6084;

								BgL_arg1889z00_6084 =
									BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1195z00_6082)),
									BgL_arg1889z00_6084);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_tmp1195z00_6082));
						}
						{
							BgL_reshapedzd2localzd2_bglt BgL_auxz00_8253;

							{
								obj_t BgL_auxz00_8254;

								{	/* Cfa/setup.scm 101 */
									BgL_objectz00_bglt BgL_tmpz00_8255;

									BgL_tmpz00_8255 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1195z00_6082));
									BgL_auxz00_8254 = BGL_OBJECT_WIDENING(BgL_tmpz00_8255);
								}
								BgL_auxz00_8253 =
									((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_8254);
							}
							((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_8253))->
									BgL_bindingzd2valuezd2) = ((obj_t) BFALSE), BUNSPEC);
						}
						return ((obj_t) ((BgL_localz00_bglt) BgL_tmp1195z00_6082));
					}
				else
					{	/* Cfa/setup.scm 102 */
						bool_t BgL_test2473z00_8263;

						{	/* Cfa/setup.scm 102 */
							bool_t BgL_test2474z00_8264;

							{	/* Cfa/setup.scm 102 */
								BgL_variablez00_bglt BgL_arg1902z00_6085;

								BgL_arg1902z00_6085 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_5738)))->BgL_variablez00);
								{	/* Cfa/setup.scm 102 */
									obj_t BgL_classz00_6086;

									BgL_classz00_6086 = BGl_globalz00zzast_varz00;
									{	/* Cfa/setup.scm 102 */
										BgL_objectz00_bglt BgL_arg1820z00_6087;

										{	/* Cfa/setup.scm 102 */
											obj_t BgL_tmpz00_8267;

											BgL_tmpz00_8267 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1902z00_6085));
											BgL_arg1820z00_6087 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8267);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/setup.scm 102 */
												long BgL_idxz00_6088;

												BgL_idxz00_6088 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6087);
												BgL_test2474z00_8264 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6088 + ((long) 2))) ==
													BgL_classz00_6086);
											}
										else
											{	/* Cfa/setup.scm 102 */
												bool_t BgL_res2277z00_6091;

												{	/* Cfa/setup.scm 102 */
													obj_t BgL_oclassz00_6092;

													{	/* Cfa/setup.scm 102 */
														long BgL_arg1828z00_6093;

														{	/* Cfa/setup.scm 102 */
															long BgL_arg1829z00_6094;

															BgL_arg1829z00_6094 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6087);
															BgL_arg1828z00_6093 =
																(BgL_arg1829z00_6094 - OBJECT_TYPE);
														}
														BgL_oclassz00_6092 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_6093);
													}
													{	/* Cfa/setup.scm 102 */
														bool_t BgL__ortest_1111z00_6095;

														BgL__ortest_1111z00_6095 =
															(BgL_classz00_6086 == BgL_oclassz00_6092);
														if (BgL__ortest_1111z00_6095)
															{	/* Cfa/setup.scm 102 */
																BgL_res2277z00_6091 = BgL__ortest_1111z00_6095;
															}
														else
															{	/* Cfa/setup.scm 102 */
																long BgL_odepthz00_6096;

																BgL_odepthz00_6096 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_6092);
																if ((((long) 2) < BgL_odepthz00_6096))
																	{	/* Cfa/setup.scm 102 */
																		obj_t BgL_arg1816z00_6097;

																		BgL_arg1816z00_6097 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_6092, ((long) 2));
																		BgL_res2277z00_6091 =
																			(BgL_arg1816z00_6097 ==
																			BgL_classz00_6086);
																	}
																else
																	{	/* Cfa/setup.scm 102 */
																		BgL_res2277z00_6091 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2474z00_8264 = BgL_res2277z00_6091;
											}
									}
								}
							}
							if (BgL_test2474z00_8264)
								{	/* Cfa/setup.scm 102 */
									bool_t BgL_test2478z00_8287;

									{	/* Cfa/setup.scm 102 */
										BgL_variablez00_bglt BgL_arg1901z00_6098;

										BgL_arg1901z00_6098 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_nodez00_5738)))->
											BgL_variablez00);
										{	/* Cfa/setup.scm 102 */
											obj_t BgL_classz00_6099;

											BgL_classz00_6099 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
											{	/* Cfa/setup.scm 102 */
												BgL_objectz00_bglt BgL_arg1820z00_6100;

												{	/* Cfa/setup.scm 102 */
													obj_t BgL_tmpz00_8290;

													BgL_tmpz00_8290 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1901z00_6098));
													BgL_arg1820z00_6100 =
														(BgL_objectz00_bglt) (BgL_tmpz00_8290);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cfa/setup.scm 102 */
														long BgL_idxz00_6101;

														BgL_idxz00_6101 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6100);
														BgL_test2478z00_8287 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6101 + ((long) 3))) ==
															BgL_classz00_6099);
													}
												else
													{	/* Cfa/setup.scm 102 */
														bool_t BgL_res2278z00_6104;

														{	/* Cfa/setup.scm 102 */
															obj_t BgL_oclassz00_6105;

															{	/* Cfa/setup.scm 102 */
																long BgL_arg1828z00_6106;

																{	/* Cfa/setup.scm 102 */
																	long BgL_arg1829z00_6107;

																	BgL_arg1829z00_6107 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6100);
																	BgL_arg1828z00_6106 =
																		(BgL_arg1829z00_6107 - OBJECT_TYPE);
																}
																BgL_oclassz00_6105 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_6106);
															}
															{	/* Cfa/setup.scm 102 */
																bool_t BgL__ortest_1111z00_6108;

																BgL__ortest_1111z00_6108 =
																	(BgL_classz00_6099 == BgL_oclassz00_6105);
																if (BgL__ortest_1111z00_6108)
																	{	/* Cfa/setup.scm 102 */
																		BgL_res2278z00_6104 =
																			BgL__ortest_1111z00_6108;
																	}
																else
																	{	/* Cfa/setup.scm 102 */
																		long BgL_odepthz00_6109;

																		BgL_odepthz00_6109 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_6105);
																		if ((((long) 3) < BgL_odepthz00_6109))
																			{	/* Cfa/setup.scm 102 */
																				obj_t BgL_arg1816z00_6110;

																				BgL_arg1816z00_6110 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_6105, ((long) 3));
																				BgL_res2278z00_6104 =
																					(BgL_arg1816z00_6110 ==
																					BgL_classz00_6099);
																			}
																		else
																			{	/* Cfa/setup.scm 102 */
																				BgL_res2278z00_6104 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2478z00_8287 = BgL_res2278z00_6104;
													}
											}
										}
									}
									if (BgL_test2478z00_8287)
										{	/* Cfa/setup.scm 102 */
											BgL_test2473z00_8263 = ((bool_t) 0);
										}
									else
										{	/* Cfa/setup.scm 102 */
											BgL_test2473z00_8263 = ((bool_t) 1);
										}
								}
							else
								{	/* Cfa/setup.scm 102 */
									BgL_test2473z00_8263 = ((bool_t) 0);
								}
						}
						if (BgL_test2473z00_8263)
							{	/* Cfa/setup.scm 103 */
								BgL_globalz00_bglt BgL_tmp1199z00_6111;

								BgL_tmp1199z00_6111 =
									((BgL_globalz00_bglt)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_5738)))->
										BgL_variablez00));
								{	/* Cfa/setup.scm 103 */
									BgL_reshapedzd2globalzd2_bglt BgL_wide1201z00_6112;

									BgL_wide1201z00_6112 =
										((BgL_reshapedzd2globalzd2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_reshapedzd2globalzd2_bgl))));
									{	/* Cfa/setup.scm 103 */
										obj_t BgL_auxz00_8317;
										BgL_objectz00_bglt BgL_tmpz00_8314;

										BgL_auxz00_8317 = ((obj_t) BgL_wide1201z00_6112);
										BgL_tmpz00_8314 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_tmp1199z00_6111));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8314, BgL_auxz00_8317);
									}
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_tmp1199z00_6111));
									{	/* Cfa/setup.scm 103 */
										long BgL_arg1900z00_6113;

										BgL_arg1900z00_6113 =
											BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_tmp1199z00_6111)),
											BgL_arg1900z00_6113);
									}
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_tmp1199z00_6111));
								}
								return ((obj_t) ((BgL_globalz00_bglt) BgL_tmp1199z00_6111));
							}
						else
							{	/* Cfa/setup.scm 102 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &node-setup!-kwote/no1759 */
	obj_t BGl_z62nodezd2setupz12zd2kwotezf2no1759z82zzcfa_setupz00(obj_t
		BgL_envz00_5739, obj_t BgL_kwotez00_5740)
	{
		{	/* Cfa/setup.scm 88 */
			{	/* Cfa/setup.scm 90 */
				BgL_nodez00_bglt BgL_arg1876z00_6115;

				{
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_8330;

					{
						obj_t BgL_auxz00_8331;

						{	/* Cfa/setup.scm 90 */
							BgL_objectz00_bglt BgL_tmpz00_8332;

							BgL_tmpz00_8332 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_kwotez00_5740));
							BgL_auxz00_8331 = BGL_OBJECT_WIDENING(BgL_tmpz00_8332);
						}
						BgL_auxz00_8330 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_8331);
					}
					BgL_arg1876z00_6115 =
						(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_8330))->
						BgL_nodez00);
				}
				return BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_arg1876z00_6115);
			}
		}

	}



/* &node-setup!-kwote1757 */
	obj_t BGl_z62nodezd2setupz12zd2kwote1757z70zzcfa_setupz00(obj_t
		BgL_envz00_5741, obj_t BgL_nodez00_5742)
	{
		{	/* Cfa/setup.scm 78 */
			{	/* Cfa/setup.scm 80 */
				BgL_approxz00_bglt BgL_approxz00_6117;

				BgL_approxz00_6117 =
					BGl_makezd2typezd2approxz00zzcfa_approxz00
					(BGl_getzd2typezd2kwotez00zztype_typeofz00((((BgL_kwotez00_bglt)
								COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_5742)))->
							BgL_valuez00)));
				((((BgL_approxz00_bglt) COBJECT(BgL_approxz00_6117))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				{	/* Cfa/setup.scm 82 */
					BgL_kwotezf2cinfozf2_bglt BgL_wide1191z00_6118;

					BgL_wide1191z00_6118 =
						((BgL_kwotezf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2cinfozf2_bgl))));
					{	/* Cfa/setup.scm 82 */
						obj_t BgL_auxz00_8349;
						BgL_objectz00_bglt BgL_tmpz00_8345;

						BgL_auxz00_8349 = ((obj_t) BgL_wide1191z00_6118);
						BgL_tmpz00_8345 =
							((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5742)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8345, BgL_auxz00_8349);
					}
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5742)));
					{	/* Cfa/setup.scm 82 */
						long BgL_arg1873z00_6119;

						BgL_arg1873z00_6119 =
							BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_nodez00_5742))),
							BgL_arg1873z00_6119);
					}
					((BgL_kwotez00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5742)));
				}
				{
					BgL_kwotezf2cinfozf2_bglt BgL_auxz00_8363;

					{
						obj_t BgL_auxz00_8364;

						{	/* Cfa/setup.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_8365;

							BgL_tmpz00_8365 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5742)));
							BgL_auxz00_8364 = BGL_OBJECT_WIDENING(BgL_tmpz00_8365);
						}
						BgL_auxz00_8363 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_8364);
					}
					((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_8363))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approxz00_6117), BUNSPEC);
				}
				return
					((obj_t)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5742)));
			}
		}

	}



/* &node-setup!-patch1755 */
	obj_t BGl_z62nodezd2setupz12zd2patch1755z70zzcfa_setupz00(obj_t
		BgL_envz00_5743, obj_t BgL_nodez00_5744)
	{
		{	/* Cfa/setup.scm 69 */
			{	/* Cfa/setup.scm 71 */
				obj_t BgL_arg1868z00_6121;

				BgL_arg1868z00_6121 =
					(((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt)
								((BgL_patchz00_bglt) BgL_nodez00_5744))))->BgL_valuez00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1868z00_6121));
			}
			{	/* Cfa/setup.scm 72 */
				BgL_patchzf2cinfozf2_bglt BgL_wide1186z00_6122;

				BgL_wide1186z00_6122 =
					((BgL_patchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_patchzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 72 */
					obj_t BgL_auxz00_8385;
					BgL_objectz00_bglt BgL_tmpz00_8381;

					BgL_auxz00_8385 = ((obj_t) BgL_wide1186z00_6122);
					BgL_tmpz00_8381 =
						((BgL_objectz00_bglt)
						((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5744)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8381, BgL_auxz00_8385);
				}
				((BgL_objectz00_bglt)
					((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5744)));
				{	/* Cfa/setup.scm 72 */
					long BgL_arg1870z00_6123;

					BgL_arg1870z00_6123 =
						BGL_CLASS_NUM(BGl_patchzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_patchz00_bglt)
								((BgL_patchz00_bglt) BgL_nodez00_5744))), BgL_arg1870z00_6123);
				}
				((BgL_patchz00_bglt)
					((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5744)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_8407;
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_8399;

				{	/* Cfa/setup.scm 73 */
					BgL_typez00_bglt BgL_arg1871z00_6124;

					BgL_arg1871z00_6124 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_patchz00_bglt) BgL_nodez00_5744))))->BgL_typez00);
					BgL_auxz00_8407 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1871z00_6124);
				}
				{
					obj_t BgL_auxz00_8400;

					{	/* Cfa/setup.scm 73 */
						BgL_objectz00_bglt BgL_tmpz00_8401;

						BgL_tmpz00_8401 =
							((BgL_objectz00_bglt)
							((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5744)));
						BgL_auxz00_8400 = BGL_OBJECT_WIDENING(BgL_tmpz00_8401);
					}
					BgL_auxz00_8399 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_8400);
				}
				((((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8399))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_8407), BUNSPEC);
			}
			return
				((obj_t) ((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5744)));
		}

	}



/* &node-setup!-literal1753 */
	obj_t BGl_z62nodezd2setupz12zd2literal1753z70zzcfa_setupz00(obj_t
		BgL_envz00_5745, obj_t BgL_nodez00_5746)
	{
		{	/* Cfa/setup.scm 61 */
			{	/* Cfa/setup.scm 63 */
				BgL_literalzf2cinfozf2_bglt BgL_wide1181z00_6126;

				BgL_wide1181z00_6126 =
					((BgL_literalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_literalzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 63 */
					obj_t BgL_auxz00_8421;
					BgL_objectz00_bglt BgL_tmpz00_8417;

					BgL_auxz00_8421 = ((obj_t) BgL_wide1181z00_6126);
					BgL_tmpz00_8417 =
						((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5746)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8417, BgL_auxz00_8421);
				}
				((BgL_objectz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5746)));
				{	/* Cfa/setup.scm 63 */
					long BgL_arg1865z00_6127;

					BgL_arg1865z00_6127 =
						BGL_CLASS_NUM(BGl_literalzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_literalz00_bglt)
								((BgL_literalz00_bglt) BgL_nodez00_5746))),
						BgL_arg1865z00_6127);
				}
				((BgL_literalz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5746)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_8443;
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_8435;

				{	/* Cfa/setup.scm 64 */
					BgL_typez00_bglt BgL_arg1866z00_6128;

					{	/* Cfa/setup.scm 64 */
						obj_t BgL_arg1867z00_6129;

						BgL_arg1867z00_6129 =
							(((BgL_atomz00_bglt) COBJECT(
									((BgL_atomz00_bglt)
										((BgL_literalz00_bglt) BgL_nodez00_5746))))->BgL_valuez00);
						BgL_arg1866z00_6128 =
							BGl_getzd2typezd2atomz00zztype_typeofz00(BgL_arg1867z00_6129);
					}
					BgL_auxz00_8443 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1866z00_6128);
				}
				{
					obj_t BgL_auxz00_8436;

					{	/* Cfa/setup.scm 64 */
						BgL_objectz00_bglt BgL_tmpz00_8437;

						BgL_tmpz00_8437 =
							((BgL_objectz00_bglt)
							((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5746)));
						BgL_auxz00_8436 = BGL_OBJECT_WIDENING(BgL_tmpz00_8437);
					}
					BgL_auxz00_8435 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_8436);
				}
				((((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8435))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_8443), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5746)));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 54924680),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_pairz00(((long) 37668556),
				BSTRING_TO_STRING(BGl_string2338z00zzcfa_setupz00));
		}

	}

#ifdef __cplusplus
}
#endif
