/*===========================================================================*/
/*   (Cfa/type.scm)                                                          */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/type.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_vapproxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
		bool_t BgL_tvectorzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;


	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setq1688z70zzcfa_typez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62typezd2variablez12zd2sexit1641z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_za2optimzd2cfazf3za2z21zzengine_paramz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2cvarzf21639z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_typez00(void);
	BGL_EXPORTED_DECL obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	static obj_t BGl_z62typezd2variablez12zd2svarzf21635z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt);
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_typez00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00(void);
	static obj_t BGl_z62typezd2variablez121632za2zzcfa_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2atom1647z70zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure1663z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure1665z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2var1700za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1704z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62typezd2nodez121644za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app1659z70zzcfa_typez00(obj_t,
		obj_t);
	static obj_t BGl_cleanupzd2typeze70z35zzcfa_typez00(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_gczd2rootszd2initz00zzcfa_typez00(void);
	static obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00(void);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcall1673z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcallzf2C1675z82zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_setzd2everyzd2zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62typezd2variablez12zd2inter1643z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sync1657z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vsetz121683z62zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2switch1696z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_typez00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2fail1694z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_typez00(void);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_typez00(void);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00(void);
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	extern obj_t BGl_setzd2headzd2zzcfa_setz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz121709zb0zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2makezd2box1706za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2arithmeti1661z70zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2scnst1637z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vref1681z70zzcfa_typez00(obj_t, obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2fun1698za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2kwote1649z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var1651z70zzcfa_typez00(obj_t,
		obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition1690z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition1692z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci1671z50zzcfa_typez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2ref1711za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sequence1655z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it1702z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_typez00(void);
	static obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00(void);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2valloc1679z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2closure1653z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2ly1669za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd21667z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2cast1686z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2extern1677z70zzcfa_typez00(obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_STRING(BGl_string2302z00zzcfa_typez00,
		BgL_bgl_string2302za700za7za7c2353za7, "type-fun!", 9);
	      DEFINE_STRING(BGl_string2303z00zzcfa_typez00,
		BgL_bgl_string2303za700za7za7c2354za7, "Unknown value", 13);
	      DEFINE_STRING(BGl_string2305z00zzcfa_typez00,
		BgL_bgl_string2305za700za7za7c2355za7, "type-variable!1632", 18);
	      DEFINE_STRING(BGl_string2307z00zzcfa_typez00,
		BgL_bgl_string2307za700za7za7c2356za7, "type-node!1644", 14);
	      DEFINE_STRING(BGl_string2308z00zzcfa_typez00,
		BgL_bgl_string2308za700za7za7c2357za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2310z00zzcfa_typez00,
		BgL_bgl_string2310za700za7za7c2358za7, "type-variable!", 14);
	      DEFINE_STRING(BGl_string2316z00zzcfa_typez00,
		BgL_bgl_string2316za700za7za7c2359za7, "type-node!", 10);
	extern obj_t BGl_makezd2vectorzd2appzf3zd2envz21zzcfa_info2z00;
	   
		 
		DEFINE_STRING(BGl_string2348z00zzcfa_typez00,
		BgL_bgl_string2348za700za7za7c2360za7, "unexpected node", 15);
	      DEFINE_STRING(BGl_string2349z00zzcfa_typez00,
		BgL_bgl_string2349za700za7za7c2361za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2350z00zzcfa_typez00,
		BgL_bgl_string2350za700za7za7c2362za7, "cfa_type", 8);
	      DEFINE_STRING(BGl_string2351z00zzcfa_typez00,
		BgL_bgl_string2351za700za7za7c2363za7,
		"nothing static (light elight) type-node!1644 bigloo ", 52);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2364z00,
		BGl_z62typezd2variablez12za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2304z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2365z00,
		BGl_z62typezd2variablez121632za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2306z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712366za7,
		BGl_z62typezd2nodez121644za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2309z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2367z00,
		BGl_z62typezd2variablez12zd2svarzf21635z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2311z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2368z00,
		BGl_z62typezd2variablez12zd2scnst1637z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2312z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2369z00,
		BGl_z62typezd2variablez12zd2cvarzf21639z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2313z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2370z00,
		BGl_z62typezd2variablez12zd2sexit1641z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2314z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2371z00,
		BGl_z62typezd2variablez12zd2inter1643z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2315z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712372za7,
		BGl_z62typezd2nodez12zd2atom1647z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2317z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712373za7,
		BGl_z62typezd2nodez12zd2kwote1649z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712374za7,
		BGl_z62typezd2nodez12zd2var1651z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712375za7,
		BGl_z62typezd2nodez12zd2closure1653z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712376za7,
		BGl_z62typezd2nodez12zd2sequence1655z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712377za7,
		BGl_z62typezd2nodez12zd2sync1657z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712378za7,
		BGl_z62typezd2nodez12zd2app1659z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712379za7,
		BGl_z62typezd2nodez12zd2arithmeti1661z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712380za7,
		BGl_z62typezd2nodez12zd2procedure1663z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712381za7,
		BGl_z62typezd2nodez12zd2procedure1665z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712382za7,
		BGl_z62typezd2nodez12zd2conszd2refzd21667z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712383za7,
		BGl_z62typezd2nodez12zd2appzd2ly1669za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712384za7,
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci1671z50zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712385za7,
		BGl_z62typezd2nodez12zd2funcall1673z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712386za7,
		BGl_z62typezd2nodez12zd2funcallzf2C1675z82zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712387za7,
		BGl_z62typezd2nodez12zd2extern1677z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712388za7,
		BGl_z62typezd2nodez12zd2valloc1679z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712389za7,
		BGl_z62typezd2nodez12zd2vref1681z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712390za7,
		BGl_z62typezd2nodez12zd2vsetz121683z62zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712391za7,
		BGl_z62typezd2nodez12zd2cast1686z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712392za7,
		BGl_z62typezd2nodez12zd2setq1688z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712393za7,
		BGl_z62typezd2nodez12zd2condition1690z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712394za7,
		BGl_z62typezd2nodez12zd2condition1692z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712395za7,
		BGl_z62typezd2nodez12zd2fail1694z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712396za7,
		BGl_z62typezd2nodez12zd2switch1696z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712397za7,
		BGl_z62typezd2nodez12zd2letzd2fun1698za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712398za7,
		BGl_z62typezd2nodez12zd2letzd2var1700za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712399za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it1702z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712400za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1704z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712401za7,
		BGl_z62typezd2nodez12zd2makezd2box1706za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712402za7,
		BGl_z62typezd2nodez12zd2boxzd2setz121709zb0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712403za7,
		BGl_z62typezd2nodez12zd2boxzd2ref1711za2zzcfa_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2settingsz12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2settin2404z00,
		BGl_z62typezd2settingsz12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712405za7,
		BGl_z62typezd2nodez12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2approxzd2typezd2envzd2zzcfa_typez00,
		BgL_bgl_za762getza7d2approxza72406za7,
		BGl_z62getzd2approxzd2typez62zzcfa_typez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_valloczf2Cinfozb2optimzf3zd2envz61zzcfa_info3z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_typez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long
		BgL_checksumz00_6354, char *BgL_fromz00_6355)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_typez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_typez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_typez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
					BGl_cnstzd2initzd2zzcfa_typez00();
					BGl_importedzd2moduleszd2initz00zzcfa_typez00();
					BGl_genericzd2initzd2zzcfa_typez00();
					BGl_methodzd2initzd2zzcfa_typez00();
					return BGl_toplevelzd2initzd2zzcfa_typez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_type");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			{	/* Cfa/type.scm 15 */
				obj_t BgL_cportz00_6085;

				{	/* Cfa/type.scm 15 */
					obj_t BgL_stringz00_6092;

					BgL_stringz00_6092 = BGl_string2351z00zzcfa_typez00;
					{	/* Cfa/type.scm 15 */
						obj_t BgL_startz00_6093;

						BgL_startz00_6093 = BINT(((long) 0));
						{	/* Cfa/type.scm 15 */
							obj_t BgL_endz00_6094;

							BgL_endz00_6094 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_6092)));
							{	/* Cfa/type.scm 15 */

								BgL_cportz00_6085 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_6092, BgL_startz00_6093, BgL_endz00_6094);
				}}}}
				{
					long BgL_iz00_6086;

					BgL_iz00_6086 = ((long) 4);
				BgL_loopz00_6087:
					if ((BgL_iz00_6086 == ((long) -1)))
						{	/* Cfa/type.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/type.scm 15 */
							{	/* Cfa/type.scm 15 */
								obj_t BgL_arg2352z00_6088;

								{	/* Cfa/type.scm 15 */

									{	/* Cfa/type.scm 15 */
										obj_t BgL_locationz00_6090;

										BgL_locationz00_6090 = BBOOL(((bool_t) 0));
										{	/* Cfa/type.scm 15 */

											BgL_arg2352z00_6088 =
												BGl_readz00zz__readerz00(BgL_cportz00_6085,
												BgL_locationz00_6090);
										}
									}
								}
								{	/* Cfa/type.scm 15 */
									int BgL_tmpz00_6386;

									BgL_tmpz00_6386 = (int) (BgL_iz00_6086);
									CNST_TABLE_SET(BgL_tmpz00_6386, BgL_arg2352z00_6088);
							}}
							{	/* Cfa/type.scm 15 */
								int BgL_auxz00_6091;

								BgL_auxz00_6091 = (int) ((BgL_iz00_6086 - ((long) 1)));
								{
									long BgL_iz00_6391;

									BgL_iz00_6391 = (long) (BgL_auxz00_6091);
									BgL_iz00_6086 = BgL_iz00_6391;
									goto BgL_loopz00_6087;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}

	}



/* type-settings! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t
		BgL_globalsz00_23)
	{
		{	/* Cfa/type.scm 42 */
			BGl_typezd2closuresz12zc0zzcfa_closurez00();
			{
				obj_t BgL_l1609z00_3798;

				{	/* Cfa/type.scm 47 */
					bool_t BgL_tmpz00_6395;

					BgL_l1609z00_3798 = BgL_globalsz00_23;
				BgL_zc3z04anonymousza31750ze3z87_3799:
					if (PAIRP(BgL_l1609z00_3798))
						{	/* Cfa/type.scm 47 */
							{	/* Cfa/type.scm 47 */
								obj_t BgL_arg1752z00_3801;

								BgL_arg1752z00_3801 = CAR(BgL_l1609z00_3798);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg1752z00_3801));
							}
							{
								obj_t BgL_l1609z00_6401;

								BgL_l1609z00_6401 = CDR(BgL_l1609z00_3798);
								BgL_l1609z00_3798 = BgL_l1609z00_6401;
								goto BgL_zc3z04anonymousza31750ze3z87_3799;
							}
						}
					else
						{	/* Cfa/type.scm 47 */
							BgL_tmpz00_6395 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_6395);
				}
			}
		}

	}



/* &type-settings! */
	obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t BgL_envz00_5946,
		obj_t BgL_globalsz00_5947)
	{
		{	/* Cfa/type.scm 42 */
			return BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_5947);
		}

	}



/* type-fun! */
	obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt BgL_varz00_24)
	{
		{	/* Cfa/type.scm 52 */
			{	/* Cfa/type.scm 53 */
				BgL_valuez00_bglt BgL_funz00_3804;

				BgL_funz00_3804 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_24))->BgL_valuez00);
				{	/* Cfa/type.scm 57 */
					bool_t BgL_test2410z00_6406;

					{	/* Cfa/type.scm 57 */
						obj_t BgL_classz00_4910;

						BgL_classz00_4910 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
						{	/* Cfa/type.scm 57 */
							BgL_objectz00_bglt BgL_arg1820z00_4912;

							{	/* Cfa/type.scm 57 */
								obj_t BgL_tmpz00_6407;

								BgL_tmpz00_6407 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3804));
								BgL_arg1820z00_4912 = (BgL_objectz00_bglt) (BgL_tmpz00_6407);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/type.scm 57 */
									long BgL_idxz00_4918;

									BgL_idxz00_4918 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4912);
									BgL_test2410z00_6406 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4918 + ((long) 4))) == BgL_classz00_4910);
								}
							else
								{	/* Cfa/type.scm 57 */
									bool_t BgL_res2265z00_4940;

									{	/* Cfa/type.scm 57 */
										obj_t BgL_oclassz00_4926;

										{	/* Cfa/type.scm 57 */
											long BgL_arg1828z00_4932;

											{	/* Cfa/type.scm 57 */
												long BgL_arg1829z00_4933;

												BgL_arg1829z00_4933 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4912);
												BgL_arg1828z00_4932 =
													(BgL_arg1829z00_4933 - OBJECT_TYPE);
											}
											BgL_oclassz00_4926 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4932);
										}
										{	/* Cfa/type.scm 57 */
											bool_t BgL__ortest_1111z00_4927;

											BgL__ortest_1111z00_4927 =
												(BgL_classz00_4910 == BgL_oclassz00_4926);
											if (BgL__ortest_1111z00_4927)
												{	/* Cfa/type.scm 57 */
													BgL_res2265z00_4940 = BgL__ortest_1111z00_4927;
												}
											else
												{	/* Cfa/type.scm 57 */
													long BgL_odepthz00_4928;

													BgL_odepthz00_4928 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4926);
													if ((((long) 4) < BgL_odepthz00_4928))
														{	/* Cfa/type.scm 57 */
															obj_t BgL_arg1816z00_4930;

															BgL_arg1816z00_4930 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4926,
																((long) 4));
															BgL_res2265z00_4940 =
																(BgL_arg1816z00_4930 == BgL_classz00_4910);
														}
													else
														{	/* Cfa/type.scm 57 */
															BgL_res2265z00_4940 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2410z00_6406 = BgL_res2265z00_4940;
								}
						}
					}
					if (BgL_test2410z00_6406)
						{	/* Cfa/type.scm 57 */
							{	/* Cfa/type.scm 62 */
								obj_t BgL_g1613z00_3807;

								BgL_g1613z00_3807 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_3804))))->BgL_argsz00);
								{
									obj_t BgL_l1611z00_3809;

									BgL_l1611z00_3809 = BgL_g1613z00_3807;
								BgL_zc3z04anonymousza31755ze3z87_3810:
									if (PAIRP(BgL_l1611z00_3809))
										{	/* Cfa/type.scm 62 */
											{	/* Cfa/type.scm 64 */
												obj_t BgL_varz00_3812;

												BgL_varz00_3812 = CAR(BgL_l1611z00_3809);
												{	/* Cfa/type.scm 65 */
													BgL_valuez00_bglt BgL_arg1757z00_3813;

													BgL_arg1757z00_3813 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_3812))))->
														BgL_valuez00);
													BGl_typezd2variablez12zc0zzcfa_typez00
														(BgL_arg1757z00_3813,
														((BgL_variablez00_bglt) BgL_varz00_3812));
												}
											}
											{
												obj_t BgL_l1611z00_6438;

												BgL_l1611z00_6438 = CDR(BgL_l1611z00_3809);
												BgL_l1611z00_3809 = BgL_l1611z00_6438;
												goto BgL_zc3z04anonymousza31755ze3z87_3810;
											}
										}
									else
										{	/* Cfa/type.scm 62 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/type.scm 68 */
								obj_t BgL_arg1765z00_3816;

								{	/* Cfa/type.scm 68 */
									BgL_approxz00_bglt BgL_arg1766z00_3817;

									{
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6440;

										{
											obj_t BgL_auxz00_6441;

											{	/* Cfa/type.scm 68 */
												BgL_objectz00_bglt BgL_tmpz00_6442;

												BgL_tmpz00_6442 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3804));
												BgL_auxz00_6441 = BGL_OBJECT_WIDENING(BgL_tmpz00_6442);
											}
											BgL_auxz00_6440 =
												((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_6441);
										}
										BgL_arg1766z00_3817 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												COBJECT(BgL_auxz00_6440))->BgL_approxz00);
									}
									BgL_arg1765z00_3816 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1766z00_3817,
										((obj_t) BgL_varz00_24));
								}
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_varz00_24,
									((BgL_typez00_bglt) BgL_arg1765z00_3816));
							}
							{	/* Cfa/type.scm 69 */
								long BgL_arg1769z00_3819;

								{	/* Cfa/type.scm 69 */
									obj_t BgL_arg1770z00_3820;

									{	/* Cfa/type.scm 69 */
										obj_t BgL_arg1771z00_3821;

										{	/* Cfa/type.scm 69 */
											long BgL_arg1828z00_4946;

											{	/* Cfa/type.scm 69 */
												long BgL_arg1829z00_4947;

												BgL_arg1829z00_4947 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_funz00_3804));
												BgL_arg1828z00_4946 =
													(BgL_arg1829z00_4947 - OBJECT_TYPE);
											}
											BgL_arg1771z00_3821 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4946);
										}
										BgL_arg1770z00_3820 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1771z00_3821);
									}
									{	/* Cfa/type.scm 69 */
										obj_t BgL_tmpz00_6457;

										BgL_tmpz00_6457 = ((obj_t) BgL_arg1770z00_3820);
										BgL_arg1769z00_3819 = BGL_CLASS_NUM(BgL_tmpz00_6457);
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_funz00_3804), BgL_arg1769z00_3819);
							}
							{	/* Cfa/type.scm 69 */
								BgL_objectz00_bglt BgL_tmpz00_6462;

								BgL_tmpz00_6462 = ((BgL_objectz00_bglt) BgL_funz00_3804);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6462, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_funz00_3804);
							BgL_funz00_3804;
							{
								obj_t BgL_auxz00_6466;

								{	/* Cfa/type.scm 71 */
									obj_t BgL_arg1777z00_3822;

									BgL_arg1777z00_3822 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3804))))->BgL_bodyz00);
									BgL_auxz00_6466 =
										((obj_t)
										BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg1777z00_3822)));
								}
								return
									((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3804))))->
										BgL_bodyz00) = ((obj_t) BgL_auxz00_6466), BUNSPEC);
							}
						}
					else
						{	/* Cfa/type.scm 72 */
							bool_t BgL_test2415z00_6476;

							{	/* Cfa/type.scm 72 */
								obj_t BgL_classz00_4957;

								BgL_classz00_4957 = BGl_sfunz00zzast_varz00;
								{	/* Cfa/type.scm 72 */
									BgL_objectz00_bglt BgL_arg1820z00_4959;

									{	/* Cfa/type.scm 72 */
										obj_t BgL_tmpz00_6477;

										BgL_tmpz00_6477 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3804));
										BgL_arg1820z00_4959 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6477);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/type.scm 72 */
											long BgL_idxz00_4965;

											BgL_idxz00_4965 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4959);
											BgL_test2415z00_6476 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4965 + ((long) 3))) == BgL_classz00_4957);
										}
									else
										{	/* Cfa/type.scm 72 */
											bool_t BgL_res2266z00_4987;

											{	/* Cfa/type.scm 72 */
												obj_t BgL_oclassz00_4973;

												{	/* Cfa/type.scm 72 */
													long BgL_arg1828z00_4979;

													{	/* Cfa/type.scm 72 */
														long BgL_arg1829z00_4980;

														BgL_arg1829z00_4980 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4959);
														BgL_arg1828z00_4979 =
															(BgL_arg1829z00_4980 - OBJECT_TYPE);
													}
													BgL_oclassz00_4973 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_4979);
												}
												{	/* Cfa/type.scm 72 */
													bool_t BgL__ortest_1111z00_4974;

													BgL__ortest_1111z00_4974 =
														(BgL_classz00_4957 == BgL_oclassz00_4973);
													if (BgL__ortest_1111z00_4974)
														{	/* Cfa/type.scm 72 */
															BgL_res2266z00_4987 = BgL__ortest_1111z00_4974;
														}
													else
														{	/* Cfa/type.scm 72 */
															long BgL_odepthz00_4975;

															BgL_odepthz00_4975 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4973);
															if ((((long) 3) < BgL_odepthz00_4975))
																{	/* Cfa/type.scm 72 */
																	obj_t BgL_arg1816z00_4977;

																	BgL_arg1816z00_4977 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4973,
																		((long) 3));
																	BgL_res2266z00_4987 =
																		(BgL_arg1816z00_4977 == BgL_classz00_4957);
																}
															else
																{	/* Cfa/type.scm 72 */
																	BgL_res2266z00_4987 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2415z00_6476 = BgL_res2266z00_4987;
										}
								}
							}
							if (BgL_test2415z00_6476)
								{
									obj_t BgL_auxz00_6497;

									{	/* Cfa/type.scm 74 */
										obj_t BgL_arg1781z00_3825;

										BgL_arg1781z00_3825 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_3804)))->BgL_bodyz00);
										BgL_auxz00_6497 =
											((obj_t)
											BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_arg1781z00_3825)));
									}
									return
										((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_3804)))->BgL_bodyz00) =
										((obj_t) BgL_auxz00_6497), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 76 */
									obj_t BgL_arg1785z00_3826;

									BgL_arg1785z00_3826 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_24));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2302z00zzcfa_typez00,
										BGl_string2303z00zzcfa_typez00, BgL_arg1785z00_3826);
								}
						}
				}
			}
		}

	}



/* type-fun-node! */
	obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt BgL_vz00_25)
	{
		{	/* Cfa/type.scm 81 */
			{	/* Cfa/type.scm 82 */
				BgL_variablez00_bglt BgL_varz00_3827;

				BgL_varz00_3827 =
					(((BgL_varz00_bglt) COBJECT(BgL_vz00_25))->BgL_variablez00);
				{	/* Cfa/type.scm 82 */
					BgL_valuez00_bglt BgL_funz00_3828;

					BgL_funz00_3828 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3827))->BgL_valuez00);
					{	/* Cfa/type.scm 83 */

						{	/* Cfa/type.scm 84 */
							bool_t BgL_test2419z00_6510;

							{	/* Cfa/type.scm 84 */
								obj_t BgL_classz00_4990;

								BgL_classz00_4990 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
								{	/* Cfa/type.scm 84 */
									BgL_objectz00_bglt BgL_arg1820z00_4992;

									{	/* Cfa/type.scm 84 */
										obj_t BgL_tmpz00_6511;

										BgL_tmpz00_6511 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3828));
										BgL_arg1820z00_4992 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6511);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/type.scm 84 */
											long BgL_idxz00_4998;

											BgL_idxz00_4998 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4992);
											BgL_test2419z00_6510 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4998 + ((long) 4))) == BgL_classz00_4990);
										}
									else
										{	/* Cfa/type.scm 84 */
											bool_t BgL_res2267z00_5020;

											{	/* Cfa/type.scm 84 */
												obj_t BgL_oclassz00_5006;

												{	/* Cfa/type.scm 84 */
													long BgL_arg1828z00_5012;

													{	/* Cfa/type.scm 84 */
														long BgL_arg1829z00_5013;

														BgL_arg1829z00_5013 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4992);
														BgL_arg1828z00_5012 =
															(BgL_arg1829z00_5013 - OBJECT_TYPE);
													}
													BgL_oclassz00_5006 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_5012);
												}
												{	/* Cfa/type.scm 84 */
													bool_t BgL__ortest_1111z00_5007;

													BgL__ortest_1111z00_5007 =
														(BgL_classz00_4990 == BgL_oclassz00_5006);
													if (BgL__ortest_1111z00_5007)
														{	/* Cfa/type.scm 84 */
															BgL_res2267z00_5020 = BgL__ortest_1111z00_5007;
														}
													else
														{	/* Cfa/type.scm 84 */
															long BgL_odepthz00_5008;

															BgL_odepthz00_5008 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5006);
															if ((((long) 4) < BgL_odepthz00_5008))
																{	/* Cfa/type.scm 84 */
																	obj_t BgL_arg1816z00_5010;

																	BgL_arg1816z00_5010 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5006,
																		((long) 4));
																	BgL_res2267z00_5020 =
																		(BgL_arg1816z00_5010 == BgL_classz00_4990);
																}
															else
																{	/* Cfa/type.scm 84 */
																	BgL_res2267z00_5020 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2419z00_6510 = BgL_res2267z00_5020;
										}
								}
							}
							if (BgL_test2419z00_6510)
								{	/* Cfa/type.scm 86 */
									obj_t BgL_arg1787z00_3831;

									{	/* Cfa/type.scm 86 */
										BgL_approxz00_bglt BgL_arg1789z00_3832;

										{
											BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6531;

											{
												obj_t BgL_auxz00_6532;

												{	/* Cfa/type.scm 86 */
													BgL_objectz00_bglt BgL_tmpz00_6533;

													BgL_tmpz00_6533 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_3828));
													BgL_auxz00_6532 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6533);
												}
												BgL_auxz00_6531 =
													((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_6532);
											}
											BgL_arg1789z00_3832 =
												(((BgL_internzd2sfunzf2cinfoz20_bglt)
													COBJECT(BgL_auxz00_6531))->BgL_approxz00);
										}
										BgL_arg1787z00_3831 =
											BGl_getzd2approxzd2typez00zzcfa_typez00
											(BgL_arg1789z00_3832, ((obj_t) BgL_vz00_25));
									}
									return
										BGl_setzd2variablezd2typez12z12zzcfa_typez00
										(BgL_varz00_3827, ((BgL_typez00_bglt) BgL_arg1787z00_3831));
								}
							else
								{	/* Cfa/type.scm 84 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* get-approx-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt BgL_approxz00_26,
		obj_t BgL_nodez00_27)
	{
		{	/* Cfa/type.scm 91 */
			{	/* Cfa/type.scm 92 */
				BgL_typez00_bglt BgL_typez00_3833;
				obj_t BgL_allocsz00_3834;

				BgL_typez00_3833 =
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_26))->BgL_typez00);
				BgL_allocsz00_3834 =
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_26))->BgL_allocsz00);
				{	/* Cfa/type.scm 95 */
					bool_t BgL_test2423z00_6545;

					{	/* Cfa/type.scm 95 */
						obj_t BgL_arg1811z00_3857;

						BgL_arg1811z00_3857 =
							BGl_setzd2lengthzd2zzcfa_setz00(BgL_allocsz00_3834);
						BgL_test2423z00_6545 =
							((long) CINT(BgL_arg1811z00_3857) == ((long) 0));
					}
					if (BgL_test2423z00_6545)
						{	/* Cfa/type.scm 95 */
							return ((obj_t) BgL_typez00_3833);
						}
					else
						{	/* Cfa/type.scm 95 */
							if (
								(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_26))->
									BgL_topzf3zf3))
								{	/* Cfa/type.scm 97 */
									return BGl_za2objza2z00zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 97 */
									if (CBOOL(BGl_setzd2everyzd2zzcfa_setz00
											(BGl_makezd2vectorzd2appzf3zd2envz21zzcfa_info2z00,
												BgL_allocsz00_3834)))
										{	/* Cfa/type.scm 100 */
											obj_t BgL_appz00_3839;

											{	/* Cfa/type.scm 100 */

												BgL_appz00_3839 =
													BGl_setzd2headzd2zzcfa_setz00(BgL_allocsz00_3834,
													BFALSE);
											}
											{	/* Cfa/type.scm 100 */
												BgL_typez00_bglt BgL_tvzd2typezd2_3840;

												BgL_tvzd2typezd2_3840 =
													BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
													((BgL_nodez00_bglt) BgL_appz00_3839));
												{	/* Cfa/type.scm 101 */
													BgL_approxz00_bglt BgL_valuezd2approxzd2_3841;

													{
														BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_6558;

														{
															obj_t BgL_auxz00_6559;

															{	/* Cfa/type.scm 102 */
																BgL_objectz00_bglt BgL_tmpz00_6560;

																BgL_tmpz00_6560 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_3839));
																BgL_auxz00_6559 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6560);
															}
															BgL_auxz00_6558 =
																((BgL_makezd2vectorzd2appz00_bglt)
																BgL_auxz00_6559);
														}
														BgL_valuezd2approxzd2_3841 =
															(((BgL_makezd2vectorzd2appz00_bglt)
																COBJECT(BgL_auxz00_6558))->
															BgL_valuezd2approxzd2);
													}
													{	/* Cfa/type.scm 102 */
														BgL_typez00_bglt BgL_itemzd2typezd2_3842;

														BgL_itemzd2typezd2_3842 =
															(((BgL_approxz00_bglt)
																COBJECT(BgL_valuezd2approxzd2_3841))->
															BgL_typez00);
														{	/* Cfa/type.scm 103 */
															obj_t BgL_tvz00_3843;

															BgL_tvz00_3843 =
																(((BgL_typez00_bglt)
																	COBJECT(BgL_itemzd2typezd2_3842))->
																BgL_tvectorz00);
															{	/* Cfa/type.scm 104 */

																{	/* Cfa/type.scm 106 */
																	bool_t BgL_test2426z00_6568;

																	{	/* Cfa/type.scm 106 */
																		obj_t BgL_classz00_5030;

																		BgL_classz00_5030 =
																			BGl_typez00zztype_typez00;
																		if (BGL_OBJECTP(BgL_tvz00_3843))
																			{	/* Cfa/type.scm 106 */
																				BgL_objectz00_bglt BgL_arg1820z00_5032;

																				BgL_arg1820z00_5032 =
																					(BgL_objectz00_bglt) (BgL_tvz00_3843);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Cfa/type.scm 106 */
																						long BgL_idxz00_5038;

																						BgL_idxz00_5038 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1820z00_5032);
																						BgL_test2426z00_6568 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_5038 +
																									((long) 1))) ==
																							BgL_classz00_5030);
																					}
																				else
																					{	/* Cfa/type.scm 106 */
																						bool_t BgL_res2268z00_5060;

																						{	/* Cfa/type.scm 106 */
																							obj_t BgL_oclassz00_5046;

																							{	/* Cfa/type.scm 106 */
																								long BgL_arg1828z00_5052;

																								{	/* Cfa/type.scm 106 */
																									long BgL_arg1829z00_5053;

																									BgL_arg1829z00_5053 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1820z00_5032);
																									BgL_arg1828z00_5052 =
																										(BgL_arg1829z00_5053 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_5046 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1828z00_5052);
																							}
																							{	/* Cfa/type.scm 106 */
																								bool_t BgL__ortest_1111z00_5047;

																								BgL__ortest_1111z00_5047 =
																									(BgL_classz00_5030 ==
																									BgL_oclassz00_5046);
																								if (BgL__ortest_1111z00_5047)
																									{	/* Cfa/type.scm 106 */
																										BgL_res2268z00_5060 =
																											BgL__ortest_1111z00_5047;
																									}
																								else
																									{	/* Cfa/type.scm 106 */
																										long BgL_odepthz00_5048;

																										BgL_odepthz00_5048 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_5046);
																										if ((((long) 1) <
																												BgL_odepthz00_5048))
																											{	/* Cfa/type.scm 106 */
																												obj_t
																													BgL_arg1816z00_5050;
																												BgL_arg1816z00_5050 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_5046,
																													((long) 1));
																												BgL_res2268z00_5060 =
																													(BgL_arg1816z00_5050
																													== BgL_classz00_5030);
																											}
																										else
																											{	/* Cfa/type.scm 106 */
																												BgL_res2268z00_5060 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2426z00_6568 =
																							BgL_res2268z00_5060;
																					}
																			}
																		else
																			{	/* Cfa/type.scm 106 */
																				BgL_test2426z00_6568 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2426z00_6568)
																		{	/* Cfa/type.scm 106 */
																			return BgL_tvz00_3843;
																		}
																	else
																		{	/* Cfa/type.scm 106 */
																			if (
																				(((obj_t) BgL_typez00_3833) ==
																					BGl_za2_za2z00zztype_cachez00))
																				{	/* Cfa/type.scm 107 */
																					return
																						BGl_za2vectorza2z00zztype_cachez00;
																				}
																			else
																				{	/* Cfa/type.scm 107 */
																					return ((obj_t) BgL_typez00_3833);
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									else
										{	/* Cfa/type.scm 99 */
											if (CBOOL(BGl_setzd2everyzd2zzcfa_setz00
													(BGl_valloczf2Cinfozb2optimzf3zd2envz61zzcfa_info3z00,
														BgL_allocsz00_3834)))
												{	/* Cfa/type.scm 109 */
													if (CBOOL
														(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00
															()))
														{	/* Cfa/type.scm 114 */
															obj_t BgL_appz00_3849;

															{	/* Cfa/type.scm 114 */

																BgL_appz00_3849 =
																	BGl_setzd2headzd2zzcfa_setz00
																	(BgL_allocsz00_3834, BFALSE);
															}
															{	/* Cfa/type.scm 114 */
																BgL_typez00_bglt BgL_tvzd2typezd2_3850;

																BgL_tvzd2typezd2_3850 =
																	BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00
																	(((BgL_nodez00_bglt) BgL_appz00_3849));
																{	/* Cfa/type.scm 115 */
																	BgL_approxz00_bglt BgL_valuezd2approxzd2_3851;

																	{
																		BgL_valloczf2cinfozb2optimz40_bglt
																			BgL_auxz00_6601;
																		{
																			obj_t BgL_auxz00_6602;

																			{	/* Cfa/type.scm 116 */
																				BgL_objectz00_bglt BgL_tmpz00_6603;

																				BgL_tmpz00_6603 =
																					((BgL_objectz00_bglt)
																					((BgL_vallocz00_bglt)
																						BgL_appz00_3849));
																				BgL_auxz00_6602 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_6603);
																			}
																			BgL_auxz00_6601 =
																				((BgL_valloczf2cinfozb2optimz40_bglt)
																				BgL_auxz00_6602);
																		}
																		BgL_valuezd2approxzd2_3851 =
																			(((BgL_valloczf2cinfozb2optimz40_bglt)
																				COBJECT(BgL_auxz00_6601))->
																			BgL_valuezd2approxzd2);
																	}
																	{	/* Cfa/type.scm 116 */
																		BgL_typez00_bglt BgL_itemzd2typezd2_3852;

																		BgL_itemzd2typezd2_3852 =
																			(((BgL_approxz00_bglt)
																				COBJECT(BgL_valuezd2approxzd2_3851))->
																			BgL_typez00);
																		{	/* Cfa/type.scm 117 */
																			obj_t BgL_tvz00_3853;

																			BgL_tvz00_3853 =
																				(((BgL_typez00_bglt)
																					COBJECT(BgL_itemzd2typezd2_3852))->
																				BgL_tvectorz00);
																			{	/* Cfa/type.scm 118 */

																				{	/* Cfa/type.scm 120 */
																					bool_t BgL_test2434z00_6611;

																					{	/* Cfa/type.scm 120 */
																						obj_t BgL_classz00_5065;

																						BgL_classz00_5065 =
																							BGl_typez00zztype_typez00;
																						if (BGL_OBJECTP(BgL_tvz00_3853))
																							{	/* Cfa/type.scm 120 */
																								BgL_objectz00_bglt
																									BgL_arg1820z00_5067;
																								BgL_arg1820z00_5067 =
																									(BgL_objectz00_bglt)
																									(BgL_tvz00_3853);
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* Cfa/type.scm 120 */
																										long BgL_idxz00_5073;

																										BgL_idxz00_5073 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1820z00_5067);
																										BgL_test2434z00_6611 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_5073 +
																													((long) 1))) ==
																											BgL_classz00_5065);
																									}
																								else
																									{	/* Cfa/type.scm 120 */
																										bool_t BgL_res2269z00_5095;

																										{	/* Cfa/type.scm 120 */
																											obj_t BgL_oclassz00_5081;

																											{	/* Cfa/type.scm 120 */
																												long
																													BgL_arg1828z00_5087;
																												{	/* Cfa/type.scm 120 */
																													long
																														BgL_arg1829z00_5088;
																													BgL_arg1829z00_5088 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1820z00_5067);
																													BgL_arg1828z00_5087 =
																														(BgL_arg1829z00_5088
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_5081 =
																													VECTOR_REF
																													(BGl_za2classesza2z00zz__objectz00,
																													BgL_arg1828z00_5087);
																											}
																											{	/* Cfa/type.scm 120 */
																												bool_t
																													BgL__ortest_1111z00_5082;
																												BgL__ortest_1111z00_5082
																													=
																													(BgL_classz00_5065 ==
																													BgL_oclassz00_5081);
																												if (BgL__ortest_1111z00_5082)
																													{	/* Cfa/type.scm 120 */
																														BgL_res2269z00_5095
																															=
																															BgL__ortest_1111z00_5082;
																													}
																												else
																													{	/* Cfa/type.scm 120 */
																														long
																															BgL_odepthz00_5083;
																														BgL_odepthz00_5083 =
																															BGL_CLASS_DEPTH
																															(BgL_oclassz00_5081);
																														if ((((long) 1) <
																																BgL_odepthz00_5083))
																															{	/* Cfa/type.scm 120 */
																																obj_t
																																	BgL_arg1816z00_5085;
																																BgL_arg1816z00_5085
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_oclassz00_5081,
																																	((long) 1));
																																BgL_res2269z00_5095
																																	=
																																	(BgL_arg1816z00_5085
																																	==
																																	BgL_classz00_5065);
																															}
																														else
																															{	/* Cfa/type.scm 120 */
																																BgL_res2269z00_5095
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test2434z00_6611 =
																											BgL_res2269z00_5095;
																									}
																							}
																						else
																							{	/* Cfa/type.scm 120 */
																								BgL_test2434z00_6611 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test2434z00_6611)
																						{	/* Cfa/type.scm 120 */
																							return BgL_tvz00_3853;
																						}
																					else
																						{	/* Cfa/type.scm 120 */
																							if (
																								(((obj_t) BgL_typez00_3833) ==
																									BGl_za2_za2z00zztype_cachez00))
																								{	/* Cfa/type.scm 121 */
																									return
																										BGl_za2vectorza2z00zztype_cachez00;
																								}
																							else
																								{	/* Cfa/type.scm 121 */
																									return
																										((obj_t) BgL_typez00_3833);
																								}
																						}
																				}
																			}
																		}
																	}
																}
															}
														}
													else
														{	/* Cfa/type.scm 110 */
															if (
																(((obj_t) BgL_typez00_3833) ==
																	BGl_za2_za2z00zztype_cachez00))
																{	/* Cfa/type.scm 111 */
																	return BGl_za2vectorza2z00zztype_cachez00;
																}
															else
																{	/* Cfa/type.scm 111 */
																	return ((obj_t) BgL_typez00_3833);
																}
														}
												}
											else
												{	/* Cfa/type.scm 109 */
													return ((obj_t) BgL_typez00_3833);
												}
										}
								}
						}
				}
			}
		}

	}



/* &get-approx-type */
	obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t BgL_envz00_5948,
		obj_t BgL_approxz00_5949, obj_t BgL_nodez00_5950)
	{
		{	/* Cfa/type.scm 91 */
			return
				BGl_getzd2approxzd2typez00zzcfa_typez00(
				((BgL_approxz00_bglt) BgL_approxz00_5949), BgL_nodez00_5950);
		}

	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt
		BgL_variablez00_40, BgL_typez00_bglt BgL_typez00_41)
	{
		{	/* Cfa/type.scm 184 */
			{	/* Cfa/type.scm 185 */
				obj_t BgL_ntypez00_3858;
				BgL_typez00_bglt BgL_otypez00_3859;

				if ((((obj_t) BgL_typez00_41) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 185 */
						BgL_ntypez00_3858 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/type.scm 185 */
						BgL_ntypez00_3858 = ((obj_t) BgL_typez00_41);
					}
				BgL_otypez00_3859 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_3859) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 189 */
						bool_t BgL_test2443z00_6650;

						{	/* Cfa/type.scm 189 */
							bool_t BgL_test2444z00_6651;

							{	/* Cfa/type.scm 189 */
								obj_t BgL_classz00_5097;

								BgL_classz00_5097 = BGl_globalz00zzast_varz00;
								{	/* Cfa/type.scm 189 */
									BgL_objectz00_bglt BgL_arg1820z00_5099;

									{	/* Cfa/type.scm 189 */
										obj_t BgL_tmpz00_6652;

										BgL_tmpz00_6652 = ((obj_t) BgL_variablez00_40);
										BgL_arg1820z00_5099 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6652);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/type.scm 189 */
											long BgL_idxz00_5105;

											BgL_idxz00_5105 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5099);
											BgL_test2444z00_6651 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5105 + ((long) 2))) == BgL_classz00_5097);
										}
									else
										{	/* Cfa/type.scm 189 */
											bool_t BgL_res2270z00_5127;

											{	/* Cfa/type.scm 189 */
												obj_t BgL_oclassz00_5113;

												{	/* Cfa/type.scm 189 */
													long BgL_arg1828z00_5119;

													{	/* Cfa/type.scm 189 */
														long BgL_arg1829z00_5120;

														BgL_arg1829z00_5120 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5099);
														BgL_arg1828z00_5119 =
															(BgL_arg1829z00_5120 - OBJECT_TYPE);
													}
													BgL_oclassz00_5113 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_5119);
												}
												{	/* Cfa/type.scm 189 */
													bool_t BgL__ortest_1111z00_5114;

													BgL__ortest_1111z00_5114 =
														(BgL_classz00_5097 == BgL_oclassz00_5113);
													if (BgL__ortest_1111z00_5114)
														{	/* Cfa/type.scm 189 */
															BgL_res2270z00_5127 = BgL__ortest_1111z00_5114;
														}
													else
														{	/* Cfa/type.scm 189 */
															long BgL_odepthz00_5115;

															BgL_odepthz00_5115 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5113);
															if ((((long) 2) < BgL_odepthz00_5115))
																{	/* Cfa/type.scm 189 */
																	obj_t BgL_arg1816z00_5117;

																	BgL_arg1816z00_5117 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5113,
																		((long) 2));
																	BgL_res2270z00_5127 =
																		(BgL_arg1816z00_5117 == BgL_classz00_5097);
																}
															else
																{	/* Cfa/type.scm 189 */
																	BgL_res2270z00_5127 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2444z00_6651 = BgL_res2270z00_5127;
										}
								}
							}
							if (BgL_test2444z00_6651)
								{	/* Cfa/type.scm 190 */
									bool_t BgL_test2448z00_6671;

									{	/* Cfa/type.scm 190 */
										BgL_valuez00_bglt BgL_arg1845z00_3877;

										BgL_arg1845z00_3877 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_variablez00_40))))->
											BgL_valuez00);
										{	/* Cfa/type.scm 190 */
											obj_t BgL_classz00_5129;

											BgL_classz00_5129 = BGl_funz00zzast_varz00;
											{	/* Cfa/type.scm 190 */
												BgL_objectz00_bglt BgL_arg1820z00_5131;

												{	/* Cfa/type.scm 190 */
													obj_t BgL_tmpz00_6675;

													BgL_tmpz00_6675 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1845z00_3877));
													BgL_arg1820z00_5131 =
														(BgL_objectz00_bglt) (BgL_tmpz00_6675);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cfa/type.scm 190 */
														long BgL_idxz00_5137;

														BgL_idxz00_5137 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5131);
														BgL_test2448z00_6671 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_5137 + ((long) 2))) ==
															BgL_classz00_5129);
													}
												else
													{	/* Cfa/type.scm 190 */
														bool_t BgL_res2271z00_5159;

														{	/* Cfa/type.scm 190 */
															obj_t BgL_oclassz00_5145;

															{	/* Cfa/type.scm 190 */
																long BgL_arg1828z00_5151;

																{	/* Cfa/type.scm 190 */
																	long BgL_arg1829z00_5152;

																	BgL_arg1829z00_5152 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5131);
																	BgL_arg1828z00_5151 =
																		(BgL_arg1829z00_5152 - OBJECT_TYPE);
																}
																BgL_oclassz00_5145 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_5151);
															}
															{	/* Cfa/type.scm 190 */
																bool_t BgL__ortest_1111z00_5146;

																BgL__ortest_1111z00_5146 =
																	(BgL_classz00_5129 == BgL_oclassz00_5145);
																if (BgL__ortest_1111z00_5146)
																	{	/* Cfa/type.scm 190 */
																		BgL_res2271z00_5159 =
																			BgL__ortest_1111z00_5146;
																	}
																else
																	{	/* Cfa/type.scm 190 */
																		long BgL_odepthz00_5147;

																		BgL_odepthz00_5147 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_5145);
																		if ((((long) 2) < BgL_odepthz00_5147))
																			{	/* Cfa/type.scm 190 */
																				obj_t BgL_arg1816z00_5149;

																				BgL_arg1816z00_5149 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_5145, ((long) 2));
																				BgL_res2271z00_5159 =
																					(BgL_arg1816z00_5149 ==
																					BgL_classz00_5129);
																			}
																		else
																			{	/* Cfa/type.scm 190 */
																				BgL_res2271z00_5159 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2448z00_6671 = BgL_res2271z00_5159;
													}
											}
										}
									}
									if (BgL_test2448z00_6671)
										{	/* Cfa/type.scm 190 */
											BgL_test2443z00_6650 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 191 */
											bool_t BgL_test2452z00_6695;

											if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
												{	/* Cfa/type.scm 191 */
													BgL_test2452z00_6695 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 191 */
													BgL_test2452z00_6695 =
														(
														(((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_variablez00_40)))->
															BgL_initz00) == BTRUE);
												}
											if (BgL_test2452z00_6695)
												{	/* Cfa/type.scm 191 */
													BgL_test2443z00_6650 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 191 */
													if (
														((((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_ntypez00_3858)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 0))))
														{	/* Cfa/type.scm 192 */
															BgL_test2443z00_6650 = ((bool_t) 0);
														}
													else
														{	/* Cfa/type.scm 192 */
															BgL_test2443z00_6650 = ((bool_t) 1);
														}
												}
										}
								}
							else
								{	/* Cfa/type.scm 189 */
									BgL_test2443z00_6650 = ((bool_t) 0);
								}
						}
						if (BgL_test2443z00_6650)
							{	/* Cfa/type.scm 197 */
								BgL_typez00_bglt BgL_vz00_5163;

								BgL_vz00_5163 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								return
									((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5163), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 189 */
								return
									((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ntypez00_3858)),
									BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 199 */
						bool_t BgL_test2455z00_6710;

						if (
							(((obj_t) BgL_otypez00_3859) ==
								BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/type.scm 199 */
								obj_t BgL_classz00_5166;

								BgL_classz00_5166 = BGl_tvecz00zztvector_tvectorz00;
								if (BGL_OBJECTP(BgL_ntypez00_3858))
									{	/* Cfa/type.scm 199 */
										BgL_objectz00_bglt BgL_arg1820z00_5168;

										BgL_arg1820z00_5168 =
											(BgL_objectz00_bglt) (BgL_ntypez00_3858);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/type.scm 199 */
												long BgL_idxz00_5174;

												BgL_idxz00_5174 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5168);
												BgL_test2455z00_6710 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5174 + ((long) 2))) ==
													BgL_classz00_5166);
											}
										else
											{	/* Cfa/type.scm 199 */
												bool_t BgL_res2272z00_5196;

												{	/* Cfa/type.scm 199 */
													obj_t BgL_oclassz00_5182;

													{	/* Cfa/type.scm 199 */
														long BgL_arg1828z00_5188;

														{	/* Cfa/type.scm 199 */
															long BgL_arg1829z00_5189;

															BgL_arg1829z00_5189 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5168);
															BgL_arg1828z00_5188 =
																(BgL_arg1829z00_5189 - OBJECT_TYPE);
														}
														BgL_oclassz00_5182 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_5188);
													}
													{	/* Cfa/type.scm 199 */
														bool_t BgL__ortest_1111z00_5183;

														BgL__ortest_1111z00_5183 =
															(BgL_classz00_5166 == BgL_oclassz00_5182);
														if (BgL__ortest_1111z00_5183)
															{	/* Cfa/type.scm 199 */
																BgL_res2272z00_5196 = BgL__ortest_1111z00_5183;
															}
														else
															{	/* Cfa/type.scm 199 */
																long BgL_odepthz00_5184;

																BgL_odepthz00_5184 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5182);
																if ((((long) 2) < BgL_odepthz00_5184))
																	{	/* Cfa/type.scm 199 */
																		obj_t BgL_arg1816z00_5186;

																		BgL_arg1816z00_5186 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5182, ((long) 2));
																		BgL_res2272z00_5196 =
																			(BgL_arg1816z00_5186 ==
																			BgL_classz00_5166);
																	}
																else
																	{	/* Cfa/type.scm 199 */
																		BgL_res2272z00_5196 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2455z00_6710 = BgL_res2272z00_5196;
											}
									}
								else
									{	/* Cfa/type.scm 199 */
										BgL_test2455z00_6710 = ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/type.scm 199 */
								BgL_test2455z00_6710 = ((bool_t) 0);
							}
						if (BgL_test2455z00_6710)
							{	/* Cfa/type.scm 199 */
								return
									((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ntypez00_3858)),
									BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 199 */
								return BFALSE;
							}
					}
			}
		}

	}



/* type-node*! */
	obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t BgL_nodeza2za2_77)
	{
		{	/* Cfa/type.scm 619 */
			{
				obj_t BgL_l1630z00_3882;

				BgL_l1630z00_3882 = BgL_nodeza2za2_77;
			BgL_zc3z04anonymousza31848ze3z87_3883:
				if (NULLP(BgL_l1630z00_3882))
					{	/* Cfa/type.scm 620 */
						return BgL_nodeza2za2_77;
					}
				else
					{	/* Cfa/type.scm 620 */
						{	/* Cfa/type.scm 620 */
							BgL_nodez00_bglt BgL_arg1850z00_3885;

							{	/* Cfa/type.scm 620 */
								obj_t BgL_arg1851z00_3886;

								BgL_arg1851z00_3886 = CAR(((obj_t) BgL_l1630z00_3882));
								BgL_arg1850z00_3885 =
									BGl_typezd2nodez12zc0zzcfa_typez00(
									((BgL_nodez00_bglt) BgL_arg1851z00_3886));
							}
							{	/* Cfa/type.scm 620 */
								obj_t BgL_auxz00_6743;
								obj_t BgL_tmpz00_6741;

								BgL_auxz00_6743 = ((obj_t) BgL_arg1850z00_3885);
								BgL_tmpz00_6741 = ((obj_t) BgL_l1630z00_3882);
								SET_CAR(BgL_tmpz00_6741, BgL_auxz00_6743);
							}
						}
						{	/* Cfa/type.scm 620 */
							obj_t BgL_arg1854z00_3887;

							BgL_arg1854z00_3887 = CDR(((obj_t) BgL_l1630z00_3882));
							{
								obj_t BgL_l1630z00_6748;

								BgL_l1630z00_6748 = BgL_arg1854z00_3887;
								BgL_l1630z00_3882 = BgL_l1630z00_6748;
								goto BgL_zc3z04anonymousza31848ze3z87_3883;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_proc2304z00zzcfa_typez00, BGl_valuez00zzast_varz00,
				BGl_string2305z00zzcfa_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_proc2306z00zzcfa_typez00,
				BGl_nodez00zzast_nodez00, BGl_string2307z00zzcfa_typez00);
		}

	}



/* &type-node!1644 */
	obj_t BGl_z62typezd2nodez121644za2zzcfa_typez00(obj_t BgL_envz00_5957,
		obj_t BgL_nodez00_5958)
	{
		{	/* Cfa/type.scm 205 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string2308z00zzcfa_typez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_5958)));
		}

	}



/* &type-variable!1632 */
	obj_t BGl_z62typezd2variablez121632za2zzcfa_typez00(obj_t BgL_envz00_5959,
		obj_t BgL_valuez00_5960, obj_t BgL_variablez00_5961)
	{
		{	/* Cfa/type.scm 129 */
			{	/* Cfa/type.scm 130 */
				BgL_typez00_bglt BgL_typez00_6099;

				BgL_typez00_6099 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_5961)))->BgL_typez00);
				{	/* Cfa/type.scm 132 */
					bool_t BgL_test2462z00_6757;

					{	/* Cfa/type.scm 132 */
						obj_t BgL_classz00_6100;

						BgL_classz00_6100 = BGl_typez00zztype_typez00;
						{	/* Cfa/type.scm 132 */
							BgL_objectz00_bglt BgL_arg1820z00_6101;

							{	/* Cfa/type.scm 132 */
								obj_t BgL_tmpz00_6758;

								BgL_tmpz00_6758 =
									((obj_t) ((BgL_objectz00_bglt) BgL_typez00_6099));
								BgL_arg1820z00_6101 = (BgL_objectz00_bglt) (BgL_tmpz00_6758);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/type.scm 132 */
									long BgL_idxz00_6102;

									BgL_idxz00_6102 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6101);
									BgL_test2462z00_6757 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6102 + ((long) 1))) == BgL_classz00_6100);
								}
							else
								{	/* Cfa/type.scm 132 */
									bool_t BgL_res2273z00_6105;

									{	/* Cfa/type.scm 132 */
										obj_t BgL_oclassz00_6106;

										{	/* Cfa/type.scm 132 */
											long BgL_arg1828z00_6107;

											{	/* Cfa/type.scm 132 */
												long BgL_arg1829z00_6108;

												BgL_arg1829z00_6108 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6101);
												BgL_arg1828z00_6107 =
													(BgL_arg1829z00_6108 - OBJECT_TYPE);
											}
											BgL_oclassz00_6106 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_6107);
										}
										{	/* Cfa/type.scm 132 */
											bool_t BgL__ortest_1111z00_6109;

											BgL__ortest_1111z00_6109 =
												(BgL_classz00_6100 == BgL_oclassz00_6106);
											if (BgL__ortest_1111z00_6109)
												{	/* Cfa/type.scm 132 */
													BgL_res2273z00_6105 = BgL__ortest_1111z00_6109;
												}
											else
												{	/* Cfa/type.scm 132 */
													long BgL_odepthz00_6110;

													BgL_odepthz00_6110 =
														BGL_CLASS_DEPTH(BgL_oclassz00_6106);
													if ((((long) 1) < BgL_odepthz00_6110))
														{	/* Cfa/type.scm 132 */
															obj_t BgL_arg1816z00_6111;

															BgL_arg1816z00_6111 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6106,
																((long) 1));
															BgL_res2273z00_6105 =
																(BgL_arg1816z00_6111 == BgL_classz00_6100);
														}
													else
														{	/* Cfa/type.scm 132 */
															BgL_res2273z00_6105 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2462z00_6757 = BgL_res2273z00_6105;
								}
						}
					}
					if (BgL_test2462z00_6757)
						{	/* Cfa/type.scm 134 */
							bool_t BgL_test2466z00_6778;

							if ((((obj_t) BgL_typez00_6099) == BGl_za2_za2z00zztype_cachez00))
								{	/* Cfa/type.scm 134 */
									if (CBOOL(BGl_za2optimzd2cfazf3za2z21zzengine_paramz00))
										{	/* Cfa/type.scm 134 */
											BgL_test2466z00_6778 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 134 */
											BgL_test2466z00_6778 = ((bool_t) 1);
										}
								}
							else
								{	/* Cfa/type.scm 134 */
									BgL_test2466z00_6778 = ((bool_t) 0);
								}
							if (BgL_test2466z00_6778)
								{	/* Cfa/type.scm 134 */
									return
										BGl_setzd2variablezd2typez12z12zzcfa_typez00(
										((BgL_variablez00_bglt) BgL_variablez00_5961),
										BGl_getzd2defaultzd2typez00zztype_cachez00());
								}
							else
								{	/* Cfa/type.scm 134 */
									return BFALSE;
								}
						}
					else
						{	/* Cfa/type.scm 132 */
							return
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(
								((BgL_variablez00_bglt) BgL_variablez00_5961),
								BGl_getzd2defaultzd2typez00zztype_cachez00());
						}
				}
			}
		}

	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt
		BgL_valuez00_28, BgL_variablez00_bglt BgL_variablez00_29)
	{
		{	/* Cfa/type.scm 129 */
			{	/* Cfa/type.scm 129 */
				obj_t BgL_method1633z00_3903;

				{	/* Cfa/type.scm 129 */
					obj_t BgL_res2278z00_5265;

					{	/* Cfa/type.scm 129 */
						long BgL_objzd2classzd2numz00_5236;

						BgL_objzd2classzd2numz00_5236 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_28));
						{	/* Cfa/type.scm 129 */
							obj_t BgL_arg1825z00_5237;

							BgL_arg1825z00_5237 =
								PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
								(int) (((long) 1)));
							{	/* Cfa/type.scm 129 */
								int BgL_offsetz00_5240;

								BgL_offsetz00_5240 = (int) (BgL_objzd2classzd2numz00_5236);
								{	/* Cfa/type.scm 129 */
									long BgL_offsetz00_5241;

									BgL_offsetz00_5241 =
										((long) (BgL_offsetz00_5240) - OBJECT_TYPE);
									{	/* Cfa/type.scm 129 */
										long BgL_modz00_5242;

										BgL_modz00_5242 =
											(BgL_offsetz00_5241 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/type.scm 129 */
											long BgL_restz00_5244;

											BgL_restz00_5244 =
												(BgL_offsetz00_5241 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/type.scm 129 */

												{	/* Cfa/type.scm 129 */
													obj_t BgL_bucketz00_5246;

													BgL_bucketz00_5246 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_5237), BgL_modz00_5242);
													BgL_res2278z00_5265 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5246), BgL_restz00_5244);
					}}}}}}}}
					BgL_method1633z00_3903 = BgL_res2278z00_5265;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1633z00_3903)) (BgL_method1633z00_3903,
					((obj_t) BgL_valuez00_28), ((obj_t) BgL_variablez00_29), BEOA);
			}
		}

	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t BgL_envz00_5962,
		obj_t BgL_valuez00_5963, obj_t BgL_variablez00_5964)
	{
		{	/* Cfa/type.scm 129 */
			return
				BGl_typezd2variablez12zc0zzcfa_typez00(
				((BgL_valuez00_bglt) BgL_valuez00_5963),
				((BgL_variablez00_bglt) BgL_variablez00_5964));
		}

	}



/* type-node! */
	BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt
		BgL_nodez00_42)
	{
		{	/* Cfa/type.scm 205 */
			{	/* Cfa/type.scm 205 */
				obj_t BgL_method1645z00_3904;

				{	/* Cfa/type.scm 205 */
					obj_t BgL_res2283z00_5296;

					{	/* Cfa/type.scm 205 */
						long BgL_objzd2classzd2numz00_5267;

						BgL_objzd2classzd2numz00_5267 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_42));
						{	/* Cfa/type.scm 205 */
							obj_t BgL_arg1825z00_5268;

							BgL_arg1825z00_5268 =
								PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
								(int) (((long) 1)));
							{	/* Cfa/type.scm 205 */
								int BgL_offsetz00_5271;

								BgL_offsetz00_5271 = (int) (BgL_objzd2classzd2numz00_5267);
								{	/* Cfa/type.scm 205 */
									long BgL_offsetz00_5272;

									BgL_offsetz00_5272 =
										((long) (BgL_offsetz00_5271) - OBJECT_TYPE);
									{	/* Cfa/type.scm 205 */
										long BgL_modz00_5273;

										BgL_modz00_5273 =
											(BgL_offsetz00_5272 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/type.scm 205 */
											long BgL_restz00_5275;

											BgL_restz00_5275 =
												(BgL_offsetz00_5272 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/type.scm 205 */

												{	/* Cfa/type.scm 205 */
													obj_t BgL_bucketz00_5277;

													BgL_bucketz00_5277 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_5268), BgL_modz00_5273);
													BgL_res2283z00_5296 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5277), BgL_restz00_5275);
					}}}}}}}}
					BgL_method1645z00_3904 = BgL_res2283z00_5296;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1645z00_3904)) (BgL_method1645z00_3904,
						((obj_t) BgL_nodez00_42), BEOA));
			}
		}

	}



/* &type-node! */
	BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t BgL_envz00_5965,
		obj_t BgL_nodez00_5966)
	{
		{	/* Cfa/type.scm 205 */
			return
				BGl_typezd2nodez12zc0zzcfa_typez00(
				((BgL_nodez00_bglt) BgL_nodez00_5966));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc2309z00zzcfa_typez00,
				BGl_string2310z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2311z00zzcfa_typez00,
				BGl_string2310z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc2312z00zzcfa_typez00,
				BGl_string2310z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc2313z00zzcfa_typez00,
				BGl_string2310z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc2314z00zzcfa_typez00,
				BGl_string2310z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_atomz00zzast_nodez00,
				BGl_proc2315z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2317z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_varz00zzast_nodez00,
				BGl_proc2318z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_closurez00zzast_nodez00,
				BGl_proc2319z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2320z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_syncz00zzast_nodez00,
				BGl_proc2321z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appz00zzast_nodez00,
				BGl_proc2322z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_arithmeticzd2appzd2zzcfa_info2z00, BGl_proc2323z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2refzd2appz00zzcfa_info2z00,
				BGl_proc2324z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc2325z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conszd2refzd2appz00zzcfa_info2z00, BGl_proc2326z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2327z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00, BGl_proc2328z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2329z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_funcallzf2Cinfozf2zzcfa_infoz00, BGl_proc2330z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_externz00zzast_nodez00,
				BGl_proc2331z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vallocz00zzast_nodez00,
				BGl_proc2332z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2333z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2334z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_castz00zzast_nodez00,
				BGl_proc2335z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setqz00zzast_nodez00,
				BGl_proc2336z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2337z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc2338z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_failz00zzast_nodez00,
				BGl_proc2339z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_switchz00zzast_nodez00,
				BGl_proc2340z00zzcfa_typez00, BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2341z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2342z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2343z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2344z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2345z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2346z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2347z00zzcfa_typez00,
				BGl_string2316z00zzcfa_typez00);
		}

	}



/* &type-node!-box-ref1711 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2boxzd2ref1711za2zzcfa_typez00(obj_t
		BgL_envz00_6004, obj_t BgL_nodez00_6005)
	{
		{	/* Cfa/type.scm 609 */
			{
				BgL_varz00_bglt BgL_auxz00_6895;

				{	/* Cfa/type.scm 611 */
					BgL_varz00_bglt BgL_arg2059z00_6113;

					BgL_arg2059z00_6113 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_6005)))->BgL_varz00);
					BgL_auxz00_6895 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2059z00_6113)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_6005)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_6895), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_6005));
		}

	}



/* &type-node!-box-set!1709 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz121709zb0zzcfa_typez00(obj_t
		BgL_envz00_6006, obj_t BgL_nodez00_6007)
	{
		{	/* Cfa/type.scm 600 */
			{
				BgL_varz00_bglt BgL_auxz00_6905;

				{	/* Cfa/type.scm 602 */
					BgL_varz00_bglt BgL_arg2057z00_6115;

					BgL_arg2057z00_6115 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6007)))->BgL_varz00);
					BgL_auxz00_6905 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2057z00_6115)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6007)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_6905), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6913;

				{	/* Cfa/type.scm 603 */
					BgL_nodez00_bglt BgL_arg2058z00_6116;

					BgL_arg2058z00_6116 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6007)))->BgL_valuez00);
					BgL_auxz00_6913 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2058z00_6116);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6007)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_6913), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6007));
		}

	}



/* &type-node!-make-box1706 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2makezd2box1706za2zzcfa_typez00(obj_t
		BgL_envz00_6008, obj_t BgL_nodez00_6009)
	{
		{	/* Cfa/type.scm 592 */
			{
				BgL_nodez00_bglt BgL_auxz00_6921;

				{	/* Cfa/type.scm 594 */
					BgL_nodez00_bglt BgL_arg2056z00_6118;

					BgL_arg2056z00_6118 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_6009)))->BgL_valuez00);
					BgL_auxz00_6921 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2056z00_6118);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_6009)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_6921), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_6009));
		}

	}



/* &type-node!-jump-ex-i1704 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1704z70zzcfa_typez00(obj_t
		BgL_envz00_6010, obj_t BgL_nodez00_6011)
	{
		{	/* Cfa/type.scm 583 */
			{
				BgL_nodez00_bglt BgL_auxz00_6929;

				{	/* Cfa/type.scm 585 */
					BgL_nodez00_bglt BgL_arg2053z00_6120;

					BgL_arg2053z00_6120 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6011)))->BgL_exitz00);
					BgL_auxz00_6929 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2053z00_6120);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6011)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_6929), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6935;

				{	/* Cfa/type.scm 586 */
					BgL_nodez00_bglt BgL_arg2055z00_6121;

					BgL_arg2055z00_6121 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6011)))->
						BgL_valuez00);
					BgL_auxz00_6935 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2055z00_6121);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6011)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_6935), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6011));
		}

	}



/* &type-node!-set-ex-it1702 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it1702z70zzcfa_typez00(obj_t
		BgL_envz00_6012, obj_t BgL_nodez00_6013)
	{
		{	/* Cfa/type.scm 571 */
			{	/* Cfa/type.scm 573 */
				BgL_variablez00_bglt BgL_vz00_6123;

				BgL_vz00_6123 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6013)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Cfa/type.scm 574 */
					BgL_valuez00_bglt BgL_arg2047z00_6124;

					BgL_arg2047z00_6124 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_vz00_6123))))->BgL_valuez00);
					BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg2047z00_6124,
						BgL_vz00_6123);
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6950;

				{	/* Cfa/type.scm 575 */
					BgL_nodez00_bglt BgL_arg2050z00_6125;

					BgL_arg2050z00_6125 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6013)))->BgL_bodyz00);
					BgL_auxz00_6950 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2050z00_6125);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6013)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6950), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6956;

				{	/* Cfa/type.scm 576 */
					BgL_nodez00_bglt BgL_arg2051z00_6126;

					BgL_arg2051z00_6126 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6013)))->
						BgL_onexitz00);
					BgL_auxz00_6956 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2051z00_6126);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6013)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_6956), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_6962;

				{	/* Cfa/type.scm 577 */
					BgL_varz00_bglt BgL_arg2052z00_6127;

					BgL_arg2052z00_6127 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6013)))->BgL_varz00);
					BgL_auxz00_6962 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2052z00_6127)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6013)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_6962), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6013));
		}

	}



/* &type-node!-let-var1700 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2var1700za2zzcfa_typez00(obj_t
		BgL_envz00_6014, obj_t BgL_nodez00_6015)
	{
		{	/* Cfa/type.scm 556 */
			{	/* Cfa/type.scm 558 */
				obj_t BgL_g1628z00_6129;

				BgL_g1628z00_6129 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_6015)))->BgL_bindingsz00);
				{
					obj_t BgL_l1626z00_6131;

					BgL_l1626z00_6131 = BgL_g1628z00_6129;
				BgL_zc3z04anonymousza32040ze3z87_6130:
					if (PAIRP(BgL_l1626z00_6131))
						{	/* Cfa/type.scm 558 */
							{	/* Cfa/type.scm 559 */
								obj_t BgL_bindingz00_6132;

								BgL_bindingz00_6132 = CAR(BgL_l1626z00_6131);
								{	/* Cfa/type.scm 559 */
									obj_t BgL_varz00_6133;
									obj_t BgL_valz00_6134;

									BgL_varz00_6133 = CAR(((obj_t) BgL_bindingz00_6132));
									BgL_valz00_6134 = CDR(((obj_t) BgL_bindingz00_6132));
									{	/* Cfa/type.scm 561 */
										BgL_nodez00_bglt BgL_arg2042z00_6135;

										BgL_arg2042z00_6135 =
											BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_valz00_6134));
										{	/* Cfa/type.scm 561 */
											obj_t BgL_auxz00_6985;
											obj_t BgL_tmpz00_6983;

											BgL_auxz00_6985 = ((obj_t) BgL_arg2042z00_6135);
											BgL_tmpz00_6983 = ((obj_t) BgL_bindingz00_6132);
											SET_CDR(BgL_tmpz00_6983, BgL_auxz00_6985);
										}
									}
									{	/* Cfa/type.scm 562 */
										BgL_valuez00_bglt BgL_arg2043z00_6136;

										BgL_arg2043z00_6136 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_varz00_6133))))->
											BgL_valuez00);
										BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg2043z00_6136,
											((BgL_variablez00_bglt) BgL_varz00_6133));
									}
								}
							}
							{
								obj_t BgL_l1626z00_6993;

								BgL_l1626z00_6993 = CDR(BgL_l1626z00_6131);
								BgL_l1626z00_6131 = BgL_l1626z00_6993;
								goto BgL_zc3z04anonymousza32040ze3z87_6130;
							}
						}
					else
						{	/* Cfa/type.scm 558 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6995;

				{	/* Cfa/type.scm 564 */
					BgL_nodez00_bglt BgL_arg2045z00_6137;

					BgL_arg2045z00_6137 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_6015)))->BgL_bodyz00);
					BgL_auxz00_6995 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2045z00_6137);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_6015)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6995), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nodez00_6015))))->BgL_typez00) =
				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
							COBJECT((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
												BgL_nodez00_6015)))->BgL_bodyz00)))->BgL_typez00)),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_6015));
		}

	}



/* &type-node!-let-fun1698 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2fun1698za2zzcfa_typez00(obj_t
		BgL_envz00_6016, obj_t BgL_nodez00_6017)
	{
		{	/* Cfa/type.scm 546 */
			{	/* Cfa/type.scm 548 */
				obj_t BgL_g1625z00_6139;

				BgL_g1625z00_6139 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_6017)))->BgL_localsz00);
				{
					obj_t BgL_l1623z00_6141;

					BgL_l1623z00_6141 = BgL_g1625z00_6139;
				BgL_zc3z04anonymousza32032ze3z87_6140:
					if (PAIRP(BgL_l1623z00_6141))
						{	/* Cfa/type.scm 548 */
							{	/* Cfa/type.scm 548 */
								obj_t BgL_arg2034z00_6142;

								BgL_arg2034z00_6142 = CAR(BgL_l1623z00_6141);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg2034z00_6142));
							}
							{
								obj_t BgL_l1623z00_7016;

								BgL_l1623z00_7016 = CDR(BgL_l1623z00_6141);
								BgL_l1623z00_6141 = BgL_l1623z00_7016;
								goto BgL_zc3z04anonymousza32032ze3z87_6140;
							}
						}
					else
						{	/* Cfa/type.scm 548 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7018;

				{	/* Cfa/type.scm 549 */
					BgL_nodez00_bglt BgL_arg2037z00_6143;

					BgL_arg2037z00_6143 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_6017)))->BgL_bodyz00);
					BgL_auxz00_7018 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2037z00_6143);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_6017)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7018), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nodez00_6017))))->BgL_typez00) =
				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
							COBJECT((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
												BgL_nodez00_6017)))->BgL_bodyz00)))->BgL_typez00)),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_6017));
		}

	}



/* &type-node!-switch1696 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2switch1696z70zzcfa_typez00(obj_t
		BgL_envz00_6018, obj_t BgL_nodez00_6019)
	{
		{	/* Cfa/type.scm 521 */
			{
				BgL_nodez00_bglt BgL_auxz00_7032;

				{	/* Cfa/type.scm 523 */
					BgL_nodez00_bglt BgL_arg2026z00_6145;

					BgL_arg2026z00_6145 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_6019)))->BgL_testz00);
					BgL_auxz00_7032 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2026z00_6145);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_6019)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7032), BUNSPEC);
			}
			{	/* Cfa/type.scm 524 */
				obj_t BgL_g1622z00_6146;

				BgL_g1622z00_6146 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_6019)))->BgL_clausesz00);
				{
					obj_t BgL_l1620z00_6148;

					BgL_l1620z00_6148 = BgL_g1622z00_6146;
				BgL_zc3z04anonymousza32027ze3z87_6147:
					if (PAIRP(BgL_l1620z00_6148))
						{	/* Cfa/type.scm 524 */
							{	/* Cfa/type.scm 525 */
								obj_t BgL_clausez00_6149;

								BgL_clausez00_6149 = CAR(BgL_l1620z00_6148);
								{	/* Cfa/type.scm 525 */
									BgL_nodez00_bglt BgL_arg2029z00_6150;

									{	/* Cfa/type.scm 525 */
										obj_t BgL_arg2030z00_6151;

										BgL_arg2030z00_6151 = CDR(((obj_t) BgL_clausez00_6149));
										BgL_arg2029z00_6150 =
											BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg2030z00_6151));
									}
									{	/* Cfa/type.scm 525 */
										obj_t BgL_auxz00_7049;
										obj_t BgL_tmpz00_7047;

										BgL_auxz00_7049 = ((obj_t) BgL_arg2029z00_6150);
										BgL_tmpz00_7047 = ((obj_t) BgL_clausez00_6149);
										SET_CDR(BgL_tmpz00_7047, BgL_auxz00_7049);
									}
								}
							}
							{
								obj_t BgL_l1620z00_7052;

								BgL_l1620z00_7052 = CDR(BgL_l1620z00_6148);
								BgL_l1620z00_6148 = BgL_l1620z00_7052;
								goto BgL_zc3z04anonymousza32027ze3z87_6147;
							}
						}
					else
						{	/* Cfa/type.scm 524 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_switchz00_bglt) BgL_nodez00_6019))))->BgL_typez00) =
				((BgL_typez00_bglt)
					BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
								(BgL_switchz00_bglt) BgL_nodez00_6019)), ((bool_t) 0))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_6019));
		}

	}



/* &type-node!-fail1694 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2fail1694z70zzcfa_typez00(obj_t
		BgL_envz00_6020, obj_t BgL_nodez00_6021)
	{
		{	/* Cfa/type.scm 511 */
			{
				BgL_nodez00_bglt BgL_auxz00_7062;

				{	/* Cfa/type.scm 513 */
					BgL_nodez00_bglt BgL_arg2023z00_6153;

					BgL_arg2023z00_6153 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_6021)))->BgL_procz00);
					BgL_auxz00_7062 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2023z00_6153);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_6021)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7062), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7068;

				{	/* Cfa/type.scm 514 */
					BgL_nodez00_bglt BgL_arg2024z00_6154;

					BgL_arg2024z00_6154 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_6021)))->BgL_msgz00);
					BgL_auxz00_7068 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2024z00_6154);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_6021)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7068), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7074;

				{	/* Cfa/type.scm 515 */
					BgL_nodez00_bglt BgL_arg2025z00_6155;

					BgL_arg2025z00_6155 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_6021)))->BgL_objz00);
					BgL_auxz00_7074 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2025z00_6155);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_6021)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7074), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_6021));
		}

	}



/* &type-node!-condition1692 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition1692z70zzcfa_typez00(obj_t
		BgL_envz00_6022, obj_t BgL_nodez00_6023)
	{
		{	/* Cfa/type.scm 504 */
			{

				{	/* Cfa/type.scm 504 */
					obj_t BgL_nextzd2method1691zd2_6158;

					BgL_nextzd2method1691zd2_6158 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_6023)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1691zd2_6158))
						(BgL_nextzd2method1691zd2_6158,
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_6023)), BEOA);
				}
				return
					((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_6023));
			}
		}

	}



/* &type-node!-condition1690 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition1690z70zzcfa_typez00(obj_t
		BgL_envz00_6024, obj_t BgL_nodez00_6025)
	{
		{	/* Cfa/type.scm 493 */
			{
				BgL_nodez00_bglt BgL_auxz00_7093;

				{	/* Cfa/type.scm 495 */
					BgL_nodez00_bglt BgL_arg2020z00_6160;

					BgL_arg2020z00_6160 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_6025)))->BgL_testz00);
					BgL_auxz00_7093 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2020z00_6160);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_6025)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7093), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7099;

				{	/* Cfa/type.scm 496 */
					BgL_nodez00_bglt BgL_arg2021z00_6161;

					BgL_arg2021z00_6161 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_6025)))->BgL_truez00);
					BgL_auxz00_7099 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2021z00_6161);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_6025)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_7099), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7105;

				{	/* Cfa/type.scm 497 */
					BgL_nodez00_bglt BgL_arg2022z00_6162;

					BgL_arg2022z00_6162 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_6025)))->BgL_falsez00);
					BgL_auxz00_7105 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2022z00_6162);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_6025)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_7105), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_6025))))->BgL_typez00) =
				((BgL_typez00_bglt)
					BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
								(BgL_conditionalz00_bglt) BgL_nodez00_6025)), ((bool_t) 0))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_6025));
		}

	}



/* &type-node!-setq1688 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2setq1688z70zzcfa_typez00(obj_t
		BgL_envz00_6026, obj_t BgL_nodez00_6027)
	{
		{	/* Cfa/type.scm 482 */
			{
				BgL_nodez00_bglt BgL_auxz00_7119;

				{	/* Cfa/type.scm 484 */
					BgL_nodez00_bglt BgL_arg2018z00_6164;

					BgL_arg2018z00_6164 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_6027)))->BgL_valuez00);
					BgL_auxz00_7119 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2018z00_6164);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_6027)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_7119), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_7125;

				{	/* Cfa/type.scm 485 */
					BgL_varz00_bglt BgL_arg2019z00_6165;

					BgL_arg2019z00_6165 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_6027)))->BgL_varz00);
					BgL_auxz00_7125 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2019z00_6165)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_6027)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_7125), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_6027));
		}

	}



/* &type-node!-cast1686 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2cast1686z70zzcfa_typez00(obj_t
		BgL_envz00_6028, obj_t BgL_nodez00_6029)
	{
		{	/* Cfa/type.scm 474 */
			{
				BgL_nodez00_bglt BgL_auxz00_7135;

				{	/* Cfa/type.scm 476 */
					BgL_nodez00_bglt BgL_arg2017z00_6167;

					BgL_arg2017z00_6167 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_6029)))->BgL_argz00);
					BgL_auxz00_7135 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2017z00_6167);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_6029)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7135), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_6029));
		}

	}



/* &type-node!-vset!1683 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vsetz121683z62zzcfa_typez00(obj_t
		BgL_envz00_6030, obj_t BgL_nodez00_6031)
	{
		{	/* Cfa/type.scm 464 */
			{

				{	/* Cfa/type.scm 464 */
					obj_t BgL_nextzd2method1682zd2_6170;

					BgL_nextzd2method1682zd2_6170 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_6031)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_vsetz12z12zzast_nodez00);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1682zd2_6170))
						(BgL_nextzd2method1682zd2_6170,
						((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_6031)), BEOA);
				}
				{	/* Cfa/type.scm 467 */
					bool_t BgL_test2472z00_7152;

					{	/* Cfa/type.scm 467 */
						BgL_typez00_bglt BgL_arg2015z00_6171;

						BgL_arg2015z00_6171 =
							(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_6031)))->BgL_ftypez00);
						BgL_test2472z00_7152 =
							(((obj_t) BgL_arg2015z00_6171) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2472z00_7152)
						{	/* Cfa/type.scm 467 */
							((((BgL_vsetz12z12_bglt) COBJECT(
											((BgL_vsetz12z12_bglt) BgL_nodez00_6031)))->
									BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 467 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_6031));
			}
		}

	}



/* &type-node!-vref1681 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vref1681z70zzcfa_typez00(obj_t
		BgL_envz00_6032, obj_t BgL_nodez00_6033)
	{
		{	/* Cfa/type.scm 453 */
			{

				{	/* Cfa/type.scm 453 */
					obj_t BgL_nextzd2method1680zd2_6174;

					BgL_nextzd2method1680zd2_6174 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_6033)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1680zd2_6174))
						(BgL_nextzd2method1680zd2_6174,
						((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_6033)), BEOA);
				}
				{	/* Cfa/type.scm 456 */
					bool_t BgL_test2473z00_7171;

					{	/* Cfa/type.scm 456 */
						BgL_typez00_bglt BgL_arg2012z00_6175;

						BgL_arg2012z00_6175 =
							(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_6033)))->BgL_ftypez00);
						BgL_test2473z00_7171 =
							(((obj_t) BgL_arg2012z00_6175) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2473z00_7171)
						{	/* Cfa/type.scm 456 */
							((((BgL_vrefz00_bglt) COBJECT(
											((BgL_vrefz00_bglt) BgL_nodez00_6033)))->BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 456 */
							BFALSE;
						}
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vrefz00_bglt) BgL_nodez00_6033))))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_nodez00_6033)))->BgL_ftypez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_6033));
			}
		}

	}



/* &type-node!-valloc1679 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2valloc1679z70zzcfa_typez00(obj_t
		BgL_envz00_6034, obj_t BgL_nodez00_6035)
	{
		{	/* Cfa/type.scm 442 */
			{

				{	/* Cfa/type.scm 442 */
					obj_t BgL_nextzd2method1678zd2_6178;

					BgL_nextzd2method1678zd2_6178 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) BgL_nodez00_6035)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_vallocz00zzast_nodez00);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1678zd2_6178))
						(BgL_nextzd2method1678zd2_6178,
						((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_6035)), BEOA);
				}
				{	/* Cfa/type.scm 445 */
					obj_t BgL_arg2000z00_6179;

					BgL_arg2000z00_6179 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vallocz00_bglt) BgL_nodez00_6035))))->BgL_exprza2za2);
					BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg2000z00_6179);
				}
				{
					BgL_typez00_bglt BgL_auxz00_7199;

					{	/* Cfa/type.scm 446 */
						obj_t BgL_arg2001z00_6180;
						BgL_typez00_bglt BgL_arg2002z00_6181;

						{	/* Cfa/type.scm 446 */
							bool_t BgL_test2474z00_7202;

							{	/* Cfa/type.scm 446 */
								BgL_typez00_bglt BgL_arg2005z00_6182;

								BgL_arg2005z00_6182 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_6035))))->
									BgL_typez00);
								BgL_test2474z00_7202 =
									(((obj_t) BgL_arg2005z00_6182) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_test2474z00_7202)
								{	/* Cfa/type.scm 446 */
									BgL_arg2001z00_6180 = BGl_za2vectorza2z00zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 446 */
									BgL_arg2001z00_6180 =
										((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_vallocz00_bglt) BgL_nodez00_6035))))->
											BgL_typez00));
								}
						}
						BgL_arg2002z00_6181 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_6035))))->BgL_typez00);
						BgL_auxz00_7199 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(
							((BgL_typez00_bglt) BgL_arg2001z00_6180), BgL_arg2002z00_6181);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_6035))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7199), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_7218;

					{	/* Cfa/type.scm 447 */
						bool_t BgL_test2475z00_7220;

						{	/* Cfa/type.scm 447 */
							BgL_typez00_bglt BgL_arg2008z00_6183;

							BgL_arg2008z00_6183 =
								(((BgL_vallocz00_bglt) COBJECT(
										((BgL_vallocz00_bglt) BgL_nodez00_6035)))->BgL_ftypez00);
							BgL_test2475z00_7220 =
								(
								((obj_t) BgL_arg2008z00_6183) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2475z00_7220)
							{	/* Cfa/type.scm 447 */
								BgL_auxz00_7218 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
							}
						else
							{	/* Cfa/type.scm 447 */
								BgL_auxz00_7218 =
									(((BgL_vallocz00_bglt) COBJECT(
											((BgL_vallocz00_bglt) BgL_nodez00_6035)))->BgL_ftypez00);
							}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_nodez00_6035)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_7218), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_6035));
			}
		}

	}



/* &type-node!-extern1677 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2extern1677z70zzcfa_typez00(obj_t
		BgL_envz00_6036, obj_t BgL_nodez00_6037)
	{
		{	/* Cfa/type.scm 434 */
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_6037)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_6037));
		}

	}



/* &type-node!-funcall/C1675 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcallzf2C1675z82zzcfa_typez00(obj_t
		BgL_envz00_6038, obj_t BgL_nodez00_6039)
	{
		{	/* Cfa/type.scm 408 */
			{
				BgL_nodez00_bglt BgL_auxz00_7236;

				{	/* Cfa/type.scm 410 */
					BgL_nodez00_bglt BgL_arg1993z00_6186;

					BgL_arg1993z00_6186 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_6039))))->BgL_funz00);
					BgL_auxz00_7236 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1993z00_6186);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_6039))))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7236), BUNSPEC);
			}
			{	/* Cfa/type.scm 411 */
				obj_t BgL_arg1994z00_6187;

				BgL_arg1994z00_6187 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_6039))))->BgL_argsz00);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg1994z00_6187);
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/type.scm 413 */
					obj_t BgL_typz00_6188;

					{	/* Cfa/type.scm 413 */
						BgL_approxz00_bglt BgL_arg1998z00_6189;

						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7250;

							{
								obj_t BgL_auxz00_7251;

								{	/* Cfa/type.scm 413 */
									BgL_objectz00_bglt BgL_tmpz00_7252;

									BgL_tmpz00_7252 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_6039));
									BgL_auxz00_7251 = BGL_OBJECT_WIDENING(BgL_tmpz00_7252);
								}
								BgL_auxz00_7250 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7251);
							}
							BgL_arg1998z00_6189 =
								(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7250))->
								BgL_approxz00);
						}
						BgL_typz00_6188 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1998z00_6189,
							((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_6039)));
					}
					if ((BgL_typz00_6188 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 414 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_funcallz00_bglt) BgL_nodez00_6039))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt)
									BgL_nodez00_6039));
						}
					else
						{	/* Cfa/type.scm 414 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										(((BgL_funcallz00_bglt) COBJECT(
													((BgL_funcallz00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_6039))))->
											BgL_strengthz00), CNST_TABLE_REF(((long) 2)))))
								{	/* Cfa/type.scm 423 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_6039))))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typz00_6188)),
										BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 423 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_6039))))->
											BgL_typez00) =
										((BgL_typez00_bglt)
											BGl_getzd2bigloozd2typez00zztype_cachez00((
													(BgL_typez00_bglt) BgL_typz00_6188))), BUNSPEC);
								}
							return
								((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_6039));
						}
				}
			else
				{	/* Cfa/type.scm 412 */
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_6039))))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
					return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_6039));
				}
		}

	}



/* &type-node!-funcall1673 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcall1673z70zzcfa_typez00(obj_t
		BgL_envz00_6040, obj_t BgL_nodez00_6041)
	{
		{	/* Cfa/type.scm 397 */
			if (CBOOL(BGl_za2optimzd2cfazf3za2z21zzengine_paramz00))
				{	/* Cfa/type.scm 398 */
					obj_t BgL_arg1990z00_6191;

					BgL_arg1990z00_6191 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_6041)));
					BGl_errorz00zz__errorz00(BGl_string2316z00zzcfa_typez00,
						BGl_string2348z00zzcfa_typez00, BgL_arg1990z00_6191);
				}
			else
				{	/* Cfa/type.scm 398 */
					BFALSE;
				}
			{
				BgL_nodez00_bglt BgL_auxz00_7299;

				{	/* Cfa/type.scm 400 */
					BgL_nodez00_bglt BgL_arg1991z00_6192;

					BgL_arg1991z00_6192 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_6041)))->BgL_funz00);
					BgL_auxz00_7299 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1991z00_6192);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_6041)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7299), BUNSPEC);
			}
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_6041)))->BgL_argsz00));
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_6041))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt)
						BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_6041));
		}

	}



/* &type-node!-app-ly/Ci1671 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci1671z50zzcfa_typez00(obj_t
		BgL_envz00_6042, obj_t BgL_nodez00_6043)
	{
		{	/* Cfa/type.scm 385 */
			{
				BgL_nodez00_bglt BgL_auxz00_7314;

				{	/* Cfa/type.scm 387 */
					BgL_nodez00_bglt BgL_arg1987z00_6194;

					BgL_arg1987z00_6194 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6043))))->BgL_funz00);
					BgL_auxz00_7314 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1987z00_6194);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6043))))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7314), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7322;

				{	/* Cfa/type.scm 388 */
					BgL_nodez00_bglt BgL_arg1988z00_6195;

					BgL_arg1988z00_6195 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6043))))->BgL_argz00);
					BgL_auxz00_7322 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1988z00_6195);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6043))))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7322), BUNSPEC);
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{
					BgL_typez00_bglt BgL_auxz00_7332;

					{	/* Cfa/type.scm 390 */
						BgL_approxz00_bglt BgL_arg1989z00_6196;

						{
							BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7335;

							{
								obj_t BgL_auxz00_7336;

								{	/* Cfa/type.scm 390 */
									BgL_objectz00_bglt BgL_tmpz00_7337;

									BgL_tmpz00_7337 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6043));
									BgL_auxz00_7336 = BGL_OBJECT_WIDENING(BgL_tmpz00_7337);
								}
								BgL_auxz00_7335 =
									((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7336);
							}
							BgL_arg1989z00_6196 =
								(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_7335))->
								BgL_approxz00);
						}
						BgL_auxz00_7332 =
							((BgL_typez00_bglt)
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1989z00_6196,
								((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6043))));
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6043))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7332), BUNSPEC);
				}
			else
				{	/* Cfa/type.scm 389 */
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6043))))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
				}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6043));
		}

	}



/* &type-node!-app-ly1669 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2appzd2ly1669za2zzcfa_typez00(obj_t
		BgL_envz00_6044, obj_t BgL_nodez00_6045)
	{
		{	/* Cfa/type.scm 374 */
			if (CBOOL(BGl_za2optimzd2cfazf3za2z21zzengine_paramz00))
				{	/* Cfa/type.scm 375 */
					obj_t BgL_arg1984z00_6198;

					BgL_arg1984z00_6198 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6045)));
					BGl_errorz00zz__errorz00(BGl_string2316z00zzcfa_typez00,
						BGl_string2348z00zzcfa_typez00, BgL_arg1984z00_6198);
				}
			else
				{	/* Cfa/type.scm 375 */
					BFALSE;
				}
			{
				BgL_nodez00_bglt BgL_auxz00_7360;

				{	/* Cfa/type.scm 377 */
					BgL_nodez00_bglt BgL_arg1985z00_6199;

					BgL_arg1985z00_6199 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6045)))))->BgL_funz00);
					BgL_auxz00_7360 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1985z00_6199);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6045)))))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7360), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7370;

				{	/* Cfa/type.scm 378 */
					BgL_nodez00_bglt BgL_arg1986z00_6200;

					BgL_arg1986z00_6200 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6045)))))->BgL_argz00);
					BgL_auxz00_7370 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1986z00_6200);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6045)))))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7370), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6045)))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt)
						BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6045));
		}

	}



/* &type-node!-cons-ref-1667 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd21667z70zzcfa_typez00(obj_t
		BgL_envz00_6046, obj_t BgL_nodez00_6047)
	{
		{	/* Cfa/type.scm 363 */
			{

				{	/* Cfa/type.scm 363 */
					obj_t BgL_nextzd2method1666zd2_6203;

					BgL_nextzd2method1666zd2_6203 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_6047)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_conszd2refzd2appz00zzcfa_info2z00);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1666zd2_6203))
						(BgL_nextzd2method1666zd2_6203,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6047)), BEOA);
				}
				{	/* Cfa/type.scm 366 */
					obj_t BgL_atypez00_6204;

					{	/* Cfa/type.scm 366 */
						BgL_approxz00_bglt BgL_arg1983z00_6205;

						{
							BgL_conszd2refzd2appz00_bglt BgL_auxz00_7396;

							{
								obj_t BgL_auxz00_7397;

								{	/* Cfa/type.scm 366 */
									BgL_objectz00_bglt BgL_tmpz00_7398;

									BgL_tmpz00_7398 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6047));
									BgL_auxz00_7397 = BGL_OBJECT_WIDENING(BgL_tmpz00_7398);
								}
								BgL_auxz00_7396 =
									((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_7397);
							}
							BgL_arg1983z00_6205 =
								(((BgL_conszd2refzd2appz00_bglt) COBJECT(BgL_auxz00_7396))->
								BgL_approxz00);
						}
						BgL_atypez00_6204 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1983z00_6205,
							((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6047)));
					}
					if ((BgL_atypez00_6204 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 367 */
							BFALSE;
						}
					else
						{	/* Cfa/type.scm 367 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_6047))))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_6204)),
								BUNSPEC);
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6047));
			}
		}

	}



/* &type-node!-procedure1665 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure1665z70zzcfa_typez00(obj_t
		BgL_envz00_6048, obj_t BgL_nodez00_6049)
	{
		{	/* Cfa/type.scm 346 */
			{

				{	/* Cfa/type.scm 346 */
					obj_t BgL_nextzd2method1664zd2_6208;

					BgL_nextzd2method1664zd2_6208 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_6049)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_procedurezd2setz12zd2appz12zzcfa_info2z00);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1664zd2_6208))
						(BgL_nextzd2method1664zd2_6208,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6049)), BEOA);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
					{	/* Cfa/type.scm 350 */
						obj_t BgL_atypez00_6209;

						{	/* Cfa/type.scm 350 */
							obj_t BgL_arg1982z00_6210;

							{
								BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_7426;

								{
									obj_t BgL_auxz00_7427;

									{	/* Cfa/type.scm 350 */
										BgL_objectz00_bglt BgL_tmpz00_7428;

										BgL_tmpz00_7428 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_6049));
										BgL_auxz00_7427 = BGL_OBJECT_WIDENING(BgL_tmpz00_7428);
									}
									BgL_auxz00_7426 =
										((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_7427);
								}
								BgL_arg1982z00_6210 =
									(((BgL_procedurezd2setz12zd2appz12_bglt)
										COBJECT(BgL_auxz00_7426))->BgL_vapproxz00);
							}
							if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
									((BgL_approxz00_bglt) BgL_arg1982z00_6210)))
								{	/* Cfa/type.scm 322 */
									BgL_atypez00_6209 =
										BGl_za2procedurezd2elza2zd2zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 322 */
									BgL_atypez00_6209 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(
										((BgL_approxz00_bglt) BgL_arg1982z00_6210),
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6049)));
								}
						}
						{	/* Cfa/type.scm 351 */
							bool_t BgL_test2485z00_7441;

							if (BGl_bigloozd2typezf3z21zztype_typez00(
									((BgL_typez00_bglt) BgL_atypez00_6209)))
								{	/* Cfa/type.scm 351 */
									if ((BgL_atypez00_6209 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/type.scm 352 */
											BgL_test2485z00_7441 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 353 */
											bool_t BgL_test2488z00_7447;

											{	/* Cfa/type.scm 353 */
												BgL_typez00_bglt BgL_arg1979z00_6211;

												{	/* Cfa/type.scm 353 */
													obj_t BgL_arg1980z00_6212;

													{	/* Cfa/type.scm 353 */
														obj_t BgL_pairz00_6213;

														BgL_pairz00_6213 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_6049))))->
															BgL_argsz00);
														BgL_arg1980z00_6212 =
															CAR(CDR(CDR(BgL_pairz00_6213)));
													}
													BgL_arg1979z00_6211 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_arg1980z00_6212),
														((bool_t) 0));
												}
												BgL_test2488z00_7447 =
													(BgL_atypez00_6209 == ((obj_t) BgL_arg1979z00_6211));
											}
											if (BgL_test2488z00_7447)
												{	/* Cfa/type.scm 353 */
													BgL_test2485z00_7441 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 353 */
													BgL_test2485z00_7441 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Cfa/type.scm 351 */
									BgL_test2485z00_7441 = ((bool_t) 0);
								}
							if (BgL_test2485z00_7441)
								{	/* Cfa/type.scm 354 */
									obj_t BgL_arg1974z00_6214;
									BgL_castz00_bglt BgL_arg1975z00_6215;

									{	/* Cfa/type.scm 354 */
										obj_t BgL_pairz00_6216;

										BgL_pairz00_6216 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_6049))))->
											BgL_argsz00);
										BgL_arg1974z00_6214 = CDR(CDR(BgL_pairz00_6216));
									}
									{	/* Cfa/type.scm 355 */
										BgL_castz00_bglt BgL_new1201z00_6217;

										{	/* Cfa/type.scm 355 */
											BgL_castz00_bglt BgL_new1199z00_6218;

											BgL_new1199z00_6218 =
												((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_castz00_bgl))));
											{	/* Cfa/type.scm 355 */
												long BgL_arg1978z00_6219;

												BgL_arg1978z00_6219 =
													BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1199z00_6218),
													BgL_arg1978z00_6219);
											}
											{	/* Cfa/type.scm 355 */
												BgL_objectz00_bglt BgL_tmpz00_7467;

												BgL_tmpz00_7467 =
													((BgL_objectz00_bglt) BgL_new1199z00_6218);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7467, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1199z00_6218);
											BgL_new1201z00_6217 = BgL_new1199z00_6218;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1201z00_6217)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1201z00_6217)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
										{
											BgL_nodez00_bglt BgL_auxz00_7476;

											{	/* Cfa/type.scm 357 */
												obj_t BgL_pairz00_6220;

												BgL_pairz00_6220 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_6049))))->
													BgL_argsz00);
												{	/* Cfa/type.scm 357 */
													obj_t BgL_pairz00_6221;

													{	/* Cfa/type.scm 357 */
														obj_t BgL_pairz00_6222;

														BgL_pairz00_6222 = CDR(BgL_pairz00_6220);
														BgL_pairz00_6221 = CDR(BgL_pairz00_6222);
													}
													BgL_auxz00_7476 =
														((BgL_nodez00_bglt) CAR(BgL_pairz00_6221));
											}}
											((((BgL_castz00_bglt) COBJECT(BgL_new1201z00_6217))->
													BgL_argz00) =
												((BgL_nodez00_bglt) BgL_auxz00_7476), BUNSPEC);
										}
										BgL_arg1975z00_6215 = BgL_new1201z00_6217;
									}
									{	/* Cfa/type.scm 354 */
										obj_t BgL_auxz00_7487;
										obj_t BgL_tmpz00_7485;

										BgL_auxz00_7487 = ((obj_t) BgL_arg1975z00_6215);
										BgL_tmpz00_7485 = ((obj_t) BgL_arg1974z00_6214);
										SET_CAR(BgL_tmpz00_7485, BgL_auxz00_7487);
								}}
							else
								{	/* Cfa/type.scm 351 */
									BFALSE;
								}
						}
					}
				else
					{	/* Cfa/type.scm 349 */
						BFALSE;
					}
				return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6049));
			}
		}

	}



/* &type-node!-procedure1663 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure1663z70zzcfa_typez00(obj_t
		BgL_envz00_6050, obj_t BgL_nodez00_6051)
	{
		{	/* Cfa/type.scm 329 */
			{

				{	/* Cfa/type.scm 329 */
					obj_t BgL_nextzd2method1662zd2_6225;

					BgL_nextzd2method1662zd2_6225 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_6051)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_procedurezd2refzd2appz00zzcfa_info2z00);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1662zd2_6225))
						(BgL_nextzd2method1662zd2_6225,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6051)), BEOA);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
					{	/* Cfa/type.scm 333 */
						obj_t BgL_atypez00_6226;

						{	/* Cfa/type.scm 333 */
							BgL_approxz00_bglt BgL_arg1964z00_6227;

							{
								BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_7503;

								{
									obj_t BgL_auxz00_7504;

									{	/* Cfa/type.scm 333 */
										BgL_objectz00_bglt BgL_tmpz00_7505;

										BgL_tmpz00_7505 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_6051));
										BgL_auxz00_7504 = BGL_OBJECT_WIDENING(BgL_tmpz00_7505);
									}
									BgL_auxz00_7503 =
										((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_7504);
								}
								BgL_arg1964z00_6227 =
									(((BgL_procedurezd2refzd2appz00_bglt)
										COBJECT(BgL_auxz00_7503))->BgL_approxz00);
							}
							if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
								(BgL_arg1964z00_6227))
								{	/* Cfa/type.scm 322 */
									BgL_atypez00_6226 =
										BGl_za2procedurezd2elza2zd2zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 322 */
									BgL_atypez00_6226 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1964z00_6227,
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6051)));
								}
						}
						{	/* Cfa/type.scm 334 */
							bool_t BgL_test2491z00_7516;

							if (BGl_bigloozd2typezf3z21zztype_typez00(
									((BgL_typez00_bglt) BgL_atypez00_6226)))
								{	/* Cfa/type.scm 334 */
									if ((BgL_atypez00_6226 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/type.scm 335 */
											BgL_test2491z00_7516 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 336 */
											bool_t BgL_test2494z00_7522;

											{	/* Cfa/type.scm 336 */
												BgL_typez00_bglt BgL_arg1963z00_6228;

												BgL_arg1963z00_6228 =
													BGl_getzd2typezd2zztype_typeofz00(
													((BgL_nodez00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_6051)),
													((bool_t) 0));
												BgL_test2494z00_7522 =
													(BgL_atypez00_6226 == ((obj_t) BgL_arg1963z00_6228));
											}
											if (BgL_test2494z00_7522)
												{	/* Cfa/type.scm 336 */
													BgL_test2491z00_7516 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 336 */
													BgL_test2491z00_7516 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Cfa/type.scm 334 */
									BgL_test2491z00_7516 = ((bool_t) 0);
								}
							if (BgL_test2491z00_7516)
								{	/* Cfa/type.scm 337 */
									BgL_castz00_bglt BgL_new1197z00_6229;

									{	/* Cfa/type.scm 337 */
										BgL_castz00_bglt BgL_new1196z00_6230;

										BgL_new1196z00_6230 =
											((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_castz00_bgl))));
										{	/* Cfa/type.scm 337 */
											long BgL_arg1962z00_6231;

											BgL_arg1962z00_6231 =
												BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1196z00_6230),
												BgL_arg1962z00_6231);
										}
										{	/* Cfa/type.scm 337 */
											BgL_objectz00_bglt BgL_tmpz00_7532;

											BgL_tmpz00_7532 =
												((BgL_objectz00_bglt) BgL_new1196z00_6230);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7532, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1196z00_6230);
										BgL_new1197z00_6229 = BgL_new1196z00_6230;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1197z00_6229)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1197z00_6229)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_6226)),
										BUNSPEC);
									((((BgL_castz00_bglt) COBJECT(BgL_new1197z00_6229))->
											BgL_argz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((BgL_appz00_bglt)
													BgL_nodez00_6051))), BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1197z00_6229);
								}
							else
								{	/* Cfa/type.scm 334 */
									return
										((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6051));
								}
						}
					}
				else
					{	/* Cfa/type.scm 332 */
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6051));
					}
			}
		}

	}



/* &type-node!-arithmeti1661 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2arithmeti1661z70zzcfa_typez00(obj_t
		BgL_envz00_6052, obj_t BgL_nodez00_6053)
	{
		{	/* Cfa/type.scm 285 */
			{

				{	/* Cfa/type.scm 285 */
					obj_t BgL_nextzd2method1660zd2_6234;

					BgL_nextzd2method1660zd2_6234 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_6053)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_arithmeticzd2appzd2zzcfa_info2z00);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1660zd2_6234))
						(BgL_nextzd2method1660zd2_6234,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6053)), BEOA);
				}
				{	/* Cfa/type.scm 302 */
					BgL_variablez00_bglt BgL_vz00_6235;

					BgL_vz00_6235 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_6053))))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/type.scm 302 */
						BgL_valuez00_bglt BgL_valz00_6236;

						BgL_valz00_6236 =
							(((BgL_variablez00_bglt) COBJECT(BgL_vz00_6235))->BgL_valuez00);
						{	/* Cfa/type.scm 303 */

							{	/* Cfa/type.scm 304 */
								bool_t BgL_test2495z00_7563;

								{	/* Cfa/type.scm 304 */
									BgL_typez00_bglt BgL_arg1934z00_6237;

									BgL_arg1934z00_6237 =
										(((BgL_variablez00_bglt) COBJECT(BgL_vz00_6235))->
										BgL_typez00);
									BgL_test2495z00_7563 =
										(((obj_t) BgL_arg1934z00_6237) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_test2495z00_7563)
									{	/* Cfa/type.scm 305 */
										BgL_typez00_bglt BgL_vz00_6238;

										BgL_vz00_6238 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(BgL_vz00_6235))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_6238), BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 304 */
										BFALSE;
									}
							}
							{	/* Cfa/type.scm 308 */
								bool_t BgL_test2496z00_7569;

								{	/* Cfa/type.scm 308 */
									obj_t BgL_classz00_6239;

									BgL_classz00_6239 = BGl_sfunz00zzast_varz00;
									{	/* Cfa/type.scm 308 */
										BgL_objectz00_bglt BgL_arg1820z00_6240;

										{	/* Cfa/type.scm 308 */
											obj_t BgL_tmpz00_7570;

											BgL_tmpz00_7570 =
												((obj_t) ((BgL_objectz00_bglt) BgL_valz00_6236));
											BgL_arg1820z00_6240 =
												(BgL_objectz00_bglt) (BgL_tmpz00_7570);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/type.scm 308 */
												long BgL_idxz00_6241;

												BgL_idxz00_6241 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6240);
												BgL_test2496z00_7569 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6241 + ((long) 3))) ==
													BgL_classz00_6239);
											}
										else
											{	/* Cfa/type.scm 308 */
												bool_t BgL_res2289z00_6244;

												{	/* Cfa/type.scm 308 */
													obj_t BgL_oclassz00_6245;

													{	/* Cfa/type.scm 308 */
														long BgL_arg1828z00_6246;

														{	/* Cfa/type.scm 308 */
															long BgL_arg1829z00_6247;

															BgL_arg1829z00_6247 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6240);
															BgL_arg1828z00_6246 =
																(BgL_arg1829z00_6247 - OBJECT_TYPE);
														}
														BgL_oclassz00_6245 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_6246);
													}
													{	/* Cfa/type.scm 308 */
														bool_t BgL__ortest_1111z00_6248;

														BgL__ortest_1111z00_6248 =
															(BgL_classz00_6239 == BgL_oclassz00_6245);
														if (BgL__ortest_1111z00_6248)
															{	/* Cfa/type.scm 308 */
																BgL_res2289z00_6244 = BgL__ortest_1111z00_6248;
															}
														else
															{	/* Cfa/type.scm 308 */
																long BgL_odepthz00_6249;

																BgL_odepthz00_6249 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_6245);
																if ((((long) 3) < BgL_odepthz00_6249))
																	{	/* Cfa/type.scm 308 */
																		obj_t BgL_arg1816z00_6250;

																		BgL_arg1816z00_6250 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_6245, ((long) 3));
																		BgL_res2289z00_6244 =
																			(BgL_arg1816z00_6250 ==
																			BgL_classz00_6239);
																	}
																else
																	{	/* Cfa/type.scm 308 */
																		BgL_res2289z00_6244 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2496z00_7569 = BgL_res2289z00_6244;
											}
									}
								}
								if (BgL_test2496z00_7569)
									{	/* Cfa/type.scm 309 */
										obj_t BgL_l01616z00_6251;

										BgL_l01616z00_6251 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_valz00_6236)))->BgL_argsz00);
										{
											obj_t BgL_l1615z00_6253;

											BgL_l1615z00_6253 = BgL_l01616z00_6251;
										BgL_zc3z04anonymousza31936ze3z87_6252:
											if (NULLP(BgL_l1615z00_6253))
												{	/* Cfa/type.scm 309 */
													BgL_l01616z00_6251;
												}
											else
												{	/* Cfa/type.scm 309 */
													{	/* Cfa/type.scm 309 */
														obj_t BgL_arg1938z00_6254;

														{	/* Cfa/type.scm 309 */
															obj_t BgL_arg1939z00_6255;

															BgL_arg1939z00_6255 =
																CAR(((obj_t) BgL_l1615z00_6253));
															BgL_arg1938z00_6254 =
																BGl_cleanupzd2typeze70z35zzcfa_typez00
																(BgL_arg1939z00_6255);
														}
														{	/* Cfa/type.scm 309 */
															obj_t BgL_tmpz00_7597;

															BgL_tmpz00_7597 = ((obj_t) BgL_l1615z00_6253);
															SET_CAR(BgL_tmpz00_7597, BgL_arg1938z00_6254);
														}
													}
													{	/* Cfa/type.scm 309 */
														obj_t BgL_arg1940z00_6256;

														BgL_arg1940z00_6256 =
															CDR(((obj_t) BgL_l1615z00_6253));
														{
															obj_t BgL_l1615z00_7602;

															BgL_l1615z00_7602 = BgL_arg1940z00_6256;
															BgL_l1615z00_6253 = BgL_l1615z00_7602;
															goto BgL_zc3z04anonymousza31936ze3z87_6252;
														}
													}
												}
										}
									}
								else
									{	/* Cfa/type.scm 310 */
										bool_t BgL_test2501z00_7603;

										{	/* Cfa/type.scm 310 */
											obj_t BgL_classz00_6257;

											BgL_classz00_6257 = BGl_cfunz00zzast_varz00;
											{	/* Cfa/type.scm 310 */
												BgL_objectz00_bglt BgL_arg1820z00_6258;

												{	/* Cfa/type.scm 310 */
													obj_t BgL_tmpz00_7604;

													BgL_tmpz00_7604 =
														((obj_t) ((BgL_objectz00_bglt) BgL_valz00_6236));
													BgL_arg1820z00_6258 =
														(BgL_objectz00_bglt) (BgL_tmpz00_7604);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cfa/type.scm 310 */
														long BgL_idxz00_6259;

														BgL_idxz00_6259 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6258);
														BgL_test2501z00_7603 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6259 + ((long) 3))) ==
															BgL_classz00_6257);
													}
												else
													{	/* Cfa/type.scm 310 */
														bool_t BgL_res2290z00_6262;

														{	/* Cfa/type.scm 310 */
															obj_t BgL_oclassz00_6263;

															{	/* Cfa/type.scm 310 */
																long BgL_arg1828z00_6264;

																{	/* Cfa/type.scm 310 */
																	long BgL_arg1829z00_6265;

																	BgL_arg1829z00_6265 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6258);
																	BgL_arg1828z00_6264 =
																		(BgL_arg1829z00_6265 - OBJECT_TYPE);
																}
																BgL_oclassz00_6263 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_6264);
															}
															{	/* Cfa/type.scm 310 */
																bool_t BgL__ortest_1111z00_6266;

																BgL__ortest_1111z00_6266 =
																	(BgL_classz00_6257 == BgL_oclassz00_6263);
																if (BgL__ortest_1111z00_6266)
																	{	/* Cfa/type.scm 310 */
																		BgL_res2290z00_6262 =
																			BgL__ortest_1111z00_6266;
																	}
																else
																	{	/* Cfa/type.scm 310 */
																		long BgL_odepthz00_6267;

																		BgL_odepthz00_6267 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_6263);
																		if ((((long) 3) < BgL_odepthz00_6267))
																			{	/* Cfa/type.scm 310 */
																				obj_t BgL_arg1816z00_6268;

																				BgL_arg1816z00_6268 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_6263, ((long) 3));
																				BgL_res2290z00_6262 =
																					(BgL_arg1816z00_6268 ==
																					BgL_classz00_6257);
																			}
																		else
																			{	/* Cfa/type.scm 310 */
																				BgL_res2290z00_6262 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2501z00_7603 = BgL_res2290z00_6262;
													}
											}
										}
										if (BgL_test2501z00_7603)
											{	/* Cfa/type.scm 311 */
												obj_t BgL_l01619z00_6269;

												BgL_l01619z00_6269 =
													(((BgL_cfunz00_bglt) COBJECT(
															((BgL_cfunz00_bglt) BgL_valz00_6236)))->
													BgL_argszd2typezd2);
												{
													obj_t BgL_l1618z00_6271;

													BgL_l1618z00_6271 = BgL_l01619z00_6269;
												BgL_zc3z04anonymousza31942ze3z87_6270:
													if (NULLP(BgL_l1618z00_6271))
														{	/* Cfa/type.scm 311 */
															BgL_l01619z00_6269;
														}
													else
														{	/* Cfa/type.scm 311 */
															{	/* Cfa/type.scm 311 */
																obj_t BgL_arg1944z00_6272;

																{	/* Cfa/type.scm 311 */
																	obj_t BgL_arg1945z00_6273;

																	BgL_arg1945z00_6273 =
																		CAR(((obj_t) BgL_l1618z00_6271));
																	BgL_arg1944z00_6272 =
																		BGl_cleanupzd2typeze70z35zzcfa_typez00
																		(BgL_arg1945z00_6273);
																}
																{	/* Cfa/type.scm 311 */
																	obj_t BgL_tmpz00_7631;

																	BgL_tmpz00_7631 = ((obj_t) BgL_l1618z00_6271);
																	SET_CAR(BgL_tmpz00_7631, BgL_arg1944z00_6272);
																}
															}
															{	/* Cfa/type.scm 311 */
																obj_t BgL_arg1946z00_6274;

																BgL_arg1946z00_6274 =
																	CDR(((obj_t) BgL_l1618z00_6271));
																{
																	obj_t BgL_l1618z00_7636;

																	BgL_l1618z00_7636 = BgL_arg1946z00_6274;
																	BgL_l1618z00_6271 = BgL_l1618z00_7636;
																	goto BgL_zc3z04anonymousza31942ze3z87_6270;
																}
															}
														}
												}
											}
										else
											{	/* Cfa/type.scm 310 */
												BFALSE;
											}
									}
							}
						}
					}
				}
				{	/* Cfa/type.scm 313 */
					bool_t BgL_test2506z00_7637;

					{	/* Cfa/type.scm 313 */
						BgL_typez00_bglt BgL_arg1950z00_6275;

						BgL_arg1950z00_6275 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_6053)))))->BgL_typez00);
						BgL_test2506z00_7637 =
							(((obj_t) BgL_arg1950z00_6275) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2506z00_7637)
						{	/* Cfa/type.scm 313 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_6053)))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 313 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6053));
			}
		}

	}



/* cleanup-type~0 */
	obj_t BGl_cleanupzd2typeze70z35zzcfa_typez00(obj_t BgL_tz00_4074)
	{
		{	/* Cfa/type.scm 296 */
			{	/* Cfa/type.scm 289 */
				bool_t BgL_test2507z00_7651;

				{	/* Cfa/type.scm 289 */
					obj_t BgL_classz00_5406;

					BgL_classz00_5406 = BGl_typez00zztype_typez00;
					if (BGL_OBJECTP(BgL_tz00_4074))
						{	/* Cfa/type.scm 289 */
							BgL_objectz00_bglt BgL_arg1820z00_5408;

							BgL_arg1820z00_5408 = (BgL_objectz00_bglt) (BgL_tz00_4074);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/type.scm 289 */
									long BgL_idxz00_5414;

									BgL_idxz00_5414 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5408);
									BgL_test2507z00_7651 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5414 + ((long) 1))) == BgL_classz00_5406);
								}
							else
								{	/* Cfa/type.scm 289 */
									bool_t BgL_res2287z00_5436;

									{	/* Cfa/type.scm 289 */
										obj_t BgL_oclassz00_5422;

										{	/* Cfa/type.scm 289 */
											long BgL_arg1828z00_5428;

											{	/* Cfa/type.scm 289 */
												long BgL_arg1829z00_5429;

												BgL_arg1829z00_5429 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5408);
												BgL_arg1828z00_5428 =
													(BgL_arg1829z00_5429 - OBJECT_TYPE);
											}
											BgL_oclassz00_5422 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_5428);
										}
										{	/* Cfa/type.scm 289 */
											bool_t BgL__ortest_1111z00_5423;

											BgL__ortest_1111z00_5423 =
												(BgL_classz00_5406 == BgL_oclassz00_5422);
											if (BgL__ortest_1111z00_5423)
												{	/* Cfa/type.scm 289 */
													BgL_res2287z00_5436 = BgL__ortest_1111z00_5423;
												}
											else
												{	/* Cfa/type.scm 289 */
													long BgL_odepthz00_5424;

													BgL_odepthz00_5424 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5422);
													if ((((long) 1) < BgL_odepthz00_5424))
														{	/* Cfa/type.scm 289 */
															obj_t BgL_arg1816z00_5426;

															BgL_arg1816z00_5426 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5422,
																((long) 1));
															BgL_res2287z00_5436 =
																(BgL_arg1816z00_5426 == BgL_classz00_5406);
														}
													else
														{	/* Cfa/type.scm 289 */
															BgL_res2287z00_5436 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2507z00_7651 = BgL_res2287z00_5436;
								}
						}
					else
						{	/* Cfa/type.scm 289 */
							BgL_test2507z00_7651 = ((bool_t) 0);
						}
				}
				if (BgL_test2507z00_7651)
					{	/* Cfa/type.scm 289 */
						if ((BgL_tz00_4074 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 290 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/type.scm 290 */
								return BgL_tz00_4074;
							}
					}
				else
					{	/* Cfa/type.scm 291 */
						bool_t BgL_test2513z00_7673;

						{	/* Cfa/type.scm 291 */
							obj_t BgL_classz00_5437;

							BgL_classz00_5437 = BGl_localz00zzast_varz00;
							if (BGL_OBJECTP(BgL_tz00_4074))
								{	/* Cfa/type.scm 291 */
									BgL_objectz00_bglt BgL_arg1820z00_5439;

									BgL_arg1820z00_5439 = (BgL_objectz00_bglt) (BgL_tz00_4074);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/type.scm 291 */
											long BgL_idxz00_5445;

											BgL_idxz00_5445 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5439);
											BgL_test2513z00_7673 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5445 + ((long) 2))) == BgL_classz00_5437);
										}
									else
										{	/* Cfa/type.scm 291 */
											bool_t BgL_res2288z00_5467;

											{	/* Cfa/type.scm 291 */
												obj_t BgL_oclassz00_5453;

												{	/* Cfa/type.scm 291 */
													long BgL_arg1828z00_5459;

													{	/* Cfa/type.scm 291 */
														long BgL_arg1829z00_5460;

														BgL_arg1829z00_5460 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5439);
														BgL_arg1828z00_5459 =
															(BgL_arg1829z00_5460 - OBJECT_TYPE);
													}
													BgL_oclassz00_5453 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_5459);
												}
												{	/* Cfa/type.scm 291 */
													bool_t BgL__ortest_1111z00_5454;

													BgL__ortest_1111z00_5454 =
														(BgL_classz00_5437 == BgL_oclassz00_5453);
													if (BgL__ortest_1111z00_5454)
														{	/* Cfa/type.scm 291 */
															BgL_res2288z00_5467 = BgL__ortest_1111z00_5454;
														}
													else
														{	/* Cfa/type.scm 291 */
															long BgL_odepthz00_5455;

															BgL_odepthz00_5455 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5453);
															if ((((long) 2) < BgL_odepthz00_5455))
																{	/* Cfa/type.scm 291 */
																	obj_t BgL_arg1816z00_5457;

																	BgL_arg1816z00_5457 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5453,
																		((long) 2));
																	BgL_res2288z00_5467 =
																		(BgL_arg1816z00_5457 == BgL_classz00_5437);
																}
															else
																{	/* Cfa/type.scm 291 */
																	BgL_res2288z00_5467 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2513z00_7673 = BgL_res2288z00_5467;
										}
								}
							else
								{	/* Cfa/type.scm 291 */
									BgL_test2513z00_7673 = ((bool_t) 0);
								}
						}
						if (BgL_test2513z00_7673)
							{	/* Cfa/type.scm 291 */
								{	/* Cfa/type.scm 292 */
									bool_t BgL_test2518z00_7693;

									{	/* Cfa/type.scm 292 */
										BgL_typez00_bglt BgL_arg1956z00_4080;

										BgL_arg1956z00_4080 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_tz00_4074))))->
											BgL_typez00);
										BgL_test2518z00_7693 =
											(((obj_t) BgL_arg1956z00_4080) ==
											BGl_za2_za2z00zztype_cachez00);
									}
									if (BgL_test2518z00_7693)
										{	/* Cfa/type.scm 293 */
											BgL_typez00_bglt BgL_vz00_5470;

											BgL_vz00_5470 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_tz00_4074))))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_5470), BUNSPEC);
										}
									else
										{	/* Cfa/type.scm 292 */
											BFALSE;
										}
								}
								return BgL_tz00_4074;
							}
						else
							{	/* Cfa/type.scm 291 */
								return BgL_tz00_4074;
							}
					}
			}
		}

	}



/* &type-node!-app1659 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app1659z70zzcfa_typez00(obj_t
		BgL_envz00_6054, obj_t BgL_nodez00_6055)
	{
		{	/* Cfa/type.scm 275 */
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_6055)))->BgL_argsz00));
			BGl_typezd2funzd2nodez12z12zzcfa_typez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_6055)))->BgL_funz00));
			{
				BgL_typez00_bglt BgL_auxz00_7709;

				{	/* Cfa/type.scm 279 */
					BgL_typez00_bglt BgL_arg1928z00_6277;
					BgL_typez00_bglt BgL_arg1929z00_6278;

					BgL_arg1928z00_6277 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_6055)))->
												BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
					BgL_arg1929z00_6278 =
						(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
										BgL_nodez00_6055))))->BgL_typez00);
					BgL_auxz00_7709 =
						BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1928z00_6277,
						BgL_arg1929z00_6278);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_6055))))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_auxz00_7709), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6055));
		}

	}



/* &type-node!-sync1657 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sync1657z70zzcfa_typez00(obj_t
		BgL_envz00_6056, obj_t BgL_nodez00_6057)
	{
		{	/* Cfa/type.scm 263 */
			{
				BgL_nodez00_bglt BgL_auxz00_7723;

				{	/* Cfa/type.scm 265 */
					BgL_nodez00_bglt BgL_arg1918z00_6280;

					BgL_arg1918z00_6280 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6057)))->BgL_mutexz00);
					BgL_auxz00_7723 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1918z00_6280);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6057)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7723), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7729;

				{	/* Cfa/type.scm 266 */
					BgL_nodez00_bglt BgL_arg1919z00_6281;

					BgL_arg1919z00_6281 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6057)))->BgL_prelockz00);
					BgL_auxz00_7729 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1919z00_6281);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6057)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7729), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7735;

				{	/* Cfa/type.scm 267 */
					BgL_nodez00_bglt BgL_arg1920z00_6282;

					BgL_arg1920z00_6282 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6057)))->BgL_bodyz00);
					BgL_auxz00_7735 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1920z00_6282);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6057)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7735), BUNSPEC);
			}
			{	/* Cfa/type.scm 268 */
				bool_t BgL_test2519z00_7741;

				{	/* Cfa/type.scm 268 */
					BgL_typez00_bglt BgL_arg1925z00_6283;

					BgL_arg1925z00_6283 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_6057))))->BgL_typez00);
					BgL_test2519z00_7741 =
						(((obj_t) BgL_arg1925z00_6283) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2519z00_7741)
					{
						BgL_typez00_bglt BgL_auxz00_7747;

						{	/* Cfa/type.scm 269 */
							BgL_nodez00_bglt BgL_arg1924z00_6284;

							BgL_arg1924z00_6284 =
								(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_6057)))->BgL_bodyz00);
							BgL_auxz00_7747 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg1924z00_6284,
								((bool_t) 0));
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_syncz00_bglt) BgL_nodez00_6057))))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_7747), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 268 */
						BFALSE;
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_6057));
		}

	}



/* &type-node!-sequence1655 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sequence1655z70zzcfa_typez00(obj_t
		BgL_envz00_6058, obj_t BgL_nodez00_6059)
	{
		{	/* Cfa/type.scm 251 */
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_6059)))->BgL_nodesz00));
			{	/* Cfa/type.scm 254 */
				bool_t BgL_test2520z00_7759;

				{	/* Cfa/type.scm 254 */
					BgL_typez00_bglt BgL_arg1917z00_6286;

					BgL_arg1917z00_6286 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_nodez00_6059))))->BgL_typez00);
					BgL_test2520z00_7759 =
						(((obj_t) BgL_arg1917z00_6286) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2520z00_7759)
					{	/* Cfa/type.scm 254 */
						if (NULLP(
								(((BgL_sequencez00_bglt) COBJECT(
											((BgL_sequencez00_bglt) BgL_nodez00_6059)))->
									BgL_nodesz00)))
							{	/* Cfa/type.scm 255 */
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_6059))))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{
								BgL_typez00_bglt BgL_auxz00_7773;

								{	/* Cfa/type.scm 256 */
									obj_t BgL_arg1912z00_6287;

									BgL_arg1912z00_6287 =
										CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
											(((BgL_sequencez00_bglt) COBJECT(
														((BgL_sequencez00_bglt) BgL_nodez00_6059)))->
												BgL_nodesz00)));
									BgL_auxz00_7773 =
										BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_arg1912z00_6287), ((bool_t) 0));
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_6059))))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_7773), BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 254 */
						BFALSE;
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_6059));
		}

	}



/* &type-node!-closure1653 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2closure1653z70zzcfa_typez00(obj_t
		BgL_envz00_6060, obj_t BgL_nodez00_6061)
	{
		{	/* Cfa/type.scm 245 */
			{	/* Cfa/type.scm 246 */
				obj_t BgL_arg1906z00_6289;

				BgL_arg1906z00_6289 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_6061)));
				return
					((BgL_nodez00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2316z00zzcfa_typez00, BGl_string2349z00zzcfa_typez00,
						BgL_arg1906z00_6289));
			}
		}

	}



/* &type-node!-var1651 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var1651z70zzcfa_typez00(obj_t
		BgL_envz00_6062, obj_t BgL_nodez00_6063)
	{
		{	/* Cfa/type.scm 225 */
			{
				BgL_typez00_bglt BgL_ntypez00_6292;
				BgL_typez00_bglt BgL_vtypez00_6293;

				{	/* Cfa/type.scm 234 */
					bool_t BgL_test2522z00_7790;

					{	/* Cfa/type.scm 234 */
						bool_t BgL_test2523z00_7791;

						{	/* Cfa/type.scm 234 */
							BgL_variablez00_bglt BgL_arg1884z00_6322;

							BgL_arg1884z00_6322 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_6063)))->BgL_variablez00);
							{	/* Cfa/type.scm 234 */
								obj_t BgL_classz00_6323;

								BgL_classz00_6323 = BGl_globalz00zzast_varz00;
								{	/* Cfa/type.scm 234 */
									BgL_objectz00_bglt BgL_arg1820z00_6324;

									{	/* Cfa/type.scm 234 */
										obj_t BgL_tmpz00_7794;

										BgL_tmpz00_7794 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1884z00_6322));
										BgL_arg1820z00_6324 =
											(BgL_objectz00_bglt) (BgL_tmpz00_7794);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/type.scm 234 */
											long BgL_idxz00_6325;

											BgL_idxz00_6325 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6324);
											BgL_test2523z00_7791 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6325 + ((long) 2))) == BgL_classz00_6323);
										}
									else
										{	/* Cfa/type.scm 234 */
											bool_t BgL_res2286z00_6328;

											{	/* Cfa/type.scm 234 */
												obj_t BgL_oclassz00_6329;

												{	/* Cfa/type.scm 234 */
													long BgL_arg1828z00_6330;

													{	/* Cfa/type.scm 234 */
														long BgL_arg1829z00_6331;

														BgL_arg1829z00_6331 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6324);
														BgL_arg1828z00_6330 =
															(BgL_arg1829z00_6331 - OBJECT_TYPE);
													}
													BgL_oclassz00_6329 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_6330);
												}
												{	/* Cfa/type.scm 234 */
													bool_t BgL__ortest_1111z00_6332;

													BgL__ortest_1111z00_6332 =
														(BgL_classz00_6323 == BgL_oclassz00_6329);
													if (BgL__ortest_1111z00_6332)
														{	/* Cfa/type.scm 234 */
															BgL_res2286z00_6328 = BgL__ortest_1111z00_6332;
														}
													else
														{	/* Cfa/type.scm 234 */
															long BgL_odepthz00_6333;

															BgL_odepthz00_6333 =
																BGL_CLASS_DEPTH(BgL_oclassz00_6329);
															if ((((long) 2) < BgL_odepthz00_6333))
																{	/* Cfa/type.scm 234 */
																	obj_t BgL_arg1816z00_6334;

																	BgL_arg1816z00_6334 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6329,
																		((long) 2));
																	BgL_res2286z00_6328 =
																		(BgL_arg1816z00_6334 == BgL_classz00_6323);
																}
															else
																{	/* Cfa/type.scm 234 */
																	BgL_res2286z00_6328 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2523z00_7791 = BgL_res2286z00_6328;
										}
								}
							}
						}
						if (BgL_test2523z00_7791)
							{	/* Cfa/type.scm 234 */
								BgL_test2522z00_7790 =
									(
									(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_6063)))->
														BgL_variablez00))))->BgL_importz00) ==
									CNST_TABLE_REF(((long) 3)));
							}
						else
							{	/* Cfa/type.scm 234 */
								BgL_test2522z00_7790 = ((bool_t) 0);
							}
					}
					if (BgL_test2522z00_7790)
						{	/* Cfa/type.scm 235 */
							BgL_valuez00_bglt BgL_arg1877z00_6335;
							BgL_variablez00_bglt BgL_arg1879z00_6336;

							BgL_arg1877z00_6335 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_6063)))->
													BgL_variablez00)))))->BgL_valuez00);
							BgL_arg1879z00_6336 =
								(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
											BgL_nodez00_6063)))->BgL_variablez00);
							BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg1877z00_6335,
								BgL_arg1879z00_6336);
						}
					else
						{	/* Cfa/type.scm 234 */
							BFALSE;
						}
				}
				{	/* Cfa/type.scm 236 */
					bool_t BgL_test2527z00_7828;

					{	/* Cfa/type.scm 236 */
						bool_t BgL_test2528z00_7829;

						{	/* Cfa/type.scm 236 */
							BgL_typez00_bglt BgL_arg1903z00_6337;

							BgL_arg1903z00_6337 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_varz00_bglt) BgL_nodez00_6063))))->BgL_typez00);
							BgL_test2528z00_7829 =
								(
								((obj_t) BgL_arg1903z00_6337) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2528z00_7829)
							{	/* Cfa/type.scm 236 */
								BgL_test2527z00_7828 = ((bool_t) 1);
							}
						else
							{	/* Cfa/type.scm 237 */
								bool_t BgL_test2529z00_7835;

								{	/* Cfa/type.scm 237 */
									BgL_typez00_bglt BgL_arg1902z00_6338;

									BgL_arg1902z00_6338 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_varz00_bglt) BgL_nodez00_6063))))->BgL_typez00);
									BgL_test2529z00_7835 =
										(
										((obj_t) BgL_arg1902z00_6338) ==
										BGl_za2vectorza2z00zztype_cachez00);
								}
								if (BgL_test2529z00_7835)
									{	/* Cfa/type.scm 237 */
										BgL_test2527z00_7828 = ((bool_t) 1);
									}
								else
									{	/* Cfa/type.scm 238 */
										BgL_typez00_bglt BgL_arg1899z00_6339;
										BgL_typez00_bglt BgL_arg1900z00_6340;

										BgL_arg1899z00_6339 =
											(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_6063))))->
											BgL_typez00);
										BgL_arg1900z00_6340 =
											(((BgL_variablez00_bglt) COBJECT((((BgL_varz00_bglt)
															COBJECT(((BgL_varz00_bglt) BgL_nodez00_6063)))->
														BgL_variablez00)))->BgL_typez00);
										BgL_ntypez00_6292 = BgL_arg1899z00_6339;
										BgL_vtypez00_6293 = BgL_arg1900z00_6340;
										{	/* Cfa/type.scm 228 */
											bool_t BgL__ortest_1184z00_6294;

											if (BGl_bigloozd2typezf3z21zztype_typez00
												(BgL_vtypez00_6293))
												{	/* Cfa/type.scm 228 */
													BgL__ortest_1184z00_6294 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 228 */
													BgL__ortest_1184z00_6294 = ((bool_t) 1);
												}
											if (BgL__ortest_1184z00_6294)
												{	/* Cfa/type.scm 228 */
													BgL_test2527z00_7828 = BgL__ortest_1184z00_6294;
												}
											else
												{	/* Cfa/type.scm 229 */
													bool_t BgL__ortest_1185z00_6295;

													BgL__ortest_1185z00_6295 =
														(
														((obj_t) BgL_ntypez00_6292) ==
														BGl_za2objza2z00zztype_cachez00);
													if (BgL__ortest_1185z00_6295)
														{	/* Cfa/type.scm 229 */
															BgL_test2527z00_7828 = BgL__ortest_1185z00_6295;
														}
													else
														{	/* Cfa/type.scm 230 */
															bool_t BgL__ortest_1186z00_6296;

															{	/* Cfa/type.scm 230 */
																bool_t BgL__ortest_1187z00_6297;

																BgL__ortest_1187z00_6297 =
																	(
																	((obj_t) BgL_vtypez00_6293) ==
																	BGl_za2pairza2z00zztype_cachez00);
																if (BgL__ortest_1187z00_6297)
																	{	/* Cfa/type.scm 230 */
																		BgL__ortest_1186z00_6296 =
																			BgL__ortest_1187z00_6297;
																	}
																else
																	{	/* Cfa/type.scm 230 */
																		BgL__ortest_1186z00_6296 =
																			(
																			((obj_t) BgL_vtypez00_6293) ==
																			BGl_za2epairza2z00zztype_cachez00);
																	}
															}
															if (BgL__ortest_1186z00_6296)
																{	/* Cfa/type.scm 230 */
																	BgL_test2527z00_7828 =
																		BgL__ortest_1186z00_6296;
																}
															else
																{	/* Cfa/type.scm 231 */
																	bool_t BgL_test2535z00_7859;

																	{	/* Cfa/type.scm 231 */
																		obj_t BgL_classz00_6298;

																		BgL_classz00_6298 =
																			BGl_tclassz00zzobject_classz00;
																		{	/* Cfa/type.scm 231 */
																			BgL_objectz00_bglt BgL_arg1820z00_6299;

																			{	/* Cfa/type.scm 231 */
																				obj_t BgL_tmpz00_7860;

																				BgL_tmpz00_7860 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_vtypez00_6293));
																				BgL_arg1820z00_6299 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_7860);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Cfa/type.scm 231 */
																					long BgL_idxz00_6300;

																					BgL_idxz00_6300 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1820z00_6299);
																					BgL_test2535z00_7859 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_6300 + ((long) 2))) ==
																						BgL_classz00_6298);
																				}
																			else
																				{	/* Cfa/type.scm 231 */
																					bool_t BgL_res2284z00_6303;

																					{	/* Cfa/type.scm 231 */
																						obj_t BgL_oclassz00_6304;

																						{	/* Cfa/type.scm 231 */
																							long BgL_arg1828z00_6305;

																							{	/* Cfa/type.scm 231 */
																								long BgL_arg1829z00_6306;

																								BgL_arg1829z00_6306 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1820z00_6299);
																								BgL_arg1828z00_6305 =
																									(BgL_arg1829z00_6306 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_6304 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1828z00_6305);
																						}
																						{	/* Cfa/type.scm 231 */
																							bool_t BgL__ortest_1111z00_6307;

																							BgL__ortest_1111z00_6307 =
																								(BgL_classz00_6298 ==
																								BgL_oclassz00_6304);
																							if (BgL__ortest_1111z00_6307)
																								{	/* Cfa/type.scm 231 */
																									BgL_res2284z00_6303 =
																										BgL__ortest_1111z00_6307;
																								}
																							else
																								{	/* Cfa/type.scm 231 */
																									long BgL_odepthz00_6308;

																									BgL_odepthz00_6308 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_6304);
																									if ((((long) 2) <
																											BgL_odepthz00_6308))
																										{	/* Cfa/type.scm 231 */
																											obj_t BgL_arg1816z00_6309;

																											BgL_arg1816z00_6309 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_6304,
																												((long) 2));
																											BgL_res2284z00_6303 =
																												(BgL_arg1816z00_6309 ==
																												BgL_classz00_6298);
																										}
																									else
																										{	/* Cfa/type.scm 231 */
																											BgL_res2284z00_6303 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2535z00_7859 =
																						BgL_res2284z00_6303;
																				}
																		}
																	}
																	if (BgL_test2535z00_7859)
																		{	/* Cfa/type.scm 231 */
																			bool_t BgL_test2539z00_7880;

																			{	/* Cfa/type.scm 231 */
																				obj_t BgL_classz00_6310;

																				BgL_classz00_6310 =
																					BGl_tclassz00zzobject_classz00;
																				{	/* Cfa/type.scm 231 */
																					BgL_objectz00_bglt
																						BgL_arg1820z00_6311;
																					{	/* Cfa/type.scm 231 */
																						obj_t BgL_tmpz00_7881;

																						BgL_tmpz00_7881 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_ntypez00_6292));
																						BgL_arg1820z00_6311 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_7881);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Cfa/type.scm 231 */
																							long BgL_idxz00_6312;

																							BgL_idxz00_6312 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1820z00_6311);
																							BgL_test2539z00_7880 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_6312 +
																										((long) 2))) ==
																								BgL_classz00_6310);
																						}
																					else
																						{	/* Cfa/type.scm 231 */
																							bool_t BgL_res2285z00_6315;

																							{	/* Cfa/type.scm 231 */
																								obj_t BgL_oclassz00_6316;

																								{	/* Cfa/type.scm 231 */
																									long BgL_arg1828z00_6317;

																									{	/* Cfa/type.scm 231 */
																										long BgL_arg1829z00_6318;

																										BgL_arg1829z00_6318 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1820z00_6311);
																										BgL_arg1828z00_6317 =
																											(BgL_arg1829z00_6318 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_6316 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1828z00_6317);
																								}
																								{	/* Cfa/type.scm 231 */
																									bool_t
																										BgL__ortest_1111z00_6319;
																									BgL__ortest_1111z00_6319 =
																										(BgL_classz00_6310 ==
																										BgL_oclassz00_6316);
																									if (BgL__ortest_1111z00_6319)
																										{	/* Cfa/type.scm 231 */
																											BgL_res2285z00_6315 =
																												BgL__ortest_1111z00_6319;
																										}
																									else
																										{	/* Cfa/type.scm 231 */
																											long BgL_odepthz00_6320;

																											BgL_odepthz00_6320 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_6316);
																											if ((((long) 2) <
																													BgL_odepthz00_6320))
																												{	/* Cfa/type.scm 231 */
																													obj_t
																														BgL_arg1816z00_6321;
																													BgL_arg1816z00_6321 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_6316,
																														((long) 2));
																													BgL_res2285z00_6315 =
																														(BgL_arg1816z00_6321
																														==
																														BgL_classz00_6310);
																												}
																											else
																												{	/* Cfa/type.scm 231 */
																													BgL_res2285z00_6315 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2539z00_7880 =
																								BgL_res2285z00_6315;
																						}
																				}
																			}
																			if (BgL_test2539z00_7880)
																				{	/* Cfa/type.scm 231 */
																					BgL_test2527z00_7828 =
																						BGl_typezd2subclasszf3z21zzobject_classz00
																						(BgL_vtypez00_6293,
																						BgL_ntypez00_6292);
																				}
																			else
																				{	/* Cfa/type.scm 231 */
																					BgL_test2527z00_7828 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Cfa/type.scm 231 */
																			BgL_test2527z00_7828 = ((bool_t) 0);
																		}
																}
														}
												}
										}
									}
							}
					}
					if (BgL_test2527z00_7828)
						{	/* Cfa/type.scm 236 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_varz00_bglt) BgL_nodez00_6063))))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_nodez00_6063)))->BgL_variablez00)))->
										BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 236 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_6063));
			}
		}

	}



/* &type-node!-kwote1649 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2kwote1649z70zzcfa_typez00(obj_t
		BgL_envz00_6064, obj_t BgL_nodez00_6065)
	{
		{	/* Cfa/type.scm 216 */
			{	/* Cfa/type.scm 218 */
				bool_t BgL_test2543z00_7910;

				{	/* Cfa/type.scm 218 */
					BgL_typez00_bglt BgL_arg1870z00_6342;

					BgL_arg1870z00_6342 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_nodez00_6065))))->BgL_typez00);
					BgL_test2543z00_7910 =
						(((obj_t) BgL_arg1870z00_6342) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2543z00_7910)
					{
						BgL_typez00_bglt BgL_auxz00_7916;

						{	/* Cfa/type.scm 219 */
							obj_t BgL_arg1868z00_6343;

							BgL_arg1868z00_6343 =
								(((BgL_kwotez00_bglt) COBJECT(
										((BgL_kwotez00_bglt) BgL_nodez00_6065)))->BgL_valuez00);
							BgL_auxz00_7916 =
								BGl_getzd2typezd2kwotez00zztype_typeofz00(BgL_arg1868z00_6343);
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_kwotez00_bglt) BgL_nodez00_6065))))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_7916), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 218 */
						BFALSE;
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_6065));
		}

	}



/* &type-node!-atom1647 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2atom1647z70zzcfa_typez00(obj_t
		BgL_envz00_6066, obj_t BgL_nodez00_6067)
	{
		{	/* Cfa/type.scm 210 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_6067));
		}

	}



/* &type-variable!-inter1643 */
	obj_t BGl_z62typezd2variablez12zd2inter1643z70zzcfa_typez00(obj_t
		BgL_envz00_6068, obj_t BgL_valuez00_6069, obj_t BgL_variablez00_6070)
	{
		{	/* Cfa/type.scm 173 */
			return CNST_TABLE_REF(((long) 4));
		}

	}



/* &type-variable!-sexit1641 */
	obj_t BGl_z62typezd2variablez12zd2sexit1641z70zzcfa_typez00(obj_t
		BgL_envz00_6071, obj_t BgL_valuez00_6072, obj_t BgL_variablez00_6073)
	{
		{	/* Cfa/type.scm 163 */
			return CNST_TABLE_REF(((long) 4));
		}

	}



/* &type-variable!-cvar/1639 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf21639z82zzcfa_typez00(obj_t
		BgL_envz00_6074, obj_t BgL_valuez00_6075, obj_t BgL_variablez00_6076)
	{
		{	/* Cfa/type.scm 156 */
			{	/* Cfa/type.scm 158 */
				obj_t BgL_arg1864z00_6348;

				{	/* Cfa/type.scm 158 */
					BgL_approxz00_bglt BgL_arg1865z00_6349;

					{
						BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7929;

						{
							obj_t BgL_auxz00_7930;

							{	/* Cfa/type.scm 158 */
								BgL_objectz00_bglt BgL_tmpz00_7931;

								BgL_tmpz00_7931 =
									((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_6075));
								BgL_auxz00_7930 = BGL_OBJECT_WIDENING(BgL_tmpz00_7931);
							}
							BgL_auxz00_7929 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7930);
						}
						BgL_arg1865z00_6349 =
							(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7929))->
							BgL_approxz00);
					}
					BgL_arg1864z00_6348 =
						BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1865z00_6349,
						((obj_t) ((BgL_cvarz00_bglt) BgL_valuez00_6075)));
				}
				return
					BGl_setzd2variablezd2typez12z12zzcfa_typez00(
					((BgL_variablez00_bglt) BgL_variablez00_6076),
					((BgL_typez00_bglt) BgL_arg1864z00_6348));
			}
		}

	}



/* &type-variable!-scnst1637 */
	obj_t BGl_z62typezd2variablez12zd2scnst1637z70zzcfa_typez00(obj_t
		BgL_envz00_6077, obj_t BgL_valuez00_6078, obj_t BgL_variablez00_6079)
	{
		{	/* Cfa/type.scm 150 */
			return CNST_TABLE_REF(((long) 4));
		}

	}



/* &type-variable!-svar/1635 */
	obj_t BGl_z62typezd2variablez12zd2svarzf21635z82zzcfa_typez00(obj_t
		BgL_envz00_6080, obj_t BgL_valuez00_6081, obj_t BgL_variablez00_6082)
	{
		{	/* Cfa/type.scm 140 */
			{	/* Cfa/type.scm 142 */
				obj_t BgL_typz00_6352;

				{	/* Cfa/type.scm 142 */
					BgL_approxz00_bglt BgL_arg1862z00_6353;

					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_7944;

						{
							obj_t BgL_auxz00_7945;

							{	/* Cfa/type.scm 142 */
								BgL_objectz00_bglt BgL_tmpz00_7946;

								BgL_tmpz00_7946 =
									((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_6081));
								BgL_auxz00_7945 = BGL_OBJECT_WIDENING(BgL_tmpz00_7946);
							}
							BgL_auxz00_7944 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_7945);
						}
						BgL_arg1862z00_6353 =
							(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7944))->
							BgL_approxz00);
					}
					BgL_typz00_6352 =
						BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1862z00_6353,
						((obj_t) ((BgL_svarz00_bglt) BgL_valuez00_6081)));
				}
				return
					BGl_setzd2variablezd2typez12z12zzcfa_typez00(
					((BgL_variablez00_bglt) BgL_variablez00_6082),
					((BgL_typez00_bglt) BgL_typz00_6352));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 5932721),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 54924680),
				BSTRING_TO_STRING(BGl_string2350z00zzcfa_typez00));
		}

	}

#ifdef __cplusplus
}
#endif
